// ------------------------------------------------------------------------------
// NOTE: This file was generated from Microsoft's Language Server Protocol (LSP)
// specification. Please do not edit it by hand.
// ------------------------------------------------------------------------------

#include <stdexcept>

#include <server/lsp_specification.h>

namespace LCompilers::LanguageServerProtocol {

    const std::map<SemanticTokenTypes, std::string> SemanticTokenTypesNames = {
        {SemanticTokenTypes::Namespace, "Namespace"},
        {SemanticTokenTypes::Type, "Type"},
        {SemanticTokenTypes::Class, "Class"},
        {SemanticTokenTypes::Enum, "Enum"},
        {SemanticTokenTypes::Interface, "Interface"},
        {SemanticTokenTypes::Struct, "Struct"},
        {SemanticTokenTypes::TypeParameter, "TypeParameter"},
        {SemanticTokenTypes::Parameter, "Parameter"},
        {SemanticTokenTypes::Variable, "Variable"},
        {SemanticTokenTypes::Property, "Property"},
        {SemanticTokenTypes::EnumMember, "EnumMember"},
        {SemanticTokenTypes::Event, "Event"},
        {SemanticTokenTypes::Function, "Function"},
        {SemanticTokenTypes::Method, "Method"},
        {SemanticTokenTypes::Macro, "Macro"},
        {SemanticTokenTypes::Keyword, "Keyword"},
        {SemanticTokenTypes::Modifier, "Modifier"},
        {SemanticTokenTypes::Comment, "Comment"},
        {SemanticTokenTypes::String, "String"},
        {SemanticTokenTypes::Number, "Number"},
        {SemanticTokenTypes::Regexp, "Regexp"},
        {SemanticTokenTypes::Operator, "Operator"},
        {SemanticTokenTypes::Decorator, "Decorator"},
    };

    const std::map<SemanticTokenTypes, std::string>
    SemanticTokenTypesValues = {
        {SemanticTokenTypes::Namespace, "namespace"},
        {SemanticTokenTypes::Type, "type"},
        {SemanticTokenTypes::Class, "class"},
        {SemanticTokenTypes::Enum, "enum"},
        {SemanticTokenTypes::Interface, "interface"},
        {SemanticTokenTypes::Struct, "struct"},
        {SemanticTokenTypes::TypeParameter, "typeParameter"},
        {SemanticTokenTypes::Parameter, "parameter"},
        {SemanticTokenTypes::Variable, "variable"},
        {SemanticTokenTypes::Property, "property"},
        {SemanticTokenTypes::EnumMember, "enumMember"},
        {SemanticTokenTypes::Event, "event"},
        {SemanticTokenTypes::Function, "function"},
        {SemanticTokenTypes::Method, "method"},
        {SemanticTokenTypes::Macro, "macro"},
        {SemanticTokenTypes::Keyword, "keyword"},
        {SemanticTokenTypes::Modifier, "modifier"},
        {SemanticTokenTypes::Comment, "comment"},
        {SemanticTokenTypes::String, "string"},
        {SemanticTokenTypes::Number, "number"},
        {SemanticTokenTypes::Regexp, "regexp"},
        {SemanticTokenTypes::Operator, "operator"},
        {SemanticTokenTypes::Decorator, "decorator"},
    };

    auto semanticTokenTypesByName(
        const std::string &name
    ) -> SemanticTokenTypes
    {
        for (const auto &[enum_name, enum_value] : SemanticTokenTypesNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid SemanticTokenTypes name: " + name
        );
    }

    auto semanticTokenTypesByValue(
        const std::string &value
    ) -> SemanticTokenTypes
    {
        for (const auto &[enum_name, enum_value] : SemanticTokenTypesValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid SemanticTokenTypes value: \"" + value + "\""
        );
    }

    auto isSemanticTokenTypes(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : SemanticTokenTypesValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<SemanticTokenModifiers, std::string>
    SemanticTokenModifiersNames = {
        {SemanticTokenModifiers::Declaration, "Declaration"},
        {SemanticTokenModifiers::Definition, "Definition"},
        {SemanticTokenModifiers::Readonly, "Readonly"},
        {SemanticTokenModifiers::Static, "Static"},
        {SemanticTokenModifiers::Deprecated, "Deprecated"},
        {SemanticTokenModifiers::Abstract, "Abstract"},
        {SemanticTokenModifiers::Async, "Async"},
        {SemanticTokenModifiers::Modification, "Modification"},
        {SemanticTokenModifiers::Documentation, "Documentation"},
        {SemanticTokenModifiers::DefaultLibrary, "DefaultLibrary"},
    };

    const std::map<SemanticTokenModifiers, std::string>
    SemanticTokenModifiersValues = {
        {SemanticTokenModifiers::Declaration, "declaration"},
        {SemanticTokenModifiers::Definition, "definition"},
        {SemanticTokenModifiers::Readonly, "readonly"},
        {SemanticTokenModifiers::Static, "static"},
        {SemanticTokenModifiers::Deprecated, "deprecated"},
        {SemanticTokenModifiers::Abstract, "abstract"},
        {SemanticTokenModifiers::Async, "async"},
        {SemanticTokenModifiers::Modification, "modification"},
        {SemanticTokenModifiers::Documentation, "documentation"},
        {SemanticTokenModifiers::DefaultLibrary, "defaultLibrary"},
    };

    auto semanticTokenModifiersByName(
        const std::string &name
    ) -> SemanticTokenModifiers
    {
        for (const auto &[enum_name, enum_value]
                : SemanticTokenModifiersNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid SemanticTokenModifiers name: " + name
        );
    }

    auto semanticTokenModifiersByValue(
        const std::string &value
    ) -> SemanticTokenModifiers
    {
        for (const auto &[enum_name, enum_value]
                : SemanticTokenModifiersValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid SemanticTokenModifiers value: \"" + value + "\""
        );
    }

    auto isSemanticTokenModifiers(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value]
                : SemanticTokenModifiersValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<DocumentDiagnosticReportKind, std::string>
    DocumentDiagnosticReportKindNames = {
        {DocumentDiagnosticReportKind::Full, "Full"},
        {DocumentDiagnosticReportKind::Unchanged, "Unchanged"},
    };

    const std::map<DocumentDiagnosticReportKind, std::string>
    DocumentDiagnosticReportKindValues = {
        {DocumentDiagnosticReportKind::Full, "full"},
        {DocumentDiagnosticReportKind::Unchanged, "unchanged"},
    };

    auto documentDiagnosticReportKindByName(
        const std::string &name
    ) -> DocumentDiagnosticReportKind
    {
        for (const auto &[enum_name, enum_value]
                : DocumentDiagnosticReportKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid DocumentDiagnosticReportKind name: " + name
        );
    }

    auto documentDiagnosticReportKindByValue(
        const std::string &value
    ) -> DocumentDiagnosticReportKind
    {
        for (const auto &[enum_name, enum_value]
                : DocumentDiagnosticReportKindValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid DocumentDiagnosticReportKind value: \"" + value + "\""
        );
    }

    auto isDocumentDiagnosticReportKind(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value]
                : DocumentDiagnosticReportKindValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<ErrorCodes, std::string> ErrorCodesNames = {
        {ErrorCodes::ParseError, "ParseError"},
        {ErrorCodes::InvalidRequest, "InvalidRequest"},
        {ErrorCodes::MethodNotFound, "MethodNotFound"},
        {ErrorCodes::InvalidParams, "InvalidParams"},
        {ErrorCodes::InternalError, "InternalError"},
        {ErrorCodes::ServerNotInitialized, "ServerNotInitialized"},
        {ErrorCodes::UnknownErrorCode, "UnknownErrorCode"},
    };

    auto errorCodesByName(const std::string &name) -> ErrorCodes
    {
        for (const auto &[enum_name, enum_value] : ErrorCodesNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid ErrorCodes name: " + name);
    }

    auto errorCodesByValue(int value) -> ErrorCodes
    {
        for (const auto &[enum_name, enum_value] : ErrorCodesNames) {
            if (value == static_cast<int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid ErrorCodes value: " + std::to_string(value)
        );
    }


    const std::map<LSPErrorCodes, std::string> LSPErrorCodesNames = {
        {LSPErrorCodes::RequestFailed, "RequestFailed"},
        {LSPErrorCodes::ServerCancelled, "ServerCancelled"},
        {LSPErrorCodes::ContentModified, "ContentModified"},
        {LSPErrorCodes::RequestCancelled, "RequestCancelled"},
    };

    auto lspErrorCodesByName(const std::string &name) -> LSPErrorCodes
    {
        for (const auto &[enum_name, enum_value] : LSPErrorCodesNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid LSPErrorCodes name: " + name);
    }

    auto lspErrorCodesByValue(int value) -> LSPErrorCodes
    {
        for (const auto &[enum_name, enum_value] : LSPErrorCodesNames) {
            if (value == static_cast<int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid LSPErrorCodes value: " + std::to_string(value)
        );
    }


    const std::map<FoldingRangeKind, std::string> FoldingRangeKindNames = {
        {FoldingRangeKind::Comment, "Comment"},
        {FoldingRangeKind::Imports, "Imports"},
        {FoldingRangeKind::Region, "Region"},
    };

    const std::map<FoldingRangeKind, std::string> FoldingRangeKindValues = {
        {FoldingRangeKind::Comment, "comment"},
        {FoldingRangeKind::Imports, "imports"},
        {FoldingRangeKind::Region, "region"},
    };

    auto foldingRangeKindByName(const std::string &name) -> FoldingRangeKind
    {
        for (const auto &[enum_name, enum_value] : FoldingRangeKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid FoldingRangeKind name: " + name);
    }

    auto foldingRangeKindByValue(const std::string &value) -> FoldingRangeKind
    {
        for (const auto &[enum_name, enum_value] : FoldingRangeKindValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid FoldingRangeKind value: \"" + value + "\""
        );
    }

    auto isFoldingRangeKind(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : FoldingRangeKindValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    FoldingRangeClientCapabilities_foldingRangeKind::FoldingRangeClientCapabilities_foldingRangeKind()
    {
        // empty
    }

    FoldingRangeClientCapabilities_foldingRangeKind::FoldingRangeClientCapabilities_foldingRangeKind(
        FoldingRangeClientCapabilities_foldingRangeKind &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    FoldingRangeClientCapabilities_foldingRangeKind::FoldingRangeClientCapabilities_foldingRangeKind(
        const FoldingRangeClientCapabilities_foldingRangeKind &other
    )
    {
        if (other.valueSet.has_value()) {
            auto &array_0 = valueSet.emplace();
            const auto &array_1 = other.valueSet.value();
            array_0 = array_1;
        }
    }

    FoldingRangeClientCapabilities_foldingRangeKind::~FoldingRangeClientCapabilities_foldingRangeKind()
    {
        // empty
    }

    auto FoldingRangeClientCapabilities_foldingRangeKind::operator=(
        FoldingRangeClientCapabilities_foldingRangeKind &&other
    ) -> FoldingRangeClientCapabilities_foldingRangeKind &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto FoldingRangeClientCapabilities_foldingRangeKind::operator=(
        const FoldingRangeClientCapabilities_foldingRangeKind &other
    ) -> FoldingRangeClientCapabilities_foldingRangeKind &
    {
        if (this != &other) {
            if (other.valueSet.has_value()) {
                auto &array_0 = valueSet.emplace();
                const auto &array_1 = other.valueSet.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    const std::map<SymbolKind, std::string> SymbolKindNames = {
        {SymbolKind::File, "File"},
        {SymbolKind::Module, "Module"},
        {SymbolKind::Namespace, "Namespace"},
        {SymbolKind::Package, "Package"},
        {SymbolKind::Class, "Class"},
        {SymbolKind::Method, "Method"},
        {SymbolKind::Property, "Property"},
        {SymbolKind::Field, "Field"},
        {SymbolKind::Constructor, "Constructor"},
        {SymbolKind::Enum, "Enum"},
        {SymbolKind::Interface, "Interface"},
        {SymbolKind::Function, "Function"},
        {SymbolKind::Variable, "Variable"},
        {SymbolKind::Constant, "Constant"},
        {SymbolKind::String, "String"},
        {SymbolKind::Number, "Number"},
        {SymbolKind::Boolean, "Boolean"},
        {SymbolKind::Array, "Array"},
        {SymbolKind::Object, "Object"},
        {SymbolKind::Key, "Key"},
        {SymbolKind::Null, "Null"},
        {SymbolKind::EnumMember, "EnumMember"},
        {SymbolKind::Struct, "Struct"},
        {SymbolKind::Event, "Event"},
        {SymbolKind::Operator, "Operator"},
        {SymbolKind::TypeParameter, "TypeParameter"},
    };

    auto symbolKindByName(const std::string &name) -> SymbolKind
    {
        for (const auto &[enum_name, enum_value] : SymbolKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid SymbolKind name: " + name);
    }

    auto symbolKindByValue(unsigned int value) -> SymbolKind
    {
        for (const auto &[enum_name, enum_value] : SymbolKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid SymbolKind value: " + std::to_string(value)
        );
    }


    WorkspaceSymbolClientCapabilities_symbolKind::WorkspaceSymbolClientCapabilities_symbolKind()
    {
        // empty
    }

    WorkspaceSymbolClientCapabilities_symbolKind::WorkspaceSymbolClientCapabilities_symbolKind(
        WorkspaceSymbolClientCapabilities_symbolKind &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    WorkspaceSymbolClientCapabilities_symbolKind::WorkspaceSymbolClientCapabilities_symbolKind(
        const WorkspaceSymbolClientCapabilities_symbolKind &other
    )
    {
        if (other.valueSet.has_value()) {
            auto &array_0 = valueSet.emplace();
            const auto &array_1 = other.valueSet.value();
            array_0 = array_1;
        }
    }

    WorkspaceSymbolClientCapabilities_symbolKind::~WorkspaceSymbolClientCapabilities_symbolKind()
    {
        // empty
    }

    auto WorkspaceSymbolClientCapabilities_symbolKind::operator=(
        WorkspaceSymbolClientCapabilities_symbolKind &&other
    ) -> WorkspaceSymbolClientCapabilities_symbolKind &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto WorkspaceSymbolClientCapabilities_symbolKind::operator=(
        const WorkspaceSymbolClientCapabilities_symbolKind &other
    ) -> WorkspaceSymbolClientCapabilities_symbolKind &
    {
        if (this != &other) {
            if (other.valueSet.has_value()) {
                auto &array_0 = valueSet.emplace();
                const auto &array_1 = other.valueSet.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    DocumentSymbolClientCapabilities_symbolKind::DocumentSymbolClientCapabilities_symbolKind()
    {
        // empty
    }

    DocumentSymbolClientCapabilities_symbolKind::DocumentSymbolClientCapabilities_symbolKind(
        DocumentSymbolClientCapabilities_symbolKind &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    DocumentSymbolClientCapabilities_symbolKind::DocumentSymbolClientCapabilities_symbolKind(
        const DocumentSymbolClientCapabilities_symbolKind &other
    )
    {
        if (other.valueSet.has_value()) {
            auto &array_0 = valueSet.emplace();
            const auto &array_1 = other.valueSet.value();
            array_0 = array_1;
        }
    }

    DocumentSymbolClientCapabilities_symbolKind::~DocumentSymbolClientCapabilities_symbolKind()
    {
        // empty
    }

    auto DocumentSymbolClientCapabilities_symbolKind::operator=(
        DocumentSymbolClientCapabilities_symbolKind &&other
    ) -> DocumentSymbolClientCapabilities_symbolKind &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto DocumentSymbolClientCapabilities_symbolKind::operator=(
        const DocumentSymbolClientCapabilities_symbolKind &other
    ) -> DocumentSymbolClientCapabilities_symbolKind &
    {
        if (this != &other) {
            if (other.valueSet.has_value()) {
                auto &array_0 = valueSet.emplace();
                const auto &array_1 = other.valueSet.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    const std::map<SymbolTag, std::string> SymbolTagNames = {
        {SymbolTag::Deprecated, "Deprecated"},
    };

    auto symbolTagByName(const std::string &name) -> SymbolTag
    {
        for (const auto &[enum_name, enum_value] : SymbolTagNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid SymbolTag name: " + name);
    }

    auto symbolTagByValue(unsigned int value) -> SymbolTag
    {
        for (const auto &[enum_name, enum_value] : SymbolTagNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid SymbolTag value: " + std::to_string(value)
        );
    }


    WorkspaceSymbolClientCapabilities_tagSupport::WorkspaceSymbolClientCapabilities_tagSupport()
    {
        // empty
    }

    WorkspaceSymbolClientCapabilities_tagSupport::WorkspaceSymbolClientCapabilities_tagSupport(
        WorkspaceSymbolClientCapabilities_tagSupport &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    WorkspaceSymbolClientCapabilities_tagSupport::WorkspaceSymbolClientCapabilities_tagSupport(
        const WorkspaceSymbolClientCapabilities_tagSupport &other
    )
    {
        valueSet = other.valueSet;
    }

    WorkspaceSymbolClientCapabilities_tagSupport::~WorkspaceSymbolClientCapabilities_tagSupport()
    {
        // empty
    }

    auto WorkspaceSymbolClientCapabilities_tagSupport::operator=(
        WorkspaceSymbolClientCapabilities_tagSupport &&other
    ) -> WorkspaceSymbolClientCapabilities_tagSupport &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto WorkspaceSymbolClientCapabilities_tagSupport::operator=(
        const WorkspaceSymbolClientCapabilities_tagSupport &other
    ) -> WorkspaceSymbolClientCapabilities_tagSupport &
    {
        if (this != &other) {
            valueSet = other.valueSet;
        }
        return *this;
    }

    DocumentSymbolClientCapabilities_tagSupport::DocumentSymbolClientCapabilities_tagSupport()
    {
        // empty
    }

    DocumentSymbolClientCapabilities_tagSupport::DocumentSymbolClientCapabilities_tagSupport(
        DocumentSymbolClientCapabilities_tagSupport &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    DocumentSymbolClientCapabilities_tagSupport::DocumentSymbolClientCapabilities_tagSupport(
        const DocumentSymbolClientCapabilities_tagSupport &other
    )
    {
        valueSet = other.valueSet;
    }

    DocumentSymbolClientCapabilities_tagSupport::~DocumentSymbolClientCapabilities_tagSupport()
    {
        // empty
    }

    auto DocumentSymbolClientCapabilities_tagSupport::operator=(
        DocumentSymbolClientCapabilities_tagSupport &&other
    ) -> DocumentSymbolClientCapabilities_tagSupport &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto DocumentSymbolClientCapabilities_tagSupport::operator=(
        const DocumentSymbolClientCapabilities_tagSupport &other
    ) -> DocumentSymbolClientCapabilities_tagSupport &
    {
        if (this != &other) {
            valueSet = other.valueSet;
        }
        return *this;
    }

    const std::map<UniquenessLevel, std::string> UniquenessLevelNames = {
        {UniquenessLevel::Document, "Document"},
        {UniquenessLevel::Project, "Project"},
        {UniquenessLevel::Group, "Group"},
        {UniquenessLevel::Scheme, "Scheme"},
        {UniquenessLevel::Global, "Global"},
    };

    const std::map<UniquenessLevel, std::string> UniquenessLevelValues = {
        {UniquenessLevel::Document, "document"},
        {UniquenessLevel::Project, "project"},
        {UniquenessLevel::Group, "group"},
        {UniquenessLevel::Scheme, "scheme"},
        {UniquenessLevel::Global, "global"},
    };

    auto uniquenessLevelByName(const std::string &name) -> UniquenessLevel
    {
        for (const auto &[enum_name, enum_value] : UniquenessLevelNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid UniquenessLevel name: " + name);
    }

    auto uniquenessLevelByValue(const std::string &value) -> UniquenessLevel
    {
        for (const auto &[enum_name, enum_value] : UniquenessLevelValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid UniquenessLevel value: \"" + value + "\""
        );
    }

    auto isUniquenessLevel(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : UniquenessLevelValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<MonikerKind, std::string> MonikerKindNames = {
        {MonikerKind::Import, "Import"},
        {MonikerKind::Export, "Export"},
        {MonikerKind::Local, "Local"},
    };

    const std::map<MonikerKind, std::string> MonikerKindValues = {
        {MonikerKind::Import, "import"},
        {MonikerKind::Export, "export"},
        {MonikerKind::Local, "local"},
    };

    auto monikerKindByName(const std::string &name) -> MonikerKind
    {
        for (const auto &[enum_name, enum_value] : MonikerKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid MonikerKind name: " + name);
    }

    auto monikerKindByValue(const std::string &value) -> MonikerKind
    {
        for (const auto &[enum_name, enum_value] : MonikerKindValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid MonikerKind value: \"" + value + "\""
        );
    }

    auto isMonikerKind(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : MonikerKindValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<InlayHintKind, std::string> InlayHintKindNames = {
        {InlayHintKind::Type, "Type"},
        {InlayHintKind::Parameter, "Parameter"},
    };

    auto inlayHintKindByName(const std::string &name) -> InlayHintKind
    {
        for (const auto &[enum_name, enum_value] : InlayHintKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid InlayHintKind name: " + name);
    }

    auto inlayHintKindByValue(unsigned int value) -> InlayHintKind
    {
        for (const auto &[enum_name, enum_value] : InlayHintKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid InlayHintKind value: " + std::to_string(value)
        );
    }


    const std::map<MessageType, std::string> MessageTypeNames = {
        {MessageType::Error, "Error"},
        {MessageType::Warning, "Warning"},
        {MessageType::Info, "Info"},
        {MessageType::Log, "Log"},
        {MessageType::Debug, "Debug"},
    };

    auto messageTypeByName(const std::string &name) -> MessageType
    {
        for (const auto &[enum_name, enum_value] : MessageTypeNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid MessageType name: " + name);
    }

    auto messageTypeByValue(unsigned int value) -> MessageType
    {
        for (const auto &[enum_name, enum_value] : MessageTypeNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid MessageType value: " + std::to_string(value)
        );
    }


    const std::map<TextDocumentSyncKind, std::string>
    TextDocumentSyncKindNames = {
        {TextDocumentSyncKind::None, "None"},
        {TextDocumentSyncKind::Full, "Full"},
        {TextDocumentSyncKind::Incremental, "Incremental"},
    };

    auto textDocumentSyncKindByName(
        const std::string &name
    ) -> TextDocumentSyncKind
    {
        for (const auto &[enum_name, enum_value] : TextDocumentSyncKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid TextDocumentSyncKind name: " + name
        );
    }

    auto textDocumentSyncKindByValue(
        unsigned int value
    ) -> TextDocumentSyncKind
    {
        for (const auto &[enum_name, enum_value] : TextDocumentSyncKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid TextDocumentSyncKind value: " + std::to_string(value)
        );
    }


    const std::map<TextDocumentSaveReason, std::string>
    TextDocumentSaveReasonNames = {
        {TextDocumentSaveReason::Manual, "Manual"},
        {TextDocumentSaveReason::AfterDelay, "AfterDelay"},
        {TextDocumentSaveReason::FocusOut, "FocusOut"},
    };

    auto textDocumentSaveReasonByName(
        const std::string &name
    ) -> TextDocumentSaveReason
    {
        for (const auto &[enum_name, enum_value]
                : TextDocumentSaveReasonNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid TextDocumentSaveReason name: " + name
        );
    }

    auto textDocumentSaveReasonByValue(
        unsigned int value
    ) -> TextDocumentSaveReason
    {
        for (const auto &[enum_name, enum_value]
                : TextDocumentSaveReasonNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid TextDocumentSaveReason value: " + std::to_string(value)
        );
    }


    const std::map<CompletionItemKind, std::string> CompletionItemKindNames = {
        {CompletionItemKind::Text, "Text"},
        {CompletionItemKind::Method, "Method"},
        {CompletionItemKind::Function, "Function"},
        {CompletionItemKind::Constructor, "Constructor"},
        {CompletionItemKind::Field, "Field"},
        {CompletionItemKind::Variable, "Variable"},
        {CompletionItemKind::Class, "Class"},
        {CompletionItemKind::Interface, "Interface"},
        {CompletionItemKind::Module, "Module"},
        {CompletionItemKind::Property, "Property"},
        {CompletionItemKind::Unit, "Unit"},
        {CompletionItemKind::Value, "Value"},
        {CompletionItemKind::Enum, "Enum"},
        {CompletionItemKind::Keyword, "Keyword"},
        {CompletionItemKind::Snippet, "Snippet"},
        {CompletionItemKind::Color, "Color"},
        {CompletionItemKind::File, "File"},
        {CompletionItemKind::Reference, "Reference"},
        {CompletionItemKind::Folder, "Folder"},
        {CompletionItemKind::EnumMember, "EnumMember"},
        {CompletionItemKind::Constant, "Constant"},
        {CompletionItemKind::Struct, "Struct"},
        {CompletionItemKind::Event, "Event"},
        {CompletionItemKind::Operator, "Operator"},
        {CompletionItemKind::TypeParameter, "TypeParameter"},
    };

    auto completionItemKindByName(
        const std::string &name
    ) -> CompletionItemKind
    {
        for (const auto &[enum_name, enum_value] : CompletionItemKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid CompletionItemKind name: " + name
        );
    }

    auto completionItemKindByValue(unsigned int value) -> CompletionItemKind
    {
        for (const auto &[enum_name, enum_value] : CompletionItemKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid CompletionItemKind value: " + std::to_string(value)
        );
    }


    CompletionClientCapabilities_completionItemKind::CompletionClientCapabilities_completionItemKind()
    {
        // empty
    }

    CompletionClientCapabilities_completionItemKind::CompletionClientCapabilities_completionItemKind(
        CompletionClientCapabilities_completionItemKind &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    CompletionClientCapabilities_completionItemKind::CompletionClientCapabilities_completionItemKind(
        const CompletionClientCapabilities_completionItemKind &other
    )
    {
        if (other.valueSet.has_value()) {
            auto &array_0 = valueSet.emplace();
            const auto &array_1 = other.valueSet.value();
            array_0 = array_1;
        }
    }

    CompletionClientCapabilities_completionItemKind::~CompletionClientCapabilities_completionItemKind()
    {
        // empty
    }

    auto CompletionClientCapabilities_completionItemKind::operator=(
        CompletionClientCapabilities_completionItemKind &&other
    ) -> CompletionClientCapabilities_completionItemKind &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto CompletionClientCapabilities_completionItemKind::operator=(
        const CompletionClientCapabilities_completionItemKind &other
    ) -> CompletionClientCapabilities_completionItemKind &
    {
        if (this != &other) {
            if (other.valueSet.has_value()) {
                auto &array_0 = valueSet.emplace();
                const auto &array_1 = other.valueSet.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    const std::map<CompletionItemTag, std::string> CompletionItemTagNames = {
        {CompletionItemTag::Deprecated, "Deprecated"},
    };

    auto completionItemTagByName(const std::string &name) -> CompletionItemTag
    {
        for (const auto &[enum_name, enum_value] : CompletionItemTagNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid CompletionItemTag name: " + name);
    }

    auto completionItemTagByValue(unsigned int value) -> CompletionItemTag
    {
        for (const auto &[enum_name, enum_value] : CompletionItemTagNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid CompletionItemTag value: " + std::to_string(value)
        );
    }


    CompletionClientCapabilities_completionItem_tagSupport::CompletionClientCapabilities_completionItem_tagSupport()
    {
        // empty
    }

    CompletionClientCapabilities_completionItem_tagSupport::CompletionClientCapabilities_completionItem_tagSupport(
        CompletionClientCapabilities_completionItem_tagSupport &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    CompletionClientCapabilities_completionItem_tagSupport::CompletionClientCapabilities_completionItem_tagSupport(
        const CompletionClientCapabilities_completionItem_tagSupport &other
    )
    {
        valueSet = other.valueSet;
    }

    CompletionClientCapabilities_completionItem_tagSupport::~CompletionClientCapabilities_completionItem_tagSupport()
    {
        // empty
    }

    auto CompletionClientCapabilities_completionItem_tagSupport::operator=(
        CompletionClientCapabilities_completionItem_tagSupport &&other
    ) -> CompletionClientCapabilities_completionItem_tagSupport &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto CompletionClientCapabilities_completionItem_tagSupport::operator=(
        const CompletionClientCapabilities_completionItem_tagSupport &other
    ) -> CompletionClientCapabilities_completionItem_tagSupport &
    {
        if (this != &other) {
            valueSet = other.valueSet;
        }
        return *this;
    }

    const std::map<InsertTextFormat, std::string> InsertTextFormatNames = {
        {InsertTextFormat::PlainText, "PlainText"},
        {InsertTextFormat::Snippet, "Snippet"},
    };

    auto insertTextFormatByName(const std::string &name) -> InsertTextFormat
    {
        for (const auto &[enum_name, enum_value] : InsertTextFormatNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid InsertTextFormat name: " + name);
    }

    auto insertTextFormatByValue(unsigned int value) -> InsertTextFormat
    {
        for (const auto &[enum_name, enum_value] : InsertTextFormatNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid InsertTextFormat value: " + std::to_string(value)
        );
    }


    const std::map<InsertTextMode, std::string> InsertTextModeNames = {
        {InsertTextMode::AsIs, "AsIs"},
        {InsertTextMode::AdjustIndentation, "AdjustIndentation"},
    };

    auto insertTextModeByName(const std::string &name) -> InsertTextMode
    {
        for (const auto &[enum_name, enum_value] : InsertTextModeNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid InsertTextMode name: " + name);
    }

    auto insertTextModeByValue(unsigned int value) -> InsertTextMode
    {
        for (const auto &[enum_name, enum_value] : InsertTextModeNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid InsertTextMode value: " + std::to_string(value)
        );
    }


    CompletionClientCapabilities_completionItem_insertTextModeSupport::CompletionClientCapabilities_completionItem_insertTextModeSupport()
    {
        // empty
    }

    CompletionClientCapabilities_completionItem_insertTextModeSupport::CompletionClientCapabilities_completionItem_insertTextModeSupport(
        CompletionClientCapabilities_completionItem_insertTextModeSupport &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    CompletionClientCapabilities_completionItem_insertTextModeSupport::CompletionClientCapabilities_completionItem_insertTextModeSupport(
        const CompletionClientCapabilities_completionItem_insertTextModeSupport &other
    )
    {
        valueSet = other.valueSet;
    }

    CompletionClientCapabilities_completionItem_insertTextModeSupport::~CompletionClientCapabilities_completionItem_insertTextModeSupport()
    {
        // empty
    }

    auto CompletionClientCapabilities_completionItem_insertTextModeSupport::operator=(
        CompletionClientCapabilities_completionItem_insertTextModeSupport &&other
    ) -> CompletionClientCapabilities_completionItem_insertTextModeSupport &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto CompletionClientCapabilities_completionItem_insertTextModeSupport::operator=(
        const CompletionClientCapabilities_completionItem_insertTextModeSupport &other
    ) -> CompletionClientCapabilities_completionItem_insertTextModeSupport &
    {
        if (this != &other) {
            valueSet = other.valueSet;
        }
        return *this;
    }

    const std::map<DocumentHighlightKind, std::string>
    DocumentHighlightKindNames = {
        {DocumentHighlightKind::Text, "Text"},
        {DocumentHighlightKind::Read, "Read"},
        {DocumentHighlightKind::Write, "Write"},
    };

    auto documentHighlightKindByName(
        const std::string &name
    ) -> DocumentHighlightKind
    {
        for (const auto &[enum_name, enum_value]
                : DocumentHighlightKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid DocumentHighlightKind name: " + name
        );
    }

    auto documentHighlightKindByValue(
        unsigned int value
    ) -> DocumentHighlightKind
    {
        for (const auto &[enum_name, enum_value]
                : DocumentHighlightKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid DocumentHighlightKind value: " + std::to_string(value)
        );
    }


    const std::map<CodeActionKind, std::string> CodeActionKindNames = {
        {CodeActionKind::Empty, "Empty"},
        {CodeActionKind::QuickFix, "QuickFix"},
        {CodeActionKind::Refactor, "Refactor"},
        {CodeActionKind::RefactorExtract, "RefactorExtract"},
        {CodeActionKind::RefactorInline, "RefactorInline"},
        {CodeActionKind::RefactorRewrite, "RefactorRewrite"},
        {CodeActionKind::Source, "Source"},
        {CodeActionKind::SourceOrganizeImports, "SourceOrganizeImports"},
        {CodeActionKind::SourceFixAll, "SourceFixAll"},
    };

    const std::map<CodeActionKind, std::string> CodeActionKindValues = {
        {CodeActionKind::Empty, ""},
        {CodeActionKind::QuickFix, "quickfix"},
        {CodeActionKind::Refactor, "refactor"},
        {CodeActionKind::RefactorExtract, "refactor.extract"},
        {CodeActionKind::RefactorInline, "refactor.inline"},
        {CodeActionKind::RefactorRewrite, "refactor.rewrite"},
        {CodeActionKind::Source, "source"},
        {CodeActionKind::SourceOrganizeImports, "source.organizeImports"},
        {CodeActionKind::SourceFixAll, "source.fixAll"},
    };

    auto codeActionKindByName(const std::string &name) -> CodeActionKind
    {
        for (const auto &[enum_name, enum_value] : CodeActionKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid CodeActionKind name: " + name);
    }

    auto codeActionKindByValue(const std::string &value) -> CodeActionKind
    {
        for (const auto &[enum_name, enum_value] : CodeActionKindValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid CodeActionKind value: \"" + value + "\""
        );
    }

    auto isCodeActionKind(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : CodeActionKindValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind::CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind()
    {
        // empty
    }

    CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind::CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind(
        CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind::CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind(
        const CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind &other
    )
    {
        valueSet = other.valueSet;
    }

    CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind::~CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind()
    {
        // empty
    }

    auto CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind::operator=(
        CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind &&other
    ) -> CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind::operator=(
        const CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind &other
    ) -> CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind &
    {
        if (this != &other) {
            valueSet = other.valueSet;
        }
        return *this;
    }

    CodeActionClientCapabilities_codeActionLiteralSupport::CodeActionClientCapabilities_codeActionLiteralSupport()
    {
        // empty
    }

    CodeActionClientCapabilities_codeActionLiteralSupport::CodeActionClientCapabilities_codeActionLiteralSupport(
        CodeActionClientCapabilities_codeActionLiteralSupport &&other
    )
        : codeActionKind(std::move(other.codeActionKind))
    {
        // empty
    }

    CodeActionClientCapabilities_codeActionLiteralSupport::CodeActionClientCapabilities_codeActionLiteralSupport(
        const CodeActionClientCapabilities_codeActionLiteralSupport &other
    )
        : codeActionKind(other.codeActionKind)
    {
    }

    CodeActionClientCapabilities_codeActionLiteralSupport::~CodeActionClientCapabilities_codeActionLiteralSupport()
    {
        // empty
    }

    auto CodeActionClientCapabilities_codeActionLiteralSupport::operator=(
        CodeActionClientCapabilities_codeActionLiteralSupport &&other
    ) -> CodeActionClientCapabilities_codeActionLiteralSupport &
    {
        if (this != &other) {
            codeActionKind = std::move(other.codeActionKind);
        }
        return *this;
    }

    auto CodeActionClientCapabilities_codeActionLiteralSupport::operator=(
        const CodeActionClientCapabilities_codeActionLiteralSupport &other
    ) -> CodeActionClientCapabilities_codeActionLiteralSupport &
    {
        if (this != &other) {
            codeActionKind = other.codeActionKind;
        }
        return *this;
    }

    const std::map<TraceValues, std::string> TraceValuesNames = {
        {TraceValues::Off, "Off"},
        {TraceValues::Messages, "Messages"},
        {TraceValues::Verbose, "Verbose"},
    };

    const std::map<TraceValues, std::string> TraceValuesValues = {
        {TraceValues::Off, "off"},
        {TraceValues::Messages, "messages"},
        {TraceValues::Verbose, "verbose"},
    };

    auto traceValuesByName(const std::string &name) -> TraceValues
    {
        for (const auto &[enum_name, enum_value] : TraceValuesNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid TraceValues name: " + name);
    }

    auto traceValuesByValue(const std::string &value) -> TraceValues
    {
        for (const auto &[enum_name, enum_value] : TraceValuesValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid TraceValues value: \"" + value + "\""
        );
    }

    auto isTraceValues(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : TraceValuesValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    SetTraceParams::SetTraceParams()
    {
        // empty
    }

    SetTraceParams::SetTraceParams(SetTraceParams &&other)
        : value(std::move(other.value))
    {
        // empty
    }

    SetTraceParams::SetTraceParams(const SetTraceParams &other)
        : value(other.value)
    {
    }

    SetTraceParams::~SetTraceParams()
    {
        // empty
    }

    auto SetTraceParams::operator=(SetTraceParams &&other) -> SetTraceParams &
    {
        if (this != &other) {
            value = std::move(other.value);
        }
        return *this;
    }

    auto SetTraceParams::operator=(
        const SetTraceParams &other
    ) -> SetTraceParams &
    {
        if (this != &other) {
            value = other.value;
        }
        return *this;
    }

    const std::map<MarkupKind, std::string> MarkupKindNames = {
        {MarkupKind::PlainText, "PlainText"},
        {MarkupKind::Markdown, "Markdown"},
    };

    const std::map<MarkupKind, std::string> MarkupKindValues = {
        {MarkupKind::PlainText, "plaintext"},
        {MarkupKind::Markdown, "markdown"},
    };

    auto markupKindByName(const std::string &name) -> MarkupKind
    {
        for (const auto &[enum_name, enum_value] : MarkupKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid MarkupKind name: " + name);
    }

    auto markupKindByValue(const std::string &value) -> MarkupKind
    {
        for (const auto &[enum_name, enum_value] : MarkupKindValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid MarkupKind value: \"" + value + "\""
        );
    }

    auto isMarkupKind(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : MarkupKindValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<InlineCompletionTriggerKind, std::string>
    InlineCompletionTriggerKindNames = {
        {InlineCompletionTriggerKind::Invoked, "Invoked"},
        {InlineCompletionTriggerKind::Automatic, "Automatic"},
    };

    auto inlineCompletionTriggerKindByName(
        const std::string &name
    ) -> InlineCompletionTriggerKind
    {
        for (const auto &[enum_name, enum_value]
                : InlineCompletionTriggerKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid InlineCompletionTriggerKind name: " + name
        );
    }

    auto inlineCompletionTriggerKindByValue(
        unsigned int value
    ) -> InlineCompletionTriggerKind
    {
        for (const auto &[enum_name, enum_value]
                : InlineCompletionTriggerKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid InlineCompletionTriggerKind value: " + std::to_string(value)
        );
    }


    const std::map<PositionEncodingKind, std::string>
    PositionEncodingKindNames = {
        {PositionEncodingKind::UTF8, "UTF8"},
        {PositionEncodingKind::UTF16, "UTF16"},
        {PositionEncodingKind::UTF32, "UTF32"},
    };

    const std::map<PositionEncodingKind, std::string>
    PositionEncodingKindValues = {
        {PositionEncodingKind::UTF8, "utf-8"},
        {PositionEncodingKind::UTF16, "utf-16"},
        {PositionEncodingKind::UTF32, "utf-32"},
    };

    auto positionEncodingKindByName(
        const std::string &name
    ) -> PositionEncodingKind
    {
        for (const auto &[enum_name, enum_value] : PositionEncodingKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid PositionEncodingKind name: " + name
        );
    }

    auto positionEncodingKindByValue(
        const std::string &value
    ) -> PositionEncodingKind
    {
        for (const auto &[enum_name, enum_value]
                : PositionEncodingKindValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid PositionEncodingKind value: \"" + value + "\""
        );
    }

    auto isPositionEncodingKind(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : PositionEncodingKindValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<FileChangeType, std::string> FileChangeTypeNames = {
        {FileChangeType::Created, "Created"},
        {FileChangeType::Changed, "Changed"},
        {FileChangeType::Deleted, "Deleted"},
    };

    auto fileChangeTypeByName(const std::string &name) -> FileChangeType
    {
        for (const auto &[enum_name, enum_value] : FileChangeTypeNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid FileChangeType name: " + name);
    }

    auto fileChangeTypeByValue(unsigned int value) -> FileChangeType
    {
        for (const auto &[enum_name, enum_value] : FileChangeTypeNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid FileChangeType value: " + std::to_string(value)
        );
    }


    const std::map<WatchKind, std::string> WatchKindNames = {
        {WatchKind::Create, "Create"},
        {WatchKind::Change, "Change"},
        {WatchKind::Delete, "Delete"},
    };

    auto watchKindByName(const std::string &name) -> WatchKind
    {
        for (const auto &[enum_name, enum_value] : WatchKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid WatchKind name: " + name);
    }

    auto watchKindByValue(unsigned int value) -> WatchKind
    {
        for (const auto &[enum_name, enum_value] : WatchKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid WatchKind value: " + std::to_string(value)
        );
    }


    const std::map<DiagnosticSeverity, std::string> DiagnosticSeverityNames = {
        {DiagnosticSeverity::Error, "Error"},
        {DiagnosticSeverity::Warning, "Warning"},
        {DiagnosticSeverity::Information, "Information"},
        {DiagnosticSeverity::Hint, "Hint"},
    };

    auto diagnosticSeverityByName(
        const std::string &name
    ) -> DiagnosticSeverity
    {
        for (const auto &[enum_name, enum_value] : DiagnosticSeverityNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid DiagnosticSeverity name: " + name
        );
    }

    auto diagnosticSeverityByValue(unsigned int value) -> DiagnosticSeverity
    {
        for (const auto &[enum_name, enum_value] : DiagnosticSeverityNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid DiagnosticSeverity value: " + std::to_string(value)
        );
    }


    const std::map<DiagnosticTag, std::string> DiagnosticTagNames = {
        {DiagnosticTag::Unnecessary, "Unnecessary"},
        {DiagnosticTag::Deprecated, "Deprecated"},
    };

    auto diagnosticTagByName(const std::string &name) -> DiagnosticTag
    {
        for (const auto &[enum_name, enum_value] : DiagnosticTagNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid DiagnosticTag name: " + name);
    }

    auto diagnosticTagByValue(unsigned int value) -> DiagnosticTag
    {
        for (const auto &[enum_name, enum_value] : DiagnosticTagNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid DiagnosticTag value: " + std::to_string(value)
        );
    }


    PublishDiagnosticsClientCapabilities_tagSupport::PublishDiagnosticsClientCapabilities_tagSupport()
    {
        // empty
    }

    PublishDiagnosticsClientCapabilities_tagSupport::PublishDiagnosticsClientCapabilities_tagSupport(
        PublishDiagnosticsClientCapabilities_tagSupport &&other
    )
        : valueSet(std::move(other.valueSet))
    {
        // empty
    }

    PublishDiagnosticsClientCapabilities_tagSupport::PublishDiagnosticsClientCapabilities_tagSupport(
        const PublishDiagnosticsClientCapabilities_tagSupport &other
    )
    {
        valueSet = other.valueSet;
    }

    PublishDiagnosticsClientCapabilities_tagSupport::~PublishDiagnosticsClientCapabilities_tagSupport()
    {
        // empty
    }

    auto PublishDiagnosticsClientCapabilities_tagSupport::operator=(
        PublishDiagnosticsClientCapabilities_tagSupport &&other
    ) -> PublishDiagnosticsClientCapabilities_tagSupport &
    {
        if (this != &other) {
            valueSet = std::move(other.valueSet);
        }
        return *this;
    }

    auto PublishDiagnosticsClientCapabilities_tagSupport::operator=(
        const PublishDiagnosticsClientCapabilities_tagSupport &other
    ) -> PublishDiagnosticsClientCapabilities_tagSupport &
    {
        if (this != &other) {
            valueSet = other.valueSet;
        }
        return *this;
    }

    const std::map<CompletionTriggerKind, std::string>
    CompletionTriggerKindNames = {
        {CompletionTriggerKind::Invoked, "Invoked"},
        {CompletionTriggerKind::TriggerCharacter, "TriggerCharacter"},
        {CompletionTriggerKind::TriggerForIncompleteCompletions,
         "TriggerForIncompleteCompletions"},
    };

    auto completionTriggerKindByName(
        const std::string &name
    ) -> CompletionTriggerKind
    {
        for (const auto &[enum_name, enum_value]
                : CompletionTriggerKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid CompletionTriggerKind name: " + name
        );
    }

    auto completionTriggerKindByValue(
        unsigned int value
    ) -> CompletionTriggerKind
    {
        for (const auto &[enum_name, enum_value]
                : CompletionTriggerKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid CompletionTriggerKind value: " + std::to_string(value)
        );
    }


    const std::map<SignatureHelpTriggerKind, std::string>
    SignatureHelpTriggerKindNames = {
        {SignatureHelpTriggerKind::Invoked, "Invoked"},
        {SignatureHelpTriggerKind::TriggerCharacter, "TriggerCharacter"},
        {SignatureHelpTriggerKind::ContentChange, "ContentChange"},
    };

    auto signatureHelpTriggerKindByName(
        const std::string &name
    ) -> SignatureHelpTriggerKind
    {
        for (const auto &[enum_name, enum_value]
                : SignatureHelpTriggerKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid SignatureHelpTriggerKind name: " + name
        );
    }

    auto signatureHelpTriggerKindByValue(
        unsigned int value
    ) -> SignatureHelpTriggerKind
    {
        for (const auto &[enum_name, enum_value]
                : SignatureHelpTriggerKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid SignatureHelpTriggerKind value: " + std::to_string(value)
        );
    }


    const std::map<CodeActionTriggerKind, std::string>
    CodeActionTriggerKindNames = {
        {CodeActionTriggerKind::Invoked, "Invoked"},
        {CodeActionTriggerKind::Automatic, "Automatic"},
    };

    auto codeActionTriggerKindByName(
        const std::string &name
    ) -> CodeActionTriggerKind
    {
        for (const auto &[enum_name, enum_value]
                : CodeActionTriggerKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid CodeActionTriggerKind name: " + name
        );
    }

    auto codeActionTriggerKindByValue(
        unsigned int value
    ) -> CodeActionTriggerKind
    {
        for (const auto &[enum_name, enum_value]
                : CodeActionTriggerKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid CodeActionTriggerKind value: " + std::to_string(value)
        );
    }


    const std::map<FileOperationPatternKind, std::string>
    FileOperationPatternKindNames = {
        {FileOperationPatternKind::File, "File"},
        {FileOperationPatternKind::Folder, "Folder"},
    };

    const std::map<FileOperationPatternKind, std::string>
    FileOperationPatternKindValues = {
        {FileOperationPatternKind::File, "file"},
        {FileOperationPatternKind::Folder, "folder"},
    };

    auto fileOperationPatternKindByName(
        const std::string &name
    ) -> FileOperationPatternKind
    {
        for (const auto &[enum_name, enum_value]
                : FileOperationPatternKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid FileOperationPatternKind name: " + name
        );
    }

    auto fileOperationPatternKindByValue(
        const std::string &value
    ) -> FileOperationPatternKind
    {
        for (const auto &[enum_name, enum_value]
                : FileOperationPatternKindValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid FileOperationPatternKind value: \"" + value + "\""
        );
    }

    auto isFileOperationPatternKind(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value]
                : FileOperationPatternKindValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<NotebookCellKind, std::string> NotebookCellKindNames = {
        {NotebookCellKind::Markup, "Markup"},
        {NotebookCellKind::Code, "Code"},
    };

    auto notebookCellKindByName(const std::string &name) -> NotebookCellKind
    {
        for (const auto &[enum_name, enum_value] : NotebookCellKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid NotebookCellKind name: " + name);
    }

    auto notebookCellKindByValue(unsigned int value) -> NotebookCellKind
    {
        for (const auto &[enum_name, enum_value] : NotebookCellKindNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid NotebookCellKind value: " + std::to_string(value)
        );
    }


    const std::map<ResourceOperationKind, std::string>
    ResourceOperationKindNames = {
        {ResourceOperationKind::Create, "Create"},
        {ResourceOperationKind::Rename, "Rename"},
        {ResourceOperationKind::Delete, "Delete"},
    };

    const std::map<ResourceOperationKind, std::string>
    ResourceOperationKindValues = {
        {ResourceOperationKind::Create, "create"},
        {ResourceOperationKind::Rename, "rename"},
        {ResourceOperationKind::Delete, "delete"},
    };

    auto resourceOperationKindByName(
        const std::string &name
    ) -> ResourceOperationKind
    {
        for (const auto &[enum_name, enum_value]
                : ResourceOperationKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid ResourceOperationKind name: " + name
        );
    }

    auto resourceOperationKindByValue(
        const std::string &value
    ) -> ResourceOperationKind
    {
        for (const auto &[enum_name, enum_value]
                : ResourceOperationKindValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid ResourceOperationKind value: \"" + value + "\""
        );
    }

    auto isResourceOperationKind(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value]
                : ResourceOperationKindValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<FailureHandlingKind, std::string>
    FailureHandlingKindNames = {
        {FailureHandlingKind::Abort, "Abort"},
        {FailureHandlingKind::Transactional, "Transactional"},
        {FailureHandlingKind::TextOnlyTransactional, "TextOnlyTransactional"},
        {FailureHandlingKind::Undo, "Undo"},
    };

    const std::map<FailureHandlingKind, std::string>
    FailureHandlingKindValues = {
        {FailureHandlingKind::Abort, "abort"},
        {FailureHandlingKind::Transactional, "transactional"},
        {FailureHandlingKind::TextOnlyTransactional, "textOnlyTransactional"},
        {FailureHandlingKind::Undo, "undo"},
    };

    auto failureHandlingKindByName(
        const std::string &name
    ) -> FailureHandlingKind
    {
        for (const auto &[enum_name, enum_value] : FailureHandlingKindNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid FailureHandlingKind name: " + name
        );
    }

    auto failureHandlingKindByValue(
        const std::string &value
    ) -> FailureHandlingKind
    {
        for (const auto &[enum_name, enum_value] : FailureHandlingKindValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid FailureHandlingKind value: \"" + value + "\""
        );
    }

    auto isFailureHandlingKind(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : FailureHandlingKindValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<PrepareSupportDefaultBehavior, std::string>
    PrepareSupportDefaultBehaviorNames = {
        {PrepareSupportDefaultBehavior::Identifier, "Identifier"},
    };

    auto prepareSupportDefaultBehaviorByName(
        const std::string &name
    ) -> PrepareSupportDefaultBehavior
    {
        for (const auto &[enum_name, enum_value]
                : PrepareSupportDefaultBehaviorNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid PrepareSupportDefaultBehavior name: " + name
        );
    }

    auto prepareSupportDefaultBehaviorByValue(
        unsigned int value
    ) -> PrepareSupportDefaultBehavior
    {
        for (const auto &[enum_name, enum_value]
                : PrepareSupportDefaultBehaviorNames) {
            if (value == static_cast<unsigned int>(enum_name)) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid PrepareSupportDefaultBehavior value: " + std::to_string(value)
        );
    }


    const std::map<TokenFormat, std::string> TokenFormatNames = {
        {TokenFormat::Relative, "Relative"},
    };

    const std::map<TokenFormat, std::string> TokenFormatValues = {
        {TokenFormat::Relative, "relative"},
    };

    auto tokenFormatByName(const std::string &name) -> TokenFormat
    {
        for (const auto &[enum_name, enum_value] : TokenFormatNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid TokenFormat name: " + name);
    }

    auto tokenFormatByValue(const std::string &value) -> TokenFormat
    {
        for (const auto &[enum_name, enum_value] : TokenFormatValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid TokenFormat value: \"" + value + "\""
        );
    }

    auto isTokenFormat(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : TokenFormatValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    WorkspaceSymbol_location_1::WorkspaceSymbol_location_1()
    {
        // empty
    }

    WorkspaceSymbol_location_1::WorkspaceSymbol_location_1(
        WorkspaceSymbol_location_1 &&other
    )
        : uri(std::move(other.uri))
    {
        // empty
    }

    WorkspaceSymbol_location_1::WorkspaceSymbol_location_1(
        const WorkspaceSymbol_location_1 &other
    )
        : uri(other.uri)
    {
    }

    WorkspaceSymbol_location_1::~WorkspaceSymbol_location_1()
    {
        // empty
    }

    auto WorkspaceSymbol_location_1::operator=(
        WorkspaceSymbol_location_1 &&other
    ) -> WorkspaceSymbol_location_1 &
    {
        if (this != &other) {
            uri = std::move(other.uri);
        }
        return *this;
    }

    auto WorkspaceSymbol_location_1::operator=(
        const WorkspaceSymbol_location_1 &other
    ) -> WorkspaceSymbol_location_1 &
    {
        if (this != &other) {
            uri = other.uri;
        }
        return *this;
    }

    TextDocumentIdentifier::TextDocumentIdentifier()
    {
        // empty
    }

    TextDocumentIdentifier::TextDocumentIdentifier(
        TextDocumentIdentifier &&other
    )
        : uri(std::move(other.uri))
    {
        // empty
    }

    TextDocumentIdentifier::TextDocumentIdentifier(
        const TextDocumentIdentifier &other
    )
        : uri(other.uri)
    {
    }

    TextDocumentIdentifier::~TextDocumentIdentifier()
    {
        // empty
    }

    auto TextDocumentIdentifier::operator=(
        TextDocumentIdentifier &&other
    ) -> TextDocumentIdentifier &
    {
        if (this != &other) {
            uri = std::move(other.uri);
        }
        return *this;
    }

    auto TextDocumentIdentifier::operator=(
        const TextDocumentIdentifier &other
    ) -> TextDocumentIdentifier &
    {
        if (this != &other) {
            uri = other.uri;
        }
        return *this;
    }

    DidCloseTextDocumentParams::DidCloseTextDocumentParams()
    {
        // empty
    }

    DidCloseTextDocumentParams::DidCloseTextDocumentParams(
        DidCloseTextDocumentParams &&other
    )
        : textDocument(std::move(other.textDocument))
    {
        // empty
    }

    DidCloseTextDocumentParams::DidCloseTextDocumentParams(
        const DidCloseTextDocumentParams &other
    )
        : textDocument(other.textDocument)
    {
    }

    DidCloseTextDocumentParams::~DidCloseTextDocumentParams()
    {
        // empty
    }

    auto DidCloseTextDocumentParams::operator=(
        DidCloseTextDocumentParams &&other
    ) -> DidCloseTextDocumentParams &
    {
        if (this != &other) {
            textDocument = std::move(other.textDocument);
        }
        return *this;
    }

    auto DidCloseTextDocumentParams::operator=(
        const DidCloseTextDocumentParams &other
    ) -> DidCloseTextDocumentParams &
    {
        if (this != &other) {
            textDocument = other.textDocument;
        }
        return *this;
    }

    WillSaveTextDocumentParams::WillSaveTextDocumentParams()
    {
        // empty
    }

    WillSaveTextDocumentParams::WillSaveTextDocumentParams(
        WillSaveTextDocumentParams &&other
    )
        : textDocument(std::move(other.textDocument))
        , reason(std::move(other.reason))
    {
        // empty
    }

    WillSaveTextDocumentParams::WillSaveTextDocumentParams(
        const WillSaveTextDocumentParams &other
    )
        : textDocument(other.textDocument)
        , reason(other.reason)
    {
    }

    WillSaveTextDocumentParams::~WillSaveTextDocumentParams()
    {
        // empty
    }

    auto WillSaveTextDocumentParams::operator=(
        WillSaveTextDocumentParams &&other
    ) -> WillSaveTextDocumentParams &
    {
        if (this != &other) {
            textDocument = std::move(other.textDocument);
            reason = std::move(other.reason);
        }
        return *this;
    }

    auto WillSaveTextDocumentParams::operator=(
        const WillSaveTextDocumentParams &other
    ) -> WillSaveTextDocumentParams &
    {
        if (this != &other) {
            textDocument = other.textDocument;
            reason = other.reason;
        }
        return *this;
    }

    FileEvent::FileEvent()
    {
        // empty
    }

    FileEvent::FileEvent(FileEvent &&other)
        : uri(std::move(other.uri))
        , type(std::move(other.type))
    {
        // empty
    }

    FileEvent::FileEvent(const FileEvent &other)
        : uri(other.uri)
        , type(other.type)
    {
    }

    FileEvent::~FileEvent()
    {
        // empty
    }

    auto FileEvent::operator=(FileEvent &&other) -> FileEvent &
    {
        if (this != &other) {
            uri = std::move(other.uri);
            type = std::move(other.type);
        }
        return *this;
    }

    auto FileEvent::operator=(const FileEvent &other) -> FileEvent &
    {
        if (this != &other) {
            uri = other.uri;
            type = other.type;
        }
        return *this;
    }

    DidChangeWatchedFilesParams::DidChangeWatchedFilesParams()
    {
        // empty
    }

    DidChangeWatchedFilesParams::DidChangeWatchedFilesParams(
        DidChangeWatchedFilesParams &&other
    )
        : changes(std::move(other.changes))
    {
        // empty
    }

    DidChangeWatchedFilesParams::DidChangeWatchedFilesParams(
        const DidChangeWatchedFilesParams &other
    )
    {
        changes.reserve(other.changes.size());
        for (const auto &elem_0 : other.changes) {
            changes.push_back(elem_0);
        }
    }

    DidChangeWatchedFilesParams::~DidChangeWatchedFilesParams()
    {
        // empty
    }

    auto DidChangeWatchedFilesParams::operator=(
        DidChangeWatchedFilesParams &&other
    ) -> DidChangeWatchedFilesParams &
    {
        if (this != &other) {
            changes = std::move(other.changes);
        }
        return *this;
    }

    auto DidChangeWatchedFilesParams::operator=(
        const DidChangeWatchedFilesParams &other
    ) -> DidChangeWatchedFilesParams &
    {
        if (this != &other) {
            changes.reserve(other.changes.size());
            for (const auto &elem_0 : other.changes) {
                changes.push_back(elem_0);
            }
        }
        return *this;
    }

    NotebookDocumentIdentifier::NotebookDocumentIdentifier()
    {
        // empty
    }

    NotebookDocumentIdentifier::NotebookDocumentIdentifier(
        NotebookDocumentIdentifier &&other
    )
        : uri(std::move(other.uri))
    {
        // empty
    }

    NotebookDocumentIdentifier::NotebookDocumentIdentifier(
        const NotebookDocumentIdentifier &other
    )
        : uri(other.uri)
    {
    }

    NotebookDocumentIdentifier::~NotebookDocumentIdentifier()
    {
        // empty
    }

    auto NotebookDocumentIdentifier::operator=(
        NotebookDocumentIdentifier &&other
    ) -> NotebookDocumentIdentifier &
    {
        if (this != &other) {
            uri = std::move(other.uri);
        }
        return *this;
    }

    auto NotebookDocumentIdentifier::operator=(
        const NotebookDocumentIdentifier &other
    ) -> NotebookDocumentIdentifier &
    {
        if (this != &other) {
            uri = other.uri;
        }
        return *this;
    }

    DidSaveNotebookDocumentParams::DidSaveNotebookDocumentParams()
    {
        // empty
    }

    DidSaveNotebookDocumentParams::DidSaveNotebookDocumentParams(
        DidSaveNotebookDocumentParams &&other
    )
        : notebookDocument(std::move(other.notebookDocument))
    {
        // empty
    }

    DidSaveNotebookDocumentParams::DidSaveNotebookDocumentParams(
        const DidSaveNotebookDocumentParams &other
    )
        : notebookDocument(other.notebookDocument)
    {
    }

    DidSaveNotebookDocumentParams::~DidSaveNotebookDocumentParams()
    {
        // empty
    }

    auto DidSaveNotebookDocumentParams::operator=(
        DidSaveNotebookDocumentParams &&other
    ) -> DidSaveNotebookDocumentParams &
    {
        if (this != &other) {
            notebookDocument = std::move(other.notebookDocument);
        }
        return *this;
    }

    auto DidSaveNotebookDocumentParams::operator=(
        const DidSaveNotebookDocumentParams &other
    ) -> DidSaveNotebookDocumentParams &
    {
        if (this != &other) {
            notebookDocument = other.notebookDocument;
        }
        return *this;
    }

    DidCloseNotebookDocumentParams::DidCloseNotebookDocumentParams()
    {
        // empty
    }

    DidCloseNotebookDocumentParams::DidCloseNotebookDocumentParams(
        DidCloseNotebookDocumentParams &&other
    )
        : notebookDocument(std::move(other.notebookDocument))
        , cellTextDocuments(std::move(other.cellTextDocuments))
    {
        // empty
    }

    DidCloseNotebookDocumentParams::DidCloseNotebookDocumentParams(
        const DidCloseNotebookDocumentParams &other
    )
        : notebookDocument(other.notebookDocument)
    {
        cellTextDocuments.reserve(other.cellTextDocuments.size());
        for (const auto &elem_0 : other.cellTextDocuments) {
            cellTextDocuments.push_back(elem_0);
        }
    }

    DidCloseNotebookDocumentParams::~DidCloseNotebookDocumentParams()
    {
        // empty
    }

    auto DidCloseNotebookDocumentParams::operator=(
        DidCloseNotebookDocumentParams &&other
    ) -> DidCloseNotebookDocumentParams &
    {
        if (this != &other) {
            notebookDocument = std::move(other.notebookDocument);
            cellTextDocuments = std::move(other.cellTextDocuments);
        }
        return *this;
    }

    auto DidCloseNotebookDocumentParams::operator=(
        const DidCloseNotebookDocumentParams &other
    ) -> DidCloseNotebookDocumentParams &
    {
        if (this != &other) {
            notebookDocument = other.notebookDocument;
            cellTextDocuments.reserve(other.cellTextDocuments.size());
            for (const auto &elem_0 : other.cellTextDocuments) {
                cellTextDocuments.push_back(elem_0);
            }
        }
        return *this;
    }

    CodeDescription::CodeDescription()
    {
        // empty
    }

    CodeDescription::CodeDescription(CodeDescription &&other)
        : href(std::move(other.href))
    {
        // empty
    }

    CodeDescription::CodeDescription(const CodeDescription &other)
        : href(other.href)
    {
    }

    CodeDescription::~CodeDescription()
    {
        // empty
    }

    auto CodeDescription::operator=(
        CodeDescription &&other
    ) -> CodeDescription &
    {
        if (this != &other) {
            href = std::move(other.href);
        }
        return *this;
    }

    auto CodeDescription::operator=(
        const CodeDescription &other
    ) -> CodeDescription &
    {
        if (this != &other) {
            href = other.href;
        }
        return *this;
    }

    WorkspaceFolder::WorkspaceFolder()
    {
        // empty
    }

    WorkspaceFolder::WorkspaceFolder(WorkspaceFolder &&other)
        : uri(std::move(other.uri))
        , name(std::move(other.name))
    {
        // empty
    }

    WorkspaceFolder::WorkspaceFolder(const WorkspaceFolder &other)
        : uri(other.uri)
        , name(other.name)
    {
    }

    WorkspaceFolder::~WorkspaceFolder()
    {
        // empty
    }

    auto WorkspaceFolder::operator=(
        WorkspaceFolder &&other
    ) -> WorkspaceFolder &
    {
        if (this != &other) {
            uri = std::move(other.uri);
            name = std::move(other.name);
        }
        return *this;
    }

    auto WorkspaceFolder::operator=(
        const WorkspaceFolder &other
    ) -> WorkspaceFolder &
    {
        if (this != &other) {
            uri = other.uri;
            name = other.name;
        }
        return *this;
    }

    Moniker::Moniker()
    {
        // empty
    }

    Moniker::Moniker(Moniker &&other)
        : scheme(std::move(other.scheme))
        , identifier(std::move(other.identifier))
        , unique(std::move(other.unique))
        , kind(std::move(other.kind))
    {
        // empty
    }

    Moniker::Moniker(const Moniker &other)
        : scheme(other.scheme)
        , identifier(other.identifier)
        , unique(other.unique)
    {
        if (other.kind.has_value()) {
            kind = other.kind.value();
        }
    }

    Moniker::~Moniker()
    {
        // empty
    }

    auto Moniker::operator=(Moniker &&other) -> Moniker &
    {
        if (this != &other) {
            scheme = std::move(other.scheme);
            identifier = std::move(other.identifier);
            unique = std::move(other.unique);
            kind = std::move(other.kind);
        }
        return *this;
    }

    auto Moniker::operator=(const Moniker &other) -> Moniker &
    {
        if (this != &other) {
            scheme = other.scheme;
            identifier = other.identifier;
            unique = other.unique;
            if (other.kind.has_value()) {
                kind = other.kind.value();
            }
        }
        return *this;
    }

    InitializeResult_serverInfo::InitializeResult_serverInfo()
    {
        // empty
    }

    InitializeResult_serverInfo::InitializeResult_serverInfo(
        InitializeResult_serverInfo &&other
    )
        : name(std::move(other.name))
        , version(std::move(other.version))
    {
        // empty
    }

    InitializeResult_serverInfo::InitializeResult_serverInfo(
        const InitializeResult_serverInfo &other
    )
        : name(other.name)
    {
        if (other.version.has_value()) {
            version = other.version.value();
        }
    }

    InitializeResult_serverInfo::~InitializeResult_serverInfo()
    {
        // empty
    }

    auto InitializeResult_serverInfo::operator=(
        InitializeResult_serverInfo &&other
    ) -> InitializeResult_serverInfo &
    {
        if (this != &other) {
            name = std::move(other.name);
            version = std::move(other.version);
        }
        return *this;
    }

    auto InitializeResult_serverInfo::operator=(
        const InitializeResult_serverInfo &other
    ) -> InitializeResult_serverInfo &
    {
        if (this != &other) {
            name = other.name;
            if (other.version.has_value()) {
                version = other.version.value();
            }
        }
        return *this;
    }

    const std::map<
        DidChangeConfigurationRegistrationOptions_sectionType,
        std::string
    > DidChangeConfigurationRegistrationOptions_sectionTypeNames = {
        {DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized,
         "Uninitialized"},
        {DidChangeConfigurationRegistrationOptions_sectionType::String,
         "String"},
        {DidChangeConfigurationRegistrationOptions_sectionType::StringArray,
         "StringArray"},
    };

    DidChangeConfigurationRegistrationOptions_section::DidChangeConfigurationRegistrationOptions_section()
    {
        // empty
    }

    DidChangeConfigurationRegistrationOptions_section::~DidChangeConfigurationRegistrationOptions_section()
    {
        reset();
    }

    DidChangeConfigurationRegistrationOptions_section::DidChangeConfigurationRegistrationOptions_section(
        DidChangeConfigurationRegistrationOptions_section &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case DidChangeConfigurationRegistrationOptions_sectionType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case DidChangeConfigurationRegistrationOptions_sectionType::StringArray: {
            new (&_stringArray) std::unique_ptr<DidChangeConfigurationRegistrationOptions_section_1> {
                std::move(other._stringArray)
            };
            break;
        }
        case DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized;
    }

    DidChangeConfigurationRegistrationOptions_section::DidChangeConfigurationRegistrationOptions_section(
        const DidChangeConfigurationRegistrationOptions_section &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case DidChangeConfigurationRegistrationOptions_sectionType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case DidChangeConfigurationRegistrationOptions_sectionType::StringArray: {
            _stringArray =
                std::make_unique<std::vector<string_t>>(*other._stringArray);
            break;
        }
        case DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        DidChangeConfigurationRegistrationOptions_section &&other
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DidChangeConfigurationRegistrationOptions_sectionType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case DidChangeConfigurationRegistrationOptions_sectionType::StringArray: {
                new (&_stringArray) std::unique_ptr<DidChangeConfigurationRegistrationOptions_section_1> {
                    std::move(other._stringArray)
                };
                break;
            }
            case DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized;
        }
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        const DidChangeConfigurationRegistrationOptions_section &other
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DidChangeConfigurationRegistrationOptions_sectionType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case DidChangeConfigurationRegistrationOptions_sectionType::StringArray: {
                _stringArray =
                    std::make_unique<std::vector<string_t>>(*other._stringArray);
                break;
            }
            case DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions_section::reset() -> void
    {
        switch (_type) {
        case DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized: {
            // nothing to do
            break;
        }
        case DidChangeConfigurationRegistrationOptions_sectionType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type =
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized;
            break;
        }
        case DidChangeConfigurationRegistrationOptions_sectionType::StringArray: {
#ifdef DEBUG
            if (!_stringArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _stringArray"
                );
            }
#endif // DEBUG
            _stringArray.~unique_ptr<std::vector<string_t>>();
            _type =
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized;
            break;
        }
        default: {
            _type = DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized;
        }
        }
    }

    auto DidChangeConfigurationRegistrationOptions_section::type() const
    -> const DidChangeConfigurationRegistrationOptions_sectionType &
    {
        return _type;
    }

    auto DidChangeConfigurationRegistrationOptions_section::string() const
    -> const string_t &
    {
#ifdef DEBUG
        if (_type != DidChangeConfigurationRegistrationOptions_sectionType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "DidChangeConfigurationRegistrationOptions_section::string()"
                 " of type "
                 "DidChangeConfigurationRegistrationOptions_sectionType::String"
                 " while active type is "
                 "DidChangeConfigurationRegistrationOptions_sectionType::" +
                 DidChangeConfigurationRegistrationOptions_sectionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        const std::unique_ptr<string_t> &string
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (_type !=
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = DidChangeConfigurationRegistrationOptions_sectionType::String;
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        std::unique_ptr<string_t> &&string
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (_type !=
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = DidChangeConfigurationRegistrationOptions_sectionType::String;
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        const string_t &string
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (_type !=
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = DidChangeConfigurationRegistrationOptions_sectionType::String;
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        string_t &&string
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (_type !=
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = DidChangeConfigurationRegistrationOptions_sectionType::String;
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions_section::stringArray() const
    -> const std::vector<string_t> &
    {
#ifdef DEBUG
        if (_type != DidChangeConfigurationRegistrationOptions_sectionType::StringArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "DidChangeConfigurationRegistrationOptions_section::stringArray()"
                 " of type "
                 "DidChangeConfigurationRegistrationOptions_sectionType::StringArray"
                 " while active type is "
                 "DidChangeConfigurationRegistrationOptions_sectionType::" +
                 DidChangeConfigurationRegistrationOptions_sectionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_stringArray;
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        const std::unique_ptr<std::vector<string_t>> &stringArray
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (_type !=
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!stringArray) {
            throw std::logic_error("null passed as the value of stringArray");
        }
#endif // DEBUG
        _stringArray = std::make_unique<std::vector<string_t>>(*stringArray);
        _type =
            DidChangeConfigurationRegistrationOptions_sectionType::StringArray;
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        std::unique_ptr<std::vector<string_t>> &&stringArray
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (_type !=
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!stringArray) {
            throw std::logic_error("null passed as the value of stringArray");
        }
#endif // DEBUG
        new (&_stringArray) std::unique_ptr<DidChangeConfigurationRegistrationOptions_section_1> {
            std::move(stringArray)
        };
        _type =
            DidChangeConfigurationRegistrationOptions_sectionType::StringArray;
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        const std::vector<string_t> &stringArray
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (_type !=
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized) {
            reset();
        }
        _stringArray = std::make_unique<std::vector<string_t>>(stringArray);
        _type =
            DidChangeConfigurationRegistrationOptions_sectionType::StringArray;
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions_section::operator=(
        std::vector<string_t> &&stringArray
    ) -> DidChangeConfigurationRegistrationOptions_section &
    {
        if (_type !=
                DidChangeConfigurationRegistrationOptions_sectionType::Uninitialized) {
            reset();
        }
        new (&_stringArray) std::unique_ptr<DidChangeConfigurationRegistrationOptions_section_1> {
            std::make_unique<DidChangeConfigurationRegistrationOptions_section_1>(std::move(stringArray))
        };
        _type =
            DidChangeConfigurationRegistrationOptions_sectionType::StringArray;
        return *this;
    }

    DidChangeConfigurationRegistrationOptions::DidChangeConfigurationRegistrationOptions()
    {
        // empty
    }

    DidChangeConfigurationRegistrationOptions::DidChangeConfigurationRegistrationOptions(
        DidChangeConfigurationRegistrationOptions &&other
    )
        : section(std::move(other.section))
    {
        // empty
    }

    DidChangeConfigurationRegistrationOptions::DidChangeConfigurationRegistrationOptions(
        const DidChangeConfigurationRegistrationOptions &other
    )
    {
        if (other.section.has_value()) {
            section = other.section.value();
        }
    }

    DidChangeConfigurationRegistrationOptions::~DidChangeConfigurationRegistrationOptions()
    {
        // empty
    }

    auto DidChangeConfigurationRegistrationOptions::operator=(
        DidChangeConfigurationRegistrationOptions &&other
    ) -> DidChangeConfigurationRegistrationOptions &
    {
        if (this != &other) {
            section = std::move(other.section);
        }
        return *this;
    }

    auto DidChangeConfigurationRegistrationOptions::operator=(
        const DidChangeConfigurationRegistrationOptions &other
    ) -> DidChangeConfigurationRegistrationOptions &
    {
        if (this != &other) {
            if (other.section.has_value()) {
                section = other.section.value();
            }
        }
        return *this;
    }

    ShowMessageParams::ShowMessageParams()
    {
        // empty
    }

    ShowMessageParams::ShowMessageParams(ShowMessageParams &&other)
        : type(std::move(other.type))
        , message(std::move(other.message))
    {
        // empty
    }

    ShowMessageParams::ShowMessageParams(const ShowMessageParams &other)
        : type(other.type)
        , message(other.message)
    {
    }

    ShowMessageParams::~ShowMessageParams()
    {
        // empty
    }

    auto ShowMessageParams::operator=(
        ShowMessageParams &&other
    ) -> ShowMessageParams &
    {
        if (this != &other) {
            type = std::move(other.type);
            message = std::move(other.message);
        }
        return *this;
    }

    auto ShowMessageParams::operator=(
        const ShowMessageParams &other
    ) -> ShowMessageParams &
    {
        if (this != &other) {
            type = other.type;
            message = other.message;
        }
        return *this;
    }

    MessageActionItem::MessageActionItem()
    {
        // empty
    }

    MessageActionItem::MessageActionItem(MessageActionItem &&other)
        : title(std::move(other.title))
    {
        // empty
    }

    MessageActionItem::MessageActionItem(const MessageActionItem &other)
        : title(other.title)
    {
    }

    MessageActionItem::~MessageActionItem()
    {
        // empty
    }

    auto MessageActionItem::operator=(
        MessageActionItem &&other
    ) -> MessageActionItem &
    {
        if (this != &other) {
            title = std::move(other.title);
        }
        return *this;
    }

    auto MessageActionItem::operator=(
        const MessageActionItem &other
    ) -> MessageActionItem &
    {
        if (this != &other) {
            title = other.title;
        }
        return *this;
    }

    ShowMessageRequestParams::ShowMessageRequestParams()
    {
        // empty
    }

    ShowMessageRequestParams::ShowMessageRequestParams(
        ShowMessageRequestParams &&other
    )
        : type(std::move(other.type))
        , message(std::move(other.message))
        , actions(std::move(other.actions))
    {
        // empty
    }

    ShowMessageRequestParams::ShowMessageRequestParams(
        const ShowMessageRequestParams &other
    )
        : type(other.type)
        , message(other.message)
    {
        if (other.actions.has_value()) {
            auto &array_0 = actions.emplace();
            const auto &array_1 = other.actions.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
    }

    ShowMessageRequestParams::~ShowMessageRequestParams()
    {
        // empty
    }

    auto ShowMessageRequestParams::operator=(
        ShowMessageRequestParams &&other
    ) -> ShowMessageRequestParams &
    {
        if (this != &other) {
            type = std::move(other.type);
            message = std::move(other.message);
            actions = std::move(other.actions);
        }
        return *this;
    }

    auto ShowMessageRequestParams::operator=(
        const ShowMessageRequestParams &other
    ) -> ShowMessageRequestParams &
    {
        if (this != &other) {
            type = other.type;
            message = other.message;
            if (other.actions.has_value()) {
                auto &array_0 = actions.emplace();
                const auto &array_1 = other.actions.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
        }
        return *this;
    }

    LogMessageParams::LogMessageParams()
    {
        // empty
    }

    LogMessageParams::LogMessageParams(LogMessageParams &&other)
        : type(std::move(other.type))
        , message(std::move(other.message))
    {
        // empty
    }

    LogMessageParams::LogMessageParams(const LogMessageParams &other)
        : type(other.type)
        , message(other.message)
    {
    }

    LogMessageParams::~LogMessageParams()
    {
        // empty
    }

    auto LogMessageParams::operator=(
        LogMessageParams &&other
    ) -> LogMessageParams &
    {
        if (this != &other) {
            type = std::move(other.type);
            message = std::move(other.message);
        }
        return *this;
    }

    auto LogMessageParams::operator=(
        const LogMessageParams &other
    ) -> LogMessageParams &
    {
        if (this != &other) {
            type = other.type;
            message = other.message;
        }
        return *this;
    }

    DidSaveTextDocumentParams::DidSaveTextDocumentParams()
    {
        // empty
    }

    DidSaveTextDocumentParams::DidSaveTextDocumentParams(
        DidSaveTextDocumentParams &&other
    )
        : textDocument(std::move(other.textDocument))
        , text(std::move(other.text))
    {
        // empty
    }

    DidSaveTextDocumentParams::DidSaveTextDocumentParams(
        const DidSaveTextDocumentParams &other
    )
        : textDocument(other.textDocument)
    {
        if (other.text.has_value()) {
            text = other.text.value();
        }
    }

    DidSaveTextDocumentParams::~DidSaveTextDocumentParams()
    {
        // empty
    }

    auto DidSaveTextDocumentParams::operator=(
        DidSaveTextDocumentParams &&other
    ) -> DidSaveTextDocumentParams &
    {
        if (this != &other) {
            textDocument = std::move(other.textDocument);
            text = std::move(other.text);
        }
        return *this;
    }

    auto DidSaveTextDocumentParams::operator=(
        const DidSaveTextDocumentParams &other
    ) -> DidSaveTextDocumentParams &
    {
        if (this != &other) {
            textDocument = other.textDocument;
            if (other.text.has_value()) {
                text = other.text.value();
            }
        }
        return *this;
    }

    CodeAction_disabled::CodeAction_disabled()
    {
        // empty
    }

    CodeAction_disabled::CodeAction_disabled(CodeAction_disabled &&other)
        : reason(std::move(other.reason))
    {
        // empty
    }

    CodeAction_disabled::CodeAction_disabled(const CodeAction_disabled &other)
        : reason(other.reason)
    {
    }

    CodeAction_disabled::~CodeAction_disabled()
    {
        // empty
    }

    auto CodeAction_disabled::operator=(
        CodeAction_disabled &&other
    ) -> CodeAction_disabled &
    {
        if (this != &other) {
            reason = std::move(other.reason);
        }
        return *this;
    }

    auto CodeAction_disabled::operator=(
        const CodeAction_disabled &other
    ) -> CodeAction_disabled &
    {
        if (this != &other) {
            reason = other.reason;
        }
        return *this;
    }

    WorkDoneProgressEnd::WorkDoneProgressEnd()
    {
        // empty
    }

    WorkDoneProgressEnd::WorkDoneProgressEnd(WorkDoneProgressEnd &&other)
        : kind(std::move(other.kind))
        , message(std::move(other.message))
    {
        // empty
    }

    WorkDoneProgressEnd::WorkDoneProgressEnd(const WorkDoneProgressEnd &other)
    {
        if (other.message.has_value()) {
            message = other.message.value();
        }
    }

    WorkDoneProgressEnd::~WorkDoneProgressEnd()
    {
        // empty
    }

    auto WorkDoneProgressEnd::operator=(
        WorkDoneProgressEnd &&other
    ) -> WorkDoneProgressEnd &
    {
        if (this != &other) {
            kind = std::move(other.kind);
            message = std::move(other.message);
        }
        return *this;
    }

    auto WorkDoneProgressEnd::operator=(
        const WorkDoneProgressEnd &other
    ) -> WorkDoneProgressEnd &
    {
        if (this != &other) {
            if (other.message.has_value()) {
                message = other.message.value();
            }
        }
        return *this;
    }

    LogTraceParams::LogTraceParams()
    {
        // empty
    }

    LogTraceParams::LogTraceParams(LogTraceParams &&other)
        : message(std::move(other.message))
        , verbose(std::move(other.verbose))
    {
        // empty
    }

    LogTraceParams::LogTraceParams(const LogTraceParams &other)
        : message(other.message)
    {
        if (other.verbose.has_value()) {
            verbose = other.verbose.value();
        }
    }

    LogTraceParams::~LogTraceParams()
    {
        // empty
    }

    auto LogTraceParams::operator=(LogTraceParams &&other) -> LogTraceParams &
    {
        if (this != &other) {
            message = std::move(other.message);
            verbose = std::move(other.verbose);
        }
        return *this;
    }

    auto LogTraceParams::operator=(
        const LogTraceParams &other
    ) -> LogTraceParams &
    {
        if (this != &other) {
            message = other.message;
            if (other.verbose.has_value()) {
                verbose = other.verbose.value();
            }
        }
        return *this;
    }

    StaticRegistrationOptions::StaticRegistrationOptions()
    {
        // empty
    }

    StaticRegistrationOptions::StaticRegistrationOptions(
        StaticRegistrationOptions &&other
    )
        : id(std::move(other.id))
    {
        // empty
    }

    StaticRegistrationOptions::StaticRegistrationOptions(
        const StaticRegistrationOptions &other
    )
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    StaticRegistrationOptions::~StaticRegistrationOptions()
    {
        // empty
    }

    auto StaticRegistrationOptions::operator=(
        StaticRegistrationOptions &&other
    ) -> StaticRegistrationOptions &
    {
        if (this != &other) {
            id = std::move(other.id);
        }
        return *this;
    }

    auto StaticRegistrationOptions::operator=(
        const StaticRegistrationOptions &other
    ) -> StaticRegistrationOptions &
    {
        if (this != &other) {
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    WorkspaceFoldersChangeEvent::WorkspaceFoldersChangeEvent()
    {
        // empty
    }

    WorkspaceFoldersChangeEvent::WorkspaceFoldersChangeEvent(
        WorkspaceFoldersChangeEvent &&other
    )
        : added(std::move(other.added))
        , removed(std::move(other.removed))
    {
        // empty
    }

    WorkspaceFoldersChangeEvent::WorkspaceFoldersChangeEvent(
        const WorkspaceFoldersChangeEvent &other
    )
    {
        added.reserve(other.added.size());
        for (const auto &elem_0 : other.added) {
            added.push_back(elem_0);
        }
        removed.reserve(other.removed.size());
        for (const auto &elem_1 : other.removed) {
            removed.push_back(elem_1);
        }
    }

    WorkspaceFoldersChangeEvent::~WorkspaceFoldersChangeEvent()
    {
        // empty
    }

    auto WorkspaceFoldersChangeEvent::operator=(
        WorkspaceFoldersChangeEvent &&other
    ) -> WorkspaceFoldersChangeEvent &
    {
        if (this != &other) {
            added = std::move(other.added);
            removed = std::move(other.removed);
        }
        return *this;
    }

    auto WorkspaceFoldersChangeEvent::operator=(
        const WorkspaceFoldersChangeEvent &other
    ) -> WorkspaceFoldersChangeEvent &
    {
        if (this != &other) {
            added.reserve(other.added.size());
            for (const auto &elem_0 : other.added) {
                added.push_back(elem_0);
            }
            removed.reserve(other.removed.size());
            for (const auto &elem_1 : other.removed) {
                removed.push_back(elem_1);
            }
        }
        return *this;
    }

    DidChangeWorkspaceFoldersParams::DidChangeWorkspaceFoldersParams()
    {
        // empty
    }

    DidChangeWorkspaceFoldersParams::DidChangeWorkspaceFoldersParams(
        DidChangeWorkspaceFoldersParams &&other
    )
        : event(std::move(other.event))
    {
        // empty
    }

    DidChangeWorkspaceFoldersParams::DidChangeWorkspaceFoldersParams(
        const DidChangeWorkspaceFoldersParams &other
    )
        : event(other.event)
    {
    }

    DidChangeWorkspaceFoldersParams::~DidChangeWorkspaceFoldersParams()
    {
        // empty
    }

    auto DidChangeWorkspaceFoldersParams::operator=(
        DidChangeWorkspaceFoldersParams &&other
    ) -> DidChangeWorkspaceFoldersParams &
    {
        if (this != &other) {
            event = std::move(other.event);
        }
        return *this;
    }

    auto DidChangeWorkspaceFoldersParams::operator=(
        const DidChangeWorkspaceFoldersParams &other
    ) -> DidChangeWorkspaceFoldersParams &
    {
        if (this != &other) {
            event = other.event;
        }
        return *this;
    }

    ConfigurationItem::ConfigurationItem()
    {
        // empty
    }

    ConfigurationItem::ConfigurationItem(ConfigurationItem &&other)
        : scopeUri(std::move(other.scopeUri))
        , section(std::move(other.section))
    {
        // empty
    }

    ConfigurationItem::ConfigurationItem(const ConfigurationItem &other)
    {
        if (other.scopeUri.has_value()) {
            scopeUri = other.scopeUri.value();
        }
        if (other.section.has_value()) {
            section = other.section.value();
        }
    }

    ConfigurationItem::~ConfigurationItem()
    {
        // empty
    }

    auto ConfigurationItem::operator=(
        ConfigurationItem &&other
    ) -> ConfigurationItem &
    {
        if (this != &other) {
            scopeUri = std::move(other.scopeUri);
            section = std::move(other.section);
        }
        return *this;
    }

    auto ConfigurationItem::operator=(
        const ConfigurationItem &other
    ) -> ConfigurationItem &
    {
        if (this != &other) {
            if (other.scopeUri.has_value()) {
                scopeUri = other.scopeUri.value();
            }
            if (other.section.has_value()) {
                section = other.section.value();
            }
        }
        return *this;
    }

    ConfigurationParams::ConfigurationParams()
    {
        // empty
    }

    ConfigurationParams::ConfigurationParams(ConfigurationParams &&other)
        : items(std::move(other.items))
    {
        // empty
    }

    ConfigurationParams::ConfigurationParams(const ConfigurationParams &other)
    {
        items.reserve(other.items.size());
        for (const auto &elem_0 : other.items) {
            items.push_back(elem_0);
        }
    }

    ConfigurationParams::~ConfigurationParams()
    {
        // empty
    }

    auto ConfigurationParams::operator=(
        ConfigurationParams &&other
    ) -> ConfigurationParams &
    {
        if (this != &other) {
            items = std::move(other.items);
        }
        return *this;
    }

    auto ConfigurationParams::operator=(
        const ConfigurationParams &other
    ) -> ConfigurationParams &
    {
        if (this != &other) {
            items.reserve(other.items.size());
            for (const auto &elem_0 : other.items) {
                items.push_back(elem_0);
            }
        }
        return *this;
    }

    FileCreate::FileCreate()
    {
        // empty
    }

    FileCreate::FileCreate(FileCreate &&other)
        : uri(std::move(other.uri))
    {
        // empty
    }

    FileCreate::FileCreate(const FileCreate &other)
        : uri(other.uri)
    {
    }

    FileCreate::~FileCreate()
    {
        // empty
    }

    auto FileCreate::operator=(FileCreate &&other) -> FileCreate &
    {
        if (this != &other) {
            uri = std::move(other.uri);
        }
        return *this;
    }

    auto FileCreate::operator=(const FileCreate &other) -> FileCreate &
    {
        if (this != &other) {
            uri = other.uri;
        }
        return *this;
    }

    CreateFilesParams::CreateFilesParams()
    {
        // empty
    }

    CreateFilesParams::CreateFilesParams(CreateFilesParams &&other)
        : files(std::move(other.files))
    {
        // empty
    }

    CreateFilesParams::CreateFilesParams(const CreateFilesParams &other)
    {
        files.reserve(other.files.size());
        for (const auto &elem_0 : other.files) {
            files.push_back(elem_0);
        }
    }

    CreateFilesParams::~CreateFilesParams()
    {
        // empty
    }

    auto CreateFilesParams::operator=(
        CreateFilesParams &&other
    ) -> CreateFilesParams &
    {
        if (this != &other) {
            files = std::move(other.files);
        }
        return *this;
    }

    auto CreateFilesParams::operator=(
        const CreateFilesParams &other
    ) -> CreateFilesParams &
    {
        if (this != &other) {
            files.reserve(other.files.size());
            for (const auto &elem_0 : other.files) {
                files.push_back(elem_0);
            }
        }
        return *this;
    }

    FileRename::FileRename()
    {
        // empty
    }

    FileRename::FileRename(FileRename &&other)
        : oldUri(std::move(other.oldUri))
        , newUri(std::move(other.newUri))
    {
        // empty
    }

    FileRename::FileRename(const FileRename &other)
        : oldUri(other.oldUri)
        , newUri(other.newUri)
    {
    }

    FileRename::~FileRename()
    {
        // empty
    }

    auto FileRename::operator=(FileRename &&other) -> FileRename &
    {
        if (this != &other) {
            oldUri = std::move(other.oldUri);
            newUri = std::move(other.newUri);
        }
        return *this;
    }

    auto FileRename::operator=(const FileRename &other) -> FileRename &
    {
        if (this != &other) {
            oldUri = other.oldUri;
            newUri = other.newUri;
        }
        return *this;
    }

    RenameFilesParams::RenameFilesParams()
    {
        // empty
    }

    RenameFilesParams::RenameFilesParams(RenameFilesParams &&other)
        : files(std::move(other.files))
    {
        // empty
    }

    RenameFilesParams::RenameFilesParams(const RenameFilesParams &other)
    {
        files.reserve(other.files.size());
        for (const auto &elem_0 : other.files) {
            files.push_back(elem_0);
        }
    }

    RenameFilesParams::~RenameFilesParams()
    {
        // empty
    }

    auto RenameFilesParams::operator=(
        RenameFilesParams &&other
    ) -> RenameFilesParams &
    {
        if (this != &other) {
            files = std::move(other.files);
        }
        return *this;
    }

    auto RenameFilesParams::operator=(
        const RenameFilesParams &other
    ) -> RenameFilesParams &
    {
        if (this != &other) {
            files.reserve(other.files.size());
            for (const auto &elem_0 : other.files) {
                files.push_back(elem_0);
            }
        }
        return *this;
    }

    FileDelete::FileDelete()
    {
        // empty
    }

    FileDelete::FileDelete(FileDelete &&other)
        : uri(std::move(other.uri))
    {
        // empty
    }

    FileDelete::FileDelete(const FileDelete &other)
        : uri(other.uri)
    {
    }

    FileDelete::~FileDelete()
    {
        // empty
    }

    auto FileDelete::operator=(FileDelete &&other) -> FileDelete &
    {
        if (this != &other) {
            uri = std::move(other.uri);
        }
        return *this;
    }

    auto FileDelete::operator=(const FileDelete &other) -> FileDelete &
    {
        if (this != &other) {
            uri = other.uri;
        }
        return *this;
    }

    DeleteFilesParams::DeleteFilesParams()
    {
        // empty
    }

    DeleteFilesParams::DeleteFilesParams(DeleteFilesParams &&other)
        : files(std::move(other.files))
    {
        // empty
    }

    DeleteFilesParams::DeleteFilesParams(const DeleteFilesParams &other)
    {
        files.reserve(other.files.size());
        for (const auto &elem_0 : other.files) {
            files.push_back(elem_0);
        }
    }

    DeleteFilesParams::~DeleteFilesParams()
    {
        // empty
    }

    auto DeleteFilesParams::operator=(
        DeleteFilesParams &&other
    ) -> DeleteFilesParams &
    {
        if (this != &other) {
            files = std::move(other.files);
        }
        return *this;
    }

    auto DeleteFilesParams::operator=(
        const DeleteFilesParams &other
    ) -> DeleteFilesParams &
    {
        if (this != &other) {
            files.reserve(other.files.size());
            for (const auto &elem_0 : other.files) {
                files.push_back(elem_0);
            }
        }
        return *this;
    }

    MarkupContent::MarkupContent()
    {
        // empty
    }

    MarkupContent::MarkupContent(MarkupContent &&other)
        : kind(std::move(other.kind))
        , value(std::move(other.value))
    {
        // empty
    }

    MarkupContent::MarkupContent(const MarkupContent &other)
        : kind(other.kind)
        , value(other.value)
    {
    }

    MarkupContent::~MarkupContent()
    {
        // empty
    }

    auto MarkupContent::operator=(MarkupContent &&other) -> MarkupContent &
    {
        if (this != &other) {
            kind = std::move(other.kind);
            value = std::move(other.value);
        }
        return *this;
    }

    auto MarkupContent::operator=(
        const MarkupContent &other
    ) -> MarkupContent &
    {
        if (this != &other) {
            kind = other.kind;
            value = other.value;
        }
        return *this;
    }

    const std::map<InlayHint_tooltipType, std::string>
    InlayHint_tooltipTypeNames = {
        {InlayHint_tooltipType::Uninitialized, "Uninitialized"},
        {InlayHint_tooltipType::String, "String"},
        {InlayHint_tooltipType::MarkupContent, "MarkupContent"},
    };

    InlayHint_tooltip::InlayHint_tooltip()
    {
        // empty
    }

    InlayHint_tooltip::~InlayHint_tooltip()
    {
        reset();
    }

    InlayHint_tooltip::InlayHint_tooltip(InlayHint_tooltip &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case InlayHint_tooltipType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case InlayHint_tooltipType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::move(other._markupContent)
            };
            break;
        }
        case InlayHint_tooltipType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = InlayHint_tooltipType::Uninitialized;
    }

    InlayHint_tooltip::InlayHint_tooltip(const InlayHint_tooltip &other)
        : _type(other._type)
    {
        switch (other._type) {
        case InlayHint_tooltipType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case InlayHint_tooltipType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::make_unique<MarkupContent>(*other._markupContent)
            };
            break;
        }
        case InlayHint_tooltipType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto InlayHint_tooltip::operator=(
        InlayHint_tooltip &&other
    ) -> InlayHint_tooltip &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlayHint_tooltipType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case InlayHint_tooltipType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::move(other._markupContent)
                };
                break;
            }
            case InlayHint_tooltipType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = InlayHint_tooltipType::Uninitialized;
        }
        return *this;
    }

    auto InlayHint_tooltip::operator=(
        const InlayHint_tooltip &other
    ) -> InlayHint_tooltip &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlayHint_tooltipType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case InlayHint_tooltipType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::make_unique<MarkupContent>(*other._markupContent)
                };
                break;
            }
            case InlayHint_tooltipType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto InlayHint_tooltip::reset() -> void
    {
        switch (_type) {
        case InlayHint_tooltipType::Uninitialized: {
            // nothing to do
            break;
        }
        case InlayHint_tooltipType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = InlayHint_tooltipType::Uninitialized;
            break;
        }
        case InlayHint_tooltipType::MarkupContent: {
#ifdef DEBUG
            if (!_markupContent) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _markupContent"
                );
            }
#endif // DEBUG
            _markupContent.~unique_ptr<MarkupContent>();
            _type = InlayHint_tooltipType::Uninitialized;
            break;
        }
        default: {
            _type = InlayHint_tooltipType::Uninitialized;
        }
        }
    }

    auto InlayHint_tooltip::type() const -> const InlayHint_tooltipType &
    {
        return _type;
    }

    auto InlayHint_tooltip::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != InlayHint_tooltipType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlayHint_tooltip::string()"
                 " of type "
                 "InlayHint_tooltipType::String"
                 " while active type is "
                 "InlayHint_tooltipType::" +
                 InlayHint_tooltipTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto InlayHint_tooltip::operator=(
        const std::unique_ptr<string_t> &string
    ) -> InlayHint_tooltip &
    {
        if (_type != InlayHint_tooltipType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = InlayHint_tooltipType::String;
        return *this;
    }

    auto InlayHint_tooltip::operator=(
        std::unique_ptr<string_t> &&string
    ) -> InlayHint_tooltip &
    {
        if (_type != InlayHint_tooltipType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = InlayHint_tooltipType::String;
        return *this;
    }

    auto InlayHint_tooltip::operator=(
        const string_t &string
    ) -> InlayHint_tooltip &
    {
        if (_type != InlayHint_tooltipType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = InlayHint_tooltipType::String;
        return *this;
    }

    auto InlayHint_tooltip::operator=(string_t &&string) -> InlayHint_tooltip &
    {
        if (_type != InlayHint_tooltipType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = InlayHint_tooltipType::String;
        return *this;
    }

    auto InlayHint_tooltip::markupContent() const -> const MarkupContent &
    {
#ifdef DEBUG
        if (_type != InlayHint_tooltipType::MarkupContent) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlayHint_tooltip::markupContent()"
                 " of type "
                 "InlayHint_tooltipType::MarkupContent"
                 " while active type is "
                 "InlayHint_tooltipType::" +
                 InlayHint_tooltipTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_markupContent;
    }

    auto InlayHint_tooltip::operator=(
        const std::unique_ptr<MarkupContent> &markupContent
    ) -> InlayHint_tooltip &
    {
        if (_type != InlayHint_tooltipType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(*markupContent)
        };
        _type = InlayHint_tooltipType::MarkupContent;
        return *this;
    }

    auto InlayHint_tooltip::operator=(
        std::unique_ptr<MarkupContent> &&markupContent
    ) -> InlayHint_tooltip &
    {
        if (_type != InlayHint_tooltipType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::move(markupContent)
        };
        _type = InlayHint_tooltipType::MarkupContent;
        return *this;
    }

    auto InlayHint_tooltip::operator=(
        const MarkupContent &markupContent
    ) -> InlayHint_tooltip &
    {
        if (_type != InlayHint_tooltipType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(markupContent)
        };
        _type = InlayHint_tooltipType::MarkupContent;
        return *this;
    }

    auto InlayHint_tooltip::operator=(
        MarkupContent &&markupContent
    ) -> InlayHint_tooltip &
    {
        if (_type != InlayHint_tooltipType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(std::move(markupContent))
        };
        _type = InlayHint_tooltipType::MarkupContent;
        return *this;
    }

    const std::map<CompletionItem_documentationType, std::string>
    CompletionItem_documentationTypeNames = {
        {CompletionItem_documentationType::Uninitialized, "Uninitialized"},
        {CompletionItem_documentationType::String, "String"},
        {CompletionItem_documentationType::MarkupContent, "MarkupContent"},
    };

    CompletionItem_documentation::CompletionItem_documentation()
    {
        // empty
    }

    CompletionItem_documentation::~CompletionItem_documentation()
    {
        reset();
    }

    CompletionItem_documentation::CompletionItem_documentation(
        CompletionItem_documentation &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CompletionItem_documentationType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case CompletionItem_documentationType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::move(other._markupContent)
            };
            break;
        }
        case CompletionItem_documentationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = CompletionItem_documentationType::Uninitialized;
    }

    CompletionItem_documentation::CompletionItem_documentation(
        const CompletionItem_documentation &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CompletionItem_documentationType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case CompletionItem_documentationType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::make_unique<MarkupContent>(*other._markupContent)
            };
            break;
        }
        case CompletionItem_documentationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto CompletionItem_documentation::operator=(
        CompletionItem_documentation &&other
    ) -> CompletionItem_documentation &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CompletionItem_documentationType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case CompletionItem_documentationType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::move(other._markupContent)
                };
                break;
            }
            case CompletionItem_documentationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = CompletionItem_documentationType::Uninitialized;
        }
        return *this;
    }

    auto CompletionItem_documentation::operator=(
        const CompletionItem_documentation &other
    ) -> CompletionItem_documentation &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CompletionItem_documentationType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case CompletionItem_documentationType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::make_unique<MarkupContent>(*other._markupContent)
                };
                break;
            }
            case CompletionItem_documentationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto CompletionItem_documentation::reset() -> void
    {
        switch (_type) {
        case CompletionItem_documentationType::Uninitialized: {
            // nothing to do
            break;
        }
        case CompletionItem_documentationType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = CompletionItem_documentationType::Uninitialized;
            break;
        }
        case CompletionItem_documentationType::MarkupContent: {
#ifdef DEBUG
            if (!_markupContent) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _markupContent"
                );
            }
#endif // DEBUG
            _markupContent.~unique_ptr<MarkupContent>();
            _type = CompletionItem_documentationType::Uninitialized;
            break;
        }
        default: {
            _type = CompletionItem_documentationType::Uninitialized;
        }
        }
    }

    auto CompletionItem_documentation::type() const
    -> const CompletionItem_documentationType &
    {
        return _type;
    }

    auto CompletionItem_documentation::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != CompletionItem_documentationType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "CompletionItem_documentation::string()"
                 " of type "
                 "CompletionItem_documentationType::String"
                 " while active type is "
                 "CompletionItem_documentationType::" +
                 CompletionItem_documentationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto CompletionItem_documentation::operator=(
        const std::unique_ptr<string_t> &string
    ) -> CompletionItem_documentation &
    {
        if (_type != CompletionItem_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = CompletionItem_documentationType::String;
        return *this;
    }

    auto CompletionItem_documentation::operator=(
        std::unique_ptr<string_t> &&string
    ) -> CompletionItem_documentation &
    {
        if (_type != CompletionItem_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = CompletionItem_documentationType::String;
        return *this;
    }

    auto CompletionItem_documentation::operator=(
        const string_t &string
    ) -> CompletionItem_documentation &
    {
        if (_type != CompletionItem_documentationType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = CompletionItem_documentationType::String;
        return *this;
    }

    auto CompletionItem_documentation::operator=(
        string_t &&string
    ) -> CompletionItem_documentation &
    {
        if (_type != CompletionItem_documentationType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = CompletionItem_documentationType::String;
        return *this;
    }

    auto CompletionItem_documentation::markupContent() const
    -> const MarkupContent &
    {
#ifdef DEBUG
        if (_type != CompletionItem_documentationType::MarkupContent) {
            throw std::logic_error(
                ("Attempted to access "
                 "CompletionItem_documentation::markupContent()"
                 " of type "
                 "CompletionItem_documentationType::MarkupContent"
                 " while active type is "
                 "CompletionItem_documentationType::" +
                 CompletionItem_documentationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_markupContent;
    }

    auto CompletionItem_documentation::operator=(
        const std::unique_ptr<MarkupContent> &markupContent
    ) -> CompletionItem_documentation &
    {
        if (_type != CompletionItem_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(*markupContent)
        };
        _type = CompletionItem_documentationType::MarkupContent;
        return *this;
    }

    auto CompletionItem_documentation::operator=(
        std::unique_ptr<MarkupContent> &&markupContent
    ) -> CompletionItem_documentation &
    {
        if (_type != CompletionItem_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::move(markupContent)
        };
        _type = CompletionItem_documentationType::MarkupContent;
        return *this;
    }

    auto CompletionItem_documentation::operator=(
        const MarkupContent &markupContent
    ) -> CompletionItem_documentation &
    {
        if (_type != CompletionItem_documentationType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(markupContent)
        };
        _type = CompletionItem_documentationType::MarkupContent;
        return *this;
    }

    auto CompletionItem_documentation::operator=(
        MarkupContent &&markupContent
    ) -> CompletionItem_documentation &
    {
        if (_type != CompletionItem_documentationType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(std::move(markupContent))
        };
        _type = CompletionItem_documentationType::MarkupContent;
        return *this;
    }

    const std::map<InlayHintLabelPart_tooltipType, std::string>
    InlayHintLabelPart_tooltipTypeNames = {
        {InlayHintLabelPart_tooltipType::Uninitialized, "Uninitialized"},
        {InlayHintLabelPart_tooltipType::String, "String"},
        {InlayHintLabelPart_tooltipType::MarkupContent, "MarkupContent"},
    };

    InlayHintLabelPart_tooltip::InlayHintLabelPart_tooltip()
    {
        // empty
    }

    InlayHintLabelPart_tooltip::~InlayHintLabelPart_tooltip()
    {
        reset();
    }

    InlayHintLabelPart_tooltip::InlayHintLabelPart_tooltip(
        InlayHintLabelPart_tooltip &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case InlayHintLabelPart_tooltipType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case InlayHintLabelPart_tooltipType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::move(other._markupContent)
            };
            break;
        }
        case InlayHintLabelPart_tooltipType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = InlayHintLabelPart_tooltipType::Uninitialized;
    }

    InlayHintLabelPart_tooltip::InlayHintLabelPart_tooltip(
        const InlayHintLabelPart_tooltip &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case InlayHintLabelPart_tooltipType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case InlayHintLabelPart_tooltipType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::make_unique<MarkupContent>(*other._markupContent)
            };
            break;
        }
        case InlayHintLabelPart_tooltipType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto InlayHintLabelPart_tooltip::operator=(
        InlayHintLabelPart_tooltip &&other
    ) -> InlayHintLabelPart_tooltip &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlayHintLabelPart_tooltipType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case InlayHintLabelPart_tooltipType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::move(other._markupContent)
                };
                break;
            }
            case InlayHintLabelPart_tooltipType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = InlayHintLabelPart_tooltipType::Uninitialized;
        }
        return *this;
    }

    auto InlayHintLabelPart_tooltip::operator=(
        const InlayHintLabelPart_tooltip &other
    ) -> InlayHintLabelPart_tooltip &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlayHintLabelPart_tooltipType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case InlayHintLabelPart_tooltipType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::make_unique<MarkupContent>(*other._markupContent)
                };
                break;
            }
            case InlayHintLabelPart_tooltipType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto InlayHintLabelPart_tooltip::reset() -> void
    {
        switch (_type) {
        case InlayHintLabelPart_tooltipType::Uninitialized: {
            // nothing to do
            break;
        }
        case InlayHintLabelPart_tooltipType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = InlayHintLabelPart_tooltipType::Uninitialized;
            break;
        }
        case InlayHintLabelPart_tooltipType::MarkupContent: {
#ifdef DEBUG
            if (!_markupContent) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _markupContent"
                );
            }
#endif // DEBUG
            _markupContent.~unique_ptr<MarkupContent>();
            _type = InlayHintLabelPart_tooltipType::Uninitialized;
            break;
        }
        default: {
            _type = InlayHintLabelPart_tooltipType::Uninitialized;
        }
        }
    }

    auto InlayHintLabelPart_tooltip::type() const
    -> const InlayHintLabelPart_tooltipType &
    {
        return _type;
    }

    auto InlayHintLabelPart_tooltip::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != InlayHintLabelPart_tooltipType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlayHintLabelPart_tooltip::string()"
                 " of type "
                 "InlayHintLabelPart_tooltipType::String"
                 " while active type is "
                 "InlayHintLabelPart_tooltipType::" +
                 InlayHintLabelPart_tooltipTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto InlayHintLabelPart_tooltip::operator=(
        const std::unique_ptr<string_t> &string
    ) -> InlayHintLabelPart_tooltip &
    {
        if (_type != InlayHintLabelPart_tooltipType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = InlayHintLabelPart_tooltipType::String;
        return *this;
    }

    auto InlayHintLabelPart_tooltip::operator=(
        std::unique_ptr<string_t> &&string
    ) -> InlayHintLabelPart_tooltip &
    {
        if (_type != InlayHintLabelPart_tooltipType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = InlayHintLabelPart_tooltipType::String;
        return *this;
    }

    auto InlayHintLabelPart_tooltip::operator=(
        const string_t &string
    ) -> InlayHintLabelPart_tooltip &
    {
        if (_type != InlayHintLabelPart_tooltipType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = InlayHintLabelPart_tooltipType::String;
        return *this;
    }

    auto InlayHintLabelPart_tooltip::operator=(
        string_t &&string
    ) -> InlayHintLabelPart_tooltip &
    {
        if (_type != InlayHintLabelPart_tooltipType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = InlayHintLabelPart_tooltipType::String;
        return *this;
    }

    auto InlayHintLabelPart_tooltip::markupContent() const
    -> const MarkupContent &
    {
#ifdef DEBUG
        if (_type != InlayHintLabelPart_tooltipType::MarkupContent) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlayHintLabelPart_tooltip::markupContent()"
                 " of type "
                 "InlayHintLabelPart_tooltipType::MarkupContent"
                 " while active type is "
                 "InlayHintLabelPart_tooltipType::" +
                 InlayHintLabelPart_tooltipTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_markupContent;
    }

    auto InlayHintLabelPart_tooltip::operator=(
        const std::unique_ptr<MarkupContent> &markupContent
    ) -> InlayHintLabelPart_tooltip &
    {
        if (_type != InlayHintLabelPart_tooltipType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(*markupContent)
        };
        _type = InlayHintLabelPart_tooltipType::MarkupContent;
        return *this;
    }

    auto InlayHintLabelPart_tooltip::operator=(
        std::unique_ptr<MarkupContent> &&markupContent
    ) -> InlayHintLabelPart_tooltip &
    {
        if (_type != InlayHintLabelPart_tooltipType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::move(markupContent)
        };
        _type = InlayHintLabelPart_tooltipType::MarkupContent;
        return *this;
    }

    auto InlayHintLabelPart_tooltip::operator=(
        const MarkupContent &markupContent
    ) -> InlayHintLabelPart_tooltip &
    {
        if (_type != InlayHintLabelPart_tooltipType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(markupContent)
        };
        _type = InlayHintLabelPart_tooltipType::MarkupContent;
        return *this;
    }

    auto InlayHintLabelPart_tooltip::operator=(
        MarkupContent &&markupContent
    ) -> InlayHintLabelPart_tooltip &
    {
        if (_type != InlayHintLabelPart_tooltipType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(std::move(markupContent))
        };
        _type = InlayHintLabelPart_tooltipType::MarkupContent;
        return *this;
    }

    UnchangedDocumentDiagnosticReport::UnchangedDocumentDiagnosticReport()
    {
        // empty
    }

    UnchangedDocumentDiagnosticReport::UnchangedDocumentDiagnosticReport(
        UnchangedDocumentDiagnosticReport &&other
    )
        : kind(std::move(other.kind))
        , resultId(std::move(other.resultId))
    {
        // empty
    }

    UnchangedDocumentDiagnosticReport::UnchangedDocumentDiagnosticReport(
        const UnchangedDocumentDiagnosticReport &other
    )
        : resultId(other.resultId)
    {
    }

    UnchangedDocumentDiagnosticReport::~UnchangedDocumentDiagnosticReport()
    {
        // empty
    }

    auto UnchangedDocumentDiagnosticReport::operator=(
        UnchangedDocumentDiagnosticReport &&other
    ) -> UnchangedDocumentDiagnosticReport &
    {
        if (this != &other) {
            kind = std::move(other.kind);
            resultId = std::move(other.resultId);
        }
        return *this;
    }

    auto UnchangedDocumentDiagnosticReport::operator=(
        const UnchangedDocumentDiagnosticReport &other
    ) -> UnchangedDocumentDiagnosticReport &
    {
        if (this != &other) {
            resultId = other.resultId;
        }
        return *this;
    }

    PreviousResultId::PreviousResultId()
    {
        // empty
    }

    PreviousResultId::PreviousResultId(PreviousResultId &&other)
        : uri(std::move(other.uri))
        , value(std::move(other.value))
    {
        // empty
    }

    PreviousResultId::PreviousResultId(const PreviousResultId &other)
        : uri(other.uri)
        , value(other.value)
    {
    }

    PreviousResultId::~PreviousResultId()
    {
        // empty
    }

    auto PreviousResultId::operator=(
        PreviousResultId &&other
    ) -> PreviousResultId &
    {
        if (this != &other) {
            uri = std::move(other.uri);
            value = std::move(other.value);
        }
        return *this;
    }

    auto PreviousResultId::operator=(
        const PreviousResultId &other
    ) -> PreviousResultId &
    {
        if (this != &other) {
            uri = other.uri;
            value = other.value;
        }
        return *this;
    }

    StringValue::StringValue()
    {
        // empty
    }

    StringValue::StringValue(StringValue &&other)
        : kind(std::move(other.kind))
        , value(std::move(other.value))
    {
        // empty
    }

    StringValue::StringValue(const StringValue &other)
        : value(other.value)
    {
    }

    StringValue::~StringValue()
    {
        // empty
    }

    auto StringValue::operator=(StringValue &&other) -> StringValue &
    {
        if (this != &other) {
            kind = std::move(other.kind);
            value = std::move(other.value);
        }
        return *this;
    }

    auto StringValue::operator=(const StringValue &other) -> StringValue &
    {
        if (this != &other) {
            value = other.value;
        }
        return *this;
    }

    const std::map<InlineCompletionItem_insertTextType, std::string>
    InlineCompletionItem_insertTextTypeNames = {
        {InlineCompletionItem_insertTextType::Uninitialized, "Uninitialized"},
        {InlineCompletionItem_insertTextType::String, "String"},
        {InlineCompletionItem_insertTextType::StringValue, "StringValue"},
    };

    InlineCompletionItem_insertText::InlineCompletionItem_insertText()
    {
        // empty
    }

    InlineCompletionItem_insertText::~InlineCompletionItem_insertText()
    {
        reset();
    }

    InlineCompletionItem_insertText::InlineCompletionItem_insertText(
        InlineCompletionItem_insertText &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case InlineCompletionItem_insertTextType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case InlineCompletionItem_insertTextType::StringValue: {
            new (&_stringValue) std::unique_ptr<StringValue> {
                std::move(other._stringValue)
            };
            break;
        }
        case InlineCompletionItem_insertTextType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = InlineCompletionItem_insertTextType::Uninitialized;
    }

    InlineCompletionItem_insertText::InlineCompletionItem_insertText(
        const InlineCompletionItem_insertText &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case InlineCompletionItem_insertTextType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case InlineCompletionItem_insertTextType::StringValue: {
            new (&_stringValue) std::unique_ptr<StringValue> {
                std::make_unique<StringValue>(*other._stringValue)
            };
            break;
        }
        case InlineCompletionItem_insertTextType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto InlineCompletionItem_insertText::operator=(
        InlineCompletionItem_insertText &&other
    ) -> InlineCompletionItem_insertText &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlineCompletionItem_insertTextType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case InlineCompletionItem_insertTextType::StringValue: {
                new (&_stringValue) std::unique_ptr<StringValue> {
                    std::move(other._stringValue)
                };
                break;
            }
            case InlineCompletionItem_insertTextType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = InlineCompletionItem_insertTextType::Uninitialized;
        }
        return *this;
    }

    auto InlineCompletionItem_insertText::operator=(
        const InlineCompletionItem_insertText &other
    ) -> InlineCompletionItem_insertText &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlineCompletionItem_insertTextType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case InlineCompletionItem_insertTextType::StringValue: {
                new (&_stringValue) std::unique_ptr<StringValue> {
                    std::make_unique<StringValue>(*other._stringValue)
                };
                break;
            }
            case InlineCompletionItem_insertTextType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto InlineCompletionItem_insertText::reset() -> void
    {
        switch (_type) {
        case InlineCompletionItem_insertTextType::Uninitialized: {
            // nothing to do
            break;
        }
        case InlineCompletionItem_insertTextType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = InlineCompletionItem_insertTextType::Uninitialized;
            break;
        }
        case InlineCompletionItem_insertTextType::StringValue: {
#ifdef DEBUG
            if (!_stringValue) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _stringValue"
                );
            }
#endif // DEBUG
            _stringValue.~unique_ptr<StringValue>();
            _type = InlineCompletionItem_insertTextType::Uninitialized;
            break;
        }
        default: {
            _type = InlineCompletionItem_insertTextType::Uninitialized;
        }
        }
    }

    auto InlineCompletionItem_insertText::type() const
    -> const InlineCompletionItem_insertTextType &
    {
        return _type;
    }

    auto InlineCompletionItem_insertText::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != InlineCompletionItem_insertTextType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlineCompletionItem_insertText::string()"
                 " of type "
                 "InlineCompletionItem_insertTextType::String"
                 " while active type is "
                 "InlineCompletionItem_insertTextType::" +
                 InlineCompletionItem_insertTextTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto InlineCompletionItem_insertText::operator=(
        const std::unique_ptr<string_t> &string
    ) -> InlineCompletionItem_insertText &
    {
        if (_type != InlineCompletionItem_insertTextType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = InlineCompletionItem_insertTextType::String;
        return *this;
    }

    auto InlineCompletionItem_insertText::operator=(
        std::unique_ptr<string_t> &&string
    ) -> InlineCompletionItem_insertText &
    {
        if (_type != InlineCompletionItem_insertTextType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = InlineCompletionItem_insertTextType::String;
        return *this;
    }

    auto InlineCompletionItem_insertText::operator=(
        const string_t &string
    ) -> InlineCompletionItem_insertText &
    {
        if (_type != InlineCompletionItem_insertTextType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = InlineCompletionItem_insertTextType::String;
        return *this;
    }

    auto InlineCompletionItem_insertText::operator=(
        string_t &&string
    ) -> InlineCompletionItem_insertText &
    {
        if (_type != InlineCompletionItem_insertTextType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = InlineCompletionItem_insertTextType::String;
        return *this;
    }

    auto InlineCompletionItem_insertText::stringValue() const
    -> const StringValue &
    {
#ifdef DEBUG
        if (_type != InlineCompletionItem_insertTextType::StringValue) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlineCompletionItem_insertText::stringValue()"
                 " of type "
                 "InlineCompletionItem_insertTextType::StringValue"
                 " while active type is "
                 "InlineCompletionItem_insertTextType::" +
                 InlineCompletionItem_insertTextTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_stringValue;
    }

    auto InlineCompletionItem_insertText::operator=(
        const std::unique_ptr<StringValue> &stringValue
    ) -> InlineCompletionItem_insertText &
    {
        if (_type != InlineCompletionItem_insertTextType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!stringValue) {
            throw std::logic_error("null passed as the value of stringValue");
        }
#endif // DEBUG
        new (&_stringValue) std::unique_ptr<StringValue> {
            std::make_unique<StringValue>(*stringValue)
        };
        _type = InlineCompletionItem_insertTextType::StringValue;
        return *this;
    }

    auto InlineCompletionItem_insertText::operator=(
        std::unique_ptr<StringValue> &&stringValue
    ) -> InlineCompletionItem_insertText &
    {
        if (_type != InlineCompletionItem_insertTextType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!stringValue) {
            throw std::logic_error("null passed as the value of stringValue");
        }
#endif // DEBUG
        new (&_stringValue) std::unique_ptr<StringValue> {
            std::move(stringValue)
        };
        _type = InlineCompletionItem_insertTextType::StringValue;
        return *this;
    }

    auto InlineCompletionItem_insertText::operator=(
        const StringValue &stringValue
    ) -> InlineCompletionItem_insertText &
    {
        if (_type != InlineCompletionItem_insertTextType::Uninitialized) {
            reset();
        }
        new (&_stringValue) std::unique_ptr<StringValue> {
            std::make_unique<StringValue>(stringValue)
        };
        _type = InlineCompletionItem_insertTextType::StringValue;
        return *this;
    }

    auto InlineCompletionItem_insertText::operator=(
        StringValue &&stringValue
    ) -> InlineCompletionItem_insertText &
    {
        if (_type != InlineCompletionItem_insertTextType::Uninitialized) {
            reset();
        }
        new (&_stringValue) std::unique_ptr<StringValue> {
            std::make_unique<StringValue>(std::move(stringValue))
        };
        _type = InlineCompletionItem_insertTextType::StringValue;
        return *this;
    }

    Unregistration::Unregistration()
    {
        // empty
    }

    Unregistration::Unregistration(Unregistration &&other)
        : id(std::move(other.id))
        , method(std::move(other.method))
    {
        // empty
    }

    Unregistration::Unregistration(const Unregistration &other)
        : id(other.id)
        , method(other.method)
    {
    }

    Unregistration::~Unregistration()
    {
        // empty
    }

    auto Unregistration::operator=(Unregistration &&other) -> Unregistration &
    {
        if (this != &other) {
            id = std::move(other.id);
            method = std::move(other.method);
        }
        return *this;
    }

    auto Unregistration::operator=(
        const Unregistration &other
    ) -> Unregistration &
    {
        if (this != &other) {
            id = other.id;
            method = other.method;
        }
        return *this;
    }

    UnregistrationParams::UnregistrationParams()
    {
        // empty
    }

    UnregistrationParams::UnregistrationParams(UnregistrationParams &&other)
        : unregisterations(std::move(other.unregisterations))
    {
        // empty
    }

    UnregistrationParams::UnregistrationParams(
        const UnregistrationParams &other
    )
    {
        unregisterations.reserve(other.unregisterations.size());
        for (const auto &elem_0 : other.unregisterations) {
            unregisterations.push_back(elem_0);
        }
    }

    UnregistrationParams::~UnregistrationParams()
    {
        // empty
    }

    auto UnregistrationParams::operator=(
        UnregistrationParams &&other
    ) -> UnregistrationParams &
    {
        if (this != &other) {
            unregisterations = std::move(other.unregisterations);
        }
        return *this;
    }

    auto UnregistrationParams::operator=(
        const UnregistrationParams &other
    ) -> UnregistrationParams &
    {
        if (this != &other) {
            unregisterations.reserve(other.unregisterations.size());
            for (const auto &elem_0 : other.unregisterations) {
                unregisterations.push_back(elem_0);
            }
        }
        return *this;
    }

    _InitializeParams_clientInfo::_InitializeParams_clientInfo()
    {
        // empty
    }

    _InitializeParams_clientInfo::_InitializeParams_clientInfo(
        _InitializeParams_clientInfo &&other
    )
        : name(std::move(other.name))
        , version(std::move(other.version))
    {
        // empty
    }

    _InitializeParams_clientInfo::_InitializeParams_clientInfo(
        const _InitializeParams_clientInfo &other
    )
        : name(other.name)
    {
        if (other.version.has_value()) {
            version = other.version.value();
        }
    }

    _InitializeParams_clientInfo::~_InitializeParams_clientInfo()
    {
        // empty
    }

    auto _InitializeParams_clientInfo::operator=(
        _InitializeParams_clientInfo &&other
    ) -> _InitializeParams_clientInfo &
    {
        if (this != &other) {
            name = std::move(other.name);
            version = std::move(other.version);
        }
        return *this;
    }

    auto _InitializeParams_clientInfo::operator=(
        const _InitializeParams_clientInfo &other
    ) -> _InitializeParams_clientInfo &
    {
        if (this != &other) {
            name = other.name;
            if (other.version.has_value()) {
                version = other.version.value();
            }
        }
        return *this;
    }

    CompletionContext::CompletionContext()
    {
        // empty
    }

    CompletionContext::CompletionContext(CompletionContext &&other)
        : triggerKind(std::move(other.triggerKind))
        , triggerCharacter(std::move(other.triggerCharacter))
    {
        // empty
    }

    CompletionContext::CompletionContext(const CompletionContext &other)
        : triggerKind(other.triggerKind)
    {
        if (other.triggerCharacter.has_value()) {
            triggerCharacter = other.triggerCharacter.value();
        }
    }

    CompletionContext::~CompletionContext()
    {
        // empty
    }

    auto CompletionContext::operator=(
        CompletionContext &&other
    ) -> CompletionContext &
    {
        if (this != &other) {
            triggerKind = std::move(other.triggerKind);
            triggerCharacter = std::move(other.triggerCharacter);
        }
        return *this;
    }

    auto CompletionContext::operator=(
        const CompletionContext &other
    ) -> CompletionContext &
    {
        if (this != &other) {
            triggerKind = other.triggerKind;
            if (other.triggerCharacter.has_value()) {
                triggerCharacter = other.triggerCharacter.value();
            }
        }
        return *this;
    }

    CompletionItemLabelDetails::CompletionItemLabelDetails()
    {
        // empty
    }

    CompletionItemLabelDetails::CompletionItemLabelDetails(
        CompletionItemLabelDetails &&other
    )
        : detail(std::move(other.detail))
        , description(std::move(other.description))
    {
        // empty
    }

    CompletionItemLabelDetails::CompletionItemLabelDetails(
        const CompletionItemLabelDetails &other
    )
    {
        if (other.detail.has_value()) {
            detail = other.detail.value();
        }
        if (other.description.has_value()) {
            description = other.description.value();
        }
    }

    CompletionItemLabelDetails::~CompletionItemLabelDetails()
    {
        // empty
    }

    auto CompletionItemLabelDetails::operator=(
        CompletionItemLabelDetails &&other
    ) -> CompletionItemLabelDetails &
    {
        if (this != &other) {
            detail = std::move(other.detail);
            description = std::move(other.description);
        }
        return *this;
    }

    auto CompletionItemLabelDetails::operator=(
        const CompletionItemLabelDetails &other
    ) -> CompletionItemLabelDetails &
    {
        if (this != &other) {
            if (other.detail.has_value()) {
                detail = other.detail.value();
            }
            if (other.description.has_value()) {
                description = other.description.value();
            }
        }
        return *this;
    }

    const std::map<SignatureInformation_documentationType, std::string>
    SignatureInformation_documentationTypeNames = {
        {SignatureInformation_documentationType::Uninitialized,
         "Uninitialized"},
        {SignatureInformation_documentationType::String, "String"},
        {SignatureInformation_documentationType::MarkupContent,
         "MarkupContent"},
    };

    SignatureInformation_documentation::SignatureInformation_documentation()
    {
        // empty
    }

    SignatureInformation_documentation::~SignatureInformation_documentation()
    {
        reset();
    }

    SignatureInformation_documentation::SignatureInformation_documentation(
        SignatureInformation_documentation &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SignatureInformation_documentationType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case SignatureInformation_documentationType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::move(other._markupContent)
            };
            break;
        }
        case SignatureInformation_documentationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = SignatureInformation_documentationType::Uninitialized;
    }

    SignatureInformation_documentation::SignatureInformation_documentation(
        const SignatureInformation_documentation &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SignatureInformation_documentationType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case SignatureInformation_documentationType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::make_unique<MarkupContent>(*other._markupContent)
            };
            break;
        }
        case SignatureInformation_documentationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto SignatureInformation_documentation::operator=(
        SignatureInformation_documentation &&other
    ) -> SignatureInformation_documentation &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SignatureInformation_documentationType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case SignatureInformation_documentationType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::move(other._markupContent)
                };
                break;
            }
            case SignatureInformation_documentationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                SignatureInformation_documentationType::Uninitialized;
        }
        return *this;
    }

    auto SignatureInformation_documentation::operator=(
        const SignatureInformation_documentation &other
    ) -> SignatureInformation_documentation &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SignatureInformation_documentationType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case SignatureInformation_documentationType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::make_unique<MarkupContent>(*other._markupContent)
                };
                break;
            }
            case SignatureInformation_documentationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto SignatureInformation_documentation::reset() -> void
    {
        switch (_type) {
        case SignatureInformation_documentationType::Uninitialized: {
            // nothing to do
            break;
        }
        case SignatureInformation_documentationType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = SignatureInformation_documentationType::Uninitialized;
            break;
        }
        case SignatureInformation_documentationType::MarkupContent: {
#ifdef DEBUG
            if (!_markupContent) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _markupContent"
                );
            }
#endif // DEBUG
            _markupContent.~unique_ptr<MarkupContent>();
            _type = SignatureInformation_documentationType::Uninitialized;
            break;
        }
        default: {
            _type = SignatureInformation_documentationType::Uninitialized;
        }
        }
    }

    auto SignatureInformation_documentation::type() const
    -> const SignatureInformation_documentationType &
    {
        return _type;
    }

    auto SignatureInformation_documentation::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != SignatureInformation_documentationType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "SignatureInformation_documentation::string()"
                 " of type "
                 "SignatureInformation_documentationType::String"
                 " while active type is "
                 "SignatureInformation_documentationType::" +
                 SignatureInformation_documentationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto SignatureInformation_documentation::operator=(
        const std::unique_ptr<string_t> &string
    ) -> SignatureInformation_documentation &
    {
        if (_type != SignatureInformation_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = SignatureInformation_documentationType::String;
        return *this;
    }

    auto SignatureInformation_documentation::operator=(
        std::unique_ptr<string_t> &&string
    ) -> SignatureInformation_documentation &
    {
        if (_type != SignatureInformation_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = SignatureInformation_documentationType::String;
        return *this;
    }

    auto SignatureInformation_documentation::operator=(
        const string_t &string
    ) -> SignatureInformation_documentation &
    {
        if (_type != SignatureInformation_documentationType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = SignatureInformation_documentationType::String;
        return *this;
    }

    auto SignatureInformation_documentation::operator=(
        string_t &&string
    ) -> SignatureInformation_documentation &
    {
        if (_type != SignatureInformation_documentationType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = SignatureInformation_documentationType::String;
        return *this;
    }

    auto SignatureInformation_documentation::markupContent() const
    -> const MarkupContent &
    {
#ifdef DEBUG
        if (_type != SignatureInformation_documentationType::MarkupContent) {
            throw std::logic_error(
                ("Attempted to access "
                 "SignatureInformation_documentation::markupContent()"
                 " of type "
                 "SignatureInformation_documentationType::MarkupContent"
                 " while active type is "
                 "SignatureInformation_documentationType::" +
                 SignatureInformation_documentationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_markupContent;
    }

    auto SignatureInformation_documentation::operator=(
        const std::unique_ptr<MarkupContent> &markupContent
    ) -> SignatureInformation_documentation &
    {
        if (_type != SignatureInformation_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(*markupContent)
        };
        _type = SignatureInformation_documentationType::MarkupContent;
        return *this;
    }

    auto SignatureInformation_documentation::operator=(
        std::unique_ptr<MarkupContent> &&markupContent
    ) -> SignatureInformation_documentation &
    {
        if (_type != SignatureInformation_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::move(markupContent)
        };
        _type = SignatureInformation_documentationType::MarkupContent;
        return *this;
    }

    auto SignatureInformation_documentation::operator=(
        const MarkupContent &markupContent
    ) -> SignatureInformation_documentation &
    {
        if (_type != SignatureInformation_documentationType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(markupContent)
        };
        _type = SignatureInformation_documentationType::MarkupContent;
        return *this;
    }

    auto SignatureInformation_documentation::operator=(
        MarkupContent &&markupContent
    ) -> SignatureInformation_documentation &
    {
        if (_type != SignatureInformation_documentationType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(std::move(markupContent))
        };
        _type = SignatureInformation_documentationType::MarkupContent;
        return *this;
    }

    BaseSymbolInformation::BaseSymbolInformation()
    {
        // empty
    }

    BaseSymbolInformation::BaseSymbolInformation(BaseSymbolInformation &&other)
        : name(std::move(other.name))
        , kind(std::move(other.kind))
        , tags(std::move(other.tags))
        , containerName(std::move(other.containerName))
    {
        // empty
    }

    BaseSymbolInformation::BaseSymbolInformation(
        const BaseSymbolInformation &other
    )
        : name(other.name)
        , kind(other.kind)
    {
        if (other.tags.has_value()) {
            auto &array_0 = tags.emplace();
            const auto &array_1 = other.tags.value();
            array_0 = array_1;
        }
        if (other.containerName.has_value()) {
            containerName = other.containerName.value();
        }
    }

    BaseSymbolInformation::~BaseSymbolInformation()
    {
        // empty
    }

    auto BaseSymbolInformation::operator=(
        BaseSymbolInformation &&other
    ) -> BaseSymbolInformation &
    {
        if (this != &other) {
            name = std::move(other.name);
            kind = std::move(other.kind);
            tags = std::move(other.tags);
            containerName = std::move(other.containerName);
        }
        return *this;
    }

    auto BaseSymbolInformation::operator=(
        const BaseSymbolInformation &other
    ) -> BaseSymbolInformation &
    {
        if (this != &other) {
            name = other.name;
            kind = other.kind;
            if (other.tags.has_value()) {
                auto &array_0 = tags.emplace();
                const auto &array_1 = other.tags.value();
                array_0 = array_1;
            }
            if (other.containerName.has_value()) {
                containerName = other.containerName.value();
            }
        }
        return *this;
    }

    DocumentOnTypeFormattingOptions::DocumentOnTypeFormattingOptions()
    {
        // empty
    }

    DocumentOnTypeFormattingOptions::DocumentOnTypeFormattingOptions(
        DocumentOnTypeFormattingOptions &&other
    )
        : firstTriggerCharacter(std::move(other.firstTriggerCharacter))
        , moreTriggerCharacter(std::move(other.moreTriggerCharacter))
    {
        // empty
    }

    DocumentOnTypeFormattingOptions::DocumentOnTypeFormattingOptions(
        const DocumentOnTypeFormattingOptions &other
    )
        : firstTriggerCharacter(other.firstTriggerCharacter)
    {
        if (other.moreTriggerCharacter.has_value()) {
            auto &array_0 = moreTriggerCharacter.emplace();
            const auto &array_1 = other.moreTriggerCharacter.value();
            array_0 = array_1;
        }
    }

    DocumentOnTypeFormattingOptions::~DocumentOnTypeFormattingOptions()
    {
        // empty
    }

    auto DocumentOnTypeFormattingOptions::operator=(
        DocumentOnTypeFormattingOptions &&other
    ) -> DocumentOnTypeFormattingOptions &
    {
        if (this != &other) {
            firstTriggerCharacter = std::move(other.firstTriggerCharacter);
            moreTriggerCharacter = std::move(other.moreTriggerCharacter);
        }
        return *this;
    }

    auto DocumentOnTypeFormattingOptions::operator=(
        const DocumentOnTypeFormattingOptions &other
    ) -> DocumentOnTypeFormattingOptions &
    {
        if (this != &other) {
            firstTriggerCharacter = other.firstTriggerCharacter;
            if (other.moreTriggerCharacter.has_value()) {
                auto &array_0 = moreTriggerCharacter.emplace();
                const auto &array_1 = other.moreTriggerCharacter.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    SemanticTokensLegend::SemanticTokensLegend()
    {
        // empty
    }

    SemanticTokensLegend::SemanticTokensLegend(SemanticTokensLegend &&other)
        : tokenTypes(std::move(other.tokenTypes))
        , tokenModifiers(std::move(other.tokenModifiers))
    {
        // empty
    }

    SemanticTokensLegend::SemanticTokensLegend(
        const SemanticTokensLegend &other
    )
    {
        tokenTypes = other.tokenTypes;
        tokenModifiers = other.tokenModifiers;
    }

    SemanticTokensLegend::~SemanticTokensLegend()
    {
        // empty
    }

    auto SemanticTokensLegend::operator=(
        SemanticTokensLegend &&other
    ) -> SemanticTokensLegend &
    {
        if (this != &other) {
            tokenTypes = std::move(other.tokenTypes);
            tokenModifiers = std::move(other.tokenModifiers);
        }
        return *this;
    }

    auto SemanticTokensLegend::operator=(
        const SemanticTokensLegend &other
    ) -> SemanticTokensLegend &
    {
        if (this != &other) {
            tokenTypes = other.tokenTypes;
            tokenModifiers = other.tokenModifiers;
        }
        return *this;
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem::NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem()
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem::NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem(
        NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem &&other
    )
        : language(std::move(other.language))
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem::NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem &other
    )
        : language(other.language)
    {
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem::~NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem()
    {
        // empty
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem::operator=(
        NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem &&other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem &
    {
        if (this != &other) {
            language = std::move(other.language);
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem::operator=(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem &other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem &
    {
        if (this != &other) {
            language = other.language;
        }
        return *this;
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem::NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem()
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem::NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem(
        NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem &&other
    )
        : language(std::move(other.language))
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem::NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem &other
    )
        : language(other.language)
    {
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem::~NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem()
    {
        // empty
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem::operator=(
        NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem &&other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem &
    {
        if (this != &other) {
            language = std::move(other.language);
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem::operator=(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem &other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem &
    {
        if (this != &other) {
            language = other.language;
        }
        return *this;
    }

    const std::map<ParameterInformation_documentationType, std::string>
    ParameterInformation_documentationTypeNames = {
        {ParameterInformation_documentationType::Uninitialized,
         "Uninitialized"},
        {ParameterInformation_documentationType::String, "String"},
        {ParameterInformation_documentationType::MarkupContent,
         "MarkupContent"},
    };

    ParameterInformation_documentation::ParameterInformation_documentation()
    {
        // empty
    }

    ParameterInformation_documentation::~ParameterInformation_documentation()
    {
        reset();
    }

    ParameterInformation_documentation::ParameterInformation_documentation(
        ParameterInformation_documentation &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ParameterInformation_documentationType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case ParameterInformation_documentationType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::move(other._markupContent)
            };
            break;
        }
        case ParameterInformation_documentationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ParameterInformation_documentationType::Uninitialized;
    }

    ParameterInformation_documentation::ParameterInformation_documentation(
        const ParameterInformation_documentation &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ParameterInformation_documentationType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case ParameterInformation_documentationType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::make_unique<MarkupContent>(*other._markupContent)
            };
            break;
        }
        case ParameterInformation_documentationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ParameterInformation_documentation::operator=(
        ParameterInformation_documentation &&other
    ) -> ParameterInformation_documentation &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ParameterInformation_documentationType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case ParameterInformation_documentationType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::move(other._markupContent)
                };
                break;
            }
            case ParameterInformation_documentationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ParameterInformation_documentationType::Uninitialized;
        }
        return *this;
    }

    auto ParameterInformation_documentation::operator=(
        const ParameterInformation_documentation &other
    ) -> ParameterInformation_documentation &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ParameterInformation_documentationType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case ParameterInformation_documentationType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::make_unique<MarkupContent>(*other._markupContent)
                };
                break;
            }
            case ParameterInformation_documentationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ParameterInformation_documentation::reset() -> void
    {
        switch (_type) {
        case ParameterInformation_documentationType::Uninitialized: {
            // nothing to do
            break;
        }
        case ParameterInformation_documentationType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = ParameterInformation_documentationType::Uninitialized;
            break;
        }
        case ParameterInformation_documentationType::MarkupContent: {
#ifdef DEBUG
            if (!_markupContent) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _markupContent"
                );
            }
#endif // DEBUG
            _markupContent.~unique_ptr<MarkupContent>();
            _type = ParameterInformation_documentationType::Uninitialized;
            break;
        }
        default: {
            _type = ParameterInformation_documentationType::Uninitialized;
        }
        }
    }

    auto ParameterInformation_documentation::type() const
    -> const ParameterInformation_documentationType &
    {
        return _type;
    }

    auto ParameterInformation_documentation::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != ParameterInformation_documentationType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "ParameterInformation_documentation::string()"
                 " of type "
                 "ParameterInformation_documentationType::String"
                 " while active type is "
                 "ParameterInformation_documentationType::" +
                 ParameterInformation_documentationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto ParameterInformation_documentation::operator=(
        const std::unique_ptr<string_t> &string
    ) -> ParameterInformation_documentation &
    {
        if (_type != ParameterInformation_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = ParameterInformation_documentationType::String;
        return *this;
    }

    auto ParameterInformation_documentation::operator=(
        std::unique_ptr<string_t> &&string
    ) -> ParameterInformation_documentation &
    {
        if (_type != ParameterInformation_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = ParameterInformation_documentationType::String;
        return *this;
    }

    auto ParameterInformation_documentation::operator=(
        const string_t &string
    ) -> ParameterInformation_documentation &
    {
        if (_type != ParameterInformation_documentationType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = ParameterInformation_documentationType::String;
        return *this;
    }

    auto ParameterInformation_documentation::operator=(
        string_t &&string
    ) -> ParameterInformation_documentation &
    {
        if (_type != ParameterInformation_documentationType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = ParameterInformation_documentationType::String;
        return *this;
    }

    auto ParameterInformation_documentation::markupContent() const
    -> const MarkupContent &
    {
#ifdef DEBUG
        if (_type != ParameterInformation_documentationType::MarkupContent) {
            throw std::logic_error(
                ("Attempted to access "
                 "ParameterInformation_documentation::markupContent()"
                 " of type "
                 "ParameterInformation_documentationType::MarkupContent"
                 " while active type is "
                 "ParameterInformation_documentationType::" +
                 ParameterInformation_documentationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_markupContent;
    }

    auto ParameterInformation_documentation::operator=(
        const std::unique_ptr<MarkupContent> &markupContent
    ) -> ParameterInformation_documentation &
    {
        if (_type != ParameterInformation_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(*markupContent)
        };
        _type = ParameterInformation_documentationType::MarkupContent;
        return *this;
    }

    auto ParameterInformation_documentation::operator=(
        std::unique_ptr<MarkupContent> &&markupContent
    ) -> ParameterInformation_documentation &
    {
        if (_type != ParameterInformation_documentationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::move(markupContent)
        };
        _type = ParameterInformation_documentationType::MarkupContent;
        return *this;
    }

    auto ParameterInformation_documentation::operator=(
        const MarkupContent &markupContent
    ) -> ParameterInformation_documentation &
    {
        if (_type != ParameterInformation_documentationType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(markupContent)
        };
        _type = ParameterInformation_documentationType::MarkupContent;
        return *this;
    }

    auto ParameterInformation_documentation::operator=(
        MarkupContent &&markupContent
    ) -> ParameterInformation_documentation &
    {
        if (_type != ParameterInformation_documentationType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(std::move(markupContent))
        };
        _type = ParameterInformation_documentationType::MarkupContent;
        return *this;
    }

    const std::map<RelativePattern_baseUriType, std::string>
    RelativePattern_baseUriTypeNames = {
        {RelativePattern_baseUriType::Uninitialized, "Uninitialized"},
        {RelativePattern_baseUriType::WorkspaceFolder, "WorkspaceFolder"},
        {RelativePattern_baseUriType::String, "String"},
    };

    RelativePattern_baseUri::RelativePattern_baseUri()
    {
        // empty
    }

    RelativePattern_baseUri::~RelativePattern_baseUri()
    {
        reset();
    }

    RelativePattern_baseUri::RelativePattern_baseUri(
        RelativePattern_baseUri &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case RelativePattern_baseUriType::WorkspaceFolder: {
            new (&_workspaceFolder) std::unique_ptr<WorkspaceFolder> {
                std::move(other._workspaceFolder)
            };
            break;
        }
        case RelativePattern_baseUriType::String: {
            new (&_uri) std::unique_ptr<URI> {
                std::move(other._uri)
            };
            break;
        }
        case RelativePattern_baseUriType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = RelativePattern_baseUriType::Uninitialized;
    }

    RelativePattern_baseUri::RelativePattern_baseUri(
        const RelativePattern_baseUri &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case RelativePattern_baseUriType::WorkspaceFolder: {
            new (&_workspaceFolder) std::unique_ptr<WorkspaceFolder> {
                std::make_unique<WorkspaceFolder>(*other._workspaceFolder)
            };
            break;
        }
        case RelativePattern_baseUriType::String: {
            new (&_uri) std::unique_ptr<URI> {
                std::make_unique<URI>(*other._uri)
            };
            break;
        }
        case RelativePattern_baseUriType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto RelativePattern_baseUri::operator=(
        RelativePattern_baseUri &&other
    ) -> RelativePattern_baseUri &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case RelativePattern_baseUriType::WorkspaceFolder: {
                new (&_workspaceFolder) std::unique_ptr<WorkspaceFolder> {
                    std::move(other._workspaceFolder)
                };
                break;
            }
            case RelativePattern_baseUriType::String: {
                new (&_uri) std::unique_ptr<URI> {
                    std::move(other._uri)
                };
                break;
            }
            case RelativePattern_baseUriType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = RelativePattern_baseUriType::Uninitialized;
        }
        return *this;
    }

    auto RelativePattern_baseUri::operator=(
        const RelativePattern_baseUri &other
    ) -> RelativePattern_baseUri &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case RelativePattern_baseUriType::WorkspaceFolder: {
                new (&_workspaceFolder) std::unique_ptr<WorkspaceFolder> {
                    std::make_unique<WorkspaceFolder>(*other._workspaceFolder)
                };
                break;
            }
            case RelativePattern_baseUriType::String: {
                new (&_uri) std::unique_ptr<URI> {
                    std::make_unique<URI>(*other._uri)
                };
                break;
            }
            case RelativePattern_baseUriType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto RelativePattern_baseUri::reset() -> void
    {
        switch (_type) {
        case RelativePattern_baseUriType::Uninitialized: {
            // nothing to do
            break;
        }
        case RelativePattern_baseUriType::WorkspaceFolder: {
#ifdef DEBUG
            if (!_workspaceFolder) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceFolder"
                );
            }
#endif // DEBUG
            _workspaceFolder.~unique_ptr<WorkspaceFolder>();
            _type = RelativePattern_baseUriType::Uninitialized;
            break;
        }
        case RelativePattern_baseUriType::String: {
#ifdef DEBUG
            if (!_uri) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _uri"
                );
            }
#endif // DEBUG
            _uri.~unique_ptr<URI>();
            _type = RelativePattern_baseUriType::Uninitialized;
            break;
        }
        default: {
            _type = RelativePattern_baseUriType::Uninitialized;
        }
        }
    }

    auto RelativePattern_baseUri::type() const
    -> const RelativePattern_baseUriType &
    {
        return _type;
    }

    auto RelativePattern_baseUri::workspaceFolder() const
    -> const WorkspaceFolder &
    {
#ifdef DEBUG
        if (_type != RelativePattern_baseUriType::WorkspaceFolder) {
            throw std::logic_error(
                ("Attempted to access "
                 "RelativePattern_baseUri::workspaceFolder()"
                 " of type "
                 "RelativePattern_baseUriType::WorkspaceFolder"
                 " while active type is "
                 "RelativePattern_baseUriType::" +
                 RelativePattern_baseUriTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceFolder;
    }

    auto RelativePattern_baseUri::operator=(
        const std::unique_ptr<WorkspaceFolder> &workspaceFolder
    ) -> RelativePattern_baseUri &
    {
        if (_type != RelativePattern_baseUriType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceFolder) {
            throw std::logic_error(
                "null passed as the value of workspaceFolder"
            );
        }
#endif // DEBUG
        new (&_workspaceFolder) std::unique_ptr<WorkspaceFolder> {
            std::make_unique<WorkspaceFolder>(*workspaceFolder)
        };
        _type = RelativePattern_baseUriType::WorkspaceFolder;
        return *this;
    }

    auto RelativePattern_baseUri::operator=(
        std::unique_ptr<WorkspaceFolder> &&workspaceFolder
    ) -> RelativePattern_baseUri &
    {
        if (_type != RelativePattern_baseUriType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceFolder) {
            throw std::logic_error(
                "null passed as the value of workspaceFolder"
            );
        }
#endif // DEBUG
        new (&_workspaceFolder) std::unique_ptr<WorkspaceFolder> {
            std::move(workspaceFolder)
        };
        _type = RelativePattern_baseUriType::WorkspaceFolder;
        return *this;
    }

    auto RelativePattern_baseUri::operator=(
        const WorkspaceFolder &workspaceFolder
    ) -> RelativePattern_baseUri &
    {
        if (_type != RelativePattern_baseUriType::Uninitialized) {
            reset();
        }
        new (&_workspaceFolder) std::unique_ptr<WorkspaceFolder> {
            std::make_unique<WorkspaceFolder>(workspaceFolder)
        };
        _type = RelativePattern_baseUriType::WorkspaceFolder;
        return *this;
    }

    auto RelativePattern_baseUri::operator=(
        WorkspaceFolder &&workspaceFolder
    ) -> RelativePattern_baseUri &
    {
        if (_type != RelativePattern_baseUriType::Uninitialized) {
            reset();
        }
        new (&_workspaceFolder) std::unique_ptr<WorkspaceFolder> {
            std::make_unique<WorkspaceFolder>(std::move(workspaceFolder))
        };
        _type = RelativePattern_baseUriType::WorkspaceFolder;
        return *this;
    }

    auto RelativePattern_baseUri::uri() const -> const URI &
    {
#ifdef DEBUG
        if (_type != RelativePattern_baseUriType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "RelativePattern_baseUri::uri()"
                 " of type "
                 "RelativePattern_baseUriType::String"
                 " while active type is "
                 "RelativePattern_baseUriType::" +
                 RelativePattern_baseUriTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_uri;
    }

    auto RelativePattern_baseUri::operator=(
        const std::unique_ptr<URI> &uri
    ) -> RelativePattern_baseUri &
    {
        if (_type != RelativePattern_baseUriType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!uri) {
            throw std::logic_error("null passed as the value of uri");
        }
#endif // DEBUG
        new (&_uri) std::unique_ptr<URI> {
            std::make_unique<URI>(*uri)
        };
        _type = RelativePattern_baseUriType::String;
        return *this;
    }

    auto RelativePattern_baseUri::operator=(
        std::unique_ptr<URI> &&uri
    ) -> RelativePattern_baseUri &
    {
        if (_type != RelativePattern_baseUriType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!uri) {
            throw std::logic_error("null passed as the value of uri");
        }
#endif // DEBUG
        new (&_uri) std::unique_ptr<URI> {
            std::move(uri)
        };
        _type = RelativePattern_baseUriType::String;
        return *this;
    }

    auto RelativePattern_baseUri::operator=(
        const URI &uri
    ) -> RelativePattern_baseUri &
    {
        if (_type != RelativePattern_baseUriType::Uninitialized) {
            reset();
        }
        new (&_uri) std::unique_ptr<URI> {
            std::make_unique<URI>(uri)
        };
        _type = RelativePattern_baseUriType::String;
        return *this;
    }

    auto RelativePattern_baseUri::operator=(
        URI &&uri
    ) -> RelativePattern_baseUri &
    {
        if (_type != RelativePattern_baseUriType::Uninitialized) {
            reset();
        }
        new (&_uri) std::unique_ptr<URI> {
            std::make_unique<URI>(std::move(uri))
        };
        _type = RelativePattern_baseUriType::String;
        return *this;
    }

    WorkspaceSymbolClientCapabilities_resolveSupport::WorkspaceSymbolClientCapabilities_resolveSupport()
    {
        // empty
    }

    WorkspaceSymbolClientCapabilities_resolveSupport::WorkspaceSymbolClientCapabilities_resolveSupport(
        WorkspaceSymbolClientCapabilities_resolveSupport &&other
    )
        : properties(std::move(other.properties))
    {
        // empty
    }

    WorkspaceSymbolClientCapabilities_resolveSupport::WorkspaceSymbolClientCapabilities_resolveSupport(
        const WorkspaceSymbolClientCapabilities_resolveSupport &other
    )
    {
        properties = other.properties;
    }

    WorkspaceSymbolClientCapabilities_resolveSupport::~WorkspaceSymbolClientCapabilities_resolveSupport()
    {
        // empty
    }

    auto WorkspaceSymbolClientCapabilities_resolveSupport::operator=(
        WorkspaceSymbolClientCapabilities_resolveSupport &&other
    ) -> WorkspaceSymbolClientCapabilities_resolveSupport &
    {
        if (this != &other) {
            properties = std::move(other.properties);
        }
        return *this;
    }

    auto WorkspaceSymbolClientCapabilities_resolveSupport::operator=(
        const WorkspaceSymbolClientCapabilities_resolveSupport &other
    ) -> WorkspaceSymbolClientCapabilities_resolveSupport &
    {
        if (this != &other) {
            properties = other.properties;
        }
        return *this;
    }

    CompletionClientCapabilities_completionItem_resolveSupport::CompletionClientCapabilities_completionItem_resolveSupport()
    {
        // empty
    }

    CompletionClientCapabilities_completionItem_resolveSupport::CompletionClientCapabilities_completionItem_resolveSupport(
        CompletionClientCapabilities_completionItem_resolveSupport &&other
    )
        : properties(std::move(other.properties))
    {
        // empty
    }

    CompletionClientCapabilities_completionItem_resolveSupport::CompletionClientCapabilities_completionItem_resolveSupport(
        const CompletionClientCapabilities_completionItem_resolveSupport &other
    )
    {
        properties = other.properties;
    }

    CompletionClientCapabilities_completionItem_resolveSupport::~CompletionClientCapabilities_completionItem_resolveSupport()
    {
        // empty
    }

    auto CompletionClientCapabilities_completionItem_resolveSupport::operator=(
        CompletionClientCapabilities_completionItem_resolveSupport &&other
    ) -> CompletionClientCapabilities_completionItem_resolveSupport &
    {
        if (this != &other) {
            properties = std::move(other.properties);
        }
        return *this;
    }

    auto CompletionClientCapabilities_completionItem_resolveSupport::operator=(
        const CompletionClientCapabilities_completionItem_resolveSupport &other
    ) -> CompletionClientCapabilities_completionItem_resolveSupport &
    {
        if (this != &other) {
            properties = other.properties;
        }
        return *this;
    }

    CompletionClientCapabilities_completionList::CompletionClientCapabilities_completionList()
    {
        // empty
    }

    CompletionClientCapabilities_completionList::CompletionClientCapabilities_completionList(
        CompletionClientCapabilities_completionList &&other
    )
        : itemDefaults(std::move(other.itemDefaults))
    {
        // empty
    }

    CompletionClientCapabilities_completionList::CompletionClientCapabilities_completionList(
        const CompletionClientCapabilities_completionList &other
    )
    {
        if (other.itemDefaults.has_value()) {
            auto &array_0 = itemDefaults.emplace();
            const auto &array_1 = other.itemDefaults.value();
            array_0 = array_1;
        }
    }

    CompletionClientCapabilities_completionList::~CompletionClientCapabilities_completionList()
    {
        // empty
    }

    auto CompletionClientCapabilities_completionList::operator=(
        CompletionClientCapabilities_completionList &&other
    ) -> CompletionClientCapabilities_completionList &
    {
        if (this != &other) {
            itemDefaults = std::move(other.itemDefaults);
        }
        return *this;
    }

    auto CompletionClientCapabilities_completionList::operator=(
        const CompletionClientCapabilities_completionList &other
    ) -> CompletionClientCapabilities_completionList &
    {
        if (this != &other) {
            if (other.itemDefaults.has_value()) {
                auto &array_0 = itemDefaults.emplace();
                const auto &array_1 = other.itemDefaults.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    CodeActionClientCapabilities_resolveSupport::CodeActionClientCapabilities_resolveSupport()
    {
        // empty
    }

    CodeActionClientCapabilities_resolveSupport::CodeActionClientCapabilities_resolveSupport(
        CodeActionClientCapabilities_resolveSupport &&other
    )
        : properties(std::move(other.properties))
    {
        // empty
    }

    CodeActionClientCapabilities_resolveSupport::CodeActionClientCapabilities_resolveSupport(
        const CodeActionClientCapabilities_resolveSupport &other
    )
    {
        properties = other.properties;
    }

    CodeActionClientCapabilities_resolveSupport::~CodeActionClientCapabilities_resolveSupport()
    {
        // empty
    }

    auto CodeActionClientCapabilities_resolveSupport::operator=(
        CodeActionClientCapabilities_resolveSupport &&other
    ) -> CodeActionClientCapabilities_resolveSupport &
    {
        if (this != &other) {
            properties = std::move(other.properties);
        }
        return *this;
    }

    auto CodeActionClientCapabilities_resolveSupport::operator=(
        const CodeActionClientCapabilities_resolveSupport &other
    ) -> CodeActionClientCapabilities_resolveSupport &
    {
        if (this != &other) {
            properties = other.properties;
        }
        return *this;
    }

    InlayHintClientCapabilities_resolveSupport::InlayHintClientCapabilities_resolveSupport()
    {
        // empty
    }

    InlayHintClientCapabilities_resolveSupport::InlayHintClientCapabilities_resolveSupport(
        InlayHintClientCapabilities_resolveSupport &&other
    )
        : properties(std::move(other.properties))
    {
        // empty
    }

    InlayHintClientCapabilities_resolveSupport::InlayHintClientCapabilities_resolveSupport(
        const InlayHintClientCapabilities_resolveSupport &other
    )
    {
        properties = other.properties;
    }

    InlayHintClientCapabilities_resolveSupport::~InlayHintClientCapabilities_resolveSupport()
    {
        // empty
    }

    auto InlayHintClientCapabilities_resolveSupport::operator=(
        InlayHintClientCapabilities_resolveSupport &&other
    ) -> InlayHintClientCapabilities_resolveSupport &
    {
        if (this != &other) {
            properties = std::move(other.properties);
        }
        return *this;
    }

    auto InlayHintClientCapabilities_resolveSupport::operator=(
        const InlayHintClientCapabilities_resolveSupport &other
    ) -> InlayHintClientCapabilities_resolveSupport &
    {
        if (this != &other) {
            properties = other.properties;
        }
        return *this;
    }

    RegularExpressionsClientCapabilities::RegularExpressionsClientCapabilities()
    {
        // empty
    }

    RegularExpressionsClientCapabilities::RegularExpressionsClientCapabilities(
        RegularExpressionsClientCapabilities &&other
    )
        : engine(std::move(other.engine))
        , version(std::move(other.version))
    {
        // empty
    }

    RegularExpressionsClientCapabilities::RegularExpressionsClientCapabilities(
        const RegularExpressionsClientCapabilities &other
    )
        : engine(other.engine)
    {
        if (other.version.has_value()) {
            version = other.version.value();
        }
    }

    RegularExpressionsClientCapabilities::~RegularExpressionsClientCapabilities()
    {
        // empty
    }

    auto RegularExpressionsClientCapabilities::operator=(
        RegularExpressionsClientCapabilities &&other
    ) -> RegularExpressionsClientCapabilities &
    {
        if (this != &other) {
            engine = std::move(other.engine);
            version = std::move(other.version);
        }
        return *this;
    }

    auto RegularExpressionsClientCapabilities::operator=(
        const RegularExpressionsClientCapabilities &other
    ) -> RegularExpressionsClientCapabilities &
    {
        if (this != &other) {
            engine = other.engine;
            if (other.version.has_value()) {
                version = other.version.value();
            }
        }
        return *this;
    }

    MarkdownClientCapabilities::MarkdownClientCapabilities()
    {
        // empty
    }

    MarkdownClientCapabilities::MarkdownClientCapabilities(
        MarkdownClientCapabilities &&other
    )
        : parser(std::move(other.parser))
        , version(std::move(other.version))
        , allowedTags(std::move(other.allowedTags))
    {
        // empty
    }

    MarkdownClientCapabilities::MarkdownClientCapabilities(
        const MarkdownClientCapabilities &other
    )
        : parser(other.parser)
    {
        if (other.version.has_value()) {
            version = other.version.value();
        }
        if (other.allowedTags.has_value()) {
            auto &array_0 = allowedTags.emplace();
            const auto &array_1 = other.allowedTags.value();
            array_0 = array_1;
        }
    }

    MarkdownClientCapabilities::~MarkdownClientCapabilities()
    {
        // empty
    }

    auto MarkdownClientCapabilities::operator=(
        MarkdownClientCapabilities &&other
    ) -> MarkdownClientCapabilities &
    {
        if (this != &other) {
            parser = std::move(other.parser);
            version = std::move(other.version);
            allowedTags = std::move(other.allowedTags);
        }
        return *this;
    }

    auto MarkdownClientCapabilities::operator=(
        const MarkdownClientCapabilities &other
    ) -> MarkdownClientCapabilities &
    {
        if (this != &other) {
            parser = other.parser;
            if (other.version.has_value()) {
                version = other.version.value();
            }
            if (other.allowedTags.has_value()) {
                auto &array_0 = allowedTags.emplace();
                const auto &array_1 = other.allowedTags.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    Message::Message()
    {
        // empty
    }

    Message::Message(Message &&other)
        : jsonrpc(std::move(other.jsonrpc))
    {
        // empty
    }

    Message::Message(const Message &other)
        : jsonrpc(other.jsonrpc)
    {
    }

    Message::~Message()
    {
        // empty
    }

    auto Message::operator=(Message &&other) -> Message &
    {
        if (this != &other) {
            jsonrpc = std::move(other.jsonrpc);
        }
        return *this;
    }

    auto Message::operator=(const Message &other) -> Message &
    {
        if (this != &other) {
            jsonrpc = other.jsonrpc;
        }
        return *this;
    }

    DocumentParams::DocumentParams()
    {
        // empty
    }

    DocumentParams::DocumentParams(DocumentParams &&other)
        : uri(std::move(other.uri))
    {
        // empty
    }

    DocumentParams::DocumentParams(const DocumentParams &other)
        : uri(other.uri)
    {
    }

    DocumentParams::~DocumentParams()
    {
        // empty
    }

    auto DocumentParams::operator=(DocumentParams &&other) -> DocumentParams &
    {
        if (this != &other) {
            uri = std::move(other.uri);
        }
        return *this;
    }

    auto DocumentParams::operator=(
        const DocumentParams &other
    ) -> DocumentParams &
    {
        if (this != &other) {
            uri = other.uri;
        }
        return *this;
    }

    ResourceOperation::ResourceOperation()
    {
        // empty
    }

    ResourceOperation::ResourceOperation(ResourceOperation &&other)
        : kind(std::move(other.kind))
        , annotationId(std::move(other.annotationId))
    {
        // empty
    }

    ResourceOperation::ResourceOperation(const ResourceOperation &other)
        : kind(other.kind)
    {
        if (other.annotationId.has_value()) {
            annotationId = other.annotationId.value();
        }
    }

    ResourceOperation::~ResourceOperation()
    {
        // empty
    }

    auto ResourceOperation::operator=(
        ResourceOperation &&other
    ) -> ResourceOperation &
    {
        if (this != &other) {
            kind = std::move(other.kind);
            annotationId = std::move(other.annotationId);
        }
        return *this;
    }

    auto ResourceOperation::operator=(
        const ResourceOperation &other
    ) -> ResourceOperation &
    {
        if (this != &other) {
            kind = other.kind;
            if (other.annotationId.has_value()) {
                annotationId = other.annotationId.value();
            }
        }
        return *this;
    }

    TextDocumentContentChangeEvent_1::TextDocumentContentChangeEvent_1()
    {
        // empty
    }

    TextDocumentContentChangeEvent_1::TextDocumentContentChangeEvent_1(
        TextDocumentContentChangeEvent_1 &&other
    )
        : text(std::move(other.text))
    {
        // empty
    }

    TextDocumentContentChangeEvent_1::TextDocumentContentChangeEvent_1(
        const TextDocumentContentChangeEvent_1 &other
    )
        : text(other.text)
    {
    }

    TextDocumentContentChangeEvent_1::~TextDocumentContentChangeEvent_1()
    {
        // empty
    }

    auto TextDocumentContentChangeEvent_1::operator=(
        TextDocumentContentChangeEvent_1 &&other
    ) -> TextDocumentContentChangeEvent_1 &
    {
        if (this != &other) {
            text = std::move(other.text);
        }
        return *this;
    }

    auto TextDocumentContentChangeEvent_1::operator=(
        const TextDocumentContentChangeEvent_1 &other
    ) -> TextDocumentContentChangeEvent_1 &
    {
        if (this != &other) {
            text = other.text;
        }
        return *this;
    }

    MarkedString_1::MarkedString_1()
    {
        // empty
    }

    MarkedString_1::MarkedString_1(MarkedString_1 &&other)
        : language(std::move(other.language))
        , value(std::move(other.value))
    {
        // empty
    }

    MarkedString_1::MarkedString_1(const MarkedString_1 &other)
        : language(other.language)
        , value(other.value)
    {
    }

    MarkedString_1::~MarkedString_1()
    {
        // empty
    }

    auto MarkedString_1::operator=(MarkedString_1 &&other) -> MarkedString_1 &
    {
        if (this != &other) {
            language = std::move(other.language);
            value = std::move(other.value);
        }
        return *this;
    }

    auto MarkedString_1::operator=(
        const MarkedString_1 &other
    ) -> MarkedString_1 &
    {
        if (this != &other) {
            language = other.language;
            value = other.value;
        }
        return *this;
    }

    const std::map<MarkedStringType, std::string> MarkedStringTypeNames = {
        {MarkedStringType::Uninitialized, "Uninitialized"},
        {MarkedStringType::String, "String"},
        {MarkedStringType::MarkedString_1, "MarkedString_1"},
    };

    MarkedString::MarkedString()
    {
        // empty
    }

    MarkedString::~MarkedString()
    {
        reset();
    }

    MarkedString::MarkedString(MarkedString &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case MarkedStringType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case MarkedStringType::MarkedString_1: {
            new (&_markedString_1) std::unique_ptr<MarkedString_1> {
                std::move(other._markedString_1)
            };
            break;
        }
        case MarkedStringType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = MarkedStringType::Uninitialized;
    }

    MarkedString::MarkedString(const MarkedString &other)
        : _type(other._type)
    {
        switch (other._type) {
        case MarkedStringType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case MarkedStringType::MarkedString_1: {
            new (&_markedString_1) std::unique_ptr<MarkedString_1> {
                std::make_unique<MarkedString_1>(*other._markedString_1)
            };
            break;
        }
        case MarkedStringType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto MarkedString::operator=(MarkedString &&other) -> MarkedString &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case MarkedStringType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case MarkedStringType::MarkedString_1: {
                new (&_markedString_1) std::unique_ptr<MarkedString_1> {
                    std::move(other._markedString_1)
                };
                break;
            }
            case MarkedStringType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = MarkedStringType::Uninitialized;
        }
        return *this;
    }

    auto MarkedString::operator=(const MarkedString &other) -> MarkedString &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case MarkedStringType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case MarkedStringType::MarkedString_1: {
                new (&_markedString_1) std::unique_ptr<MarkedString_1> {
                    std::make_unique<MarkedString_1>(*other._markedString_1)
                };
                break;
            }
            case MarkedStringType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto MarkedString::reset() -> void
    {
        switch (_type) {
        case MarkedStringType::Uninitialized: {
            // nothing to do
            break;
        }
        case MarkedStringType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = MarkedStringType::Uninitialized;
            break;
        }
        case MarkedStringType::MarkedString_1: {
#ifdef DEBUG
            if (!_markedString_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _markedString_1"
                );
            }
#endif // DEBUG
            _markedString_1.~unique_ptr<MarkedString_1>();
            _type = MarkedStringType::Uninitialized;
            break;
        }
        default: {
            _type = MarkedStringType::Uninitialized;
        }
        }
    }

    auto MarkedString::type() const -> const MarkedStringType &
    {
        return _type;
    }

    auto MarkedString::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != MarkedStringType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "MarkedString::string()"
                 " of type "
                 "MarkedStringType::String"
                 " while active type is "
                 "MarkedStringType::" +
                 MarkedStringTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto MarkedString::operator=(
        const std::unique_ptr<string_t> &string
    ) -> MarkedString &
    {
        if (_type != MarkedStringType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = MarkedStringType::String;
        return *this;
    }

    auto MarkedString::operator=(
        std::unique_ptr<string_t> &&string
    ) -> MarkedString &
    {
        if (_type != MarkedStringType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = MarkedStringType::String;
        return *this;
    }

    auto MarkedString::operator=(const string_t &string) -> MarkedString &
    {
        if (_type != MarkedStringType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = MarkedStringType::String;
        return *this;
    }

    auto MarkedString::operator=(string_t &&string) -> MarkedString &
    {
        if (_type != MarkedStringType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = MarkedStringType::String;
        return *this;
    }

    auto MarkedString::markedString_1() const -> const MarkedString_1 &
    {
#ifdef DEBUG
        if (_type != MarkedStringType::MarkedString_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "MarkedString::markedString_1()"
                 " of type "
                 "MarkedStringType::MarkedString_1"
                 " while active type is "
                 "MarkedStringType::" +
                 MarkedStringTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_markedString_1;
    }

    auto MarkedString::operator=(
        const std::unique_ptr<MarkedString_1> &markedString_1
    ) -> MarkedString &
    {
        if (_type != MarkedStringType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markedString_1) {
            throw std::logic_error(
                "null passed as the value of markedString_1"
            );
        }
#endif // DEBUG
        new (&_markedString_1) std::unique_ptr<MarkedString_1> {
            std::make_unique<MarkedString_1>(*markedString_1)
        };
        _type = MarkedStringType::MarkedString_1;
        return *this;
    }

    auto MarkedString::operator=(
        std::unique_ptr<MarkedString_1> &&markedString_1
    ) -> MarkedString &
    {
        if (_type != MarkedStringType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markedString_1) {
            throw std::logic_error(
                "null passed as the value of markedString_1"
            );
        }
#endif // DEBUG
        new (&_markedString_1) std::unique_ptr<MarkedString_1> {
            std::move(markedString_1)
        };
        _type = MarkedStringType::MarkedString_1;
        return *this;
    }

    auto MarkedString::operator=(
        const MarkedString_1 &markedString_1
    ) -> MarkedString &
    {
        if (_type != MarkedStringType::Uninitialized) {
            reset();
        }
        new (&_markedString_1) std::unique_ptr<MarkedString_1> {
            std::make_unique<MarkedString_1>(markedString_1)
        };
        _type = MarkedStringType::MarkedString_1;
        return *this;
    }

    auto MarkedString::operator=(
        MarkedString_1 &&markedString_1
    ) -> MarkedString &
    {
        if (_type != MarkedStringType::Uninitialized) {
            reset();
        }
        new (&_markedString_1) std::unique_ptr<MarkedString_1> {
            std::make_unique<MarkedString_1>(std::move(markedString_1))
        };
        _type = MarkedStringType::MarkedString_1;
        return *this;
    }

    const std::map<Hover_contentsType, std::string> Hover_contentsTypeNames = {
        {Hover_contentsType::Uninitialized, "Uninitialized"},
        {Hover_contentsType::MarkupContent, "MarkupContent"},
        {Hover_contentsType::MarkedString, "MarkedString"},
        {Hover_contentsType::MarkedStringArray, "MarkedStringArray"},
    };

    Hover_contents::Hover_contents()
    {
        // empty
    }

    Hover_contents::~Hover_contents()
    {
        reset();
    }

    Hover_contents::Hover_contents(Hover_contents &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case Hover_contentsType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::move(other._markupContent)
            };
            break;
        }
        case Hover_contentsType::MarkedString: {
            new (&_markedString) std::unique_ptr<MarkedString> {
                std::move(other._markedString)
            };
            break;
        }
        case Hover_contentsType::MarkedStringArray: {
            new (&_markedStringArray) std::unique_ptr<Hover_contents_2> {
                std::move(other._markedStringArray)
            };
            break;
        }
        case Hover_contentsType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Hover_contentsType::Uninitialized;
    }

    Hover_contents::Hover_contents(const Hover_contents &other)
        : _type(other._type)
    {
        switch (other._type) {
        case Hover_contentsType::MarkupContent: {
            new (&_markupContent) std::unique_ptr<MarkupContent> {
                std::make_unique<MarkupContent>(*other._markupContent)
            };
            break;
        }
        case Hover_contentsType::MarkedString: {
            new (&_markedString) std::unique_ptr<MarkedString> {
                std::make_unique<MarkedString>(*other._markedString)
            };
            break;
        }
        case Hover_contentsType::MarkedStringArray: {
            _markedStringArray =
                std::make_unique<std::vector<MarkedString>>(*other._markedStringArray);
            break;
        }
        case Hover_contentsType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Hover_contents::operator=(Hover_contents &&other) -> Hover_contents &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Hover_contentsType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::move(other._markupContent)
                };
                break;
            }
            case Hover_contentsType::MarkedString: {
                new (&_markedString) std::unique_ptr<MarkedString> {
                    std::move(other._markedString)
                };
                break;
            }
            case Hover_contentsType::MarkedStringArray: {
                new (&_markedStringArray) std::unique_ptr<Hover_contents_2> {
                    std::move(other._markedStringArray)
                };
                break;
            }
            case Hover_contentsType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Hover_contentsType::Uninitialized;
        }
        return *this;
    }

    auto Hover_contents::operator=(
        const Hover_contents &other
    ) -> Hover_contents &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Hover_contentsType::MarkupContent: {
                new (&_markupContent) std::unique_ptr<MarkupContent> {
                    std::make_unique<MarkupContent>(*other._markupContent)
                };
                break;
            }
            case Hover_contentsType::MarkedString: {
                new (&_markedString) std::unique_ptr<MarkedString> {
                    std::make_unique<MarkedString>(*other._markedString)
                };
                break;
            }
            case Hover_contentsType::MarkedStringArray: {
                _markedStringArray =
                    std::make_unique<std::vector<MarkedString>>(*other._markedStringArray);
                break;
            }
            case Hover_contentsType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Hover_contents::reset() -> void
    {
        switch (_type) {
        case Hover_contentsType::Uninitialized: {
            // nothing to do
            break;
        }
        case Hover_contentsType::MarkupContent: {
#ifdef DEBUG
            if (!_markupContent) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _markupContent"
                );
            }
#endif // DEBUG
            _markupContent.~unique_ptr<MarkupContent>();
            _type = Hover_contentsType::Uninitialized;
            break;
        }
        case Hover_contentsType::MarkedString: {
#ifdef DEBUG
            if (!_markedString) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _markedString"
                );
            }
#endif // DEBUG
            _markedString.~unique_ptr<MarkedString>();
            _type = Hover_contentsType::Uninitialized;
            break;
        }
        case Hover_contentsType::MarkedStringArray: {
#ifdef DEBUG
            if (!_markedStringArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _markedStringArray"
                );
            }
#endif // DEBUG
            _markedStringArray.~unique_ptr<std::vector<MarkedString>>();
            _type = Hover_contentsType::Uninitialized;
            break;
        }
        default: {
            _type = Hover_contentsType::Uninitialized;
        }
        }
    }

    auto Hover_contents::type() const -> const Hover_contentsType &
    {
        return _type;
    }

    auto Hover_contents::markupContent() const -> const MarkupContent &
    {
#ifdef DEBUG
        if (_type != Hover_contentsType::MarkupContent) {
            throw std::logic_error(
                ("Attempted to access "
                 "Hover_contents::markupContent()"
                 " of type "
                 "Hover_contentsType::MarkupContent"
                 " while active type is "
                 "Hover_contentsType::" +
                 Hover_contentsTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_markupContent;
    }

    auto Hover_contents::operator=(
        const std::unique_ptr<MarkupContent> &markupContent
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(*markupContent)
        };
        _type = Hover_contentsType::MarkupContent;
        return *this;
    }

    auto Hover_contents::operator=(
        std::unique_ptr<MarkupContent> &&markupContent
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markupContent) {
            throw std::logic_error(
                "null passed as the value of markupContent"
            );
        }
#endif // DEBUG
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::move(markupContent)
        };
        _type = Hover_contentsType::MarkupContent;
        return *this;
    }

    auto Hover_contents::operator=(
        const MarkupContent &markupContent
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(markupContent)
        };
        _type = Hover_contentsType::MarkupContent;
        return *this;
    }

    auto Hover_contents::operator=(
        MarkupContent &&markupContent
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
        new (&_markupContent) std::unique_ptr<MarkupContent> {
            std::make_unique<MarkupContent>(std::move(markupContent))
        };
        _type = Hover_contentsType::MarkupContent;
        return *this;
    }

    auto Hover_contents::markedString() const -> const MarkedString &
    {
#ifdef DEBUG
        if (_type != Hover_contentsType::MarkedString) {
            throw std::logic_error(
                ("Attempted to access "
                 "Hover_contents::markedString()"
                 " of type "
                 "Hover_contentsType::MarkedString"
                 " while active type is "
                 "Hover_contentsType::" +
                 Hover_contentsTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_markedString;
    }

    auto Hover_contents::operator=(
        const std::unique_ptr<MarkedString> &markedString
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markedString) {
            throw std::logic_error("null passed as the value of markedString");
        }
#endif // DEBUG
        new (&_markedString) std::unique_ptr<MarkedString> {
            std::make_unique<MarkedString>(*markedString)
        };
        _type = Hover_contentsType::MarkedString;
        return *this;
    }

    auto Hover_contents::operator=(
        std::unique_ptr<MarkedString> &&markedString
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markedString) {
            throw std::logic_error("null passed as the value of markedString");
        }
#endif // DEBUG
        new (&_markedString) std::unique_ptr<MarkedString> {
            std::move(markedString)
        };
        _type = Hover_contentsType::MarkedString;
        return *this;
    }

    auto Hover_contents::operator=(
        const MarkedString &markedString
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
        new (&_markedString) std::unique_ptr<MarkedString> {
            std::make_unique<MarkedString>(markedString)
        };
        _type = Hover_contentsType::MarkedString;
        return *this;
    }

    auto Hover_contents::operator=(
        MarkedString &&markedString
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
        new (&_markedString) std::unique_ptr<MarkedString> {
            std::make_unique<MarkedString>(std::move(markedString))
        };
        _type = Hover_contentsType::MarkedString;
        return *this;
    }

    auto Hover_contents::markedStringArray() const
    -> const std::vector<MarkedString> &
    {
#ifdef DEBUG
        if (_type != Hover_contentsType::MarkedStringArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "Hover_contents::markedStringArray()"
                 " of type "
                 "Hover_contentsType::MarkedStringArray"
                 " while active type is "
                 "Hover_contentsType::" +
                 Hover_contentsTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_markedStringArray;
    }

    auto Hover_contents::operator=(
        const std::unique_ptr<std::vector<MarkedString>> &markedStringArray
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markedStringArray) {
            throw std::logic_error(
                "null passed as the value of markedStringArray"
            );
        }
#endif // DEBUG
        _markedStringArray =
            std::make_unique<std::vector<MarkedString>>(*markedStringArray);
        _type = Hover_contentsType::MarkedStringArray;
        return *this;
    }

    auto Hover_contents::operator=(
        std::unique_ptr<std::vector<MarkedString>> &&markedStringArray
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!markedStringArray) {
            throw std::logic_error(
                "null passed as the value of markedStringArray"
            );
        }
#endif // DEBUG
        new (&_markedStringArray) std::unique_ptr<Hover_contents_2> {
            std::move(markedStringArray)
        };
        _type = Hover_contentsType::MarkedStringArray;
        return *this;
    }

    auto Hover_contents::operator=(
        const std::vector<MarkedString> &markedStringArray
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
        _markedStringArray =
            std::make_unique<std::vector<MarkedString>>(markedStringArray);
        _type = Hover_contentsType::MarkedStringArray;
        return *this;
    }

    auto Hover_contents::operator=(
        std::vector<MarkedString> &&markedStringArray
    ) -> Hover_contents &
    {
        if (_type != Hover_contentsType::Uninitialized) {
            reset();
        }
        new (&_markedStringArray) std::unique_ptr<Hover_contents_2> {
            std::make_unique<Hover_contents_2>(std::move(markedStringArray))
        };
        _type = Hover_contentsType::MarkedStringArray;
        return *this;
    }

    TextDocumentFilter_0::TextDocumentFilter_0()
    {
        // empty
    }

    TextDocumentFilter_0::TextDocumentFilter_0(TextDocumentFilter_0 &&other)
        : language(std::move(other.language))
        , scheme(std::move(other.scheme))
        , pattern(std::move(other.pattern))
    {
        // empty
    }

    TextDocumentFilter_0::TextDocumentFilter_0(
        const TextDocumentFilter_0 &other
    )
        : language(other.language)
    {
        if (other.scheme.has_value()) {
            scheme = other.scheme.value();
        }
        if (other.pattern.has_value()) {
            pattern = other.pattern.value();
        }
    }

    TextDocumentFilter_0::~TextDocumentFilter_0()
    {
        // empty
    }

    auto TextDocumentFilter_0::operator=(
        TextDocumentFilter_0 &&other
    ) -> TextDocumentFilter_0 &
    {
        if (this != &other) {
            language = std::move(other.language);
            scheme = std::move(other.scheme);
            pattern = std::move(other.pattern);
        }
        return *this;
    }

    auto TextDocumentFilter_0::operator=(
        const TextDocumentFilter_0 &other
    ) -> TextDocumentFilter_0 &
    {
        if (this != &other) {
            language = other.language;
            if (other.scheme.has_value()) {
                scheme = other.scheme.value();
            }
            if (other.pattern.has_value()) {
                pattern = other.pattern.value();
            }
        }
        return *this;
    }

    TextDocumentFilter_1::TextDocumentFilter_1()
    {
        // empty
    }

    TextDocumentFilter_1::TextDocumentFilter_1(TextDocumentFilter_1 &&other)
        : language(std::move(other.language))
        , scheme(std::move(other.scheme))
        , pattern(std::move(other.pattern))
    {
        // empty
    }

    TextDocumentFilter_1::TextDocumentFilter_1(
        const TextDocumentFilter_1 &other
    )
        : scheme(other.scheme)
    {
        if (other.language.has_value()) {
            language = other.language.value();
        }
        if (other.pattern.has_value()) {
            pattern = other.pattern.value();
        }
    }

    TextDocumentFilter_1::~TextDocumentFilter_1()
    {
        // empty
    }

    auto TextDocumentFilter_1::operator=(
        TextDocumentFilter_1 &&other
    ) -> TextDocumentFilter_1 &
    {
        if (this != &other) {
            language = std::move(other.language);
            scheme = std::move(other.scheme);
            pattern = std::move(other.pattern);
        }
        return *this;
    }

    auto TextDocumentFilter_1::operator=(
        const TextDocumentFilter_1 &other
    ) -> TextDocumentFilter_1 &
    {
        if (this != &other) {
            if (other.language.has_value()) {
                language = other.language.value();
            }
            scheme = other.scheme;
            if (other.pattern.has_value()) {
                pattern = other.pattern.value();
            }
        }
        return *this;
    }

    TextDocumentFilter_2::TextDocumentFilter_2()
    {
        // empty
    }

    TextDocumentFilter_2::TextDocumentFilter_2(TextDocumentFilter_2 &&other)
        : language(std::move(other.language))
        , scheme(std::move(other.scheme))
        , pattern(std::move(other.pattern))
    {
        // empty
    }

    TextDocumentFilter_2::TextDocumentFilter_2(
        const TextDocumentFilter_2 &other
    )
        : pattern(other.pattern)
    {
        if (other.language.has_value()) {
            language = other.language.value();
        }
        if (other.scheme.has_value()) {
            scheme = other.scheme.value();
        }
    }

    TextDocumentFilter_2::~TextDocumentFilter_2()
    {
        // empty
    }

    auto TextDocumentFilter_2::operator=(
        TextDocumentFilter_2 &&other
    ) -> TextDocumentFilter_2 &
    {
        if (this != &other) {
            language = std::move(other.language);
            scheme = std::move(other.scheme);
            pattern = std::move(other.pattern);
        }
        return *this;
    }

    auto TextDocumentFilter_2::operator=(
        const TextDocumentFilter_2 &other
    ) -> TextDocumentFilter_2 &
    {
        if (this != &other) {
            if (other.language.has_value()) {
                language = other.language.value();
            }
            if (other.scheme.has_value()) {
                scheme = other.scheme.value();
            }
            pattern = other.pattern;
        }
        return *this;
    }

    const std::map<TextDocumentFilterType, std::string>
    TextDocumentFilterTypeNames = {
        {TextDocumentFilterType::Uninitialized, "Uninitialized"},
        {TextDocumentFilterType::TextDocumentFilter_0, "TextDocumentFilter_0"},
        {TextDocumentFilterType::TextDocumentFilter_1, "TextDocumentFilter_1"},
        {TextDocumentFilterType::TextDocumentFilter_2, "TextDocumentFilter_2"},
    };

    TextDocumentFilter::TextDocumentFilter()
    {
        // empty
    }

    TextDocumentFilter::~TextDocumentFilter()
    {
        reset();
    }

    TextDocumentFilter::TextDocumentFilter(TextDocumentFilter &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentFilterType::TextDocumentFilter_0: {
            new (&_textDocumentFilter_0) std::unique_ptr<TextDocumentFilter_0> {
                std::move(other._textDocumentFilter_0)
            };
            break;
        }
        case TextDocumentFilterType::TextDocumentFilter_1: {
            new (&_textDocumentFilter_1) std::unique_ptr<TextDocumentFilter_1> {
                std::move(other._textDocumentFilter_1)
            };
            break;
        }
        case TextDocumentFilterType::TextDocumentFilter_2: {
            new (&_textDocumentFilter_2) std::unique_ptr<TextDocumentFilter_2> {
                std::move(other._textDocumentFilter_2)
            };
            break;
        }
        case TextDocumentFilterType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocumentFilterType::Uninitialized;
    }

    TextDocumentFilter::TextDocumentFilter(const TextDocumentFilter &other)
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentFilterType::TextDocumentFilter_0: {
            new (&_textDocumentFilter_0) std::unique_ptr<TextDocumentFilter_0> {
                std::make_unique<TextDocumentFilter_0>(*other._textDocumentFilter_0)
            };
            break;
        }
        case TextDocumentFilterType::TextDocumentFilter_1: {
            new (&_textDocumentFilter_1) std::unique_ptr<TextDocumentFilter_1> {
                std::make_unique<TextDocumentFilter_1>(*other._textDocumentFilter_1)
            };
            break;
        }
        case TextDocumentFilterType::TextDocumentFilter_2: {
            new (&_textDocumentFilter_2) std::unique_ptr<TextDocumentFilter_2> {
                std::make_unique<TextDocumentFilter_2>(*other._textDocumentFilter_2)
            };
            break;
        }
        case TextDocumentFilterType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocumentFilter::operator=(
        TextDocumentFilter &&other
    ) -> TextDocumentFilter &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentFilterType::TextDocumentFilter_0: {
                new (&_textDocumentFilter_0) std::unique_ptr<TextDocumentFilter_0> {
                    std::move(other._textDocumentFilter_0)
                };
                break;
            }
            case TextDocumentFilterType::TextDocumentFilter_1: {
                new (&_textDocumentFilter_1) std::unique_ptr<TextDocumentFilter_1> {
                    std::move(other._textDocumentFilter_1)
                };
                break;
            }
            case TextDocumentFilterType::TextDocumentFilter_2: {
                new (&_textDocumentFilter_2) std::unique_ptr<TextDocumentFilter_2> {
                    std::move(other._textDocumentFilter_2)
                };
                break;
            }
            case TextDocumentFilterType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocumentFilterType::Uninitialized;
        }
        return *this;
    }

    auto TextDocumentFilter::operator=(
        const TextDocumentFilter &other
    ) -> TextDocumentFilter &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentFilterType::TextDocumentFilter_0: {
                new (&_textDocumentFilter_0) std::unique_ptr<TextDocumentFilter_0> {
                    std::make_unique<TextDocumentFilter_0>(*other._textDocumentFilter_0)
                };
                break;
            }
            case TextDocumentFilterType::TextDocumentFilter_1: {
                new (&_textDocumentFilter_1) std::unique_ptr<TextDocumentFilter_1> {
                    std::make_unique<TextDocumentFilter_1>(*other._textDocumentFilter_1)
                };
                break;
            }
            case TextDocumentFilterType::TextDocumentFilter_2: {
                new (&_textDocumentFilter_2) std::unique_ptr<TextDocumentFilter_2> {
                    std::make_unique<TextDocumentFilter_2>(*other._textDocumentFilter_2)
                };
                break;
            }
            case TextDocumentFilterType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocumentFilter::reset() -> void
    {
        switch (_type) {
        case TextDocumentFilterType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocumentFilterType::TextDocumentFilter_0: {
#ifdef DEBUG
            if (!_textDocumentFilter_0) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textDocumentFilter_0"
                );
            }
#endif // DEBUG
            _textDocumentFilter_0.~unique_ptr<TextDocumentFilter_0>();
            _type = TextDocumentFilterType::Uninitialized;
            break;
        }
        case TextDocumentFilterType::TextDocumentFilter_1: {
#ifdef DEBUG
            if (!_textDocumentFilter_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textDocumentFilter_1"
                );
            }
#endif // DEBUG
            _textDocumentFilter_1.~unique_ptr<TextDocumentFilter_1>();
            _type = TextDocumentFilterType::Uninitialized;
            break;
        }
        case TextDocumentFilterType::TextDocumentFilter_2: {
#ifdef DEBUG
            if (!_textDocumentFilter_2) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textDocumentFilter_2"
                );
            }
#endif // DEBUG
            _textDocumentFilter_2.~unique_ptr<TextDocumentFilter_2>();
            _type = TextDocumentFilterType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocumentFilterType::Uninitialized;
        }
        }
    }

    auto TextDocumentFilter::type() const -> const TextDocumentFilterType &
    {
        return _type;
    }

    auto TextDocumentFilter::textDocumentFilter_0() const
    -> const TextDocumentFilter_0 &
    {
#ifdef DEBUG
        if (_type != TextDocumentFilterType::TextDocumentFilter_0) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentFilter::textDocumentFilter_0()"
                 " of type "
                 "TextDocumentFilterType::TextDocumentFilter_0"
                 " while active type is "
                 "TextDocumentFilterType::" +
                 TextDocumentFilterTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textDocumentFilter_0;
    }

    auto TextDocumentFilter::operator=(
        const std::unique_ptr<TextDocumentFilter_0> &textDocumentFilter_0
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentFilter_0) {
            throw std::logic_error(
                "null passed as the value of textDocumentFilter_0"
            );
        }
#endif // DEBUG
        new (&_textDocumentFilter_0) std::unique_ptr<TextDocumentFilter_0> {
            std::make_unique<TextDocumentFilter_0>(*textDocumentFilter_0)
        };
        _type = TextDocumentFilterType::TextDocumentFilter_0;
        return *this;
    }

    auto TextDocumentFilter::operator=(
        std::unique_ptr<TextDocumentFilter_0> &&textDocumentFilter_0
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentFilter_0) {
            throw std::logic_error(
                "null passed as the value of textDocumentFilter_0"
            );
        }
#endif // DEBUG
        new (&_textDocumentFilter_0) std::unique_ptr<TextDocumentFilter_0> {
            std::move(textDocumentFilter_0)
        };
        _type = TextDocumentFilterType::TextDocumentFilter_0;
        return *this;
    }

    auto TextDocumentFilter::operator=(
        const TextDocumentFilter_0 &textDocumentFilter_0
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_textDocumentFilter_0) std::unique_ptr<TextDocumentFilter_0> {
            std::make_unique<TextDocumentFilter_0>(textDocumentFilter_0)
        };
        _type = TextDocumentFilterType::TextDocumentFilter_0;
        return *this;
    }

    auto TextDocumentFilter::operator=(
        TextDocumentFilter_0 &&textDocumentFilter_0
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_textDocumentFilter_0) std::unique_ptr<TextDocumentFilter_0> {
            std::make_unique<TextDocumentFilter_0>(std::move(textDocumentFilter_0))
        };
        _type = TextDocumentFilterType::TextDocumentFilter_0;
        return *this;
    }

    auto TextDocumentFilter::textDocumentFilter_1() const
    -> const TextDocumentFilter_1 &
    {
#ifdef DEBUG
        if (_type != TextDocumentFilterType::TextDocumentFilter_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentFilter::textDocumentFilter_1()"
                 " of type "
                 "TextDocumentFilterType::TextDocumentFilter_1"
                 " while active type is "
                 "TextDocumentFilterType::" +
                 TextDocumentFilterTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textDocumentFilter_1;
    }

    auto TextDocumentFilter::operator=(
        const std::unique_ptr<TextDocumentFilter_1> &textDocumentFilter_1
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentFilter_1) {
            throw std::logic_error(
                "null passed as the value of textDocumentFilter_1"
            );
        }
#endif // DEBUG
        new (&_textDocumentFilter_1) std::unique_ptr<TextDocumentFilter_1> {
            std::make_unique<TextDocumentFilter_1>(*textDocumentFilter_1)
        };
        _type = TextDocumentFilterType::TextDocumentFilter_1;
        return *this;
    }

    auto TextDocumentFilter::operator=(
        std::unique_ptr<TextDocumentFilter_1> &&textDocumentFilter_1
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentFilter_1) {
            throw std::logic_error(
                "null passed as the value of textDocumentFilter_1"
            );
        }
#endif // DEBUG
        new (&_textDocumentFilter_1) std::unique_ptr<TextDocumentFilter_1> {
            std::move(textDocumentFilter_1)
        };
        _type = TextDocumentFilterType::TextDocumentFilter_1;
        return *this;
    }

    auto TextDocumentFilter::operator=(
        const TextDocumentFilter_1 &textDocumentFilter_1
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_textDocumentFilter_1) std::unique_ptr<TextDocumentFilter_1> {
            std::make_unique<TextDocumentFilter_1>(textDocumentFilter_1)
        };
        _type = TextDocumentFilterType::TextDocumentFilter_1;
        return *this;
    }

    auto TextDocumentFilter::operator=(
        TextDocumentFilter_1 &&textDocumentFilter_1
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_textDocumentFilter_1) std::unique_ptr<TextDocumentFilter_1> {
            std::make_unique<TextDocumentFilter_1>(std::move(textDocumentFilter_1))
        };
        _type = TextDocumentFilterType::TextDocumentFilter_1;
        return *this;
    }

    auto TextDocumentFilter::textDocumentFilter_2() const
    -> const TextDocumentFilter_2 &
    {
#ifdef DEBUG
        if (_type != TextDocumentFilterType::TextDocumentFilter_2) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentFilter::textDocumentFilter_2()"
                 " of type "
                 "TextDocumentFilterType::TextDocumentFilter_2"
                 " while active type is "
                 "TextDocumentFilterType::" +
                 TextDocumentFilterTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textDocumentFilter_2;
    }

    auto TextDocumentFilter::operator=(
        const std::unique_ptr<TextDocumentFilter_2> &textDocumentFilter_2
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentFilter_2) {
            throw std::logic_error(
                "null passed as the value of textDocumentFilter_2"
            );
        }
#endif // DEBUG
        new (&_textDocumentFilter_2) std::unique_ptr<TextDocumentFilter_2> {
            std::make_unique<TextDocumentFilter_2>(*textDocumentFilter_2)
        };
        _type = TextDocumentFilterType::TextDocumentFilter_2;
        return *this;
    }

    auto TextDocumentFilter::operator=(
        std::unique_ptr<TextDocumentFilter_2> &&textDocumentFilter_2
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentFilter_2) {
            throw std::logic_error(
                "null passed as the value of textDocumentFilter_2"
            );
        }
#endif // DEBUG
        new (&_textDocumentFilter_2) std::unique_ptr<TextDocumentFilter_2> {
            std::move(textDocumentFilter_2)
        };
        _type = TextDocumentFilterType::TextDocumentFilter_2;
        return *this;
    }

    auto TextDocumentFilter::operator=(
        const TextDocumentFilter_2 &textDocumentFilter_2
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_textDocumentFilter_2) std::unique_ptr<TextDocumentFilter_2> {
            std::make_unique<TextDocumentFilter_2>(textDocumentFilter_2)
        };
        _type = TextDocumentFilterType::TextDocumentFilter_2;
        return *this;
    }

    auto TextDocumentFilter::operator=(
        TextDocumentFilter_2 &&textDocumentFilter_2
    ) -> TextDocumentFilter &
    {
        if (_type != TextDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_textDocumentFilter_2) std::unique_ptr<TextDocumentFilter_2> {
            std::make_unique<TextDocumentFilter_2>(std::move(textDocumentFilter_2))
        };
        _type = TextDocumentFilterType::TextDocumentFilter_2;
        return *this;
    }

    NotebookDocumentFilter_0::NotebookDocumentFilter_0()
    {
        // empty
    }

    NotebookDocumentFilter_0::NotebookDocumentFilter_0(
        NotebookDocumentFilter_0 &&other
    )
        : notebookType(std::move(other.notebookType))
        , scheme(std::move(other.scheme))
        , pattern(std::move(other.pattern))
    {
        // empty
    }

    NotebookDocumentFilter_0::NotebookDocumentFilter_0(
        const NotebookDocumentFilter_0 &other
    )
        : notebookType(other.notebookType)
    {
        if (other.scheme.has_value()) {
            scheme = other.scheme.value();
        }
        if (other.pattern.has_value()) {
            pattern = other.pattern.value();
        }
    }

    NotebookDocumentFilter_0::~NotebookDocumentFilter_0()
    {
        // empty
    }

    auto NotebookDocumentFilter_0::operator=(
        NotebookDocumentFilter_0 &&other
    ) -> NotebookDocumentFilter_0 &
    {
        if (this != &other) {
            notebookType = std::move(other.notebookType);
            scheme = std::move(other.scheme);
            pattern = std::move(other.pattern);
        }
        return *this;
    }

    auto NotebookDocumentFilter_0::operator=(
        const NotebookDocumentFilter_0 &other
    ) -> NotebookDocumentFilter_0 &
    {
        if (this != &other) {
            notebookType = other.notebookType;
            if (other.scheme.has_value()) {
                scheme = other.scheme.value();
            }
            if (other.pattern.has_value()) {
                pattern = other.pattern.value();
            }
        }
        return *this;
    }

    NotebookDocumentFilter_1::NotebookDocumentFilter_1()
    {
        // empty
    }

    NotebookDocumentFilter_1::NotebookDocumentFilter_1(
        NotebookDocumentFilter_1 &&other
    )
        : notebookType(std::move(other.notebookType))
        , scheme(std::move(other.scheme))
        , pattern(std::move(other.pattern))
    {
        // empty
    }

    NotebookDocumentFilter_1::NotebookDocumentFilter_1(
        const NotebookDocumentFilter_1 &other
    )
        : scheme(other.scheme)
    {
        if (other.notebookType.has_value()) {
            notebookType = other.notebookType.value();
        }
        if (other.pattern.has_value()) {
            pattern = other.pattern.value();
        }
    }

    NotebookDocumentFilter_1::~NotebookDocumentFilter_1()
    {
        // empty
    }

    auto NotebookDocumentFilter_1::operator=(
        NotebookDocumentFilter_1 &&other
    ) -> NotebookDocumentFilter_1 &
    {
        if (this != &other) {
            notebookType = std::move(other.notebookType);
            scheme = std::move(other.scheme);
            pattern = std::move(other.pattern);
        }
        return *this;
    }

    auto NotebookDocumentFilter_1::operator=(
        const NotebookDocumentFilter_1 &other
    ) -> NotebookDocumentFilter_1 &
    {
        if (this != &other) {
            if (other.notebookType.has_value()) {
                notebookType = other.notebookType.value();
            }
            scheme = other.scheme;
            if (other.pattern.has_value()) {
                pattern = other.pattern.value();
            }
        }
        return *this;
    }

    NotebookDocumentFilter_2::NotebookDocumentFilter_2()
    {
        // empty
    }

    NotebookDocumentFilter_2::NotebookDocumentFilter_2(
        NotebookDocumentFilter_2 &&other
    )
        : notebookType(std::move(other.notebookType))
        , scheme(std::move(other.scheme))
        , pattern(std::move(other.pattern))
    {
        // empty
    }

    NotebookDocumentFilter_2::NotebookDocumentFilter_2(
        const NotebookDocumentFilter_2 &other
    )
        : pattern(other.pattern)
    {
        if (other.notebookType.has_value()) {
            notebookType = other.notebookType.value();
        }
        if (other.scheme.has_value()) {
            scheme = other.scheme.value();
        }
    }

    NotebookDocumentFilter_2::~NotebookDocumentFilter_2()
    {
        // empty
    }

    auto NotebookDocumentFilter_2::operator=(
        NotebookDocumentFilter_2 &&other
    ) -> NotebookDocumentFilter_2 &
    {
        if (this != &other) {
            notebookType = std::move(other.notebookType);
            scheme = std::move(other.scheme);
            pattern = std::move(other.pattern);
        }
        return *this;
    }

    auto NotebookDocumentFilter_2::operator=(
        const NotebookDocumentFilter_2 &other
    ) -> NotebookDocumentFilter_2 &
    {
        if (this != &other) {
            if (other.notebookType.has_value()) {
                notebookType = other.notebookType.value();
            }
            if (other.scheme.has_value()) {
                scheme = other.scheme.value();
            }
            pattern = other.pattern;
        }
        return *this;
    }

    const std::map<NotebookDocumentFilterType, std::string>
    NotebookDocumentFilterTypeNames = {
        {NotebookDocumentFilterType::Uninitialized, "Uninitialized"},
        {NotebookDocumentFilterType::NotebookDocumentFilter_0,
         "NotebookDocumentFilter_0"},
        {NotebookDocumentFilterType::NotebookDocumentFilter_1,
         "NotebookDocumentFilter_1"},
        {NotebookDocumentFilterType::NotebookDocumentFilter_2,
         "NotebookDocumentFilter_2"},
    };

    NotebookDocumentFilter::NotebookDocumentFilter()
    {
        // empty
    }

    NotebookDocumentFilter::~NotebookDocumentFilter()
    {
        reset();
    }

    NotebookDocumentFilter::NotebookDocumentFilter(
        NotebookDocumentFilter &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookDocumentFilterType::NotebookDocumentFilter_0: {
            new (&_notebookDocumentFilter_0) std::unique_ptr<NotebookDocumentFilter_0> {
                std::move(other._notebookDocumentFilter_0)
            };
            break;
        }
        case NotebookDocumentFilterType::NotebookDocumentFilter_1: {
            new (&_notebookDocumentFilter_1) std::unique_ptr<NotebookDocumentFilter_1> {
                std::move(other._notebookDocumentFilter_1)
            };
            break;
        }
        case NotebookDocumentFilterType::NotebookDocumentFilter_2: {
            new (&_notebookDocumentFilter_2) std::unique_ptr<NotebookDocumentFilter_2> {
                std::move(other._notebookDocumentFilter_2)
            };
            break;
        }
        case NotebookDocumentFilterType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = NotebookDocumentFilterType::Uninitialized;
    }

    NotebookDocumentFilter::NotebookDocumentFilter(
        const NotebookDocumentFilter &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookDocumentFilterType::NotebookDocumentFilter_0: {
            new (&_notebookDocumentFilter_0) std::unique_ptr<NotebookDocumentFilter_0> {
                std::make_unique<NotebookDocumentFilter_0>(*other._notebookDocumentFilter_0)
            };
            break;
        }
        case NotebookDocumentFilterType::NotebookDocumentFilter_1: {
            new (&_notebookDocumentFilter_1) std::unique_ptr<NotebookDocumentFilter_1> {
                std::make_unique<NotebookDocumentFilter_1>(*other._notebookDocumentFilter_1)
            };
            break;
        }
        case NotebookDocumentFilterType::NotebookDocumentFilter_2: {
            new (&_notebookDocumentFilter_2) std::unique_ptr<NotebookDocumentFilter_2> {
                std::make_unique<NotebookDocumentFilter_2>(*other._notebookDocumentFilter_2)
            };
            break;
        }
        case NotebookDocumentFilterType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto NotebookDocumentFilter::operator=(
        NotebookDocumentFilter &&other
    ) -> NotebookDocumentFilter &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookDocumentFilterType::NotebookDocumentFilter_0: {
                new (&_notebookDocumentFilter_0) std::unique_ptr<NotebookDocumentFilter_0> {
                    std::move(other._notebookDocumentFilter_0)
                };
                break;
            }
            case NotebookDocumentFilterType::NotebookDocumentFilter_1: {
                new (&_notebookDocumentFilter_1) std::unique_ptr<NotebookDocumentFilter_1> {
                    std::move(other._notebookDocumentFilter_1)
                };
                break;
            }
            case NotebookDocumentFilterType::NotebookDocumentFilter_2: {
                new (&_notebookDocumentFilter_2) std::unique_ptr<NotebookDocumentFilter_2> {
                    std::move(other._notebookDocumentFilter_2)
                };
                break;
            }
            case NotebookDocumentFilterType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = NotebookDocumentFilterType::Uninitialized;
        }
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        const NotebookDocumentFilter &other
    ) -> NotebookDocumentFilter &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookDocumentFilterType::NotebookDocumentFilter_0: {
                new (&_notebookDocumentFilter_0) std::unique_ptr<NotebookDocumentFilter_0> {
                    std::make_unique<NotebookDocumentFilter_0>(*other._notebookDocumentFilter_0)
                };
                break;
            }
            case NotebookDocumentFilterType::NotebookDocumentFilter_1: {
                new (&_notebookDocumentFilter_1) std::unique_ptr<NotebookDocumentFilter_1> {
                    std::make_unique<NotebookDocumentFilter_1>(*other._notebookDocumentFilter_1)
                };
                break;
            }
            case NotebookDocumentFilterType::NotebookDocumentFilter_2: {
                new (&_notebookDocumentFilter_2) std::unique_ptr<NotebookDocumentFilter_2> {
                    std::make_unique<NotebookDocumentFilter_2>(*other._notebookDocumentFilter_2)
                };
                break;
            }
            case NotebookDocumentFilterType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto NotebookDocumentFilter::reset() -> void
    {
        switch (_type) {
        case NotebookDocumentFilterType::Uninitialized: {
            // nothing to do
            break;
        }
        case NotebookDocumentFilterType::NotebookDocumentFilter_0: {
#ifdef DEBUG
            if (!_notebookDocumentFilter_0) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentFilter_0"
                );
            }
#endif // DEBUG
            _notebookDocumentFilter_0.~unique_ptr<NotebookDocumentFilter_0>();
            _type = NotebookDocumentFilterType::Uninitialized;
            break;
        }
        case NotebookDocumentFilterType::NotebookDocumentFilter_1: {
#ifdef DEBUG
            if (!_notebookDocumentFilter_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentFilter_1"
                );
            }
#endif // DEBUG
            _notebookDocumentFilter_1.~unique_ptr<NotebookDocumentFilter_1>();
            _type = NotebookDocumentFilterType::Uninitialized;
            break;
        }
        case NotebookDocumentFilterType::NotebookDocumentFilter_2: {
#ifdef DEBUG
            if (!_notebookDocumentFilter_2) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentFilter_2"
                );
            }
#endif // DEBUG
            _notebookDocumentFilter_2.~unique_ptr<NotebookDocumentFilter_2>();
            _type = NotebookDocumentFilterType::Uninitialized;
            break;
        }
        default: {
            _type = NotebookDocumentFilterType::Uninitialized;
        }
        }
    }

    auto NotebookDocumentFilter::type() const
    -> const NotebookDocumentFilterType &
    {
        return _type;
    }

    auto NotebookDocumentFilter::notebookDocumentFilter_0() const
    -> const NotebookDocumentFilter_0 &
    {
#ifdef DEBUG
        if (_type != NotebookDocumentFilterType::NotebookDocumentFilter_0) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookDocumentFilter::notebookDocumentFilter_0()"
                 " of type "
                 "NotebookDocumentFilterType::NotebookDocumentFilter_0"
                 " while active type is "
                 "NotebookDocumentFilterType::" +
                 NotebookDocumentFilterTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentFilter_0;
    }

    auto NotebookDocumentFilter::operator=(
        const std::unique_ptr<NotebookDocumentFilter_0> &notebookDocumentFilter_0
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter_0) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter_0"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter_0) std::unique_ptr<NotebookDocumentFilter_0> {
            std::make_unique<NotebookDocumentFilter_0>(*notebookDocumentFilter_0)
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_0;
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        std::unique_ptr<NotebookDocumentFilter_0> &&notebookDocumentFilter_0
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter_0) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter_0"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter_0) std::unique_ptr<NotebookDocumentFilter_0> {
            std::move(notebookDocumentFilter_0)
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_0;
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        const NotebookDocumentFilter_0 &notebookDocumentFilter_0
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter_0) std::unique_ptr<NotebookDocumentFilter_0> {
            std::make_unique<NotebookDocumentFilter_0>(notebookDocumentFilter_0)
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_0;
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        NotebookDocumentFilter_0 &&notebookDocumentFilter_0
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter_0) std::unique_ptr<NotebookDocumentFilter_0> {
            std::make_unique<NotebookDocumentFilter_0>(std::move(notebookDocumentFilter_0))
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_0;
        return *this;
    }

    auto NotebookDocumentFilter::notebookDocumentFilter_1() const
    -> const NotebookDocumentFilter_1 &
    {
#ifdef DEBUG
        if (_type != NotebookDocumentFilterType::NotebookDocumentFilter_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookDocumentFilter::notebookDocumentFilter_1()"
                 " of type "
                 "NotebookDocumentFilterType::NotebookDocumentFilter_1"
                 " while active type is "
                 "NotebookDocumentFilterType::" +
                 NotebookDocumentFilterTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentFilter_1;
    }

    auto NotebookDocumentFilter::operator=(
        const std::unique_ptr<NotebookDocumentFilter_1> &notebookDocumentFilter_1
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter_1) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter_1"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter_1) std::unique_ptr<NotebookDocumentFilter_1> {
            std::make_unique<NotebookDocumentFilter_1>(*notebookDocumentFilter_1)
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_1;
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        std::unique_ptr<NotebookDocumentFilter_1> &&notebookDocumentFilter_1
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter_1) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter_1"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter_1) std::unique_ptr<NotebookDocumentFilter_1> {
            std::move(notebookDocumentFilter_1)
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_1;
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        const NotebookDocumentFilter_1 &notebookDocumentFilter_1
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter_1) std::unique_ptr<NotebookDocumentFilter_1> {
            std::make_unique<NotebookDocumentFilter_1>(notebookDocumentFilter_1)
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_1;
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        NotebookDocumentFilter_1 &&notebookDocumentFilter_1
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter_1) std::unique_ptr<NotebookDocumentFilter_1> {
            std::make_unique<NotebookDocumentFilter_1>(std::move(notebookDocumentFilter_1))
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_1;
        return *this;
    }

    auto NotebookDocumentFilter::notebookDocumentFilter_2() const
    -> const NotebookDocumentFilter_2 &
    {
#ifdef DEBUG
        if (_type != NotebookDocumentFilterType::NotebookDocumentFilter_2) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookDocumentFilter::notebookDocumentFilter_2()"
                 " of type "
                 "NotebookDocumentFilterType::NotebookDocumentFilter_2"
                 " while active type is "
                 "NotebookDocumentFilterType::" +
                 NotebookDocumentFilterTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentFilter_2;
    }

    auto NotebookDocumentFilter::operator=(
        const std::unique_ptr<NotebookDocumentFilter_2> &notebookDocumentFilter_2
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter_2) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter_2"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter_2) std::unique_ptr<NotebookDocumentFilter_2> {
            std::make_unique<NotebookDocumentFilter_2>(*notebookDocumentFilter_2)
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_2;
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        std::unique_ptr<NotebookDocumentFilter_2> &&notebookDocumentFilter_2
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter_2) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter_2"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter_2) std::unique_ptr<NotebookDocumentFilter_2> {
            std::move(notebookDocumentFilter_2)
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_2;
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        const NotebookDocumentFilter_2 &notebookDocumentFilter_2
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter_2) std::unique_ptr<NotebookDocumentFilter_2> {
            std::make_unique<NotebookDocumentFilter_2>(notebookDocumentFilter_2)
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_2;
        return *this;
    }

    auto NotebookDocumentFilter::operator=(
        NotebookDocumentFilter_2 &&notebookDocumentFilter_2
    ) -> NotebookDocumentFilter &
    {
        if (_type != NotebookDocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter_2) std::unique_ptr<NotebookDocumentFilter_2> {
            std::make_unique<NotebookDocumentFilter_2>(std::move(notebookDocumentFilter_2))
        };
        _type = NotebookDocumentFilterType::NotebookDocumentFilter_2;
        return *this;
    }

    const std::map<
        NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType,
        std::string
    > NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookTypeNames = {
        {NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized,
         "Uninitialized"},
        {NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String,
         "String"},
        {NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter,
         "NotebookDocumentFilter"},
    };

    NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook()
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::~NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook()
    {
        reset();
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook(
        NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter: {
            new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                std::move(other._notebookDocumentFilter)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized;
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter: {
            new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                std::make_unique<NotebookDocumentFilter>(*other._notebookDocumentFilter)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &&other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter: {
                new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                    std::move(other._notebookDocumentFilter)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized;
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter: {
                new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                    std::make_unique<NotebookDocumentFilter>(*other._notebookDocumentFilter)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::reset()
    -> void
    {
        switch (_type) {
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized: {
            // nothing to do
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type =
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized;
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter: {
#ifdef DEBUG
            if (!_notebookDocumentFilter) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentFilter"
                );
            }
#endif // DEBUG
            _notebookDocumentFilter.~unique_ptr<NotebookDocumentFilter>();
            _type =
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized;
            break;
        }
        default: {
            _type = NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized;
        }
        }
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::type() const
    -> const NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType &
    {
        return _type;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::string() const
    -> const string_t &
    {
#ifdef DEBUG
        if (_type != NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::string()"
                 " of type "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String"
                 " while active type is "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::" +
                 NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        const std::unique_ptr<string_t> &string
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        std::unique_ptr<string_t> &&string
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        const string_t &string
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        string_t &&string
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::notebookDocumentFilter() const
    -> const NotebookDocumentFilter &
    {
#ifdef DEBUG
        if (_type != NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::notebookDocumentFilter()"
                 " of type "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter"
                 " while active type is "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::" +
                 NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentFilter;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        const std::unique_ptr<NotebookDocumentFilter> &notebookDocumentFilter
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::make_unique<NotebookDocumentFilter>(*notebookDocumentFilter)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        std::unique_ptr<NotebookDocumentFilter> &&notebookDocumentFilter
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::move(notebookDocumentFilter)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        const NotebookDocumentFilter &notebookDocumentFilter
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::make_unique<NotebookDocumentFilter>(notebookDocumentFilter)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook::operator=(
        NotebookDocumentFilter &&notebookDocumentFilter
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::make_unique<NotebookDocumentFilter>(std::move(notebookDocumentFilter))
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter;
        return *this;
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0::NotebookDocumentSyncOptions_notebookSelector_elem_0()
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0::NotebookDocumentSyncOptions_notebookSelector_elem_0(
        NotebookDocumentSyncOptions_notebookSelector_elem_0 &&other
    )
        : notebook(std::move(other.notebook))
        , cells(std::move(other.cells))
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0::NotebookDocumentSyncOptions_notebookSelector_elem_0(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0 &other
    )
        : notebook(NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook(other.notebook))
    {
        if (other.cells.has_value()) {
            auto &array_0 = cells.emplace();
            const auto &array_1 = other.cells.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_0::~NotebookDocumentSyncOptions_notebookSelector_elem_0()
    {
        // empty
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0::operator=(
        NotebookDocumentSyncOptions_notebookSelector_elem_0 &&other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0 &
    {
        if (this != &other) {
            notebook = std::move(other.notebook);
            cells = std::move(other.cells);
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_0::operator=(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0 &other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_0 &
    {
        if (this != &other) {
            notebook =
                NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook(other.notebook);
            if (other.cells.has_value()) {
                auto &array_0 = cells.emplace();
                const auto &array_1 = other.cells.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
        }
        return *this;
    }

    const std::map<
        NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType,
        std::string
    > NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookTypeNames = {
        {NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized,
         "Uninitialized"},
        {NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String,
         "String"},
        {NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter,
         "NotebookDocumentFilter"},
    };

    NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook()
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::~NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook()
    {
        reset();
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook(
        NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter: {
            new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                std::move(other._notebookDocumentFilter)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized;
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter: {
            new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                std::make_unique<NotebookDocumentFilter>(*other._notebookDocumentFilter)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &&other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter: {
                new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                    std::move(other._notebookDocumentFilter)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized;
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter: {
                new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                    std::make_unique<NotebookDocumentFilter>(*other._notebookDocumentFilter)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::reset()
    -> void
    {
        switch (_type) {
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized: {
            // nothing to do
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type =
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized;
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter: {
#ifdef DEBUG
            if (!_notebookDocumentFilter) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentFilter"
                );
            }
#endif // DEBUG
            _notebookDocumentFilter.~unique_ptr<NotebookDocumentFilter>();
            _type =
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized;
            break;
        }
        default: {
            _type = NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized;
        }
        }
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::type() const
    -> const NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType &
    {
        return _type;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::string() const
    -> const string_t &
    {
#ifdef DEBUG
        if (_type != NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::string()"
                 " of type "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String"
                 " while active type is "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::" +
                 NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        const std::unique_ptr<string_t> &string
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        std::unique_ptr<string_t> &&string
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        const string_t &string
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        string_t &&string
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::notebookDocumentFilter() const
    -> const NotebookDocumentFilter &
    {
#ifdef DEBUG
        if (_type != NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::notebookDocumentFilter()"
                 " of type "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter"
                 " while active type is "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::" +
                 NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentFilter;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        const std::unique_ptr<NotebookDocumentFilter> &notebookDocumentFilter
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::make_unique<NotebookDocumentFilter>(*notebookDocumentFilter)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        std::unique_ptr<NotebookDocumentFilter> &&notebookDocumentFilter
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::move(notebookDocumentFilter)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        const NotebookDocumentFilter &notebookDocumentFilter
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::make_unique<NotebookDocumentFilter>(notebookDocumentFilter)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook::operator=(
        NotebookDocumentFilter &&notebookDocumentFilter
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::make_unique<NotebookDocumentFilter>(std::move(notebookDocumentFilter))
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter;
        return *this;
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1::NotebookDocumentSyncOptions_notebookSelector_elem_1()
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1::NotebookDocumentSyncOptions_notebookSelector_elem_1(
        NotebookDocumentSyncOptions_notebookSelector_elem_1 &&other
    )
        : notebook(std::move(other.notebook))
        , cells(std::move(other.cells))
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1::NotebookDocumentSyncOptions_notebookSelector_elem_1(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1 &other
    )
    {
        if (other.notebook.has_value()) {
            notebook = other.notebook.value();
        }
        cells.reserve(other.cells.size());
        for (const auto &elem_0 : other.cells) {
            cells.push_back(elem_0);
        }
    }

    NotebookDocumentSyncOptions_notebookSelector_elem_1::~NotebookDocumentSyncOptions_notebookSelector_elem_1()
    {
        // empty
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1::operator=(
        NotebookDocumentSyncOptions_notebookSelector_elem_1 &&other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1 &
    {
        if (this != &other) {
            notebook = std::move(other.notebook);
            cells = std::move(other.cells);
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem_1::operator=(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1 &other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem_1 &
    {
        if (this != &other) {
            if (other.notebook.has_value()) {
                notebook = other.notebook.value();
            }
            cells.reserve(other.cells.size());
            for (const auto &elem_0 : other.cells) {
                cells.push_back(elem_0);
            }
        }
        return *this;
    }

    const std::map<
        NotebookDocumentSyncOptions_notebookSelector_elemType,
        std::string
    > NotebookDocumentSyncOptions_notebookSelector_elemTypeNames = {
        {NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized,
         "Uninitialized"},
        {NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0,
         "NotebookDocumentSyncOptions_notebookSelector_elem_0"},
        {NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1,
         "NotebookDocumentSyncOptions_notebookSelector_elem_1"},
    };

    NotebookDocumentSyncOptions_notebookSelector_elem::NotebookDocumentSyncOptions_notebookSelector_elem()
    {
        // empty
    }

    NotebookDocumentSyncOptions_notebookSelector_elem::~NotebookDocumentSyncOptions_notebookSelector_elem()
    {
        reset();
    }

    NotebookDocumentSyncOptions_notebookSelector_elem::NotebookDocumentSyncOptions_notebookSelector_elem(
        NotebookDocumentSyncOptions_notebookSelector_elem &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0: {
            new (&_notebookDocumentSyncOptions_notebookSelector_elem_0) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> {
                std::move(other._notebookDocumentSyncOptions_notebookSelector_elem_0)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1: {
            new (&_notebookDocumentSyncOptions_notebookSelector_elem_1) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> {
                std::move(other._notebookDocumentSyncOptions_notebookSelector_elem_1)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized;
    }

    NotebookDocumentSyncOptions_notebookSelector_elem::NotebookDocumentSyncOptions_notebookSelector_elem(
        const NotebookDocumentSyncOptions_notebookSelector_elem &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0: {
            new (&_notebookDocumentSyncOptions_notebookSelector_elem_0) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> {
                std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_0>(*other._notebookDocumentSyncOptions_notebookSelector_elem_0)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1: {
            new (&_notebookDocumentSyncOptions_notebookSelector_elem_1) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> {
                std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_1>(*other._notebookDocumentSyncOptions_notebookSelector_elem_1)
            };
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        NotebookDocumentSyncOptions_notebookSelector_elem &&other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0: {
                new (&_notebookDocumentSyncOptions_notebookSelector_elem_0) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> {
                    std::move(other._notebookDocumentSyncOptions_notebookSelector_elem_0)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1: {
                new (&_notebookDocumentSyncOptions_notebookSelector_elem_1) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> {
                    std::move(other._notebookDocumentSyncOptions_notebookSelector_elem_1)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized;
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        const NotebookDocumentSyncOptions_notebookSelector_elem &other
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0: {
                new (&_notebookDocumentSyncOptions_notebookSelector_elem_0) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> {
                    std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_0>(*other._notebookDocumentSyncOptions_notebookSelector_elem_0)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1: {
                new (&_notebookDocumentSyncOptions_notebookSelector_elem_1) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> {
                    std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_1>(*other._notebookDocumentSyncOptions_notebookSelector_elem_1)
                };
                break;
            }
            case NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::reset() -> void
    {
        switch (_type) {
        case NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized: {
            // nothing to do
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0: {
#ifdef DEBUG
            if (!_notebookDocumentSyncOptions_notebookSelector_elem_0) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentSyncOptions_notebookSelector_elem_0"
                );
            }
#endif // DEBUG
            _notebookDocumentSyncOptions_notebookSelector_elem_0.~unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0>();
            _type =
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized;
            break;
        }
        case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1: {
#ifdef DEBUG
            if (!_notebookDocumentSyncOptions_notebookSelector_elem_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentSyncOptions_notebookSelector_elem_1"
                );
            }
#endif // DEBUG
            _notebookDocumentSyncOptions_notebookSelector_elem_1.~unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1>();
            _type =
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized;
            break;
        }
        default: {
            _type = NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized;
        }
        }
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::type() const
    -> const NotebookDocumentSyncOptions_notebookSelector_elemType &
    {
        return _type;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::notebookDocumentSyncOptions_notebookSelector_elem_0() const
    -> const NotebookDocumentSyncOptions_notebookSelector_elem_0 &
    {
#ifdef DEBUG
        if (_type != NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookDocumentSyncOptions_notebookSelector_elem::notebookDocumentSyncOptions_notebookSelector_elem_0()"
                 " of type "
                 "NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0"
                 " while active type is "
                 "NotebookDocumentSyncOptions_notebookSelector_elemType::" +
                 NotebookDocumentSyncOptions_notebookSelector_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentSyncOptions_notebookSelector_elem_0;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        const std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> &notebookDocumentSyncOptions_notebookSelector_elem_0
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentSyncOptions_notebookSelector_elem_0) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentSyncOptions_notebookSelector_elem_0"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentSyncOptions_notebookSelector_elem_0) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> {
            std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_0>(*notebookDocumentSyncOptions_notebookSelector_elem_0)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> &&notebookDocumentSyncOptions_notebookSelector_elem_0
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentSyncOptions_notebookSelector_elem_0) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentSyncOptions_notebookSelector_elem_0"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentSyncOptions_notebookSelector_elem_0) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> {
            std::move(notebookDocumentSyncOptions_notebookSelector_elem_0)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0 &notebookDocumentSyncOptions_notebookSelector_elem_0
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentSyncOptions_notebookSelector_elem_0) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> {
            std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_0>(notebookDocumentSyncOptions_notebookSelector_elem_0)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        NotebookDocumentSyncOptions_notebookSelector_elem_0 &&notebookDocumentSyncOptions_notebookSelector_elem_0
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentSyncOptions_notebookSelector_elem_0) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_0> {
            std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_0>(std::move(notebookDocumentSyncOptions_notebookSelector_elem_0))
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::notebookDocumentSyncOptions_notebookSelector_elem_1() const
    -> const NotebookDocumentSyncOptions_notebookSelector_elem_1 &
    {
#ifdef DEBUG
        if (_type != NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookDocumentSyncOptions_notebookSelector_elem::notebookDocumentSyncOptions_notebookSelector_elem_1()"
                 " of type "
                 "NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1"
                 " while active type is "
                 "NotebookDocumentSyncOptions_notebookSelector_elemType::" +
                 NotebookDocumentSyncOptions_notebookSelector_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentSyncOptions_notebookSelector_elem_1;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        const std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> &notebookDocumentSyncOptions_notebookSelector_elem_1
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentSyncOptions_notebookSelector_elem_1) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentSyncOptions_notebookSelector_elem_1"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentSyncOptions_notebookSelector_elem_1) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> {
            std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_1>(*notebookDocumentSyncOptions_notebookSelector_elem_1)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> &&notebookDocumentSyncOptions_notebookSelector_elem_1
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentSyncOptions_notebookSelector_elem_1) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentSyncOptions_notebookSelector_elem_1"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentSyncOptions_notebookSelector_elem_1) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> {
            std::move(notebookDocumentSyncOptions_notebookSelector_elem_1)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1 &notebookDocumentSyncOptions_notebookSelector_elem_1
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentSyncOptions_notebookSelector_elem_1) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> {
            std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_1>(notebookDocumentSyncOptions_notebookSelector_elem_1)
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1;
        return *this;
    }

    auto NotebookDocumentSyncOptions_notebookSelector_elem::operator=(
        NotebookDocumentSyncOptions_notebookSelector_elem_1 &&notebookDocumentSyncOptions_notebookSelector_elem_1
    ) -> NotebookDocumentSyncOptions_notebookSelector_elem &
    {
        if (_type !=
                NotebookDocumentSyncOptions_notebookSelector_elemType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentSyncOptions_notebookSelector_elem_1) std::unique_ptr<NotebookDocumentSyncOptions_notebookSelector_elem_1> {
            std::make_unique<NotebookDocumentSyncOptions_notebookSelector_elem_1>(std::move(notebookDocumentSyncOptions_notebookSelector_elem_1))
        };
        _type =
            NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1;
        return *this;
    }

    const std::map<NotebookCellTextDocumentFilter_notebookType, std::string>
    NotebookCellTextDocumentFilter_notebookTypeNames = {
        {NotebookCellTextDocumentFilter_notebookType::Uninitialized,
         "Uninitialized"},
        {NotebookCellTextDocumentFilter_notebookType::String, "String"},
        {NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter,
         "NotebookDocumentFilter"},
    };

    NotebookCellTextDocumentFilter_notebook::NotebookCellTextDocumentFilter_notebook()
    {
        // empty
    }

    NotebookCellTextDocumentFilter_notebook::~NotebookCellTextDocumentFilter_notebook()
    {
        reset();
    }

    NotebookCellTextDocumentFilter_notebook::NotebookCellTextDocumentFilter_notebook(
        NotebookCellTextDocumentFilter_notebook &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookCellTextDocumentFilter_notebookType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter: {
            new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                std::move(other._notebookDocumentFilter)
            };
            break;
        }
        case NotebookCellTextDocumentFilter_notebookType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            NotebookCellTextDocumentFilter_notebookType::Uninitialized;
    }

    NotebookCellTextDocumentFilter_notebook::NotebookCellTextDocumentFilter_notebook(
        const NotebookCellTextDocumentFilter_notebook &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case NotebookCellTextDocumentFilter_notebookType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter: {
            new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                std::make_unique<NotebookDocumentFilter>(*other._notebookDocumentFilter)
            };
            break;
        }
        case NotebookCellTextDocumentFilter_notebookType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        NotebookCellTextDocumentFilter_notebook &&other
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookCellTextDocumentFilter_notebookType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter: {
                new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                    std::move(other._notebookDocumentFilter)
                };
                break;
            }
            case NotebookCellTextDocumentFilter_notebookType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                NotebookCellTextDocumentFilter_notebookType::Uninitialized;
        }
        return *this;
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        const NotebookCellTextDocumentFilter_notebook &other
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case NotebookCellTextDocumentFilter_notebookType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter: {
                new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
                    std::make_unique<NotebookDocumentFilter>(*other._notebookDocumentFilter)
                };
                break;
            }
            case NotebookCellTextDocumentFilter_notebookType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto NotebookCellTextDocumentFilter_notebook::reset() -> void
    {
        switch (_type) {
        case NotebookCellTextDocumentFilter_notebookType::Uninitialized: {
            // nothing to do
            break;
        }
        case NotebookCellTextDocumentFilter_notebookType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = NotebookCellTextDocumentFilter_notebookType::Uninitialized;
            break;
        }
        case NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter: {
#ifdef DEBUG
            if (!_notebookDocumentFilter) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentFilter"
                );
            }
#endif // DEBUG
            _notebookDocumentFilter.~unique_ptr<NotebookDocumentFilter>();
            _type = NotebookCellTextDocumentFilter_notebookType::Uninitialized;
            break;
        }
        default: {
            _type = NotebookCellTextDocumentFilter_notebookType::Uninitialized;
        }
        }
    }

    auto NotebookCellTextDocumentFilter_notebook::type() const
    -> const NotebookCellTextDocumentFilter_notebookType &
    {
        return _type;
    }

    auto NotebookCellTextDocumentFilter_notebook::string() const
    -> const string_t &
    {
#ifdef DEBUG
        if (_type != NotebookCellTextDocumentFilter_notebookType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookCellTextDocumentFilter_notebook::string()"
                 " of type "
                 "NotebookCellTextDocumentFilter_notebookType::String"
                 " while active type is "
                 "NotebookCellTextDocumentFilter_notebookType::" +
                 NotebookCellTextDocumentFilter_notebookTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        const std::unique_ptr<string_t> &string
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (_type !=
                NotebookCellTextDocumentFilter_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = NotebookCellTextDocumentFilter_notebookType::String;
        return *this;
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        std::unique_ptr<string_t> &&string
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (_type !=
                NotebookCellTextDocumentFilter_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = NotebookCellTextDocumentFilter_notebookType::String;
        return *this;
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        const string_t &string
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (_type !=
                NotebookCellTextDocumentFilter_notebookType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = NotebookCellTextDocumentFilter_notebookType::String;
        return *this;
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        string_t &&string
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (_type !=
                NotebookCellTextDocumentFilter_notebookType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = NotebookCellTextDocumentFilter_notebookType::String;
        return *this;
    }

    auto NotebookCellTextDocumentFilter_notebook::notebookDocumentFilter() const
    -> const NotebookDocumentFilter &
    {
#ifdef DEBUG
        if (_type != NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter) {
            throw std::logic_error(
                ("Attempted to access "
                 "NotebookCellTextDocumentFilter_notebook::notebookDocumentFilter()"
                 " of type "
                 "NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter"
                 " while active type is "
                 "NotebookCellTextDocumentFilter_notebookType::" +
                 NotebookCellTextDocumentFilter_notebookTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentFilter;
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        const std::unique_ptr<NotebookDocumentFilter> &notebookDocumentFilter
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (_type !=
                NotebookCellTextDocumentFilter_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::make_unique<NotebookDocumentFilter>(*notebookDocumentFilter)
        };
        _type =
            NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter;
        return *this;
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        std::unique_ptr<NotebookDocumentFilter> &&notebookDocumentFilter
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (_type !=
                NotebookCellTextDocumentFilter_notebookType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::move(notebookDocumentFilter)
        };
        _type =
            NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter;
        return *this;
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        const NotebookDocumentFilter &notebookDocumentFilter
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (_type !=
                NotebookCellTextDocumentFilter_notebookType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::make_unique<NotebookDocumentFilter>(notebookDocumentFilter)
        };
        _type =
            NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter;
        return *this;
    }

    auto NotebookCellTextDocumentFilter_notebook::operator=(
        NotebookDocumentFilter &&notebookDocumentFilter
    ) -> NotebookCellTextDocumentFilter_notebook &
    {
        if (_type !=
                NotebookCellTextDocumentFilter_notebookType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentFilter) std::unique_ptr<NotebookDocumentFilter> {
            std::make_unique<NotebookDocumentFilter>(std::move(notebookDocumentFilter))
        };
        _type =
            NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter;
        return *this;
    }

    NotebookCellTextDocumentFilter::NotebookCellTextDocumentFilter()
    {
        // empty
    }

    NotebookCellTextDocumentFilter::NotebookCellTextDocumentFilter(
        NotebookCellTextDocumentFilter &&other
    )
        : notebook(std::move(other.notebook))
        , language(std::move(other.language))
    {
        // empty
    }

    NotebookCellTextDocumentFilter::NotebookCellTextDocumentFilter(
        const NotebookCellTextDocumentFilter &other
    )
        : notebook(NotebookCellTextDocumentFilter_notebook(other.notebook))
    {
        if (other.language.has_value()) {
            language = other.language.value();
        }
    }

    NotebookCellTextDocumentFilter::~NotebookCellTextDocumentFilter()
    {
        // empty
    }

    auto NotebookCellTextDocumentFilter::operator=(
        NotebookCellTextDocumentFilter &&other
    ) -> NotebookCellTextDocumentFilter &
    {
        if (this != &other) {
            notebook = std::move(other.notebook);
            language = std::move(other.language);
        }
        return *this;
    }

    auto NotebookCellTextDocumentFilter::operator=(
        const NotebookCellTextDocumentFilter &other
    ) -> NotebookCellTextDocumentFilter &
    {
        if (this != &other) {
            notebook = NotebookCellTextDocumentFilter_notebook(other.notebook);
            if (other.language.has_value()) {
                language = other.language.value();
            }
        }
        return *this;
    }

    const std::map<DocumentFilterType, std::string> DocumentFilterTypeNames = {
        {DocumentFilterType::Uninitialized, "Uninitialized"},
        {DocumentFilterType::TextDocumentFilter, "TextDocumentFilter"},
        {DocumentFilterType::NotebookCellTextDocumentFilter,
         "NotebookCellTextDocumentFilter"},
    };

    DocumentFilter::DocumentFilter()
    {
        // empty
    }

    DocumentFilter::~DocumentFilter()
    {
        reset();
    }

    DocumentFilter::DocumentFilter(DocumentFilter &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case DocumentFilterType::TextDocumentFilter: {
            new (&_textDocumentFilter) std::unique_ptr<TextDocumentFilter> {
                std::move(other._textDocumentFilter)
            };
            break;
        }
        case DocumentFilterType::NotebookCellTextDocumentFilter: {
            new (&_notebookCellTextDocumentFilter) std::unique_ptr<NotebookCellTextDocumentFilter> {
                std::move(other._notebookCellTextDocumentFilter)
            };
            break;
        }
        case DocumentFilterType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = DocumentFilterType::Uninitialized;
    }

    DocumentFilter::DocumentFilter(const DocumentFilter &other)
        : _type(other._type)
    {
        switch (other._type) {
        case DocumentFilterType::TextDocumentFilter: {
            new (&_textDocumentFilter) std::unique_ptr<TextDocumentFilter> {
                std::make_unique<TextDocumentFilter>(*other._textDocumentFilter)
            };
            break;
        }
        case DocumentFilterType::NotebookCellTextDocumentFilter: {
            new (&_notebookCellTextDocumentFilter) std::unique_ptr<NotebookCellTextDocumentFilter> {
                std::make_unique<NotebookCellTextDocumentFilter>(*other._notebookCellTextDocumentFilter)
            };
            break;
        }
        case DocumentFilterType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto DocumentFilter::operator=(DocumentFilter &&other) -> DocumentFilter &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DocumentFilterType::TextDocumentFilter: {
                new (&_textDocumentFilter) std::unique_ptr<TextDocumentFilter> {
                    std::move(other._textDocumentFilter)
                };
                break;
            }
            case DocumentFilterType::NotebookCellTextDocumentFilter: {
                new (&_notebookCellTextDocumentFilter) std::unique_ptr<NotebookCellTextDocumentFilter> {
                    std::move(other._notebookCellTextDocumentFilter)
                };
                break;
            }
            case DocumentFilterType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = DocumentFilterType::Uninitialized;
        }
        return *this;
    }

    auto DocumentFilter::operator=(
        const DocumentFilter &other
    ) -> DocumentFilter &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DocumentFilterType::TextDocumentFilter: {
                new (&_textDocumentFilter) std::unique_ptr<TextDocumentFilter> {
                    std::make_unique<TextDocumentFilter>(*other._textDocumentFilter)
                };
                break;
            }
            case DocumentFilterType::NotebookCellTextDocumentFilter: {
                new (&_notebookCellTextDocumentFilter) std::unique_ptr<NotebookCellTextDocumentFilter> {
                    std::make_unique<NotebookCellTextDocumentFilter>(*other._notebookCellTextDocumentFilter)
                };
                break;
            }
            case DocumentFilterType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto DocumentFilter::reset() -> void
    {
        switch (_type) {
        case DocumentFilterType::Uninitialized: {
            // nothing to do
            break;
        }
        case DocumentFilterType::TextDocumentFilter: {
#ifdef DEBUG
            if (!_textDocumentFilter) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textDocumentFilter"
                );
            }
#endif // DEBUG
            _textDocumentFilter.~unique_ptr<TextDocumentFilter>();
            _type = DocumentFilterType::Uninitialized;
            break;
        }
        case DocumentFilterType::NotebookCellTextDocumentFilter: {
#ifdef DEBUG
            if (!_notebookCellTextDocumentFilter) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookCellTextDocumentFilter"
                );
            }
#endif // DEBUG
            _notebookCellTextDocumentFilter.~unique_ptr<NotebookCellTextDocumentFilter>();
            _type = DocumentFilterType::Uninitialized;
            break;
        }
        default: {
            _type = DocumentFilterType::Uninitialized;
        }
        }
    }

    auto DocumentFilter::type() const -> const DocumentFilterType &
    {
        return _type;
    }

    auto DocumentFilter::textDocumentFilter() const
    -> const TextDocumentFilter &
    {
#ifdef DEBUG
        if (_type != DocumentFilterType::TextDocumentFilter) {
            throw std::logic_error(
                ("Attempted to access "
                 "DocumentFilter::textDocumentFilter()"
                 " of type "
                 "DocumentFilterType::TextDocumentFilter"
                 " while active type is "
                 "DocumentFilterType::" +
                 DocumentFilterTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textDocumentFilter;
    }

    auto DocumentFilter::operator=(
        const std::unique_ptr<TextDocumentFilter> &textDocumentFilter
    ) -> DocumentFilter &
    {
        if (_type != DocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of textDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_textDocumentFilter) std::unique_ptr<TextDocumentFilter> {
            std::make_unique<TextDocumentFilter>(*textDocumentFilter)
        };
        _type = DocumentFilterType::TextDocumentFilter;
        return *this;
    }

    auto DocumentFilter::operator=(
        std::unique_ptr<TextDocumentFilter> &&textDocumentFilter
    ) -> DocumentFilter &
    {
        if (_type != DocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of textDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_textDocumentFilter) std::unique_ptr<TextDocumentFilter> {
            std::move(textDocumentFilter)
        };
        _type = DocumentFilterType::TextDocumentFilter;
        return *this;
    }

    auto DocumentFilter::operator=(
        const TextDocumentFilter &textDocumentFilter
    ) -> DocumentFilter &
    {
        if (_type != DocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_textDocumentFilter) std::unique_ptr<TextDocumentFilter> {
            std::make_unique<TextDocumentFilter>(textDocumentFilter)
        };
        _type = DocumentFilterType::TextDocumentFilter;
        return *this;
    }

    auto DocumentFilter::operator=(
        TextDocumentFilter &&textDocumentFilter
    ) -> DocumentFilter &
    {
        if (_type != DocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_textDocumentFilter) std::unique_ptr<TextDocumentFilter> {
            std::make_unique<TextDocumentFilter>(std::move(textDocumentFilter))
        };
        _type = DocumentFilterType::TextDocumentFilter;
        return *this;
    }

    auto DocumentFilter::notebookCellTextDocumentFilter() const
    -> const NotebookCellTextDocumentFilter &
    {
#ifdef DEBUG
        if (_type != DocumentFilterType::NotebookCellTextDocumentFilter) {
            throw std::logic_error(
                ("Attempted to access "
                 "DocumentFilter::notebookCellTextDocumentFilter()"
                 " of type "
                 "DocumentFilterType::NotebookCellTextDocumentFilter"
                 " while active type is "
                 "DocumentFilterType::" +
                 DocumentFilterTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookCellTextDocumentFilter;
    }

    auto DocumentFilter::operator=(
        const std::unique_ptr<NotebookCellTextDocumentFilter> &notebookCellTextDocumentFilter
    ) -> DocumentFilter &
    {
        if (_type != DocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookCellTextDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of notebookCellTextDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_notebookCellTextDocumentFilter) std::unique_ptr<NotebookCellTextDocumentFilter> {
            std::make_unique<NotebookCellTextDocumentFilter>(*notebookCellTextDocumentFilter)
        };
        _type = DocumentFilterType::NotebookCellTextDocumentFilter;
        return *this;
    }

    auto DocumentFilter::operator=(
        std::unique_ptr<NotebookCellTextDocumentFilter> &&notebookCellTextDocumentFilter
    ) -> DocumentFilter &
    {
        if (_type != DocumentFilterType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookCellTextDocumentFilter) {
            throw std::logic_error(
                "null passed as the value of notebookCellTextDocumentFilter"
            );
        }
#endif // DEBUG
        new (&_notebookCellTextDocumentFilter) std::unique_ptr<NotebookCellTextDocumentFilter> {
            std::move(notebookCellTextDocumentFilter)
        };
        _type = DocumentFilterType::NotebookCellTextDocumentFilter;
        return *this;
    }

    auto DocumentFilter::operator=(
        const NotebookCellTextDocumentFilter &notebookCellTextDocumentFilter
    ) -> DocumentFilter &
    {
        if (_type != DocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_notebookCellTextDocumentFilter) std::unique_ptr<NotebookCellTextDocumentFilter> {
            std::make_unique<NotebookCellTextDocumentFilter>(notebookCellTextDocumentFilter)
        };
        _type = DocumentFilterType::NotebookCellTextDocumentFilter;
        return *this;
    }

    auto DocumentFilter::operator=(
        NotebookCellTextDocumentFilter &&notebookCellTextDocumentFilter
    ) -> DocumentFilter &
    {
        if (_type != DocumentFilterType::Uninitialized) {
            reset();
        }
        new (&_notebookCellTextDocumentFilter) std::unique_ptr<NotebookCellTextDocumentFilter> {
            std::make_unique<NotebookCellTextDocumentFilter>(std::move(notebookCellTextDocumentFilter))
        };
        _type = DocumentFilterType::NotebookCellTextDocumentFilter;
        return *this;
    }

    RelativePattern::RelativePattern()
    {
        // empty
    }

    RelativePattern::RelativePattern(RelativePattern &&other)
        : baseUri(std::move(other.baseUri))
        , pattern(std::move(other.pattern))
    {
        // empty
    }

    RelativePattern::RelativePattern(const RelativePattern &other)
        : baseUri(RelativePattern_baseUri(other.baseUri))
        , pattern(other.pattern)
    {
    }

    RelativePattern::~RelativePattern()
    {
        // empty
    }

    auto RelativePattern::operator=(
        RelativePattern &&other
    ) -> RelativePattern &
    {
        if (this != &other) {
            baseUri = std::move(other.baseUri);
            pattern = std::move(other.pattern);
        }
        return *this;
    }

    auto RelativePattern::operator=(
        const RelativePattern &other
    ) -> RelativePattern &
    {
        if (this != &other) {
            baseUri = RelativePattern_baseUri(other.baseUri);
            pattern = other.pattern;
        }
        return *this;
    }

    const std::map<GlobPatternType, std::string> GlobPatternTypeNames = {
        {GlobPatternType::Uninitialized, "Uninitialized"},
        {GlobPatternType::Pattern, "Pattern"},
        {GlobPatternType::RelativePattern, "RelativePattern"},
    };

    GlobPattern::GlobPattern()
    {
        // empty
    }

    GlobPattern::~GlobPattern()
    {
        reset();
    }

    GlobPattern::GlobPattern(GlobPattern &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case GlobPatternType::Pattern: {
            new (&_pattern) std::unique_ptr<Pattern> {
                std::move(other._pattern)
            };
            break;
        }
        case GlobPatternType::RelativePattern: {
            new (&_relativePattern) std::unique_ptr<RelativePattern> {
                std::move(other._relativePattern)
            };
            break;
        }
        case GlobPatternType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = GlobPatternType::Uninitialized;
    }

    GlobPattern::GlobPattern(const GlobPattern &other)
        : _type(other._type)
    {
        switch (other._type) {
        case GlobPatternType::Pattern: {
            new (&_pattern) std::unique_ptr<Pattern> {
                std::make_unique<Pattern>(*other._pattern)
            };
            break;
        }
        case GlobPatternType::RelativePattern: {
            new (&_relativePattern) std::unique_ptr<RelativePattern> {
                std::make_unique<RelativePattern>(*other._relativePattern)
            };
            break;
        }
        case GlobPatternType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto GlobPattern::operator=(GlobPattern &&other) -> GlobPattern &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case GlobPatternType::Pattern: {
                new (&_pattern) std::unique_ptr<Pattern> {
                    std::move(other._pattern)
                };
                break;
            }
            case GlobPatternType::RelativePattern: {
                new (&_relativePattern) std::unique_ptr<RelativePattern> {
                    std::move(other._relativePattern)
                };
                break;
            }
            case GlobPatternType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = GlobPatternType::Uninitialized;
        }
        return *this;
    }

    auto GlobPattern::operator=(const GlobPattern &other) -> GlobPattern &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case GlobPatternType::Pattern: {
                new (&_pattern) std::unique_ptr<Pattern> {
                    std::make_unique<Pattern>(*other._pattern)
                };
                break;
            }
            case GlobPatternType::RelativePattern: {
                new (&_relativePattern) std::unique_ptr<RelativePattern> {
                    std::make_unique<RelativePattern>(*other._relativePattern)
                };
                break;
            }
            case GlobPatternType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto GlobPattern::reset() -> void
    {
        switch (_type) {
        case GlobPatternType::Uninitialized: {
            // nothing to do
            break;
        }
        case GlobPatternType::Pattern: {
#ifdef DEBUG
            if (!_pattern) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _pattern"
                );
            }
#endif // DEBUG
            _pattern.~unique_ptr<string_t>();
            _type = GlobPatternType::Uninitialized;
            break;
        }
        case GlobPatternType::RelativePattern: {
#ifdef DEBUG
            if (!_relativePattern) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _relativePattern"
                );
            }
#endif // DEBUG
            _relativePattern.~unique_ptr<RelativePattern>();
            _type = GlobPatternType::Uninitialized;
            break;
        }
        default: {
            _type = GlobPatternType::Uninitialized;
        }
        }
    }

    auto GlobPattern::type() const -> const GlobPatternType &
    {
        return _type;
    }

    auto GlobPattern::pattern() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != GlobPatternType::Pattern) {
            throw std::logic_error(
                ("Attempted to access "
                 "GlobPattern::pattern()"
                 " of type "
                 "GlobPatternType::Pattern"
                 " while active type is "
                 "GlobPatternType::" +
                 GlobPatternTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_pattern;
    }

    auto GlobPattern::operator=(
        const std::unique_ptr<string_t> &pattern
    ) -> GlobPattern &
    {
        if (_type != GlobPatternType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!pattern) {
            throw std::logic_error("null passed as the value of pattern");
        }
#endif // DEBUG
        new (&_pattern) std::unique_ptr<Pattern> {
            std::make_unique<Pattern>(*pattern)
        };
        _type = GlobPatternType::Pattern;
        return *this;
    }

    auto GlobPattern::operator=(
        std::unique_ptr<string_t> &&pattern
    ) -> GlobPattern &
    {
        if (_type != GlobPatternType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!pattern) {
            throw std::logic_error("null passed as the value of pattern");
        }
#endif // DEBUG
        new (&_pattern) std::unique_ptr<Pattern> {
            std::move(pattern)
        };
        _type = GlobPatternType::Pattern;
        return *this;
    }

    auto GlobPattern::operator=(const string_t &pattern) -> GlobPattern &
    {
        if (_type != GlobPatternType::Uninitialized) {
            reset();
        }
        new (&_pattern) std::unique_ptr<Pattern> {
            std::make_unique<Pattern>(pattern)
        };
        _type = GlobPatternType::Pattern;
        return *this;
    }

    auto GlobPattern::operator=(string_t &&pattern) -> GlobPattern &
    {
        if (_type != GlobPatternType::Uninitialized) {
            reset();
        }
        new (&_pattern) std::unique_ptr<Pattern> {
            std::make_unique<Pattern>(std::move(pattern))
        };
        _type = GlobPatternType::Pattern;
        return *this;
    }

    auto GlobPattern::relativePattern() const -> const RelativePattern &
    {
#ifdef DEBUG
        if (_type != GlobPatternType::RelativePattern) {
            throw std::logic_error(
                ("Attempted to access "
                 "GlobPattern::relativePattern()"
                 " of type "
                 "GlobPatternType::RelativePattern"
                 " while active type is "
                 "GlobPatternType::" +
                 GlobPatternTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_relativePattern;
    }

    auto GlobPattern::operator=(
        const std::unique_ptr<RelativePattern> &relativePattern
    ) -> GlobPattern &
    {
        if (_type != GlobPatternType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!relativePattern) {
            throw std::logic_error(
                "null passed as the value of relativePattern"
            );
        }
#endif // DEBUG
        new (&_relativePattern) std::unique_ptr<RelativePattern> {
            std::make_unique<RelativePattern>(*relativePattern)
        };
        _type = GlobPatternType::RelativePattern;
        return *this;
    }

    auto GlobPattern::operator=(
        std::unique_ptr<RelativePattern> &&relativePattern
    ) -> GlobPattern &
    {
        if (_type != GlobPatternType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!relativePattern) {
            throw std::logic_error(
                "null passed as the value of relativePattern"
            );
        }
#endif // DEBUG
        new (&_relativePattern) std::unique_ptr<RelativePattern> {
            std::move(relativePattern)
        };
        _type = GlobPatternType::RelativePattern;
        return *this;
    }

    auto GlobPattern::operator=(
        const RelativePattern &relativePattern
    ) -> GlobPattern &
    {
        if (_type != GlobPatternType::Uninitialized) {
            reset();
        }
        new (&_relativePattern) std::unique_ptr<RelativePattern> {
            std::make_unique<RelativePattern>(relativePattern)
        };
        _type = GlobPatternType::RelativePattern;
        return *this;
    }

    auto GlobPattern::operator=(
        RelativePattern &&relativePattern
    ) -> GlobPattern &
    {
        if (_type != GlobPatternType::Uninitialized) {
            reset();
        }
        new (&_relativePattern) std::unique_ptr<RelativePattern> {
            std::make_unique<RelativePattern>(std::move(relativePattern))
        };
        _type = GlobPatternType::RelativePattern;
        return *this;
    }

    FileSystemWatcher::FileSystemWatcher()
    {
        // empty
    }

    FileSystemWatcher::FileSystemWatcher(FileSystemWatcher &&other)
        : globPattern(std::move(other.globPattern))
        , kind(std::move(other.kind))
    {
        // empty
    }

    FileSystemWatcher::FileSystemWatcher(const FileSystemWatcher &other)
        : globPattern(GlobPattern(other.globPattern))
    {
        if (other.kind.has_value()) {
            kind = other.kind.value();
        }
    }

    FileSystemWatcher::~FileSystemWatcher()
    {
        // empty
    }

    auto FileSystemWatcher::operator=(
        FileSystemWatcher &&other
    ) -> FileSystemWatcher &
    {
        if (this != &other) {
            globPattern = std::move(other.globPattern);
            kind = std::move(other.kind);
        }
        return *this;
    }

    auto FileSystemWatcher::operator=(
        const FileSystemWatcher &other
    ) -> FileSystemWatcher &
    {
        if (this != &other) {
            globPattern = GlobPattern(other.globPattern);
            if (other.kind.has_value()) {
                kind = other.kind.value();
            }
        }
        return *this;
    }

    DidChangeWatchedFilesRegistrationOptions::DidChangeWatchedFilesRegistrationOptions()
    {
        // empty
    }

    DidChangeWatchedFilesRegistrationOptions::DidChangeWatchedFilesRegistrationOptions(
        DidChangeWatchedFilesRegistrationOptions &&other
    )
        : watchers(std::move(other.watchers))
    {
        // empty
    }

    DidChangeWatchedFilesRegistrationOptions::DidChangeWatchedFilesRegistrationOptions(
        const DidChangeWatchedFilesRegistrationOptions &other
    )
    {
        watchers.reserve(other.watchers.size());
        for (const auto &elem_0 : other.watchers) {
            watchers.push_back(elem_0);
        }
    }

    DidChangeWatchedFilesRegistrationOptions::~DidChangeWatchedFilesRegistrationOptions()
    {
        // empty
    }

    auto DidChangeWatchedFilesRegistrationOptions::operator=(
        DidChangeWatchedFilesRegistrationOptions &&other
    ) -> DidChangeWatchedFilesRegistrationOptions &
    {
        if (this != &other) {
            watchers = std::move(other.watchers);
        }
        return *this;
    }

    auto DidChangeWatchedFilesRegistrationOptions::operator=(
        const DidChangeWatchedFilesRegistrationOptions &other
    ) -> DidChangeWatchedFilesRegistrationOptions &
    {
        if (this != &other) {
            watchers.reserve(other.watchers.size());
            for (const auto &elem_0 : other.watchers) {
                watchers.push_back(elem_0);
            }
        }
        return *this;
    }

    WorkDoneProgressOptions::WorkDoneProgressOptions()
    {
        // empty
    }

    WorkDoneProgressOptions::WorkDoneProgressOptions(
        WorkDoneProgressOptions &&other
    )
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    WorkDoneProgressOptions::WorkDoneProgressOptions(
        const WorkDoneProgressOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    WorkDoneProgressOptions::~WorkDoneProgressOptions()
    {
        // empty
    }

    auto WorkDoneProgressOptions::operator=(
        WorkDoneProgressOptions &&other
    ) -> WorkDoneProgressOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto WorkDoneProgressOptions::operator=(
        const WorkDoneProgressOptions &other
    ) -> WorkDoneProgressOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    ShowDocumentResult::ShowDocumentResult()
    {
        // empty
    }

    ShowDocumentResult::ShowDocumentResult(ShowDocumentResult &&other)
        : success(other.success)
    {
        // empty
    }

    ShowDocumentResult::ShowDocumentResult(const ShowDocumentResult &other)
        : success(other.success)
    {
    }

    ShowDocumentResult::~ShowDocumentResult()
    {
        // empty
    }

    auto ShowDocumentResult::operator=(
        ShowDocumentResult &&other
    ) -> ShowDocumentResult &
    {
        if (this != &other) {
            success = other.success;
        }
        return *this;
    }

    auto ShowDocumentResult::operator=(
        const ShowDocumentResult &other
    ) -> ShowDocumentResult &
    {
        if (this != &other) {
            success = other.success;
        }
        return *this;
    }

    DiagnosticServerCancellationData::DiagnosticServerCancellationData()
    {
        // empty
    }

    DiagnosticServerCancellationData::DiagnosticServerCancellationData(
        DiagnosticServerCancellationData &&other
    )
        : retriggerRequest(other.retriggerRequest)
    {
        // empty
    }

    DiagnosticServerCancellationData::DiagnosticServerCancellationData(
        const DiagnosticServerCancellationData &other
    )
        : retriggerRequest(other.retriggerRequest)
    {
    }

    DiagnosticServerCancellationData::~DiagnosticServerCancellationData()
    {
        // empty
    }

    auto DiagnosticServerCancellationData::operator=(
        DiagnosticServerCancellationData &&other
    ) -> DiagnosticServerCancellationData &
    {
        if (this != &other) {
            retriggerRequest = other.retriggerRequest;
        }
        return *this;
    }

    auto DiagnosticServerCancellationData::operator=(
        const DiagnosticServerCancellationData &other
    ) -> DiagnosticServerCancellationData &
    {
        if (this != &other) {
            retriggerRequest = other.retriggerRequest;
        }
        return *this;
    }

    InitializeError::InitializeError()
    {
        // empty
    }

    InitializeError::InitializeError(InitializeError &&other)
        : retry(other.retry)
    {
        // empty
    }

    InitializeError::InitializeError(const InitializeError &other)
        : retry(other.retry)
    {
    }

    InitializeError::~InitializeError()
    {
        // empty
    }

    auto InitializeError::operator=(
        InitializeError &&other
    ) -> InitializeError &
    {
        if (this != &other) {
            retry = other.retry;
        }
        return *this;
    }

    auto InitializeError::operator=(
        const InitializeError &other
    ) -> InitializeError &
    {
        if (this != &other) {
            retry = other.retry;
        }
        return *this;
    }

    ImplementationOptions::ImplementationOptions()
    {
        // empty
    }

    ImplementationOptions::ImplementationOptions(ImplementationOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    ImplementationOptions::ImplementationOptions(
        const ImplementationOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    ImplementationOptions::~ImplementationOptions()
    {
        // empty
    }

    auto ImplementationOptions::operator=(
        ImplementationOptions &&other
    ) -> ImplementationOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto ImplementationOptions::operator=(
        const ImplementationOptions &other
    ) -> ImplementationOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    TypeDefinitionOptions::TypeDefinitionOptions()
    {
        // empty
    }

    TypeDefinitionOptions::TypeDefinitionOptions(TypeDefinitionOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    TypeDefinitionOptions::TypeDefinitionOptions(
        const TypeDefinitionOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    TypeDefinitionOptions::~TypeDefinitionOptions()
    {
        // empty
    }

    auto TypeDefinitionOptions::operator=(
        TypeDefinitionOptions &&other
    ) -> TypeDefinitionOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto TypeDefinitionOptions::operator=(
        const TypeDefinitionOptions &other
    ) -> TypeDefinitionOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    DocumentColorOptions::DocumentColorOptions()
    {
        // empty
    }

    DocumentColorOptions::DocumentColorOptions(DocumentColorOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    DocumentColorOptions::DocumentColorOptions(
        const DocumentColorOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    DocumentColorOptions::~DocumentColorOptions()
    {
        // empty
    }

    auto DocumentColorOptions::operator=(
        DocumentColorOptions &&other
    ) -> DocumentColorOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto DocumentColorOptions::operator=(
        const DocumentColorOptions &other
    ) -> DocumentColorOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    FoldingRangeOptions::FoldingRangeOptions()
    {
        // empty
    }

    FoldingRangeOptions::FoldingRangeOptions(FoldingRangeOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    FoldingRangeOptions::FoldingRangeOptions(const FoldingRangeOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    FoldingRangeOptions::~FoldingRangeOptions()
    {
        // empty
    }

    auto FoldingRangeOptions::operator=(
        FoldingRangeOptions &&other
    ) -> FoldingRangeOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto FoldingRangeOptions::operator=(
        const FoldingRangeOptions &other
    ) -> FoldingRangeOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    DeclarationOptions::DeclarationOptions()
    {
        // empty
    }

    DeclarationOptions::DeclarationOptions(DeclarationOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    DeclarationOptions::DeclarationOptions(const DeclarationOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    DeclarationOptions::~DeclarationOptions()
    {
        // empty
    }

    auto DeclarationOptions::operator=(
        DeclarationOptions &&other
    ) -> DeclarationOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto DeclarationOptions::operator=(
        const DeclarationOptions &other
    ) -> DeclarationOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    SelectionRangeOptions::SelectionRangeOptions()
    {
        // empty
    }

    SelectionRangeOptions::SelectionRangeOptions(SelectionRangeOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    SelectionRangeOptions::SelectionRangeOptions(
        const SelectionRangeOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    SelectionRangeOptions::~SelectionRangeOptions()
    {
        // empty
    }

    auto SelectionRangeOptions::operator=(
        SelectionRangeOptions &&other
    ) -> SelectionRangeOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto SelectionRangeOptions::operator=(
        const SelectionRangeOptions &other
    ) -> SelectionRangeOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    CallHierarchyOptions::CallHierarchyOptions()
    {
        // empty
    }

    CallHierarchyOptions::CallHierarchyOptions(CallHierarchyOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    CallHierarchyOptions::CallHierarchyOptions(
        const CallHierarchyOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    CallHierarchyOptions::~CallHierarchyOptions()
    {
        // empty
    }

    auto CallHierarchyOptions::operator=(
        CallHierarchyOptions &&other
    ) -> CallHierarchyOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto CallHierarchyOptions::operator=(
        const CallHierarchyOptions &other
    ) -> CallHierarchyOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    SemanticTokensOptions_full_1::SemanticTokensOptions_full_1()
    {
        // empty
    }

    SemanticTokensOptions_full_1::SemanticTokensOptions_full_1(
        SemanticTokensOptions_full_1 &&other
    )
        : delta(std::move(other.delta))
    {
        // empty
    }

    SemanticTokensOptions_full_1::SemanticTokensOptions_full_1(
        const SemanticTokensOptions_full_1 &other
    )
    {
        if (other.delta.has_value()) {
            delta = other.delta.value();
        }
    }

    SemanticTokensOptions_full_1::~SemanticTokensOptions_full_1()
    {
        // empty
    }

    auto SemanticTokensOptions_full_1::operator=(
        SemanticTokensOptions_full_1 &&other
    ) -> SemanticTokensOptions_full_1 &
    {
        if (this != &other) {
            delta = std::move(other.delta);
        }
        return *this;
    }

    auto SemanticTokensOptions_full_1::operator=(
        const SemanticTokensOptions_full_1 &other
    ) -> SemanticTokensOptions_full_1 &
    {
        if (this != &other) {
            if (other.delta.has_value()) {
                delta = other.delta.value();
            }
        }
        return *this;
    }

    const std::map<SemanticTokensOptions_fullType, std::string>
    SemanticTokensOptions_fullTypeNames = {
        {SemanticTokensOptions_fullType::Uninitialized, "Uninitialized"},
        {SemanticTokensOptions_fullType::Boolean, "Boolean"},
        {SemanticTokensOptions_fullType::SemanticTokensOptions_full_1,
         "SemanticTokensOptions_full_1"},
    };

    SemanticTokensOptions_full::SemanticTokensOptions_full()
    {
        // empty
    }

    SemanticTokensOptions_full::~SemanticTokensOptions_full()
    {
        reset();
    }

    SemanticTokensOptions_full::SemanticTokensOptions_full(
        SemanticTokensOptions_full &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SemanticTokensOptions_fullType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case SemanticTokensOptions_fullType::SemanticTokensOptions_full_1: {
            new (&_semanticTokensOptions_full_1) std::unique_ptr<SemanticTokensOptions_full_1> {
                std::move(other._semanticTokensOptions_full_1)
            };
            break;
        }
        case SemanticTokensOptions_fullType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = SemanticTokensOptions_fullType::Uninitialized;
    }

    SemanticTokensOptions_full::SemanticTokensOptions_full(
        const SemanticTokensOptions_full &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SemanticTokensOptions_fullType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case SemanticTokensOptions_fullType::SemanticTokensOptions_full_1: {
            new (&_semanticTokensOptions_full_1) std::unique_ptr<SemanticTokensOptions_full_1> {
                std::make_unique<SemanticTokensOptions_full_1>(*other._semanticTokensOptions_full_1)
            };
            break;
        }
        case SemanticTokensOptions_fullType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto SemanticTokensOptions_full::operator=(
        SemanticTokensOptions_full &&other
    ) -> SemanticTokensOptions_full &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SemanticTokensOptions_fullType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case SemanticTokensOptions_fullType::SemanticTokensOptions_full_1: {
                new (&_semanticTokensOptions_full_1) std::unique_ptr<SemanticTokensOptions_full_1> {
                    std::move(other._semanticTokensOptions_full_1)
                };
                break;
            }
            case SemanticTokensOptions_fullType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = SemanticTokensOptions_fullType::Uninitialized;
        }
        return *this;
    }

    auto SemanticTokensOptions_full::operator=(
        const SemanticTokensOptions_full &other
    ) -> SemanticTokensOptions_full &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SemanticTokensOptions_fullType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case SemanticTokensOptions_fullType::SemanticTokensOptions_full_1: {
                new (&_semanticTokensOptions_full_1) std::unique_ptr<SemanticTokensOptions_full_1> {
                    std::make_unique<SemanticTokensOptions_full_1>(*other._semanticTokensOptions_full_1)
                };
                break;
            }
            case SemanticTokensOptions_fullType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto SemanticTokensOptions_full::reset() -> void
    {
        switch (_type) {
        case SemanticTokensOptions_fullType::Uninitialized: {
            // nothing to do
            break;
        }
        case SemanticTokensOptions_fullType::SemanticTokensOptions_full_1: {
#ifdef DEBUG
            if (!_semanticTokensOptions_full_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensOptions_full_1"
                );
            }
#endif // DEBUG
            _semanticTokensOptions_full_1.~unique_ptr<SemanticTokensOptions_full_1>();
            _type = SemanticTokensOptions_fullType::Uninitialized;
            break;
        }
        default: {
            _type = SemanticTokensOptions_fullType::Uninitialized;
        }
        }
    }

    auto SemanticTokensOptions_full::type() const
    -> const SemanticTokensOptions_fullType &
    {
        return _type;
    }

    auto SemanticTokensOptions_full::boolean() const -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != SemanticTokensOptions_fullType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "SemanticTokensOptions_full::boolean()"
                 " of type "
                 "SemanticTokensOptions_fullType::Boolean"
                 " while active type is "
                 "SemanticTokensOptions_fullType::" +
                 SemanticTokensOptions_fullTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto SemanticTokensOptions_full::operator=(
        boolean_t boolean
    ) -> SemanticTokensOptions_full &
    {
        if (_type != SemanticTokensOptions_fullType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = SemanticTokensOptions_fullType::Boolean;
        return *this;
    }

    auto SemanticTokensOptions_full::semanticTokensOptions_full_1() const
    -> const SemanticTokensOptions_full_1 &
    {
#ifdef DEBUG
        if (_type != SemanticTokensOptions_fullType::SemanticTokensOptions_full_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "SemanticTokensOptions_full::semanticTokensOptions_full_1()"
                 " of type "
                 "SemanticTokensOptions_fullType::SemanticTokensOptions_full_1"
                 " while active type is "
                 "SemanticTokensOptions_fullType::" +
                 SemanticTokensOptions_fullTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensOptions_full_1;
    }

    auto SemanticTokensOptions_full::operator=(
        const std::unique_ptr<SemanticTokensOptions_full_1> &semanticTokensOptions_full_1
    ) -> SemanticTokensOptions_full &
    {
        if (_type != SemanticTokensOptions_fullType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensOptions_full_1) {
            throw std::logic_error(
                "null passed as the value of semanticTokensOptions_full_1"
            );
        }
#endif // DEBUG
        new (&_semanticTokensOptions_full_1) std::unique_ptr<SemanticTokensOptions_full_1> {
            std::make_unique<SemanticTokensOptions_full_1>(*semanticTokensOptions_full_1)
        };
        _type = SemanticTokensOptions_fullType::SemanticTokensOptions_full_1;
        return *this;
    }

    auto SemanticTokensOptions_full::operator=(
        std::unique_ptr<SemanticTokensOptions_full_1> &&semanticTokensOptions_full_1
    ) -> SemanticTokensOptions_full &
    {
        if (_type != SemanticTokensOptions_fullType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensOptions_full_1) {
            throw std::logic_error(
                "null passed as the value of semanticTokensOptions_full_1"
            );
        }
#endif // DEBUG
        new (&_semanticTokensOptions_full_1) std::unique_ptr<SemanticTokensOptions_full_1> {
            std::move(semanticTokensOptions_full_1)
        };
        _type = SemanticTokensOptions_fullType::SemanticTokensOptions_full_1;
        return *this;
    }

    auto SemanticTokensOptions_full::operator=(
        const SemanticTokensOptions_full_1 &semanticTokensOptions_full_1
    ) -> SemanticTokensOptions_full &
    {
        if (_type != SemanticTokensOptions_fullType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensOptions_full_1) std::unique_ptr<SemanticTokensOptions_full_1> {
            std::make_unique<SemanticTokensOptions_full_1>(semanticTokensOptions_full_1)
        };
        _type = SemanticTokensOptions_fullType::SemanticTokensOptions_full_1;
        return *this;
    }

    auto SemanticTokensOptions_full::operator=(
        SemanticTokensOptions_full_1 &&semanticTokensOptions_full_1
    ) -> SemanticTokensOptions_full &
    {
        if (_type != SemanticTokensOptions_fullType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensOptions_full_1) std::unique_ptr<SemanticTokensOptions_full_1> {
            std::make_unique<SemanticTokensOptions_full_1>(std::move(semanticTokensOptions_full_1))
        };
        _type = SemanticTokensOptions_fullType::SemanticTokensOptions_full_1;
        return *this;
    }

    LinkedEditingRangeOptions::LinkedEditingRangeOptions()
    {
        // empty
    }

    LinkedEditingRangeOptions::LinkedEditingRangeOptions(
        LinkedEditingRangeOptions &&other
    )
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    LinkedEditingRangeOptions::LinkedEditingRangeOptions(
        const LinkedEditingRangeOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    LinkedEditingRangeOptions::~LinkedEditingRangeOptions()
    {
        // empty
    }

    auto LinkedEditingRangeOptions::operator=(
        LinkedEditingRangeOptions &&other
    ) -> LinkedEditingRangeOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto LinkedEditingRangeOptions::operator=(
        const LinkedEditingRangeOptions &other
    ) -> LinkedEditingRangeOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    ChangeAnnotation::ChangeAnnotation()
    {
        // empty
    }

    ChangeAnnotation::ChangeAnnotation(ChangeAnnotation &&other)
        : label(std::move(other.label))
        , needsConfirmation(std::move(other.needsConfirmation))
        , description(std::move(other.description))
    {
        // empty
    }

    ChangeAnnotation::ChangeAnnotation(const ChangeAnnotation &other)
        : label(other.label)
    {
        if (other.needsConfirmation.has_value()) {
            needsConfirmation = other.needsConfirmation.value();
        }
        if (other.description.has_value()) {
            description = other.description.value();
        }
    }

    ChangeAnnotation::~ChangeAnnotation()
    {
        // empty
    }

    auto ChangeAnnotation::operator=(
        ChangeAnnotation &&other
    ) -> ChangeAnnotation &
    {
        if (this != &other) {
            label = std::move(other.label);
            needsConfirmation = std::move(other.needsConfirmation);
            description = std::move(other.description);
        }
        return *this;
    }

    auto ChangeAnnotation::operator=(
        const ChangeAnnotation &other
    ) -> ChangeAnnotation &
    {
        if (this != &other) {
            label = other.label;
            if (other.needsConfirmation.has_value()) {
                needsConfirmation = other.needsConfirmation.value();
            }
            if (other.description.has_value()) {
                description = other.description.value();
            }
        }
        return *this;
    }

    MonikerOptions::MonikerOptions()
    {
        // empty
    }

    MonikerOptions::MonikerOptions(MonikerOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    MonikerOptions::MonikerOptions(const MonikerOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    MonikerOptions::~MonikerOptions()
    {
        // empty
    }

    auto MonikerOptions::operator=(MonikerOptions &&other) -> MonikerOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto MonikerOptions::operator=(
        const MonikerOptions &other
    ) -> MonikerOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    TypeHierarchyOptions::TypeHierarchyOptions()
    {
        // empty
    }

    TypeHierarchyOptions::TypeHierarchyOptions(TypeHierarchyOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    TypeHierarchyOptions::TypeHierarchyOptions(
        const TypeHierarchyOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    TypeHierarchyOptions::~TypeHierarchyOptions()
    {
        // empty
    }

    auto TypeHierarchyOptions::operator=(
        TypeHierarchyOptions &&other
    ) -> TypeHierarchyOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto TypeHierarchyOptions::operator=(
        const TypeHierarchyOptions &other
    ) -> TypeHierarchyOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    InlineValueOptions::InlineValueOptions()
    {
        // empty
    }

    InlineValueOptions::InlineValueOptions(InlineValueOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    InlineValueOptions::InlineValueOptions(const InlineValueOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    InlineValueOptions::~InlineValueOptions()
    {
        // empty
    }

    auto InlineValueOptions::operator=(
        InlineValueOptions &&other
    ) -> InlineValueOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto InlineValueOptions::operator=(
        const InlineValueOptions &other
    ) -> InlineValueOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    InlayHintOptions::InlayHintOptions()
    {
        // empty
    }

    InlayHintOptions::InlayHintOptions(InlayHintOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , resolveProvider(std::move(other.resolveProvider))
    {
        // empty
    }

    InlayHintOptions::InlayHintOptions(const InlayHintOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.resolveProvider.has_value()) {
            resolveProvider = other.resolveProvider.value();
        }
    }

    InlayHintOptions::~InlayHintOptions()
    {
        // empty
    }

    auto InlayHintOptions::operator=(
        InlayHintOptions &&other
    ) -> InlayHintOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            resolveProvider = std::move(other.resolveProvider);
        }
        return *this;
    }

    auto InlayHintOptions::operator=(
        const InlayHintOptions &other
    ) -> InlayHintOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.resolveProvider.has_value()) {
                resolveProvider = other.resolveProvider.value();
            }
        }
        return *this;
    }

    DiagnosticOptions::DiagnosticOptions()
    {
        // empty
    }

    DiagnosticOptions::DiagnosticOptions(DiagnosticOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , identifier(std::move(other.identifier))
        , interFileDependencies(other.interFileDependencies)
        , workspaceDiagnostics(other.workspaceDiagnostics)
    {
        // empty
    }

    DiagnosticOptions::DiagnosticOptions(const DiagnosticOptions &other)
        : interFileDependencies(other.interFileDependencies)
        , workspaceDiagnostics(other.workspaceDiagnostics)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.identifier.has_value()) {
            identifier = other.identifier.value();
        }
    }

    DiagnosticOptions::~DiagnosticOptions()
    {
        // empty
    }

    auto DiagnosticOptions::operator=(
        DiagnosticOptions &&other
    ) -> DiagnosticOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            identifier = std::move(other.identifier);
            interFileDependencies = other.interFileDependencies;
            workspaceDiagnostics = other.workspaceDiagnostics;
        }
        return *this;
    }

    auto DiagnosticOptions::operator=(
        const DiagnosticOptions &other
    ) -> DiagnosticOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.identifier.has_value()) {
                identifier = other.identifier.value();
            }
            interFileDependencies = other.interFileDependencies;
            workspaceDiagnostics = other.workspaceDiagnostics;
        }
        return *this;
    }

    InlineCompletionOptions::InlineCompletionOptions()
    {
        // empty
    }

    InlineCompletionOptions::InlineCompletionOptions(
        InlineCompletionOptions &&other
    )
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    InlineCompletionOptions::InlineCompletionOptions(
        const InlineCompletionOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    InlineCompletionOptions::~InlineCompletionOptions()
    {
        // empty
    }

    auto InlineCompletionOptions::operator=(
        InlineCompletionOptions &&other
    ) -> InlineCompletionOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto InlineCompletionOptions::operator=(
        const InlineCompletionOptions &other
    ) -> InlineCompletionOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    const std::map<
        ServerCapabilities_inlineCompletionProviderType,
        std::string
    > ServerCapabilities_inlineCompletionProviderTypeNames = {
        {ServerCapabilities_inlineCompletionProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_inlineCompletionProviderType::Boolean, "Boolean"},
        {ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions,
         "InlineCompletionOptions"},
    };

    ServerCapabilities_inlineCompletionProvider::ServerCapabilities_inlineCompletionProvider()
    {
        // empty
    }

    ServerCapabilities_inlineCompletionProvider::~ServerCapabilities_inlineCompletionProvider()
    {
        reset();
    }

    ServerCapabilities_inlineCompletionProvider::ServerCapabilities_inlineCompletionProvider(
        ServerCapabilities_inlineCompletionProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_inlineCompletionProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions: {
            new (&_inlineCompletionOptions) std::unique_ptr<InlineCompletionOptions> {
                std::move(other._inlineCompletionOptions)
            };
            break;
        }
        case ServerCapabilities_inlineCompletionProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_inlineCompletionProviderType::Uninitialized;
    }

    ServerCapabilities_inlineCompletionProvider::ServerCapabilities_inlineCompletionProvider(
        const ServerCapabilities_inlineCompletionProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_inlineCompletionProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions: {
            new (&_inlineCompletionOptions) std::unique_ptr<InlineCompletionOptions> {
                std::make_unique<InlineCompletionOptions>(*other._inlineCompletionOptions)
            };
            break;
        }
        case ServerCapabilities_inlineCompletionProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_inlineCompletionProvider::operator=(
        ServerCapabilities_inlineCompletionProvider &&other
    ) -> ServerCapabilities_inlineCompletionProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_inlineCompletionProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions: {
                new (&_inlineCompletionOptions) std::unique_ptr<InlineCompletionOptions> {
                    std::move(other._inlineCompletionOptions)
                };
                break;
            }
            case ServerCapabilities_inlineCompletionProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_inlineCompletionProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_inlineCompletionProvider::operator=(
        const ServerCapabilities_inlineCompletionProvider &other
    ) -> ServerCapabilities_inlineCompletionProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_inlineCompletionProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions: {
                new (&_inlineCompletionOptions) std::unique_ptr<InlineCompletionOptions> {
                    std::make_unique<InlineCompletionOptions>(*other._inlineCompletionOptions)
                };
                break;
            }
            case ServerCapabilities_inlineCompletionProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_inlineCompletionProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_inlineCompletionProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions: {
#ifdef DEBUG
            if (!_inlineCompletionOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlineCompletionOptions"
                );
            }
#endif // DEBUG
            _inlineCompletionOptions.~unique_ptr<InlineCompletionOptions>();
            _type =
                ServerCapabilities_inlineCompletionProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_inlineCompletionProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_inlineCompletionProvider::type() const
    -> const ServerCapabilities_inlineCompletionProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_inlineCompletionProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_inlineCompletionProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_inlineCompletionProvider::boolean()"
                 " of type "
                 "ServerCapabilities_inlineCompletionProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_inlineCompletionProviderType::" +
                 ServerCapabilities_inlineCompletionProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_inlineCompletionProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_inlineCompletionProvider &
    {
        if (_type !=
                ServerCapabilities_inlineCompletionProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_inlineCompletionProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_inlineCompletionProvider::inlineCompletionOptions() const
    -> const InlineCompletionOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_inlineCompletionProvider::inlineCompletionOptions()"
                 " of type "
                 "ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions"
                 " while active type is "
                 "ServerCapabilities_inlineCompletionProviderType::" +
                 ServerCapabilities_inlineCompletionProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlineCompletionOptions;
    }

    auto ServerCapabilities_inlineCompletionProvider::operator=(
        const std::unique_ptr<InlineCompletionOptions> &inlineCompletionOptions
    ) -> ServerCapabilities_inlineCompletionProvider &
    {
        if (_type !=
                ServerCapabilities_inlineCompletionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineCompletionOptions) {
            throw std::logic_error(
                "null passed as the value of inlineCompletionOptions"
            );
        }
#endif // DEBUG
        new (&_inlineCompletionOptions) std::unique_ptr<InlineCompletionOptions> {
            std::make_unique<InlineCompletionOptions>(*inlineCompletionOptions)
        };
        _type =
            ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions;
        return *this;
    }

    auto ServerCapabilities_inlineCompletionProvider::operator=(
        std::unique_ptr<InlineCompletionOptions> &&inlineCompletionOptions
    ) -> ServerCapabilities_inlineCompletionProvider &
    {
        if (_type !=
                ServerCapabilities_inlineCompletionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineCompletionOptions) {
            throw std::logic_error(
                "null passed as the value of inlineCompletionOptions"
            );
        }
#endif // DEBUG
        new (&_inlineCompletionOptions) std::unique_ptr<InlineCompletionOptions> {
            std::move(inlineCompletionOptions)
        };
        _type =
            ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions;
        return *this;
    }

    auto ServerCapabilities_inlineCompletionProvider::operator=(
        const InlineCompletionOptions &inlineCompletionOptions
    ) -> ServerCapabilities_inlineCompletionProvider &
    {
        if (_type !=
                ServerCapabilities_inlineCompletionProviderType::Uninitialized) {
            reset();
        }
        new (&_inlineCompletionOptions) std::unique_ptr<InlineCompletionOptions> {
            std::make_unique<InlineCompletionOptions>(inlineCompletionOptions)
        };
        _type =
            ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions;
        return *this;
    }

    auto ServerCapabilities_inlineCompletionProvider::operator=(
        InlineCompletionOptions &&inlineCompletionOptions
    ) -> ServerCapabilities_inlineCompletionProvider &
    {
        if (_type !=
                ServerCapabilities_inlineCompletionProviderType::Uninitialized) {
            reset();
        }
        new (&_inlineCompletionOptions) std::unique_ptr<InlineCompletionOptions> {
            std::make_unique<InlineCompletionOptions>(std::move(inlineCompletionOptions))
        };
        _type =
            ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions;
        return *this;
    }

    SaveOptions::SaveOptions()
    {
        // empty
    }

    SaveOptions::SaveOptions(SaveOptions &&other)
        : includeText(std::move(other.includeText))
    {
        // empty
    }

    SaveOptions::SaveOptions(const SaveOptions &other)
    {
        if (other.includeText.has_value()) {
            includeText = other.includeText.value();
        }
    }

    SaveOptions::~SaveOptions()
    {
        // empty
    }

    auto SaveOptions::operator=(SaveOptions &&other) -> SaveOptions &
    {
        if (this != &other) {
            includeText = std::move(other.includeText);
        }
        return *this;
    }

    auto SaveOptions::operator=(const SaveOptions &other) -> SaveOptions &
    {
        if (this != &other) {
            if (other.includeText.has_value()) {
                includeText = other.includeText.value();
            }
        }
        return *this;
    }

    CompletionOptions_completionItem::CompletionOptions_completionItem()
    {
        // empty
    }

    CompletionOptions_completionItem::CompletionOptions_completionItem(
        CompletionOptions_completionItem &&other
    )
        : labelDetailsSupport(std::move(other.labelDetailsSupport))
    {
        // empty
    }

    CompletionOptions_completionItem::CompletionOptions_completionItem(
        const CompletionOptions_completionItem &other
    )
    {
        if (other.labelDetailsSupport.has_value()) {
            labelDetailsSupport = other.labelDetailsSupport.value();
        }
    }

    CompletionOptions_completionItem::~CompletionOptions_completionItem()
    {
        // empty
    }

    auto CompletionOptions_completionItem::operator=(
        CompletionOptions_completionItem &&other
    ) -> CompletionOptions_completionItem &
    {
        if (this != &other) {
            labelDetailsSupport = std::move(other.labelDetailsSupport);
        }
        return *this;
    }

    auto CompletionOptions_completionItem::operator=(
        const CompletionOptions_completionItem &other
    ) -> CompletionOptions_completionItem &
    {
        if (this != &other) {
            if (other.labelDetailsSupport.has_value()) {
                labelDetailsSupport = other.labelDetailsSupport.value();
            }
        }
        return *this;
    }

    CompletionOptions::CompletionOptions()
    {
        // empty
    }

    CompletionOptions::CompletionOptions(CompletionOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , triggerCharacters(std::move(other.triggerCharacters))
        , allCommitCharacters(std::move(other.allCommitCharacters))
        , resolveProvider(std::move(other.resolveProvider))
        , completionItem(std::move(other.completionItem))
    {
        // empty
    }

    CompletionOptions::CompletionOptions(const CompletionOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.triggerCharacters.has_value()) {
            auto &array_0 = triggerCharacters.emplace();
            const auto &array_1 = other.triggerCharacters.value();
            array_0 = array_1;
        }
        if (other.allCommitCharacters.has_value()) {
            auto &array_2 = allCommitCharacters.emplace();
            const auto &array_3 = other.allCommitCharacters.value();
            array_2 = array_3;
        }
        if (other.resolveProvider.has_value()) {
            resolveProvider = other.resolveProvider.value();
        }
        if (other.completionItem.has_value()) {
            completionItem = other.completionItem.value();
        }
    }

    CompletionOptions::~CompletionOptions()
    {
        // empty
    }

    auto CompletionOptions::operator=(
        CompletionOptions &&other
    ) -> CompletionOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            triggerCharacters = std::move(other.triggerCharacters);
            allCommitCharacters = std::move(other.allCommitCharacters);
            resolveProvider = std::move(other.resolveProvider);
            completionItem = std::move(other.completionItem);
        }
        return *this;
    }

    auto CompletionOptions::operator=(
        const CompletionOptions &other
    ) -> CompletionOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.triggerCharacters.has_value()) {
                auto &array_0 = triggerCharacters.emplace();
                const auto &array_1 = other.triggerCharacters.value();
                array_0 = array_1;
            }
            if (other.allCommitCharacters.has_value()) {
                auto &array_2 = allCommitCharacters.emplace();
                const auto &array_3 = other.allCommitCharacters.value();
                array_2 = array_3;
            }
            if (other.resolveProvider.has_value()) {
                resolveProvider = other.resolveProvider.value();
            }
            if (other.completionItem.has_value()) {
                completionItem = other.completionItem.value();
            }
        }
        return *this;
    }

    HoverOptions::HoverOptions()
    {
        // empty
    }

    HoverOptions::HoverOptions(HoverOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    HoverOptions::HoverOptions(const HoverOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    HoverOptions::~HoverOptions()
    {
        // empty
    }

    auto HoverOptions::operator=(HoverOptions &&other) -> HoverOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto HoverOptions::operator=(const HoverOptions &other) -> HoverOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_hoverProviderType, std::string>
    ServerCapabilities_hoverProviderTypeNames = {
        {ServerCapabilities_hoverProviderType::Uninitialized, "Uninitialized"},
        {ServerCapabilities_hoverProviderType::Boolean, "Boolean"},
        {ServerCapabilities_hoverProviderType::HoverOptions, "HoverOptions"},
    };

    ServerCapabilities_hoverProvider::ServerCapabilities_hoverProvider()
    {
        // empty
    }

    ServerCapabilities_hoverProvider::~ServerCapabilities_hoverProvider()
    {
        reset();
    }

    ServerCapabilities_hoverProvider::ServerCapabilities_hoverProvider(
        ServerCapabilities_hoverProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_hoverProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_hoverProviderType::HoverOptions: {
            new (&_hoverOptions) std::unique_ptr<HoverOptions> {
                std::move(other._hoverOptions)
            };
            break;
        }
        case ServerCapabilities_hoverProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_hoverProviderType::Uninitialized;
    }

    ServerCapabilities_hoverProvider::ServerCapabilities_hoverProvider(
        const ServerCapabilities_hoverProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_hoverProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_hoverProviderType::HoverOptions: {
            new (&_hoverOptions) std::unique_ptr<HoverOptions> {
                std::make_unique<HoverOptions>(*other._hoverOptions)
            };
            break;
        }
        case ServerCapabilities_hoverProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_hoverProvider::operator=(
        ServerCapabilities_hoverProvider &&other
    ) -> ServerCapabilities_hoverProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_hoverProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_hoverProviderType::HoverOptions: {
                new (&_hoverOptions) std::unique_ptr<HoverOptions> {
                    std::move(other._hoverOptions)
                };
                break;
            }
            case ServerCapabilities_hoverProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = ServerCapabilities_hoverProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_hoverProvider::operator=(
        const ServerCapabilities_hoverProvider &other
    ) -> ServerCapabilities_hoverProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_hoverProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_hoverProviderType::HoverOptions: {
                new (&_hoverOptions) std::unique_ptr<HoverOptions> {
                    std::make_unique<HoverOptions>(*other._hoverOptions)
                };
                break;
            }
            case ServerCapabilities_hoverProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_hoverProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_hoverProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_hoverProviderType::HoverOptions: {
#ifdef DEBUG
            if (!_hoverOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _hoverOptions"
                );
            }
#endif // DEBUG
            _hoverOptions.~unique_ptr<HoverOptions>();
            _type = ServerCapabilities_hoverProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_hoverProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_hoverProvider::type() const
    -> const ServerCapabilities_hoverProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_hoverProvider::boolean() const -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_hoverProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_hoverProvider::boolean()"
                 " of type "
                 "ServerCapabilities_hoverProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_hoverProviderType::" +
                 ServerCapabilities_hoverProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_hoverProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_hoverProvider &
    {
        if (_type != ServerCapabilities_hoverProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_hoverProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_hoverProvider::hoverOptions() const
    -> const HoverOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_hoverProviderType::HoverOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_hoverProvider::hoverOptions()"
                 " of type "
                 "ServerCapabilities_hoverProviderType::HoverOptions"
                 " while active type is "
                 "ServerCapabilities_hoverProviderType::" +
                 ServerCapabilities_hoverProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_hoverOptions;
    }

    auto ServerCapabilities_hoverProvider::operator=(
        const std::unique_ptr<HoverOptions> &hoverOptions
    ) -> ServerCapabilities_hoverProvider &
    {
        if (_type != ServerCapabilities_hoverProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!hoverOptions) {
            throw std::logic_error("null passed as the value of hoverOptions");
        }
#endif // DEBUG
        new (&_hoverOptions) std::unique_ptr<HoverOptions> {
            std::make_unique<HoverOptions>(*hoverOptions)
        };
        _type = ServerCapabilities_hoverProviderType::HoverOptions;
        return *this;
    }

    auto ServerCapabilities_hoverProvider::operator=(
        std::unique_ptr<HoverOptions> &&hoverOptions
    ) -> ServerCapabilities_hoverProvider &
    {
        if (_type != ServerCapabilities_hoverProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!hoverOptions) {
            throw std::logic_error("null passed as the value of hoverOptions");
        }
#endif // DEBUG
        new (&_hoverOptions) std::unique_ptr<HoverOptions> {
            std::move(hoverOptions)
        };
        _type = ServerCapabilities_hoverProviderType::HoverOptions;
        return *this;
    }

    auto ServerCapabilities_hoverProvider::operator=(
        const HoverOptions &hoverOptions
    ) -> ServerCapabilities_hoverProvider &
    {
        if (_type != ServerCapabilities_hoverProviderType::Uninitialized) {
            reset();
        }
        new (&_hoverOptions) std::unique_ptr<HoverOptions> {
            std::make_unique<HoverOptions>(hoverOptions)
        };
        _type = ServerCapabilities_hoverProviderType::HoverOptions;
        return *this;
    }

    auto ServerCapabilities_hoverProvider::operator=(
        HoverOptions &&hoverOptions
    ) -> ServerCapabilities_hoverProvider &
    {
        if (_type != ServerCapabilities_hoverProviderType::Uninitialized) {
            reset();
        }
        new (&_hoverOptions) std::unique_ptr<HoverOptions> {
            std::make_unique<HoverOptions>(std::move(hoverOptions))
        };
        _type = ServerCapabilities_hoverProviderType::HoverOptions;
        return *this;
    }

    SignatureHelpOptions::SignatureHelpOptions()
    {
        // empty
    }

    SignatureHelpOptions::SignatureHelpOptions(SignatureHelpOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , triggerCharacters(std::move(other.triggerCharacters))
        , retriggerCharacters(std::move(other.retriggerCharacters))
    {
        // empty
    }

    SignatureHelpOptions::SignatureHelpOptions(
        const SignatureHelpOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.triggerCharacters.has_value()) {
            auto &array_0 = triggerCharacters.emplace();
            const auto &array_1 = other.triggerCharacters.value();
            array_0 = array_1;
        }
        if (other.retriggerCharacters.has_value()) {
            auto &array_2 = retriggerCharacters.emplace();
            const auto &array_3 = other.retriggerCharacters.value();
            array_2 = array_3;
        }
    }

    SignatureHelpOptions::~SignatureHelpOptions()
    {
        // empty
    }

    auto SignatureHelpOptions::operator=(
        SignatureHelpOptions &&other
    ) -> SignatureHelpOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            triggerCharacters = std::move(other.triggerCharacters);
            retriggerCharacters = std::move(other.retriggerCharacters);
        }
        return *this;
    }

    auto SignatureHelpOptions::operator=(
        const SignatureHelpOptions &other
    ) -> SignatureHelpOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.triggerCharacters.has_value()) {
                auto &array_0 = triggerCharacters.emplace();
                const auto &array_1 = other.triggerCharacters.value();
                array_0 = array_1;
            }
            if (other.retriggerCharacters.has_value()) {
                auto &array_2 = retriggerCharacters.emplace();
                const auto &array_3 = other.retriggerCharacters.value();
                array_2 = array_3;
            }
        }
        return *this;
    }

    DefinitionOptions::DefinitionOptions()
    {
        // empty
    }

    DefinitionOptions::DefinitionOptions(DefinitionOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    DefinitionOptions::DefinitionOptions(const DefinitionOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    DefinitionOptions::~DefinitionOptions()
    {
        // empty
    }

    auto DefinitionOptions::operator=(
        DefinitionOptions &&other
    ) -> DefinitionOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto DefinitionOptions::operator=(
        const DefinitionOptions &other
    ) -> DefinitionOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_definitionProviderType, std::string>
    ServerCapabilities_definitionProviderTypeNames = {
        {ServerCapabilities_definitionProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_definitionProviderType::Boolean, "Boolean"},
        {ServerCapabilities_definitionProviderType::DefinitionOptions,
         "DefinitionOptions"},
    };

    ServerCapabilities_definitionProvider::ServerCapabilities_definitionProvider()
    {
        // empty
    }

    ServerCapabilities_definitionProvider::~ServerCapabilities_definitionProvider()
    {
        reset();
    }

    ServerCapabilities_definitionProvider::ServerCapabilities_definitionProvider(
        ServerCapabilities_definitionProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_definitionProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_definitionProviderType::DefinitionOptions: {
            new (&_definitionOptions) std::unique_ptr<DefinitionOptions> {
                std::move(other._definitionOptions)
            };
            break;
        }
        case ServerCapabilities_definitionProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_definitionProviderType::Uninitialized;
    }

    ServerCapabilities_definitionProvider::ServerCapabilities_definitionProvider(
        const ServerCapabilities_definitionProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_definitionProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_definitionProviderType::DefinitionOptions: {
            new (&_definitionOptions) std::unique_ptr<DefinitionOptions> {
                std::make_unique<DefinitionOptions>(*other._definitionOptions)
            };
            break;
        }
        case ServerCapabilities_definitionProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_definitionProvider::operator=(
        ServerCapabilities_definitionProvider &&other
    ) -> ServerCapabilities_definitionProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_definitionProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_definitionProviderType::DefinitionOptions: {
                new (&_definitionOptions) std::unique_ptr<DefinitionOptions> {
                    std::move(other._definitionOptions)
                };
                break;
            }
            case ServerCapabilities_definitionProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_definitionProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_definitionProvider::operator=(
        const ServerCapabilities_definitionProvider &other
    ) -> ServerCapabilities_definitionProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_definitionProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_definitionProviderType::DefinitionOptions: {
                new (&_definitionOptions) std::unique_ptr<DefinitionOptions> {
                    std::make_unique<DefinitionOptions>(*other._definitionOptions)
                };
                break;
            }
            case ServerCapabilities_definitionProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_definitionProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_definitionProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_definitionProviderType::DefinitionOptions: {
#ifdef DEBUG
            if (!_definitionOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _definitionOptions"
                );
            }
#endif // DEBUG
            _definitionOptions.~unique_ptr<DefinitionOptions>();
            _type = ServerCapabilities_definitionProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_definitionProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_definitionProvider::type() const
    -> const ServerCapabilities_definitionProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_definitionProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_definitionProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_definitionProvider::boolean()"
                 " of type "
                 "ServerCapabilities_definitionProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_definitionProviderType::" +
                 ServerCapabilities_definitionProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_definitionProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_definitionProvider &
    {
        if (_type !=
                ServerCapabilities_definitionProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_definitionProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_definitionProvider::definitionOptions() const
    -> const DefinitionOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_definitionProviderType::DefinitionOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_definitionProvider::definitionOptions()"
                 " of type "
                 "ServerCapabilities_definitionProviderType::DefinitionOptions"
                 " while active type is "
                 "ServerCapabilities_definitionProviderType::" +
                 ServerCapabilities_definitionProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_definitionOptions;
    }

    auto ServerCapabilities_definitionProvider::operator=(
        const std::unique_ptr<DefinitionOptions> &definitionOptions
    ) -> ServerCapabilities_definitionProvider &
    {
        if (_type !=
                ServerCapabilities_definitionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!definitionOptions) {
            throw std::logic_error(
                "null passed as the value of definitionOptions"
            );
        }
#endif // DEBUG
        new (&_definitionOptions) std::unique_ptr<DefinitionOptions> {
            std::make_unique<DefinitionOptions>(*definitionOptions)
        };
        _type = ServerCapabilities_definitionProviderType::DefinitionOptions;
        return *this;
    }

    auto ServerCapabilities_definitionProvider::operator=(
        std::unique_ptr<DefinitionOptions> &&definitionOptions
    ) -> ServerCapabilities_definitionProvider &
    {
        if (_type !=
                ServerCapabilities_definitionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!definitionOptions) {
            throw std::logic_error(
                "null passed as the value of definitionOptions"
            );
        }
#endif // DEBUG
        new (&_definitionOptions) std::unique_ptr<DefinitionOptions> {
            std::move(definitionOptions)
        };
        _type = ServerCapabilities_definitionProviderType::DefinitionOptions;
        return *this;
    }

    auto ServerCapabilities_definitionProvider::operator=(
        const DefinitionOptions &definitionOptions
    ) -> ServerCapabilities_definitionProvider &
    {
        if (_type !=
                ServerCapabilities_definitionProviderType::Uninitialized) {
            reset();
        }
        new (&_definitionOptions) std::unique_ptr<DefinitionOptions> {
            std::make_unique<DefinitionOptions>(definitionOptions)
        };
        _type = ServerCapabilities_definitionProviderType::DefinitionOptions;
        return *this;
    }

    auto ServerCapabilities_definitionProvider::operator=(
        DefinitionOptions &&definitionOptions
    ) -> ServerCapabilities_definitionProvider &
    {
        if (_type !=
                ServerCapabilities_definitionProviderType::Uninitialized) {
            reset();
        }
        new (&_definitionOptions) std::unique_ptr<DefinitionOptions> {
            std::make_unique<DefinitionOptions>(std::move(definitionOptions))
        };
        _type = ServerCapabilities_definitionProviderType::DefinitionOptions;
        return *this;
    }

    ReferenceContext::ReferenceContext()
    {
        // empty
    }

    ReferenceContext::ReferenceContext(ReferenceContext &&other)
        : includeDeclaration(other.includeDeclaration)
    {
        // empty
    }

    ReferenceContext::ReferenceContext(const ReferenceContext &other)
        : includeDeclaration(other.includeDeclaration)
    {
    }

    ReferenceContext::~ReferenceContext()
    {
        // empty
    }

    auto ReferenceContext::operator=(
        ReferenceContext &&other
    ) -> ReferenceContext &
    {
        if (this != &other) {
            includeDeclaration = other.includeDeclaration;
        }
        return *this;
    }

    auto ReferenceContext::operator=(
        const ReferenceContext &other
    ) -> ReferenceContext &
    {
        if (this != &other) {
            includeDeclaration = other.includeDeclaration;
        }
        return *this;
    }

    ReferenceOptions::ReferenceOptions()
    {
        // empty
    }

    ReferenceOptions::ReferenceOptions(ReferenceOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    ReferenceOptions::ReferenceOptions(const ReferenceOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    ReferenceOptions::~ReferenceOptions()
    {
        // empty
    }

    auto ReferenceOptions::operator=(
        ReferenceOptions &&other
    ) -> ReferenceOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto ReferenceOptions::operator=(
        const ReferenceOptions &other
    ) -> ReferenceOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_referencesProviderType, std::string>
    ServerCapabilities_referencesProviderTypeNames = {
        {ServerCapabilities_referencesProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_referencesProviderType::Boolean, "Boolean"},
        {ServerCapabilities_referencesProviderType::ReferenceOptions,
         "ReferenceOptions"},
    };

    ServerCapabilities_referencesProvider::ServerCapabilities_referencesProvider()
    {
        // empty
    }

    ServerCapabilities_referencesProvider::~ServerCapabilities_referencesProvider()
    {
        reset();
    }

    ServerCapabilities_referencesProvider::ServerCapabilities_referencesProvider(
        ServerCapabilities_referencesProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_referencesProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_referencesProviderType::ReferenceOptions: {
            new (&_referenceOptions) std::unique_ptr<ReferenceOptions> {
                std::move(other._referenceOptions)
            };
            break;
        }
        case ServerCapabilities_referencesProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_referencesProviderType::Uninitialized;
    }

    ServerCapabilities_referencesProvider::ServerCapabilities_referencesProvider(
        const ServerCapabilities_referencesProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_referencesProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_referencesProviderType::ReferenceOptions: {
            new (&_referenceOptions) std::unique_ptr<ReferenceOptions> {
                std::make_unique<ReferenceOptions>(*other._referenceOptions)
            };
            break;
        }
        case ServerCapabilities_referencesProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_referencesProvider::operator=(
        ServerCapabilities_referencesProvider &&other
    ) -> ServerCapabilities_referencesProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_referencesProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_referencesProviderType::ReferenceOptions: {
                new (&_referenceOptions) std::unique_ptr<ReferenceOptions> {
                    std::move(other._referenceOptions)
                };
                break;
            }
            case ServerCapabilities_referencesProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_referencesProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_referencesProvider::operator=(
        const ServerCapabilities_referencesProvider &other
    ) -> ServerCapabilities_referencesProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_referencesProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_referencesProviderType::ReferenceOptions: {
                new (&_referenceOptions) std::unique_ptr<ReferenceOptions> {
                    std::make_unique<ReferenceOptions>(*other._referenceOptions)
                };
                break;
            }
            case ServerCapabilities_referencesProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_referencesProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_referencesProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_referencesProviderType::ReferenceOptions: {
#ifdef DEBUG
            if (!_referenceOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _referenceOptions"
                );
            }
#endif // DEBUG
            _referenceOptions.~unique_ptr<ReferenceOptions>();
            _type = ServerCapabilities_referencesProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_referencesProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_referencesProvider::type() const
    -> const ServerCapabilities_referencesProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_referencesProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_referencesProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_referencesProvider::boolean()"
                 " of type "
                 "ServerCapabilities_referencesProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_referencesProviderType::" +
                 ServerCapabilities_referencesProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_referencesProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_referencesProvider &
    {
        if (_type !=
                ServerCapabilities_referencesProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_referencesProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_referencesProvider::referenceOptions() const
    -> const ReferenceOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_referencesProviderType::ReferenceOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_referencesProvider::referenceOptions()"
                 " of type "
                 "ServerCapabilities_referencesProviderType::ReferenceOptions"
                 " while active type is "
                 "ServerCapabilities_referencesProviderType::" +
                 ServerCapabilities_referencesProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_referenceOptions;
    }

    auto ServerCapabilities_referencesProvider::operator=(
        const std::unique_ptr<ReferenceOptions> &referenceOptions
    ) -> ServerCapabilities_referencesProvider &
    {
        if (_type !=
                ServerCapabilities_referencesProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!referenceOptions) {
            throw std::logic_error(
                "null passed as the value of referenceOptions"
            );
        }
#endif // DEBUG
        new (&_referenceOptions) std::unique_ptr<ReferenceOptions> {
            std::make_unique<ReferenceOptions>(*referenceOptions)
        };
        _type = ServerCapabilities_referencesProviderType::ReferenceOptions;
        return *this;
    }

    auto ServerCapabilities_referencesProvider::operator=(
        std::unique_ptr<ReferenceOptions> &&referenceOptions
    ) -> ServerCapabilities_referencesProvider &
    {
        if (_type !=
                ServerCapabilities_referencesProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!referenceOptions) {
            throw std::logic_error(
                "null passed as the value of referenceOptions"
            );
        }
#endif // DEBUG
        new (&_referenceOptions) std::unique_ptr<ReferenceOptions> {
            std::move(referenceOptions)
        };
        _type = ServerCapabilities_referencesProviderType::ReferenceOptions;
        return *this;
    }

    auto ServerCapabilities_referencesProvider::operator=(
        const ReferenceOptions &referenceOptions
    ) -> ServerCapabilities_referencesProvider &
    {
        if (_type !=
                ServerCapabilities_referencesProviderType::Uninitialized) {
            reset();
        }
        new (&_referenceOptions) std::unique_ptr<ReferenceOptions> {
            std::make_unique<ReferenceOptions>(referenceOptions)
        };
        _type = ServerCapabilities_referencesProviderType::ReferenceOptions;
        return *this;
    }

    auto ServerCapabilities_referencesProvider::operator=(
        ReferenceOptions &&referenceOptions
    ) -> ServerCapabilities_referencesProvider &
    {
        if (_type !=
                ServerCapabilities_referencesProviderType::Uninitialized) {
            reset();
        }
        new (&_referenceOptions) std::unique_ptr<ReferenceOptions> {
            std::make_unique<ReferenceOptions>(std::move(referenceOptions))
        };
        _type = ServerCapabilities_referencesProviderType::ReferenceOptions;
        return *this;
    }

    DocumentHighlightOptions::DocumentHighlightOptions()
    {
        // empty
    }

    DocumentHighlightOptions::DocumentHighlightOptions(
        DocumentHighlightOptions &&other
    )
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    DocumentHighlightOptions::DocumentHighlightOptions(
        const DocumentHighlightOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    DocumentHighlightOptions::~DocumentHighlightOptions()
    {
        // empty
    }

    auto DocumentHighlightOptions::operator=(
        DocumentHighlightOptions &&other
    ) -> DocumentHighlightOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto DocumentHighlightOptions::operator=(
        const DocumentHighlightOptions &other
    ) -> DocumentHighlightOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    const std::map<
        ServerCapabilities_documentHighlightProviderType,
        std::string
    > ServerCapabilities_documentHighlightProviderTypeNames = {
        {ServerCapabilities_documentHighlightProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_documentHighlightProviderType::Boolean, "Boolean"},
        {ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions,
         "DocumentHighlightOptions"},
    };

    ServerCapabilities_documentHighlightProvider::ServerCapabilities_documentHighlightProvider()
    {
        // empty
    }

    ServerCapabilities_documentHighlightProvider::~ServerCapabilities_documentHighlightProvider()
    {
        reset();
    }

    ServerCapabilities_documentHighlightProvider::ServerCapabilities_documentHighlightProvider(
        ServerCapabilities_documentHighlightProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_documentHighlightProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions: {
            new (&_documentHighlightOptions) std::unique_ptr<DocumentHighlightOptions> {
                std::move(other._documentHighlightOptions)
            };
            break;
        }
        case ServerCapabilities_documentHighlightProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_documentHighlightProviderType::Uninitialized;
    }

    ServerCapabilities_documentHighlightProvider::ServerCapabilities_documentHighlightProvider(
        const ServerCapabilities_documentHighlightProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_documentHighlightProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions: {
            new (&_documentHighlightOptions) std::unique_ptr<DocumentHighlightOptions> {
                std::make_unique<DocumentHighlightOptions>(*other._documentHighlightOptions)
            };
            break;
        }
        case ServerCapabilities_documentHighlightProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_documentHighlightProvider::operator=(
        ServerCapabilities_documentHighlightProvider &&other
    ) -> ServerCapabilities_documentHighlightProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_documentHighlightProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions: {
                new (&_documentHighlightOptions) std::unique_ptr<DocumentHighlightOptions> {
                    std::move(other._documentHighlightOptions)
                };
                break;
            }
            case ServerCapabilities_documentHighlightProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_documentHighlightProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_documentHighlightProvider::operator=(
        const ServerCapabilities_documentHighlightProvider &other
    ) -> ServerCapabilities_documentHighlightProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_documentHighlightProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions: {
                new (&_documentHighlightOptions) std::unique_ptr<DocumentHighlightOptions> {
                    std::make_unique<DocumentHighlightOptions>(*other._documentHighlightOptions)
                };
                break;
            }
            case ServerCapabilities_documentHighlightProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_documentHighlightProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_documentHighlightProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions: {
#ifdef DEBUG
            if (!_documentHighlightOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentHighlightOptions"
                );
            }
#endif // DEBUG
            _documentHighlightOptions.~unique_ptr<DocumentHighlightOptions>();
            _type =
                ServerCapabilities_documentHighlightProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_documentHighlightProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_documentHighlightProvider::type() const
    -> const ServerCapabilities_documentHighlightProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_documentHighlightProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_documentHighlightProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_documentHighlightProvider::boolean()"
                 " of type "
                 "ServerCapabilities_documentHighlightProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_documentHighlightProviderType::" +
                 ServerCapabilities_documentHighlightProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_documentHighlightProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_documentHighlightProvider &
    {
        if (_type !=
                ServerCapabilities_documentHighlightProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_documentHighlightProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_documentHighlightProvider::documentHighlightOptions() const
    -> const DocumentHighlightOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_documentHighlightProvider::documentHighlightOptions()"
                 " of type "
                 "ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions"
                 " while active type is "
                 "ServerCapabilities_documentHighlightProviderType::" +
                 ServerCapabilities_documentHighlightProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentHighlightOptions;
    }

    auto ServerCapabilities_documentHighlightProvider::operator=(
        const std::unique_ptr<DocumentHighlightOptions> &documentHighlightOptions
    ) -> ServerCapabilities_documentHighlightProvider &
    {
        if (_type !=
                ServerCapabilities_documentHighlightProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentHighlightOptions) {
            throw std::logic_error(
                "null passed as the value of documentHighlightOptions"
            );
        }
#endif // DEBUG
        new (&_documentHighlightOptions) std::unique_ptr<DocumentHighlightOptions> {
            std::make_unique<DocumentHighlightOptions>(*documentHighlightOptions)
        };
        _type =
            ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions;
        return *this;
    }

    auto ServerCapabilities_documentHighlightProvider::operator=(
        std::unique_ptr<DocumentHighlightOptions> &&documentHighlightOptions
    ) -> ServerCapabilities_documentHighlightProvider &
    {
        if (_type !=
                ServerCapabilities_documentHighlightProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentHighlightOptions) {
            throw std::logic_error(
                "null passed as the value of documentHighlightOptions"
            );
        }
#endif // DEBUG
        new (&_documentHighlightOptions) std::unique_ptr<DocumentHighlightOptions> {
            std::move(documentHighlightOptions)
        };
        _type =
            ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions;
        return *this;
    }

    auto ServerCapabilities_documentHighlightProvider::operator=(
        const DocumentHighlightOptions &documentHighlightOptions
    ) -> ServerCapabilities_documentHighlightProvider &
    {
        if (_type !=
                ServerCapabilities_documentHighlightProviderType::Uninitialized) {
            reset();
        }
        new (&_documentHighlightOptions) std::unique_ptr<DocumentHighlightOptions> {
            std::make_unique<DocumentHighlightOptions>(documentHighlightOptions)
        };
        _type =
            ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions;
        return *this;
    }

    auto ServerCapabilities_documentHighlightProvider::operator=(
        DocumentHighlightOptions &&documentHighlightOptions
    ) -> ServerCapabilities_documentHighlightProvider &
    {
        if (_type !=
                ServerCapabilities_documentHighlightProviderType::Uninitialized) {
            reset();
        }
        new (&_documentHighlightOptions) std::unique_ptr<DocumentHighlightOptions> {
            std::make_unique<DocumentHighlightOptions>(std::move(documentHighlightOptions))
        };
        _type =
            ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions;
        return *this;
    }

    DocumentSymbolOptions::DocumentSymbolOptions()
    {
        // empty
    }

    DocumentSymbolOptions::DocumentSymbolOptions(DocumentSymbolOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , label(std::move(other.label))
    {
        // empty
    }

    DocumentSymbolOptions::DocumentSymbolOptions(
        const DocumentSymbolOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.label.has_value()) {
            label = other.label.value();
        }
    }

    DocumentSymbolOptions::~DocumentSymbolOptions()
    {
        // empty
    }

    auto DocumentSymbolOptions::operator=(
        DocumentSymbolOptions &&other
    ) -> DocumentSymbolOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            label = std::move(other.label);
        }
        return *this;
    }

    auto DocumentSymbolOptions::operator=(
        const DocumentSymbolOptions &other
    ) -> DocumentSymbolOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.label.has_value()) {
                label = other.label.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_documentSymbolProviderType, std::string>
    ServerCapabilities_documentSymbolProviderTypeNames = {
        {ServerCapabilities_documentSymbolProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_documentSymbolProviderType::Boolean, "Boolean"},
        {ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions,
         "DocumentSymbolOptions"},
    };

    ServerCapabilities_documentSymbolProvider::ServerCapabilities_documentSymbolProvider()
    {
        // empty
    }

    ServerCapabilities_documentSymbolProvider::~ServerCapabilities_documentSymbolProvider()
    {
        reset();
    }

    ServerCapabilities_documentSymbolProvider::ServerCapabilities_documentSymbolProvider(
        ServerCapabilities_documentSymbolProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_documentSymbolProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions: {
            new (&_documentSymbolOptions) std::unique_ptr<DocumentSymbolOptions> {
                std::move(other._documentSymbolOptions)
            };
            break;
        }
        case ServerCapabilities_documentSymbolProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_documentSymbolProviderType::Uninitialized;
    }

    ServerCapabilities_documentSymbolProvider::ServerCapabilities_documentSymbolProvider(
        const ServerCapabilities_documentSymbolProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_documentSymbolProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions: {
            new (&_documentSymbolOptions) std::unique_ptr<DocumentSymbolOptions> {
                std::make_unique<DocumentSymbolOptions>(*other._documentSymbolOptions)
            };
            break;
        }
        case ServerCapabilities_documentSymbolProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_documentSymbolProvider::operator=(
        ServerCapabilities_documentSymbolProvider &&other
    ) -> ServerCapabilities_documentSymbolProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_documentSymbolProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions: {
                new (&_documentSymbolOptions) std::unique_ptr<DocumentSymbolOptions> {
                    std::move(other._documentSymbolOptions)
                };
                break;
            }
            case ServerCapabilities_documentSymbolProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_documentSymbolProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_documentSymbolProvider::operator=(
        const ServerCapabilities_documentSymbolProvider &other
    ) -> ServerCapabilities_documentSymbolProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_documentSymbolProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions: {
                new (&_documentSymbolOptions) std::unique_ptr<DocumentSymbolOptions> {
                    std::make_unique<DocumentSymbolOptions>(*other._documentSymbolOptions)
                };
                break;
            }
            case ServerCapabilities_documentSymbolProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_documentSymbolProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_documentSymbolProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions: {
#ifdef DEBUG
            if (!_documentSymbolOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentSymbolOptions"
                );
            }
#endif // DEBUG
            _documentSymbolOptions.~unique_ptr<DocumentSymbolOptions>();
            _type =
                ServerCapabilities_documentSymbolProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_documentSymbolProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_documentSymbolProvider::type() const
    -> const ServerCapabilities_documentSymbolProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_documentSymbolProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_documentSymbolProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_documentSymbolProvider::boolean()"
                 " of type "
                 "ServerCapabilities_documentSymbolProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_documentSymbolProviderType::" +
                 ServerCapabilities_documentSymbolProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_documentSymbolProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_documentSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_documentSymbolProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_documentSymbolProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_documentSymbolProvider::documentSymbolOptions() const
    -> const DocumentSymbolOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_documentSymbolProvider::documentSymbolOptions()"
                 " of type "
                 "ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions"
                 " while active type is "
                 "ServerCapabilities_documentSymbolProviderType::" +
                 ServerCapabilities_documentSymbolProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentSymbolOptions;
    }

    auto ServerCapabilities_documentSymbolProvider::operator=(
        const std::unique_ptr<DocumentSymbolOptions> &documentSymbolOptions
    ) -> ServerCapabilities_documentSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_documentSymbolProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentSymbolOptions) {
            throw std::logic_error(
                "null passed as the value of documentSymbolOptions"
            );
        }
#endif // DEBUG
        new (&_documentSymbolOptions) std::unique_ptr<DocumentSymbolOptions> {
            std::make_unique<DocumentSymbolOptions>(*documentSymbolOptions)
        };
        _type =
            ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions;
        return *this;
    }

    auto ServerCapabilities_documentSymbolProvider::operator=(
        std::unique_ptr<DocumentSymbolOptions> &&documentSymbolOptions
    ) -> ServerCapabilities_documentSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_documentSymbolProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentSymbolOptions) {
            throw std::logic_error(
                "null passed as the value of documentSymbolOptions"
            );
        }
#endif // DEBUG
        new (&_documentSymbolOptions) std::unique_ptr<DocumentSymbolOptions> {
            std::move(documentSymbolOptions)
        };
        _type =
            ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions;
        return *this;
    }

    auto ServerCapabilities_documentSymbolProvider::operator=(
        const DocumentSymbolOptions &documentSymbolOptions
    ) -> ServerCapabilities_documentSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_documentSymbolProviderType::Uninitialized) {
            reset();
        }
        new (&_documentSymbolOptions) std::unique_ptr<DocumentSymbolOptions> {
            std::make_unique<DocumentSymbolOptions>(documentSymbolOptions)
        };
        _type =
            ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions;
        return *this;
    }

    auto ServerCapabilities_documentSymbolProvider::operator=(
        DocumentSymbolOptions &&documentSymbolOptions
    ) -> ServerCapabilities_documentSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_documentSymbolProviderType::Uninitialized) {
            reset();
        }
        new (&_documentSymbolOptions) std::unique_ptr<DocumentSymbolOptions> {
            std::make_unique<DocumentSymbolOptions>(std::move(documentSymbolOptions))
        };
        _type =
            ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions;
        return *this;
    }

    CodeActionOptions::CodeActionOptions()
    {
        // empty
    }

    CodeActionOptions::CodeActionOptions(CodeActionOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , codeActionKinds(std::move(other.codeActionKinds))
        , resolveProvider(std::move(other.resolveProvider))
    {
        // empty
    }

    CodeActionOptions::CodeActionOptions(const CodeActionOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.codeActionKinds.has_value()) {
            auto &array_0 = codeActionKinds.emplace();
            const auto &array_1 = other.codeActionKinds.value();
            array_0 = array_1;
        }
        if (other.resolveProvider.has_value()) {
            resolveProvider = other.resolveProvider.value();
        }
    }

    CodeActionOptions::~CodeActionOptions()
    {
        // empty
    }

    auto CodeActionOptions::operator=(
        CodeActionOptions &&other
    ) -> CodeActionOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            codeActionKinds = std::move(other.codeActionKinds);
            resolveProvider = std::move(other.resolveProvider);
        }
        return *this;
    }

    auto CodeActionOptions::operator=(
        const CodeActionOptions &other
    ) -> CodeActionOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.codeActionKinds.has_value()) {
                auto &array_0 = codeActionKinds.emplace();
                const auto &array_1 = other.codeActionKinds.value();
                array_0 = array_1;
            }
            if (other.resolveProvider.has_value()) {
                resolveProvider = other.resolveProvider.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_codeActionProviderType, std::string>
    ServerCapabilities_codeActionProviderTypeNames = {
        {ServerCapabilities_codeActionProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_codeActionProviderType::Boolean, "Boolean"},
        {ServerCapabilities_codeActionProviderType::CodeActionOptions,
         "CodeActionOptions"},
    };

    ServerCapabilities_codeActionProvider::ServerCapabilities_codeActionProvider()
    {
        // empty
    }

    ServerCapabilities_codeActionProvider::~ServerCapabilities_codeActionProvider()
    {
        reset();
    }

    ServerCapabilities_codeActionProvider::ServerCapabilities_codeActionProvider(
        ServerCapabilities_codeActionProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_codeActionProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_codeActionProviderType::CodeActionOptions: {
            new (&_codeActionOptions) std::unique_ptr<CodeActionOptions> {
                std::move(other._codeActionOptions)
            };
            break;
        }
        case ServerCapabilities_codeActionProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_codeActionProviderType::Uninitialized;
    }

    ServerCapabilities_codeActionProvider::ServerCapabilities_codeActionProvider(
        const ServerCapabilities_codeActionProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_codeActionProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_codeActionProviderType::CodeActionOptions: {
            new (&_codeActionOptions) std::unique_ptr<CodeActionOptions> {
                std::make_unique<CodeActionOptions>(*other._codeActionOptions)
            };
            break;
        }
        case ServerCapabilities_codeActionProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_codeActionProvider::operator=(
        ServerCapabilities_codeActionProvider &&other
    ) -> ServerCapabilities_codeActionProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_codeActionProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_codeActionProviderType::CodeActionOptions: {
                new (&_codeActionOptions) std::unique_ptr<CodeActionOptions> {
                    std::move(other._codeActionOptions)
                };
                break;
            }
            case ServerCapabilities_codeActionProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_codeActionProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_codeActionProvider::operator=(
        const ServerCapabilities_codeActionProvider &other
    ) -> ServerCapabilities_codeActionProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_codeActionProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_codeActionProviderType::CodeActionOptions: {
                new (&_codeActionOptions) std::unique_ptr<CodeActionOptions> {
                    std::make_unique<CodeActionOptions>(*other._codeActionOptions)
                };
                break;
            }
            case ServerCapabilities_codeActionProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_codeActionProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_codeActionProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_codeActionProviderType::CodeActionOptions: {
#ifdef DEBUG
            if (!_codeActionOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _codeActionOptions"
                );
            }
#endif // DEBUG
            _codeActionOptions.~unique_ptr<CodeActionOptions>();
            _type = ServerCapabilities_codeActionProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_codeActionProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_codeActionProvider::type() const
    -> const ServerCapabilities_codeActionProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_codeActionProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_codeActionProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_codeActionProvider::boolean()"
                 " of type "
                 "ServerCapabilities_codeActionProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_codeActionProviderType::" +
                 ServerCapabilities_codeActionProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_codeActionProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_codeActionProvider &
    {
        if (_type !=
                ServerCapabilities_codeActionProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_codeActionProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_codeActionProvider::codeActionOptions() const
    -> const CodeActionOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_codeActionProviderType::CodeActionOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_codeActionProvider::codeActionOptions()"
                 " of type "
                 "ServerCapabilities_codeActionProviderType::CodeActionOptions"
                 " while active type is "
                 "ServerCapabilities_codeActionProviderType::" +
                 ServerCapabilities_codeActionProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_codeActionOptions;
    }

    auto ServerCapabilities_codeActionProvider::operator=(
        const std::unique_ptr<CodeActionOptions> &codeActionOptions
    ) -> ServerCapabilities_codeActionProvider &
    {
        if (_type !=
                ServerCapabilities_codeActionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!codeActionOptions) {
            throw std::logic_error(
                "null passed as the value of codeActionOptions"
            );
        }
#endif // DEBUG
        new (&_codeActionOptions) std::unique_ptr<CodeActionOptions> {
            std::make_unique<CodeActionOptions>(*codeActionOptions)
        };
        _type = ServerCapabilities_codeActionProviderType::CodeActionOptions;
        return *this;
    }

    auto ServerCapabilities_codeActionProvider::operator=(
        std::unique_ptr<CodeActionOptions> &&codeActionOptions
    ) -> ServerCapabilities_codeActionProvider &
    {
        if (_type !=
                ServerCapabilities_codeActionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!codeActionOptions) {
            throw std::logic_error(
                "null passed as the value of codeActionOptions"
            );
        }
#endif // DEBUG
        new (&_codeActionOptions) std::unique_ptr<CodeActionOptions> {
            std::move(codeActionOptions)
        };
        _type = ServerCapabilities_codeActionProviderType::CodeActionOptions;
        return *this;
    }

    auto ServerCapabilities_codeActionProvider::operator=(
        const CodeActionOptions &codeActionOptions
    ) -> ServerCapabilities_codeActionProvider &
    {
        if (_type !=
                ServerCapabilities_codeActionProviderType::Uninitialized) {
            reset();
        }
        new (&_codeActionOptions) std::unique_ptr<CodeActionOptions> {
            std::make_unique<CodeActionOptions>(codeActionOptions)
        };
        _type = ServerCapabilities_codeActionProviderType::CodeActionOptions;
        return *this;
    }

    auto ServerCapabilities_codeActionProvider::operator=(
        CodeActionOptions &&codeActionOptions
    ) -> ServerCapabilities_codeActionProvider &
    {
        if (_type !=
                ServerCapabilities_codeActionProviderType::Uninitialized) {
            reset();
        }
        new (&_codeActionOptions) std::unique_ptr<CodeActionOptions> {
            std::make_unique<CodeActionOptions>(std::move(codeActionOptions))
        };
        _type = ServerCapabilities_codeActionProviderType::CodeActionOptions;
        return *this;
    }

    WorkspaceSymbolOptions::WorkspaceSymbolOptions()
    {
        // empty
    }

    WorkspaceSymbolOptions::WorkspaceSymbolOptions(
        WorkspaceSymbolOptions &&other
    )
        : workDoneProgress(std::move(other.workDoneProgress))
        , resolveProvider(std::move(other.resolveProvider))
    {
        // empty
    }

    WorkspaceSymbolOptions::WorkspaceSymbolOptions(
        const WorkspaceSymbolOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.resolveProvider.has_value()) {
            resolveProvider = other.resolveProvider.value();
        }
    }

    WorkspaceSymbolOptions::~WorkspaceSymbolOptions()
    {
        // empty
    }

    auto WorkspaceSymbolOptions::operator=(
        WorkspaceSymbolOptions &&other
    ) -> WorkspaceSymbolOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            resolveProvider = std::move(other.resolveProvider);
        }
        return *this;
    }

    auto WorkspaceSymbolOptions::operator=(
        const WorkspaceSymbolOptions &other
    ) -> WorkspaceSymbolOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.resolveProvider.has_value()) {
                resolveProvider = other.resolveProvider.value();
            }
        }
        return *this;
    }

    WorkspaceSymbolRegistrationOptions::WorkspaceSymbolRegistrationOptions()
        : WorkspaceSymbolOptions()
    {
        // empty
    }

    WorkspaceSymbolRegistrationOptions::WorkspaceSymbolRegistrationOptions(
        WorkspaceSymbolRegistrationOptions &&other
    )
        : WorkspaceSymbolOptions(other)
    {
        // empty
    }

    WorkspaceSymbolRegistrationOptions::WorkspaceSymbolRegistrationOptions(
        const WorkspaceSymbolRegistrationOptions &other
    )
        : WorkspaceSymbolOptions(other)
    {
    }

    WorkspaceSymbolRegistrationOptions::~WorkspaceSymbolRegistrationOptions()
    {
        // empty
    }

    auto WorkspaceSymbolRegistrationOptions::operator=(
        WorkspaceSymbolRegistrationOptions &&other
    ) -> WorkspaceSymbolRegistrationOptions &
    {
        if (this != &other) {
            WorkspaceSymbolOptions::operator=(other);
        }
        return *this;
    }

    auto WorkspaceSymbolRegistrationOptions::operator=(
        const WorkspaceSymbolRegistrationOptions &other
    ) -> WorkspaceSymbolRegistrationOptions &
    {
        if (this != &other) {
            WorkspaceSymbolOptions::operator=(other);
        }
        return *this;
    }

    const std::map<ServerCapabilities_workspaceSymbolProviderType, std::string>
    ServerCapabilities_workspaceSymbolProviderTypeNames = {
        {ServerCapabilities_workspaceSymbolProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_workspaceSymbolProviderType::Boolean, "Boolean"},
        {ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions,
         "WorkspaceSymbolOptions"},
    };

    ServerCapabilities_workspaceSymbolProvider::ServerCapabilities_workspaceSymbolProvider()
    {
        // empty
    }

    ServerCapabilities_workspaceSymbolProvider::~ServerCapabilities_workspaceSymbolProvider()
    {
        reset();
    }

    ServerCapabilities_workspaceSymbolProvider::ServerCapabilities_workspaceSymbolProvider(
        ServerCapabilities_workspaceSymbolProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_workspaceSymbolProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions: {
            new (&_workspaceSymbolOptions) std::unique_ptr<WorkspaceSymbolOptions> {
                std::move(other._workspaceSymbolOptions)
            };
            break;
        }
        case ServerCapabilities_workspaceSymbolProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_workspaceSymbolProviderType::Uninitialized;
    }

    ServerCapabilities_workspaceSymbolProvider::ServerCapabilities_workspaceSymbolProvider(
        const ServerCapabilities_workspaceSymbolProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_workspaceSymbolProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions: {
            new (&_workspaceSymbolOptions) std::unique_ptr<WorkspaceSymbolOptions> {
                std::make_unique<WorkspaceSymbolOptions>(*other._workspaceSymbolOptions)
            };
            break;
        }
        case ServerCapabilities_workspaceSymbolProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_workspaceSymbolProvider::operator=(
        ServerCapabilities_workspaceSymbolProvider &&other
    ) -> ServerCapabilities_workspaceSymbolProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_workspaceSymbolProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions: {
                new (&_workspaceSymbolOptions) std::unique_ptr<WorkspaceSymbolOptions> {
                    std::move(other._workspaceSymbolOptions)
                };
                break;
            }
            case ServerCapabilities_workspaceSymbolProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_workspaceSymbolProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_workspaceSymbolProvider::operator=(
        const ServerCapabilities_workspaceSymbolProvider &other
    ) -> ServerCapabilities_workspaceSymbolProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_workspaceSymbolProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions: {
                new (&_workspaceSymbolOptions) std::unique_ptr<WorkspaceSymbolOptions> {
                    std::make_unique<WorkspaceSymbolOptions>(*other._workspaceSymbolOptions)
                };
                break;
            }
            case ServerCapabilities_workspaceSymbolProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_workspaceSymbolProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_workspaceSymbolProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions: {
#ifdef DEBUG
            if (!_workspaceSymbolOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceSymbolOptions"
                );
            }
#endif // DEBUG
            _workspaceSymbolOptions.~unique_ptr<WorkspaceSymbolOptions>();
            _type =
                ServerCapabilities_workspaceSymbolProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_workspaceSymbolProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_workspaceSymbolProvider::type() const
    -> const ServerCapabilities_workspaceSymbolProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_workspaceSymbolProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_workspaceSymbolProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_workspaceSymbolProvider::boolean()"
                 " of type "
                 "ServerCapabilities_workspaceSymbolProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_workspaceSymbolProviderType::" +
                 ServerCapabilities_workspaceSymbolProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_workspaceSymbolProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_workspaceSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_workspaceSymbolProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_workspaceSymbolProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_workspaceSymbolProvider::workspaceSymbolOptions() const
    -> const WorkspaceSymbolOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_workspaceSymbolProvider::workspaceSymbolOptions()"
                 " of type "
                 "ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions"
                 " while active type is "
                 "ServerCapabilities_workspaceSymbolProviderType::" +
                 ServerCapabilities_workspaceSymbolProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceSymbolOptions;
    }

    auto ServerCapabilities_workspaceSymbolProvider::operator=(
        const std::unique_ptr<WorkspaceSymbolOptions> &workspaceSymbolOptions
    ) -> ServerCapabilities_workspaceSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_workspaceSymbolProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceSymbolOptions) {
            throw std::logic_error(
                "null passed as the value of workspaceSymbolOptions"
            );
        }
#endif // DEBUG
        new (&_workspaceSymbolOptions) std::unique_ptr<WorkspaceSymbolOptions> {
            std::make_unique<WorkspaceSymbolOptions>(*workspaceSymbolOptions)
        };
        _type =
            ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions;
        return *this;
    }

    auto ServerCapabilities_workspaceSymbolProvider::operator=(
        std::unique_ptr<WorkspaceSymbolOptions> &&workspaceSymbolOptions
    ) -> ServerCapabilities_workspaceSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_workspaceSymbolProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceSymbolOptions) {
            throw std::logic_error(
                "null passed as the value of workspaceSymbolOptions"
            );
        }
#endif // DEBUG
        new (&_workspaceSymbolOptions) std::unique_ptr<WorkspaceSymbolOptions> {
            std::move(workspaceSymbolOptions)
        };
        _type =
            ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions;
        return *this;
    }

    auto ServerCapabilities_workspaceSymbolProvider::operator=(
        const WorkspaceSymbolOptions &workspaceSymbolOptions
    ) -> ServerCapabilities_workspaceSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_workspaceSymbolProviderType::Uninitialized) {
            reset();
        }
        new (&_workspaceSymbolOptions) std::unique_ptr<WorkspaceSymbolOptions> {
            std::make_unique<WorkspaceSymbolOptions>(workspaceSymbolOptions)
        };
        _type =
            ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions;
        return *this;
    }

    auto ServerCapabilities_workspaceSymbolProvider::operator=(
        WorkspaceSymbolOptions &&workspaceSymbolOptions
    ) -> ServerCapabilities_workspaceSymbolProvider &
    {
        if (_type !=
                ServerCapabilities_workspaceSymbolProviderType::Uninitialized) {
            reset();
        }
        new (&_workspaceSymbolOptions) std::unique_ptr<WorkspaceSymbolOptions> {
            std::make_unique<WorkspaceSymbolOptions>(std::move(workspaceSymbolOptions))
        };
        _type =
            ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions;
        return *this;
    }

    CodeLensOptions::CodeLensOptions()
    {
        // empty
    }

    CodeLensOptions::CodeLensOptions(CodeLensOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , resolveProvider(std::move(other.resolveProvider))
    {
        // empty
    }

    CodeLensOptions::CodeLensOptions(const CodeLensOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.resolveProvider.has_value()) {
            resolveProvider = other.resolveProvider.value();
        }
    }

    CodeLensOptions::~CodeLensOptions()
    {
        // empty
    }

    auto CodeLensOptions::operator=(
        CodeLensOptions &&other
    ) -> CodeLensOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            resolveProvider = std::move(other.resolveProvider);
        }
        return *this;
    }

    auto CodeLensOptions::operator=(
        const CodeLensOptions &other
    ) -> CodeLensOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.resolveProvider.has_value()) {
                resolveProvider = other.resolveProvider.value();
            }
        }
        return *this;
    }

    DocumentLinkOptions::DocumentLinkOptions()
    {
        // empty
    }

    DocumentLinkOptions::DocumentLinkOptions(DocumentLinkOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , resolveProvider(std::move(other.resolveProvider))
    {
        // empty
    }

    DocumentLinkOptions::DocumentLinkOptions(const DocumentLinkOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.resolveProvider.has_value()) {
            resolveProvider = other.resolveProvider.value();
        }
    }

    DocumentLinkOptions::~DocumentLinkOptions()
    {
        // empty
    }

    auto DocumentLinkOptions::operator=(
        DocumentLinkOptions &&other
    ) -> DocumentLinkOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            resolveProvider = std::move(other.resolveProvider);
        }
        return *this;
    }

    auto DocumentLinkOptions::operator=(
        const DocumentLinkOptions &other
    ) -> DocumentLinkOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.resolveProvider.has_value()) {
                resolveProvider = other.resolveProvider.value();
            }
        }
        return *this;
    }

    DocumentFormattingOptions::DocumentFormattingOptions()
    {
        // empty
    }

    DocumentFormattingOptions::DocumentFormattingOptions(
        DocumentFormattingOptions &&other
    )
        : workDoneProgress(std::move(other.workDoneProgress))
    {
        // empty
    }

    DocumentFormattingOptions::DocumentFormattingOptions(
        const DocumentFormattingOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
    }

    DocumentFormattingOptions::~DocumentFormattingOptions()
    {
        // empty
    }

    auto DocumentFormattingOptions::operator=(
        DocumentFormattingOptions &&other
    ) -> DocumentFormattingOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
        }
        return *this;
    }

    auto DocumentFormattingOptions::operator=(
        const DocumentFormattingOptions &other
    ) -> DocumentFormattingOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
        }
        return *this;
    }

    const std::map<
        ServerCapabilities_documentFormattingProviderType,
        std::string
    > ServerCapabilities_documentFormattingProviderTypeNames = {
        {ServerCapabilities_documentFormattingProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_documentFormattingProviderType::Boolean,
         "Boolean"},
        {ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions,
         "DocumentFormattingOptions"},
    };

    ServerCapabilities_documentFormattingProvider::ServerCapabilities_documentFormattingProvider()
    {
        // empty
    }

    ServerCapabilities_documentFormattingProvider::~ServerCapabilities_documentFormattingProvider()
    {
        reset();
    }

    ServerCapabilities_documentFormattingProvider::ServerCapabilities_documentFormattingProvider(
        ServerCapabilities_documentFormattingProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_documentFormattingProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions: {
            new (&_documentFormattingOptions) std::unique_ptr<DocumentFormattingOptions> {
                std::move(other._documentFormattingOptions)
            };
            break;
        }
        case ServerCapabilities_documentFormattingProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_documentFormattingProviderType::Uninitialized;
    }

    ServerCapabilities_documentFormattingProvider::ServerCapabilities_documentFormattingProvider(
        const ServerCapabilities_documentFormattingProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_documentFormattingProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions: {
            new (&_documentFormattingOptions) std::unique_ptr<DocumentFormattingOptions> {
                std::make_unique<DocumentFormattingOptions>(*other._documentFormattingOptions)
            };
            break;
        }
        case ServerCapabilities_documentFormattingProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_documentFormattingProvider::operator=(
        ServerCapabilities_documentFormattingProvider &&other
    ) -> ServerCapabilities_documentFormattingProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_documentFormattingProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions: {
                new (&_documentFormattingOptions) std::unique_ptr<DocumentFormattingOptions> {
                    std::move(other._documentFormattingOptions)
                };
                break;
            }
            case ServerCapabilities_documentFormattingProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_documentFormattingProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_documentFormattingProvider::operator=(
        const ServerCapabilities_documentFormattingProvider &other
    ) -> ServerCapabilities_documentFormattingProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_documentFormattingProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions: {
                new (&_documentFormattingOptions) std::unique_ptr<DocumentFormattingOptions> {
                    std::make_unique<DocumentFormattingOptions>(*other._documentFormattingOptions)
                };
                break;
            }
            case ServerCapabilities_documentFormattingProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_documentFormattingProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_documentFormattingProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions: {
#ifdef DEBUG
            if (!_documentFormattingOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentFormattingOptions"
                );
            }
#endif // DEBUG
            _documentFormattingOptions.~unique_ptr<DocumentFormattingOptions>();
            _type =
                ServerCapabilities_documentFormattingProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_documentFormattingProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_documentFormattingProvider::type() const
    -> const ServerCapabilities_documentFormattingProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_documentFormattingProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_documentFormattingProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_documentFormattingProvider::boolean()"
                 " of type "
                 "ServerCapabilities_documentFormattingProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_documentFormattingProviderType::" +
                 ServerCapabilities_documentFormattingProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_documentFormattingProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_documentFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentFormattingProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_documentFormattingProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_documentFormattingProvider::documentFormattingOptions() const
    -> const DocumentFormattingOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_documentFormattingProvider::documentFormattingOptions()"
                 " of type "
                 "ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions"
                 " while active type is "
                 "ServerCapabilities_documentFormattingProviderType::" +
                 ServerCapabilities_documentFormattingProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentFormattingOptions;
    }

    auto ServerCapabilities_documentFormattingProvider::operator=(
        const std::unique_ptr<DocumentFormattingOptions> &documentFormattingOptions
    ) -> ServerCapabilities_documentFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentFormattingProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentFormattingOptions) {
            throw std::logic_error(
                "null passed as the value of documentFormattingOptions"
            );
        }
#endif // DEBUG
        new (&_documentFormattingOptions) std::unique_ptr<DocumentFormattingOptions> {
            std::make_unique<DocumentFormattingOptions>(*documentFormattingOptions)
        };
        _type =
            ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions;
        return *this;
    }

    auto ServerCapabilities_documentFormattingProvider::operator=(
        std::unique_ptr<DocumentFormattingOptions> &&documentFormattingOptions
    ) -> ServerCapabilities_documentFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentFormattingProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentFormattingOptions) {
            throw std::logic_error(
                "null passed as the value of documentFormattingOptions"
            );
        }
#endif // DEBUG
        new (&_documentFormattingOptions) std::unique_ptr<DocumentFormattingOptions> {
            std::move(documentFormattingOptions)
        };
        _type =
            ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions;
        return *this;
    }

    auto ServerCapabilities_documentFormattingProvider::operator=(
        const DocumentFormattingOptions &documentFormattingOptions
    ) -> ServerCapabilities_documentFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentFormattingProviderType::Uninitialized) {
            reset();
        }
        new (&_documentFormattingOptions) std::unique_ptr<DocumentFormattingOptions> {
            std::make_unique<DocumentFormattingOptions>(documentFormattingOptions)
        };
        _type =
            ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions;
        return *this;
    }

    auto ServerCapabilities_documentFormattingProvider::operator=(
        DocumentFormattingOptions &&documentFormattingOptions
    ) -> ServerCapabilities_documentFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentFormattingProviderType::Uninitialized) {
            reset();
        }
        new (&_documentFormattingOptions) std::unique_ptr<DocumentFormattingOptions> {
            std::make_unique<DocumentFormattingOptions>(std::move(documentFormattingOptions))
        };
        _type =
            ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions;
        return *this;
    }

    DocumentRangeFormattingOptions::DocumentRangeFormattingOptions()
    {
        // empty
    }

    DocumentRangeFormattingOptions::DocumentRangeFormattingOptions(
        DocumentRangeFormattingOptions &&other
    )
        : workDoneProgress(std::move(other.workDoneProgress))
        , rangesSupport(std::move(other.rangesSupport))
    {
        // empty
    }

    DocumentRangeFormattingOptions::DocumentRangeFormattingOptions(
        const DocumentRangeFormattingOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.rangesSupport.has_value()) {
            rangesSupport = other.rangesSupport.value();
        }
    }

    DocumentRangeFormattingOptions::~DocumentRangeFormattingOptions()
    {
        // empty
    }

    auto DocumentRangeFormattingOptions::operator=(
        DocumentRangeFormattingOptions &&other
    ) -> DocumentRangeFormattingOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            rangesSupport = std::move(other.rangesSupport);
        }
        return *this;
    }

    auto DocumentRangeFormattingOptions::operator=(
        const DocumentRangeFormattingOptions &other
    ) -> DocumentRangeFormattingOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.rangesSupport.has_value()) {
                rangesSupport = other.rangesSupport.value();
            }
        }
        return *this;
    }

    const std::map<
        ServerCapabilities_documentRangeFormattingProviderType,
        std::string
    > ServerCapabilities_documentRangeFormattingProviderTypeNames = {
        {ServerCapabilities_documentRangeFormattingProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_documentRangeFormattingProviderType::Boolean,
         "Boolean"},
        {ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions,
         "DocumentRangeFormattingOptions"},
    };

    ServerCapabilities_documentRangeFormattingProvider::ServerCapabilities_documentRangeFormattingProvider()
    {
        // empty
    }

    ServerCapabilities_documentRangeFormattingProvider::~ServerCapabilities_documentRangeFormattingProvider()
    {
        reset();
    }

    ServerCapabilities_documentRangeFormattingProvider::ServerCapabilities_documentRangeFormattingProvider(
        ServerCapabilities_documentRangeFormattingProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_documentRangeFormattingProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions: {
            new (&_documentRangeFormattingOptions) std::unique_ptr<DocumentRangeFormattingOptions> {
                std::move(other._documentRangeFormattingOptions)
            };
            break;
        }
        case ServerCapabilities_documentRangeFormattingProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_documentRangeFormattingProviderType::Uninitialized;
    }

    ServerCapabilities_documentRangeFormattingProvider::ServerCapabilities_documentRangeFormattingProvider(
        const ServerCapabilities_documentRangeFormattingProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_documentRangeFormattingProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions: {
            new (&_documentRangeFormattingOptions) std::unique_ptr<DocumentRangeFormattingOptions> {
                std::make_unique<DocumentRangeFormattingOptions>(*other._documentRangeFormattingOptions)
            };
            break;
        }
        case ServerCapabilities_documentRangeFormattingProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_documentRangeFormattingProvider::operator=(
        ServerCapabilities_documentRangeFormattingProvider &&other
    ) -> ServerCapabilities_documentRangeFormattingProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_documentRangeFormattingProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions: {
                new (&_documentRangeFormattingOptions) std::unique_ptr<DocumentRangeFormattingOptions> {
                    std::move(other._documentRangeFormattingOptions)
                };
                break;
            }
            case ServerCapabilities_documentRangeFormattingProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_documentRangeFormattingProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_documentRangeFormattingProvider::operator=(
        const ServerCapabilities_documentRangeFormattingProvider &other
    ) -> ServerCapabilities_documentRangeFormattingProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_documentRangeFormattingProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions: {
                new (&_documentRangeFormattingOptions) std::unique_ptr<DocumentRangeFormattingOptions> {
                    std::make_unique<DocumentRangeFormattingOptions>(*other._documentRangeFormattingOptions)
                };
                break;
            }
            case ServerCapabilities_documentRangeFormattingProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_documentRangeFormattingProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_documentRangeFormattingProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions: {
#ifdef DEBUG
            if (!_documentRangeFormattingOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentRangeFormattingOptions"
                );
            }
#endif // DEBUG
            _documentRangeFormattingOptions.~unique_ptr<DocumentRangeFormattingOptions>();
            _type =
                ServerCapabilities_documentRangeFormattingProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_documentRangeFormattingProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_documentRangeFormattingProvider::type() const
    -> const ServerCapabilities_documentRangeFormattingProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_documentRangeFormattingProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_documentRangeFormattingProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_documentRangeFormattingProvider::boolean()"
                 " of type "
                 "ServerCapabilities_documentRangeFormattingProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_documentRangeFormattingProviderType::" +
                 ServerCapabilities_documentRangeFormattingProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_documentRangeFormattingProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_documentRangeFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentRangeFormattingProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type =
            ServerCapabilities_documentRangeFormattingProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_documentRangeFormattingProvider::documentRangeFormattingOptions() const
    -> const DocumentRangeFormattingOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_documentRangeFormattingProvider::documentRangeFormattingOptions()"
                 " of type "
                 "ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions"
                 " while active type is "
                 "ServerCapabilities_documentRangeFormattingProviderType::" +
                 ServerCapabilities_documentRangeFormattingProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentRangeFormattingOptions;
    }

    auto ServerCapabilities_documentRangeFormattingProvider::operator=(
        const std::unique_ptr<DocumentRangeFormattingOptions> &documentRangeFormattingOptions
    ) -> ServerCapabilities_documentRangeFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentRangeFormattingProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentRangeFormattingOptions) {
            throw std::logic_error(
                "null passed as the value of documentRangeFormattingOptions"
            );
        }
#endif // DEBUG
        new (&_documentRangeFormattingOptions) std::unique_ptr<DocumentRangeFormattingOptions> {
            std::make_unique<DocumentRangeFormattingOptions>(*documentRangeFormattingOptions)
        };
        _type =
            ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions;
        return *this;
    }

    auto ServerCapabilities_documentRangeFormattingProvider::operator=(
        std::unique_ptr<DocumentRangeFormattingOptions> &&documentRangeFormattingOptions
    ) -> ServerCapabilities_documentRangeFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentRangeFormattingProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentRangeFormattingOptions) {
            throw std::logic_error(
                "null passed as the value of documentRangeFormattingOptions"
            );
        }
#endif // DEBUG
        new (&_documentRangeFormattingOptions) std::unique_ptr<DocumentRangeFormattingOptions> {
            std::move(documentRangeFormattingOptions)
        };
        _type =
            ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions;
        return *this;
    }

    auto ServerCapabilities_documentRangeFormattingProvider::operator=(
        const DocumentRangeFormattingOptions &documentRangeFormattingOptions
    ) -> ServerCapabilities_documentRangeFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentRangeFormattingProviderType::Uninitialized) {
            reset();
        }
        new (&_documentRangeFormattingOptions) std::unique_ptr<DocumentRangeFormattingOptions> {
            std::make_unique<DocumentRangeFormattingOptions>(documentRangeFormattingOptions)
        };
        _type =
            ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions;
        return *this;
    }

    auto ServerCapabilities_documentRangeFormattingProvider::operator=(
        DocumentRangeFormattingOptions &&documentRangeFormattingOptions
    ) -> ServerCapabilities_documentRangeFormattingProvider &
    {
        if (_type !=
                ServerCapabilities_documentRangeFormattingProviderType::Uninitialized) {
            reset();
        }
        new (&_documentRangeFormattingOptions) std::unique_ptr<DocumentRangeFormattingOptions> {
            std::make_unique<DocumentRangeFormattingOptions>(std::move(documentRangeFormattingOptions))
        };
        _type =
            ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions;
        return *this;
    }

    RenameOptions::RenameOptions()
    {
        // empty
    }

    RenameOptions::RenameOptions(RenameOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , prepareProvider(std::move(other.prepareProvider))
    {
        // empty
    }

    RenameOptions::RenameOptions(const RenameOptions &other)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.prepareProvider.has_value()) {
            prepareProvider = other.prepareProvider.value();
        }
    }

    RenameOptions::~RenameOptions()
    {
        // empty
    }

    auto RenameOptions::operator=(RenameOptions &&other) -> RenameOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            prepareProvider = std::move(other.prepareProvider);
        }
        return *this;
    }

    auto RenameOptions::operator=(
        const RenameOptions &other
    ) -> RenameOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.prepareProvider.has_value()) {
                prepareProvider = other.prepareProvider.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_renameProviderType, std::string>
    ServerCapabilities_renameProviderTypeNames = {
        {ServerCapabilities_renameProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_renameProviderType::Boolean, "Boolean"},
        {ServerCapabilities_renameProviderType::RenameOptions,
         "RenameOptions"},
    };

    ServerCapabilities_renameProvider::ServerCapabilities_renameProvider()
    {
        // empty
    }

    ServerCapabilities_renameProvider::~ServerCapabilities_renameProvider()
    {
        reset();
    }

    ServerCapabilities_renameProvider::ServerCapabilities_renameProvider(
        ServerCapabilities_renameProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_renameProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_renameProviderType::RenameOptions: {
            new (&_renameOptions) std::unique_ptr<RenameOptions> {
                std::move(other._renameOptions)
            };
            break;
        }
        case ServerCapabilities_renameProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_renameProviderType::Uninitialized;
    }

    ServerCapabilities_renameProvider::ServerCapabilities_renameProvider(
        const ServerCapabilities_renameProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_renameProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_renameProviderType::RenameOptions: {
            new (&_renameOptions) std::unique_ptr<RenameOptions> {
                std::make_unique<RenameOptions>(*other._renameOptions)
            };
            break;
        }
        case ServerCapabilities_renameProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_renameProvider::operator=(
        ServerCapabilities_renameProvider &&other
    ) -> ServerCapabilities_renameProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_renameProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_renameProviderType::RenameOptions: {
                new (&_renameOptions) std::unique_ptr<RenameOptions> {
                    std::move(other._renameOptions)
                };
                break;
            }
            case ServerCapabilities_renameProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = ServerCapabilities_renameProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_renameProvider::operator=(
        const ServerCapabilities_renameProvider &other
    ) -> ServerCapabilities_renameProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_renameProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_renameProviderType::RenameOptions: {
                new (&_renameOptions) std::unique_ptr<RenameOptions> {
                    std::make_unique<RenameOptions>(*other._renameOptions)
                };
                break;
            }
            case ServerCapabilities_renameProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_renameProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_renameProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_renameProviderType::RenameOptions: {
#ifdef DEBUG
            if (!_renameOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _renameOptions"
                );
            }
#endif // DEBUG
            _renameOptions.~unique_ptr<RenameOptions>();
            _type = ServerCapabilities_renameProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_renameProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_renameProvider::type() const
    -> const ServerCapabilities_renameProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_renameProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_renameProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_renameProvider::boolean()"
                 " of type "
                 "ServerCapabilities_renameProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_renameProviderType::" +
                 ServerCapabilities_renameProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_renameProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_renameProvider &
    {
        if (_type != ServerCapabilities_renameProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_renameProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_renameProvider::renameOptions() const
    -> const RenameOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_renameProviderType::RenameOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_renameProvider::renameOptions()"
                 " of type "
                 "ServerCapabilities_renameProviderType::RenameOptions"
                 " while active type is "
                 "ServerCapabilities_renameProviderType::" +
                 ServerCapabilities_renameProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_renameOptions;
    }

    auto ServerCapabilities_renameProvider::operator=(
        const std::unique_ptr<RenameOptions> &renameOptions
    ) -> ServerCapabilities_renameProvider &
    {
        if (_type != ServerCapabilities_renameProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!renameOptions) {
            throw std::logic_error(
                "null passed as the value of renameOptions"
            );
        }
#endif // DEBUG
        new (&_renameOptions) std::unique_ptr<RenameOptions> {
            std::make_unique<RenameOptions>(*renameOptions)
        };
        _type = ServerCapabilities_renameProviderType::RenameOptions;
        return *this;
    }

    auto ServerCapabilities_renameProvider::operator=(
        std::unique_ptr<RenameOptions> &&renameOptions
    ) -> ServerCapabilities_renameProvider &
    {
        if (_type != ServerCapabilities_renameProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!renameOptions) {
            throw std::logic_error(
                "null passed as the value of renameOptions"
            );
        }
#endif // DEBUG
        new (&_renameOptions) std::unique_ptr<RenameOptions> {
            std::move(renameOptions)
        };
        _type = ServerCapabilities_renameProviderType::RenameOptions;
        return *this;
    }

    auto ServerCapabilities_renameProvider::operator=(
        const RenameOptions &renameOptions
    ) -> ServerCapabilities_renameProvider &
    {
        if (_type != ServerCapabilities_renameProviderType::Uninitialized) {
            reset();
        }
        new (&_renameOptions) std::unique_ptr<RenameOptions> {
            std::make_unique<RenameOptions>(renameOptions)
        };
        _type = ServerCapabilities_renameProviderType::RenameOptions;
        return *this;
    }

    auto ServerCapabilities_renameProvider::operator=(
        RenameOptions &&renameOptions
    ) -> ServerCapabilities_renameProvider &
    {
        if (_type != ServerCapabilities_renameProviderType::Uninitialized) {
            reset();
        }
        new (&_renameOptions) std::unique_ptr<RenameOptions> {
            std::make_unique<RenameOptions>(std::move(renameOptions))
        };
        _type = ServerCapabilities_renameProviderType::RenameOptions;
        return *this;
    }

    ExecuteCommandOptions::ExecuteCommandOptions()
    {
        // empty
    }

    ExecuteCommandOptions::ExecuteCommandOptions(ExecuteCommandOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , commands(std::move(other.commands))
    {
        // empty
    }

    ExecuteCommandOptions::ExecuteCommandOptions(
        const ExecuteCommandOptions &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        commands = other.commands;
    }

    ExecuteCommandOptions::~ExecuteCommandOptions()
    {
        // empty
    }

    auto ExecuteCommandOptions::operator=(
        ExecuteCommandOptions &&other
    ) -> ExecuteCommandOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            commands = std::move(other.commands);
        }
        return *this;
    }

    auto ExecuteCommandOptions::operator=(
        const ExecuteCommandOptions &other
    ) -> ExecuteCommandOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            commands = other.commands;
        }
        return *this;
    }

    ExecuteCommandRegistrationOptions::ExecuteCommandRegistrationOptions()
        : ExecuteCommandOptions()
    {
        // empty
    }

    ExecuteCommandRegistrationOptions::ExecuteCommandRegistrationOptions(
        ExecuteCommandRegistrationOptions &&other
    )
        : ExecuteCommandOptions(other)
    {
        // empty
    }

    ExecuteCommandRegistrationOptions::ExecuteCommandRegistrationOptions(
        const ExecuteCommandRegistrationOptions &other
    )
        : ExecuteCommandOptions(other)
    {
    }

    ExecuteCommandRegistrationOptions::~ExecuteCommandRegistrationOptions()
    {
        // empty
    }

    auto ExecuteCommandRegistrationOptions::operator=(
        ExecuteCommandRegistrationOptions &&other
    ) -> ExecuteCommandRegistrationOptions &
    {
        if (this != &other) {
            ExecuteCommandOptions::operator=(other);
        }
        return *this;
    }

    auto ExecuteCommandRegistrationOptions::operator=(
        const ExecuteCommandRegistrationOptions &other
    ) -> ExecuteCommandRegistrationOptions &
    {
        if (this != &other) {
            ExecuteCommandOptions::operator=(other);
        }
        return *this;
    }

    CreateFileOptions::CreateFileOptions()
    {
        // empty
    }

    CreateFileOptions::CreateFileOptions(CreateFileOptions &&other)
        : overwrite(std::move(other.overwrite))
        , ignoreIfExists(std::move(other.ignoreIfExists))
    {
        // empty
    }

    CreateFileOptions::CreateFileOptions(const CreateFileOptions &other)
    {
        if (other.overwrite.has_value()) {
            overwrite = other.overwrite.value();
        }
        if (other.ignoreIfExists.has_value()) {
            ignoreIfExists = other.ignoreIfExists.value();
        }
    }

    CreateFileOptions::~CreateFileOptions()
    {
        // empty
    }

    auto CreateFileOptions::operator=(
        CreateFileOptions &&other
    ) -> CreateFileOptions &
    {
        if (this != &other) {
            overwrite = std::move(other.overwrite);
            ignoreIfExists = std::move(other.ignoreIfExists);
        }
        return *this;
    }

    auto CreateFileOptions::operator=(
        const CreateFileOptions &other
    ) -> CreateFileOptions &
    {
        if (this != &other) {
            if (other.overwrite.has_value()) {
                overwrite = other.overwrite.value();
            }
            if (other.ignoreIfExists.has_value()) {
                ignoreIfExists = other.ignoreIfExists.value();
            }
        }
        return *this;
    }

    CreateFile::CreateFile()
        : ResourceOperation()
    {
        // empty
    }

    CreateFile::CreateFile(CreateFile &&other)
        : ResourceOperation(other)
        , kind(std::move(other.kind))
        , uri(std::move(other.uri))
        , options(std::move(other.options))
    {
        // empty
    }

    CreateFile::CreateFile(const CreateFile &other)
        : ResourceOperation(other)
        , uri(other.uri)
    {
        if (other.options.has_value()) {
            options = other.options.value();
        }
    }

    CreateFile::~CreateFile()
    {
        // empty
    }

    auto CreateFile::operator=(CreateFile &&other) -> CreateFile &
    {
        if (this != &other) {
            ResourceOperation::operator=(other);
            kind = std::move(other.kind);
            uri = std::move(other.uri);
            options = std::move(other.options);
        }
        return *this;
    }

    auto CreateFile::operator=(const CreateFile &other) -> CreateFile &
    {
        if (this != &other) {
            ResourceOperation::operator=(other);
            uri = other.uri;
            if (other.options.has_value()) {
                options = other.options.value();
            }
        }
        return *this;
    }

    RenameFileOptions::RenameFileOptions()
    {
        // empty
    }

    RenameFileOptions::RenameFileOptions(RenameFileOptions &&other)
        : overwrite(std::move(other.overwrite))
        , ignoreIfExists(std::move(other.ignoreIfExists))
    {
        // empty
    }

    RenameFileOptions::RenameFileOptions(const RenameFileOptions &other)
    {
        if (other.overwrite.has_value()) {
            overwrite = other.overwrite.value();
        }
        if (other.ignoreIfExists.has_value()) {
            ignoreIfExists = other.ignoreIfExists.value();
        }
    }

    RenameFileOptions::~RenameFileOptions()
    {
        // empty
    }

    auto RenameFileOptions::operator=(
        RenameFileOptions &&other
    ) -> RenameFileOptions &
    {
        if (this != &other) {
            overwrite = std::move(other.overwrite);
            ignoreIfExists = std::move(other.ignoreIfExists);
        }
        return *this;
    }

    auto RenameFileOptions::operator=(
        const RenameFileOptions &other
    ) -> RenameFileOptions &
    {
        if (this != &other) {
            if (other.overwrite.has_value()) {
                overwrite = other.overwrite.value();
            }
            if (other.ignoreIfExists.has_value()) {
                ignoreIfExists = other.ignoreIfExists.value();
            }
        }
        return *this;
    }

    RenameFile::RenameFile()
        : ResourceOperation()
    {
        // empty
    }

    RenameFile::RenameFile(RenameFile &&other)
        : ResourceOperation(other)
        , kind(std::move(other.kind))
        , oldUri(std::move(other.oldUri))
        , newUri(std::move(other.newUri))
        , options(std::move(other.options))
    {
        // empty
    }

    RenameFile::RenameFile(const RenameFile &other)
        : ResourceOperation(other)
        , oldUri(other.oldUri)
        , newUri(other.newUri)
    {
        if (other.options.has_value()) {
            options = other.options.value();
        }
    }

    RenameFile::~RenameFile()
    {
        // empty
    }

    auto RenameFile::operator=(RenameFile &&other) -> RenameFile &
    {
        if (this != &other) {
            ResourceOperation::operator=(other);
            kind = std::move(other.kind);
            oldUri = std::move(other.oldUri);
            newUri = std::move(other.newUri);
            options = std::move(other.options);
        }
        return *this;
    }

    auto RenameFile::operator=(const RenameFile &other) -> RenameFile &
    {
        if (this != &other) {
            ResourceOperation::operator=(other);
            oldUri = other.oldUri;
            newUri = other.newUri;
            if (other.options.has_value()) {
                options = other.options.value();
            }
        }
        return *this;
    }

    DeleteFileOptions::DeleteFileOptions()
    {
        // empty
    }

    DeleteFileOptions::DeleteFileOptions(DeleteFileOptions &&other)
        : recursive(std::move(other.recursive))
        , ignoreIfNotExists(std::move(other.ignoreIfNotExists))
    {
        // empty
    }

    DeleteFileOptions::DeleteFileOptions(const DeleteFileOptions &other)
    {
        if (other.recursive.has_value()) {
            recursive = other.recursive.value();
        }
        if (other.ignoreIfNotExists.has_value()) {
            ignoreIfNotExists = other.ignoreIfNotExists.value();
        }
    }

    DeleteFileOptions::~DeleteFileOptions()
    {
        // empty
    }

    auto DeleteFileOptions::operator=(
        DeleteFileOptions &&other
    ) -> DeleteFileOptions &
    {
        if (this != &other) {
            recursive = std::move(other.recursive);
            ignoreIfNotExists = std::move(other.ignoreIfNotExists);
        }
        return *this;
    }

    auto DeleteFileOptions::operator=(
        const DeleteFileOptions &other
    ) -> DeleteFileOptions &
    {
        if (this != &other) {
            if (other.recursive.has_value()) {
                recursive = other.recursive.value();
            }
            if (other.ignoreIfNotExists.has_value()) {
                ignoreIfNotExists = other.ignoreIfNotExists.value();
            }
        }
        return *this;
    }

    DeleteFile::DeleteFile()
        : ResourceOperation()
    {
        // empty
    }

    DeleteFile::DeleteFile(DeleteFile &&other)
        : ResourceOperation(other)
        , kind(std::move(other.kind))
        , uri(std::move(other.uri))
        , options(std::move(other.options))
    {
        // empty
    }

    DeleteFile::DeleteFile(const DeleteFile &other)
        : ResourceOperation(other)
        , uri(other.uri)
    {
        if (other.options.has_value()) {
            options = other.options.value();
        }
    }

    DeleteFile::~DeleteFile()
    {
        // empty
    }

    auto DeleteFile::operator=(DeleteFile &&other) -> DeleteFile &
    {
        if (this != &other) {
            ResourceOperation::operator=(other);
            kind = std::move(other.kind);
            uri = std::move(other.uri);
            options = std::move(other.options);
        }
        return *this;
    }

    auto DeleteFile::operator=(const DeleteFile &other) -> DeleteFile &
    {
        if (this != &other) {
            ResourceOperation::operator=(other);
            uri = other.uri;
            if (other.options.has_value()) {
                options = other.options.value();
            }
        }
        return *this;
    }

    const std::map<TextDocumentSyncOptions_saveType, std::string>
    TextDocumentSyncOptions_saveTypeNames = {
        {TextDocumentSyncOptions_saveType::Uninitialized, "Uninitialized"},
        {TextDocumentSyncOptions_saveType::Boolean, "Boolean"},
        {TextDocumentSyncOptions_saveType::SaveOptions, "SaveOptions"},
    };

    TextDocumentSyncOptions_save::TextDocumentSyncOptions_save()
    {
        // empty
    }

    TextDocumentSyncOptions_save::~TextDocumentSyncOptions_save()
    {
        reset();
    }

    TextDocumentSyncOptions_save::TextDocumentSyncOptions_save(
        TextDocumentSyncOptions_save &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentSyncOptions_saveType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case TextDocumentSyncOptions_saveType::SaveOptions: {
            new (&_saveOptions) std::unique_ptr<SaveOptions> {
                std::move(other._saveOptions)
            };
            break;
        }
        case TextDocumentSyncOptions_saveType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocumentSyncOptions_saveType::Uninitialized;
    }

    TextDocumentSyncOptions_save::TextDocumentSyncOptions_save(
        const TextDocumentSyncOptions_save &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentSyncOptions_saveType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case TextDocumentSyncOptions_saveType::SaveOptions: {
            new (&_saveOptions) std::unique_ptr<SaveOptions> {
                std::make_unique<SaveOptions>(*other._saveOptions)
            };
            break;
        }
        case TextDocumentSyncOptions_saveType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocumentSyncOptions_save::operator=(
        TextDocumentSyncOptions_save &&other
    ) -> TextDocumentSyncOptions_save &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentSyncOptions_saveType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case TextDocumentSyncOptions_saveType::SaveOptions: {
                new (&_saveOptions) std::unique_ptr<SaveOptions> {
                    std::move(other._saveOptions)
                };
                break;
            }
            case TextDocumentSyncOptions_saveType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocumentSyncOptions_saveType::Uninitialized;
        }
        return *this;
    }

    auto TextDocumentSyncOptions_save::operator=(
        const TextDocumentSyncOptions_save &other
    ) -> TextDocumentSyncOptions_save &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentSyncOptions_saveType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case TextDocumentSyncOptions_saveType::SaveOptions: {
                new (&_saveOptions) std::unique_ptr<SaveOptions> {
                    std::make_unique<SaveOptions>(*other._saveOptions)
                };
                break;
            }
            case TextDocumentSyncOptions_saveType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocumentSyncOptions_save::reset() -> void
    {
        switch (_type) {
        case TextDocumentSyncOptions_saveType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocumentSyncOptions_saveType::SaveOptions: {
#ifdef DEBUG
            if (!_saveOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _saveOptions"
                );
            }
#endif // DEBUG
            _saveOptions.~unique_ptr<SaveOptions>();
            _type = TextDocumentSyncOptions_saveType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocumentSyncOptions_saveType::Uninitialized;
        }
        }
    }

    auto TextDocumentSyncOptions_save::type() const
    -> const TextDocumentSyncOptions_saveType &
    {
        return _type;
    }

    auto TextDocumentSyncOptions_save::boolean() const -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != TextDocumentSyncOptions_saveType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentSyncOptions_save::boolean()"
                 " of type "
                 "TextDocumentSyncOptions_saveType::Boolean"
                 " while active type is "
                 "TextDocumentSyncOptions_saveType::" +
                 TextDocumentSyncOptions_saveTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto TextDocumentSyncOptions_save::operator=(
        boolean_t boolean
    ) -> TextDocumentSyncOptions_save &
    {
        if (_type != TextDocumentSyncOptions_saveType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = TextDocumentSyncOptions_saveType::Boolean;
        return *this;
    }

    auto TextDocumentSyncOptions_save::saveOptions() const
    -> const SaveOptions &
    {
#ifdef DEBUG
        if (_type != TextDocumentSyncOptions_saveType::SaveOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentSyncOptions_save::saveOptions()"
                 " of type "
                 "TextDocumentSyncOptions_saveType::SaveOptions"
                 " while active type is "
                 "TextDocumentSyncOptions_saveType::" +
                 TextDocumentSyncOptions_saveTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_saveOptions;
    }

    auto TextDocumentSyncOptions_save::operator=(
        const std::unique_ptr<SaveOptions> &saveOptions
    ) -> TextDocumentSyncOptions_save &
    {
        if (_type != TextDocumentSyncOptions_saveType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!saveOptions) {
            throw std::logic_error("null passed as the value of saveOptions");
        }
#endif // DEBUG
        new (&_saveOptions) std::unique_ptr<SaveOptions> {
            std::make_unique<SaveOptions>(*saveOptions)
        };
        _type = TextDocumentSyncOptions_saveType::SaveOptions;
        return *this;
    }

    auto TextDocumentSyncOptions_save::operator=(
        std::unique_ptr<SaveOptions> &&saveOptions
    ) -> TextDocumentSyncOptions_save &
    {
        if (_type != TextDocumentSyncOptions_saveType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!saveOptions) {
            throw std::logic_error("null passed as the value of saveOptions");
        }
#endif // DEBUG
        new (&_saveOptions) std::unique_ptr<SaveOptions> {
            std::move(saveOptions)
        };
        _type = TextDocumentSyncOptions_saveType::SaveOptions;
        return *this;
    }

    auto TextDocumentSyncOptions_save::operator=(
        const SaveOptions &saveOptions
    ) -> TextDocumentSyncOptions_save &
    {
        if (_type != TextDocumentSyncOptions_saveType::Uninitialized) {
            reset();
        }
        new (&_saveOptions) std::unique_ptr<SaveOptions> {
            std::make_unique<SaveOptions>(saveOptions)
        };
        _type = TextDocumentSyncOptions_saveType::SaveOptions;
        return *this;
    }

    auto TextDocumentSyncOptions_save::operator=(
        SaveOptions &&saveOptions
    ) -> TextDocumentSyncOptions_save &
    {
        if (_type != TextDocumentSyncOptions_saveType::Uninitialized) {
            reset();
        }
        new (&_saveOptions) std::unique_ptr<SaveOptions> {
            std::make_unique<SaveOptions>(std::move(saveOptions))
        };
        _type = TextDocumentSyncOptions_saveType::SaveOptions;
        return *this;
    }

    TextDocumentSyncOptions::TextDocumentSyncOptions()
    {
        // empty
    }

    TextDocumentSyncOptions::TextDocumentSyncOptions(
        TextDocumentSyncOptions &&other
    )
        : openClose(std::move(other.openClose))
        , change(std::move(other.change))
        , willSave(std::move(other.willSave))
        , willSaveWaitUntil(std::move(other.willSaveWaitUntil))
        , save(std::move(other.save))
    {
        // empty
    }

    TextDocumentSyncOptions::TextDocumentSyncOptions(
        const TextDocumentSyncOptions &other
    )
    {
        if (other.openClose.has_value()) {
            openClose = other.openClose.value();
        }
        if (other.change.has_value()) {
            change = other.change.value();
        }
        if (other.willSave.has_value()) {
            willSave = other.willSave.value();
        }
        if (other.willSaveWaitUntil.has_value()) {
            willSaveWaitUntil = other.willSaveWaitUntil.value();
        }
        if (other.save.has_value()) {
            save = other.save.value();
        }
    }

    TextDocumentSyncOptions::~TextDocumentSyncOptions()
    {
        // empty
    }

    auto TextDocumentSyncOptions::operator=(
        TextDocumentSyncOptions &&other
    ) -> TextDocumentSyncOptions &
    {
        if (this != &other) {
            openClose = std::move(other.openClose);
            change = std::move(other.change);
            willSave = std::move(other.willSave);
            willSaveWaitUntil = std::move(other.willSaveWaitUntil);
            save = std::move(other.save);
        }
        return *this;
    }

    auto TextDocumentSyncOptions::operator=(
        const TextDocumentSyncOptions &other
    ) -> TextDocumentSyncOptions &
    {
        if (this != &other) {
            if (other.openClose.has_value()) {
                openClose = other.openClose.value();
            }
            if (other.change.has_value()) {
                change = other.change.value();
            }
            if (other.willSave.has_value()) {
                willSave = other.willSave.value();
            }
            if (other.willSaveWaitUntil.has_value()) {
                willSaveWaitUntil = other.willSaveWaitUntil.value();
            }
            if (other.save.has_value()) {
                save = other.save.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_textDocumentSyncType, std::string>
    ServerCapabilities_textDocumentSyncTypeNames = {
        {ServerCapabilities_textDocumentSyncType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions,
         "TextDocumentSyncOptions"},
        {ServerCapabilities_textDocumentSyncType::TextDocumentSyncKind,
         "TextDocumentSyncKind"},
    };

    ServerCapabilities_textDocumentSync::ServerCapabilities_textDocumentSync()
    {
        // empty
    }

    ServerCapabilities_textDocumentSync::~ServerCapabilities_textDocumentSync()
    {
        reset();
    }

    ServerCapabilities_textDocumentSync::ServerCapabilities_textDocumentSync(
        ServerCapabilities_textDocumentSync &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions: {
            new (&_textDocumentSyncOptions) std::unique_ptr<TextDocumentSyncOptions> {
                std::move(other._textDocumentSyncOptions)
            };
            break;
        }
        case ServerCapabilities_textDocumentSyncType::TextDocumentSyncKind: {
            _textDocumentSyncKind = other._textDocumentSyncKind;
            break;
        }
        case ServerCapabilities_textDocumentSyncType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_textDocumentSyncType::Uninitialized;
    }

    ServerCapabilities_textDocumentSync::ServerCapabilities_textDocumentSync(
        const ServerCapabilities_textDocumentSync &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions: {
            new (&_textDocumentSyncOptions) std::unique_ptr<TextDocumentSyncOptions> {
                std::make_unique<TextDocumentSyncOptions>(*other._textDocumentSyncOptions)
            };
            break;
        }
        case ServerCapabilities_textDocumentSyncType::TextDocumentSyncKind: {
            _textDocumentSyncKind = other._textDocumentSyncKind;
            break;
        }
        case ServerCapabilities_textDocumentSyncType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_textDocumentSync::operator=(
        ServerCapabilities_textDocumentSync &&other
    ) -> ServerCapabilities_textDocumentSync &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions: {
                new (&_textDocumentSyncOptions) std::unique_ptr<TextDocumentSyncOptions> {
                    std::move(other._textDocumentSyncOptions)
                };
                break;
            }
            case ServerCapabilities_textDocumentSyncType::TextDocumentSyncKind: {
                _textDocumentSyncKind = other._textDocumentSyncKind;
                break;
            }
            case ServerCapabilities_textDocumentSyncType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_textDocumentSyncType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_textDocumentSync::operator=(
        const ServerCapabilities_textDocumentSync &other
    ) -> ServerCapabilities_textDocumentSync &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions: {
                new (&_textDocumentSyncOptions) std::unique_ptr<TextDocumentSyncOptions> {
                    std::make_unique<TextDocumentSyncOptions>(*other._textDocumentSyncOptions)
                };
                break;
            }
            case ServerCapabilities_textDocumentSyncType::TextDocumentSyncKind: {
                _textDocumentSyncKind = other._textDocumentSyncKind;
                break;
            }
            case ServerCapabilities_textDocumentSyncType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_textDocumentSync::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_textDocumentSyncType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions: {
#ifdef DEBUG
            if (!_textDocumentSyncOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textDocumentSyncOptions"
                );
            }
#endif // DEBUG
            _textDocumentSyncOptions.~unique_ptr<TextDocumentSyncOptions>();
            _type = ServerCapabilities_textDocumentSyncType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_textDocumentSyncType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_textDocumentSync::type() const
    -> const ServerCapabilities_textDocumentSyncType &
    {
        return _type;
    }

    auto ServerCapabilities_textDocumentSync::textDocumentSyncOptions() const
    -> const TextDocumentSyncOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_textDocumentSync::textDocumentSyncOptions()"
                 " of type "
                 "ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions"
                 " while active type is "
                 "ServerCapabilities_textDocumentSyncType::" +
                 ServerCapabilities_textDocumentSyncTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textDocumentSyncOptions;
    }

    auto ServerCapabilities_textDocumentSync::operator=(
        const std::unique_ptr<TextDocumentSyncOptions> &textDocumentSyncOptions
    ) -> ServerCapabilities_textDocumentSync &
    {
        if (_type != ServerCapabilities_textDocumentSyncType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentSyncOptions) {
            throw std::logic_error(
                "null passed as the value of textDocumentSyncOptions"
            );
        }
#endif // DEBUG
        new (&_textDocumentSyncOptions) std::unique_ptr<TextDocumentSyncOptions> {
            std::make_unique<TextDocumentSyncOptions>(*textDocumentSyncOptions)
        };
        _type =
            ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions;
        return *this;
    }

    auto ServerCapabilities_textDocumentSync::operator=(
        std::unique_ptr<TextDocumentSyncOptions> &&textDocumentSyncOptions
    ) -> ServerCapabilities_textDocumentSync &
    {
        if (_type != ServerCapabilities_textDocumentSyncType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentSyncOptions) {
            throw std::logic_error(
                "null passed as the value of textDocumentSyncOptions"
            );
        }
#endif // DEBUG
        new (&_textDocumentSyncOptions) std::unique_ptr<TextDocumentSyncOptions> {
            std::move(textDocumentSyncOptions)
        };
        _type =
            ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions;
        return *this;
    }

    auto ServerCapabilities_textDocumentSync::operator=(
        const TextDocumentSyncOptions &textDocumentSyncOptions
    ) -> ServerCapabilities_textDocumentSync &
    {
        if (_type != ServerCapabilities_textDocumentSyncType::Uninitialized) {
            reset();
        }
        new (&_textDocumentSyncOptions) std::unique_ptr<TextDocumentSyncOptions> {
            std::make_unique<TextDocumentSyncOptions>(textDocumentSyncOptions)
        };
        _type =
            ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions;
        return *this;
    }

    auto ServerCapabilities_textDocumentSync::operator=(
        TextDocumentSyncOptions &&textDocumentSyncOptions
    ) -> ServerCapabilities_textDocumentSync &
    {
        if (_type != ServerCapabilities_textDocumentSyncType::Uninitialized) {
            reset();
        }
        new (&_textDocumentSyncOptions) std::unique_ptr<TextDocumentSyncOptions> {
            std::make_unique<TextDocumentSyncOptions>(std::move(textDocumentSyncOptions))
        };
        _type =
            ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions;
        return *this;
    }

    auto ServerCapabilities_textDocumentSync::textDocumentSyncKind() const
    -> const TextDocumentSyncKind &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_textDocumentSyncType::TextDocumentSyncKind) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_textDocumentSync::textDocumentSyncKind()"
                 " of type "
                 "ServerCapabilities_textDocumentSyncType::TextDocumentSyncKind"
                 " while active type is "
                 "ServerCapabilities_textDocumentSyncType::" +
                 ServerCapabilities_textDocumentSyncTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _textDocumentSyncKind;
    }

    auto ServerCapabilities_textDocumentSync::operator=(
        TextDocumentSyncKind textDocumentSyncKind
    ) -> ServerCapabilities_textDocumentSync &
    {
        if (_type != ServerCapabilities_textDocumentSyncType::Uninitialized) {
            reset();
        }
        _textDocumentSyncKind = textDocumentSyncKind;
        _type = ServerCapabilities_textDocumentSyncType::TextDocumentSyncKind;
        return *this;
    }

    NotebookDocumentSyncOptions::NotebookDocumentSyncOptions()
    {
        // empty
    }

    NotebookDocumentSyncOptions::NotebookDocumentSyncOptions(
        NotebookDocumentSyncOptions &&other
    )
        : notebookSelector(std::move(other.notebookSelector))
        , save(std::move(other.save))
    {
        // empty
    }

    NotebookDocumentSyncOptions::NotebookDocumentSyncOptions(
        const NotebookDocumentSyncOptions &other
    )
    {
        notebookSelector = other.notebookSelector;
        if (other.save.has_value()) {
            save = other.save.value();
        }
    }

    NotebookDocumentSyncOptions::~NotebookDocumentSyncOptions()
    {
        // empty
    }

    auto NotebookDocumentSyncOptions::operator=(
        NotebookDocumentSyncOptions &&other
    ) -> NotebookDocumentSyncOptions &
    {
        if (this != &other) {
            notebookSelector = std::move(other.notebookSelector);
            save = std::move(other.save);
        }
        return *this;
    }

    auto NotebookDocumentSyncOptions::operator=(
        const NotebookDocumentSyncOptions &other
    ) -> NotebookDocumentSyncOptions &
    {
        if (this != &other) {
            notebookSelector = other.notebookSelector;
            if (other.save.has_value()) {
                save = other.save.value();
            }
        }
        return *this;
    }

    NotebookDocumentSyncRegistrationOptions::NotebookDocumentSyncRegistrationOptions()
        : NotebookDocumentSyncOptions()
    {
        // empty
    }

    NotebookDocumentSyncRegistrationOptions::NotebookDocumentSyncRegistrationOptions(
        NotebookDocumentSyncRegistrationOptions &&other
    )
        : NotebookDocumentSyncOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    NotebookDocumentSyncRegistrationOptions::NotebookDocumentSyncRegistrationOptions(
        const NotebookDocumentSyncRegistrationOptions &other
    )
        : NotebookDocumentSyncOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    NotebookDocumentSyncRegistrationOptions::~NotebookDocumentSyncRegistrationOptions()
    {
        // empty
    }

    auto NotebookDocumentSyncRegistrationOptions::operator=(
        NotebookDocumentSyncRegistrationOptions &&other
    ) -> NotebookDocumentSyncRegistrationOptions &
    {
        if (this != &other) {
            NotebookDocumentSyncOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto NotebookDocumentSyncRegistrationOptions::operator=(
        const NotebookDocumentSyncRegistrationOptions &other
    ) -> NotebookDocumentSyncRegistrationOptions &
    {
        if (this != &other) {
            NotebookDocumentSyncOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_notebookDocumentSyncType, std::string>
    ServerCapabilities_notebookDocumentSyncTypeNames = {
        {ServerCapabilities_notebookDocumentSyncType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions,
         "NotebookDocumentSyncOptions"},
        {ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions,
         "NotebookDocumentSyncRegistrationOptions"},
    };

    ServerCapabilities_notebookDocumentSync::ServerCapabilities_notebookDocumentSync()
    {
        // empty
    }

    ServerCapabilities_notebookDocumentSync::~ServerCapabilities_notebookDocumentSync()
    {
        reset();
    }

    ServerCapabilities_notebookDocumentSync::ServerCapabilities_notebookDocumentSync(
        ServerCapabilities_notebookDocumentSync &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions: {
            new (&_notebookDocumentSyncOptions) std::unique_ptr<NotebookDocumentSyncOptions> {
                std::move(other._notebookDocumentSyncOptions)
            };
            break;
        }
        case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions: {
            new (&_notebookDocumentSyncRegistrationOptions) std::unique_ptr<NotebookDocumentSyncRegistrationOptions> {
                std::move(other._notebookDocumentSyncRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_notebookDocumentSyncType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_notebookDocumentSyncType::Uninitialized;
    }

    ServerCapabilities_notebookDocumentSync::ServerCapabilities_notebookDocumentSync(
        const ServerCapabilities_notebookDocumentSync &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions: {
            new (&_notebookDocumentSyncOptions) std::unique_ptr<NotebookDocumentSyncOptions> {
                std::make_unique<NotebookDocumentSyncOptions>(*other._notebookDocumentSyncOptions)
            };
            break;
        }
        case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions: {
            new (&_notebookDocumentSyncRegistrationOptions) std::unique_ptr<NotebookDocumentSyncRegistrationOptions> {
                std::make_unique<NotebookDocumentSyncRegistrationOptions>(*other._notebookDocumentSyncRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_notebookDocumentSyncType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        ServerCapabilities_notebookDocumentSync &&other
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions: {
                new (&_notebookDocumentSyncOptions) std::unique_ptr<NotebookDocumentSyncOptions> {
                    std::move(other._notebookDocumentSyncOptions)
                };
                break;
            }
            case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions: {
                new (&_notebookDocumentSyncRegistrationOptions) std::unique_ptr<NotebookDocumentSyncRegistrationOptions> {
                    std::move(other._notebookDocumentSyncRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_notebookDocumentSyncType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_notebookDocumentSyncType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        const ServerCapabilities_notebookDocumentSync &other
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions: {
                new (&_notebookDocumentSyncOptions) std::unique_ptr<NotebookDocumentSyncOptions> {
                    std::make_unique<NotebookDocumentSyncOptions>(*other._notebookDocumentSyncOptions)
                };
                break;
            }
            case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions: {
                new (&_notebookDocumentSyncRegistrationOptions) std::unique_ptr<NotebookDocumentSyncRegistrationOptions> {
                    std::make_unique<NotebookDocumentSyncRegistrationOptions>(*other._notebookDocumentSyncRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_notebookDocumentSyncType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_notebookDocumentSync::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_notebookDocumentSyncType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions: {
#ifdef DEBUG
            if (!_notebookDocumentSyncOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentSyncOptions"
                );
            }
#endif // DEBUG
            _notebookDocumentSyncOptions.~unique_ptr<NotebookDocumentSyncOptions>();
            _type = ServerCapabilities_notebookDocumentSyncType::Uninitialized;
            break;
        }
        case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions: {
#ifdef DEBUG
            if (!_notebookDocumentSyncRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _notebookDocumentSyncRegistrationOptions"
                );
            }
#endif // DEBUG
            _notebookDocumentSyncRegistrationOptions.~unique_ptr<NotebookDocumentSyncRegistrationOptions>();
            _type = ServerCapabilities_notebookDocumentSyncType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_notebookDocumentSyncType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_notebookDocumentSync::type() const
    -> const ServerCapabilities_notebookDocumentSyncType &
    {
        return _type;
    }

    auto ServerCapabilities_notebookDocumentSync::notebookDocumentSyncOptions() const
    -> const NotebookDocumentSyncOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_notebookDocumentSync::notebookDocumentSyncOptions()"
                 " of type "
                 "ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions"
                 " while active type is "
                 "ServerCapabilities_notebookDocumentSyncType::" +
                 ServerCapabilities_notebookDocumentSyncTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentSyncOptions;
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        const std::unique_ptr<NotebookDocumentSyncOptions> &notebookDocumentSyncOptions
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (_type !=
                ServerCapabilities_notebookDocumentSyncType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentSyncOptions) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentSyncOptions"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentSyncOptions) std::unique_ptr<NotebookDocumentSyncOptions> {
            std::make_unique<NotebookDocumentSyncOptions>(*notebookDocumentSyncOptions)
        };
        _type =
            ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions;
        return *this;
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        std::unique_ptr<NotebookDocumentSyncOptions> &&notebookDocumentSyncOptions
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (_type !=
                ServerCapabilities_notebookDocumentSyncType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentSyncOptions) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentSyncOptions"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentSyncOptions) std::unique_ptr<NotebookDocumentSyncOptions> {
            std::move(notebookDocumentSyncOptions)
        };
        _type =
            ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions;
        return *this;
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        const NotebookDocumentSyncOptions &notebookDocumentSyncOptions
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (_type !=
                ServerCapabilities_notebookDocumentSyncType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentSyncOptions) std::unique_ptr<NotebookDocumentSyncOptions> {
            std::make_unique<NotebookDocumentSyncOptions>(notebookDocumentSyncOptions)
        };
        _type =
            ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions;
        return *this;
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        NotebookDocumentSyncOptions &&notebookDocumentSyncOptions
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (_type !=
                ServerCapabilities_notebookDocumentSyncType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentSyncOptions) std::unique_ptr<NotebookDocumentSyncOptions> {
            std::make_unique<NotebookDocumentSyncOptions>(std::move(notebookDocumentSyncOptions))
        };
        _type =
            ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions;
        return *this;
    }

    auto ServerCapabilities_notebookDocumentSync::notebookDocumentSyncRegistrationOptions() const
    -> const NotebookDocumentSyncRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_notebookDocumentSync::notebookDocumentSyncRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_notebookDocumentSyncType::" +
                 ServerCapabilities_notebookDocumentSyncTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_notebookDocumentSyncRegistrationOptions;
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        const std::unique_ptr<NotebookDocumentSyncRegistrationOptions> &notebookDocumentSyncRegistrationOptions
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (_type !=
                ServerCapabilities_notebookDocumentSyncType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentSyncRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentSyncRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentSyncRegistrationOptions) std::unique_ptr<NotebookDocumentSyncRegistrationOptions> {
            std::make_unique<NotebookDocumentSyncRegistrationOptions>(*notebookDocumentSyncRegistrationOptions)
        };
        _type =
            ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        std::unique_ptr<NotebookDocumentSyncRegistrationOptions> &&notebookDocumentSyncRegistrationOptions
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (_type !=
                ServerCapabilities_notebookDocumentSyncType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!notebookDocumentSyncRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of notebookDocumentSyncRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_notebookDocumentSyncRegistrationOptions) std::unique_ptr<NotebookDocumentSyncRegistrationOptions> {
            std::move(notebookDocumentSyncRegistrationOptions)
        };
        _type =
            ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        const NotebookDocumentSyncRegistrationOptions &notebookDocumentSyncRegistrationOptions
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (_type !=
                ServerCapabilities_notebookDocumentSyncType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentSyncRegistrationOptions) std::unique_ptr<NotebookDocumentSyncRegistrationOptions> {
            std::make_unique<NotebookDocumentSyncRegistrationOptions>(notebookDocumentSyncRegistrationOptions)
        };
        _type =
            ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_notebookDocumentSync::operator=(
        NotebookDocumentSyncRegistrationOptions &&notebookDocumentSyncRegistrationOptions
    ) -> ServerCapabilities_notebookDocumentSync &
    {
        if (_type !=
                ServerCapabilities_notebookDocumentSyncType::Uninitialized) {
            reset();
        }
        new (&_notebookDocumentSyncRegistrationOptions) std::unique_ptr<NotebookDocumentSyncRegistrationOptions> {
            std::make_unique<NotebookDocumentSyncRegistrationOptions>(std::move(notebookDocumentSyncRegistrationOptions))
        };
        _type =
            ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions;
        return *this;
    }

    const std::map<
        WorkspaceFoldersServerCapabilities_changeNotificationsType,
        std::string
    > WorkspaceFoldersServerCapabilities_changeNotificationsTypeNames = {
        {WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized,
         "Uninitialized"},
        {WorkspaceFoldersServerCapabilities_changeNotificationsType::String,
         "String"},
        {WorkspaceFoldersServerCapabilities_changeNotificationsType::Boolean,
         "Boolean"},
    };

    WorkspaceFoldersServerCapabilities_changeNotifications::WorkspaceFoldersServerCapabilities_changeNotifications()
    {
        // empty
    }

    WorkspaceFoldersServerCapabilities_changeNotifications::~WorkspaceFoldersServerCapabilities_changeNotifications()
    {
        reset();
    }

    WorkspaceFoldersServerCapabilities_changeNotifications::WorkspaceFoldersServerCapabilities_changeNotifications(
        WorkspaceFoldersServerCapabilities_changeNotifications &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized;
    }

    WorkspaceFoldersServerCapabilities_changeNotifications::WorkspaceFoldersServerCapabilities_changeNotifications(
        const WorkspaceFoldersServerCapabilities_changeNotifications &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::operator=(
        WorkspaceFoldersServerCapabilities_changeNotifications &&other
    ) -> WorkspaceFoldersServerCapabilities_changeNotifications &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceFoldersServerCapabilities_changeNotificationsType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case WorkspaceFoldersServerCapabilities_changeNotificationsType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized;
        }
        return *this;
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::operator=(
        const WorkspaceFoldersServerCapabilities_changeNotifications &other
    ) -> WorkspaceFoldersServerCapabilities_changeNotifications &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceFoldersServerCapabilities_changeNotificationsType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case WorkspaceFoldersServerCapabilities_changeNotificationsType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::reset()
    -> void
    {
        switch (_type) {
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized: {
            // nothing to do
            break;
        }
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type =
                WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized;
            break;
        }
        default: {
            _type = WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized;
        }
        }
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::type() const
    -> const WorkspaceFoldersServerCapabilities_changeNotificationsType &
    {
        return _type;
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::string() const
    -> const string_t &
    {
#ifdef DEBUG
        if (_type != WorkspaceFoldersServerCapabilities_changeNotificationsType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceFoldersServerCapabilities_changeNotifications::string()"
                 " of type "
                 "WorkspaceFoldersServerCapabilities_changeNotificationsType::String"
                 " while active type is "
                 "WorkspaceFoldersServerCapabilities_changeNotificationsType::" +
                 WorkspaceFoldersServerCapabilities_changeNotificationsTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::operator=(
        const std::unique_ptr<string_t> &string
    ) -> WorkspaceFoldersServerCapabilities_changeNotifications &
    {
        if (_type !=
                WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type =
            WorkspaceFoldersServerCapabilities_changeNotificationsType::String;
        return *this;
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::operator=(
        std::unique_ptr<string_t> &&string
    ) -> WorkspaceFoldersServerCapabilities_changeNotifications &
    {
        if (_type !=
                WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type =
            WorkspaceFoldersServerCapabilities_changeNotificationsType::String;
        return *this;
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::operator=(
        const string_t &string
    ) -> WorkspaceFoldersServerCapabilities_changeNotifications &
    {
        if (_type !=
                WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type =
            WorkspaceFoldersServerCapabilities_changeNotificationsType::String;
        return *this;
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::operator=(
        string_t &&string
    ) -> WorkspaceFoldersServerCapabilities_changeNotifications &
    {
        if (_type !=
                WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type =
            WorkspaceFoldersServerCapabilities_changeNotificationsType::String;
        return *this;
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != WorkspaceFoldersServerCapabilities_changeNotificationsType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceFoldersServerCapabilities_changeNotifications::boolean()"
                 " of type "
                 "WorkspaceFoldersServerCapabilities_changeNotificationsType::Boolean"
                 " while active type is "
                 "WorkspaceFoldersServerCapabilities_changeNotificationsType::" +
                 WorkspaceFoldersServerCapabilities_changeNotificationsTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto WorkspaceFoldersServerCapabilities_changeNotifications::operator=(
        boolean_t boolean
    ) -> WorkspaceFoldersServerCapabilities_changeNotifications &
    {
        if (_type !=
                WorkspaceFoldersServerCapabilities_changeNotificationsType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type =
            WorkspaceFoldersServerCapabilities_changeNotificationsType::Boolean;
        return *this;
    }

    WorkspaceFoldersServerCapabilities::WorkspaceFoldersServerCapabilities()
    {
        // empty
    }

    WorkspaceFoldersServerCapabilities::WorkspaceFoldersServerCapabilities(
        WorkspaceFoldersServerCapabilities &&other
    )
        : supported(std::move(other.supported))
        , changeNotifications(std::move(other.changeNotifications))
    {
        // empty
    }

    WorkspaceFoldersServerCapabilities::WorkspaceFoldersServerCapabilities(
        const WorkspaceFoldersServerCapabilities &other
    )
    {
        if (other.supported.has_value()) {
            supported = other.supported.value();
        }
        if (other.changeNotifications.has_value()) {
            changeNotifications = other.changeNotifications.value();
        }
    }

    WorkspaceFoldersServerCapabilities::~WorkspaceFoldersServerCapabilities()
    {
        // empty
    }

    auto WorkspaceFoldersServerCapabilities::operator=(
        WorkspaceFoldersServerCapabilities &&other
    ) -> WorkspaceFoldersServerCapabilities &
    {
        if (this != &other) {
            supported = std::move(other.supported);
            changeNotifications = std::move(other.changeNotifications);
        }
        return *this;
    }

    auto WorkspaceFoldersServerCapabilities::operator=(
        const WorkspaceFoldersServerCapabilities &other
    ) -> WorkspaceFoldersServerCapabilities &
    {
        if (this != &other) {
            if (other.supported.has_value()) {
                supported = other.supported.value();
            }
            if (other.changeNotifications.has_value()) {
                changeNotifications = other.changeNotifications.value();
            }
        }
        return *this;
    }

    FileOperationPatternOptions::FileOperationPatternOptions()
    {
        // empty
    }

    FileOperationPatternOptions::FileOperationPatternOptions(
        FileOperationPatternOptions &&other
    )
        : ignoreCase(std::move(other.ignoreCase))
    {
        // empty
    }

    FileOperationPatternOptions::FileOperationPatternOptions(
        const FileOperationPatternOptions &other
    )
    {
        if (other.ignoreCase.has_value()) {
            ignoreCase = other.ignoreCase.value();
        }
    }

    FileOperationPatternOptions::~FileOperationPatternOptions()
    {
        // empty
    }

    auto FileOperationPatternOptions::operator=(
        FileOperationPatternOptions &&other
    ) -> FileOperationPatternOptions &
    {
        if (this != &other) {
            ignoreCase = std::move(other.ignoreCase);
        }
        return *this;
    }

    auto FileOperationPatternOptions::operator=(
        const FileOperationPatternOptions &other
    ) -> FileOperationPatternOptions &
    {
        if (this != &other) {
            if (other.ignoreCase.has_value()) {
                ignoreCase = other.ignoreCase.value();
            }
        }
        return *this;
    }

    FileOperationPattern::FileOperationPattern()
    {
        // empty
    }

    FileOperationPattern::FileOperationPattern(FileOperationPattern &&other)
        : glob(std::move(other.glob))
        , matches(std::move(other.matches))
        , options(std::move(other.options))
    {
        // empty
    }

    FileOperationPattern::FileOperationPattern(
        const FileOperationPattern &other
    )
        : glob(other.glob)
    {
        if (other.matches.has_value()) {
            matches = other.matches.value();
        }
        if (other.options.has_value()) {
            options = other.options.value();
        }
    }

    FileOperationPattern::~FileOperationPattern()
    {
        // empty
    }

    auto FileOperationPattern::operator=(
        FileOperationPattern &&other
    ) -> FileOperationPattern &
    {
        if (this != &other) {
            glob = std::move(other.glob);
            matches = std::move(other.matches);
            options = std::move(other.options);
        }
        return *this;
    }

    auto FileOperationPattern::operator=(
        const FileOperationPattern &other
    ) -> FileOperationPattern &
    {
        if (this != &other) {
            glob = other.glob;
            if (other.matches.has_value()) {
                matches = other.matches.value();
            }
            if (other.options.has_value()) {
                options = other.options.value();
            }
        }
        return *this;
    }

    FileOperationFilter::FileOperationFilter()
    {
        // empty
    }

    FileOperationFilter::FileOperationFilter(FileOperationFilter &&other)
        : scheme(std::move(other.scheme))
        , pattern(std::move(other.pattern))
    {
        // empty
    }

    FileOperationFilter::FileOperationFilter(const FileOperationFilter &other)
        : pattern(other.pattern)
    {
        if (other.scheme.has_value()) {
            scheme = other.scheme.value();
        }
    }

    FileOperationFilter::~FileOperationFilter()
    {
        // empty
    }

    auto FileOperationFilter::operator=(
        FileOperationFilter &&other
    ) -> FileOperationFilter &
    {
        if (this != &other) {
            scheme = std::move(other.scheme);
            pattern = std::move(other.pattern);
        }
        return *this;
    }

    auto FileOperationFilter::operator=(
        const FileOperationFilter &other
    ) -> FileOperationFilter &
    {
        if (this != &other) {
            if (other.scheme.has_value()) {
                scheme = other.scheme.value();
            }
            pattern = other.pattern;
        }
        return *this;
    }

    FileOperationRegistrationOptions::FileOperationRegistrationOptions()
    {
        // empty
    }

    FileOperationRegistrationOptions::FileOperationRegistrationOptions(
        FileOperationRegistrationOptions &&other
    )
        : filters(std::move(other.filters))
    {
        // empty
    }

    FileOperationRegistrationOptions::FileOperationRegistrationOptions(
        const FileOperationRegistrationOptions &other
    )
    {
        filters.reserve(other.filters.size());
        for (const auto &elem_0 : other.filters) {
            filters.push_back(elem_0);
        }
    }

    FileOperationRegistrationOptions::~FileOperationRegistrationOptions()
    {
        // empty
    }

    auto FileOperationRegistrationOptions::operator=(
        FileOperationRegistrationOptions &&other
    ) -> FileOperationRegistrationOptions &
    {
        if (this != &other) {
            filters = std::move(other.filters);
        }
        return *this;
    }

    auto FileOperationRegistrationOptions::operator=(
        const FileOperationRegistrationOptions &other
    ) -> FileOperationRegistrationOptions &
    {
        if (this != &other) {
            filters.reserve(other.filters.size());
            for (const auto &elem_0 : other.filters) {
                filters.push_back(elem_0);
            }
        }
        return *this;
    }

    FileOperationOptions::FileOperationOptions()
    {
        // empty
    }

    FileOperationOptions::FileOperationOptions(FileOperationOptions &&other)
        : didCreate(std::move(other.didCreate))
        , willCreate(std::move(other.willCreate))
        , didRename(std::move(other.didRename))
        , willRename(std::move(other.willRename))
        , didDelete(std::move(other.didDelete))
        , willDelete(std::move(other.willDelete))
    {
        // empty
    }

    FileOperationOptions::FileOperationOptions(
        const FileOperationOptions &other
    )
    {
        if (other.didCreate.has_value()) {
            didCreate = other.didCreate.value();
        }
        if (other.willCreate.has_value()) {
            willCreate = other.willCreate.value();
        }
        if (other.didRename.has_value()) {
            didRename = other.didRename.value();
        }
        if (other.willRename.has_value()) {
            willRename = other.willRename.value();
        }
        if (other.didDelete.has_value()) {
            didDelete = other.didDelete.value();
        }
        if (other.willDelete.has_value()) {
            willDelete = other.willDelete.value();
        }
    }

    FileOperationOptions::~FileOperationOptions()
    {
        // empty
    }

    auto FileOperationOptions::operator=(
        FileOperationOptions &&other
    ) -> FileOperationOptions &
    {
        if (this != &other) {
            didCreate = std::move(other.didCreate);
            willCreate = std::move(other.willCreate);
            didRename = std::move(other.didRename);
            willRename = std::move(other.willRename);
            didDelete = std::move(other.didDelete);
            willDelete = std::move(other.willDelete);
        }
        return *this;
    }

    auto FileOperationOptions::operator=(
        const FileOperationOptions &other
    ) -> FileOperationOptions &
    {
        if (this != &other) {
            if (other.didCreate.has_value()) {
                didCreate = other.didCreate.value();
            }
            if (other.willCreate.has_value()) {
                willCreate = other.willCreate.value();
            }
            if (other.didRename.has_value()) {
                didRename = other.didRename.value();
            }
            if (other.willRename.has_value()) {
                willRename = other.willRename.value();
            }
            if (other.didDelete.has_value()) {
                didDelete = other.didDelete.value();
            }
            if (other.willDelete.has_value()) {
                willDelete = other.willDelete.value();
            }
        }
        return *this;
    }

    ServerCapabilities_workspace::ServerCapabilities_workspace()
    {
        // empty
    }

    ServerCapabilities_workspace::ServerCapabilities_workspace(
        ServerCapabilities_workspace &&other
    )
        : workspaceFolders(std::move(other.workspaceFolders))
        , fileOperations(std::move(other.fileOperations))
    {
        // empty
    }

    ServerCapabilities_workspace::ServerCapabilities_workspace(
        const ServerCapabilities_workspace &other
    )
    {
        if (other.workspaceFolders.has_value()) {
            workspaceFolders = other.workspaceFolders.value();
        }
        if (other.fileOperations.has_value()) {
            fileOperations = other.fileOperations.value();
        }
    }

    ServerCapabilities_workspace::~ServerCapabilities_workspace()
    {
        // empty
    }

    auto ServerCapabilities_workspace::operator=(
        ServerCapabilities_workspace &&other
    ) -> ServerCapabilities_workspace &
    {
        if (this != &other) {
            workspaceFolders = std::move(other.workspaceFolders);
            fileOperations = std::move(other.fileOperations);
        }
        return *this;
    }

    auto ServerCapabilities_workspace::operator=(
        const ServerCapabilities_workspace &other
    ) -> ServerCapabilities_workspace &
    {
        if (this != &other) {
            if (other.workspaceFolders.has_value()) {
                workspaceFolders = other.workspaceFolders.value();
            }
            if (other.fileOperations.has_value()) {
                fileOperations = other.fileOperations.value();
            }
        }
        return *this;
    }

    GeneralClientCapabilities_staleRequestSupport::GeneralClientCapabilities_staleRequestSupport()
    {
        // empty
    }

    GeneralClientCapabilities_staleRequestSupport::GeneralClientCapabilities_staleRequestSupport(
        GeneralClientCapabilities_staleRequestSupport &&other
    )
        : cancel(other.cancel)
        , retryOnContentModified(std::move(other.retryOnContentModified))
    {
        // empty
    }

    GeneralClientCapabilities_staleRequestSupport::GeneralClientCapabilities_staleRequestSupport(
        const GeneralClientCapabilities_staleRequestSupport &other
    )
        : cancel(other.cancel)
    {
        retryOnContentModified = other.retryOnContentModified;
    }

    GeneralClientCapabilities_staleRequestSupport::~GeneralClientCapabilities_staleRequestSupport()
    {
        // empty
    }

    auto GeneralClientCapabilities_staleRequestSupport::operator=(
        GeneralClientCapabilities_staleRequestSupport &&other
    ) -> GeneralClientCapabilities_staleRequestSupport &
    {
        if (this != &other) {
            cancel = other.cancel;
            retryOnContentModified = std::move(other.retryOnContentModified);
        }
        return *this;
    }

    auto GeneralClientCapabilities_staleRequestSupport::operator=(
        const GeneralClientCapabilities_staleRequestSupport &other
    ) -> GeneralClientCapabilities_staleRequestSupport &
    {
        if (this != &other) {
            cancel = other.cancel;
            retryOnContentModified = other.retryOnContentModified;
        }
        return *this;
    }

    GeneralClientCapabilities::GeneralClientCapabilities()
    {
        // empty
    }

    GeneralClientCapabilities::GeneralClientCapabilities(
        GeneralClientCapabilities &&other
    )
        : staleRequestSupport(std::move(other.staleRequestSupport))
        , regularExpressions(std::move(other.regularExpressions))
        , markdown(std::move(other.markdown))
        , positionEncodings(std::move(other.positionEncodings))
    {
        // empty
    }

    GeneralClientCapabilities::GeneralClientCapabilities(
        const GeneralClientCapabilities &other
    )
    {
        if (other.staleRequestSupport.has_value()) {
            staleRequestSupport = other.staleRequestSupport.value();
        }
        if (other.regularExpressions.has_value()) {
            regularExpressions = other.regularExpressions.value();
        }
        if (other.markdown.has_value()) {
            markdown = other.markdown.value();
        }
        if (other.positionEncodings.has_value()) {
            auto &array_0 = positionEncodings.emplace();
            const auto &array_1 = other.positionEncodings.value();
            array_0 = array_1;
        }
    }

    GeneralClientCapabilities::~GeneralClientCapabilities()
    {
        // empty
    }

    auto GeneralClientCapabilities::operator=(
        GeneralClientCapabilities &&other
    ) -> GeneralClientCapabilities &
    {
        if (this != &other) {
            staleRequestSupport = std::move(other.staleRequestSupport);
            regularExpressions = std::move(other.regularExpressions);
            markdown = std::move(other.markdown);
            positionEncodings = std::move(other.positionEncodings);
        }
        return *this;
    }

    auto GeneralClientCapabilities::operator=(
        const GeneralClientCapabilities &other
    ) -> GeneralClientCapabilities &
    {
        if (this != &other) {
            if (other.staleRequestSupport.has_value()) {
                staleRequestSupport = other.staleRequestSupport.value();
            }
            if (other.regularExpressions.has_value()) {
                regularExpressions = other.regularExpressions.value();
            }
            if (other.markdown.has_value()) {
                markdown = other.markdown.value();
            }
            if (other.positionEncodings.has_value()) {
                auto &array_0 = positionEncodings.emplace();
                const auto &array_1 = other.positionEncodings.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    WorkspaceEditClientCapabilities_changeAnnotationSupport::WorkspaceEditClientCapabilities_changeAnnotationSupport()
    {
        // empty
    }

    WorkspaceEditClientCapabilities_changeAnnotationSupport::WorkspaceEditClientCapabilities_changeAnnotationSupport(
        WorkspaceEditClientCapabilities_changeAnnotationSupport &&other
    )
        : groupsOnLabel(std::move(other.groupsOnLabel))
    {
        // empty
    }

    WorkspaceEditClientCapabilities_changeAnnotationSupport::WorkspaceEditClientCapabilities_changeAnnotationSupport(
        const WorkspaceEditClientCapabilities_changeAnnotationSupport &other
    )
    {
        if (other.groupsOnLabel.has_value()) {
            groupsOnLabel = other.groupsOnLabel.value();
        }
    }

    WorkspaceEditClientCapabilities_changeAnnotationSupport::~WorkspaceEditClientCapabilities_changeAnnotationSupport()
    {
        // empty
    }

    auto WorkspaceEditClientCapabilities_changeAnnotationSupport::operator=(
        WorkspaceEditClientCapabilities_changeAnnotationSupport &&other
    ) -> WorkspaceEditClientCapabilities_changeAnnotationSupport &
    {
        if (this != &other) {
            groupsOnLabel = std::move(other.groupsOnLabel);
        }
        return *this;
    }

    auto WorkspaceEditClientCapabilities_changeAnnotationSupport::operator=(
        const WorkspaceEditClientCapabilities_changeAnnotationSupport &other
    ) -> WorkspaceEditClientCapabilities_changeAnnotationSupport &
    {
        if (this != &other) {
            if (other.groupsOnLabel.has_value()) {
                groupsOnLabel = other.groupsOnLabel.value();
            }
        }
        return *this;
    }

    WorkspaceEditClientCapabilities::WorkspaceEditClientCapabilities()
    {
        // empty
    }

    WorkspaceEditClientCapabilities::WorkspaceEditClientCapabilities(
        WorkspaceEditClientCapabilities &&other
    )
        : documentChanges(std::move(other.documentChanges))
        , resourceOperations(std::move(other.resourceOperations))
        , failureHandling(std::move(other.failureHandling))
        , normalizesLineEndings(std::move(other.normalizesLineEndings))
        , changeAnnotationSupport(std::move(other.changeAnnotationSupport))
    {
        // empty
    }

    WorkspaceEditClientCapabilities::WorkspaceEditClientCapabilities(
        const WorkspaceEditClientCapabilities &other
    )
    {
        if (other.documentChanges.has_value()) {
            documentChanges = other.documentChanges.value();
        }
        if (other.resourceOperations.has_value()) {
            auto &array_0 = resourceOperations.emplace();
            const auto &array_1 = other.resourceOperations.value();
            array_0 = array_1;
        }
        if (other.failureHandling.has_value()) {
            failureHandling = other.failureHandling.value();
        }
        if (other.normalizesLineEndings.has_value()) {
            normalizesLineEndings = other.normalizesLineEndings.value();
        }
        if (other.changeAnnotationSupport.has_value()) {
            changeAnnotationSupport = other.changeAnnotationSupport.value();
        }
    }

    WorkspaceEditClientCapabilities::~WorkspaceEditClientCapabilities()
    {
        // empty
    }

    auto WorkspaceEditClientCapabilities::operator=(
        WorkspaceEditClientCapabilities &&other
    ) -> WorkspaceEditClientCapabilities &
    {
        if (this != &other) {
            documentChanges = std::move(other.documentChanges);
            resourceOperations = std::move(other.resourceOperations);
            failureHandling = std::move(other.failureHandling);
            normalizesLineEndings = std::move(other.normalizesLineEndings);
            changeAnnotationSupport = std::move(other.changeAnnotationSupport);
        }
        return *this;
    }

    auto WorkspaceEditClientCapabilities::operator=(
        const WorkspaceEditClientCapabilities &other
    ) -> WorkspaceEditClientCapabilities &
    {
        if (this != &other) {
            if (other.documentChanges.has_value()) {
                documentChanges = other.documentChanges.value();
            }
            if (other.resourceOperations.has_value()) {
                auto &array_0 = resourceOperations.emplace();
                const auto &array_1 = other.resourceOperations.value();
                array_0 = array_1;
            }
            if (other.failureHandling.has_value()) {
                failureHandling = other.failureHandling.value();
            }
            if (other.normalizesLineEndings.has_value()) {
                normalizesLineEndings = other.normalizesLineEndings.value();
            }
            if (other.changeAnnotationSupport.has_value()) {
                changeAnnotationSupport =
                    other.changeAnnotationSupport.value();
            }
        }
        return *this;
    }

    DidChangeConfigurationClientCapabilities::DidChangeConfigurationClientCapabilities()
    {
        // empty
    }

    DidChangeConfigurationClientCapabilities::DidChangeConfigurationClientCapabilities(
        DidChangeConfigurationClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    DidChangeConfigurationClientCapabilities::DidChangeConfigurationClientCapabilities(
        const DidChangeConfigurationClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    DidChangeConfigurationClientCapabilities::~DidChangeConfigurationClientCapabilities()
    {
        // empty
    }

    auto DidChangeConfigurationClientCapabilities::operator=(
        DidChangeConfigurationClientCapabilities &&other
    ) -> DidChangeConfigurationClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto DidChangeConfigurationClientCapabilities::operator=(
        const DidChangeConfigurationClientCapabilities &other
    ) -> DidChangeConfigurationClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    DidChangeWatchedFilesClientCapabilities::DidChangeWatchedFilesClientCapabilities()
    {
        // empty
    }

    DidChangeWatchedFilesClientCapabilities::DidChangeWatchedFilesClientCapabilities(
        DidChangeWatchedFilesClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , relativePatternSupport(std::move(other.relativePatternSupport))
    {
        // empty
    }

    DidChangeWatchedFilesClientCapabilities::DidChangeWatchedFilesClientCapabilities(
        const DidChangeWatchedFilesClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.relativePatternSupport.has_value()) {
            relativePatternSupport = other.relativePatternSupport.value();
        }
    }

    DidChangeWatchedFilesClientCapabilities::~DidChangeWatchedFilesClientCapabilities()
    {
        // empty
    }

    auto DidChangeWatchedFilesClientCapabilities::operator=(
        DidChangeWatchedFilesClientCapabilities &&other
    ) -> DidChangeWatchedFilesClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            relativePatternSupport = std::move(other.relativePatternSupport);
        }
        return *this;
    }

    auto DidChangeWatchedFilesClientCapabilities::operator=(
        const DidChangeWatchedFilesClientCapabilities &other
    ) -> DidChangeWatchedFilesClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.relativePatternSupport.has_value()) {
                relativePatternSupport = other.relativePatternSupport.value();
            }
        }
        return *this;
    }

    WorkspaceSymbolClientCapabilities::WorkspaceSymbolClientCapabilities()
    {
        // empty
    }

    WorkspaceSymbolClientCapabilities::WorkspaceSymbolClientCapabilities(
        WorkspaceSymbolClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , symbolKind(std::move(other.symbolKind))
        , tagSupport(std::move(other.tagSupport))
        , resolveSupport(std::move(other.resolveSupport))
    {
        // empty
    }

    WorkspaceSymbolClientCapabilities::WorkspaceSymbolClientCapabilities(
        const WorkspaceSymbolClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.symbolKind.has_value()) {
            symbolKind = other.symbolKind.value();
        }
        if (other.tagSupport.has_value()) {
            tagSupport = other.tagSupport.value();
        }
        if (other.resolveSupport.has_value()) {
            resolveSupport = other.resolveSupport.value();
        }
    }

    WorkspaceSymbolClientCapabilities::~WorkspaceSymbolClientCapabilities()
    {
        // empty
    }

    auto WorkspaceSymbolClientCapabilities::operator=(
        WorkspaceSymbolClientCapabilities &&other
    ) -> WorkspaceSymbolClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            symbolKind = std::move(other.symbolKind);
            tagSupport = std::move(other.tagSupport);
            resolveSupport = std::move(other.resolveSupport);
        }
        return *this;
    }

    auto WorkspaceSymbolClientCapabilities::operator=(
        const WorkspaceSymbolClientCapabilities &other
    ) -> WorkspaceSymbolClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.symbolKind.has_value()) {
                symbolKind = other.symbolKind.value();
            }
            if (other.tagSupport.has_value()) {
                tagSupport = other.tagSupport.value();
            }
            if (other.resolveSupport.has_value()) {
                resolveSupport = other.resolveSupport.value();
            }
        }
        return *this;
    }

    ExecuteCommandClientCapabilities::ExecuteCommandClientCapabilities()
    {
        // empty
    }

    ExecuteCommandClientCapabilities::ExecuteCommandClientCapabilities(
        ExecuteCommandClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    ExecuteCommandClientCapabilities::ExecuteCommandClientCapabilities(
        const ExecuteCommandClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    ExecuteCommandClientCapabilities::~ExecuteCommandClientCapabilities()
    {
        // empty
    }

    auto ExecuteCommandClientCapabilities::operator=(
        ExecuteCommandClientCapabilities &&other
    ) -> ExecuteCommandClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto ExecuteCommandClientCapabilities::operator=(
        const ExecuteCommandClientCapabilities &other
    ) -> ExecuteCommandClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    SemanticTokensWorkspaceClientCapabilities::SemanticTokensWorkspaceClientCapabilities()
    {
        // empty
    }

    SemanticTokensWorkspaceClientCapabilities::SemanticTokensWorkspaceClientCapabilities(
        SemanticTokensWorkspaceClientCapabilities &&other
    )
        : refreshSupport(std::move(other.refreshSupport))
    {
        // empty
    }

    SemanticTokensWorkspaceClientCapabilities::SemanticTokensWorkspaceClientCapabilities(
        const SemanticTokensWorkspaceClientCapabilities &other
    )
    {
        if (other.refreshSupport.has_value()) {
            refreshSupport = other.refreshSupport.value();
        }
    }

    SemanticTokensWorkspaceClientCapabilities::~SemanticTokensWorkspaceClientCapabilities()
    {
        // empty
    }

    auto SemanticTokensWorkspaceClientCapabilities::operator=(
        SemanticTokensWorkspaceClientCapabilities &&other
    ) -> SemanticTokensWorkspaceClientCapabilities &
    {
        if (this != &other) {
            refreshSupport = std::move(other.refreshSupport);
        }
        return *this;
    }

    auto SemanticTokensWorkspaceClientCapabilities::operator=(
        const SemanticTokensWorkspaceClientCapabilities &other
    ) -> SemanticTokensWorkspaceClientCapabilities &
    {
        if (this != &other) {
            if (other.refreshSupport.has_value()) {
                refreshSupport = other.refreshSupport.value();
            }
        }
        return *this;
    }

    CodeLensWorkspaceClientCapabilities::CodeLensWorkspaceClientCapabilities()
    {
        // empty
    }

    CodeLensWorkspaceClientCapabilities::CodeLensWorkspaceClientCapabilities(
        CodeLensWorkspaceClientCapabilities &&other
    )
        : refreshSupport(std::move(other.refreshSupport))
    {
        // empty
    }

    CodeLensWorkspaceClientCapabilities::CodeLensWorkspaceClientCapabilities(
        const CodeLensWorkspaceClientCapabilities &other
    )
    {
        if (other.refreshSupport.has_value()) {
            refreshSupport = other.refreshSupport.value();
        }
    }

    CodeLensWorkspaceClientCapabilities::~CodeLensWorkspaceClientCapabilities()
    {
        // empty
    }

    auto CodeLensWorkspaceClientCapabilities::operator=(
        CodeLensWorkspaceClientCapabilities &&other
    ) -> CodeLensWorkspaceClientCapabilities &
    {
        if (this != &other) {
            refreshSupport = std::move(other.refreshSupport);
        }
        return *this;
    }

    auto CodeLensWorkspaceClientCapabilities::operator=(
        const CodeLensWorkspaceClientCapabilities &other
    ) -> CodeLensWorkspaceClientCapabilities &
    {
        if (this != &other) {
            if (other.refreshSupport.has_value()) {
                refreshSupport = other.refreshSupport.value();
            }
        }
        return *this;
    }

    FileOperationClientCapabilities::FileOperationClientCapabilities()
    {
        // empty
    }

    FileOperationClientCapabilities::FileOperationClientCapabilities(
        FileOperationClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , didCreate(std::move(other.didCreate))
        , willCreate(std::move(other.willCreate))
        , didRename(std::move(other.didRename))
        , willRename(std::move(other.willRename))
        , didDelete(std::move(other.didDelete))
        , willDelete(std::move(other.willDelete))
    {
        // empty
    }

    FileOperationClientCapabilities::FileOperationClientCapabilities(
        const FileOperationClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.didCreate.has_value()) {
            didCreate = other.didCreate.value();
        }
        if (other.willCreate.has_value()) {
            willCreate = other.willCreate.value();
        }
        if (other.didRename.has_value()) {
            didRename = other.didRename.value();
        }
        if (other.willRename.has_value()) {
            willRename = other.willRename.value();
        }
        if (other.didDelete.has_value()) {
            didDelete = other.didDelete.value();
        }
        if (other.willDelete.has_value()) {
            willDelete = other.willDelete.value();
        }
    }

    FileOperationClientCapabilities::~FileOperationClientCapabilities()
    {
        // empty
    }

    auto FileOperationClientCapabilities::operator=(
        FileOperationClientCapabilities &&other
    ) -> FileOperationClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            didCreate = std::move(other.didCreate);
            willCreate = std::move(other.willCreate);
            didRename = std::move(other.didRename);
            willRename = std::move(other.willRename);
            didDelete = std::move(other.didDelete);
            willDelete = std::move(other.willDelete);
        }
        return *this;
    }

    auto FileOperationClientCapabilities::operator=(
        const FileOperationClientCapabilities &other
    ) -> FileOperationClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.didCreate.has_value()) {
                didCreate = other.didCreate.value();
            }
            if (other.willCreate.has_value()) {
                willCreate = other.willCreate.value();
            }
            if (other.didRename.has_value()) {
                didRename = other.didRename.value();
            }
            if (other.willRename.has_value()) {
                willRename = other.willRename.value();
            }
            if (other.didDelete.has_value()) {
                didDelete = other.didDelete.value();
            }
            if (other.willDelete.has_value()) {
                willDelete = other.willDelete.value();
            }
        }
        return *this;
    }

    InlineValueWorkspaceClientCapabilities::InlineValueWorkspaceClientCapabilities()
    {
        // empty
    }

    InlineValueWorkspaceClientCapabilities::InlineValueWorkspaceClientCapabilities(
        InlineValueWorkspaceClientCapabilities &&other
    )
        : refreshSupport(std::move(other.refreshSupport))
    {
        // empty
    }

    InlineValueWorkspaceClientCapabilities::InlineValueWorkspaceClientCapabilities(
        const InlineValueWorkspaceClientCapabilities &other
    )
    {
        if (other.refreshSupport.has_value()) {
            refreshSupport = other.refreshSupport.value();
        }
    }

    InlineValueWorkspaceClientCapabilities::~InlineValueWorkspaceClientCapabilities()
    {
        // empty
    }

    auto InlineValueWorkspaceClientCapabilities::operator=(
        InlineValueWorkspaceClientCapabilities &&other
    ) -> InlineValueWorkspaceClientCapabilities &
    {
        if (this != &other) {
            refreshSupport = std::move(other.refreshSupport);
        }
        return *this;
    }

    auto InlineValueWorkspaceClientCapabilities::operator=(
        const InlineValueWorkspaceClientCapabilities &other
    ) -> InlineValueWorkspaceClientCapabilities &
    {
        if (this != &other) {
            if (other.refreshSupport.has_value()) {
                refreshSupport = other.refreshSupport.value();
            }
        }
        return *this;
    }

    InlayHintWorkspaceClientCapabilities::InlayHintWorkspaceClientCapabilities()
    {
        // empty
    }

    InlayHintWorkspaceClientCapabilities::InlayHintWorkspaceClientCapabilities(
        InlayHintWorkspaceClientCapabilities &&other
    )
        : refreshSupport(std::move(other.refreshSupport))
    {
        // empty
    }

    InlayHintWorkspaceClientCapabilities::InlayHintWorkspaceClientCapabilities(
        const InlayHintWorkspaceClientCapabilities &other
    )
    {
        if (other.refreshSupport.has_value()) {
            refreshSupport = other.refreshSupport.value();
        }
    }

    InlayHintWorkspaceClientCapabilities::~InlayHintWorkspaceClientCapabilities()
    {
        // empty
    }

    auto InlayHintWorkspaceClientCapabilities::operator=(
        InlayHintWorkspaceClientCapabilities &&other
    ) -> InlayHintWorkspaceClientCapabilities &
    {
        if (this != &other) {
            refreshSupport = std::move(other.refreshSupport);
        }
        return *this;
    }

    auto InlayHintWorkspaceClientCapabilities::operator=(
        const InlayHintWorkspaceClientCapabilities &other
    ) -> InlayHintWorkspaceClientCapabilities &
    {
        if (this != &other) {
            if (other.refreshSupport.has_value()) {
                refreshSupport = other.refreshSupport.value();
            }
        }
        return *this;
    }

    DiagnosticWorkspaceClientCapabilities::DiagnosticWorkspaceClientCapabilities()
    {
        // empty
    }

    DiagnosticWorkspaceClientCapabilities::DiagnosticWorkspaceClientCapabilities(
        DiagnosticWorkspaceClientCapabilities &&other
    )
        : refreshSupport(std::move(other.refreshSupport))
    {
        // empty
    }

    DiagnosticWorkspaceClientCapabilities::DiagnosticWorkspaceClientCapabilities(
        const DiagnosticWorkspaceClientCapabilities &other
    )
    {
        if (other.refreshSupport.has_value()) {
            refreshSupport = other.refreshSupport.value();
        }
    }

    DiagnosticWorkspaceClientCapabilities::~DiagnosticWorkspaceClientCapabilities()
    {
        // empty
    }

    auto DiagnosticWorkspaceClientCapabilities::operator=(
        DiagnosticWorkspaceClientCapabilities &&other
    ) -> DiagnosticWorkspaceClientCapabilities &
    {
        if (this != &other) {
            refreshSupport = std::move(other.refreshSupport);
        }
        return *this;
    }

    auto DiagnosticWorkspaceClientCapabilities::operator=(
        const DiagnosticWorkspaceClientCapabilities &other
    ) -> DiagnosticWorkspaceClientCapabilities &
    {
        if (this != &other) {
            if (other.refreshSupport.has_value()) {
                refreshSupport = other.refreshSupport.value();
            }
        }
        return *this;
    }

    FoldingRangeWorkspaceClientCapabilities::FoldingRangeWorkspaceClientCapabilities()
    {
        // empty
    }

    FoldingRangeWorkspaceClientCapabilities::FoldingRangeWorkspaceClientCapabilities(
        FoldingRangeWorkspaceClientCapabilities &&other
    )
        : refreshSupport(std::move(other.refreshSupport))
    {
        // empty
    }

    FoldingRangeWorkspaceClientCapabilities::FoldingRangeWorkspaceClientCapabilities(
        const FoldingRangeWorkspaceClientCapabilities &other
    )
    {
        if (other.refreshSupport.has_value()) {
            refreshSupport = other.refreshSupport.value();
        }
    }

    FoldingRangeWorkspaceClientCapabilities::~FoldingRangeWorkspaceClientCapabilities()
    {
        // empty
    }

    auto FoldingRangeWorkspaceClientCapabilities::operator=(
        FoldingRangeWorkspaceClientCapabilities &&other
    ) -> FoldingRangeWorkspaceClientCapabilities &
    {
        if (this != &other) {
            refreshSupport = std::move(other.refreshSupport);
        }
        return *this;
    }

    auto FoldingRangeWorkspaceClientCapabilities::operator=(
        const FoldingRangeWorkspaceClientCapabilities &other
    ) -> FoldingRangeWorkspaceClientCapabilities &
    {
        if (this != &other) {
            if (other.refreshSupport.has_value()) {
                refreshSupport = other.refreshSupport.value();
            }
        }
        return *this;
    }

    WorkspaceClientCapabilities::WorkspaceClientCapabilities()
    {
        // empty
    }

    WorkspaceClientCapabilities::WorkspaceClientCapabilities(
        WorkspaceClientCapabilities &&other
    )
        : applyEdit(std::move(other.applyEdit))
        , workspaceEdit(std::move(other.workspaceEdit))
        , didChangeConfiguration(std::move(other.didChangeConfiguration))
        , didChangeWatchedFiles(std::move(other.didChangeWatchedFiles))
        , symbol(std::move(other.symbol))
        , executeCommand(std::move(other.executeCommand))
        , workspaceFolders(std::move(other.workspaceFolders))
        , configuration(std::move(other.configuration))
        , semanticTokens(std::move(other.semanticTokens))
        , codeLens(std::move(other.codeLens))
        , fileOperations(std::move(other.fileOperations))
        , inlineValue(std::move(other.inlineValue))
        , inlayHint(std::move(other.inlayHint))
        , diagnostics(std::move(other.diagnostics))
        , foldingRange(std::move(other.foldingRange))
    {
        // empty
    }

    WorkspaceClientCapabilities::WorkspaceClientCapabilities(
        const WorkspaceClientCapabilities &other
    )
    {
        if (other.applyEdit.has_value()) {
            applyEdit = other.applyEdit.value();
        }
        if (other.workspaceEdit.has_value()) {
            workspaceEdit = other.workspaceEdit.value();
        }
        if (other.didChangeConfiguration.has_value()) {
            didChangeConfiguration = other.didChangeConfiguration.value();
        }
        if (other.didChangeWatchedFiles.has_value()) {
            didChangeWatchedFiles = other.didChangeWatchedFiles.value();
        }
        if (other.symbol.has_value()) {
            symbol = other.symbol.value();
        }
        if (other.executeCommand.has_value()) {
            executeCommand = other.executeCommand.value();
        }
        if (other.workspaceFolders.has_value()) {
            workspaceFolders = other.workspaceFolders.value();
        }
        if (other.configuration.has_value()) {
            configuration = other.configuration.value();
        }
        if (other.semanticTokens.has_value()) {
            semanticTokens = other.semanticTokens.value();
        }
        if (other.codeLens.has_value()) {
            codeLens = other.codeLens.value();
        }
        if (other.fileOperations.has_value()) {
            fileOperations = other.fileOperations.value();
        }
        if (other.inlineValue.has_value()) {
            inlineValue = other.inlineValue.value();
        }
        if (other.inlayHint.has_value()) {
            inlayHint = other.inlayHint.value();
        }
        if (other.diagnostics.has_value()) {
            diagnostics = other.diagnostics.value();
        }
        if (other.foldingRange.has_value()) {
            foldingRange = other.foldingRange.value();
        }
    }

    WorkspaceClientCapabilities::~WorkspaceClientCapabilities()
    {
        // empty
    }

    auto WorkspaceClientCapabilities::operator=(
        WorkspaceClientCapabilities &&other
    ) -> WorkspaceClientCapabilities &
    {
        if (this != &other) {
            applyEdit = std::move(other.applyEdit);
            workspaceEdit = std::move(other.workspaceEdit);
            didChangeConfiguration = std::move(other.didChangeConfiguration);
            didChangeWatchedFiles = std::move(other.didChangeWatchedFiles);
            symbol = std::move(other.symbol);
            executeCommand = std::move(other.executeCommand);
            workspaceFolders = std::move(other.workspaceFolders);
            configuration = std::move(other.configuration);
            semanticTokens = std::move(other.semanticTokens);
            codeLens = std::move(other.codeLens);
            fileOperations = std::move(other.fileOperations);
            inlineValue = std::move(other.inlineValue);
            inlayHint = std::move(other.inlayHint);
            diagnostics = std::move(other.diagnostics);
            foldingRange = std::move(other.foldingRange);
        }
        return *this;
    }

    auto WorkspaceClientCapabilities::operator=(
        const WorkspaceClientCapabilities &other
    ) -> WorkspaceClientCapabilities &
    {
        if (this != &other) {
            if (other.applyEdit.has_value()) {
                applyEdit = other.applyEdit.value();
            }
            if (other.workspaceEdit.has_value()) {
                workspaceEdit = other.workspaceEdit.value();
            }
            if (other.didChangeConfiguration.has_value()) {
                didChangeConfiguration = other.didChangeConfiguration.value();
            }
            if (other.didChangeWatchedFiles.has_value()) {
                didChangeWatchedFiles = other.didChangeWatchedFiles.value();
            }
            if (other.symbol.has_value()) {
                symbol = other.symbol.value();
            }
            if (other.executeCommand.has_value()) {
                executeCommand = other.executeCommand.value();
            }
            if (other.workspaceFolders.has_value()) {
                workspaceFolders = other.workspaceFolders.value();
            }
            if (other.configuration.has_value()) {
                configuration = other.configuration.value();
            }
            if (other.semanticTokens.has_value()) {
                semanticTokens = other.semanticTokens.value();
            }
            if (other.codeLens.has_value()) {
                codeLens = other.codeLens.value();
            }
            if (other.fileOperations.has_value()) {
                fileOperations = other.fileOperations.value();
            }
            if (other.inlineValue.has_value()) {
                inlineValue = other.inlineValue.value();
            }
            if (other.inlayHint.has_value()) {
                inlayHint = other.inlayHint.value();
            }
            if (other.diagnostics.has_value()) {
                diagnostics = other.diagnostics.value();
            }
            if (other.foldingRange.has_value()) {
                foldingRange = other.foldingRange.value();
            }
        }
        return *this;
    }

    TextDocumentSyncClientCapabilities::TextDocumentSyncClientCapabilities()
    {
        // empty
    }

    TextDocumentSyncClientCapabilities::TextDocumentSyncClientCapabilities(
        TextDocumentSyncClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , willSave(std::move(other.willSave))
        , willSaveWaitUntil(std::move(other.willSaveWaitUntil))
        , didSave(std::move(other.didSave))
    {
        // empty
    }

    TextDocumentSyncClientCapabilities::TextDocumentSyncClientCapabilities(
        const TextDocumentSyncClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.willSave.has_value()) {
            willSave = other.willSave.value();
        }
        if (other.willSaveWaitUntil.has_value()) {
            willSaveWaitUntil = other.willSaveWaitUntil.value();
        }
        if (other.didSave.has_value()) {
            didSave = other.didSave.value();
        }
    }

    TextDocumentSyncClientCapabilities::~TextDocumentSyncClientCapabilities()
    {
        // empty
    }

    auto TextDocumentSyncClientCapabilities::operator=(
        TextDocumentSyncClientCapabilities &&other
    ) -> TextDocumentSyncClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            willSave = std::move(other.willSave);
            willSaveWaitUntil = std::move(other.willSaveWaitUntil);
            didSave = std::move(other.didSave);
        }
        return *this;
    }

    auto TextDocumentSyncClientCapabilities::operator=(
        const TextDocumentSyncClientCapabilities &other
    ) -> TextDocumentSyncClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.willSave.has_value()) {
                willSave = other.willSave.value();
            }
            if (other.willSaveWaitUntil.has_value()) {
                willSaveWaitUntil = other.willSaveWaitUntil.value();
            }
            if (other.didSave.has_value()) {
                didSave = other.didSave.value();
            }
        }
        return *this;
    }

    CompletionClientCapabilities_completionItem::CompletionClientCapabilities_completionItem()
    {
        // empty
    }

    CompletionClientCapabilities_completionItem::CompletionClientCapabilities_completionItem(
        CompletionClientCapabilities_completionItem &&other
    )
        : snippetSupport(std::move(other.snippetSupport))
        , commitCharactersSupport(std::move(other.commitCharactersSupport))
        , documentationFormat(std::move(other.documentationFormat))
        , deprecatedSupport(std::move(other.deprecatedSupport))
        , preselectSupport(std::move(other.preselectSupport))
        , tagSupport(std::move(other.tagSupport))
        , insertReplaceSupport(std::move(other.insertReplaceSupport))
        , resolveSupport(std::move(other.resolveSupport))
        , insertTextModeSupport(std::move(other.insertTextModeSupport))
        , labelDetailsSupport(std::move(other.labelDetailsSupport))
    {
        // empty
    }

    CompletionClientCapabilities_completionItem::CompletionClientCapabilities_completionItem(
        const CompletionClientCapabilities_completionItem &other
    )
    {
        if (other.snippetSupport.has_value()) {
            snippetSupport = other.snippetSupport.value();
        }
        if (other.commitCharactersSupport.has_value()) {
            commitCharactersSupport = other.commitCharactersSupport.value();
        }
        if (other.documentationFormat.has_value()) {
            auto &array_0 = documentationFormat.emplace();
            const auto &array_1 = other.documentationFormat.value();
            array_0 = array_1;
        }
        if (other.deprecatedSupport.has_value()) {
            deprecatedSupport = other.deprecatedSupport.value();
        }
        if (other.preselectSupport.has_value()) {
            preselectSupport = other.preselectSupport.value();
        }
        if (other.tagSupport.has_value()) {
            tagSupport = other.tagSupport.value();
        }
        if (other.insertReplaceSupport.has_value()) {
            insertReplaceSupport = other.insertReplaceSupport.value();
        }
        if (other.resolveSupport.has_value()) {
            resolveSupport = other.resolveSupport.value();
        }
        if (other.insertTextModeSupport.has_value()) {
            insertTextModeSupport = other.insertTextModeSupport.value();
        }
        if (other.labelDetailsSupport.has_value()) {
            labelDetailsSupport = other.labelDetailsSupport.value();
        }
    }

    CompletionClientCapabilities_completionItem::~CompletionClientCapabilities_completionItem()
    {
        // empty
    }

    auto CompletionClientCapabilities_completionItem::operator=(
        CompletionClientCapabilities_completionItem &&other
    ) -> CompletionClientCapabilities_completionItem &
    {
        if (this != &other) {
            snippetSupport = std::move(other.snippetSupport);
            commitCharactersSupport = std::move(other.commitCharactersSupport);
            documentationFormat = std::move(other.documentationFormat);
            deprecatedSupport = std::move(other.deprecatedSupport);
            preselectSupport = std::move(other.preselectSupport);
            tagSupport = std::move(other.tagSupport);
            insertReplaceSupport = std::move(other.insertReplaceSupport);
            resolveSupport = std::move(other.resolveSupport);
            insertTextModeSupport = std::move(other.insertTextModeSupport);
            labelDetailsSupport = std::move(other.labelDetailsSupport);
        }
        return *this;
    }

    auto CompletionClientCapabilities_completionItem::operator=(
        const CompletionClientCapabilities_completionItem &other
    ) -> CompletionClientCapabilities_completionItem &
    {
        if (this != &other) {
            if (other.snippetSupport.has_value()) {
                snippetSupport = other.snippetSupport.value();
            }
            if (other.commitCharactersSupport.has_value()) {
                commitCharactersSupport =
                    other.commitCharactersSupport.value();
            }
            if (other.documentationFormat.has_value()) {
                auto &array_0 = documentationFormat.emplace();
                const auto &array_1 = other.documentationFormat.value();
                array_0 = array_1;
            }
            if (other.deprecatedSupport.has_value()) {
                deprecatedSupport = other.deprecatedSupport.value();
            }
            if (other.preselectSupport.has_value()) {
                preselectSupport = other.preselectSupport.value();
            }
            if (other.tagSupport.has_value()) {
                tagSupport = other.tagSupport.value();
            }
            if (other.insertReplaceSupport.has_value()) {
                insertReplaceSupport = other.insertReplaceSupport.value();
            }
            if (other.resolveSupport.has_value()) {
                resolveSupport = other.resolveSupport.value();
            }
            if (other.insertTextModeSupport.has_value()) {
                insertTextModeSupport = other.insertTextModeSupport.value();
            }
            if (other.labelDetailsSupport.has_value()) {
                labelDetailsSupport = other.labelDetailsSupport.value();
            }
        }
        return *this;
    }

    CompletionClientCapabilities::CompletionClientCapabilities()
    {
        // empty
    }

    CompletionClientCapabilities::CompletionClientCapabilities(
        CompletionClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , completionItem(std::move(other.completionItem))
        , completionItemKind(std::move(other.completionItemKind))
        , insertTextMode(std::move(other.insertTextMode))
        , contextSupport(std::move(other.contextSupport))
        , completionList(std::move(other.completionList))
    {
        // empty
    }

    CompletionClientCapabilities::CompletionClientCapabilities(
        const CompletionClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.completionItem.has_value()) {
            completionItem = other.completionItem.value();
        }
        if (other.completionItemKind.has_value()) {
            completionItemKind = other.completionItemKind.value();
        }
        if (other.insertTextMode.has_value()) {
            insertTextMode = other.insertTextMode.value();
        }
        if (other.contextSupport.has_value()) {
            contextSupport = other.contextSupport.value();
        }
        if (other.completionList.has_value()) {
            completionList = other.completionList.value();
        }
    }

    CompletionClientCapabilities::~CompletionClientCapabilities()
    {
        // empty
    }

    auto CompletionClientCapabilities::operator=(
        CompletionClientCapabilities &&other
    ) -> CompletionClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            completionItem = std::move(other.completionItem);
            completionItemKind = std::move(other.completionItemKind);
            insertTextMode = std::move(other.insertTextMode);
            contextSupport = std::move(other.contextSupport);
            completionList = std::move(other.completionList);
        }
        return *this;
    }

    auto CompletionClientCapabilities::operator=(
        const CompletionClientCapabilities &other
    ) -> CompletionClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.completionItem.has_value()) {
                completionItem = other.completionItem.value();
            }
            if (other.completionItemKind.has_value()) {
                completionItemKind = other.completionItemKind.value();
            }
            if (other.insertTextMode.has_value()) {
                insertTextMode = other.insertTextMode.value();
            }
            if (other.contextSupport.has_value()) {
                contextSupport = other.contextSupport.value();
            }
            if (other.completionList.has_value()) {
                completionList = other.completionList.value();
            }
        }
        return *this;
    }

    HoverClientCapabilities::HoverClientCapabilities()
    {
        // empty
    }

    HoverClientCapabilities::HoverClientCapabilities(
        HoverClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , contentFormat(std::move(other.contentFormat))
    {
        // empty
    }

    HoverClientCapabilities::HoverClientCapabilities(
        const HoverClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.contentFormat.has_value()) {
            auto &array_0 = contentFormat.emplace();
            const auto &array_1 = other.contentFormat.value();
            array_0 = array_1;
        }
    }

    HoverClientCapabilities::~HoverClientCapabilities()
    {
        // empty
    }

    auto HoverClientCapabilities::operator=(
        HoverClientCapabilities &&other
    ) -> HoverClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            contentFormat = std::move(other.contentFormat);
        }
        return *this;
    }

    auto HoverClientCapabilities::operator=(
        const HoverClientCapabilities &other
    ) -> HoverClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.contentFormat.has_value()) {
                auto &array_0 = contentFormat.emplace();
                const auto &array_1 = other.contentFormat.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    SignatureHelpClientCapabilities_signatureInformation_parameterInformation::SignatureHelpClientCapabilities_signatureInformation_parameterInformation()
    {
        // empty
    }

    SignatureHelpClientCapabilities_signatureInformation_parameterInformation::SignatureHelpClientCapabilities_signatureInformation_parameterInformation(
        SignatureHelpClientCapabilities_signatureInformation_parameterInformation &&other
    )
        : labelOffsetSupport(std::move(other.labelOffsetSupport))
    {
        // empty
    }

    SignatureHelpClientCapabilities_signatureInformation_parameterInformation::SignatureHelpClientCapabilities_signatureInformation_parameterInformation(
        const SignatureHelpClientCapabilities_signatureInformation_parameterInformation &other
    )
    {
        if (other.labelOffsetSupport.has_value()) {
            labelOffsetSupport = other.labelOffsetSupport.value();
        }
    }

    SignatureHelpClientCapabilities_signatureInformation_parameterInformation::~SignatureHelpClientCapabilities_signatureInformation_parameterInformation()
    {
        // empty
    }

    auto SignatureHelpClientCapabilities_signatureInformation_parameterInformation::operator=(
        SignatureHelpClientCapabilities_signatureInformation_parameterInformation &&other
    ) -> SignatureHelpClientCapabilities_signatureInformation_parameterInformation &
    {
        if (this != &other) {
            labelOffsetSupport = std::move(other.labelOffsetSupport);
        }
        return *this;
    }

    auto SignatureHelpClientCapabilities_signatureInformation_parameterInformation::operator=(
        const SignatureHelpClientCapabilities_signatureInformation_parameterInformation &other
    ) -> SignatureHelpClientCapabilities_signatureInformation_parameterInformation &
    {
        if (this != &other) {
            if (other.labelOffsetSupport.has_value()) {
                labelOffsetSupport = other.labelOffsetSupport.value();
            }
        }
        return *this;
    }

    SignatureHelpClientCapabilities_signatureInformation::SignatureHelpClientCapabilities_signatureInformation()
    {
        // empty
    }

    SignatureHelpClientCapabilities_signatureInformation::SignatureHelpClientCapabilities_signatureInformation(
        SignatureHelpClientCapabilities_signatureInformation &&other
    )
        : documentationFormat(std::move(other.documentationFormat))
        , parameterInformation(std::move(other.parameterInformation))
        , activeParameterSupport(std::move(other.activeParameterSupport))
    {
        // empty
    }

    SignatureHelpClientCapabilities_signatureInformation::SignatureHelpClientCapabilities_signatureInformation(
        const SignatureHelpClientCapabilities_signatureInformation &other
    )
    {
        if (other.documentationFormat.has_value()) {
            auto &array_0 = documentationFormat.emplace();
            const auto &array_1 = other.documentationFormat.value();
            array_0 = array_1;
        }
        if (other.parameterInformation.has_value()) {
            parameterInformation = other.parameterInformation.value();
        }
        if (other.activeParameterSupport.has_value()) {
            activeParameterSupport = other.activeParameterSupport.value();
        }
    }

    SignatureHelpClientCapabilities_signatureInformation::~SignatureHelpClientCapabilities_signatureInformation()
    {
        // empty
    }

    auto SignatureHelpClientCapabilities_signatureInformation::operator=(
        SignatureHelpClientCapabilities_signatureInformation &&other
    ) -> SignatureHelpClientCapabilities_signatureInformation &
    {
        if (this != &other) {
            documentationFormat = std::move(other.documentationFormat);
            parameterInformation = std::move(other.parameterInformation);
            activeParameterSupport = std::move(other.activeParameterSupport);
        }
        return *this;
    }

    auto SignatureHelpClientCapabilities_signatureInformation::operator=(
        const SignatureHelpClientCapabilities_signatureInformation &other
    ) -> SignatureHelpClientCapabilities_signatureInformation &
    {
        if (this != &other) {
            if (other.documentationFormat.has_value()) {
                auto &array_0 = documentationFormat.emplace();
                const auto &array_1 = other.documentationFormat.value();
                array_0 = array_1;
            }
            if (other.parameterInformation.has_value()) {
                parameterInformation = other.parameterInformation.value();
            }
            if (other.activeParameterSupport.has_value()) {
                activeParameterSupport = other.activeParameterSupport.value();
            }
        }
        return *this;
    }

    SignatureHelpClientCapabilities::SignatureHelpClientCapabilities()
    {
        // empty
    }

    SignatureHelpClientCapabilities::SignatureHelpClientCapabilities(
        SignatureHelpClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , signatureInformation(std::move(other.signatureInformation))
        , contextSupport(std::move(other.contextSupport))
    {
        // empty
    }

    SignatureHelpClientCapabilities::SignatureHelpClientCapabilities(
        const SignatureHelpClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.signatureInformation.has_value()) {
            signatureInformation = other.signatureInformation.value();
        }
        if (other.contextSupport.has_value()) {
            contextSupport = other.contextSupport.value();
        }
    }

    SignatureHelpClientCapabilities::~SignatureHelpClientCapabilities()
    {
        // empty
    }

    auto SignatureHelpClientCapabilities::operator=(
        SignatureHelpClientCapabilities &&other
    ) -> SignatureHelpClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            signatureInformation = std::move(other.signatureInformation);
            contextSupport = std::move(other.contextSupport);
        }
        return *this;
    }

    auto SignatureHelpClientCapabilities::operator=(
        const SignatureHelpClientCapabilities &other
    ) -> SignatureHelpClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.signatureInformation.has_value()) {
                signatureInformation = other.signatureInformation.value();
            }
            if (other.contextSupport.has_value()) {
                contextSupport = other.contextSupport.value();
            }
        }
        return *this;
    }

    DeclarationClientCapabilities::DeclarationClientCapabilities()
    {
        // empty
    }

    DeclarationClientCapabilities::DeclarationClientCapabilities(
        DeclarationClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , linkSupport(std::move(other.linkSupport))
    {
        // empty
    }

    DeclarationClientCapabilities::DeclarationClientCapabilities(
        const DeclarationClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.linkSupport.has_value()) {
            linkSupport = other.linkSupport.value();
        }
    }

    DeclarationClientCapabilities::~DeclarationClientCapabilities()
    {
        // empty
    }

    auto DeclarationClientCapabilities::operator=(
        DeclarationClientCapabilities &&other
    ) -> DeclarationClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            linkSupport = std::move(other.linkSupport);
        }
        return *this;
    }

    auto DeclarationClientCapabilities::operator=(
        const DeclarationClientCapabilities &other
    ) -> DeclarationClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.linkSupport.has_value()) {
                linkSupport = other.linkSupport.value();
            }
        }
        return *this;
    }

    DefinitionClientCapabilities::DefinitionClientCapabilities()
    {
        // empty
    }

    DefinitionClientCapabilities::DefinitionClientCapabilities(
        DefinitionClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , linkSupport(std::move(other.linkSupport))
    {
        // empty
    }

    DefinitionClientCapabilities::DefinitionClientCapabilities(
        const DefinitionClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.linkSupport.has_value()) {
            linkSupport = other.linkSupport.value();
        }
    }

    DefinitionClientCapabilities::~DefinitionClientCapabilities()
    {
        // empty
    }

    auto DefinitionClientCapabilities::operator=(
        DefinitionClientCapabilities &&other
    ) -> DefinitionClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            linkSupport = std::move(other.linkSupport);
        }
        return *this;
    }

    auto DefinitionClientCapabilities::operator=(
        const DefinitionClientCapabilities &other
    ) -> DefinitionClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.linkSupport.has_value()) {
                linkSupport = other.linkSupport.value();
            }
        }
        return *this;
    }

    TypeDefinitionClientCapabilities::TypeDefinitionClientCapabilities()
    {
        // empty
    }

    TypeDefinitionClientCapabilities::TypeDefinitionClientCapabilities(
        TypeDefinitionClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , linkSupport(std::move(other.linkSupport))
    {
        // empty
    }

    TypeDefinitionClientCapabilities::TypeDefinitionClientCapabilities(
        const TypeDefinitionClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.linkSupport.has_value()) {
            linkSupport = other.linkSupport.value();
        }
    }

    TypeDefinitionClientCapabilities::~TypeDefinitionClientCapabilities()
    {
        // empty
    }

    auto TypeDefinitionClientCapabilities::operator=(
        TypeDefinitionClientCapabilities &&other
    ) -> TypeDefinitionClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            linkSupport = std::move(other.linkSupport);
        }
        return *this;
    }

    auto TypeDefinitionClientCapabilities::operator=(
        const TypeDefinitionClientCapabilities &other
    ) -> TypeDefinitionClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.linkSupport.has_value()) {
                linkSupport = other.linkSupport.value();
            }
        }
        return *this;
    }

    ImplementationClientCapabilities::ImplementationClientCapabilities()
    {
        // empty
    }

    ImplementationClientCapabilities::ImplementationClientCapabilities(
        ImplementationClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , linkSupport(std::move(other.linkSupport))
    {
        // empty
    }

    ImplementationClientCapabilities::ImplementationClientCapabilities(
        const ImplementationClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.linkSupport.has_value()) {
            linkSupport = other.linkSupport.value();
        }
    }

    ImplementationClientCapabilities::~ImplementationClientCapabilities()
    {
        // empty
    }

    auto ImplementationClientCapabilities::operator=(
        ImplementationClientCapabilities &&other
    ) -> ImplementationClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            linkSupport = std::move(other.linkSupport);
        }
        return *this;
    }

    auto ImplementationClientCapabilities::operator=(
        const ImplementationClientCapabilities &other
    ) -> ImplementationClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.linkSupport.has_value()) {
                linkSupport = other.linkSupport.value();
            }
        }
        return *this;
    }

    ReferenceClientCapabilities::ReferenceClientCapabilities()
    {
        // empty
    }

    ReferenceClientCapabilities::ReferenceClientCapabilities(
        ReferenceClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    ReferenceClientCapabilities::ReferenceClientCapabilities(
        const ReferenceClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    ReferenceClientCapabilities::~ReferenceClientCapabilities()
    {
        // empty
    }

    auto ReferenceClientCapabilities::operator=(
        ReferenceClientCapabilities &&other
    ) -> ReferenceClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto ReferenceClientCapabilities::operator=(
        const ReferenceClientCapabilities &other
    ) -> ReferenceClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    DocumentHighlightClientCapabilities::DocumentHighlightClientCapabilities()
    {
        // empty
    }

    DocumentHighlightClientCapabilities::DocumentHighlightClientCapabilities(
        DocumentHighlightClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    DocumentHighlightClientCapabilities::DocumentHighlightClientCapabilities(
        const DocumentHighlightClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    DocumentHighlightClientCapabilities::~DocumentHighlightClientCapabilities()
    {
        // empty
    }

    auto DocumentHighlightClientCapabilities::operator=(
        DocumentHighlightClientCapabilities &&other
    ) -> DocumentHighlightClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto DocumentHighlightClientCapabilities::operator=(
        const DocumentHighlightClientCapabilities &other
    ) -> DocumentHighlightClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    DocumentSymbolClientCapabilities::DocumentSymbolClientCapabilities()
    {
        // empty
    }

    DocumentSymbolClientCapabilities::DocumentSymbolClientCapabilities(
        DocumentSymbolClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , symbolKind(std::move(other.symbolKind))
        , hierarchicalDocumentSymbolSupport(std::move(other.hierarchicalDocumentSymbolSupport))
        , tagSupport(std::move(other.tagSupport))
        , labelSupport(std::move(other.labelSupport))
    {
        // empty
    }

    DocumentSymbolClientCapabilities::DocumentSymbolClientCapabilities(
        const DocumentSymbolClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.symbolKind.has_value()) {
            symbolKind = other.symbolKind.value();
        }
        if (other.hierarchicalDocumentSymbolSupport.has_value()) {
            hierarchicalDocumentSymbolSupport =
                other.hierarchicalDocumentSymbolSupport.value();
        }
        if (other.tagSupport.has_value()) {
            tagSupport = other.tagSupport.value();
        }
        if (other.labelSupport.has_value()) {
            labelSupport = other.labelSupport.value();
        }
    }

    DocumentSymbolClientCapabilities::~DocumentSymbolClientCapabilities()
    {
        // empty
    }

    auto DocumentSymbolClientCapabilities::operator=(
        DocumentSymbolClientCapabilities &&other
    ) -> DocumentSymbolClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            symbolKind = std::move(other.symbolKind);
            hierarchicalDocumentSymbolSupport =
                std::move(other.hierarchicalDocumentSymbolSupport);
            tagSupport = std::move(other.tagSupport);
            labelSupport = std::move(other.labelSupport);
        }
        return *this;
    }

    auto DocumentSymbolClientCapabilities::operator=(
        const DocumentSymbolClientCapabilities &other
    ) -> DocumentSymbolClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.symbolKind.has_value()) {
                symbolKind = other.symbolKind.value();
            }
            if (other.hierarchicalDocumentSymbolSupport.has_value()) {
                hierarchicalDocumentSymbolSupport =
                    other.hierarchicalDocumentSymbolSupport.value();
            }
            if (other.tagSupport.has_value()) {
                tagSupport = other.tagSupport.value();
            }
            if (other.labelSupport.has_value()) {
                labelSupport = other.labelSupport.value();
            }
        }
        return *this;
    }

    CodeActionClientCapabilities::CodeActionClientCapabilities()
    {
        // empty
    }

    CodeActionClientCapabilities::CodeActionClientCapabilities(
        CodeActionClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , codeActionLiteralSupport(std::move(other.codeActionLiteralSupport))
        , isPreferredSupport(std::move(other.isPreferredSupport))
        , disabledSupport(std::move(other.disabledSupport))
        , dataSupport(std::move(other.dataSupport))
        , resolveSupport(std::move(other.resolveSupport))
        , honorsChangeAnnotations(std::move(other.honorsChangeAnnotations))
    {
        // empty
    }

    CodeActionClientCapabilities::CodeActionClientCapabilities(
        const CodeActionClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.codeActionLiteralSupport.has_value()) {
            codeActionLiteralSupport = other.codeActionLiteralSupport.value();
        }
        if (other.isPreferredSupport.has_value()) {
            isPreferredSupport = other.isPreferredSupport.value();
        }
        if (other.disabledSupport.has_value()) {
            disabledSupport = other.disabledSupport.value();
        }
        if (other.dataSupport.has_value()) {
            dataSupport = other.dataSupport.value();
        }
        if (other.resolveSupport.has_value()) {
            resolveSupport = other.resolveSupport.value();
        }
        if (other.honorsChangeAnnotations.has_value()) {
            honorsChangeAnnotations = other.honorsChangeAnnotations.value();
        }
    }

    CodeActionClientCapabilities::~CodeActionClientCapabilities()
    {
        // empty
    }

    auto CodeActionClientCapabilities::operator=(
        CodeActionClientCapabilities &&other
    ) -> CodeActionClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            codeActionLiteralSupport =
                std::move(other.codeActionLiteralSupport);
            isPreferredSupport = std::move(other.isPreferredSupport);
            disabledSupport = std::move(other.disabledSupport);
            dataSupport = std::move(other.dataSupport);
            resolveSupport = std::move(other.resolveSupport);
            honorsChangeAnnotations = std::move(other.honorsChangeAnnotations);
        }
        return *this;
    }

    auto CodeActionClientCapabilities::operator=(
        const CodeActionClientCapabilities &other
    ) -> CodeActionClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.codeActionLiteralSupport.has_value()) {
                codeActionLiteralSupport =
                    other.codeActionLiteralSupport.value();
            }
            if (other.isPreferredSupport.has_value()) {
                isPreferredSupport = other.isPreferredSupport.value();
            }
            if (other.disabledSupport.has_value()) {
                disabledSupport = other.disabledSupport.value();
            }
            if (other.dataSupport.has_value()) {
                dataSupport = other.dataSupport.value();
            }
            if (other.resolveSupport.has_value()) {
                resolveSupport = other.resolveSupport.value();
            }
            if (other.honorsChangeAnnotations.has_value()) {
                honorsChangeAnnotations =
                    other.honorsChangeAnnotations.value();
            }
        }
        return *this;
    }

    CodeLensClientCapabilities::CodeLensClientCapabilities()
    {
        // empty
    }

    CodeLensClientCapabilities::CodeLensClientCapabilities(
        CodeLensClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    CodeLensClientCapabilities::CodeLensClientCapabilities(
        const CodeLensClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    CodeLensClientCapabilities::~CodeLensClientCapabilities()
    {
        // empty
    }

    auto CodeLensClientCapabilities::operator=(
        CodeLensClientCapabilities &&other
    ) -> CodeLensClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto CodeLensClientCapabilities::operator=(
        const CodeLensClientCapabilities &other
    ) -> CodeLensClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    DocumentLinkClientCapabilities::DocumentLinkClientCapabilities()
    {
        // empty
    }

    DocumentLinkClientCapabilities::DocumentLinkClientCapabilities(
        DocumentLinkClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , tooltipSupport(std::move(other.tooltipSupport))
    {
        // empty
    }

    DocumentLinkClientCapabilities::DocumentLinkClientCapabilities(
        const DocumentLinkClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.tooltipSupport.has_value()) {
            tooltipSupport = other.tooltipSupport.value();
        }
    }

    DocumentLinkClientCapabilities::~DocumentLinkClientCapabilities()
    {
        // empty
    }

    auto DocumentLinkClientCapabilities::operator=(
        DocumentLinkClientCapabilities &&other
    ) -> DocumentLinkClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            tooltipSupport = std::move(other.tooltipSupport);
        }
        return *this;
    }

    auto DocumentLinkClientCapabilities::operator=(
        const DocumentLinkClientCapabilities &other
    ) -> DocumentLinkClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.tooltipSupport.has_value()) {
                tooltipSupport = other.tooltipSupport.value();
            }
        }
        return *this;
    }

    DocumentColorClientCapabilities::DocumentColorClientCapabilities()
    {
        // empty
    }

    DocumentColorClientCapabilities::DocumentColorClientCapabilities(
        DocumentColorClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    DocumentColorClientCapabilities::DocumentColorClientCapabilities(
        const DocumentColorClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    DocumentColorClientCapabilities::~DocumentColorClientCapabilities()
    {
        // empty
    }

    auto DocumentColorClientCapabilities::operator=(
        DocumentColorClientCapabilities &&other
    ) -> DocumentColorClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto DocumentColorClientCapabilities::operator=(
        const DocumentColorClientCapabilities &other
    ) -> DocumentColorClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    DocumentFormattingClientCapabilities::DocumentFormattingClientCapabilities()
    {
        // empty
    }

    DocumentFormattingClientCapabilities::DocumentFormattingClientCapabilities(
        DocumentFormattingClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    DocumentFormattingClientCapabilities::DocumentFormattingClientCapabilities(
        const DocumentFormattingClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    DocumentFormattingClientCapabilities::~DocumentFormattingClientCapabilities()
    {
        // empty
    }

    auto DocumentFormattingClientCapabilities::operator=(
        DocumentFormattingClientCapabilities &&other
    ) -> DocumentFormattingClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto DocumentFormattingClientCapabilities::operator=(
        const DocumentFormattingClientCapabilities &other
    ) -> DocumentFormattingClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    DocumentRangeFormattingClientCapabilities::DocumentRangeFormattingClientCapabilities()
    {
        // empty
    }

    DocumentRangeFormattingClientCapabilities::DocumentRangeFormattingClientCapabilities(
        DocumentRangeFormattingClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , rangesSupport(std::move(other.rangesSupport))
    {
        // empty
    }

    DocumentRangeFormattingClientCapabilities::DocumentRangeFormattingClientCapabilities(
        const DocumentRangeFormattingClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.rangesSupport.has_value()) {
            rangesSupport = other.rangesSupport.value();
        }
    }

    DocumentRangeFormattingClientCapabilities::~DocumentRangeFormattingClientCapabilities()
    {
        // empty
    }

    auto DocumentRangeFormattingClientCapabilities::operator=(
        DocumentRangeFormattingClientCapabilities &&other
    ) -> DocumentRangeFormattingClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            rangesSupport = std::move(other.rangesSupport);
        }
        return *this;
    }

    auto DocumentRangeFormattingClientCapabilities::operator=(
        const DocumentRangeFormattingClientCapabilities &other
    ) -> DocumentRangeFormattingClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.rangesSupport.has_value()) {
                rangesSupport = other.rangesSupport.value();
            }
        }
        return *this;
    }

    DocumentOnTypeFormattingClientCapabilities::DocumentOnTypeFormattingClientCapabilities()
    {
        // empty
    }

    DocumentOnTypeFormattingClientCapabilities::DocumentOnTypeFormattingClientCapabilities(
        DocumentOnTypeFormattingClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    DocumentOnTypeFormattingClientCapabilities::DocumentOnTypeFormattingClientCapabilities(
        const DocumentOnTypeFormattingClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    DocumentOnTypeFormattingClientCapabilities::~DocumentOnTypeFormattingClientCapabilities()
    {
        // empty
    }

    auto DocumentOnTypeFormattingClientCapabilities::operator=(
        DocumentOnTypeFormattingClientCapabilities &&other
    ) -> DocumentOnTypeFormattingClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto DocumentOnTypeFormattingClientCapabilities::operator=(
        const DocumentOnTypeFormattingClientCapabilities &other
    ) -> DocumentOnTypeFormattingClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    RenameClientCapabilities::RenameClientCapabilities()
    {
        // empty
    }

    RenameClientCapabilities::RenameClientCapabilities(
        RenameClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , prepareSupport(std::move(other.prepareSupport))
        , prepareSupportDefaultBehavior(std::move(other.prepareSupportDefaultBehavior))
        , honorsChangeAnnotations(std::move(other.honorsChangeAnnotations))
    {
        // empty
    }

    RenameClientCapabilities::RenameClientCapabilities(
        const RenameClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.prepareSupport.has_value()) {
            prepareSupport = other.prepareSupport.value();
        }
        if (other.prepareSupportDefaultBehavior.has_value()) {
            prepareSupportDefaultBehavior =
                other.prepareSupportDefaultBehavior.value();
        }
        if (other.honorsChangeAnnotations.has_value()) {
            honorsChangeAnnotations = other.honorsChangeAnnotations.value();
        }
    }

    RenameClientCapabilities::~RenameClientCapabilities()
    {
        // empty
    }

    auto RenameClientCapabilities::operator=(
        RenameClientCapabilities &&other
    ) -> RenameClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            prepareSupport = std::move(other.prepareSupport);
            prepareSupportDefaultBehavior =
                std::move(other.prepareSupportDefaultBehavior);
            honorsChangeAnnotations = std::move(other.honorsChangeAnnotations);
        }
        return *this;
    }

    auto RenameClientCapabilities::operator=(
        const RenameClientCapabilities &other
    ) -> RenameClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.prepareSupport.has_value()) {
                prepareSupport = other.prepareSupport.value();
            }
            if (other.prepareSupportDefaultBehavior.has_value()) {
                prepareSupportDefaultBehavior =
                    other.prepareSupportDefaultBehavior.value();
            }
            if (other.honorsChangeAnnotations.has_value()) {
                honorsChangeAnnotations =
                    other.honorsChangeAnnotations.value();
            }
        }
        return *this;
    }

    FoldingRangeClientCapabilities_foldingRange::FoldingRangeClientCapabilities_foldingRange()
    {
        // empty
    }

    FoldingRangeClientCapabilities_foldingRange::FoldingRangeClientCapabilities_foldingRange(
        FoldingRangeClientCapabilities_foldingRange &&other
    )
        : collapsedText(std::move(other.collapsedText))
    {
        // empty
    }

    FoldingRangeClientCapabilities_foldingRange::FoldingRangeClientCapabilities_foldingRange(
        const FoldingRangeClientCapabilities_foldingRange &other
    )
    {
        if (other.collapsedText.has_value()) {
            collapsedText = other.collapsedText.value();
        }
    }

    FoldingRangeClientCapabilities_foldingRange::~FoldingRangeClientCapabilities_foldingRange()
    {
        // empty
    }

    auto FoldingRangeClientCapabilities_foldingRange::operator=(
        FoldingRangeClientCapabilities_foldingRange &&other
    ) -> FoldingRangeClientCapabilities_foldingRange &
    {
        if (this != &other) {
            collapsedText = std::move(other.collapsedText);
        }
        return *this;
    }

    auto FoldingRangeClientCapabilities_foldingRange::operator=(
        const FoldingRangeClientCapabilities_foldingRange &other
    ) -> FoldingRangeClientCapabilities_foldingRange &
    {
        if (this != &other) {
            if (other.collapsedText.has_value()) {
                collapsedText = other.collapsedText.value();
            }
        }
        return *this;
    }

    SelectionRangeClientCapabilities::SelectionRangeClientCapabilities()
    {
        // empty
    }

    SelectionRangeClientCapabilities::SelectionRangeClientCapabilities(
        SelectionRangeClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    SelectionRangeClientCapabilities::SelectionRangeClientCapabilities(
        const SelectionRangeClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    SelectionRangeClientCapabilities::~SelectionRangeClientCapabilities()
    {
        // empty
    }

    auto SelectionRangeClientCapabilities::operator=(
        SelectionRangeClientCapabilities &&other
    ) -> SelectionRangeClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto SelectionRangeClientCapabilities::operator=(
        const SelectionRangeClientCapabilities &other
    ) -> SelectionRangeClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    PublishDiagnosticsClientCapabilities::PublishDiagnosticsClientCapabilities()
    {
        // empty
    }

    PublishDiagnosticsClientCapabilities::PublishDiagnosticsClientCapabilities(
        PublishDiagnosticsClientCapabilities &&other
    )
        : relatedInformation(std::move(other.relatedInformation))
        , tagSupport(std::move(other.tagSupport))
        , versionSupport(std::move(other.versionSupport))
        , codeDescriptionSupport(std::move(other.codeDescriptionSupport))
        , dataSupport(std::move(other.dataSupport))
    {
        // empty
    }

    PublishDiagnosticsClientCapabilities::PublishDiagnosticsClientCapabilities(
        const PublishDiagnosticsClientCapabilities &other
    )
    {
        if (other.relatedInformation.has_value()) {
            relatedInformation = other.relatedInformation.value();
        }
        if (other.tagSupport.has_value()) {
            tagSupport = other.tagSupport.value();
        }
        if (other.versionSupport.has_value()) {
            versionSupport = other.versionSupport.value();
        }
        if (other.codeDescriptionSupport.has_value()) {
            codeDescriptionSupport = other.codeDescriptionSupport.value();
        }
        if (other.dataSupport.has_value()) {
            dataSupport = other.dataSupport.value();
        }
    }

    PublishDiagnosticsClientCapabilities::~PublishDiagnosticsClientCapabilities()
    {
        // empty
    }

    auto PublishDiagnosticsClientCapabilities::operator=(
        PublishDiagnosticsClientCapabilities &&other
    ) -> PublishDiagnosticsClientCapabilities &
    {
        if (this != &other) {
            relatedInformation = std::move(other.relatedInformation);
            tagSupport = std::move(other.tagSupport);
            versionSupport = std::move(other.versionSupport);
            codeDescriptionSupport = std::move(other.codeDescriptionSupport);
            dataSupport = std::move(other.dataSupport);
        }
        return *this;
    }

    auto PublishDiagnosticsClientCapabilities::operator=(
        const PublishDiagnosticsClientCapabilities &other
    ) -> PublishDiagnosticsClientCapabilities &
    {
        if (this != &other) {
            if (other.relatedInformation.has_value()) {
                relatedInformation = other.relatedInformation.value();
            }
            if (other.tagSupport.has_value()) {
                tagSupport = other.tagSupport.value();
            }
            if (other.versionSupport.has_value()) {
                versionSupport = other.versionSupport.value();
            }
            if (other.codeDescriptionSupport.has_value()) {
                codeDescriptionSupport = other.codeDescriptionSupport.value();
            }
            if (other.dataSupport.has_value()) {
                dataSupport = other.dataSupport.value();
            }
        }
        return *this;
    }

    CallHierarchyClientCapabilities::CallHierarchyClientCapabilities()
    {
        // empty
    }

    CallHierarchyClientCapabilities::CallHierarchyClientCapabilities(
        CallHierarchyClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    CallHierarchyClientCapabilities::CallHierarchyClientCapabilities(
        const CallHierarchyClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    CallHierarchyClientCapabilities::~CallHierarchyClientCapabilities()
    {
        // empty
    }

    auto CallHierarchyClientCapabilities::operator=(
        CallHierarchyClientCapabilities &&other
    ) -> CallHierarchyClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto CallHierarchyClientCapabilities::operator=(
        const CallHierarchyClientCapabilities &other
    ) -> CallHierarchyClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    SemanticTokensClientCapabilities_requests_full_1::SemanticTokensClientCapabilities_requests_full_1()
    {
        // empty
    }

    SemanticTokensClientCapabilities_requests_full_1::SemanticTokensClientCapabilities_requests_full_1(
        SemanticTokensClientCapabilities_requests_full_1 &&other
    )
        : delta(std::move(other.delta))
    {
        // empty
    }

    SemanticTokensClientCapabilities_requests_full_1::SemanticTokensClientCapabilities_requests_full_1(
        const SemanticTokensClientCapabilities_requests_full_1 &other
    )
    {
        if (other.delta.has_value()) {
            delta = other.delta.value();
        }
    }

    SemanticTokensClientCapabilities_requests_full_1::~SemanticTokensClientCapabilities_requests_full_1()
    {
        // empty
    }

    auto SemanticTokensClientCapabilities_requests_full_1::operator=(
        SemanticTokensClientCapabilities_requests_full_1 &&other
    ) -> SemanticTokensClientCapabilities_requests_full_1 &
    {
        if (this != &other) {
            delta = std::move(other.delta);
        }
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_full_1::operator=(
        const SemanticTokensClientCapabilities_requests_full_1 &other
    ) -> SemanticTokensClientCapabilities_requests_full_1 &
    {
        if (this != &other) {
            if (other.delta.has_value()) {
                delta = other.delta.value();
            }
        }
        return *this;
    }

    const std::map<
        SemanticTokensClientCapabilities_requests_fullType,
        std::string
    > SemanticTokensClientCapabilities_requests_fullTypeNames = {
        {SemanticTokensClientCapabilities_requests_fullType::Uninitialized,
         "Uninitialized"},
        {SemanticTokensClientCapabilities_requests_fullType::Boolean,
         "Boolean"},
        {SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1,
         "SemanticTokensClientCapabilities_requests_full_1"},
    };

    SemanticTokensClientCapabilities_requests_full::SemanticTokensClientCapabilities_requests_full()
    {
        // empty
    }

    SemanticTokensClientCapabilities_requests_full::~SemanticTokensClientCapabilities_requests_full()
    {
        reset();
    }

    SemanticTokensClientCapabilities_requests_full::SemanticTokensClientCapabilities_requests_full(
        SemanticTokensClientCapabilities_requests_full &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SemanticTokensClientCapabilities_requests_fullType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1: {
            new (&_semanticTokensClientCapabilities_requests_full_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> {
                std::move(other._semanticTokensClientCapabilities_requests_full_1)
            };
            break;
        }
        case SemanticTokensClientCapabilities_requests_fullType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            SemanticTokensClientCapabilities_requests_fullType::Uninitialized;
    }

    SemanticTokensClientCapabilities_requests_full::SemanticTokensClientCapabilities_requests_full(
        const SemanticTokensClientCapabilities_requests_full &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SemanticTokensClientCapabilities_requests_fullType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1: {
            new (&_semanticTokensClientCapabilities_requests_full_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> {
                std::make_unique<SemanticTokensClientCapabilities_requests_full_1>(*other._semanticTokensClientCapabilities_requests_full_1)
            };
            break;
        }
        case SemanticTokensClientCapabilities_requests_fullType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto SemanticTokensClientCapabilities_requests_full::operator=(
        SemanticTokensClientCapabilities_requests_full &&other
    ) -> SemanticTokensClientCapabilities_requests_full &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SemanticTokensClientCapabilities_requests_fullType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1: {
                new (&_semanticTokensClientCapabilities_requests_full_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> {
                    std::move(other._semanticTokensClientCapabilities_requests_full_1)
                };
                break;
            }
            case SemanticTokensClientCapabilities_requests_fullType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                SemanticTokensClientCapabilities_requests_fullType::Uninitialized;
        }
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_full::operator=(
        const SemanticTokensClientCapabilities_requests_full &other
    ) -> SemanticTokensClientCapabilities_requests_full &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SemanticTokensClientCapabilities_requests_fullType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1: {
                new (&_semanticTokensClientCapabilities_requests_full_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> {
                    std::make_unique<SemanticTokensClientCapabilities_requests_full_1>(*other._semanticTokensClientCapabilities_requests_full_1)
                };
                break;
            }
            case SemanticTokensClientCapabilities_requests_fullType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_full::reset() -> void
    {
        switch (_type) {
        case SemanticTokensClientCapabilities_requests_fullType::Uninitialized: {
            // nothing to do
            break;
        }
        case SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1: {
#ifdef DEBUG
            if (!_semanticTokensClientCapabilities_requests_full_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensClientCapabilities_requests_full_1"
                );
            }
#endif // DEBUG
            _semanticTokensClientCapabilities_requests_full_1.~unique_ptr<SemanticTokensClientCapabilities_requests_full_1>();
            _type =
                SemanticTokensClientCapabilities_requests_fullType::Uninitialized;
            break;
        }
        default: {
            _type = SemanticTokensClientCapabilities_requests_fullType::Uninitialized;
        }
        }
    }

    auto SemanticTokensClientCapabilities_requests_full::type() const
    -> const SemanticTokensClientCapabilities_requests_fullType &
    {
        return _type;
    }

    auto SemanticTokensClientCapabilities_requests_full::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != SemanticTokensClientCapabilities_requests_fullType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "SemanticTokensClientCapabilities_requests_full::boolean()"
                 " of type "
                 "SemanticTokensClientCapabilities_requests_fullType::Boolean"
                 " while active type is "
                 "SemanticTokensClientCapabilities_requests_fullType::" +
                 SemanticTokensClientCapabilities_requests_fullTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto SemanticTokensClientCapabilities_requests_full::operator=(
        boolean_t boolean
    ) -> SemanticTokensClientCapabilities_requests_full &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_fullType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = SemanticTokensClientCapabilities_requests_fullType::Boolean;
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_full::semanticTokensClientCapabilities_requests_full_1() const
    -> const SemanticTokensClientCapabilities_requests_full_1 &
    {
#ifdef DEBUG
        if (_type != SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "SemanticTokensClientCapabilities_requests_full::semanticTokensClientCapabilities_requests_full_1()"
                 " of type "
                 "SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1"
                 " while active type is "
                 "SemanticTokensClientCapabilities_requests_fullType::" +
                 SemanticTokensClientCapabilities_requests_fullTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensClientCapabilities_requests_full_1;
    }

    auto SemanticTokensClientCapabilities_requests_full::operator=(
        const std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> &semanticTokensClientCapabilities_requests_full_1
    ) -> SemanticTokensClientCapabilities_requests_full &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_fullType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensClientCapabilities_requests_full_1) {
            throw std::logic_error(
                "null passed as the value of semanticTokensClientCapabilities_requests_full_1"
            );
        }
#endif // DEBUG
        new (&_semanticTokensClientCapabilities_requests_full_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> {
            std::make_unique<SemanticTokensClientCapabilities_requests_full_1>(*semanticTokensClientCapabilities_requests_full_1)
        };
        _type =
            SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1;
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_full::operator=(
        std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> &&semanticTokensClientCapabilities_requests_full_1
    ) -> SemanticTokensClientCapabilities_requests_full &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_fullType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensClientCapabilities_requests_full_1) {
            throw std::logic_error(
                "null passed as the value of semanticTokensClientCapabilities_requests_full_1"
            );
        }
#endif // DEBUG
        new (&_semanticTokensClientCapabilities_requests_full_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> {
            std::move(semanticTokensClientCapabilities_requests_full_1)
        };
        _type =
            SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1;
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_full::operator=(
        const SemanticTokensClientCapabilities_requests_full_1 &semanticTokensClientCapabilities_requests_full_1
    ) -> SemanticTokensClientCapabilities_requests_full &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_fullType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensClientCapabilities_requests_full_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> {
            std::make_unique<SemanticTokensClientCapabilities_requests_full_1>(semanticTokensClientCapabilities_requests_full_1)
        };
        _type =
            SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1;
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_full::operator=(
        SemanticTokensClientCapabilities_requests_full_1 &&semanticTokensClientCapabilities_requests_full_1
    ) -> SemanticTokensClientCapabilities_requests_full &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_fullType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensClientCapabilities_requests_full_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_full_1> {
            std::make_unique<SemanticTokensClientCapabilities_requests_full_1>(std::move(semanticTokensClientCapabilities_requests_full_1))
        };
        _type =
            SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1;
        return *this;
    }

    LinkedEditingRangeClientCapabilities::LinkedEditingRangeClientCapabilities()
    {
        // empty
    }

    LinkedEditingRangeClientCapabilities::LinkedEditingRangeClientCapabilities(
        LinkedEditingRangeClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    LinkedEditingRangeClientCapabilities::LinkedEditingRangeClientCapabilities(
        const LinkedEditingRangeClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    LinkedEditingRangeClientCapabilities::~LinkedEditingRangeClientCapabilities()
    {
        // empty
    }

    auto LinkedEditingRangeClientCapabilities::operator=(
        LinkedEditingRangeClientCapabilities &&other
    ) -> LinkedEditingRangeClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto LinkedEditingRangeClientCapabilities::operator=(
        const LinkedEditingRangeClientCapabilities &other
    ) -> LinkedEditingRangeClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    MonikerClientCapabilities::MonikerClientCapabilities()
    {
        // empty
    }

    MonikerClientCapabilities::MonikerClientCapabilities(
        MonikerClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    MonikerClientCapabilities::MonikerClientCapabilities(
        const MonikerClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    MonikerClientCapabilities::~MonikerClientCapabilities()
    {
        // empty
    }

    auto MonikerClientCapabilities::operator=(
        MonikerClientCapabilities &&other
    ) -> MonikerClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto MonikerClientCapabilities::operator=(
        const MonikerClientCapabilities &other
    ) -> MonikerClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    TypeHierarchyClientCapabilities::TypeHierarchyClientCapabilities()
    {
        // empty
    }

    TypeHierarchyClientCapabilities::TypeHierarchyClientCapabilities(
        TypeHierarchyClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    TypeHierarchyClientCapabilities::TypeHierarchyClientCapabilities(
        const TypeHierarchyClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    TypeHierarchyClientCapabilities::~TypeHierarchyClientCapabilities()
    {
        // empty
    }

    auto TypeHierarchyClientCapabilities::operator=(
        TypeHierarchyClientCapabilities &&other
    ) -> TypeHierarchyClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto TypeHierarchyClientCapabilities::operator=(
        const TypeHierarchyClientCapabilities &other
    ) -> TypeHierarchyClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    InlineValueClientCapabilities::InlineValueClientCapabilities()
    {
        // empty
    }

    InlineValueClientCapabilities::InlineValueClientCapabilities(
        InlineValueClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    InlineValueClientCapabilities::InlineValueClientCapabilities(
        const InlineValueClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    InlineValueClientCapabilities::~InlineValueClientCapabilities()
    {
        // empty
    }

    auto InlineValueClientCapabilities::operator=(
        InlineValueClientCapabilities &&other
    ) -> InlineValueClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto InlineValueClientCapabilities::operator=(
        const InlineValueClientCapabilities &other
    ) -> InlineValueClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    InlayHintClientCapabilities::InlayHintClientCapabilities()
    {
        // empty
    }

    InlayHintClientCapabilities::InlayHintClientCapabilities(
        InlayHintClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , resolveSupport(std::move(other.resolveSupport))
    {
        // empty
    }

    InlayHintClientCapabilities::InlayHintClientCapabilities(
        const InlayHintClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.resolveSupport.has_value()) {
            resolveSupport = other.resolveSupport.value();
        }
    }

    InlayHintClientCapabilities::~InlayHintClientCapabilities()
    {
        // empty
    }

    auto InlayHintClientCapabilities::operator=(
        InlayHintClientCapabilities &&other
    ) -> InlayHintClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            resolveSupport = std::move(other.resolveSupport);
        }
        return *this;
    }

    auto InlayHintClientCapabilities::operator=(
        const InlayHintClientCapabilities &other
    ) -> InlayHintClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.resolveSupport.has_value()) {
                resolveSupport = other.resolveSupport.value();
            }
        }
        return *this;
    }

    DiagnosticClientCapabilities::DiagnosticClientCapabilities()
    {
        // empty
    }

    DiagnosticClientCapabilities::DiagnosticClientCapabilities(
        DiagnosticClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , relatedDocumentSupport(std::move(other.relatedDocumentSupport))
    {
        // empty
    }

    DiagnosticClientCapabilities::DiagnosticClientCapabilities(
        const DiagnosticClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.relatedDocumentSupport.has_value()) {
            relatedDocumentSupport = other.relatedDocumentSupport.value();
        }
    }

    DiagnosticClientCapabilities::~DiagnosticClientCapabilities()
    {
        // empty
    }

    auto DiagnosticClientCapabilities::operator=(
        DiagnosticClientCapabilities &&other
    ) -> DiagnosticClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            relatedDocumentSupport = std::move(other.relatedDocumentSupport);
        }
        return *this;
    }

    auto DiagnosticClientCapabilities::operator=(
        const DiagnosticClientCapabilities &other
    ) -> DiagnosticClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.relatedDocumentSupport.has_value()) {
                relatedDocumentSupport = other.relatedDocumentSupport.value();
            }
        }
        return *this;
    }

    InlineCompletionClientCapabilities::InlineCompletionClientCapabilities()
    {
        // empty
    }

    InlineCompletionClientCapabilities::InlineCompletionClientCapabilities(
        InlineCompletionClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
    {
        // empty
    }

    InlineCompletionClientCapabilities::InlineCompletionClientCapabilities(
        const InlineCompletionClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
    }

    InlineCompletionClientCapabilities::~InlineCompletionClientCapabilities()
    {
        // empty
    }

    auto InlineCompletionClientCapabilities::operator=(
        InlineCompletionClientCapabilities &&other
    ) -> InlineCompletionClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
        }
        return *this;
    }

    auto InlineCompletionClientCapabilities::operator=(
        const InlineCompletionClientCapabilities &other
    ) -> InlineCompletionClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
        }
        return *this;
    }

    NotebookDocumentSyncClientCapabilities::NotebookDocumentSyncClientCapabilities()
    {
        // empty
    }

    NotebookDocumentSyncClientCapabilities::NotebookDocumentSyncClientCapabilities(
        NotebookDocumentSyncClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , executionSummarySupport(std::move(other.executionSummarySupport))
    {
        // empty
    }

    NotebookDocumentSyncClientCapabilities::NotebookDocumentSyncClientCapabilities(
        const NotebookDocumentSyncClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.executionSummarySupport.has_value()) {
            executionSummarySupport = other.executionSummarySupport.value();
        }
    }

    NotebookDocumentSyncClientCapabilities::~NotebookDocumentSyncClientCapabilities()
    {
        // empty
    }

    auto NotebookDocumentSyncClientCapabilities::operator=(
        NotebookDocumentSyncClientCapabilities &&other
    ) -> NotebookDocumentSyncClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            executionSummarySupport = std::move(other.executionSummarySupport);
        }
        return *this;
    }

    auto NotebookDocumentSyncClientCapabilities::operator=(
        const NotebookDocumentSyncClientCapabilities &other
    ) -> NotebookDocumentSyncClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.executionSummarySupport.has_value()) {
                executionSummarySupport =
                    other.executionSummarySupport.value();
            }
        }
        return *this;
    }

    NotebookDocumentClientCapabilities::NotebookDocumentClientCapabilities()
    {
        // empty
    }

    NotebookDocumentClientCapabilities::NotebookDocumentClientCapabilities(
        NotebookDocumentClientCapabilities &&other
    )
        : synchronization(std::move(other.synchronization))
    {
        // empty
    }

    NotebookDocumentClientCapabilities::NotebookDocumentClientCapabilities(
        const NotebookDocumentClientCapabilities &other
    )
        : synchronization(other.synchronization)
    {
    }

    NotebookDocumentClientCapabilities::~NotebookDocumentClientCapabilities()
    {
        // empty
    }

    auto NotebookDocumentClientCapabilities::operator=(
        NotebookDocumentClientCapabilities &&other
    ) -> NotebookDocumentClientCapabilities &
    {
        if (this != &other) {
            synchronization = std::move(other.synchronization);
        }
        return *this;
    }

    auto NotebookDocumentClientCapabilities::operator=(
        const NotebookDocumentClientCapabilities &other
    ) -> NotebookDocumentClientCapabilities &
    {
        if (this != &other) {
            synchronization = other.synchronization;
        }
        return *this;
    }

    ShowMessageRequestClientCapabilities_messageActionItem::ShowMessageRequestClientCapabilities_messageActionItem()
    {
        // empty
    }

    ShowMessageRequestClientCapabilities_messageActionItem::ShowMessageRequestClientCapabilities_messageActionItem(
        ShowMessageRequestClientCapabilities_messageActionItem &&other
    )
        : additionalPropertiesSupport(std::move(other.additionalPropertiesSupport))
    {
        // empty
    }

    ShowMessageRequestClientCapabilities_messageActionItem::ShowMessageRequestClientCapabilities_messageActionItem(
        const ShowMessageRequestClientCapabilities_messageActionItem &other
    )
    {
        if (other.additionalPropertiesSupport.has_value()) {
            additionalPropertiesSupport =
                other.additionalPropertiesSupport.value();
        }
    }

    ShowMessageRequestClientCapabilities_messageActionItem::~ShowMessageRequestClientCapabilities_messageActionItem()
    {
        // empty
    }

    auto ShowMessageRequestClientCapabilities_messageActionItem::operator=(
        ShowMessageRequestClientCapabilities_messageActionItem &&other
    ) -> ShowMessageRequestClientCapabilities_messageActionItem &
    {
        if (this != &other) {
            additionalPropertiesSupport =
                std::move(other.additionalPropertiesSupport);
        }
        return *this;
    }

    auto ShowMessageRequestClientCapabilities_messageActionItem::operator=(
        const ShowMessageRequestClientCapabilities_messageActionItem &other
    ) -> ShowMessageRequestClientCapabilities_messageActionItem &
    {
        if (this != &other) {
            if (other.additionalPropertiesSupport.has_value()) {
                additionalPropertiesSupport =
                    other.additionalPropertiesSupport.value();
            }
        }
        return *this;
    }

    ShowMessageRequestClientCapabilities::ShowMessageRequestClientCapabilities()
    {
        // empty
    }

    ShowMessageRequestClientCapabilities::ShowMessageRequestClientCapabilities(
        ShowMessageRequestClientCapabilities &&other
    )
        : messageActionItem(std::move(other.messageActionItem))
    {
        // empty
    }

    ShowMessageRequestClientCapabilities::ShowMessageRequestClientCapabilities(
        const ShowMessageRequestClientCapabilities &other
    )
    {
        if (other.messageActionItem.has_value()) {
            messageActionItem = other.messageActionItem.value();
        }
    }

    ShowMessageRequestClientCapabilities::~ShowMessageRequestClientCapabilities()
    {
        // empty
    }

    auto ShowMessageRequestClientCapabilities::operator=(
        ShowMessageRequestClientCapabilities &&other
    ) -> ShowMessageRequestClientCapabilities &
    {
        if (this != &other) {
            messageActionItem = std::move(other.messageActionItem);
        }
        return *this;
    }

    auto ShowMessageRequestClientCapabilities::operator=(
        const ShowMessageRequestClientCapabilities &other
    ) -> ShowMessageRequestClientCapabilities &
    {
        if (this != &other) {
            if (other.messageActionItem.has_value()) {
                messageActionItem = other.messageActionItem.value();
            }
        }
        return *this;
    }

    ShowDocumentClientCapabilities::ShowDocumentClientCapabilities()
    {
        // empty
    }

    ShowDocumentClientCapabilities::ShowDocumentClientCapabilities(
        ShowDocumentClientCapabilities &&other
    )
        : support(other.support)
    {
        // empty
    }

    ShowDocumentClientCapabilities::ShowDocumentClientCapabilities(
        const ShowDocumentClientCapabilities &other
    )
        : support(other.support)
    {
    }

    ShowDocumentClientCapabilities::~ShowDocumentClientCapabilities()
    {
        // empty
    }

    auto ShowDocumentClientCapabilities::operator=(
        ShowDocumentClientCapabilities &&other
    ) -> ShowDocumentClientCapabilities &
    {
        if (this != &other) {
            support = other.support;
        }
        return *this;
    }

    auto ShowDocumentClientCapabilities::operator=(
        const ShowDocumentClientCapabilities &other
    ) -> ShowDocumentClientCapabilities &
    {
        if (this != &other) {
            support = other.support;
        }
        return *this;
    }

    WindowClientCapabilities::WindowClientCapabilities()
    {
        // empty
    }

    WindowClientCapabilities::WindowClientCapabilities(
        WindowClientCapabilities &&other
    )
        : workDoneProgress(std::move(other.workDoneProgress))
        , showMessage(std::move(other.showMessage))
        , showDocument(std::move(other.showDocument))
    {
        // empty
    }

    WindowClientCapabilities::WindowClientCapabilities(
        const WindowClientCapabilities &other
    )
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.showMessage.has_value()) {
            showMessage = other.showMessage.value();
        }
        if (other.showDocument.has_value()) {
            showDocument = other.showDocument.value();
        }
    }

    WindowClientCapabilities::~WindowClientCapabilities()
    {
        // empty
    }

    auto WindowClientCapabilities::operator=(
        WindowClientCapabilities &&other
    ) -> WindowClientCapabilities &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            showMessage = std::move(other.showMessage);
            showDocument = std::move(other.showDocument);
        }
        return *this;
    }

    auto WindowClientCapabilities::operator=(
        const WindowClientCapabilities &other
    ) -> WindowClientCapabilities &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            if (other.showMessage.has_value()) {
                showMessage = other.showMessage.value();
            }
            if (other.showDocument.has_value()) {
                showDocument = other.showDocument.value();
            }
        }
        return *this;
    }

    PrepareRenameResult_2::PrepareRenameResult_2()
    {
        // empty
    }

    PrepareRenameResult_2::PrepareRenameResult_2(PrepareRenameResult_2 &&other)
        : defaultBehavior(other.defaultBehavior)
    {
        // empty
    }

    PrepareRenameResult_2::PrepareRenameResult_2(
        const PrepareRenameResult_2 &other
    )
        : defaultBehavior(other.defaultBehavior)
    {
    }

    PrepareRenameResult_2::~PrepareRenameResult_2()
    {
        // empty
    }

    auto PrepareRenameResult_2::operator=(
        PrepareRenameResult_2 &&other
    ) -> PrepareRenameResult_2 &
    {
        if (this != &other) {
            defaultBehavior = other.defaultBehavior;
        }
        return *this;
    }

    auto PrepareRenameResult_2::operator=(
        const PrepareRenameResult_2 &other
    ) -> PrepareRenameResult_2 &
    {
        if (this != &other) {
            defaultBehavior = other.defaultBehavior;
        }
        return *this;
    }

    const std::map<
        TextDocumentRegistrationOptions_documentSelectorType,
        std::string
    > TextDocumentRegistrationOptions_documentSelectorTypeNames = {
        {TextDocumentRegistrationOptions_documentSelectorType::Uninitialized,
         "Uninitialized"},
        {TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector,
         "DocumentSelector"},
        {TextDocumentRegistrationOptions_documentSelectorType::Null, "Null"},
    };

    TextDocumentRegistrationOptions_documentSelector::TextDocumentRegistrationOptions_documentSelector()
    {
        // empty
    }

    TextDocumentRegistrationOptions_documentSelector::~TextDocumentRegistrationOptions_documentSelector()
    {
        reset();
    }

    TextDocumentRegistrationOptions_documentSelector::TextDocumentRegistrationOptions_documentSelector(
        TextDocumentRegistrationOptions_documentSelector &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector: {
            new (&_documentSelector) std::unique_ptr<DocumentSelector> {
                std::move(other._documentSelector)
            };
            break;
        }
        case TextDocumentRegistrationOptions_documentSelectorType::Null: {
            _null = other._null;
            break;
        }
        case TextDocumentRegistrationOptions_documentSelectorType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            TextDocumentRegistrationOptions_documentSelectorType::Uninitialized;
    }

    TextDocumentRegistrationOptions_documentSelector::TextDocumentRegistrationOptions_documentSelector(
        const TextDocumentRegistrationOptions_documentSelector &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector: {
            _documentSelector =
                std::make_unique<std::vector<DocumentFilter>>(*other._documentSelector);
            break;
        }
        case TextDocumentRegistrationOptions_documentSelectorType::Null: {
            _null = other._null;
            break;
        }
        case TextDocumentRegistrationOptions_documentSelectorType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocumentRegistrationOptions_documentSelector::operator=(
        TextDocumentRegistrationOptions_documentSelector &&other
    ) -> TextDocumentRegistrationOptions_documentSelector &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector: {
                new (&_documentSelector) std::unique_ptr<DocumentSelector> {
                    std::move(other._documentSelector)
                };
                break;
            }
            case TextDocumentRegistrationOptions_documentSelectorType::Null: {
                _null = other._null;
                break;
            }
            case TextDocumentRegistrationOptions_documentSelectorType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocumentRegistrationOptions_documentSelectorType::Uninitialized;
        }
        return *this;
    }

    auto TextDocumentRegistrationOptions_documentSelector::operator=(
        const TextDocumentRegistrationOptions_documentSelector &other
    ) -> TextDocumentRegistrationOptions_documentSelector &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector: {
                _documentSelector =
                    std::make_unique<std::vector<DocumentFilter>>(*other._documentSelector);
                break;
            }
            case TextDocumentRegistrationOptions_documentSelectorType::Null: {
                _null = other._null;
                break;
            }
            case TextDocumentRegistrationOptions_documentSelectorType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocumentRegistrationOptions_documentSelector::reset() -> void
    {
        switch (_type) {
        case TextDocumentRegistrationOptions_documentSelectorType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector: {
#ifdef DEBUG
            if (!_documentSelector) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentSelector"
                );
            }
#endif // DEBUG
            _documentSelector.~unique_ptr<DocumentSelector>();
            _type =
                TextDocumentRegistrationOptions_documentSelectorType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocumentRegistrationOptions_documentSelectorType::Uninitialized;
        }
        }
    }

    auto TextDocumentRegistrationOptions_documentSelector::type() const
    -> const TextDocumentRegistrationOptions_documentSelectorType &
    {
        return _type;
    }

    auto TextDocumentRegistrationOptions_documentSelector::documentSelector() const
    -> const DocumentSelector &
    {
#ifdef DEBUG
        if (_type != TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentRegistrationOptions_documentSelector::documentSelector()"
                 " of type "
                 "TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector"
                 " while active type is "
                 "TextDocumentRegistrationOptions_documentSelectorType::" +
                 TextDocumentRegistrationOptions_documentSelectorTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentSelector;
    }

    auto TextDocumentRegistrationOptions_documentSelector::operator=(
        const std::unique_ptr<DocumentSelector> &documentSelector
    ) -> TextDocumentRegistrationOptions_documentSelector &
    {
        if (_type !=
                TextDocumentRegistrationOptions_documentSelectorType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentSelector) {
            throw std::logic_error(
                "null passed as the value of documentSelector"
            );
        }
#endif // DEBUG
        _documentSelector =
            std::make_unique<std::vector<DocumentFilter>>(*documentSelector);
        _type =
            TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector;
        return *this;
    }

    auto TextDocumentRegistrationOptions_documentSelector::operator=(
        std::unique_ptr<DocumentSelector> &&documentSelector
    ) -> TextDocumentRegistrationOptions_documentSelector &
    {
        if (_type !=
                TextDocumentRegistrationOptions_documentSelectorType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentSelector) {
            throw std::logic_error(
                "null passed as the value of documentSelector"
            );
        }
#endif // DEBUG
        new (&_documentSelector) std::unique_ptr<DocumentSelector> {
            std::move(documentSelector)
        };
        _type =
            TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector;
        return *this;
    }

    auto TextDocumentRegistrationOptions_documentSelector::operator=(
        const DocumentSelector &documentSelector
    ) -> TextDocumentRegistrationOptions_documentSelector &
    {
        if (_type !=
                TextDocumentRegistrationOptions_documentSelectorType::Uninitialized) {
            reset();
        }
        _documentSelector =
            std::make_unique<std::vector<DocumentFilter>>(documentSelector);
        _type =
            TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector;
        return *this;
    }

    auto TextDocumentRegistrationOptions_documentSelector::operator=(
        DocumentSelector &&documentSelector
    ) -> TextDocumentRegistrationOptions_documentSelector &
    {
        if (_type !=
                TextDocumentRegistrationOptions_documentSelectorType::Uninitialized) {
            reset();
        }
        new (&_documentSelector) std::unique_ptr<DocumentSelector> {
            std::make_unique<DocumentSelector>(std::move(documentSelector))
        };
        _type =
            TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector;
        return *this;
    }

    auto TextDocumentRegistrationOptions_documentSelector::null() const
    -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocumentRegistrationOptions_documentSelectorType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentRegistrationOptions_documentSelector::null()"
                 " of type "
                 "TextDocumentRegistrationOptions_documentSelectorType::Null"
                 " while active type is "
                 "TextDocumentRegistrationOptions_documentSelectorType::" +
                 TextDocumentRegistrationOptions_documentSelectorTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocumentRegistrationOptions_documentSelector::operator=(
        null_t null
    ) -> TextDocumentRegistrationOptions_documentSelector &
    {
        if (_type !=
                TextDocumentRegistrationOptions_documentSelectorType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocumentRegistrationOptions_documentSelectorType::Null;
        return *this;
    }

    TextDocumentRegistrationOptions::TextDocumentRegistrationOptions()
    {
        // empty
    }

    TextDocumentRegistrationOptions::TextDocumentRegistrationOptions(
        TextDocumentRegistrationOptions &&other
    )
        : documentSelector(std::move(other.documentSelector))
    {
        // empty
    }

    TextDocumentRegistrationOptions::TextDocumentRegistrationOptions(
        const TextDocumentRegistrationOptions &other
    )
        : documentSelector(TextDocumentRegistrationOptions_documentSelector(other.documentSelector))
    {
    }

    TextDocumentRegistrationOptions::~TextDocumentRegistrationOptions()
    {
        // empty
    }

    auto TextDocumentRegistrationOptions::operator=(
        TextDocumentRegistrationOptions &&other
    ) -> TextDocumentRegistrationOptions &
    {
        if (this != &other) {
            documentSelector = std::move(other.documentSelector);
        }
        return *this;
    }

    auto TextDocumentRegistrationOptions::operator=(
        const TextDocumentRegistrationOptions &other
    ) -> TextDocumentRegistrationOptions &
    {
        if (this != &other) {
            documentSelector =
                TextDocumentRegistrationOptions_documentSelector(other.documentSelector);
        }
        return *this;
    }

    ImplementationRegistrationOptions::ImplementationRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , ImplementationOptions()
    {
        // empty
    }

    ImplementationRegistrationOptions::ImplementationRegistrationOptions(
        ImplementationRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , ImplementationOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    ImplementationRegistrationOptions::ImplementationRegistrationOptions(
        const ImplementationRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , ImplementationOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    ImplementationRegistrationOptions::~ImplementationRegistrationOptions()
    {
        // empty
    }

    auto ImplementationRegistrationOptions::operator=(
        ImplementationRegistrationOptions &&other
    ) -> ImplementationRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            ImplementationOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto ImplementationRegistrationOptions::operator=(
        const ImplementationRegistrationOptions &other
    ) -> ImplementationRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            ImplementationOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    TypeDefinitionRegistrationOptions::TypeDefinitionRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , TypeDefinitionOptions()
    {
        // empty
    }

    TypeDefinitionRegistrationOptions::TypeDefinitionRegistrationOptions(
        TypeDefinitionRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , TypeDefinitionOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    TypeDefinitionRegistrationOptions::TypeDefinitionRegistrationOptions(
        const TypeDefinitionRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , TypeDefinitionOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    TypeDefinitionRegistrationOptions::~TypeDefinitionRegistrationOptions()
    {
        // empty
    }

    auto TypeDefinitionRegistrationOptions::operator=(
        TypeDefinitionRegistrationOptions &&other
    ) -> TypeDefinitionRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            TypeDefinitionOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto TypeDefinitionRegistrationOptions::operator=(
        const TypeDefinitionRegistrationOptions &other
    ) -> TypeDefinitionRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            TypeDefinitionOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    DocumentColorRegistrationOptions::DocumentColorRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , DocumentColorOptions()
    {
        // empty
    }

    DocumentColorRegistrationOptions::DocumentColorRegistrationOptions(
        DocumentColorRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentColorOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    DocumentColorRegistrationOptions::DocumentColorRegistrationOptions(
        const DocumentColorRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentColorOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    DocumentColorRegistrationOptions::~DocumentColorRegistrationOptions()
    {
        // empty
    }

    auto DocumentColorRegistrationOptions::operator=(
        DocumentColorRegistrationOptions &&other
    ) -> DocumentColorRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentColorOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto DocumentColorRegistrationOptions::operator=(
        const DocumentColorRegistrationOptions &other
    ) -> DocumentColorRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentColorOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    FoldingRangeRegistrationOptions::FoldingRangeRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , FoldingRangeOptions()
    {
        // empty
    }

    FoldingRangeRegistrationOptions::FoldingRangeRegistrationOptions(
        FoldingRangeRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , FoldingRangeOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    FoldingRangeRegistrationOptions::FoldingRangeRegistrationOptions(
        const FoldingRangeRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , FoldingRangeOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    FoldingRangeRegistrationOptions::~FoldingRangeRegistrationOptions()
    {
        // empty
    }

    auto FoldingRangeRegistrationOptions::operator=(
        FoldingRangeRegistrationOptions &&other
    ) -> FoldingRangeRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            FoldingRangeOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto FoldingRangeRegistrationOptions::operator=(
        const FoldingRangeRegistrationOptions &other
    ) -> FoldingRangeRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            FoldingRangeOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    DeclarationRegistrationOptions::DeclarationRegistrationOptions()
        : DeclarationOptions()
        , TextDocumentRegistrationOptions()
    {
        // empty
    }

    DeclarationRegistrationOptions::DeclarationRegistrationOptions(
        DeclarationRegistrationOptions &&other
    )
        : DeclarationOptions(other)
        , TextDocumentRegistrationOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    DeclarationRegistrationOptions::DeclarationRegistrationOptions(
        const DeclarationRegistrationOptions &other
    )
        : DeclarationOptions(other)
        , TextDocumentRegistrationOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    DeclarationRegistrationOptions::~DeclarationRegistrationOptions()
    {
        // empty
    }

    auto DeclarationRegistrationOptions::operator=(
        DeclarationRegistrationOptions &&other
    ) -> DeclarationRegistrationOptions &
    {
        if (this != &other) {
            DeclarationOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto DeclarationRegistrationOptions::operator=(
        const DeclarationRegistrationOptions &other
    ) -> DeclarationRegistrationOptions &
    {
        if (this != &other) {
            DeclarationOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    SelectionRangeRegistrationOptions::SelectionRangeRegistrationOptions()
        : SelectionRangeOptions()
        , TextDocumentRegistrationOptions()
    {
        // empty
    }

    SelectionRangeRegistrationOptions::SelectionRangeRegistrationOptions(
        SelectionRangeRegistrationOptions &&other
    )
        : SelectionRangeOptions(other)
        , TextDocumentRegistrationOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    SelectionRangeRegistrationOptions::SelectionRangeRegistrationOptions(
        const SelectionRangeRegistrationOptions &other
    )
        : SelectionRangeOptions(other)
        , TextDocumentRegistrationOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    SelectionRangeRegistrationOptions::~SelectionRangeRegistrationOptions()
    {
        // empty
    }

    auto SelectionRangeRegistrationOptions::operator=(
        SelectionRangeRegistrationOptions &&other
    ) -> SelectionRangeRegistrationOptions &
    {
        if (this != &other) {
            SelectionRangeOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto SelectionRangeRegistrationOptions::operator=(
        const SelectionRangeRegistrationOptions &other
    ) -> SelectionRangeRegistrationOptions &
    {
        if (this != &other) {
            SelectionRangeOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    CallHierarchyRegistrationOptions::CallHierarchyRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , CallHierarchyOptions()
    {
        // empty
    }

    CallHierarchyRegistrationOptions::CallHierarchyRegistrationOptions(
        CallHierarchyRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , CallHierarchyOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    CallHierarchyRegistrationOptions::CallHierarchyRegistrationOptions(
        const CallHierarchyRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , CallHierarchyOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    CallHierarchyRegistrationOptions::~CallHierarchyRegistrationOptions()
    {
        // empty
    }

    auto CallHierarchyRegistrationOptions::operator=(
        CallHierarchyRegistrationOptions &&other
    ) -> CallHierarchyRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            CallHierarchyOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto CallHierarchyRegistrationOptions::operator=(
        const CallHierarchyRegistrationOptions &other
    ) -> CallHierarchyRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            CallHierarchyOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    LinkedEditingRangeRegistrationOptions::LinkedEditingRangeRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , LinkedEditingRangeOptions()
    {
        // empty
    }

    LinkedEditingRangeRegistrationOptions::LinkedEditingRangeRegistrationOptions(
        LinkedEditingRangeRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , LinkedEditingRangeOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    LinkedEditingRangeRegistrationOptions::LinkedEditingRangeRegistrationOptions(
        const LinkedEditingRangeRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , LinkedEditingRangeOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    LinkedEditingRangeRegistrationOptions::~LinkedEditingRangeRegistrationOptions()
    {
        // empty
    }

    auto LinkedEditingRangeRegistrationOptions::operator=(
        LinkedEditingRangeRegistrationOptions &&other
    ) -> LinkedEditingRangeRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            LinkedEditingRangeOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto LinkedEditingRangeRegistrationOptions::operator=(
        const LinkedEditingRangeRegistrationOptions &other
    ) -> LinkedEditingRangeRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            LinkedEditingRangeOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    MonikerRegistrationOptions::MonikerRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , MonikerOptions()
    {
        // empty
    }

    MonikerRegistrationOptions::MonikerRegistrationOptions(
        MonikerRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , MonikerOptions(other)
    {
        // empty
    }

    MonikerRegistrationOptions::MonikerRegistrationOptions(
        const MonikerRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , MonikerOptions(other)
    {
    }

    MonikerRegistrationOptions::~MonikerRegistrationOptions()
    {
        // empty
    }

    auto MonikerRegistrationOptions::operator=(
        MonikerRegistrationOptions &&other
    ) -> MonikerRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            MonikerOptions::operator=(other);
        }
        return *this;
    }

    auto MonikerRegistrationOptions::operator=(
        const MonikerRegistrationOptions &other
    ) -> MonikerRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            MonikerOptions::operator=(other);
        }
        return *this;
    }

    TypeHierarchyRegistrationOptions::TypeHierarchyRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , TypeHierarchyOptions()
    {
        // empty
    }

    TypeHierarchyRegistrationOptions::TypeHierarchyRegistrationOptions(
        TypeHierarchyRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , TypeHierarchyOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    TypeHierarchyRegistrationOptions::TypeHierarchyRegistrationOptions(
        const TypeHierarchyRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , TypeHierarchyOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    TypeHierarchyRegistrationOptions::~TypeHierarchyRegistrationOptions()
    {
        // empty
    }

    auto TypeHierarchyRegistrationOptions::operator=(
        TypeHierarchyRegistrationOptions &&other
    ) -> TypeHierarchyRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            TypeHierarchyOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto TypeHierarchyRegistrationOptions::operator=(
        const TypeHierarchyRegistrationOptions &other
    ) -> TypeHierarchyRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            TypeHierarchyOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    InlineValueRegistrationOptions::InlineValueRegistrationOptions()
        : InlineValueOptions()
        , TextDocumentRegistrationOptions()
    {
        // empty
    }

    InlineValueRegistrationOptions::InlineValueRegistrationOptions(
        InlineValueRegistrationOptions &&other
    )
        : InlineValueOptions(other)
        , TextDocumentRegistrationOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    InlineValueRegistrationOptions::InlineValueRegistrationOptions(
        const InlineValueRegistrationOptions &other
    )
        : InlineValueOptions(other)
        , TextDocumentRegistrationOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    InlineValueRegistrationOptions::~InlineValueRegistrationOptions()
    {
        // empty
    }

    auto InlineValueRegistrationOptions::operator=(
        InlineValueRegistrationOptions &&other
    ) -> InlineValueRegistrationOptions &
    {
        if (this != &other) {
            InlineValueOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto InlineValueRegistrationOptions::operator=(
        const InlineValueRegistrationOptions &other
    ) -> InlineValueRegistrationOptions &
    {
        if (this != &other) {
            InlineValueOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    InlayHintRegistrationOptions::InlayHintRegistrationOptions()
        : InlayHintOptions()
        , TextDocumentRegistrationOptions()
    {
        // empty
    }

    InlayHintRegistrationOptions::InlayHintRegistrationOptions(
        InlayHintRegistrationOptions &&other
    )
        : InlayHintOptions(other)
        , TextDocumentRegistrationOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    InlayHintRegistrationOptions::InlayHintRegistrationOptions(
        const InlayHintRegistrationOptions &other
    )
        : InlayHintOptions(other)
        , TextDocumentRegistrationOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    InlayHintRegistrationOptions::~InlayHintRegistrationOptions()
    {
        // empty
    }

    auto InlayHintRegistrationOptions::operator=(
        InlayHintRegistrationOptions &&other
    ) -> InlayHintRegistrationOptions &
    {
        if (this != &other) {
            InlayHintOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto InlayHintRegistrationOptions::operator=(
        const InlayHintRegistrationOptions &other
    ) -> InlayHintRegistrationOptions &
    {
        if (this != &other) {
            InlayHintOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    DiagnosticRegistrationOptions::DiagnosticRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , DiagnosticOptions()
    {
        // empty
    }

    DiagnosticRegistrationOptions::DiagnosticRegistrationOptions(
        DiagnosticRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , DiagnosticOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    DiagnosticRegistrationOptions::DiagnosticRegistrationOptions(
        const DiagnosticRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , DiagnosticOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    DiagnosticRegistrationOptions::~DiagnosticRegistrationOptions()
    {
        // empty
    }

    auto DiagnosticRegistrationOptions::operator=(
        DiagnosticRegistrationOptions &&other
    ) -> DiagnosticRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DiagnosticOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto DiagnosticRegistrationOptions::operator=(
        const DiagnosticRegistrationOptions &other
    ) -> DiagnosticRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DiagnosticOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    InlineCompletionRegistrationOptions::InlineCompletionRegistrationOptions()
        : InlineCompletionOptions()
        , TextDocumentRegistrationOptions()
    {
        // empty
    }

    InlineCompletionRegistrationOptions::InlineCompletionRegistrationOptions(
        InlineCompletionRegistrationOptions &&other
    )
        : InlineCompletionOptions(other)
        , TextDocumentRegistrationOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    InlineCompletionRegistrationOptions::InlineCompletionRegistrationOptions(
        const InlineCompletionRegistrationOptions &other
    )
        : InlineCompletionOptions(other)
        , TextDocumentRegistrationOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    InlineCompletionRegistrationOptions::~InlineCompletionRegistrationOptions()
    {
        // empty
    }

    auto InlineCompletionRegistrationOptions::operator=(
        InlineCompletionRegistrationOptions &&other
    ) -> InlineCompletionRegistrationOptions &
    {
        if (this != &other) {
            InlineCompletionOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto InlineCompletionRegistrationOptions::operator=(
        const InlineCompletionRegistrationOptions &other
    ) -> InlineCompletionRegistrationOptions &
    {
        if (this != &other) {
            InlineCompletionOptions::operator=(other);
            TextDocumentRegistrationOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    TextDocumentChangeRegistrationOptions::TextDocumentChangeRegistrationOptions()
        : TextDocumentRegistrationOptions()
    {
        // empty
    }

    TextDocumentChangeRegistrationOptions::TextDocumentChangeRegistrationOptions(
        TextDocumentChangeRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , syncKind(std::move(other.syncKind))
    {
        // empty
    }

    TextDocumentChangeRegistrationOptions::TextDocumentChangeRegistrationOptions(
        const TextDocumentChangeRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , syncKind(other.syncKind)
    {
    }

    TextDocumentChangeRegistrationOptions::~TextDocumentChangeRegistrationOptions()
    {
        // empty
    }

    auto TextDocumentChangeRegistrationOptions::operator=(
        TextDocumentChangeRegistrationOptions &&other
    ) -> TextDocumentChangeRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            syncKind = std::move(other.syncKind);
        }
        return *this;
    }

    auto TextDocumentChangeRegistrationOptions::operator=(
        const TextDocumentChangeRegistrationOptions &other
    ) -> TextDocumentChangeRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            syncKind = other.syncKind;
        }
        return *this;
    }

    TextDocumentSaveRegistrationOptions::TextDocumentSaveRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , SaveOptions()
    {
        // empty
    }

    TextDocumentSaveRegistrationOptions::TextDocumentSaveRegistrationOptions(
        TextDocumentSaveRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , SaveOptions(other)
    {
        // empty
    }

    TextDocumentSaveRegistrationOptions::TextDocumentSaveRegistrationOptions(
        const TextDocumentSaveRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , SaveOptions(other)
    {
    }

    TextDocumentSaveRegistrationOptions::~TextDocumentSaveRegistrationOptions()
    {
        // empty
    }

    auto TextDocumentSaveRegistrationOptions::operator=(
        TextDocumentSaveRegistrationOptions &&other
    ) -> TextDocumentSaveRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            SaveOptions::operator=(other);
        }
        return *this;
    }

    auto TextDocumentSaveRegistrationOptions::operator=(
        const TextDocumentSaveRegistrationOptions &other
    ) -> TextDocumentSaveRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            SaveOptions::operator=(other);
        }
        return *this;
    }

    CompletionRegistrationOptions::CompletionRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , CompletionOptions()
    {
        // empty
    }

    CompletionRegistrationOptions::CompletionRegistrationOptions(
        CompletionRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , CompletionOptions(other)
    {
        // empty
    }

    CompletionRegistrationOptions::CompletionRegistrationOptions(
        const CompletionRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , CompletionOptions(other)
    {
    }

    CompletionRegistrationOptions::~CompletionRegistrationOptions()
    {
        // empty
    }

    auto CompletionRegistrationOptions::operator=(
        CompletionRegistrationOptions &&other
    ) -> CompletionRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            CompletionOptions::operator=(other);
        }
        return *this;
    }

    auto CompletionRegistrationOptions::operator=(
        const CompletionRegistrationOptions &other
    ) -> CompletionRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            CompletionOptions::operator=(other);
        }
        return *this;
    }

    HoverRegistrationOptions::HoverRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , HoverOptions()
    {
        // empty
    }

    HoverRegistrationOptions::HoverRegistrationOptions(
        HoverRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , HoverOptions(other)
    {
        // empty
    }

    HoverRegistrationOptions::HoverRegistrationOptions(
        const HoverRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , HoverOptions(other)
    {
    }

    HoverRegistrationOptions::~HoverRegistrationOptions()
    {
        // empty
    }

    auto HoverRegistrationOptions::operator=(
        HoverRegistrationOptions &&other
    ) -> HoverRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            HoverOptions::operator=(other);
        }
        return *this;
    }

    auto HoverRegistrationOptions::operator=(
        const HoverRegistrationOptions &other
    ) -> HoverRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            HoverOptions::operator=(other);
        }
        return *this;
    }

    SignatureHelpRegistrationOptions::SignatureHelpRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , SignatureHelpOptions()
    {
        // empty
    }

    SignatureHelpRegistrationOptions::SignatureHelpRegistrationOptions(
        SignatureHelpRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , SignatureHelpOptions(other)
    {
        // empty
    }

    SignatureHelpRegistrationOptions::SignatureHelpRegistrationOptions(
        const SignatureHelpRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , SignatureHelpOptions(other)
    {
    }

    SignatureHelpRegistrationOptions::~SignatureHelpRegistrationOptions()
    {
        // empty
    }

    auto SignatureHelpRegistrationOptions::operator=(
        SignatureHelpRegistrationOptions &&other
    ) -> SignatureHelpRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            SignatureHelpOptions::operator=(other);
        }
        return *this;
    }

    auto SignatureHelpRegistrationOptions::operator=(
        const SignatureHelpRegistrationOptions &other
    ) -> SignatureHelpRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            SignatureHelpOptions::operator=(other);
        }
        return *this;
    }

    DefinitionRegistrationOptions::DefinitionRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , DefinitionOptions()
    {
        // empty
    }

    DefinitionRegistrationOptions::DefinitionRegistrationOptions(
        DefinitionRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , DefinitionOptions(other)
    {
        // empty
    }

    DefinitionRegistrationOptions::DefinitionRegistrationOptions(
        const DefinitionRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , DefinitionOptions(other)
    {
    }

    DefinitionRegistrationOptions::~DefinitionRegistrationOptions()
    {
        // empty
    }

    auto DefinitionRegistrationOptions::operator=(
        DefinitionRegistrationOptions &&other
    ) -> DefinitionRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DefinitionOptions::operator=(other);
        }
        return *this;
    }

    auto DefinitionRegistrationOptions::operator=(
        const DefinitionRegistrationOptions &other
    ) -> DefinitionRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DefinitionOptions::operator=(other);
        }
        return *this;
    }

    ReferenceRegistrationOptions::ReferenceRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , ReferenceOptions()
    {
        // empty
    }

    ReferenceRegistrationOptions::ReferenceRegistrationOptions(
        ReferenceRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , ReferenceOptions(other)
    {
        // empty
    }

    ReferenceRegistrationOptions::ReferenceRegistrationOptions(
        const ReferenceRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , ReferenceOptions(other)
    {
    }

    ReferenceRegistrationOptions::~ReferenceRegistrationOptions()
    {
        // empty
    }

    auto ReferenceRegistrationOptions::operator=(
        ReferenceRegistrationOptions &&other
    ) -> ReferenceRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            ReferenceOptions::operator=(other);
        }
        return *this;
    }

    auto ReferenceRegistrationOptions::operator=(
        const ReferenceRegistrationOptions &other
    ) -> ReferenceRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            ReferenceOptions::operator=(other);
        }
        return *this;
    }

    DocumentHighlightRegistrationOptions::DocumentHighlightRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , DocumentHighlightOptions()
    {
        // empty
    }

    DocumentHighlightRegistrationOptions::DocumentHighlightRegistrationOptions(
        DocumentHighlightRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentHighlightOptions(other)
    {
        // empty
    }

    DocumentHighlightRegistrationOptions::DocumentHighlightRegistrationOptions(
        const DocumentHighlightRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentHighlightOptions(other)
    {
    }

    DocumentHighlightRegistrationOptions::~DocumentHighlightRegistrationOptions()
    {
        // empty
    }

    auto DocumentHighlightRegistrationOptions::operator=(
        DocumentHighlightRegistrationOptions &&other
    ) -> DocumentHighlightRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentHighlightOptions::operator=(other);
        }
        return *this;
    }

    auto DocumentHighlightRegistrationOptions::operator=(
        const DocumentHighlightRegistrationOptions &other
    ) -> DocumentHighlightRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentHighlightOptions::operator=(other);
        }
        return *this;
    }

    DocumentSymbolRegistrationOptions::DocumentSymbolRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , DocumentSymbolOptions()
    {
        // empty
    }

    DocumentSymbolRegistrationOptions::DocumentSymbolRegistrationOptions(
        DocumentSymbolRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentSymbolOptions(other)
    {
        // empty
    }

    DocumentSymbolRegistrationOptions::DocumentSymbolRegistrationOptions(
        const DocumentSymbolRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentSymbolOptions(other)
    {
    }

    DocumentSymbolRegistrationOptions::~DocumentSymbolRegistrationOptions()
    {
        // empty
    }

    auto DocumentSymbolRegistrationOptions::operator=(
        DocumentSymbolRegistrationOptions &&other
    ) -> DocumentSymbolRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentSymbolOptions::operator=(other);
        }
        return *this;
    }

    auto DocumentSymbolRegistrationOptions::operator=(
        const DocumentSymbolRegistrationOptions &other
    ) -> DocumentSymbolRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentSymbolOptions::operator=(other);
        }
        return *this;
    }

    CodeActionRegistrationOptions::CodeActionRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , CodeActionOptions()
    {
        // empty
    }

    CodeActionRegistrationOptions::CodeActionRegistrationOptions(
        CodeActionRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , CodeActionOptions(other)
    {
        // empty
    }

    CodeActionRegistrationOptions::CodeActionRegistrationOptions(
        const CodeActionRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , CodeActionOptions(other)
    {
    }

    CodeActionRegistrationOptions::~CodeActionRegistrationOptions()
    {
        // empty
    }

    auto CodeActionRegistrationOptions::operator=(
        CodeActionRegistrationOptions &&other
    ) -> CodeActionRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            CodeActionOptions::operator=(other);
        }
        return *this;
    }

    auto CodeActionRegistrationOptions::operator=(
        const CodeActionRegistrationOptions &other
    ) -> CodeActionRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            CodeActionOptions::operator=(other);
        }
        return *this;
    }

    CodeLensRegistrationOptions::CodeLensRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , CodeLensOptions()
    {
        // empty
    }

    CodeLensRegistrationOptions::CodeLensRegistrationOptions(
        CodeLensRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , CodeLensOptions(other)
    {
        // empty
    }

    CodeLensRegistrationOptions::CodeLensRegistrationOptions(
        const CodeLensRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , CodeLensOptions(other)
    {
    }

    CodeLensRegistrationOptions::~CodeLensRegistrationOptions()
    {
        // empty
    }

    auto CodeLensRegistrationOptions::operator=(
        CodeLensRegistrationOptions &&other
    ) -> CodeLensRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            CodeLensOptions::operator=(other);
        }
        return *this;
    }

    auto CodeLensRegistrationOptions::operator=(
        const CodeLensRegistrationOptions &other
    ) -> CodeLensRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            CodeLensOptions::operator=(other);
        }
        return *this;
    }

    DocumentLinkRegistrationOptions::DocumentLinkRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , DocumentLinkOptions()
    {
        // empty
    }

    DocumentLinkRegistrationOptions::DocumentLinkRegistrationOptions(
        DocumentLinkRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentLinkOptions(other)
    {
        // empty
    }

    DocumentLinkRegistrationOptions::DocumentLinkRegistrationOptions(
        const DocumentLinkRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentLinkOptions(other)
    {
    }

    DocumentLinkRegistrationOptions::~DocumentLinkRegistrationOptions()
    {
        // empty
    }

    auto DocumentLinkRegistrationOptions::operator=(
        DocumentLinkRegistrationOptions &&other
    ) -> DocumentLinkRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentLinkOptions::operator=(other);
        }
        return *this;
    }

    auto DocumentLinkRegistrationOptions::operator=(
        const DocumentLinkRegistrationOptions &other
    ) -> DocumentLinkRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentLinkOptions::operator=(other);
        }
        return *this;
    }

    DocumentFormattingRegistrationOptions::DocumentFormattingRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , DocumentFormattingOptions()
    {
        // empty
    }

    DocumentFormattingRegistrationOptions::DocumentFormattingRegistrationOptions(
        DocumentFormattingRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentFormattingOptions(other)
    {
        // empty
    }

    DocumentFormattingRegistrationOptions::DocumentFormattingRegistrationOptions(
        const DocumentFormattingRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentFormattingOptions(other)
    {
    }

    DocumentFormattingRegistrationOptions::~DocumentFormattingRegistrationOptions()
    {
        // empty
    }

    auto DocumentFormattingRegistrationOptions::operator=(
        DocumentFormattingRegistrationOptions &&other
    ) -> DocumentFormattingRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentFormattingOptions::operator=(other);
        }
        return *this;
    }

    auto DocumentFormattingRegistrationOptions::operator=(
        const DocumentFormattingRegistrationOptions &other
    ) -> DocumentFormattingRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentFormattingOptions::operator=(other);
        }
        return *this;
    }

    DocumentRangeFormattingRegistrationOptions::DocumentRangeFormattingRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , DocumentRangeFormattingOptions()
    {
        // empty
    }

    DocumentRangeFormattingRegistrationOptions::DocumentRangeFormattingRegistrationOptions(
        DocumentRangeFormattingRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentRangeFormattingOptions(other)
    {
        // empty
    }

    DocumentRangeFormattingRegistrationOptions::DocumentRangeFormattingRegistrationOptions(
        const DocumentRangeFormattingRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentRangeFormattingOptions(other)
    {
    }

    DocumentRangeFormattingRegistrationOptions::~DocumentRangeFormattingRegistrationOptions()
    {
        // empty
    }

    auto DocumentRangeFormattingRegistrationOptions::operator=(
        DocumentRangeFormattingRegistrationOptions &&other
    ) -> DocumentRangeFormattingRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentRangeFormattingOptions::operator=(other);
        }
        return *this;
    }

    auto DocumentRangeFormattingRegistrationOptions::operator=(
        const DocumentRangeFormattingRegistrationOptions &other
    ) -> DocumentRangeFormattingRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentRangeFormattingOptions::operator=(other);
        }
        return *this;
    }

    DocumentOnTypeFormattingRegistrationOptions::DocumentOnTypeFormattingRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , DocumentOnTypeFormattingOptions()
    {
        // empty
    }

    DocumentOnTypeFormattingRegistrationOptions::DocumentOnTypeFormattingRegistrationOptions(
        DocumentOnTypeFormattingRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentOnTypeFormattingOptions(other)
    {
        // empty
    }

    DocumentOnTypeFormattingRegistrationOptions::DocumentOnTypeFormattingRegistrationOptions(
        const DocumentOnTypeFormattingRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , DocumentOnTypeFormattingOptions(other)
    {
    }

    DocumentOnTypeFormattingRegistrationOptions::~DocumentOnTypeFormattingRegistrationOptions()
    {
        // empty
    }

    auto DocumentOnTypeFormattingRegistrationOptions::operator=(
        DocumentOnTypeFormattingRegistrationOptions &&other
    ) -> DocumentOnTypeFormattingRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentOnTypeFormattingOptions::operator=(other);
        }
        return *this;
    }

    auto DocumentOnTypeFormattingRegistrationOptions::operator=(
        const DocumentOnTypeFormattingRegistrationOptions &other
    ) -> DocumentOnTypeFormattingRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            DocumentOnTypeFormattingOptions::operator=(other);
        }
        return *this;
    }

    RenameRegistrationOptions::RenameRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , RenameOptions()
    {
        // empty
    }

    RenameRegistrationOptions::RenameRegistrationOptions(
        RenameRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , RenameOptions(other)
    {
        // empty
    }

    RenameRegistrationOptions::RenameRegistrationOptions(
        const RenameRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , RenameOptions(other)
    {
    }

    RenameRegistrationOptions::~RenameRegistrationOptions()
    {
        // empty
    }

    auto RenameRegistrationOptions::operator=(
        RenameRegistrationOptions &&other
    ) -> RenameRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            RenameOptions::operator=(other);
        }
        return *this;
    }

    auto RenameRegistrationOptions::operator=(
        const RenameRegistrationOptions &other
    ) -> RenameRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            RenameOptions::operator=(other);
        }
        return *this;
    }

    const std::map<_InitializeParams_rootPathType, std::string>
    _InitializeParams_rootPathTypeNames = {
        {_InitializeParams_rootPathType::Uninitialized, "Uninitialized"},
        {_InitializeParams_rootPathType::String, "String"},
        {_InitializeParams_rootPathType::Null, "Null"},
    };

    _InitializeParams_rootPath::_InitializeParams_rootPath()
    {
        // empty
    }

    _InitializeParams_rootPath::~_InitializeParams_rootPath()
    {
        reset();
    }

    _InitializeParams_rootPath::_InitializeParams_rootPath(
        _InitializeParams_rootPath &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case _InitializeParams_rootPathType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case _InitializeParams_rootPathType::Null: {
            _null = other._null;
            break;
        }
        case _InitializeParams_rootPathType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = _InitializeParams_rootPathType::Uninitialized;
    }

    _InitializeParams_rootPath::_InitializeParams_rootPath(
        const _InitializeParams_rootPath &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case _InitializeParams_rootPathType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case _InitializeParams_rootPathType::Null: {
            _null = other._null;
            break;
        }
        case _InitializeParams_rootPathType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto _InitializeParams_rootPath::operator=(
        _InitializeParams_rootPath &&other
    ) -> _InitializeParams_rootPath &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case _InitializeParams_rootPathType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case _InitializeParams_rootPathType::Null: {
                _null = other._null;
                break;
            }
            case _InitializeParams_rootPathType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = _InitializeParams_rootPathType::Uninitialized;
        }
        return *this;
    }

    auto _InitializeParams_rootPath::operator=(
        const _InitializeParams_rootPath &other
    ) -> _InitializeParams_rootPath &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case _InitializeParams_rootPathType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case _InitializeParams_rootPathType::Null: {
                _null = other._null;
                break;
            }
            case _InitializeParams_rootPathType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto _InitializeParams_rootPath::reset() -> void
    {
        switch (_type) {
        case _InitializeParams_rootPathType::Uninitialized: {
            // nothing to do
            break;
        }
        case _InitializeParams_rootPathType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = _InitializeParams_rootPathType::Uninitialized;
            break;
        }
        default: {
            _type = _InitializeParams_rootPathType::Uninitialized;
        }
        }
    }

    auto _InitializeParams_rootPath::type() const
    -> const _InitializeParams_rootPathType &
    {
        return _type;
    }

    auto _InitializeParams_rootPath::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != _InitializeParams_rootPathType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "_InitializeParams_rootPath::string()"
                 " of type "
                 "_InitializeParams_rootPathType::String"
                 " while active type is "
                 "_InitializeParams_rootPathType::" +
                 _InitializeParams_rootPathTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto _InitializeParams_rootPath::operator=(
        const std::unique_ptr<string_t> &string
    ) -> _InitializeParams_rootPath &
    {
        if (_type != _InitializeParams_rootPathType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = _InitializeParams_rootPathType::String;
        return *this;
    }

    auto _InitializeParams_rootPath::operator=(
        std::unique_ptr<string_t> &&string
    ) -> _InitializeParams_rootPath &
    {
        if (_type != _InitializeParams_rootPathType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = _InitializeParams_rootPathType::String;
        return *this;
    }

    auto _InitializeParams_rootPath::operator=(
        const string_t &string
    ) -> _InitializeParams_rootPath &
    {
        if (_type != _InitializeParams_rootPathType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = _InitializeParams_rootPathType::String;
        return *this;
    }

    auto _InitializeParams_rootPath::operator=(
        string_t &&string
    ) -> _InitializeParams_rootPath &
    {
        if (_type != _InitializeParams_rootPathType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = _InitializeParams_rootPathType::String;
        return *this;
    }

    auto _InitializeParams_rootPath::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != _InitializeParams_rootPathType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "_InitializeParams_rootPath::null()"
                 " of type "
                 "_InitializeParams_rootPathType::Null"
                 " while active type is "
                 "_InitializeParams_rootPathType::" +
                 _InitializeParams_rootPathTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto _InitializeParams_rootPath::operator=(
        null_t null
    ) -> _InitializeParams_rootPath &
    {
        if (_type != _InitializeParams_rootPathType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = _InitializeParams_rootPathType::Null;
        return *this;
    }

    const std::map<_InitializeParams_rootUriType, std::string>
    _InitializeParams_rootUriTypeNames = {
        {_InitializeParams_rootUriType::Uninitialized, "Uninitialized"},
        {_InitializeParams_rootUriType::String, "String"},
        {_InitializeParams_rootUriType::Null, "Null"},
    };

    _InitializeParams_rootUri::_InitializeParams_rootUri()
    {
        // empty
    }

    _InitializeParams_rootUri::~_InitializeParams_rootUri()
    {
        reset();
    }

    _InitializeParams_rootUri::_InitializeParams_rootUri(
        _InitializeParams_rootUri &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case _InitializeParams_rootUriType::String: {
            new (&_documentUri) std::unique_ptr<DocumentUri> {
                std::move(other._documentUri)
            };
            break;
        }
        case _InitializeParams_rootUriType::Null: {
            _null = other._null;
            break;
        }
        case _InitializeParams_rootUriType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = _InitializeParams_rootUriType::Uninitialized;
    }

    _InitializeParams_rootUri::_InitializeParams_rootUri(
        const _InitializeParams_rootUri &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case _InitializeParams_rootUriType::String: {
            new (&_documentUri) std::unique_ptr<DocumentUri> {
                std::make_unique<DocumentUri>(*other._documentUri)
            };
            break;
        }
        case _InitializeParams_rootUriType::Null: {
            _null = other._null;
            break;
        }
        case _InitializeParams_rootUriType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto _InitializeParams_rootUri::operator=(
        _InitializeParams_rootUri &&other
    ) -> _InitializeParams_rootUri &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case _InitializeParams_rootUriType::String: {
                new (&_documentUri) std::unique_ptr<DocumentUri> {
                    std::move(other._documentUri)
                };
                break;
            }
            case _InitializeParams_rootUriType::Null: {
                _null = other._null;
                break;
            }
            case _InitializeParams_rootUriType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = _InitializeParams_rootUriType::Uninitialized;
        }
        return *this;
    }

    auto _InitializeParams_rootUri::operator=(
        const _InitializeParams_rootUri &other
    ) -> _InitializeParams_rootUri &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case _InitializeParams_rootUriType::String: {
                new (&_documentUri) std::unique_ptr<DocumentUri> {
                    std::make_unique<DocumentUri>(*other._documentUri)
                };
                break;
            }
            case _InitializeParams_rootUriType::Null: {
                _null = other._null;
                break;
            }
            case _InitializeParams_rootUriType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto _InitializeParams_rootUri::reset() -> void
    {
        switch (_type) {
        case _InitializeParams_rootUriType::Uninitialized: {
            // nothing to do
            break;
        }
        case _InitializeParams_rootUriType::String: {
#ifdef DEBUG
            if (!_documentUri) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentUri"
                );
            }
#endif // DEBUG
            _documentUri.~unique_ptr<DocumentUri>();
            _type = _InitializeParams_rootUriType::Uninitialized;
            break;
        }
        default: {
            _type = _InitializeParams_rootUriType::Uninitialized;
        }
        }
    }

    auto _InitializeParams_rootUri::type() const
    -> const _InitializeParams_rootUriType &
    {
        return _type;
    }

    auto _InitializeParams_rootUri::documentUri() const -> const DocumentUri &
    {
#ifdef DEBUG
        if (_type != _InitializeParams_rootUriType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "_InitializeParams_rootUri::documentUri()"
                 " of type "
                 "_InitializeParams_rootUriType::String"
                 " while active type is "
                 "_InitializeParams_rootUriType::" +
                 _InitializeParams_rootUriTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentUri;
    }

    auto _InitializeParams_rootUri::operator=(
        const std::unique_ptr<DocumentUri> &documentUri
    ) -> _InitializeParams_rootUri &
    {
        if (_type != _InitializeParams_rootUriType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentUri) {
            throw std::logic_error("null passed as the value of documentUri");
        }
#endif // DEBUG
        new (&_documentUri) std::unique_ptr<DocumentUri> {
            std::make_unique<DocumentUri>(*documentUri)
        };
        _type = _InitializeParams_rootUriType::String;
        return *this;
    }

    auto _InitializeParams_rootUri::operator=(
        std::unique_ptr<DocumentUri> &&documentUri
    ) -> _InitializeParams_rootUri &
    {
        if (_type != _InitializeParams_rootUriType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentUri) {
            throw std::logic_error("null passed as the value of documentUri");
        }
#endif // DEBUG
        new (&_documentUri) std::unique_ptr<DocumentUri> {
            std::move(documentUri)
        };
        _type = _InitializeParams_rootUriType::String;
        return *this;
    }

    auto _InitializeParams_rootUri::operator=(
        const DocumentUri &documentUri
    ) -> _InitializeParams_rootUri &
    {
        if (_type != _InitializeParams_rootUriType::Uninitialized) {
            reset();
        }
        new (&_documentUri) std::unique_ptr<DocumentUri> {
            std::make_unique<DocumentUri>(documentUri)
        };
        _type = _InitializeParams_rootUriType::String;
        return *this;
    }

    auto _InitializeParams_rootUri::operator=(
        DocumentUri &&documentUri
    ) -> _InitializeParams_rootUri &
    {
        if (_type != _InitializeParams_rootUriType::Uninitialized) {
            reset();
        }
        new (&_documentUri) std::unique_ptr<DocumentUri> {
            std::make_unique<DocumentUri>(std::move(documentUri))
        };
        _type = _InitializeParams_rootUriType::String;
        return *this;
    }

    auto _InitializeParams_rootUri::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != _InitializeParams_rootUriType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "_InitializeParams_rootUri::null()"
                 " of type "
                 "_InitializeParams_rootUriType::Null"
                 " while active type is "
                 "_InitializeParams_rootUriType::" +
                 _InitializeParams_rootUriTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto _InitializeParams_rootUri::operator=(
        null_t null
    ) -> _InitializeParams_rootUri &
    {
        if (_type != _InitializeParams_rootUriType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = _InitializeParams_rootUriType::Null;
        return *this;
    }

    const std::map<
        WorkspaceFoldersInitializeParams_workspaceFoldersType,
        std::string
    > WorkspaceFoldersInitializeParams_workspaceFoldersTypeNames = {
        {WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized,
         "Uninitialized"},
        {WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray,
         "WorkspaceFolderArray"},
        {WorkspaceFoldersInitializeParams_workspaceFoldersType::Null, "Null"},
    };

    WorkspaceFoldersInitializeParams_workspaceFolders::WorkspaceFoldersInitializeParams_workspaceFolders()
    {
        // empty
    }

    WorkspaceFoldersInitializeParams_workspaceFolders::~WorkspaceFoldersInitializeParams_workspaceFolders()
    {
        reset();
    }

    WorkspaceFoldersInitializeParams_workspaceFolders::WorkspaceFoldersInitializeParams_workspaceFolders(
        WorkspaceFoldersInitializeParams_workspaceFolders &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray: {
            new (&_workspaceFolderArray) std::unique_ptr<WorkspaceFoldersInitializeParams_workspaceFolders_0> {
                std::move(other._workspaceFolderArray)
            };
            break;
        }
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::Null: {
            _null = other._null;
            break;
        }
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized;
    }

    WorkspaceFoldersInitializeParams_workspaceFolders::WorkspaceFoldersInitializeParams_workspaceFolders(
        const WorkspaceFoldersInitializeParams_workspaceFolders &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray: {
            new (&_workspaceFolderArray) std::unique_ptr<std::vector<WorkspaceFolder>> {
                std::make_unique<std::vector<WorkspaceFolder>>()
            };
            _workspaceFolderArray->reserve(
                other._workspaceFolderArray->size()
            );
            for (const auto &elem_0 : *other._workspaceFolderArray) {
                _workspaceFolderArray->push_back(elem_0);
            }
            break;
        }
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::Null: {
            _null = other._null;
            break;
        }
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::operator=(
        WorkspaceFoldersInitializeParams_workspaceFolders &&other
    ) -> WorkspaceFoldersInitializeParams_workspaceFolders &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray: {
                new (&_workspaceFolderArray) std::unique_ptr<WorkspaceFoldersInitializeParams_workspaceFolders_0> {
                    std::move(other._workspaceFolderArray)
                };
                break;
            }
            case WorkspaceFoldersInitializeParams_workspaceFoldersType::Null: {
                _null = other._null;
                break;
            }
            case WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized;
        }
        return *this;
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::operator=(
        const WorkspaceFoldersInitializeParams_workspaceFolders &other
    ) -> WorkspaceFoldersInitializeParams_workspaceFolders &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray: {
                new (&_workspaceFolderArray) std::unique_ptr<std::vector<WorkspaceFolder>> {
                    std::make_unique<std::vector<WorkspaceFolder>>()
                };
                _workspaceFolderArray->reserve(
                    other._workspaceFolderArray->size()
                );
                for (const auto &elem_0 : *other._workspaceFolderArray) {
                    _workspaceFolderArray->push_back(elem_0);
                }
                break;
            }
            case WorkspaceFoldersInitializeParams_workspaceFoldersType::Null: {
                _null = other._null;
                break;
            }
            case WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::reset() -> void
    {
        switch (_type) {
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized: {
            // nothing to do
            break;
        }
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray: {
#ifdef DEBUG
            if (!_workspaceFolderArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceFolderArray"
                );
            }
#endif // DEBUG
            _workspaceFolderArray.~unique_ptr<std::vector<WorkspaceFolder>>();
            _type =
                WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized;
            break;
        }
        default: {
            _type = WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized;
        }
        }
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::type() const
    -> const WorkspaceFoldersInitializeParams_workspaceFoldersType &
    {
        return _type;
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::workspaceFolderArray() const
    -> const std::vector<WorkspaceFolder> &
    {
#ifdef DEBUG
        if (_type != WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceFoldersInitializeParams_workspaceFolders::workspaceFolderArray()"
                 " of type "
                 "WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray"
                 " while active type is "
                 "WorkspaceFoldersInitializeParams_workspaceFoldersType::" +
                 WorkspaceFoldersInitializeParams_workspaceFoldersTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceFolderArray;
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::operator=(
        const std::unique_ptr<std::vector<WorkspaceFolder>> &workspaceFolderArray
    ) -> WorkspaceFoldersInitializeParams_workspaceFolders &
    {
        if (_type !=
                WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceFolderArray) {
            throw std::logic_error(
                "null passed as the value of workspaceFolderArray"
            );
        }
#endif // DEBUG
        new (&_workspaceFolderArray) std::unique_ptr<std::vector<WorkspaceFolder>> {
            std::make_unique<std::vector<WorkspaceFolder>>()
        };
        _workspaceFolderArray->reserve(workspaceFolderArray->size());
        for (const auto &elem_0 : *workspaceFolderArray) {
            _workspaceFolderArray->push_back(elem_0);
        }
        _type =
            WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray;
        return *this;
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::operator=(
        std::unique_ptr<std::vector<WorkspaceFolder>> &&workspaceFolderArray
    ) -> WorkspaceFoldersInitializeParams_workspaceFolders &
    {
        if (_type !=
                WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceFolderArray) {
            throw std::logic_error(
                "null passed as the value of workspaceFolderArray"
            );
        }
#endif // DEBUG
        new (&_workspaceFolderArray) std::unique_ptr<WorkspaceFoldersInitializeParams_workspaceFolders_0> {
            std::move(workspaceFolderArray)
        };
        _type =
            WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray;
        return *this;
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::operator=(
        const std::vector<WorkspaceFolder> &workspaceFolderArray
    ) -> WorkspaceFoldersInitializeParams_workspaceFolders &
    {
        if (_type !=
                WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized) {
            reset();
        }
        new (&_workspaceFolderArray) std::unique_ptr<std::vector<WorkspaceFolder>> {
            std::make_unique<std::vector<WorkspaceFolder>>()
        };
        _workspaceFolderArray->reserve(workspaceFolderArray.size());
        for (const auto &elem_0 : workspaceFolderArray) {
            _workspaceFolderArray->push_back(elem_0);
        }
        _type =
            WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray;
        return *this;
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::operator=(
        std::vector<WorkspaceFolder> &&workspaceFolderArray
    ) -> WorkspaceFoldersInitializeParams_workspaceFolders &
    {
        if (_type !=
                WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized) {
            reset();
        }
        new (&_workspaceFolderArray) std::unique_ptr<WorkspaceFoldersInitializeParams_workspaceFolders_0> {
            std::make_unique<WorkspaceFoldersInitializeParams_workspaceFolders_0>(std::move(workspaceFolderArray))
        };
        _type =
            WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray;
        return *this;
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::null() const
    -> const null_t &
    {
#ifdef DEBUG
        if (_type != WorkspaceFoldersInitializeParams_workspaceFoldersType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceFoldersInitializeParams_workspaceFolders::null()"
                 " of type "
                 "WorkspaceFoldersInitializeParams_workspaceFoldersType::Null"
                 " while active type is "
                 "WorkspaceFoldersInitializeParams_workspaceFoldersType::" +
                 WorkspaceFoldersInitializeParams_workspaceFoldersTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto WorkspaceFoldersInitializeParams_workspaceFolders::operator=(
        null_t null
    ) -> WorkspaceFoldersInitializeParams_workspaceFolders &
    {
        if (_type !=
                WorkspaceFoldersInitializeParams_workspaceFoldersType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = WorkspaceFoldersInitializeParams_workspaceFoldersType::Null;
        return *this;
    }

    WorkspaceFoldersInitializeParams::WorkspaceFoldersInitializeParams()
    {
        // empty
    }

    WorkspaceFoldersInitializeParams::WorkspaceFoldersInitializeParams(
        WorkspaceFoldersInitializeParams &&other
    )
        : workspaceFolders(std::move(other.workspaceFolders))
    {
        // empty
    }

    WorkspaceFoldersInitializeParams::WorkspaceFoldersInitializeParams(
        const WorkspaceFoldersInitializeParams &other
    )
    {
        if (other.workspaceFolders.has_value()) {
            workspaceFolders = other.workspaceFolders.value();
        }
    }

    WorkspaceFoldersInitializeParams::~WorkspaceFoldersInitializeParams()
    {
        // empty
    }

    auto WorkspaceFoldersInitializeParams::operator=(
        WorkspaceFoldersInitializeParams &&other
    ) -> WorkspaceFoldersInitializeParams &
    {
        if (this != &other) {
            workspaceFolders = std::move(other.workspaceFolders);
        }
        return *this;
    }

    auto WorkspaceFoldersInitializeParams::operator=(
        const WorkspaceFoldersInitializeParams &other
    ) -> WorkspaceFoldersInitializeParams &
    {
        if (this != &other) {
            if (other.workspaceFolders.has_value()) {
                workspaceFolders = other.workspaceFolders.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_declarationProviderType, std::string>
    ServerCapabilities_declarationProviderTypeNames = {
        {ServerCapabilities_declarationProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_declarationProviderType::Boolean, "Boolean"},
        {ServerCapabilities_declarationProviderType::DeclarationOptions,
         "DeclarationOptions"},
        {ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions,
         "DeclarationRegistrationOptions"},
    };

    ServerCapabilities_declarationProvider::ServerCapabilities_declarationProvider()
    {
        // empty
    }

    ServerCapabilities_declarationProvider::~ServerCapabilities_declarationProvider()
    {
        reset();
    }

    ServerCapabilities_declarationProvider::ServerCapabilities_declarationProvider(
        ServerCapabilities_declarationProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_declarationProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_declarationProviderType::DeclarationOptions: {
            new (&_declarationOptions) std::unique_ptr<DeclarationOptions> {
                std::move(other._declarationOptions)
            };
            break;
        }
        case ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions: {
            new (&_declarationRegistrationOptions) std::unique_ptr<DeclarationRegistrationOptions> {
                std::move(other._declarationRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_declarationProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_declarationProviderType::Uninitialized;
    }

    ServerCapabilities_declarationProvider::ServerCapabilities_declarationProvider(
        const ServerCapabilities_declarationProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_declarationProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_declarationProviderType::DeclarationOptions: {
            new (&_declarationOptions) std::unique_ptr<DeclarationOptions> {
                std::make_unique<DeclarationOptions>(*other._declarationOptions)
            };
            break;
        }
        case ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions: {
            new (&_declarationRegistrationOptions) std::unique_ptr<DeclarationRegistrationOptions> {
                std::make_unique<DeclarationRegistrationOptions>(*other._declarationRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_declarationProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_declarationProvider::operator=(
        ServerCapabilities_declarationProvider &&other
    ) -> ServerCapabilities_declarationProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_declarationProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_declarationProviderType::DeclarationOptions: {
                new (&_declarationOptions) std::unique_ptr<DeclarationOptions> {
                    std::move(other._declarationOptions)
                };
                break;
            }
            case ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions: {
                new (&_declarationRegistrationOptions) std::unique_ptr<DeclarationRegistrationOptions> {
                    std::move(other._declarationRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_declarationProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_declarationProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        const ServerCapabilities_declarationProvider &other
    ) -> ServerCapabilities_declarationProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_declarationProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_declarationProviderType::DeclarationOptions: {
                new (&_declarationOptions) std::unique_ptr<DeclarationOptions> {
                    std::make_unique<DeclarationOptions>(*other._declarationOptions)
                };
                break;
            }
            case ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions: {
                new (&_declarationRegistrationOptions) std::unique_ptr<DeclarationRegistrationOptions> {
                    std::make_unique<DeclarationRegistrationOptions>(*other._declarationRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_declarationProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_declarationProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_declarationProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_declarationProviderType::DeclarationOptions: {
#ifdef DEBUG
            if (!_declarationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _declarationOptions"
                );
            }
#endif // DEBUG
            _declarationOptions.~unique_ptr<DeclarationOptions>();
            _type = ServerCapabilities_declarationProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions: {
#ifdef DEBUG
            if (!_declarationRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _declarationRegistrationOptions"
                );
            }
#endif // DEBUG
            _declarationRegistrationOptions.~unique_ptr<DeclarationRegistrationOptions>();
            _type = ServerCapabilities_declarationProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_declarationProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_declarationProvider::type() const
    -> const ServerCapabilities_declarationProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_declarationProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_declarationProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_declarationProvider::boolean()"
                 " of type "
                 "ServerCapabilities_declarationProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_declarationProviderType::" +
                 ServerCapabilities_declarationProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_declarationProvider &
    {
        if (_type !=
                ServerCapabilities_declarationProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_declarationProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_declarationProvider::declarationOptions() const
    -> const DeclarationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_declarationProviderType::DeclarationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_declarationProvider::declarationOptions()"
                 " of type "
                 "ServerCapabilities_declarationProviderType::DeclarationOptions"
                 " while active type is "
                 "ServerCapabilities_declarationProviderType::" +
                 ServerCapabilities_declarationProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_declarationOptions;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        const std::unique_ptr<DeclarationOptions> &declarationOptions
    ) -> ServerCapabilities_declarationProvider &
    {
        if (_type !=
                ServerCapabilities_declarationProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!declarationOptions) {
            throw std::logic_error(
                "null passed as the value of declarationOptions"
            );
        }
#endif // DEBUG
        new (&_declarationOptions) std::unique_ptr<DeclarationOptions> {
            std::make_unique<DeclarationOptions>(*declarationOptions)
        };
        _type = ServerCapabilities_declarationProviderType::DeclarationOptions;
        return *this;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        std::unique_ptr<DeclarationOptions> &&declarationOptions
    ) -> ServerCapabilities_declarationProvider &
    {
        if (_type !=
                ServerCapabilities_declarationProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!declarationOptions) {
            throw std::logic_error(
                "null passed as the value of declarationOptions"
            );
        }
#endif // DEBUG
        new (&_declarationOptions) std::unique_ptr<DeclarationOptions> {
            std::move(declarationOptions)
        };
        _type = ServerCapabilities_declarationProviderType::DeclarationOptions;
        return *this;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        const DeclarationOptions &declarationOptions
    ) -> ServerCapabilities_declarationProvider &
    {
        if (_type !=
                ServerCapabilities_declarationProviderType::Uninitialized) {
            reset();
        }
        new (&_declarationOptions) std::unique_ptr<DeclarationOptions> {
            std::make_unique<DeclarationOptions>(declarationOptions)
        };
        _type = ServerCapabilities_declarationProviderType::DeclarationOptions;
        return *this;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        DeclarationOptions &&declarationOptions
    ) -> ServerCapabilities_declarationProvider &
    {
        if (_type !=
                ServerCapabilities_declarationProviderType::Uninitialized) {
            reset();
        }
        new (&_declarationOptions) std::unique_ptr<DeclarationOptions> {
            std::make_unique<DeclarationOptions>(std::move(declarationOptions))
        };
        _type = ServerCapabilities_declarationProviderType::DeclarationOptions;
        return *this;
    }

    auto ServerCapabilities_declarationProvider::declarationRegistrationOptions() const
    -> const DeclarationRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_declarationProvider::declarationRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_declarationProviderType::" +
                 ServerCapabilities_declarationProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_declarationRegistrationOptions;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        const std::unique_ptr<DeclarationRegistrationOptions> &declarationRegistrationOptions
    ) -> ServerCapabilities_declarationProvider &
    {
        if (_type !=
                ServerCapabilities_declarationProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!declarationRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of declarationRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_declarationRegistrationOptions) std::unique_ptr<DeclarationRegistrationOptions> {
            std::make_unique<DeclarationRegistrationOptions>(*declarationRegistrationOptions)
        };
        _type =
            ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        std::unique_ptr<DeclarationRegistrationOptions> &&declarationRegistrationOptions
    ) -> ServerCapabilities_declarationProvider &
    {
        if (_type !=
                ServerCapabilities_declarationProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!declarationRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of declarationRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_declarationRegistrationOptions) std::unique_ptr<DeclarationRegistrationOptions> {
            std::move(declarationRegistrationOptions)
        };
        _type =
            ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        const DeclarationRegistrationOptions &declarationRegistrationOptions
    ) -> ServerCapabilities_declarationProvider &
    {
        if (_type !=
                ServerCapabilities_declarationProviderType::Uninitialized) {
            reset();
        }
        new (&_declarationRegistrationOptions) std::unique_ptr<DeclarationRegistrationOptions> {
            std::make_unique<DeclarationRegistrationOptions>(declarationRegistrationOptions)
        };
        _type =
            ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_declarationProvider::operator=(
        DeclarationRegistrationOptions &&declarationRegistrationOptions
    ) -> ServerCapabilities_declarationProvider &
    {
        if (_type !=
                ServerCapabilities_declarationProviderType::Uninitialized) {
            reset();
        }
        new (&_declarationRegistrationOptions) std::unique_ptr<DeclarationRegistrationOptions> {
            std::make_unique<DeclarationRegistrationOptions>(std::move(declarationRegistrationOptions))
        };
        _type =
            ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_typeDefinitionProviderType, std::string>
    ServerCapabilities_typeDefinitionProviderTypeNames = {
        {ServerCapabilities_typeDefinitionProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_typeDefinitionProviderType::Boolean, "Boolean"},
        {ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions,
         "TypeDefinitionOptions"},
        {ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions,
         "TypeDefinitionRegistrationOptions"},
    };

    ServerCapabilities_typeDefinitionProvider::ServerCapabilities_typeDefinitionProvider()
    {
        // empty
    }

    ServerCapabilities_typeDefinitionProvider::~ServerCapabilities_typeDefinitionProvider()
    {
        reset();
    }

    ServerCapabilities_typeDefinitionProvider::ServerCapabilities_typeDefinitionProvider(
        ServerCapabilities_typeDefinitionProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_typeDefinitionProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions: {
            new (&_typeDefinitionOptions) std::unique_ptr<TypeDefinitionOptions> {
                std::move(other._typeDefinitionOptions)
            };
            break;
        }
        case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions: {
            new (&_typeDefinitionRegistrationOptions) std::unique_ptr<TypeDefinitionRegistrationOptions> {
                std::move(other._typeDefinitionRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_typeDefinitionProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_typeDefinitionProviderType::Uninitialized;
    }

    ServerCapabilities_typeDefinitionProvider::ServerCapabilities_typeDefinitionProvider(
        const ServerCapabilities_typeDefinitionProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_typeDefinitionProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions: {
            new (&_typeDefinitionOptions) std::unique_ptr<TypeDefinitionOptions> {
                std::make_unique<TypeDefinitionOptions>(*other._typeDefinitionOptions)
            };
            break;
        }
        case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions: {
            new (&_typeDefinitionRegistrationOptions) std::unique_ptr<TypeDefinitionRegistrationOptions> {
                std::make_unique<TypeDefinitionRegistrationOptions>(*other._typeDefinitionRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_typeDefinitionProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        ServerCapabilities_typeDefinitionProvider &&other
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_typeDefinitionProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions: {
                new (&_typeDefinitionOptions) std::unique_ptr<TypeDefinitionOptions> {
                    std::move(other._typeDefinitionOptions)
                };
                break;
            }
            case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions: {
                new (&_typeDefinitionRegistrationOptions) std::unique_ptr<TypeDefinitionRegistrationOptions> {
                    std::move(other._typeDefinitionRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_typeDefinitionProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_typeDefinitionProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        const ServerCapabilities_typeDefinitionProvider &other
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_typeDefinitionProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions: {
                new (&_typeDefinitionOptions) std::unique_ptr<TypeDefinitionOptions> {
                    std::make_unique<TypeDefinitionOptions>(*other._typeDefinitionOptions)
                };
                break;
            }
            case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions: {
                new (&_typeDefinitionRegistrationOptions) std::unique_ptr<TypeDefinitionRegistrationOptions> {
                    std::make_unique<TypeDefinitionRegistrationOptions>(*other._typeDefinitionRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_typeDefinitionProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_typeDefinitionProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions: {
#ifdef DEBUG
            if (!_typeDefinitionOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _typeDefinitionOptions"
                );
            }
#endif // DEBUG
            _typeDefinitionOptions.~unique_ptr<TypeDefinitionOptions>();
            _type =
                ServerCapabilities_typeDefinitionProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions: {
#ifdef DEBUG
            if (!_typeDefinitionRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _typeDefinitionRegistrationOptions"
                );
            }
#endif // DEBUG
            _typeDefinitionRegistrationOptions.~unique_ptr<TypeDefinitionRegistrationOptions>();
            _type =
                ServerCapabilities_typeDefinitionProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_typeDefinitionProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_typeDefinitionProvider::type() const
    -> const ServerCapabilities_typeDefinitionProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_typeDefinitionProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_typeDefinitionProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_typeDefinitionProvider::boolean()"
                 " of type "
                 "ServerCapabilities_typeDefinitionProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_typeDefinitionProviderType::" +
                 ServerCapabilities_typeDefinitionProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (_type !=
                ServerCapabilities_typeDefinitionProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_typeDefinitionProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::typeDefinitionOptions() const
    -> const TypeDefinitionOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_typeDefinitionProvider::typeDefinitionOptions()"
                 " of type "
                 "ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions"
                 " while active type is "
                 "ServerCapabilities_typeDefinitionProviderType::" +
                 ServerCapabilities_typeDefinitionProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_typeDefinitionOptions;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        const std::unique_ptr<TypeDefinitionOptions> &typeDefinitionOptions
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (_type !=
                ServerCapabilities_typeDefinitionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeDefinitionOptions) {
            throw std::logic_error(
                "null passed as the value of typeDefinitionOptions"
            );
        }
#endif // DEBUG
        new (&_typeDefinitionOptions) std::unique_ptr<TypeDefinitionOptions> {
            std::make_unique<TypeDefinitionOptions>(*typeDefinitionOptions)
        };
        _type =
            ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions;
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        std::unique_ptr<TypeDefinitionOptions> &&typeDefinitionOptions
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (_type !=
                ServerCapabilities_typeDefinitionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeDefinitionOptions) {
            throw std::logic_error(
                "null passed as the value of typeDefinitionOptions"
            );
        }
#endif // DEBUG
        new (&_typeDefinitionOptions) std::unique_ptr<TypeDefinitionOptions> {
            std::move(typeDefinitionOptions)
        };
        _type =
            ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions;
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        const TypeDefinitionOptions &typeDefinitionOptions
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (_type !=
                ServerCapabilities_typeDefinitionProviderType::Uninitialized) {
            reset();
        }
        new (&_typeDefinitionOptions) std::unique_ptr<TypeDefinitionOptions> {
            std::make_unique<TypeDefinitionOptions>(typeDefinitionOptions)
        };
        _type =
            ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions;
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        TypeDefinitionOptions &&typeDefinitionOptions
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (_type !=
                ServerCapabilities_typeDefinitionProviderType::Uninitialized) {
            reset();
        }
        new (&_typeDefinitionOptions) std::unique_ptr<TypeDefinitionOptions> {
            std::make_unique<TypeDefinitionOptions>(std::move(typeDefinitionOptions))
        };
        _type =
            ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions;
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::typeDefinitionRegistrationOptions() const
    -> const TypeDefinitionRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_typeDefinitionProvider::typeDefinitionRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_typeDefinitionProviderType::" +
                 ServerCapabilities_typeDefinitionProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_typeDefinitionRegistrationOptions;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        const std::unique_ptr<TypeDefinitionRegistrationOptions> &typeDefinitionRegistrationOptions
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (_type !=
                ServerCapabilities_typeDefinitionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeDefinitionRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of typeDefinitionRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_typeDefinitionRegistrationOptions) std::unique_ptr<TypeDefinitionRegistrationOptions> {
            std::make_unique<TypeDefinitionRegistrationOptions>(*typeDefinitionRegistrationOptions)
        };
        _type =
            ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        std::unique_ptr<TypeDefinitionRegistrationOptions> &&typeDefinitionRegistrationOptions
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (_type !=
                ServerCapabilities_typeDefinitionProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeDefinitionRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of typeDefinitionRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_typeDefinitionRegistrationOptions) std::unique_ptr<TypeDefinitionRegistrationOptions> {
            std::move(typeDefinitionRegistrationOptions)
        };
        _type =
            ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        const TypeDefinitionRegistrationOptions &typeDefinitionRegistrationOptions
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (_type !=
                ServerCapabilities_typeDefinitionProviderType::Uninitialized) {
            reset();
        }
        new (&_typeDefinitionRegistrationOptions) std::unique_ptr<TypeDefinitionRegistrationOptions> {
            std::make_unique<TypeDefinitionRegistrationOptions>(typeDefinitionRegistrationOptions)
        };
        _type =
            ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_typeDefinitionProvider::operator=(
        TypeDefinitionRegistrationOptions &&typeDefinitionRegistrationOptions
    ) -> ServerCapabilities_typeDefinitionProvider &
    {
        if (_type !=
                ServerCapabilities_typeDefinitionProviderType::Uninitialized) {
            reset();
        }
        new (&_typeDefinitionRegistrationOptions) std::unique_ptr<TypeDefinitionRegistrationOptions> {
            std::make_unique<TypeDefinitionRegistrationOptions>(std::move(typeDefinitionRegistrationOptions))
        };
        _type =
            ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_implementationProviderType, std::string>
    ServerCapabilities_implementationProviderTypeNames = {
        {ServerCapabilities_implementationProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_implementationProviderType::Boolean, "Boolean"},
        {ServerCapabilities_implementationProviderType::ImplementationOptions,
         "ImplementationOptions"},
        {ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions,
         "ImplementationRegistrationOptions"},
    };

    ServerCapabilities_implementationProvider::ServerCapabilities_implementationProvider()
    {
        // empty
    }

    ServerCapabilities_implementationProvider::~ServerCapabilities_implementationProvider()
    {
        reset();
    }

    ServerCapabilities_implementationProvider::ServerCapabilities_implementationProvider(
        ServerCapabilities_implementationProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_implementationProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_implementationProviderType::ImplementationOptions: {
            new (&_implementationOptions) std::unique_ptr<ImplementationOptions> {
                std::move(other._implementationOptions)
            };
            break;
        }
        case ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions: {
            new (&_implementationRegistrationOptions) std::unique_ptr<ImplementationRegistrationOptions> {
                std::move(other._implementationRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_implementationProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_implementationProviderType::Uninitialized;
    }

    ServerCapabilities_implementationProvider::ServerCapabilities_implementationProvider(
        const ServerCapabilities_implementationProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_implementationProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_implementationProviderType::ImplementationOptions: {
            new (&_implementationOptions) std::unique_ptr<ImplementationOptions> {
                std::make_unique<ImplementationOptions>(*other._implementationOptions)
            };
            break;
        }
        case ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions: {
            new (&_implementationRegistrationOptions) std::unique_ptr<ImplementationRegistrationOptions> {
                std::make_unique<ImplementationRegistrationOptions>(*other._implementationRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_implementationProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_implementationProvider::operator=(
        ServerCapabilities_implementationProvider &&other
    ) -> ServerCapabilities_implementationProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_implementationProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_implementationProviderType::ImplementationOptions: {
                new (&_implementationOptions) std::unique_ptr<ImplementationOptions> {
                    std::move(other._implementationOptions)
                };
                break;
            }
            case ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions: {
                new (&_implementationRegistrationOptions) std::unique_ptr<ImplementationRegistrationOptions> {
                    std::move(other._implementationRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_implementationProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_implementationProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        const ServerCapabilities_implementationProvider &other
    ) -> ServerCapabilities_implementationProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_implementationProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_implementationProviderType::ImplementationOptions: {
                new (&_implementationOptions) std::unique_ptr<ImplementationOptions> {
                    std::make_unique<ImplementationOptions>(*other._implementationOptions)
                };
                break;
            }
            case ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions: {
                new (&_implementationRegistrationOptions) std::unique_ptr<ImplementationRegistrationOptions> {
                    std::make_unique<ImplementationRegistrationOptions>(*other._implementationRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_implementationProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_implementationProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_implementationProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_implementationProviderType::ImplementationOptions: {
#ifdef DEBUG
            if (!_implementationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _implementationOptions"
                );
            }
#endif // DEBUG
            _implementationOptions.~unique_ptr<ImplementationOptions>();
            _type =
                ServerCapabilities_implementationProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions: {
#ifdef DEBUG
            if (!_implementationRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _implementationRegistrationOptions"
                );
            }
#endif // DEBUG
            _implementationRegistrationOptions.~unique_ptr<ImplementationRegistrationOptions>();
            _type =
                ServerCapabilities_implementationProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_implementationProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_implementationProvider::type() const
    -> const ServerCapabilities_implementationProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_implementationProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_implementationProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_implementationProvider::boolean()"
                 " of type "
                 "ServerCapabilities_implementationProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_implementationProviderType::" +
                 ServerCapabilities_implementationProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_implementationProvider &
    {
        if (_type !=
                ServerCapabilities_implementationProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_implementationProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_implementationProvider::implementationOptions() const
    -> const ImplementationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_implementationProviderType::ImplementationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_implementationProvider::implementationOptions()"
                 " of type "
                 "ServerCapabilities_implementationProviderType::ImplementationOptions"
                 " while active type is "
                 "ServerCapabilities_implementationProviderType::" +
                 ServerCapabilities_implementationProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_implementationOptions;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        const std::unique_ptr<ImplementationOptions> &implementationOptions
    ) -> ServerCapabilities_implementationProvider &
    {
        if (_type !=
                ServerCapabilities_implementationProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!implementationOptions) {
            throw std::logic_error(
                "null passed as the value of implementationOptions"
            );
        }
#endif // DEBUG
        new (&_implementationOptions) std::unique_ptr<ImplementationOptions> {
            std::make_unique<ImplementationOptions>(*implementationOptions)
        };
        _type =
            ServerCapabilities_implementationProviderType::ImplementationOptions;
        return *this;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        std::unique_ptr<ImplementationOptions> &&implementationOptions
    ) -> ServerCapabilities_implementationProvider &
    {
        if (_type !=
                ServerCapabilities_implementationProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!implementationOptions) {
            throw std::logic_error(
                "null passed as the value of implementationOptions"
            );
        }
#endif // DEBUG
        new (&_implementationOptions) std::unique_ptr<ImplementationOptions> {
            std::move(implementationOptions)
        };
        _type =
            ServerCapabilities_implementationProviderType::ImplementationOptions;
        return *this;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        const ImplementationOptions &implementationOptions
    ) -> ServerCapabilities_implementationProvider &
    {
        if (_type !=
                ServerCapabilities_implementationProviderType::Uninitialized) {
            reset();
        }
        new (&_implementationOptions) std::unique_ptr<ImplementationOptions> {
            std::make_unique<ImplementationOptions>(implementationOptions)
        };
        _type =
            ServerCapabilities_implementationProviderType::ImplementationOptions;
        return *this;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        ImplementationOptions &&implementationOptions
    ) -> ServerCapabilities_implementationProvider &
    {
        if (_type !=
                ServerCapabilities_implementationProviderType::Uninitialized) {
            reset();
        }
        new (&_implementationOptions) std::unique_ptr<ImplementationOptions> {
            std::make_unique<ImplementationOptions>(std::move(implementationOptions))
        };
        _type =
            ServerCapabilities_implementationProviderType::ImplementationOptions;
        return *this;
    }

    auto ServerCapabilities_implementationProvider::implementationRegistrationOptions() const
    -> const ImplementationRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_implementationProvider::implementationRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_implementationProviderType::" +
                 ServerCapabilities_implementationProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_implementationRegistrationOptions;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        const std::unique_ptr<ImplementationRegistrationOptions> &implementationRegistrationOptions
    ) -> ServerCapabilities_implementationProvider &
    {
        if (_type !=
                ServerCapabilities_implementationProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!implementationRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of implementationRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_implementationRegistrationOptions) std::unique_ptr<ImplementationRegistrationOptions> {
            std::make_unique<ImplementationRegistrationOptions>(*implementationRegistrationOptions)
        };
        _type =
            ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        std::unique_ptr<ImplementationRegistrationOptions> &&implementationRegistrationOptions
    ) -> ServerCapabilities_implementationProvider &
    {
        if (_type !=
                ServerCapabilities_implementationProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!implementationRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of implementationRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_implementationRegistrationOptions) std::unique_ptr<ImplementationRegistrationOptions> {
            std::move(implementationRegistrationOptions)
        };
        _type =
            ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        const ImplementationRegistrationOptions &implementationRegistrationOptions
    ) -> ServerCapabilities_implementationProvider &
    {
        if (_type !=
                ServerCapabilities_implementationProviderType::Uninitialized) {
            reset();
        }
        new (&_implementationRegistrationOptions) std::unique_ptr<ImplementationRegistrationOptions> {
            std::make_unique<ImplementationRegistrationOptions>(implementationRegistrationOptions)
        };
        _type =
            ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_implementationProvider::operator=(
        ImplementationRegistrationOptions &&implementationRegistrationOptions
    ) -> ServerCapabilities_implementationProvider &
    {
        if (_type !=
                ServerCapabilities_implementationProviderType::Uninitialized) {
            reset();
        }
        new (&_implementationRegistrationOptions) std::unique_ptr<ImplementationRegistrationOptions> {
            std::make_unique<ImplementationRegistrationOptions>(std::move(implementationRegistrationOptions))
        };
        _type =
            ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_colorProviderType, std::string>
    ServerCapabilities_colorProviderTypeNames = {
        {ServerCapabilities_colorProviderType::Uninitialized, "Uninitialized"},
        {ServerCapabilities_colorProviderType::Boolean, "Boolean"},
        {ServerCapabilities_colorProviderType::DocumentColorOptions,
         "DocumentColorOptions"},
        {ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions,
         "DocumentColorRegistrationOptions"},
    };

    ServerCapabilities_colorProvider::ServerCapabilities_colorProvider()
    {
        // empty
    }

    ServerCapabilities_colorProvider::~ServerCapabilities_colorProvider()
    {
        reset();
    }

    ServerCapabilities_colorProvider::ServerCapabilities_colorProvider(
        ServerCapabilities_colorProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_colorProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_colorProviderType::DocumentColorOptions: {
            new (&_documentColorOptions) std::unique_ptr<DocumentColorOptions> {
                std::move(other._documentColorOptions)
            };
            break;
        }
        case ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions: {
            new (&_documentColorRegistrationOptions) std::unique_ptr<DocumentColorRegistrationOptions> {
                std::move(other._documentColorRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_colorProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_colorProviderType::Uninitialized;
    }

    ServerCapabilities_colorProvider::ServerCapabilities_colorProvider(
        const ServerCapabilities_colorProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_colorProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_colorProviderType::DocumentColorOptions: {
            new (&_documentColorOptions) std::unique_ptr<DocumentColorOptions> {
                std::make_unique<DocumentColorOptions>(*other._documentColorOptions)
            };
            break;
        }
        case ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions: {
            new (&_documentColorRegistrationOptions) std::unique_ptr<DocumentColorRegistrationOptions> {
                std::make_unique<DocumentColorRegistrationOptions>(*other._documentColorRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_colorProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_colorProvider::operator=(
        ServerCapabilities_colorProvider &&other
    ) -> ServerCapabilities_colorProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_colorProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_colorProviderType::DocumentColorOptions: {
                new (&_documentColorOptions) std::unique_ptr<DocumentColorOptions> {
                    std::move(other._documentColorOptions)
                };
                break;
            }
            case ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions: {
                new (&_documentColorRegistrationOptions) std::unique_ptr<DocumentColorRegistrationOptions> {
                    std::move(other._documentColorRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_colorProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = ServerCapabilities_colorProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_colorProvider::operator=(
        const ServerCapabilities_colorProvider &other
    ) -> ServerCapabilities_colorProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_colorProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_colorProviderType::DocumentColorOptions: {
                new (&_documentColorOptions) std::unique_ptr<DocumentColorOptions> {
                    std::make_unique<DocumentColorOptions>(*other._documentColorOptions)
                };
                break;
            }
            case ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions: {
                new (&_documentColorRegistrationOptions) std::unique_ptr<DocumentColorRegistrationOptions> {
                    std::make_unique<DocumentColorRegistrationOptions>(*other._documentColorRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_colorProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_colorProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_colorProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_colorProviderType::DocumentColorOptions: {
#ifdef DEBUG
            if (!_documentColorOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentColorOptions"
                );
            }
#endif // DEBUG
            _documentColorOptions.~unique_ptr<DocumentColorOptions>();
            _type = ServerCapabilities_colorProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions: {
#ifdef DEBUG
            if (!_documentColorRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentColorRegistrationOptions"
                );
            }
#endif // DEBUG
            _documentColorRegistrationOptions.~unique_ptr<DocumentColorRegistrationOptions>();
            _type = ServerCapabilities_colorProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_colorProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_colorProvider::type() const
    -> const ServerCapabilities_colorProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_colorProvider::boolean() const -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_colorProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_colorProvider::boolean()"
                 " of type "
                 "ServerCapabilities_colorProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_colorProviderType::" +
                 ServerCapabilities_colorProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_colorProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_colorProvider &
    {
        if (_type != ServerCapabilities_colorProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_colorProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_colorProvider::documentColorOptions() const
    -> const DocumentColorOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_colorProviderType::DocumentColorOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_colorProvider::documentColorOptions()"
                 " of type "
                 "ServerCapabilities_colorProviderType::DocumentColorOptions"
                 " while active type is "
                 "ServerCapabilities_colorProviderType::" +
                 ServerCapabilities_colorProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentColorOptions;
    }

    auto ServerCapabilities_colorProvider::operator=(
        const std::unique_ptr<DocumentColorOptions> &documentColorOptions
    ) -> ServerCapabilities_colorProvider &
    {
        if (_type != ServerCapabilities_colorProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentColorOptions) {
            throw std::logic_error(
                "null passed as the value of documentColorOptions"
            );
        }
#endif // DEBUG
        new (&_documentColorOptions) std::unique_ptr<DocumentColorOptions> {
            std::make_unique<DocumentColorOptions>(*documentColorOptions)
        };
        _type = ServerCapabilities_colorProviderType::DocumentColorOptions;
        return *this;
    }

    auto ServerCapabilities_colorProvider::operator=(
        std::unique_ptr<DocumentColorOptions> &&documentColorOptions
    ) -> ServerCapabilities_colorProvider &
    {
        if (_type != ServerCapabilities_colorProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentColorOptions) {
            throw std::logic_error(
                "null passed as the value of documentColorOptions"
            );
        }
#endif // DEBUG
        new (&_documentColorOptions) std::unique_ptr<DocumentColorOptions> {
            std::move(documentColorOptions)
        };
        _type = ServerCapabilities_colorProviderType::DocumentColorOptions;
        return *this;
    }

    auto ServerCapabilities_colorProvider::operator=(
        const DocumentColorOptions &documentColorOptions
    ) -> ServerCapabilities_colorProvider &
    {
        if (_type != ServerCapabilities_colorProviderType::Uninitialized) {
            reset();
        }
        new (&_documentColorOptions) std::unique_ptr<DocumentColorOptions> {
            std::make_unique<DocumentColorOptions>(documentColorOptions)
        };
        _type = ServerCapabilities_colorProviderType::DocumentColorOptions;
        return *this;
    }

    auto ServerCapabilities_colorProvider::operator=(
        DocumentColorOptions &&documentColorOptions
    ) -> ServerCapabilities_colorProvider &
    {
        if (_type != ServerCapabilities_colorProviderType::Uninitialized) {
            reset();
        }
        new (&_documentColorOptions) std::unique_ptr<DocumentColorOptions> {
            std::make_unique<DocumentColorOptions>(std::move(documentColorOptions))
        };
        _type = ServerCapabilities_colorProviderType::DocumentColorOptions;
        return *this;
    }

    auto ServerCapabilities_colorProvider::documentColorRegistrationOptions() const
    -> const DocumentColorRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_colorProvider::documentColorRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_colorProviderType::" +
                 ServerCapabilities_colorProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentColorRegistrationOptions;
    }

    auto ServerCapabilities_colorProvider::operator=(
        const std::unique_ptr<DocumentColorRegistrationOptions> &documentColorRegistrationOptions
    ) -> ServerCapabilities_colorProvider &
    {
        if (_type != ServerCapabilities_colorProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentColorRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of documentColorRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_documentColorRegistrationOptions) std::unique_ptr<DocumentColorRegistrationOptions> {
            std::make_unique<DocumentColorRegistrationOptions>(*documentColorRegistrationOptions)
        };
        _type =
            ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_colorProvider::operator=(
        std::unique_ptr<DocumentColorRegistrationOptions> &&documentColorRegistrationOptions
    ) -> ServerCapabilities_colorProvider &
    {
        if (_type != ServerCapabilities_colorProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentColorRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of documentColorRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_documentColorRegistrationOptions) std::unique_ptr<DocumentColorRegistrationOptions> {
            std::move(documentColorRegistrationOptions)
        };
        _type =
            ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_colorProvider::operator=(
        const DocumentColorRegistrationOptions &documentColorRegistrationOptions
    ) -> ServerCapabilities_colorProvider &
    {
        if (_type != ServerCapabilities_colorProviderType::Uninitialized) {
            reset();
        }
        new (&_documentColorRegistrationOptions) std::unique_ptr<DocumentColorRegistrationOptions> {
            std::make_unique<DocumentColorRegistrationOptions>(documentColorRegistrationOptions)
        };
        _type =
            ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_colorProvider::operator=(
        DocumentColorRegistrationOptions &&documentColorRegistrationOptions
    ) -> ServerCapabilities_colorProvider &
    {
        if (_type != ServerCapabilities_colorProviderType::Uninitialized) {
            reset();
        }
        new (&_documentColorRegistrationOptions) std::unique_ptr<DocumentColorRegistrationOptions> {
            std::make_unique<DocumentColorRegistrationOptions>(std::move(documentColorRegistrationOptions))
        };
        _type =
            ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_foldingRangeProviderType, std::string>
    ServerCapabilities_foldingRangeProviderTypeNames = {
        {ServerCapabilities_foldingRangeProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_foldingRangeProviderType::Boolean, "Boolean"},
        {ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions,
         "FoldingRangeOptions"},
        {ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions,
         "FoldingRangeRegistrationOptions"},
    };

    ServerCapabilities_foldingRangeProvider::ServerCapabilities_foldingRangeProvider()
    {
        // empty
    }

    ServerCapabilities_foldingRangeProvider::~ServerCapabilities_foldingRangeProvider()
    {
        reset();
    }

    ServerCapabilities_foldingRangeProvider::ServerCapabilities_foldingRangeProvider(
        ServerCapabilities_foldingRangeProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_foldingRangeProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions: {
            new (&_foldingRangeOptions) std::unique_ptr<FoldingRangeOptions> {
                std::move(other._foldingRangeOptions)
            };
            break;
        }
        case ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions: {
            new (&_foldingRangeRegistrationOptions) std::unique_ptr<FoldingRangeRegistrationOptions> {
                std::move(other._foldingRangeRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_foldingRangeProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_foldingRangeProviderType::Uninitialized;
    }

    ServerCapabilities_foldingRangeProvider::ServerCapabilities_foldingRangeProvider(
        const ServerCapabilities_foldingRangeProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_foldingRangeProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions: {
            new (&_foldingRangeOptions) std::unique_ptr<FoldingRangeOptions> {
                std::make_unique<FoldingRangeOptions>(*other._foldingRangeOptions)
            };
            break;
        }
        case ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions: {
            new (&_foldingRangeRegistrationOptions) std::unique_ptr<FoldingRangeRegistrationOptions> {
                std::make_unique<FoldingRangeRegistrationOptions>(*other._foldingRangeRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_foldingRangeProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        ServerCapabilities_foldingRangeProvider &&other
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_foldingRangeProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions: {
                new (&_foldingRangeOptions) std::unique_ptr<FoldingRangeOptions> {
                    std::move(other._foldingRangeOptions)
                };
                break;
            }
            case ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions: {
                new (&_foldingRangeRegistrationOptions) std::unique_ptr<FoldingRangeRegistrationOptions> {
                    std::move(other._foldingRangeRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_foldingRangeProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_foldingRangeProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        const ServerCapabilities_foldingRangeProvider &other
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_foldingRangeProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions: {
                new (&_foldingRangeOptions) std::unique_ptr<FoldingRangeOptions> {
                    std::make_unique<FoldingRangeOptions>(*other._foldingRangeOptions)
                };
                break;
            }
            case ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions: {
                new (&_foldingRangeRegistrationOptions) std::unique_ptr<FoldingRangeRegistrationOptions> {
                    std::make_unique<FoldingRangeRegistrationOptions>(*other._foldingRangeRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_foldingRangeProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_foldingRangeProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions: {
#ifdef DEBUG
            if (!_foldingRangeOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _foldingRangeOptions"
                );
            }
#endif // DEBUG
            _foldingRangeOptions.~unique_ptr<FoldingRangeOptions>();
            _type = ServerCapabilities_foldingRangeProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions: {
#ifdef DEBUG
            if (!_foldingRangeRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _foldingRangeRegistrationOptions"
                );
            }
#endif // DEBUG
            _foldingRangeRegistrationOptions.~unique_ptr<FoldingRangeRegistrationOptions>();
            _type = ServerCapabilities_foldingRangeProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_foldingRangeProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_foldingRangeProvider::type() const
    -> const ServerCapabilities_foldingRangeProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_foldingRangeProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_foldingRangeProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_foldingRangeProvider::boolean()"
                 " of type "
                 "ServerCapabilities_foldingRangeProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_foldingRangeProviderType::" +
                 ServerCapabilities_foldingRangeProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_foldingRangeProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_foldingRangeProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::foldingRangeOptions() const
    -> const FoldingRangeOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_foldingRangeProvider::foldingRangeOptions()"
                 " of type "
                 "ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions"
                 " while active type is "
                 "ServerCapabilities_foldingRangeProviderType::" +
                 ServerCapabilities_foldingRangeProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_foldingRangeOptions;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        const std::unique_ptr<FoldingRangeOptions> &foldingRangeOptions
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_foldingRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!foldingRangeOptions) {
            throw std::logic_error(
                "null passed as the value of foldingRangeOptions"
            );
        }
#endif // DEBUG
        new (&_foldingRangeOptions) std::unique_ptr<FoldingRangeOptions> {
            std::make_unique<FoldingRangeOptions>(*foldingRangeOptions)
        };
        _type =
            ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions;
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        std::unique_ptr<FoldingRangeOptions> &&foldingRangeOptions
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_foldingRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!foldingRangeOptions) {
            throw std::logic_error(
                "null passed as the value of foldingRangeOptions"
            );
        }
#endif // DEBUG
        new (&_foldingRangeOptions) std::unique_ptr<FoldingRangeOptions> {
            std::move(foldingRangeOptions)
        };
        _type =
            ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions;
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        const FoldingRangeOptions &foldingRangeOptions
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_foldingRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_foldingRangeOptions) std::unique_ptr<FoldingRangeOptions> {
            std::make_unique<FoldingRangeOptions>(foldingRangeOptions)
        };
        _type =
            ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions;
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        FoldingRangeOptions &&foldingRangeOptions
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_foldingRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_foldingRangeOptions) std::unique_ptr<FoldingRangeOptions> {
            std::make_unique<FoldingRangeOptions>(std::move(foldingRangeOptions))
        };
        _type =
            ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions;
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::foldingRangeRegistrationOptions() const
    -> const FoldingRangeRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_foldingRangeProvider::foldingRangeRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_foldingRangeProviderType::" +
                 ServerCapabilities_foldingRangeProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_foldingRangeRegistrationOptions;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        const std::unique_ptr<FoldingRangeRegistrationOptions> &foldingRangeRegistrationOptions
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_foldingRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!foldingRangeRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of foldingRangeRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_foldingRangeRegistrationOptions) std::unique_ptr<FoldingRangeRegistrationOptions> {
            std::make_unique<FoldingRangeRegistrationOptions>(*foldingRangeRegistrationOptions)
        };
        _type =
            ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        std::unique_ptr<FoldingRangeRegistrationOptions> &&foldingRangeRegistrationOptions
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_foldingRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!foldingRangeRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of foldingRangeRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_foldingRangeRegistrationOptions) std::unique_ptr<FoldingRangeRegistrationOptions> {
            std::move(foldingRangeRegistrationOptions)
        };
        _type =
            ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        const FoldingRangeRegistrationOptions &foldingRangeRegistrationOptions
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_foldingRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_foldingRangeRegistrationOptions) std::unique_ptr<FoldingRangeRegistrationOptions> {
            std::make_unique<FoldingRangeRegistrationOptions>(foldingRangeRegistrationOptions)
        };
        _type =
            ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_foldingRangeProvider::operator=(
        FoldingRangeRegistrationOptions &&foldingRangeRegistrationOptions
    ) -> ServerCapabilities_foldingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_foldingRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_foldingRangeRegistrationOptions) std::unique_ptr<FoldingRangeRegistrationOptions> {
            std::make_unique<FoldingRangeRegistrationOptions>(std::move(foldingRangeRegistrationOptions))
        };
        _type =
            ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_selectionRangeProviderType, std::string>
    ServerCapabilities_selectionRangeProviderTypeNames = {
        {ServerCapabilities_selectionRangeProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_selectionRangeProviderType::Boolean, "Boolean"},
        {ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions,
         "SelectionRangeOptions"},
        {ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions,
         "SelectionRangeRegistrationOptions"},
    };

    ServerCapabilities_selectionRangeProvider::ServerCapabilities_selectionRangeProvider()
    {
        // empty
    }

    ServerCapabilities_selectionRangeProvider::~ServerCapabilities_selectionRangeProvider()
    {
        reset();
    }

    ServerCapabilities_selectionRangeProvider::ServerCapabilities_selectionRangeProvider(
        ServerCapabilities_selectionRangeProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_selectionRangeProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions: {
            new (&_selectionRangeOptions) std::unique_ptr<SelectionRangeOptions> {
                std::move(other._selectionRangeOptions)
            };
            break;
        }
        case ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions: {
            new (&_selectionRangeRegistrationOptions) std::unique_ptr<SelectionRangeRegistrationOptions> {
                std::move(other._selectionRangeRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_selectionRangeProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_selectionRangeProviderType::Uninitialized;
    }

    ServerCapabilities_selectionRangeProvider::ServerCapabilities_selectionRangeProvider(
        const ServerCapabilities_selectionRangeProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_selectionRangeProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions: {
            new (&_selectionRangeOptions) std::unique_ptr<SelectionRangeOptions> {
                std::make_unique<SelectionRangeOptions>(*other._selectionRangeOptions)
            };
            break;
        }
        case ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions: {
            new (&_selectionRangeRegistrationOptions) std::unique_ptr<SelectionRangeRegistrationOptions> {
                std::make_unique<SelectionRangeRegistrationOptions>(*other._selectionRangeRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_selectionRangeProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        ServerCapabilities_selectionRangeProvider &&other
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_selectionRangeProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions: {
                new (&_selectionRangeOptions) std::unique_ptr<SelectionRangeOptions> {
                    std::move(other._selectionRangeOptions)
                };
                break;
            }
            case ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions: {
                new (&_selectionRangeRegistrationOptions) std::unique_ptr<SelectionRangeRegistrationOptions> {
                    std::move(other._selectionRangeRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_selectionRangeProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_selectionRangeProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        const ServerCapabilities_selectionRangeProvider &other
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_selectionRangeProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions: {
                new (&_selectionRangeOptions) std::unique_ptr<SelectionRangeOptions> {
                    std::make_unique<SelectionRangeOptions>(*other._selectionRangeOptions)
                };
                break;
            }
            case ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions: {
                new (&_selectionRangeRegistrationOptions) std::unique_ptr<SelectionRangeRegistrationOptions> {
                    std::make_unique<SelectionRangeRegistrationOptions>(*other._selectionRangeRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_selectionRangeProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_selectionRangeProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions: {
#ifdef DEBUG
            if (!_selectionRangeOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _selectionRangeOptions"
                );
            }
#endif // DEBUG
            _selectionRangeOptions.~unique_ptr<SelectionRangeOptions>();
            _type =
                ServerCapabilities_selectionRangeProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions: {
#ifdef DEBUG
            if (!_selectionRangeRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _selectionRangeRegistrationOptions"
                );
            }
#endif // DEBUG
            _selectionRangeRegistrationOptions.~unique_ptr<SelectionRangeRegistrationOptions>();
            _type =
                ServerCapabilities_selectionRangeProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_selectionRangeProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_selectionRangeProvider::type() const
    -> const ServerCapabilities_selectionRangeProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_selectionRangeProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_selectionRangeProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_selectionRangeProvider::boolean()"
                 " of type "
                 "ServerCapabilities_selectionRangeProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_selectionRangeProviderType::" +
                 ServerCapabilities_selectionRangeProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (_type !=
                ServerCapabilities_selectionRangeProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_selectionRangeProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::selectionRangeOptions() const
    -> const SelectionRangeOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_selectionRangeProvider::selectionRangeOptions()"
                 " of type "
                 "ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions"
                 " while active type is "
                 "ServerCapabilities_selectionRangeProviderType::" +
                 ServerCapabilities_selectionRangeProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_selectionRangeOptions;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        const std::unique_ptr<SelectionRangeOptions> &selectionRangeOptions
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (_type !=
                ServerCapabilities_selectionRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!selectionRangeOptions) {
            throw std::logic_error(
                "null passed as the value of selectionRangeOptions"
            );
        }
#endif // DEBUG
        new (&_selectionRangeOptions) std::unique_ptr<SelectionRangeOptions> {
            std::make_unique<SelectionRangeOptions>(*selectionRangeOptions)
        };
        _type =
            ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions;
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        std::unique_ptr<SelectionRangeOptions> &&selectionRangeOptions
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (_type !=
                ServerCapabilities_selectionRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!selectionRangeOptions) {
            throw std::logic_error(
                "null passed as the value of selectionRangeOptions"
            );
        }
#endif // DEBUG
        new (&_selectionRangeOptions) std::unique_ptr<SelectionRangeOptions> {
            std::move(selectionRangeOptions)
        };
        _type =
            ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions;
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        const SelectionRangeOptions &selectionRangeOptions
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (_type !=
                ServerCapabilities_selectionRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_selectionRangeOptions) std::unique_ptr<SelectionRangeOptions> {
            std::make_unique<SelectionRangeOptions>(selectionRangeOptions)
        };
        _type =
            ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions;
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        SelectionRangeOptions &&selectionRangeOptions
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (_type !=
                ServerCapabilities_selectionRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_selectionRangeOptions) std::unique_ptr<SelectionRangeOptions> {
            std::make_unique<SelectionRangeOptions>(std::move(selectionRangeOptions))
        };
        _type =
            ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions;
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::selectionRangeRegistrationOptions() const
    -> const SelectionRangeRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_selectionRangeProvider::selectionRangeRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_selectionRangeProviderType::" +
                 ServerCapabilities_selectionRangeProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_selectionRangeRegistrationOptions;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        const std::unique_ptr<SelectionRangeRegistrationOptions> &selectionRangeRegistrationOptions
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (_type !=
                ServerCapabilities_selectionRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!selectionRangeRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of selectionRangeRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_selectionRangeRegistrationOptions) std::unique_ptr<SelectionRangeRegistrationOptions> {
            std::make_unique<SelectionRangeRegistrationOptions>(*selectionRangeRegistrationOptions)
        };
        _type =
            ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        std::unique_ptr<SelectionRangeRegistrationOptions> &&selectionRangeRegistrationOptions
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (_type !=
                ServerCapabilities_selectionRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!selectionRangeRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of selectionRangeRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_selectionRangeRegistrationOptions) std::unique_ptr<SelectionRangeRegistrationOptions> {
            std::move(selectionRangeRegistrationOptions)
        };
        _type =
            ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        const SelectionRangeRegistrationOptions &selectionRangeRegistrationOptions
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (_type !=
                ServerCapabilities_selectionRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_selectionRangeRegistrationOptions) std::unique_ptr<SelectionRangeRegistrationOptions> {
            std::make_unique<SelectionRangeRegistrationOptions>(selectionRangeRegistrationOptions)
        };
        _type =
            ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_selectionRangeProvider::operator=(
        SelectionRangeRegistrationOptions &&selectionRangeRegistrationOptions
    ) -> ServerCapabilities_selectionRangeProvider &
    {
        if (_type !=
                ServerCapabilities_selectionRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_selectionRangeRegistrationOptions) std::unique_ptr<SelectionRangeRegistrationOptions> {
            std::make_unique<SelectionRangeRegistrationOptions>(std::move(selectionRangeRegistrationOptions))
        };
        _type =
            ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_callHierarchyProviderType, std::string>
    ServerCapabilities_callHierarchyProviderTypeNames = {
        {ServerCapabilities_callHierarchyProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_callHierarchyProviderType::Boolean, "Boolean"},
        {ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions,
         "CallHierarchyOptions"},
        {ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions,
         "CallHierarchyRegistrationOptions"},
    };

    ServerCapabilities_callHierarchyProvider::ServerCapabilities_callHierarchyProvider()
    {
        // empty
    }

    ServerCapabilities_callHierarchyProvider::~ServerCapabilities_callHierarchyProvider()
    {
        reset();
    }

    ServerCapabilities_callHierarchyProvider::ServerCapabilities_callHierarchyProvider(
        ServerCapabilities_callHierarchyProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_callHierarchyProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions: {
            new (&_callHierarchyOptions) std::unique_ptr<CallHierarchyOptions> {
                std::move(other._callHierarchyOptions)
            };
            break;
        }
        case ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions: {
            new (&_callHierarchyRegistrationOptions) std::unique_ptr<CallHierarchyRegistrationOptions> {
                std::move(other._callHierarchyRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_callHierarchyProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_callHierarchyProviderType::Uninitialized;
    }

    ServerCapabilities_callHierarchyProvider::ServerCapabilities_callHierarchyProvider(
        const ServerCapabilities_callHierarchyProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_callHierarchyProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions: {
            new (&_callHierarchyOptions) std::unique_ptr<CallHierarchyOptions> {
                std::make_unique<CallHierarchyOptions>(*other._callHierarchyOptions)
            };
            break;
        }
        case ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions: {
            new (&_callHierarchyRegistrationOptions) std::unique_ptr<CallHierarchyRegistrationOptions> {
                std::make_unique<CallHierarchyRegistrationOptions>(*other._callHierarchyRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_callHierarchyProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        ServerCapabilities_callHierarchyProvider &&other
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_callHierarchyProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions: {
                new (&_callHierarchyOptions) std::unique_ptr<CallHierarchyOptions> {
                    std::move(other._callHierarchyOptions)
                };
                break;
            }
            case ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions: {
                new (&_callHierarchyRegistrationOptions) std::unique_ptr<CallHierarchyRegistrationOptions> {
                    std::move(other._callHierarchyRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_callHierarchyProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_callHierarchyProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        const ServerCapabilities_callHierarchyProvider &other
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_callHierarchyProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions: {
                new (&_callHierarchyOptions) std::unique_ptr<CallHierarchyOptions> {
                    std::make_unique<CallHierarchyOptions>(*other._callHierarchyOptions)
                };
                break;
            }
            case ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions: {
                new (&_callHierarchyRegistrationOptions) std::unique_ptr<CallHierarchyRegistrationOptions> {
                    std::make_unique<CallHierarchyRegistrationOptions>(*other._callHierarchyRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_callHierarchyProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_callHierarchyProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions: {
#ifdef DEBUG
            if (!_callHierarchyOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _callHierarchyOptions"
                );
            }
#endif // DEBUG
            _callHierarchyOptions.~unique_ptr<CallHierarchyOptions>();
            _type =
                ServerCapabilities_callHierarchyProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions: {
#ifdef DEBUG
            if (!_callHierarchyRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _callHierarchyRegistrationOptions"
                );
            }
#endif // DEBUG
            _callHierarchyRegistrationOptions.~unique_ptr<CallHierarchyRegistrationOptions>();
            _type =
                ServerCapabilities_callHierarchyProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_callHierarchyProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_callHierarchyProvider::type() const
    -> const ServerCapabilities_callHierarchyProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_callHierarchyProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_callHierarchyProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_callHierarchyProvider::boolean()"
                 " of type "
                 "ServerCapabilities_callHierarchyProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_callHierarchyProviderType::" +
                 ServerCapabilities_callHierarchyProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_callHierarchyProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_callHierarchyProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::callHierarchyOptions() const
    -> const CallHierarchyOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_callHierarchyProvider::callHierarchyOptions()"
                 " of type "
                 "ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions"
                 " while active type is "
                 "ServerCapabilities_callHierarchyProviderType::" +
                 ServerCapabilities_callHierarchyProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_callHierarchyOptions;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        const std::unique_ptr<CallHierarchyOptions> &callHierarchyOptions
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_callHierarchyProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyOptions) {
            throw std::logic_error(
                "null passed as the value of callHierarchyOptions"
            );
        }
#endif // DEBUG
        new (&_callHierarchyOptions) std::unique_ptr<CallHierarchyOptions> {
            std::make_unique<CallHierarchyOptions>(*callHierarchyOptions)
        };
        _type =
            ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions;
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        std::unique_ptr<CallHierarchyOptions> &&callHierarchyOptions
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_callHierarchyProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyOptions) {
            throw std::logic_error(
                "null passed as the value of callHierarchyOptions"
            );
        }
#endif // DEBUG
        new (&_callHierarchyOptions) std::unique_ptr<CallHierarchyOptions> {
            std::move(callHierarchyOptions)
        };
        _type =
            ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions;
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        const CallHierarchyOptions &callHierarchyOptions
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_callHierarchyProviderType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyOptions) std::unique_ptr<CallHierarchyOptions> {
            std::make_unique<CallHierarchyOptions>(callHierarchyOptions)
        };
        _type =
            ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions;
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        CallHierarchyOptions &&callHierarchyOptions
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_callHierarchyProviderType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyOptions) std::unique_ptr<CallHierarchyOptions> {
            std::make_unique<CallHierarchyOptions>(std::move(callHierarchyOptions))
        };
        _type =
            ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions;
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::callHierarchyRegistrationOptions() const
    -> const CallHierarchyRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_callHierarchyProvider::callHierarchyRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_callHierarchyProviderType::" +
                 ServerCapabilities_callHierarchyProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_callHierarchyRegistrationOptions;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        const std::unique_ptr<CallHierarchyRegistrationOptions> &callHierarchyRegistrationOptions
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_callHierarchyProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of callHierarchyRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_callHierarchyRegistrationOptions) std::unique_ptr<CallHierarchyRegistrationOptions> {
            std::make_unique<CallHierarchyRegistrationOptions>(*callHierarchyRegistrationOptions)
        };
        _type =
            ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        std::unique_ptr<CallHierarchyRegistrationOptions> &&callHierarchyRegistrationOptions
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_callHierarchyProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of callHierarchyRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_callHierarchyRegistrationOptions) std::unique_ptr<CallHierarchyRegistrationOptions> {
            std::move(callHierarchyRegistrationOptions)
        };
        _type =
            ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        const CallHierarchyRegistrationOptions &callHierarchyRegistrationOptions
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_callHierarchyProviderType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyRegistrationOptions) std::unique_ptr<CallHierarchyRegistrationOptions> {
            std::make_unique<CallHierarchyRegistrationOptions>(callHierarchyRegistrationOptions)
        };
        _type =
            ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_callHierarchyProvider::operator=(
        CallHierarchyRegistrationOptions &&callHierarchyRegistrationOptions
    ) -> ServerCapabilities_callHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_callHierarchyProviderType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyRegistrationOptions) std::unique_ptr<CallHierarchyRegistrationOptions> {
            std::make_unique<CallHierarchyRegistrationOptions>(std::move(callHierarchyRegistrationOptions))
        };
        _type =
            ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions;
        return *this;
    }

    const std::map<
        ServerCapabilities_linkedEditingRangeProviderType,
        std::string
    > ServerCapabilities_linkedEditingRangeProviderTypeNames = {
        {ServerCapabilities_linkedEditingRangeProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_linkedEditingRangeProviderType::Boolean,
         "Boolean"},
        {ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions,
         "LinkedEditingRangeOptions"},
        {ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions,
         "LinkedEditingRangeRegistrationOptions"},
    };

    ServerCapabilities_linkedEditingRangeProvider::ServerCapabilities_linkedEditingRangeProvider()
    {
        // empty
    }

    ServerCapabilities_linkedEditingRangeProvider::~ServerCapabilities_linkedEditingRangeProvider()
    {
        reset();
    }

    ServerCapabilities_linkedEditingRangeProvider::ServerCapabilities_linkedEditingRangeProvider(
        ServerCapabilities_linkedEditingRangeProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_linkedEditingRangeProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions: {
            new (&_linkedEditingRangeOptions) std::unique_ptr<LinkedEditingRangeOptions> {
                std::move(other._linkedEditingRangeOptions)
            };
            break;
        }
        case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions: {
            new (&_linkedEditingRangeRegistrationOptions) std::unique_ptr<LinkedEditingRangeRegistrationOptions> {
                std::move(other._linkedEditingRangeRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_linkedEditingRangeProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_linkedEditingRangeProviderType::Uninitialized;
    }

    ServerCapabilities_linkedEditingRangeProvider::ServerCapabilities_linkedEditingRangeProvider(
        const ServerCapabilities_linkedEditingRangeProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_linkedEditingRangeProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions: {
            new (&_linkedEditingRangeOptions) std::unique_ptr<LinkedEditingRangeOptions> {
                std::make_unique<LinkedEditingRangeOptions>(*other._linkedEditingRangeOptions)
            };
            break;
        }
        case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions: {
            new (&_linkedEditingRangeRegistrationOptions) std::unique_ptr<LinkedEditingRangeRegistrationOptions> {
                std::make_unique<LinkedEditingRangeRegistrationOptions>(*other._linkedEditingRangeRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_linkedEditingRangeProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        ServerCapabilities_linkedEditingRangeProvider &&other
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_linkedEditingRangeProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions: {
                new (&_linkedEditingRangeOptions) std::unique_ptr<LinkedEditingRangeOptions> {
                    std::move(other._linkedEditingRangeOptions)
                };
                break;
            }
            case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions: {
                new (&_linkedEditingRangeRegistrationOptions) std::unique_ptr<LinkedEditingRangeRegistrationOptions> {
                    std::move(other._linkedEditingRangeRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_linkedEditingRangeProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        const ServerCapabilities_linkedEditingRangeProvider &other
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_linkedEditingRangeProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions: {
                new (&_linkedEditingRangeOptions) std::unique_ptr<LinkedEditingRangeOptions> {
                    std::make_unique<LinkedEditingRangeOptions>(*other._linkedEditingRangeOptions)
                };
                break;
            }
            case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions: {
                new (&_linkedEditingRangeRegistrationOptions) std::unique_ptr<LinkedEditingRangeRegistrationOptions> {
                    std::make_unique<LinkedEditingRangeRegistrationOptions>(*other._linkedEditingRangeRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_linkedEditingRangeProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_linkedEditingRangeProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions: {
#ifdef DEBUG
            if (!_linkedEditingRangeOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _linkedEditingRangeOptions"
                );
            }
#endif // DEBUG
            _linkedEditingRangeOptions.~unique_ptr<LinkedEditingRangeOptions>();
            _type =
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions: {
#ifdef DEBUG
            if (!_linkedEditingRangeRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _linkedEditingRangeRegistrationOptions"
                );
            }
#endif // DEBUG
            _linkedEditingRangeRegistrationOptions.~unique_ptr<LinkedEditingRangeRegistrationOptions>();
            _type =
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_linkedEditingRangeProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_linkedEditingRangeProvider::type() const
    -> const ServerCapabilities_linkedEditingRangeProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_linkedEditingRangeProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_linkedEditingRangeProvider::boolean()"
                 " of type "
                 "ServerCapabilities_linkedEditingRangeProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_linkedEditingRangeProviderType::" +
                 ServerCapabilities_linkedEditingRangeProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_linkedEditingRangeProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::linkedEditingRangeOptions() const
    -> const LinkedEditingRangeOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_linkedEditingRangeProvider::linkedEditingRangeOptions()"
                 " of type "
                 "ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions"
                 " while active type is "
                 "ServerCapabilities_linkedEditingRangeProviderType::" +
                 ServerCapabilities_linkedEditingRangeProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_linkedEditingRangeOptions;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        const std::unique_ptr<LinkedEditingRangeOptions> &linkedEditingRangeOptions
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!linkedEditingRangeOptions) {
            throw std::logic_error(
                "null passed as the value of linkedEditingRangeOptions"
            );
        }
#endif // DEBUG
        new (&_linkedEditingRangeOptions) std::unique_ptr<LinkedEditingRangeOptions> {
            std::make_unique<LinkedEditingRangeOptions>(*linkedEditingRangeOptions)
        };
        _type =
            ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions;
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        std::unique_ptr<LinkedEditingRangeOptions> &&linkedEditingRangeOptions
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!linkedEditingRangeOptions) {
            throw std::logic_error(
                "null passed as the value of linkedEditingRangeOptions"
            );
        }
#endif // DEBUG
        new (&_linkedEditingRangeOptions) std::unique_ptr<LinkedEditingRangeOptions> {
            std::move(linkedEditingRangeOptions)
        };
        _type =
            ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions;
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        const LinkedEditingRangeOptions &linkedEditingRangeOptions
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_linkedEditingRangeOptions) std::unique_ptr<LinkedEditingRangeOptions> {
            std::make_unique<LinkedEditingRangeOptions>(linkedEditingRangeOptions)
        };
        _type =
            ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions;
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        LinkedEditingRangeOptions &&linkedEditingRangeOptions
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_linkedEditingRangeOptions) std::unique_ptr<LinkedEditingRangeOptions> {
            std::make_unique<LinkedEditingRangeOptions>(std::move(linkedEditingRangeOptions))
        };
        _type =
            ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions;
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::linkedEditingRangeRegistrationOptions() const
    -> const LinkedEditingRangeRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_linkedEditingRangeProvider::linkedEditingRangeRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_linkedEditingRangeProviderType::" +
                 ServerCapabilities_linkedEditingRangeProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_linkedEditingRangeRegistrationOptions;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        const std::unique_ptr<LinkedEditingRangeRegistrationOptions> &linkedEditingRangeRegistrationOptions
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!linkedEditingRangeRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of linkedEditingRangeRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_linkedEditingRangeRegistrationOptions) std::unique_ptr<LinkedEditingRangeRegistrationOptions> {
            std::make_unique<LinkedEditingRangeRegistrationOptions>(*linkedEditingRangeRegistrationOptions)
        };
        _type =
            ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        std::unique_ptr<LinkedEditingRangeRegistrationOptions> &&linkedEditingRangeRegistrationOptions
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!linkedEditingRangeRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of linkedEditingRangeRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_linkedEditingRangeRegistrationOptions) std::unique_ptr<LinkedEditingRangeRegistrationOptions> {
            std::move(linkedEditingRangeRegistrationOptions)
        };
        _type =
            ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        const LinkedEditingRangeRegistrationOptions &linkedEditingRangeRegistrationOptions
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_linkedEditingRangeRegistrationOptions) std::unique_ptr<LinkedEditingRangeRegistrationOptions> {
            std::make_unique<LinkedEditingRangeRegistrationOptions>(linkedEditingRangeRegistrationOptions)
        };
        _type =
            ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_linkedEditingRangeProvider::operator=(
        LinkedEditingRangeRegistrationOptions &&linkedEditingRangeRegistrationOptions
    ) -> ServerCapabilities_linkedEditingRangeProvider &
    {
        if (_type !=
                ServerCapabilities_linkedEditingRangeProviderType::Uninitialized) {
            reset();
        }
        new (&_linkedEditingRangeRegistrationOptions) std::unique_ptr<LinkedEditingRangeRegistrationOptions> {
            std::make_unique<LinkedEditingRangeRegistrationOptions>(std::move(linkedEditingRangeRegistrationOptions))
        };
        _type =
            ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_monikerProviderType, std::string>
    ServerCapabilities_monikerProviderTypeNames = {
        {ServerCapabilities_monikerProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_monikerProviderType::Boolean, "Boolean"},
        {ServerCapabilities_monikerProviderType::MonikerOptions,
         "MonikerOptions"},
        {ServerCapabilities_monikerProviderType::MonikerRegistrationOptions,
         "MonikerRegistrationOptions"},
    };

    ServerCapabilities_monikerProvider::ServerCapabilities_monikerProvider()
    {
        // empty
    }

    ServerCapabilities_monikerProvider::~ServerCapabilities_monikerProvider()
    {
        reset();
    }

    ServerCapabilities_monikerProvider::ServerCapabilities_monikerProvider(
        ServerCapabilities_monikerProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_monikerProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_monikerProviderType::MonikerOptions: {
            new (&_monikerOptions) std::unique_ptr<MonikerOptions> {
                std::move(other._monikerOptions)
            };
            break;
        }
        case ServerCapabilities_monikerProviderType::MonikerRegistrationOptions: {
            new (&_monikerRegistrationOptions) std::unique_ptr<MonikerRegistrationOptions> {
                std::move(other._monikerRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_monikerProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_monikerProviderType::Uninitialized;
    }

    ServerCapabilities_monikerProvider::ServerCapabilities_monikerProvider(
        const ServerCapabilities_monikerProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_monikerProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_monikerProviderType::MonikerOptions: {
            new (&_monikerOptions) std::unique_ptr<MonikerOptions> {
                std::make_unique<MonikerOptions>(*other._monikerOptions)
            };
            break;
        }
        case ServerCapabilities_monikerProviderType::MonikerRegistrationOptions: {
            new (&_monikerRegistrationOptions) std::unique_ptr<MonikerRegistrationOptions> {
                std::make_unique<MonikerRegistrationOptions>(*other._monikerRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_monikerProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_monikerProvider::operator=(
        ServerCapabilities_monikerProvider &&other
    ) -> ServerCapabilities_monikerProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_monikerProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_monikerProviderType::MonikerOptions: {
                new (&_monikerOptions) std::unique_ptr<MonikerOptions> {
                    std::move(other._monikerOptions)
                };
                break;
            }
            case ServerCapabilities_monikerProviderType::MonikerRegistrationOptions: {
                new (&_monikerRegistrationOptions) std::unique_ptr<MonikerRegistrationOptions> {
                    std::move(other._monikerRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_monikerProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_monikerProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        const ServerCapabilities_monikerProvider &other
    ) -> ServerCapabilities_monikerProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_monikerProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_monikerProviderType::MonikerOptions: {
                new (&_monikerOptions) std::unique_ptr<MonikerOptions> {
                    std::make_unique<MonikerOptions>(*other._monikerOptions)
                };
                break;
            }
            case ServerCapabilities_monikerProviderType::MonikerRegistrationOptions: {
                new (&_monikerRegistrationOptions) std::unique_ptr<MonikerRegistrationOptions> {
                    std::make_unique<MonikerRegistrationOptions>(*other._monikerRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_monikerProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_monikerProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_monikerProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_monikerProviderType::MonikerOptions: {
#ifdef DEBUG
            if (!_monikerOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _monikerOptions"
                );
            }
#endif // DEBUG
            _monikerOptions.~unique_ptr<MonikerOptions>();
            _type = ServerCapabilities_monikerProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_monikerProviderType::MonikerRegistrationOptions: {
#ifdef DEBUG
            if (!_monikerRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _monikerRegistrationOptions"
                );
            }
#endif // DEBUG
            _monikerRegistrationOptions.~unique_ptr<MonikerRegistrationOptions>();
            _type = ServerCapabilities_monikerProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_monikerProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_monikerProvider::type() const
    -> const ServerCapabilities_monikerProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_monikerProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_monikerProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_monikerProvider::boolean()"
                 " of type "
                 "ServerCapabilities_monikerProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_monikerProviderType::" +
                 ServerCapabilities_monikerProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_monikerProvider &
    {
        if (_type != ServerCapabilities_monikerProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_monikerProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_monikerProvider::monikerOptions() const
    -> const MonikerOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_monikerProviderType::MonikerOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_monikerProvider::monikerOptions()"
                 " of type "
                 "ServerCapabilities_monikerProviderType::MonikerOptions"
                 " while active type is "
                 "ServerCapabilities_monikerProviderType::" +
                 ServerCapabilities_monikerProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_monikerOptions;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        const std::unique_ptr<MonikerOptions> &monikerOptions
    ) -> ServerCapabilities_monikerProvider &
    {
        if (_type != ServerCapabilities_monikerProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!monikerOptions) {
            throw std::logic_error(
                "null passed as the value of monikerOptions"
            );
        }
#endif // DEBUG
        new (&_monikerOptions) std::unique_ptr<MonikerOptions> {
            std::make_unique<MonikerOptions>(*monikerOptions)
        };
        _type = ServerCapabilities_monikerProviderType::MonikerOptions;
        return *this;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        std::unique_ptr<MonikerOptions> &&monikerOptions
    ) -> ServerCapabilities_monikerProvider &
    {
        if (_type != ServerCapabilities_monikerProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!monikerOptions) {
            throw std::logic_error(
                "null passed as the value of monikerOptions"
            );
        }
#endif // DEBUG
        new (&_monikerOptions) std::unique_ptr<MonikerOptions> {
            std::move(monikerOptions)
        };
        _type = ServerCapabilities_monikerProviderType::MonikerOptions;
        return *this;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        const MonikerOptions &monikerOptions
    ) -> ServerCapabilities_monikerProvider &
    {
        if (_type != ServerCapabilities_monikerProviderType::Uninitialized) {
            reset();
        }
        new (&_monikerOptions) std::unique_ptr<MonikerOptions> {
            std::make_unique<MonikerOptions>(monikerOptions)
        };
        _type = ServerCapabilities_monikerProviderType::MonikerOptions;
        return *this;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        MonikerOptions &&monikerOptions
    ) -> ServerCapabilities_monikerProvider &
    {
        if (_type != ServerCapabilities_monikerProviderType::Uninitialized) {
            reset();
        }
        new (&_monikerOptions) std::unique_ptr<MonikerOptions> {
            std::make_unique<MonikerOptions>(std::move(monikerOptions))
        };
        _type = ServerCapabilities_monikerProviderType::MonikerOptions;
        return *this;
    }

    auto ServerCapabilities_monikerProvider::monikerRegistrationOptions() const
    -> const MonikerRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_monikerProviderType::MonikerRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_monikerProvider::monikerRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_monikerProviderType::MonikerRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_monikerProviderType::" +
                 ServerCapabilities_monikerProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_monikerRegistrationOptions;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        const std::unique_ptr<MonikerRegistrationOptions> &monikerRegistrationOptions
    ) -> ServerCapabilities_monikerProvider &
    {
        if (_type != ServerCapabilities_monikerProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!monikerRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of monikerRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_monikerRegistrationOptions) std::unique_ptr<MonikerRegistrationOptions> {
            std::make_unique<MonikerRegistrationOptions>(*monikerRegistrationOptions)
        };
        _type =
            ServerCapabilities_monikerProviderType::MonikerRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        std::unique_ptr<MonikerRegistrationOptions> &&monikerRegistrationOptions
    ) -> ServerCapabilities_monikerProvider &
    {
        if (_type != ServerCapabilities_monikerProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!monikerRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of monikerRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_monikerRegistrationOptions) std::unique_ptr<MonikerRegistrationOptions> {
            std::move(monikerRegistrationOptions)
        };
        _type =
            ServerCapabilities_monikerProviderType::MonikerRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        const MonikerRegistrationOptions &monikerRegistrationOptions
    ) -> ServerCapabilities_monikerProvider &
    {
        if (_type != ServerCapabilities_monikerProviderType::Uninitialized) {
            reset();
        }
        new (&_monikerRegistrationOptions) std::unique_ptr<MonikerRegistrationOptions> {
            std::make_unique<MonikerRegistrationOptions>(monikerRegistrationOptions)
        };
        _type =
            ServerCapabilities_monikerProviderType::MonikerRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_monikerProvider::operator=(
        MonikerRegistrationOptions &&monikerRegistrationOptions
    ) -> ServerCapabilities_monikerProvider &
    {
        if (_type != ServerCapabilities_monikerProviderType::Uninitialized) {
            reset();
        }
        new (&_monikerRegistrationOptions) std::unique_ptr<MonikerRegistrationOptions> {
            std::make_unique<MonikerRegistrationOptions>(std::move(monikerRegistrationOptions))
        };
        _type =
            ServerCapabilities_monikerProviderType::MonikerRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_typeHierarchyProviderType, std::string>
    ServerCapabilities_typeHierarchyProviderTypeNames = {
        {ServerCapabilities_typeHierarchyProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_typeHierarchyProviderType::Boolean, "Boolean"},
        {ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions,
         "TypeHierarchyOptions"},
        {ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions,
         "TypeHierarchyRegistrationOptions"},
    };

    ServerCapabilities_typeHierarchyProvider::ServerCapabilities_typeHierarchyProvider()
    {
        // empty
    }

    ServerCapabilities_typeHierarchyProvider::~ServerCapabilities_typeHierarchyProvider()
    {
        reset();
    }

    ServerCapabilities_typeHierarchyProvider::ServerCapabilities_typeHierarchyProvider(
        ServerCapabilities_typeHierarchyProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_typeHierarchyProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions: {
            new (&_typeHierarchyOptions) std::unique_ptr<TypeHierarchyOptions> {
                std::move(other._typeHierarchyOptions)
            };
            break;
        }
        case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions: {
            new (&_typeHierarchyRegistrationOptions) std::unique_ptr<TypeHierarchyRegistrationOptions> {
                std::move(other._typeHierarchyRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_typeHierarchyProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_typeHierarchyProviderType::Uninitialized;
    }

    ServerCapabilities_typeHierarchyProvider::ServerCapabilities_typeHierarchyProvider(
        const ServerCapabilities_typeHierarchyProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_typeHierarchyProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions: {
            new (&_typeHierarchyOptions) std::unique_ptr<TypeHierarchyOptions> {
                std::make_unique<TypeHierarchyOptions>(*other._typeHierarchyOptions)
            };
            break;
        }
        case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions: {
            new (&_typeHierarchyRegistrationOptions) std::unique_ptr<TypeHierarchyRegistrationOptions> {
                std::make_unique<TypeHierarchyRegistrationOptions>(*other._typeHierarchyRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_typeHierarchyProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        ServerCapabilities_typeHierarchyProvider &&other
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_typeHierarchyProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions: {
                new (&_typeHierarchyOptions) std::unique_ptr<TypeHierarchyOptions> {
                    std::move(other._typeHierarchyOptions)
                };
                break;
            }
            case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions: {
                new (&_typeHierarchyRegistrationOptions) std::unique_ptr<TypeHierarchyRegistrationOptions> {
                    std::move(other._typeHierarchyRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_typeHierarchyProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_typeHierarchyProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        const ServerCapabilities_typeHierarchyProvider &other
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_typeHierarchyProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions: {
                new (&_typeHierarchyOptions) std::unique_ptr<TypeHierarchyOptions> {
                    std::make_unique<TypeHierarchyOptions>(*other._typeHierarchyOptions)
                };
                break;
            }
            case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions: {
                new (&_typeHierarchyRegistrationOptions) std::unique_ptr<TypeHierarchyRegistrationOptions> {
                    std::make_unique<TypeHierarchyRegistrationOptions>(*other._typeHierarchyRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_typeHierarchyProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_typeHierarchyProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions: {
#ifdef DEBUG
            if (!_typeHierarchyOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _typeHierarchyOptions"
                );
            }
#endif // DEBUG
            _typeHierarchyOptions.~unique_ptr<TypeHierarchyOptions>();
            _type =
                ServerCapabilities_typeHierarchyProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions: {
#ifdef DEBUG
            if (!_typeHierarchyRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _typeHierarchyRegistrationOptions"
                );
            }
#endif // DEBUG
            _typeHierarchyRegistrationOptions.~unique_ptr<TypeHierarchyRegistrationOptions>();
            _type =
                ServerCapabilities_typeHierarchyProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_typeHierarchyProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_typeHierarchyProvider::type() const
    -> const ServerCapabilities_typeHierarchyProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_typeHierarchyProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_typeHierarchyProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_typeHierarchyProvider::boolean()"
                 " of type "
                 "ServerCapabilities_typeHierarchyProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_typeHierarchyProviderType::" +
                 ServerCapabilities_typeHierarchyProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_typeHierarchyProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_typeHierarchyProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::typeHierarchyOptions() const
    -> const TypeHierarchyOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_typeHierarchyProvider::typeHierarchyOptions()"
                 " of type "
                 "ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions"
                 " while active type is "
                 "ServerCapabilities_typeHierarchyProviderType::" +
                 ServerCapabilities_typeHierarchyProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_typeHierarchyOptions;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        const std::unique_ptr<TypeHierarchyOptions> &typeHierarchyOptions
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_typeHierarchyProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyOptions) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyOptions"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyOptions) std::unique_ptr<TypeHierarchyOptions> {
            std::make_unique<TypeHierarchyOptions>(*typeHierarchyOptions)
        };
        _type =
            ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions;
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        std::unique_ptr<TypeHierarchyOptions> &&typeHierarchyOptions
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_typeHierarchyProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyOptions) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyOptions"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyOptions) std::unique_ptr<TypeHierarchyOptions> {
            std::move(typeHierarchyOptions)
        };
        _type =
            ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions;
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        const TypeHierarchyOptions &typeHierarchyOptions
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_typeHierarchyProviderType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyOptions) std::unique_ptr<TypeHierarchyOptions> {
            std::make_unique<TypeHierarchyOptions>(typeHierarchyOptions)
        };
        _type =
            ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions;
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        TypeHierarchyOptions &&typeHierarchyOptions
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_typeHierarchyProviderType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyOptions) std::unique_ptr<TypeHierarchyOptions> {
            std::make_unique<TypeHierarchyOptions>(std::move(typeHierarchyOptions))
        };
        _type =
            ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions;
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::typeHierarchyRegistrationOptions() const
    -> const TypeHierarchyRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_typeHierarchyProvider::typeHierarchyRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_typeHierarchyProviderType::" +
                 ServerCapabilities_typeHierarchyProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_typeHierarchyRegistrationOptions;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        const std::unique_ptr<TypeHierarchyRegistrationOptions> &typeHierarchyRegistrationOptions
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_typeHierarchyProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyRegistrationOptions) std::unique_ptr<TypeHierarchyRegistrationOptions> {
            std::make_unique<TypeHierarchyRegistrationOptions>(*typeHierarchyRegistrationOptions)
        };
        _type =
            ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        std::unique_ptr<TypeHierarchyRegistrationOptions> &&typeHierarchyRegistrationOptions
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_typeHierarchyProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyRegistrationOptions) std::unique_ptr<TypeHierarchyRegistrationOptions> {
            std::move(typeHierarchyRegistrationOptions)
        };
        _type =
            ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        const TypeHierarchyRegistrationOptions &typeHierarchyRegistrationOptions
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_typeHierarchyProviderType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyRegistrationOptions) std::unique_ptr<TypeHierarchyRegistrationOptions> {
            std::make_unique<TypeHierarchyRegistrationOptions>(typeHierarchyRegistrationOptions)
        };
        _type =
            ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_typeHierarchyProvider::operator=(
        TypeHierarchyRegistrationOptions &&typeHierarchyRegistrationOptions
    ) -> ServerCapabilities_typeHierarchyProvider &
    {
        if (_type !=
                ServerCapabilities_typeHierarchyProviderType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyRegistrationOptions) std::unique_ptr<TypeHierarchyRegistrationOptions> {
            std::make_unique<TypeHierarchyRegistrationOptions>(std::move(typeHierarchyRegistrationOptions))
        };
        _type =
            ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_inlineValueProviderType, std::string>
    ServerCapabilities_inlineValueProviderTypeNames = {
        {ServerCapabilities_inlineValueProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_inlineValueProviderType::Boolean, "Boolean"},
        {ServerCapabilities_inlineValueProviderType::InlineValueOptions,
         "InlineValueOptions"},
        {ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions,
         "InlineValueRegistrationOptions"},
    };

    ServerCapabilities_inlineValueProvider::ServerCapabilities_inlineValueProvider()
    {
        // empty
    }

    ServerCapabilities_inlineValueProvider::~ServerCapabilities_inlineValueProvider()
    {
        reset();
    }

    ServerCapabilities_inlineValueProvider::ServerCapabilities_inlineValueProvider(
        ServerCapabilities_inlineValueProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_inlineValueProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_inlineValueProviderType::InlineValueOptions: {
            new (&_inlineValueOptions) std::unique_ptr<InlineValueOptions> {
                std::move(other._inlineValueOptions)
            };
            break;
        }
        case ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions: {
            new (&_inlineValueRegistrationOptions) std::unique_ptr<InlineValueRegistrationOptions> {
                std::move(other._inlineValueRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_inlineValueProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_inlineValueProviderType::Uninitialized;
    }

    ServerCapabilities_inlineValueProvider::ServerCapabilities_inlineValueProvider(
        const ServerCapabilities_inlineValueProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_inlineValueProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_inlineValueProviderType::InlineValueOptions: {
            new (&_inlineValueOptions) std::unique_ptr<InlineValueOptions> {
                std::make_unique<InlineValueOptions>(*other._inlineValueOptions)
            };
            break;
        }
        case ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions: {
            new (&_inlineValueRegistrationOptions) std::unique_ptr<InlineValueRegistrationOptions> {
                std::make_unique<InlineValueRegistrationOptions>(*other._inlineValueRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_inlineValueProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        ServerCapabilities_inlineValueProvider &&other
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_inlineValueProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_inlineValueProviderType::InlineValueOptions: {
                new (&_inlineValueOptions) std::unique_ptr<InlineValueOptions> {
                    std::move(other._inlineValueOptions)
                };
                break;
            }
            case ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions: {
                new (&_inlineValueRegistrationOptions) std::unique_ptr<InlineValueRegistrationOptions> {
                    std::move(other._inlineValueRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_inlineValueProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_inlineValueProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        const ServerCapabilities_inlineValueProvider &other
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_inlineValueProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_inlineValueProviderType::InlineValueOptions: {
                new (&_inlineValueOptions) std::unique_ptr<InlineValueOptions> {
                    std::make_unique<InlineValueOptions>(*other._inlineValueOptions)
                };
                break;
            }
            case ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions: {
                new (&_inlineValueRegistrationOptions) std::unique_ptr<InlineValueRegistrationOptions> {
                    std::make_unique<InlineValueRegistrationOptions>(*other._inlineValueRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_inlineValueProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_inlineValueProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_inlineValueProviderType::InlineValueOptions: {
#ifdef DEBUG
            if (!_inlineValueOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlineValueOptions"
                );
            }
#endif // DEBUG
            _inlineValueOptions.~unique_ptr<InlineValueOptions>();
            _type = ServerCapabilities_inlineValueProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions: {
#ifdef DEBUG
            if (!_inlineValueRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlineValueRegistrationOptions"
                );
            }
#endif // DEBUG
            _inlineValueRegistrationOptions.~unique_ptr<InlineValueRegistrationOptions>();
            _type = ServerCapabilities_inlineValueProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_inlineValueProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_inlineValueProvider::type() const
    -> const ServerCapabilities_inlineValueProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_inlineValueProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_inlineValueProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_inlineValueProvider::boolean()"
                 " of type "
                 "ServerCapabilities_inlineValueProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_inlineValueProviderType::" +
                 ServerCapabilities_inlineValueProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (_type !=
                ServerCapabilities_inlineValueProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_inlineValueProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::inlineValueOptions() const
    -> const InlineValueOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_inlineValueProviderType::InlineValueOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_inlineValueProvider::inlineValueOptions()"
                 " of type "
                 "ServerCapabilities_inlineValueProviderType::InlineValueOptions"
                 " while active type is "
                 "ServerCapabilities_inlineValueProviderType::" +
                 ServerCapabilities_inlineValueProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlineValueOptions;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        const std::unique_ptr<InlineValueOptions> &inlineValueOptions
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (_type !=
                ServerCapabilities_inlineValueProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueOptions) {
            throw std::logic_error(
                "null passed as the value of inlineValueOptions"
            );
        }
#endif // DEBUG
        new (&_inlineValueOptions) std::unique_ptr<InlineValueOptions> {
            std::make_unique<InlineValueOptions>(*inlineValueOptions)
        };
        _type = ServerCapabilities_inlineValueProviderType::InlineValueOptions;
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        std::unique_ptr<InlineValueOptions> &&inlineValueOptions
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (_type !=
                ServerCapabilities_inlineValueProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueOptions) {
            throw std::logic_error(
                "null passed as the value of inlineValueOptions"
            );
        }
#endif // DEBUG
        new (&_inlineValueOptions) std::unique_ptr<InlineValueOptions> {
            std::move(inlineValueOptions)
        };
        _type = ServerCapabilities_inlineValueProviderType::InlineValueOptions;
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        const InlineValueOptions &inlineValueOptions
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (_type !=
                ServerCapabilities_inlineValueProviderType::Uninitialized) {
            reset();
        }
        new (&_inlineValueOptions) std::unique_ptr<InlineValueOptions> {
            std::make_unique<InlineValueOptions>(inlineValueOptions)
        };
        _type = ServerCapabilities_inlineValueProviderType::InlineValueOptions;
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        InlineValueOptions &&inlineValueOptions
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (_type !=
                ServerCapabilities_inlineValueProviderType::Uninitialized) {
            reset();
        }
        new (&_inlineValueOptions) std::unique_ptr<InlineValueOptions> {
            std::make_unique<InlineValueOptions>(std::move(inlineValueOptions))
        };
        _type = ServerCapabilities_inlineValueProviderType::InlineValueOptions;
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::inlineValueRegistrationOptions() const
    -> const InlineValueRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_inlineValueProvider::inlineValueRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_inlineValueProviderType::" +
                 ServerCapabilities_inlineValueProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlineValueRegistrationOptions;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        const std::unique_ptr<InlineValueRegistrationOptions> &inlineValueRegistrationOptions
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (_type !=
                ServerCapabilities_inlineValueProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of inlineValueRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_inlineValueRegistrationOptions) std::unique_ptr<InlineValueRegistrationOptions> {
            std::make_unique<InlineValueRegistrationOptions>(*inlineValueRegistrationOptions)
        };
        _type =
            ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        std::unique_ptr<InlineValueRegistrationOptions> &&inlineValueRegistrationOptions
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (_type !=
                ServerCapabilities_inlineValueProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of inlineValueRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_inlineValueRegistrationOptions) std::unique_ptr<InlineValueRegistrationOptions> {
            std::move(inlineValueRegistrationOptions)
        };
        _type =
            ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        const InlineValueRegistrationOptions &inlineValueRegistrationOptions
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (_type !=
                ServerCapabilities_inlineValueProviderType::Uninitialized) {
            reset();
        }
        new (&_inlineValueRegistrationOptions) std::unique_ptr<InlineValueRegistrationOptions> {
            std::make_unique<InlineValueRegistrationOptions>(inlineValueRegistrationOptions)
        };
        _type =
            ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_inlineValueProvider::operator=(
        InlineValueRegistrationOptions &&inlineValueRegistrationOptions
    ) -> ServerCapabilities_inlineValueProvider &
    {
        if (_type !=
                ServerCapabilities_inlineValueProviderType::Uninitialized) {
            reset();
        }
        new (&_inlineValueRegistrationOptions) std::unique_ptr<InlineValueRegistrationOptions> {
            std::make_unique<InlineValueRegistrationOptions>(std::move(inlineValueRegistrationOptions))
        };
        _type =
            ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_inlayHintProviderType, std::string>
    ServerCapabilities_inlayHintProviderTypeNames = {
        {ServerCapabilities_inlayHintProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_inlayHintProviderType::Boolean, "Boolean"},
        {ServerCapabilities_inlayHintProviderType::InlayHintOptions,
         "InlayHintOptions"},
        {ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions,
         "InlayHintRegistrationOptions"},
    };

    ServerCapabilities_inlayHintProvider::ServerCapabilities_inlayHintProvider()
    {
        // empty
    }

    ServerCapabilities_inlayHintProvider::~ServerCapabilities_inlayHintProvider()
    {
        reset();
    }

    ServerCapabilities_inlayHintProvider::ServerCapabilities_inlayHintProvider(
        ServerCapabilities_inlayHintProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_inlayHintProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_inlayHintProviderType::InlayHintOptions: {
            new (&_inlayHintOptions) std::unique_ptr<InlayHintOptions> {
                std::move(other._inlayHintOptions)
            };
            break;
        }
        case ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions: {
            new (&_inlayHintRegistrationOptions) std::unique_ptr<InlayHintRegistrationOptions> {
                std::move(other._inlayHintRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_inlayHintProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_inlayHintProviderType::Uninitialized;
    }

    ServerCapabilities_inlayHintProvider::ServerCapabilities_inlayHintProvider(
        const ServerCapabilities_inlayHintProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_inlayHintProviderType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case ServerCapabilities_inlayHintProviderType::InlayHintOptions: {
            new (&_inlayHintOptions) std::unique_ptr<InlayHintOptions> {
                std::make_unique<InlayHintOptions>(*other._inlayHintOptions)
            };
            break;
        }
        case ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions: {
            new (&_inlayHintRegistrationOptions) std::unique_ptr<InlayHintRegistrationOptions> {
                std::make_unique<InlayHintRegistrationOptions>(*other._inlayHintRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_inlayHintProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        ServerCapabilities_inlayHintProvider &&other
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_inlayHintProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_inlayHintProviderType::InlayHintOptions: {
                new (&_inlayHintOptions) std::unique_ptr<InlayHintOptions> {
                    std::move(other._inlayHintOptions)
                };
                break;
            }
            case ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions: {
                new (&_inlayHintRegistrationOptions) std::unique_ptr<InlayHintRegistrationOptions> {
                    std::move(other._inlayHintRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_inlayHintProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_inlayHintProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        const ServerCapabilities_inlayHintProvider &other
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_inlayHintProviderType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case ServerCapabilities_inlayHintProviderType::InlayHintOptions: {
                new (&_inlayHintOptions) std::unique_ptr<InlayHintOptions> {
                    std::make_unique<InlayHintOptions>(*other._inlayHintOptions)
                };
                break;
            }
            case ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions: {
                new (&_inlayHintRegistrationOptions) std::unique_ptr<InlayHintRegistrationOptions> {
                    std::make_unique<InlayHintRegistrationOptions>(*other._inlayHintRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_inlayHintProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_inlayHintProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_inlayHintProviderType::InlayHintOptions: {
#ifdef DEBUG
            if (!_inlayHintOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlayHintOptions"
                );
            }
#endif // DEBUG
            _inlayHintOptions.~unique_ptr<InlayHintOptions>();
            _type = ServerCapabilities_inlayHintProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions: {
#ifdef DEBUG
            if (!_inlayHintRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlayHintRegistrationOptions"
                );
            }
#endif // DEBUG
            _inlayHintRegistrationOptions.~unique_ptr<InlayHintRegistrationOptions>();
            _type = ServerCapabilities_inlayHintProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_inlayHintProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_inlayHintProvider::type() const
    -> const ServerCapabilities_inlayHintProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_inlayHintProvider::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_inlayHintProviderType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_inlayHintProvider::boolean()"
                 " of type "
                 "ServerCapabilities_inlayHintProviderType::Boolean"
                 " while active type is "
                 "ServerCapabilities_inlayHintProviderType::" +
                 ServerCapabilities_inlayHintProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        boolean_t boolean
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (_type != ServerCapabilities_inlayHintProviderType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = ServerCapabilities_inlayHintProviderType::Boolean;
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::inlayHintOptions() const
    -> const InlayHintOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_inlayHintProviderType::InlayHintOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_inlayHintProvider::inlayHintOptions()"
                 " of type "
                 "ServerCapabilities_inlayHintProviderType::InlayHintOptions"
                 " while active type is "
                 "ServerCapabilities_inlayHintProviderType::" +
                 ServerCapabilities_inlayHintProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlayHintOptions;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        const std::unique_ptr<InlayHintOptions> &inlayHintOptions
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (_type != ServerCapabilities_inlayHintProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlayHintOptions) {
            throw std::logic_error(
                "null passed as the value of inlayHintOptions"
            );
        }
#endif // DEBUG
        new (&_inlayHintOptions) std::unique_ptr<InlayHintOptions> {
            std::make_unique<InlayHintOptions>(*inlayHintOptions)
        };
        _type = ServerCapabilities_inlayHintProviderType::InlayHintOptions;
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        std::unique_ptr<InlayHintOptions> &&inlayHintOptions
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (_type != ServerCapabilities_inlayHintProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlayHintOptions) {
            throw std::logic_error(
                "null passed as the value of inlayHintOptions"
            );
        }
#endif // DEBUG
        new (&_inlayHintOptions) std::unique_ptr<InlayHintOptions> {
            std::move(inlayHintOptions)
        };
        _type = ServerCapabilities_inlayHintProviderType::InlayHintOptions;
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        const InlayHintOptions &inlayHintOptions
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (_type != ServerCapabilities_inlayHintProviderType::Uninitialized) {
            reset();
        }
        new (&_inlayHintOptions) std::unique_ptr<InlayHintOptions> {
            std::make_unique<InlayHintOptions>(inlayHintOptions)
        };
        _type = ServerCapabilities_inlayHintProviderType::InlayHintOptions;
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        InlayHintOptions &&inlayHintOptions
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (_type != ServerCapabilities_inlayHintProviderType::Uninitialized) {
            reset();
        }
        new (&_inlayHintOptions) std::unique_ptr<InlayHintOptions> {
            std::make_unique<InlayHintOptions>(std::move(inlayHintOptions))
        };
        _type = ServerCapabilities_inlayHintProviderType::InlayHintOptions;
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::inlayHintRegistrationOptions() const
    -> const InlayHintRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_inlayHintProvider::inlayHintRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_inlayHintProviderType::" +
                 ServerCapabilities_inlayHintProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlayHintRegistrationOptions;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        const std::unique_ptr<InlayHintRegistrationOptions> &inlayHintRegistrationOptions
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (_type != ServerCapabilities_inlayHintProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlayHintRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of inlayHintRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_inlayHintRegistrationOptions) std::unique_ptr<InlayHintRegistrationOptions> {
            std::make_unique<InlayHintRegistrationOptions>(*inlayHintRegistrationOptions)
        };
        _type =
            ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        std::unique_ptr<InlayHintRegistrationOptions> &&inlayHintRegistrationOptions
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (_type != ServerCapabilities_inlayHintProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlayHintRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of inlayHintRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_inlayHintRegistrationOptions) std::unique_ptr<InlayHintRegistrationOptions> {
            std::move(inlayHintRegistrationOptions)
        };
        _type =
            ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        const InlayHintRegistrationOptions &inlayHintRegistrationOptions
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (_type != ServerCapabilities_inlayHintProviderType::Uninitialized) {
            reset();
        }
        new (&_inlayHintRegistrationOptions) std::unique_ptr<InlayHintRegistrationOptions> {
            std::make_unique<InlayHintRegistrationOptions>(inlayHintRegistrationOptions)
        };
        _type =
            ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_inlayHintProvider::operator=(
        InlayHintRegistrationOptions &&inlayHintRegistrationOptions
    ) -> ServerCapabilities_inlayHintProvider &
    {
        if (_type != ServerCapabilities_inlayHintProviderType::Uninitialized) {
            reset();
        }
        new (&_inlayHintRegistrationOptions) std::unique_ptr<InlayHintRegistrationOptions> {
            std::make_unique<InlayHintRegistrationOptions>(std::move(inlayHintRegistrationOptions))
        };
        _type =
            ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions;
        return *this;
    }

    const std::map<ServerCapabilities_diagnosticProviderType, std::string>
    ServerCapabilities_diagnosticProviderTypeNames = {
        {ServerCapabilities_diagnosticProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_diagnosticProviderType::DiagnosticOptions,
         "DiagnosticOptions"},
        {ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions,
         "DiagnosticRegistrationOptions"},
    };

    ServerCapabilities_diagnosticProvider::ServerCapabilities_diagnosticProvider()
    {
        // empty
    }

    ServerCapabilities_diagnosticProvider::~ServerCapabilities_diagnosticProvider()
    {
        reset();
    }

    ServerCapabilities_diagnosticProvider::ServerCapabilities_diagnosticProvider(
        ServerCapabilities_diagnosticProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_diagnosticProviderType::DiagnosticOptions: {
            new (&_diagnosticOptions) std::unique_ptr<DiagnosticOptions> {
                std::move(other._diagnosticOptions)
            };
            break;
        }
        case ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions: {
            new (&_diagnosticRegistrationOptions) std::unique_ptr<DiagnosticRegistrationOptions> {
                std::move(other._diagnosticRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_diagnosticProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ServerCapabilities_diagnosticProviderType::Uninitialized;
    }

    ServerCapabilities_diagnosticProvider::ServerCapabilities_diagnosticProvider(
        const ServerCapabilities_diagnosticProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_diagnosticProviderType::DiagnosticOptions: {
            new (&_diagnosticOptions) std::unique_ptr<DiagnosticOptions> {
                std::make_unique<DiagnosticOptions>(*other._diagnosticOptions)
            };
            break;
        }
        case ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions: {
            new (&_diagnosticRegistrationOptions) std::unique_ptr<DiagnosticRegistrationOptions> {
                std::make_unique<DiagnosticRegistrationOptions>(*other._diagnosticRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_diagnosticProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        ServerCapabilities_diagnosticProvider &&other
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_diagnosticProviderType::DiagnosticOptions: {
                new (&_diagnosticOptions) std::unique_ptr<DiagnosticOptions> {
                    std::move(other._diagnosticOptions)
                };
                break;
            }
            case ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions: {
                new (&_diagnosticRegistrationOptions) std::unique_ptr<DiagnosticRegistrationOptions> {
                    std::move(other._diagnosticRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_diagnosticProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_diagnosticProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        const ServerCapabilities_diagnosticProvider &other
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_diagnosticProviderType::DiagnosticOptions: {
                new (&_diagnosticOptions) std::unique_ptr<DiagnosticOptions> {
                    std::make_unique<DiagnosticOptions>(*other._diagnosticOptions)
                };
                break;
            }
            case ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions: {
                new (&_diagnosticRegistrationOptions) std::unique_ptr<DiagnosticRegistrationOptions> {
                    std::make_unique<DiagnosticRegistrationOptions>(*other._diagnosticRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_diagnosticProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_diagnosticProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_diagnosticProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_diagnosticProviderType::DiagnosticOptions: {
#ifdef DEBUG
            if (!_diagnosticOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _diagnosticOptions"
                );
            }
#endif // DEBUG
            _diagnosticOptions.~unique_ptr<DiagnosticOptions>();
            _type = ServerCapabilities_diagnosticProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions: {
#ifdef DEBUG
            if (!_diagnosticRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _diagnosticRegistrationOptions"
                );
            }
#endif // DEBUG
            _diagnosticRegistrationOptions.~unique_ptr<DiagnosticRegistrationOptions>();
            _type = ServerCapabilities_diagnosticProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_diagnosticProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_diagnosticProvider::type() const
    -> const ServerCapabilities_diagnosticProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_diagnosticProvider::diagnosticOptions() const
    -> const DiagnosticOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_diagnosticProviderType::DiagnosticOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_diagnosticProvider::diagnosticOptions()"
                 " of type "
                 "ServerCapabilities_diagnosticProviderType::DiagnosticOptions"
                 " while active type is "
                 "ServerCapabilities_diagnosticProviderType::" +
                 ServerCapabilities_diagnosticProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_diagnosticOptions;
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        const std::unique_ptr<DiagnosticOptions> &diagnosticOptions
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (_type !=
                ServerCapabilities_diagnosticProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!diagnosticOptions) {
            throw std::logic_error(
                "null passed as the value of diagnosticOptions"
            );
        }
#endif // DEBUG
        new (&_diagnosticOptions) std::unique_ptr<DiagnosticOptions> {
            std::make_unique<DiagnosticOptions>(*diagnosticOptions)
        };
        _type = ServerCapabilities_diagnosticProviderType::DiagnosticOptions;
        return *this;
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        std::unique_ptr<DiagnosticOptions> &&diagnosticOptions
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (_type !=
                ServerCapabilities_diagnosticProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!diagnosticOptions) {
            throw std::logic_error(
                "null passed as the value of diagnosticOptions"
            );
        }
#endif // DEBUG
        new (&_diagnosticOptions) std::unique_ptr<DiagnosticOptions> {
            std::move(diagnosticOptions)
        };
        _type = ServerCapabilities_diagnosticProviderType::DiagnosticOptions;
        return *this;
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        const DiagnosticOptions &diagnosticOptions
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (_type !=
                ServerCapabilities_diagnosticProviderType::Uninitialized) {
            reset();
        }
        new (&_diagnosticOptions) std::unique_ptr<DiagnosticOptions> {
            std::make_unique<DiagnosticOptions>(diagnosticOptions)
        };
        _type = ServerCapabilities_diagnosticProviderType::DiagnosticOptions;
        return *this;
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        DiagnosticOptions &&diagnosticOptions
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (_type !=
                ServerCapabilities_diagnosticProviderType::Uninitialized) {
            reset();
        }
        new (&_diagnosticOptions) std::unique_ptr<DiagnosticOptions> {
            std::make_unique<DiagnosticOptions>(std::move(diagnosticOptions))
        };
        _type = ServerCapabilities_diagnosticProviderType::DiagnosticOptions;
        return *this;
    }

    auto ServerCapabilities_diagnosticProvider::diagnosticRegistrationOptions() const
    -> const DiagnosticRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_diagnosticProvider::diagnosticRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_diagnosticProviderType::" +
                 ServerCapabilities_diagnosticProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_diagnosticRegistrationOptions;
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        const std::unique_ptr<DiagnosticRegistrationOptions> &diagnosticRegistrationOptions
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (_type !=
                ServerCapabilities_diagnosticProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!diagnosticRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of diagnosticRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_diagnosticRegistrationOptions) std::unique_ptr<DiagnosticRegistrationOptions> {
            std::make_unique<DiagnosticRegistrationOptions>(*diagnosticRegistrationOptions)
        };
        _type =
            ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        std::unique_ptr<DiagnosticRegistrationOptions> &&diagnosticRegistrationOptions
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (_type !=
                ServerCapabilities_diagnosticProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!diagnosticRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of diagnosticRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_diagnosticRegistrationOptions) std::unique_ptr<DiagnosticRegistrationOptions> {
            std::move(diagnosticRegistrationOptions)
        };
        _type =
            ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        const DiagnosticRegistrationOptions &diagnosticRegistrationOptions
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (_type !=
                ServerCapabilities_diagnosticProviderType::Uninitialized) {
            reset();
        }
        new (&_diagnosticRegistrationOptions) std::unique_ptr<DiagnosticRegistrationOptions> {
            std::make_unique<DiagnosticRegistrationOptions>(diagnosticRegistrationOptions)
        };
        _type =
            ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_diagnosticProvider::operator=(
        DiagnosticRegistrationOptions &&diagnosticRegistrationOptions
    ) -> ServerCapabilities_diagnosticProvider &
    {
        if (_type !=
                ServerCapabilities_diagnosticProviderType::Uninitialized) {
            reset();
        }
        new (&_diagnosticRegistrationOptions) std::unique_ptr<DiagnosticRegistrationOptions> {
            std::make_unique<DiagnosticRegistrationOptions>(std::move(diagnosticRegistrationOptions))
        };
        _type =
            ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions;
        return *this;
    }

    const std::map<Workspace_WorkspaceFoldersResultType, std::string>
    Workspace_WorkspaceFoldersResultTypeNames = {
        {Workspace_WorkspaceFoldersResultType::Uninitialized, "Uninitialized"},
        {Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray,
         "WorkspaceFolderArray"},
        {Workspace_WorkspaceFoldersResultType::Null, "Null"},
    };

    Workspace_WorkspaceFoldersResult::Workspace_WorkspaceFoldersResult()
    {
        // empty
    }

    Workspace_WorkspaceFoldersResult::~Workspace_WorkspaceFoldersResult()
    {
        reset();
    }

    Workspace_WorkspaceFoldersResult::Workspace_WorkspaceFoldersResult(
        Workspace_WorkspaceFoldersResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray: {
            new (&_workspaceFolderArray) std::unique_ptr<Workspace_WorkspaceFoldersResult_0> {
                std::move(other._workspaceFolderArray)
            };
            break;
        }
        case Workspace_WorkspaceFoldersResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_WorkspaceFoldersResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Workspace_WorkspaceFoldersResultType::Uninitialized;
    }

    Workspace_WorkspaceFoldersResult::Workspace_WorkspaceFoldersResult(
        const Workspace_WorkspaceFoldersResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray: {
            new (&_workspaceFolderArray) std::unique_ptr<std::vector<WorkspaceFolder>> {
                std::make_unique<std::vector<WorkspaceFolder>>()
            };
            _workspaceFolderArray->reserve(
                other._workspaceFolderArray->size()
            );
            for (const auto &elem_0 : *other._workspaceFolderArray) {
                _workspaceFolderArray->push_back(elem_0);
            }
            break;
        }
        case Workspace_WorkspaceFoldersResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_WorkspaceFoldersResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Workspace_WorkspaceFoldersResult::operator=(
        Workspace_WorkspaceFoldersResult &&other
    ) -> Workspace_WorkspaceFoldersResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray: {
                new (&_workspaceFolderArray) std::unique_ptr<Workspace_WorkspaceFoldersResult_0> {
                    std::move(other._workspaceFolderArray)
                };
                break;
            }
            case Workspace_WorkspaceFoldersResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_WorkspaceFoldersResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Workspace_WorkspaceFoldersResultType::Uninitialized;
        }
        return *this;
    }

    auto Workspace_WorkspaceFoldersResult::operator=(
        const Workspace_WorkspaceFoldersResult &other
    ) -> Workspace_WorkspaceFoldersResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray: {
                new (&_workspaceFolderArray) std::unique_ptr<std::vector<WorkspaceFolder>> {
                    std::make_unique<std::vector<WorkspaceFolder>>()
                };
                _workspaceFolderArray->reserve(
                    other._workspaceFolderArray->size()
                );
                for (const auto &elem_0 : *other._workspaceFolderArray) {
                    _workspaceFolderArray->push_back(elem_0);
                }
                break;
            }
            case Workspace_WorkspaceFoldersResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_WorkspaceFoldersResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Workspace_WorkspaceFoldersResult::reset() -> void
    {
        switch (_type) {
        case Workspace_WorkspaceFoldersResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray: {
#ifdef DEBUG
            if (!_workspaceFolderArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceFolderArray"
                );
            }
#endif // DEBUG
            _workspaceFolderArray.~unique_ptr<std::vector<WorkspaceFolder>>();
            _type = Workspace_WorkspaceFoldersResultType::Uninitialized;
            break;
        }
        default: {
            _type = Workspace_WorkspaceFoldersResultType::Uninitialized;
        }
        }
    }

    auto Workspace_WorkspaceFoldersResult::type() const
    -> const Workspace_WorkspaceFoldersResultType &
    {
        return _type;
    }

    auto Workspace_WorkspaceFoldersResult::workspaceFolderArray() const
    -> const std::vector<WorkspaceFolder> &
    {
#ifdef DEBUG
        if (_type != Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_WorkspaceFoldersResult::workspaceFolderArray()"
                 " of type "
                 "Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray"
                 " while active type is "
                 "Workspace_WorkspaceFoldersResultType::" +
                 Workspace_WorkspaceFoldersResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceFolderArray;
    }

    auto Workspace_WorkspaceFoldersResult::operator=(
        const std::unique_ptr<std::vector<WorkspaceFolder>> &workspaceFolderArray
    ) -> Workspace_WorkspaceFoldersResult &
    {
        if (_type != Workspace_WorkspaceFoldersResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceFolderArray) {
            throw std::logic_error(
                "null passed as the value of workspaceFolderArray"
            );
        }
#endif // DEBUG
        new (&_workspaceFolderArray) std::unique_ptr<std::vector<WorkspaceFolder>> {
            std::make_unique<std::vector<WorkspaceFolder>>()
        };
        _workspaceFolderArray->reserve(workspaceFolderArray->size());
        for (const auto &elem_0 : *workspaceFolderArray) {
            _workspaceFolderArray->push_back(elem_0);
        }
        _type = Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray;
        return *this;
    }

    auto Workspace_WorkspaceFoldersResult::operator=(
        std::unique_ptr<std::vector<WorkspaceFolder>> &&workspaceFolderArray
    ) -> Workspace_WorkspaceFoldersResult &
    {
        if (_type != Workspace_WorkspaceFoldersResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceFolderArray) {
            throw std::logic_error(
                "null passed as the value of workspaceFolderArray"
            );
        }
#endif // DEBUG
        new (&_workspaceFolderArray) std::unique_ptr<Workspace_WorkspaceFoldersResult_0> {
            std::move(workspaceFolderArray)
        };
        _type = Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray;
        return *this;
    }

    auto Workspace_WorkspaceFoldersResult::operator=(
        const std::vector<WorkspaceFolder> &workspaceFolderArray
    ) -> Workspace_WorkspaceFoldersResult &
    {
        if (_type != Workspace_WorkspaceFoldersResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceFolderArray) std::unique_ptr<std::vector<WorkspaceFolder>> {
            std::make_unique<std::vector<WorkspaceFolder>>()
        };
        _workspaceFolderArray->reserve(workspaceFolderArray.size());
        for (const auto &elem_0 : workspaceFolderArray) {
            _workspaceFolderArray->push_back(elem_0);
        }
        _type = Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray;
        return *this;
    }

    auto Workspace_WorkspaceFoldersResult::operator=(
        std::vector<WorkspaceFolder> &&workspaceFolderArray
    ) -> Workspace_WorkspaceFoldersResult &
    {
        if (_type != Workspace_WorkspaceFoldersResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceFolderArray) std::unique_ptr<Workspace_WorkspaceFoldersResult_0> {
            std::make_unique<Workspace_WorkspaceFoldersResult_0>(std::move(workspaceFolderArray))
        };
        _type = Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray;
        return *this;
    }

    auto Workspace_WorkspaceFoldersResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != Workspace_WorkspaceFoldersResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_WorkspaceFoldersResult::null()"
                 " of type "
                 "Workspace_WorkspaceFoldersResultType::Null"
                 " while active type is "
                 "Workspace_WorkspaceFoldersResultType::" +
                 Workspace_WorkspaceFoldersResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto Workspace_WorkspaceFoldersResult::operator=(
        null_t null
    ) -> Workspace_WorkspaceFoldersResult &
    {
        if (_type != Workspace_WorkspaceFoldersResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = Workspace_WorkspaceFoldersResultType::Null;
        return *this;
    }

    const std::map<TextDocument_MonikerResultType, std::string>
    TextDocument_MonikerResultTypeNames = {
        {TextDocument_MonikerResultType::Uninitialized, "Uninitialized"},
        {TextDocument_MonikerResultType::MonikerArray, "MonikerArray"},
        {TextDocument_MonikerResultType::Null, "Null"},
    };

    TextDocument_MonikerResult::TextDocument_MonikerResult()
    {
        // empty
    }

    TextDocument_MonikerResult::~TextDocument_MonikerResult()
    {
        reset();
    }

    TextDocument_MonikerResult::TextDocument_MonikerResult(
        TextDocument_MonikerResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_MonikerResultType::MonikerArray: {
            new (&_monikerArray) std::unique_ptr<TextDocument_MonikerResult_0> {
                std::move(other._monikerArray)
            };
            break;
        }
        case TextDocument_MonikerResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_MonikerResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_MonikerResultType::Uninitialized;
    }

    TextDocument_MonikerResult::TextDocument_MonikerResult(
        const TextDocument_MonikerResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_MonikerResultType::MonikerArray: {
            new (&_monikerArray) std::unique_ptr<std::vector<Moniker>> {
                std::make_unique<std::vector<Moniker>>()
            };
            _monikerArray->reserve(other._monikerArray->size());
            for (const auto &elem_0 : *other._monikerArray) {
                _monikerArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_MonikerResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_MonikerResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_MonikerResult::operator=(
        TextDocument_MonikerResult &&other
    ) -> TextDocument_MonikerResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_MonikerResultType::MonikerArray: {
                new (&_monikerArray) std::unique_ptr<TextDocument_MonikerResult_0> {
                    std::move(other._monikerArray)
                };
                break;
            }
            case TextDocument_MonikerResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_MonikerResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_MonikerResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_MonikerResult::operator=(
        const TextDocument_MonikerResult &other
    ) -> TextDocument_MonikerResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_MonikerResultType::MonikerArray: {
                new (&_monikerArray) std::unique_ptr<std::vector<Moniker>> {
                    std::make_unique<std::vector<Moniker>>()
                };
                _monikerArray->reserve(other._monikerArray->size());
                for (const auto &elem_0 : *other._monikerArray) {
                    _monikerArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_MonikerResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_MonikerResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_MonikerResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_MonikerResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_MonikerResultType::MonikerArray: {
#ifdef DEBUG
            if (!_monikerArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _monikerArray"
                );
            }
#endif // DEBUG
            _monikerArray.~unique_ptr<std::vector<Moniker>>();
            _type = TextDocument_MonikerResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_MonikerResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_MonikerResult::type() const
    -> const TextDocument_MonikerResultType &
    {
        return _type;
    }

    auto TextDocument_MonikerResult::monikerArray() const
    -> const std::vector<Moniker> &
    {
#ifdef DEBUG
        if (_type != TextDocument_MonikerResultType::MonikerArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_MonikerResult::monikerArray()"
                 " of type "
                 "TextDocument_MonikerResultType::MonikerArray"
                 " while active type is "
                 "TextDocument_MonikerResultType::" +
                 TextDocument_MonikerResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_monikerArray;
    }

    auto TextDocument_MonikerResult::operator=(
        const std::unique_ptr<std::vector<Moniker>> &monikerArray
    ) -> TextDocument_MonikerResult &
    {
        if (_type != TextDocument_MonikerResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!monikerArray) {
            throw std::logic_error("null passed as the value of monikerArray");
        }
#endif // DEBUG
        new (&_monikerArray) std::unique_ptr<std::vector<Moniker>> {
            std::make_unique<std::vector<Moniker>>()
        };
        _monikerArray->reserve(monikerArray->size());
        for (const auto &elem_0 : *monikerArray) {
            _monikerArray->push_back(elem_0);
        }
        _type = TextDocument_MonikerResultType::MonikerArray;
        return *this;
    }

    auto TextDocument_MonikerResult::operator=(
        std::unique_ptr<std::vector<Moniker>> &&monikerArray
    ) -> TextDocument_MonikerResult &
    {
        if (_type != TextDocument_MonikerResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!monikerArray) {
            throw std::logic_error("null passed as the value of monikerArray");
        }
#endif // DEBUG
        new (&_monikerArray) std::unique_ptr<TextDocument_MonikerResult_0> {
            std::move(monikerArray)
        };
        _type = TextDocument_MonikerResultType::MonikerArray;
        return *this;
    }

    auto TextDocument_MonikerResult::operator=(
        const std::vector<Moniker> &monikerArray
    ) -> TextDocument_MonikerResult &
    {
        if (_type != TextDocument_MonikerResultType::Uninitialized) {
            reset();
        }
        new (&_monikerArray) std::unique_ptr<std::vector<Moniker>> {
            std::make_unique<std::vector<Moniker>>()
        };
        _monikerArray->reserve(monikerArray.size());
        for (const auto &elem_0 : monikerArray) {
            _monikerArray->push_back(elem_0);
        }
        _type = TextDocument_MonikerResultType::MonikerArray;
        return *this;
    }

    auto TextDocument_MonikerResult::operator=(
        std::vector<Moniker> &&monikerArray
    ) -> TextDocument_MonikerResult &
    {
        if (_type != TextDocument_MonikerResultType::Uninitialized) {
            reset();
        }
        new (&_monikerArray) std::unique_ptr<TextDocument_MonikerResult_0> {
            std::make_unique<TextDocument_MonikerResult_0>(std::move(monikerArray))
        };
        _type = TextDocument_MonikerResultType::MonikerArray;
        return *this;
    }

    auto TextDocument_MonikerResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_MonikerResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_MonikerResult::null()"
                 " of type "
                 "TextDocument_MonikerResultType::Null"
                 " while active type is "
                 "TextDocument_MonikerResultType::" +
                 TextDocument_MonikerResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_MonikerResult::operator=(
        null_t null
    ) -> TextDocument_MonikerResult &
    {
        if (_type != TextDocument_MonikerResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_MonikerResultType::Null;
        return *this;
    }

    const std::map<Window_ShowMessageRequestResultType, std::string>
    Window_ShowMessageRequestResultTypeNames = {
        {Window_ShowMessageRequestResultType::Uninitialized, "Uninitialized"},
        {Window_ShowMessageRequestResultType::MessageActionItem,
         "MessageActionItem"},
        {Window_ShowMessageRequestResultType::Null, "Null"},
    };

    Window_ShowMessageRequestResult::Window_ShowMessageRequestResult()
    {
        // empty
    }

    Window_ShowMessageRequestResult::~Window_ShowMessageRequestResult()
    {
        reset();
    }

    Window_ShowMessageRequestResult::Window_ShowMessageRequestResult(
        Window_ShowMessageRequestResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Window_ShowMessageRequestResultType::MessageActionItem: {
            new (&_messageActionItem) std::unique_ptr<MessageActionItem> {
                std::move(other._messageActionItem)
            };
            break;
        }
        case Window_ShowMessageRequestResultType::Null: {
            _null = other._null;
            break;
        }
        case Window_ShowMessageRequestResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Window_ShowMessageRequestResultType::Uninitialized;
    }

    Window_ShowMessageRequestResult::Window_ShowMessageRequestResult(
        const Window_ShowMessageRequestResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Window_ShowMessageRequestResultType::MessageActionItem: {
            new (&_messageActionItem) std::unique_ptr<MessageActionItem> {
                std::make_unique<MessageActionItem>(*other._messageActionItem)
            };
            break;
        }
        case Window_ShowMessageRequestResultType::Null: {
            _null = other._null;
            break;
        }
        case Window_ShowMessageRequestResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Window_ShowMessageRequestResult::operator=(
        Window_ShowMessageRequestResult &&other
    ) -> Window_ShowMessageRequestResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Window_ShowMessageRequestResultType::MessageActionItem: {
                new (&_messageActionItem) std::unique_ptr<MessageActionItem> {
                    std::move(other._messageActionItem)
                };
                break;
            }
            case Window_ShowMessageRequestResultType::Null: {
                _null = other._null;
                break;
            }
            case Window_ShowMessageRequestResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Window_ShowMessageRequestResultType::Uninitialized;
        }
        return *this;
    }

    auto Window_ShowMessageRequestResult::operator=(
        const Window_ShowMessageRequestResult &other
    ) -> Window_ShowMessageRequestResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Window_ShowMessageRequestResultType::MessageActionItem: {
                new (&_messageActionItem) std::unique_ptr<MessageActionItem> {
                    std::make_unique<MessageActionItem>(*other._messageActionItem)
                };
                break;
            }
            case Window_ShowMessageRequestResultType::Null: {
                _null = other._null;
                break;
            }
            case Window_ShowMessageRequestResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Window_ShowMessageRequestResult::reset() -> void
    {
        switch (_type) {
        case Window_ShowMessageRequestResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case Window_ShowMessageRequestResultType::MessageActionItem: {
#ifdef DEBUG
            if (!_messageActionItem) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _messageActionItem"
                );
            }
#endif // DEBUG
            _messageActionItem.~unique_ptr<MessageActionItem>();
            _type = Window_ShowMessageRequestResultType::Uninitialized;
            break;
        }
        default: {
            _type = Window_ShowMessageRequestResultType::Uninitialized;
        }
        }
    }

    auto Window_ShowMessageRequestResult::type() const
    -> const Window_ShowMessageRequestResultType &
    {
        return _type;
    }

    auto Window_ShowMessageRequestResult::messageActionItem() const
    -> const MessageActionItem &
    {
#ifdef DEBUG
        if (_type != Window_ShowMessageRequestResultType::MessageActionItem) {
            throw std::logic_error(
                ("Attempted to access "
                 "Window_ShowMessageRequestResult::messageActionItem()"
                 " of type "
                 "Window_ShowMessageRequestResultType::MessageActionItem"
                 " while active type is "
                 "Window_ShowMessageRequestResultType::" +
                 Window_ShowMessageRequestResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_messageActionItem;
    }

    auto Window_ShowMessageRequestResult::operator=(
        const std::unique_ptr<MessageActionItem> &messageActionItem
    ) -> Window_ShowMessageRequestResult &
    {
        if (_type != Window_ShowMessageRequestResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!messageActionItem) {
            throw std::logic_error(
                "null passed as the value of messageActionItem"
            );
        }
#endif // DEBUG
        new (&_messageActionItem) std::unique_ptr<MessageActionItem> {
            std::make_unique<MessageActionItem>(*messageActionItem)
        };
        _type = Window_ShowMessageRequestResultType::MessageActionItem;
        return *this;
    }

    auto Window_ShowMessageRequestResult::operator=(
        std::unique_ptr<MessageActionItem> &&messageActionItem
    ) -> Window_ShowMessageRequestResult &
    {
        if (_type != Window_ShowMessageRequestResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!messageActionItem) {
            throw std::logic_error(
                "null passed as the value of messageActionItem"
            );
        }
#endif // DEBUG
        new (&_messageActionItem) std::unique_ptr<MessageActionItem> {
            std::move(messageActionItem)
        };
        _type = Window_ShowMessageRequestResultType::MessageActionItem;
        return *this;
    }

    auto Window_ShowMessageRequestResult::operator=(
        const MessageActionItem &messageActionItem
    ) -> Window_ShowMessageRequestResult &
    {
        if (_type != Window_ShowMessageRequestResultType::Uninitialized) {
            reset();
        }
        new (&_messageActionItem) std::unique_ptr<MessageActionItem> {
            std::make_unique<MessageActionItem>(messageActionItem)
        };
        _type = Window_ShowMessageRequestResultType::MessageActionItem;
        return *this;
    }

    auto Window_ShowMessageRequestResult::operator=(
        MessageActionItem &&messageActionItem
    ) -> Window_ShowMessageRequestResult &
    {
        if (_type != Window_ShowMessageRequestResultType::Uninitialized) {
            reset();
        }
        new (&_messageActionItem) std::unique_ptr<MessageActionItem> {
            std::make_unique<MessageActionItem>(std::move(messageActionItem))
        };
        _type = Window_ShowMessageRequestResultType::MessageActionItem;
        return *this;
    }

    auto Window_ShowMessageRequestResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != Window_ShowMessageRequestResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "Window_ShowMessageRequestResult::null()"
                 " of type "
                 "Window_ShowMessageRequestResultType::Null"
                 " while active type is "
                 "Window_ShowMessageRequestResultType::" +
                 Window_ShowMessageRequestResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto Window_ShowMessageRequestResult::operator=(
        null_t null
    ) -> Window_ShowMessageRequestResult &
    {
        if (_type != Window_ShowMessageRequestResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = Window_ShowMessageRequestResultType::Null;
        return *this;
    }

    FoldingRange::FoldingRange()
    {
        // empty
    }

    FoldingRange::FoldingRange(FoldingRange &&other)
        : startLine(other.startLine)
        , startCharacter(std::move(other.startCharacter))
        , endLine(other.endLine)
        , endCharacter(std::move(other.endCharacter))
        , kind(std::move(other.kind))
        , collapsedText(std::move(other.collapsedText))
    {
        // empty
    }

    FoldingRange::FoldingRange(const FoldingRange &other)
        : startLine(other.startLine)
        , endLine(other.endLine)
    {
        if (other.startCharacter.has_value()) {
            startCharacter = other.startCharacter.value();
        }
        if (other.endCharacter.has_value()) {
            endCharacter = other.endCharacter.value();
        }
        if (other.kind.has_value()) {
            kind = other.kind.value();
        }
        if (other.collapsedText.has_value()) {
            collapsedText = other.collapsedText.value();
        }
    }

    FoldingRange::~FoldingRange()
    {
        // empty
    }

    auto FoldingRange::operator=(FoldingRange &&other) -> FoldingRange &
    {
        if (this != &other) {
            startLine = other.startLine;
            startCharacter = std::move(other.startCharacter);
            endLine = other.endLine;
            endCharacter = std::move(other.endCharacter);
            kind = std::move(other.kind);
            collapsedText = std::move(other.collapsedText);
        }
        return *this;
    }

    auto FoldingRange::operator=(const FoldingRange &other) -> FoldingRange &
    {
        if (this != &other) {
            startLine = other.startLine;
            if (other.startCharacter.has_value()) {
                startCharacter = other.startCharacter.value();
            }
            endLine = other.endLine;
            if (other.endCharacter.has_value()) {
                endCharacter = other.endCharacter.value();
            }
            if (other.kind.has_value()) {
                kind = other.kind.value();
            }
            if (other.collapsedText.has_value()) {
                collapsedText = other.collapsedText.value();
            }
        }
        return *this;
    }

    SemanticTokens::SemanticTokens()
    {
        // empty
    }

    SemanticTokens::SemanticTokens(SemanticTokens &&other)
        : resultId(std::move(other.resultId))
        , data(std::move(other.data))
    {
        // empty
    }

    SemanticTokens::SemanticTokens(const SemanticTokens &other)
    {
        if (other.resultId.has_value()) {
            resultId = other.resultId.value();
        }
        data = other.data;
    }

    SemanticTokens::~SemanticTokens()
    {
        // empty
    }

    auto SemanticTokens::operator=(SemanticTokens &&other) -> SemanticTokens &
    {
        if (this != &other) {
            resultId = std::move(other.resultId);
            data = std::move(other.data);
        }
        return *this;
    }

    auto SemanticTokens::operator=(
        const SemanticTokens &other
    ) -> SemanticTokens &
    {
        if (this != &other) {
            if (other.resultId.has_value()) {
                resultId = other.resultId.value();
            }
            data = other.data;
        }
        return *this;
    }

    SemanticTokensPartialResult::SemanticTokensPartialResult()
    {
        // empty
    }

    SemanticTokensPartialResult::SemanticTokensPartialResult(
        SemanticTokensPartialResult &&other
    )
        : data(std::move(other.data))
    {
        // empty
    }

    SemanticTokensPartialResult::SemanticTokensPartialResult(
        const SemanticTokensPartialResult &other
    )
    {
        data = other.data;
    }

    SemanticTokensPartialResult::~SemanticTokensPartialResult()
    {
        // empty
    }

    auto SemanticTokensPartialResult::operator=(
        SemanticTokensPartialResult &&other
    ) -> SemanticTokensPartialResult &
    {
        if (this != &other) {
            data = std::move(other.data);
        }
        return *this;
    }

    auto SemanticTokensPartialResult::operator=(
        const SemanticTokensPartialResult &other
    ) -> SemanticTokensPartialResult &
    {
        if (this != &other) {
            data = other.data;
        }
        return *this;
    }

    ApplyWorkspaceEditResult::ApplyWorkspaceEditResult()
    {
        // empty
    }

    ApplyWorkspaceEditResult::ApplyWorkspaceEditResult(
        ApplyWorkspaceEditResult &&other
    )
        : applied(other.applied)
        , failureReason(std::move(other.failureReason))
        , failedChange(std::move(other.failedChange))
    {
        // empty
    }

    ApplyWorkspaceEditResult::ApplyWorkspaceEditResult(
        const ApplyWorkspaceEditResult &other
    )
        : applied(other.applied)
    {
        if (other.failureReason.has_value()) {
            failureReason = other.failureReason.value();
        }
        if (other.failedChange.has_value()) {
            failedChange = other.failedChange.value();
        }
    }

    ApplyWorkspaceEditResult::~ApplyWorkspaceEditResult()
    {
        // empty
    }

    auto ApplyWorkspaceEditResult::operator=(
        ApplyWorkspaceEditResult &&other
    ) -> ApplyWorkspaceEditResult &
    {
        if (this != &other) {
            applied = other.applied;
            failureReason = std::move(other.failureReason);
            failedChange = std::move(other.failedChange);
        }
        return *this;
    }

    auto ApplyWorkspaceEditResult::operator=(
        const ApplyWorkspaceEditResult &other
    ) -> ApplyWorkspaceEditResult &
    {
        if (this != &other) {
            applied = other.applied;
            if (other.failureReason.has_value()) {
                failureReason = other.failureReason.value();
            }
            if (other.failedChange.has_value()) {
                failedChange = other.failedChange.value();
            }
        }
        return *this;
    }

    WorkDoneProgressBegin::WorkDoneProgressBegin()
    {
        // empty
    }

    WorkDoneProgressBegin::WorkDoneProgressBegin(WorkDoneProgressBegin &&other)
        : kind(std::move(other.kind))
        , title(std::move(other.title))
        , cancellable(std::move(other.cancellable))
        , message(std::move(other.message))
        , percentage(std::move(other.percentage))
    {
        // empty
    }

    WorkDoneProgressBegin::WorkDoneProgressBegin(
        const WorkDoneProgressBegin &other
    )
        : title(other.title)
    {
        if (other.cancellable.has_value()) {
            cancellable = other.cancellable.value();
        }
        if (other.message.has_value()) {
            message = other.message.value();
        }
        if (other.percentage.has_value()) {
            percentage = other.percentage.value();
        }
    }

    WorkDoneProgressBegin::~WorkDoneProgressBegin()
    {
        // empty
    }

    auto WorkDoneProgressBegin::operator=(
        WorkDoneProgressBegin &&other
    ) -> WorkDoneProgressBegin &
    {
        if (this != &other) {
            kind = std::move(other.kind);
            title = std::move(other.title);
            cancellable = std::move(other.cancellable);
            message = std::move(other.message);
            percentage = std::move(other.percentage);
        }
        return *this;
    }

    auto WorkDoneProgressBegin::operator=(
        const WorkDoneProgressBegin &other
    ) -> WorkDoneProgressBegin &
    {
        if (this != &other) {
            title = other.title;
            if (other.cancellable.has_value()) {
                cancellable = other.cancellable.value();
            }
            if (other.message.has_value()) {
                message = other.message.value();
            }
            if (other.percentage.has_value()) {
                percentage = other.percentage.value();
            }
        }
        return *this;
    }

    WorkDoneProgressReport::WorkDoneProgressReport()
    {
        // empty
    }

    WorkDoneProgressReport::WorkDoneProgressReport(
        WorkDoneProgressReport &&other
    )
        : kind(std::move(other.kind))
        , cancellable(std::move(other.cancellable))
        , message(std::move(other.message))
        , percentage(std::move(other.percentage))
    {
        // empty
    }

    WorkDoneProgressReport::WorkDoneProgressReport(
        const WorkDoneProgressReport &other
    )
    {
        if (other.cancellable.has_value()) {
            cancellable = other.cancellable.value();
        }
        if (other.message.has_value()) {
            message = other.message.value();
        }
        if (other.percentage.has_value()) {
            percentage = other.percentage.value();
        }
    }

    WorkDoneProgressReport::~WorkDoneProgressReport()
    {
        // empty
    }

    auto WorkDoneProgressReport::operator=(
        WorkDoneProgressReport &&other
    ) -> WorkDoneProgressReport &
    {
        if (this != &other) {
            kind = std::move(other.kind);
            cancellable = std::move(other.cancellable);
            message = std::move(other.message);
            percentage = std::move(other.percentage);
        }
        return *this;
    }

    auto WorkDoneProgressReport::operator=(
        const WorkDoneProgressReport &other
    ) -> WorkDoneProgressReport &
    {
        if (this != &other) {
            if (other.cancellable.has_value()) {
                cancellable = other.cancellable.value();
            }
            if (other.message.has_value()) {
                message = other.message.value();
            }
            if (other.percentage.has_value()) {
                percentage = other.percentage.value();
            }
        }
        return *this;
    }

    Position::Position()
    {
        // empty
    }

    Position::Position(Position &&other)
        : line(other.line)
        , character(other.character)
    {
        // empty
    }

    Position::Position(const Position &other)
        : line(other.line)
        , character(other.character)
    {
    }

    Position::~Position()
    {
        // empty
    }

    auto Position::operator=(Position &&other) -> Position &
    {
        if (this != &other) {
            line = other.line;
            character = other.character;
        }
        return *this;
    }

    auto Position::operator=(const Position &other) -> Position &
    {
        if (this != &other) {
            line = other.line;
            character = other.character;
        }
        return *this;
    }

    TextDocumentPositionParams::TextDocumentPositionParams()
    {
        // empty
    }

    TextDocumentPositionParams::TextDocumentPositionParams(
        TextDocumentPositionParams &&other
    )
        : textDocument(std::move(other.textDocument))
        , position(std::move(other.position))
    {
        // empty
    }

    TextDocumentPositionParams::TextDocumentPositionParams(
        const TextDocumentPositionParams &other
    )
        : textDocument(other.textDocument)
        , position(other.position)
    {
    }

    TextDocumentPositionParams::~TextDocumentPositionParams()
    {
        // empty
    }

    auto TextDocumentPositionParams::operator=(
        TextDocumentPositionParams &&other
    ) -> TextDocumentPositionParams &
    {
        if (this != &other) {
            textDocument = std::move(other.textDocument);
            position = std::move(other.position);
        }
        return *this;
    }

    auto TextDocumentPositionParams::operator=(
        const TextDocumentPositionParams &other
    ) -> TextDocumentPositionParams &
    {
        if (this != &other) {
            textDocument = other.textDocument;
            position = other.position;
        }
        return *this;
    }

    Range::Range()
    {
        // empty
    }

    Range::Range(Range &&other)
        : start(std::move(other.start))
        , end(std::move(other.end))
    {
        // empty
    }

    Range::Range(const Range &other)
        : start(other.start)
        , end(other.end)
    {
    }

    Range::~Range()
    {
        // empty
    }

    auto Range::operator=(Range &&other) -> Range &
    {
        if (this != &other) {
            start = std::move(other.start);
            end = std::move(other.end);
        }
        return *this;
    }

    auto Range::operator=(const Range &other) -> Range &
    {
        if (this != &other) {
            start = other.start;
            end = other.end;
        }
        return *this;
    }

    Location::Location()
    {
        // empty
    }

    Location::Location(Location &&other)
        : uri(std::move(other.uri))
        , range(std::move(other.range))
    {
        // empty
    }

    Location::Location(const Location &other)
        : uri(other.uri)
        , range(other.range)
    {
    }

    Location::~Location()
    {
        // empty
    }

    auto Location::operator=(Location &&other) -> Location &
    {
        if (this != &other) {
            uri = std::move(other.uri);
            range = std::move(other.range);
        }
        return *this;
    }

    auto Location::operator=(const Location &other) -> Location &
    {
        if (this != &other) {
            uri = other.uri;
            range = other.range;
        }
        return *this;
    }

    SelectionRange::SelectionRange()
    {
        // empty
    }

    SelectionRange::SelectionRange(SelectionRange &&other)
        : range(std::move(other.range))
        , parent(std::move(other.parent))
    {
        // empty
    }

    SelectionRange::SelectionRange(const SelectionRange &other)
        : range(other.range)
    {
        if (other.parent.has_value()) {
            parent = std::make_unique<SelectionRange>(*other.parent.value());
        }
    }

    SelectionRange::~SelectionRange()
    {
        // empty
    }

    auto SelectionRange::operator=(SelectionRange &&other) -> SelectionRange &
    {
        if (this != &other) {
            range = std::move(other.range);
            parent = std::move(other.parent);
        }
        return *this;
    }

    auto SelectionRange::operator=(
        const SelectionRange &other
    ) -> SelectionRange &
    {
        if (this != &other) {
            range = other.range;
            if (other.parent.has_value()) {
                parent =
                    std::make_unique<SelectionRange>(*other.parent.value());
            }
        }
        return *this;
    }

    ShowDocumentParams::ShowDocumentParams()
    {
        // empty
    }

    ShowDocumentParams::ShowDocumentParams(ShowDocumentParams &&other)
        : uri(std::move(other.uri))
        , external(std::move(other.external))
        , takeFocus(std::move(other.takeFocus))
        , selection(std::move(other.selection))
    {
        // empty
    }

    ShowDocumentParams::ShowDocumentParams(const ShowDocumentParams &other)
        : uri(other.uri)
    {
        if (other.external.has_value()) {
            external = other.external.value();
        }
        if (other.takeFocus.has_value()) {
            takeFocus = other.takeFocus.value();
        }
        if (other.selection.has_value()) {
            selection = other.selection.value();
        }
    }

    ShowDocumentParams::~ShowDocumentParams()
    {
        // empty
    }

    auto ShowDocumentParams::operator=(
        ShowDocumentParams &&other
    ) -> ShowDocumentParams &
    {
        if (this != &other) {
            uri = std::move(other.uri);
            external = std::move(other.external);
            takeFocus = std::move(other.takeFocus);
            selection = std::move(other.selection);
        }
        return *this;
    }

    auto ShowDocumentParams::operator=(
        const ShowDocumentParams &other
    ) -> ShowDocumentParams &
    {
        if (this != &other) {
            uri = other.uri;
            if (other.external.has_value()) {
                external = other.external.value();
            }
            if (other.takeFocus.has_value()) {
                takeFocus = other.takeFocus.value();
            }
            if (other.selection.has_value()) {
                selection = other.selection.value();
            }
        }
        return *this;
    }

    LinkedEditingRanges::LinkedEditingRanges()
    {
        // empty
    }

    LinkedEditingRanges::LinkedEditingRanges(LinkedEditingRanges &&other)
        : ranges(std::move(other.ranges))
        , wordPattern(std::move(other.wordPattern))
    {
        // empty
    }

    LinkedEditingRanges::LinkedEditingRanges(const LinkedEditingRanges &other)
    {
        ranges.reserve(other.ranges.size());
        for (const auto &elem_0 : other.ranges) {
            ranges.push_back(elem_0);
        }
        if (other.wordPattern.has_value()) {
            wordPattern = other.wordPattern.value();
        }
    }

    LinkedEditingRanges::~LinkedEditingRanges()
    {
        // empty
    }

    auto LinkedEditingRanges::operator=(
        LinkedEditingRanges &&other
    ) -> LinkedEditingRanges &
    {
        if (this != &other) {
            ranges = std::move(other.ranges);
            wordPattern = std::move(other.wordPattern);
        }
        return *this;
    }

    auto LinkedEditingRanges::operator=(
        const LinkedEditingRanges &other
    ) -> LinkedEditingRanges &
    {
        if (this != &other) {
            ranges.reserve(other.ranges.size());
            for (const auto &elem_0 : other.ranges) {
                ranges.push_back(elem_0);
            }
            if (other.wordPattern.has_value()) {
                wordPattern = other.wordPattern.value();
            }
        }
        return *this;
    }

    TextEdit::TextEdit()
    {
        // empty
    }

    TextEdit::TextEdit(TextEdit &&other)
        : range(std::move(other.range))
        , newText(std::move(other.newText))
    {
        // empty
    }

    TextEdit::TextEdit(const TextEdit &other)
        : range(other.range)
        , newText(other.newText)
    {
    }

    TextEdit::~TextEdit()
    {
        // empty
    }

    auto TextEdit::operator=(TextEdit &&other) -> TextEdit &
    {
        if (this != &other) {
            range = std::move(other.range);
            newText = std::move(other.newText);
        }
        return *this;
    }

    auto TextEdit::operator=(const TextEdit &other) -> TextEdit &
    {
        if (this != &other) {
            range = other.range;
            newText = other.newText;
        }
        return *this;
    }

    ColorPresentation::ColorPresentation()
    {
        // empty
    }

    ColorPresentation::ColorPresentation(ColorPresentation &&other)
        : label(std::move(other.label))
        , textEdit(std::move(other.textEdit))
        , additionalTextEdits(std::move(other.additionalTextEdits))
    {
        // empty
    }

    ColorPresentation::ColorPresentation(const ColorPresentation &other)
        : label(other.label)
    {
        if (other.textEdit.has_value()) {
            textEdit = other.textEdit.value();
        }
        if (other.additionalTextEdits.has_value()) {
            auto &array_0 = additionalTextEdits.emplace();
            const auto &array_1 = other.additionalTextEdits.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
    }

    ColorPresentation::~ColorPresentation()
    {
        // empty
    }

    auto ColorPresentation::operator=(
        ColorPresentation &&other
    ) -> ColorPresentation &
    {
        if (this != &other) {
            label = std::move(other.label);
            textEdit = std::move(other.textEdit);
            additionalTextEdits = std::move(other.additionalTextEdits);
        }
        return *this;
    }

    auto ColorPresentation::operator=(
        const ColorPresentation &other
    ) -> ColorPresentation &
    {
        if (this != &other) {
            label = other.label;
            if (other.textEdit.has_value()) {
                textEdit = other.textEdit.value();
            }
            if (other.additionalTextEdits.has_value()) {
                auto &array_0 = additionalTextEdits.emplace();
                const auto &array_1 = other.additionalTextEdits.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
        }
        return *this;
    }

    CompletionList_itemDefaults_editRange_1::CompletionList_itemDefaults_editRange_1()
    {
        // empty
    }

    CompletionList_itemDefaults_editRange_1::CompletionList_itemDefaults_editRange_1(
        CompletionList_itemDefaults_editRange_1 &&other
    )
        : insert(std::move(other.insert))
        , replace(std::move(other.replace))
    {
        // empty
    }

    CompletionList_itemDefaults_editRange_1::CompletionList_itemDefaults_editRange_1(
        const CompletionList_itemDefaults_editRange_1 &other
    )
        : insert(other.insert)
        , replace(other.replace)
    {
    }

    CompletionList_itemDefaults_editRange_1::~CompletionList_itemDefaults_editRange_1()
    {
        // empty
    }

    auto CompletionList_itemDefaults_editRange_1::operator=(
        CompletionList_itemDefaults_editRange_1 &&other
    ) -> CompletionList_itemDefaults_editRange_1 &
    {
        if (this != &other) {
            insert = std::move(other.insert);
            replace = std::move(other.replace);
        }
        return *this;
    }

    auto CompletionList_itemDefaults_editRange_1::operator=(
        const CompletionList_itemDefaults_editRange_1 &other
    ) -> CompletionList_itemDefaults_editRange_1 &
    {
        if (this != &other) {
            insert = other.insert;
            replace = other.replace;
        }
        return *this;
    }

    const std::map<CompletionList_itemDefaults_editRangeType, std::string>
    CompletionList_itemDefaults_editRangeTypeNames = {
        {CompletionList_itemDefaults_editRangeType::Uninitialized,
         "Uninitialized"},
        {CompletionList_itemDefaults_editRangeType::Range, "Range"},
        {CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1,
         "CompletionList_itemDefaults_editRange_1"},
    };

    CompletionList_itemDefaults_editRange::CompletionList_itemDefaults_editRange()
    {
        // empty
    }

    CompletionList_itemDefaults_editRange::~CompletionList_itemDefaults_editRange()
    {
        reset();
    }

    CompletionList_itemDefaults_editRange::CompletionList_itemDefaults_editRange(
        CompletionList_itemDefaults_editRange &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CompletionList_itemDefaults_editRangeType::Range: {
            new (&_range) std::unique_ptr<Range> {
                std::move(other._range)
            };
            break;
        }
        case CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1: {
            new (&_completionList_itemDefaults_editRange_1) std::unique_ptr<CompletionList_itemDefaults_editRange_1> {
                std::move(other._completionList_itemDefaults_editRange_1)
            };
            break;
        }
        case CompletionList_itemDefaults_editRangeType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = CompletionList_itemDefaults_editRangeType::Uninitialized;
    }

    CompletionList_itemDefaults_editRange::CompletionList_itemDefaults_editRange(
        const CompletionList_itemDefaults_editRange &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CompletionList_itemDefaults_editRangeType::Range: {
            new (&_range) std::unique_ptr<Range> {
                std::make_unique<Range>(*other._range)
            };
            break;
        }
        case CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1: {
            new (&_completionList_itemDefaults_editRange_1) std::unique_ptr<CompletionList_itemDefaults_editRange_1> {
                std::make_unique<CompletionList_itemDefaults_editRange_1>(*other._completionList_itemDefaults_editRange_1)
            };
            break;
        }
        case CompletionList_itemDefaults_editRangeType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        CompletionList_itemDefaults_editRange &&other
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CompletionList_itemDefaults_editRangeType::Range: {
                new (&_range) std::unique_ptr<Range> {
                    std::move(other._range)
                };
                break;
            }
            case CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1: {
                new (&_completionList_itemDefaults_editRange_1) std::unique_ptr<CompletionList_itemDefaults_editRange_1> {
                    std::move(other._completionList_itemDefaults_editRange_1)
                };
                break;
            }
            case CompletionList_itemDefaults_editRangeType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                CompletionList_itemDefaults_editRangeType::Uninitialized;
        }
        return *this;
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        const CompletionList_itemDefaults_editRange &other
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CompletionList_itemDefaults_editRangeType::Range: {
                new (&_range) std::unique_ptr<Range> {
                    std::make_unique<Range>(*other._range)
                };
                break;
            }
            case CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1: {
                new (&_completionList_itemDefaults_editRange_1) std::unique_ptr<CompletionList_itemDefaults_editRange_1> {
                    std::make_unique<CompletionList_itemDefaults_editRange_1>(*other._completionList_itemDefaults_editRange_1)
                };
                break;
            }
            case CompletionList_itemDefaults_editRangeType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto CompletionList_itemDefaults_editRange::reset() -> void
    {
        switch (_type) {
        case CompletionList_itemDefaults_editRangeType::Uninitialized: {
            // nothing to do
            break;
        }
        case CompletionList_itemDefaults_editRangeType::Range: {
#ifdef DEBUG
            if (!_range) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _range"
                );
            }
#endif // DEBUG
            _range.~unique_ptr<Range>();
            _type = CompletionList_itemDefaults_editRangeType::Uninitialized;
            break;
        }
        case CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1: {
#ifdef DEBUG
            if (!_completionList_itemDefaults_editRange_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _completionList_itemDefaults_editRange_1"
                );
            }
#endif // DEBUG
            _completionList_itemDefaults_editRange_1.~unique_ptr<CompletionList_itemDefaults_editRange_1>();
            _type = CompletionList_itemDefaults_editRangeType::Uninitialized;
            break;
        }
        default: {
            _type = CompletionList_itemDefaults_editRangeType::Uninitialized;
        }
        }
    }

    auto CompletionList_itemDefaults_editRange::type() const
    -> const CompletionList_itemDefaults_editRangeType &
    {
        return _type;
    }

    auto CompletionList_itemDefaults_editRange::range() const -> const Range &
    {
#ifdef DEBUG
        if (_type != CompletionList_itemDefaults_editRangeType::Range) {
            throw std::logic_error(
                ("Attempted to access "
                 "CompletionList_itemDefaults_editRange::range()"
                 " of type "
                 "CompletionList_itemDefaults_editRangeType::Range"
                 " while active type is "
                 "CompletionList_itemDefaults_editRangeType::" +
                 CompletionList_itemDefaults_editRangeTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_range;
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        const std::unique_ptr<Range> &range
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (_type !=
                CompletionList_itemDefaults_editRangeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!range) {
            throw std::logic_error("null passed as the value of range");
        }
#endif // DEBUG
        new (&_range) std::unique_ptr<Range> {
            std::make_unique<Range>(*range)
        };
        _type = CompletionList_itemDefaults_editRangeType::Range;
        return *this;
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        std::unique_ptr<Range> &&range
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (_type !=
                CompletionList_itemDefaults_editRangeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!range) {
            throw std::logic_error("null passed as the value of range");
        }
#endif // DEBUG
        new (&_range) std::unique_ptr<Range> {
            std::move(range)
        };
        _type = CompletionList_itemDefaults_editRangeType::Range;
        return *this;
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        const Range &range
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (_type !=
                CompletionList_itemDefaults_editRangeType::Uninitialized) {
            reset();
        }
        new (&_range) std::unique_ptr<Range> {
            std::make_unique<Range>(range)
        };
        _type = CompletionList_itemDefaults_editRangeType::Range;
        return *this;
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        Range &&range
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (_type !=
                CompletionList_itemDefaults_editRangeType::Uninitialized) {
            reset();
        }
        new (&_range) std::unique_ptr<Range> {
            std::make_unique<Range>(std::move(range))
        };
        _type = CompletionList_itemDefaults_editRangeType::Range;
        return *this;
    }

    auto CompletionList_itemDefaults_editRange::completionList_itemDefaults_editRange_1() const
    -> const CompletionList_itemDefaults_editRange_1 &
    {
#ifdef DEBUG
        if (_type != CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "CompletionList_itemDefaults_editRange::completionList_itemDefaults_editRange_1()"
                 " of type "
                 "CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1"
                 " while active type is "
                 "CompletionList_itemDefaults_editRangeType::" +
                 CompletionList_itemDefaults_editRangeTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_completionList_itemDefaults_editRange_1;
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        const std::unique_ptr<CompletionList_itemDefaults_editRange_1> &completionList_itemDefaults_editRange_1
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (_type !=
                CompletionList_itemDefaults_editRangeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!completionList_itemDefaults_editRange_1) {
            throw std::logic_error(
                "null passed as the value of completionList_itemDefaults_editRange_1"
            );
        }
#endif // DEBUG
        new (&_completionList_itemDefaults_editRange_1) std::unique_ptr<CompletionList_itemDefaults_editRange_1> {
            std::make_unique<CompletionList_itemDefaults_editRange_1>(*completionList_itemDefaults_editRange_1)
        };
        _type =
            CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1;
        return *this;
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        std::unique_ptr<CompletionList_itemDefaults_editRange_1> &&completionList_itemDefaults_editRange_1
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (_type !=
                CompletionList_itemDefaults_editRangeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!completionList_itemDefaults_editRange_1) {
            throw std::logic_error(
                "null passed as the value of completionList_itemDefaults_editRange_1"
            );
        }
#endif // DEBUG
        new (&_completionList_itemDefaults_editRange_1) std::unique_ptr<CompletionList_itemDefaults_editRange_1> {
            std::move(completionList_itemDefaults_editRange_1)
        };
        _type =
            CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1;
        return *this;
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        const CompletionList_itemDefaults_editRange_1 &completionList_itemDefaults_editRange_1
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (_type !=
                CompletionList_itemDefaults_editRangeType::Uninitialized) {
            reset();
        }
        new (&_completionList_itemDefaults_editRange_1) std::unique_ptr<CompletionList_itemDefaults_editRange_1> {
            std::make_unique<CompletionList_itemDefaults_editRange_1>(completionList_itemDefaults_editRange_1)
        };
        _type =
            CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1;
        return *this;
    }

    auto CompletionList_itemDefaults_editRange::operator=(
        CompletionList_itemDefaults_editRange_1 &&completionList_itemDefaults_editRange_1
    ) -> CompletionList_itemDefaults_editRange &
    {
        if (_type !=
                CompletionList_itemDefaults_editRangeType::Uninitialized) {
            reset();
        }
        new (&_completionList_itemDefaults_editRange_1) std::unique_ptr<CompletionList_itemDefaults_editRange_1> {
            std::make_unique<CompletionList_itemDefaults_editRange_1>(std::move(completionList_itemDefaults_editRange_1))
        };
        _type =
            CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1;
        return *this;
    }

    Hover::Hover()
    {
        // empty
    }

    Hover::Hover(Hover &&other)
        : contents(std::move(other.contents))
        , range(std::move(other.range))
    {
        // empty
    }

    Hover::Hover(const Hover &other)
        : contents(Hover_contents(other.contents))
    {
        if (other.range.has_value()) {
            range = other.range.value();
        }
    }

    Hover::~Hover()
    {
        // empty
    }

    auto Hover::operator=(Hover &&other) -> Hover &
    {
        if (this != &other) {
            contents = std::move(other.contents);
            range = std::move(other.range);
        }
        return *this;
    }

    auto Hover::operator=(const Hover &other) -> Hover &
    {
        if (this != &other) {
            contents = Hover_contents(other.contents);
            if (other.range.has_value()) {
                range = other.range.value();
            }
        }
        return *this;
    }

    DocumentHighlight::DocumentHighlight()
    {
        // empty
    }

    DocumentHighlight::DocumentHighlight(DocumentHighlight &&other)
        : range(std::move(other.range))
        , kind(std::move(other.kind))
    {
        // empty
    }

    DocumentHighlight::DocumentHighlight(const DocumentHighlight &other)
        : range(other.range)
    {
        if (other.kind.has_value()) {
            kind = other.kind.value();
        }
    }

    DocumentHighlight::~DocumentHighlight()
    {
        // empty
    }

    auto DocumentHighlight::operator=(
        DocumentHighlight &&other
    ) -> DocumentHighlight &
    {
        if (this != &other) {
            range = std::move(other.range);
            kind = std::move(other.kind);
        }
        return *this;
    }

    auto DocumentHighlight::operator=(
        const DocumentHighlight &other
    ) -> DocumentHighlight &
    {
        if (this != &other) {
            range = other.range;
            if (other.kind.has_value()) {
                kind = other.kind.value();
            }
        }
        return *this;
    }

    SymbolInformation::SymbolInformation()
        : BaseSymbolInformation()
    {
        // empty
    }

    SymbolInformation::SymbolInformation(SymbolInformation &&other)
        : BaseSymbolInformation(other)
        , deprecated(std::move(other.deprecated))
        , location(std::move(other.location))
    {
        // empty
    }

    SymbolInformation::SymbolInformation(const SymbolInformation &other)
        : BaseSymbolInformation(other)
        , location(other.location)
    {
        if (other.deprecated.has_value()) {
            deprecated = other.deprecated.value();
        }
    }

    SymbolInformation::~SymbolInformation()
    {
        // empty
    }

    auto SymbolInformation::operator=(
        SymbolInformation &&other
    ) -> SymbolInformation &
    {
        if (this != &other) {
            BaseSymbolInformation::operator=(other);
            deprecated = std::move(other.deprecated);
            location = std::move(other.location);
        }
        return *this;
    }

    auto SymbolInformation::operator=(
        const SymbolInformation &other
    ) -> SymbolInformation &
    {
        if (this != &other) {
            BaseSymbolInformation::operator=(other);
            if (other.deprecated.has_value()) {
                deprecated = other.deprecated.value();
            }
            location = other.location;
        }
        return *this;
    }

    DocumentSymbol::DocumentSymbol()
    {
        // empty
    }

    DocumentSymbol::DocumentSymbol(DocumentSymbol &&other)
        : name(std::move(other.name))
        , detail(std::move(other.detail))
        , kind(std::move(other.kind))
        , tags(std::move(other.tags))
        , deprecated(std::move(other.deprecated))
        , range(std::move(other.range))
        , selectionRange(std::move(other.selectionRange))
        , children(std::move(other.children))
    {
        // empty
    }

    DocumentSymbol::DocumentSymbol(const DocumentSymbol &other)
        : name(other.name)
        , kind(other.kind)
        , range(other.range)
        , selectionRange(other.selectionRange)
    {
        if (other.detail.has_value()) {
            detail = other.detail.value();
        }
        if (other.tags.has_value()) {
            auto &array_0 = tags.emplace();
            const auto &array_1 = other.tags.value();
            array_0 = array_1;
        }
        if (other.deprecated.has_value()) {
            deprecated = other.deprecated.value();
        }
        if (other.children.has_value()) {
            auto &array_2 = children.emplace();
            const auto &array_3 = other.children.value();
            array_2.reserve(array_3.size());
            for (const auto &elem_0 : array_3) {
                array_2.push_back(std::make_unique<DocumentSymbol>(*elem_0));
            }
        }
    }

    DocumentSymbol::~DocumentSymbol()
    {
        // empty
    }

    auto DocumentSymbol::operator=(DocumentSymbol &&other) -> DocumentSymbol &
    {
        if (this != &other) {
            name = std::move(other.name);
            detail = std::move(other.detail);
            kind = std::move(other.kind);
            tags = std::move(other.tags);
            deprecated = std::move(other.deprecated);
            range = std::move(other.range);
            selectionRange = std::move(other.selectionRange);
            children = std::move(other.children);
        }
        return *this;
    }

    auto DocumentSymbol::operator=(
        const DocumentSymbol &other
    ) -> DocumentSymbol &
    {
        if (this != &other) {
            name = other.name;
            if (other.detail.has_value()) {
                detail = other.detail.value();
            }
            kind = other.kind;
            if (other.tags.has_value()) {
                auto &array_0 = tags.emplace();
                const auto &array_1 = other.tags.value();
                array_0 = array_1;
            }
            if (other.deprecated.has_value()) {
                deprecated = other.deprecated.value();
            }
            range = other.range;
            selectionRange = other.selectionRange;
            if (other.children.has_value()) {
                auto &array_2 = children.emplace();
                const auto &array_3 = other.children.value();
                array_2.reserve(array_3.size());
                for (const auto &elem_0 : array_3) {
                    array_2.push_back(
                        std::make_unique<DocumentSymbol>(*elem_0)
                    );
                }
            }
        }
        return *this;
    }

    const std::map<WorkspaceSymbol_locationType, std::string>
    WorkspaceSymbol_locationTypeNames = {
        {WorkspaceSymbol_locationType::Uninitialized, "Uninitialized"},
        {WorkspaceSymbol_locationType::Location, "Location"},
        {WorkspaceSymbol_locationType::WorkspaceSymbol_location_1,
         "WorkspaceSymbol_location_1"},
    };

    WorkspaceSymbol_location::WorkspaceSymbol_location()
    {
        // empty
    }

    WorkspaceSymbol_location::~WorkspaceSymbol_location()
    {
        reset();
    }

    WorkspaceSymbol_location::WorkspaceSymbol_location(
        WorkspaceSymbol_location &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceSymbol_locationType::Location: {
            new (&_location) std::unique_ptr<Location> {
                std::move(other._location)
            };
            break;
        }
        case WorkspaceSymbol_locationType::WorkspaceSymbol_location_1: {
            new (&_workspaceSymbol_location_1) std::unique_ptr<WorkspaceSymbol_location_1> {
                std::move(other._workspaceSymbol_location_1)
            };
            break;
        }
        case WorkspaceSymbol_locationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = WorkspaceSymbol_locationType::Uninitialized;
    }

    WorkspaceSymbol_location::WorkspaceSymbol_location(
        const WorkspaceSymbol_location &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceSymbol_locationType::Location: {
            new (&_location) std::unique_ptr<Location> {
                std::make_unique<Location>(*other._location)
            };
            break;
        }
        case WorkspaceSymbol_locationType::WorkspaceSymbol_location_1: {
            new (&_workspaceSymbol_location_1) std::unique_ptr<WorkspaceSymbol_location_1> {
                std::make_unique<WorkspaceSymbol_location_1>(*other._workspaceSymbol_location_1)
            };
            break;
        }
        case WorkspaceSymbol_locationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto WorkspaceSymbol_location::operator=(
        WorkspaceSymbol_location &&other
    ) -> WorkspaceSymbol_location &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceSymbol_locationType::Location: {
                new (&_location) std::unique_ptr<Location> {
                    std::move(other._location)
                };
                break;
            }
            case WorkspaceSymbol_locationType::WorkspaceSymbol_location_1: {
                new (&_workspaceSymbol_location_1) std::unique_ptr<WorkspaceSymbol_location_1> {
                    std::move(other._workspaceSymbol_location_1)
                };
                break;
            }
            case WorkspaceSymbol_locationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = WorkspaceSymbol_locationType::Uninitialized;
        }
        return *this;
    }

    auto WorkspaceSymbol_location::operator=(
        const WorkspaceSymbol_location &other
    ) -> WorkspaceSymbol_location &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceSymbol_locationType::Location: {
                new (&_location) std::unique_ptr<Location> {
                    std::make_unique<Location>(*other._location)
                };
                break;
            }
            case WorkspaceSymbol_locationType::WorkspaceSymbol_location_1: {
                new (&_workspaceSymbol_location_1) std::unique_ptr<WorkspaceSymbol_location_1> {
                    std::make_unique<WorkspaceSymbol_location_1>(*other._workspaceSymbol_location_1)
                };
                break;
            }
            case WorkspaceSymbol_locationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto WorkspaceSymbol_location::reset() -> void
    {
        switch (_type) {
        case WorkspaceSymbol_locationType::Uninitialized: {
            // nothing to do
            break;
        }
        case WorkspaceSymbol_locationType::Location: {
#ifdef DEBUG
            if (!_location) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _location"
                );
            }
#endif // DEBUG
            _location.~unique_ptr<Location>();
            _type = WorkspaceSymbol_locationType::Uninitialized;
            break;
        }
        case WorkspaceSymbol_locationType::WorkspaceSymbol_location_1: {
#ifdef DEBUG
            if (!_workspaceSymbol_location_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceSymbol_location_1"
                );
            }
#endif // DEBUG
            _workspaceSymbol_location_1.~unique_ptr<WorkspaceSymbol_location_1>();
            _type = WorkspaceSymbol_locationType::Uninitialized;
            break;
        }
        default: {
            _type = WorkspaceSymbol_locationType::Uninitialized;
        }
        }
    }

    auto WorkspaceSymbol_location::type() const
    -> const WorkspaceSymbol_locationType &
    {
        return _type;
    }

    auto WorkspaceSymbol_location::location() const -> const Location &
    {
#ifdef DEBUG
        if (_type != WorkspaceSymbol_locationType::Location) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceSymbol_location::location()"
                 " of type "
                 "WorkspaceSymbol_locationType::Location"
                 " while active type is "
                 "WorkspaceSymbol_locationType::" +
                 WorkspaceSymbol_locationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_location;
    }

    auto WorkspaceSymbol_location::operator=(
        const std::unique_ptr<Location> &location
    ) -> WorkspaceSymbol_location &
    {
        if (_type != WorkspaceSymbol_locationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!location) {
            throw std::logic_error("null passed as the value of location");
        }
#endif // DEBUG
        new (&_location) std::unique_ptr<Location> {
            std::make_unique<Location>(*location)
        };
        _type = WorkspaceSymbol_locationType::Location;
        return *this;
    }

    auto WorkspaceSymbol_location::operator=(
        std::unique_ptr<Location> &&location
    ) -> WorkspaceSymbol_location &
    {
        if (_type != WorkspaceSymbol_locationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!location) {
            throw std::logic_error("null passed as the value of location");
        }
#endif // DEBUG
        new (&_location) std::unique_ptr<Location> {
            std::move(location)
        };
        _type = WorkspaceSymbol_locationType::Location;
        return *this;
    }

    auto WorkspaceSymbol_location::operator=(
        const Location &location
    ) -> WorkspaceSymbol_location &
    {
        if (_type != WorkspaceSymbol_locationType::Uninitialized) {
            reset();
        }
        new (&_location) std::unique_ptr<Location> {
            std::make_unique<Location>(location)
        };
        _type = WorkspaceSymbol_locationType::Location;
        return *this;
    }

    auto WorkspaceSymbol_location::operator=(
        Location &&location
    ) -> WorkspaceSymbol_location &
    {
        if (_type != WorkspaceSymbol_locationType::Uninitialized) {
            reset();
        }
        new (&_location) std::unique_ptr<Location> {
            std::make_unique<Location>(std::move(location))
        };
        _type = WorkspaceSymbol_locationType::Location;
        return *this;
    }

    auto WorkspaceSymbol_location::workspaceSymbol_location_1() const
    -> const WorkspaceSymbol_location_1 &
    {
#ifdef DEBUG
        if (_type != WorkspaceSymbol_locationType::WorkspaceSymbol_location_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceSymbol_location::workspaceSymbol_location_1()"
                 " of type "
                 "WorkspaceSymbol_locationType::WorkspaceSymbol_location_1"
                 " while active type is "
                 "WorkspaceSymbol_locationType::" +
                 WorkspaceSymbol_locationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceSymbol_location_1;
    }

    auto WorkspaceSymbol_location::operator=(
        const std::unique_ptr<WorkspaceSymbol_location_1> &workspaceSymbol_location_1
    ) -> WorkspaceSymbol_location &
    {
        if (_type != WorkspaceSymbol_locationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceSymbol_location_1) {
            throw std::logic_error(
                "null passed as the value of workspaceSymbol_location_1"
            );
        }
#endif // DEBUG
        new (&_workspaceSymbol_location_1) std::unique_ptr<WorkspaceSymbol_location_1> {
            std::make_unique<WorkspaceSymbol_location_1>(*workspaceSymbol_location_1)
        };
        _type = WorkspaceSymbol_locationType::WorkspaceSymbol_location_1;
        return *this;
    }

    auto WorkspaceSymbol_location::operator=(
        std::unique_ptr<WorkspaceSymbol_location_1> &&workspaceSymbol_location_1
    ) -> WorkspaceSymbol_location &
    {
        if (_type != WorkspaceSymbol_locationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceSymbol_location_1) {
            throw std::logic_error(
                "null passed as the value of workspaceSymbol_location_1"
            );
        }
#endif // DEBUG
        new (&_workspaceSymbol_location_1) std::unique_ptr<WorkspaceSymbol_location_1> {
            std::move(workspaceSymbol_location_1)
        };
        _type = WorkspaceSymbol_locationType::WorkspaceSymbol_location_1;
        return *this;
    }

    auto WorkspaceSymbol_location::operator=(
        const WorkspaceSymbol_location_1 &workspaceSymbol_location_1
    ) -> WorkspaceSymbol_location &
    {
        if (_type != WorkspaceSymbol_locationType::Uninitialized) {
            reset();
        }
        new (&_workspaceSymbol_location_1) std::unique_ptr<WorkspaceSymbol_location_1> {
            std::make_unique<WorkspaceSymbol_location_1>(workspaceSymbol_location_1)
        };
        _type = WorkspaceSymbol_locationType::WorkspaceSymbol_location_1;
        return *this;
    }

    auto WorkspaceSymbol_location::operator=(
        WorkspaceSymbol_location_1 &&workspaceSymbol_location_1
    ) -> WorkspaceSymbol_location &
    {
        if (_type != WorkspaceSymbol_locationType::Uninitialized) {
            reset();
        }
        new (&_workspaceSymbol_location_1) std::unique_ptr<WorkspaceSymbol_location_1> {
            std::make_unique<WorkspaceSymbol_location_1>(std::move(workspaceSymbol_location_1))
        };
        _type = WorkspaceSymbol_locationType::WorkspaceSymbol_location_1;
        return *this;
    }

    LocationLink::LocationLink()
    {
        // empty
    }

    LocationLink::LocationLink(LocationLink &&other)
        : originSelectionRange(std::move(other.originSelectionRange))
        , targetUri(std::move(other.targetUri))
        , targetRange(std::move(other.targetRange))
        , targetSelectionRange(std::move(other.targetSelectionRange))
    {
        // empty
    }

    LocationLink::LocationLink(const LocationLink &other)
        : targetUri(other.targetUri)
        , targetRange(other.targetRange)
        , targetSelectionRange(other.targetSelectionRange)
    {
        if (other.originSelectionRange.has_value()) {
            originSelectionRange = other.originSelectionRange.value();
        }
    }

    LocationLink::~LocationLink()
    {
        // empty
    }

    auto LocationLink::operator=(LocationLink &&other) -> LocationLink &
    {
        if (this != &other) {
            originSelectionRange = std::move(other.originSelectionRange);
            targetUri = std::move(other.targetUri);
            targetRange = std::move(other.targetRange);
            targetSelectionRange = std::move(other.targetSelectionRange);
        }
        return *this;
    }

    auto LocationLink::operator=(const LocationLink &other) -> LocationLink &
    {
        if (this != &other) {
            if (other.originSelectionRange.has_value()) {
                originSelectionRange = other.originSelectionRange.value();
            }
            targetUri = other.targetUri;
            targetRange = other.targetRange;
            targetSelectionRange = other.targetSelectionRange;
        }
        return *this;
    }

    SemanticTokensEdit::SemanticTokensEdit()
    {
        // empty
    }

    SemanticTokensEdit::SemanticTokensEdit(SemanticTokensEdit &&other)
        : start(other.start)
        , deleteCount(other.deleteCount)
        , data(std::move(other.data))
    {
        // empty
    }

    SemanticTokensEdit::SemanticTokensEdit(const SemanticTokensEdit &other)
        : start(other.start)
        , deleteCount(other.deleteCount)
    {
        if (other.data.has_value()) {
            auto &array_0 = data.emplace();
            const auto &array_1 = other.data.value();
            array_0 = array_1;
        }
    }

    SemanticTokensEdit::~SemanticTokensEdit()
    {
        // empty
    }

    auto SemanticTokensEdit::operator=(
        SemanticTokensEdit &&other
    ) -> SemanticTokensEdit &
    {
        if (this != &other) {
            start = other.start;
            deleteCount = other.deleteCount;
            data = std::move(other.data);
        }
        return *this;
    }

    auto SemanticTokensEdit::operator=(
        const SemanticTokensEdit &other
    ) -> SemanticTokensEdit &
    {
        if (this != &other) {
            start = other.start;
            deleteCount = other.deleteCount;
            if (other.data.has_value()) {
                auto &array_0 = data.emplace();
                const auto &array_1 = other.data.value();
                array_0 = array_1;
            }
        }
        return *this;
    }

    SemanticTokensDelta::SemanticTokensDelta()
    {
        // empty
    }

    SemanticTokensDelta::SemanticTokensDelta(SemanticTokensDelta &&other)
        : resultId(std::move(other.resultId))
        , edits(std::move(other.edits))
    {
        // empty
    }

    SemanticTokensDelta::SemanticTokensDelta(const SemanticTokensDelta &other)
    {
        if (other.resultId.has_value()) {
            resultId = other.resultId.value();
        }
        edits.reserve(other.edits.size());
        for (const auto &elem_0 : other.edits) {
            edits.push_back(elem_0);
        }
    }

    SemanticTokensDelta::~SemanticTokensDelta()
    {
        // empty
    }

    auto SemanticTokensDelta::operator=(
        SemanticTokensDelta &&other
    ) -> SemanticTokensDelta &
    {
        if (this != &other) {
            resultId = std::move(other.resultId);
            edits = std::move(other.edits);
        }
        return *this;
    }

    auto SemanticTokensDelta::operator=(
        const SemanticTokensDelta &other
    ) -> SemanticTokensDelta &
    {
        if (this != &other) {
            if (other.resultId.has_value()) {
                resultId = other.resultId.value();
            }
            edits.reserve(other.edits.size());
            for (const auto &elem_0 : other.edits) {
                edits.push_back(elem_0);
            }
        }
        return *this;
    }

    SemanticTokensDeltaPartialResult::SemanticTokensDeltaPartialResult()
    {
        // empty
    }

    SemanticTokensDeltaPartialResult::SemanticTokensDeltaPartialResult(
        SemanticTokensDeltaPartialResult &&other
    )
        : edits(std::move(other.edits))
    {
        // empty
    }

    SemanticTokensDeltaPartialResult::SemanticTokensDeltaPartialResult(
        const SemanticTokensDeltaPartialResult &other
    )
    {
        edits.reserve(other.edits.size());
        for (const auto &elem_0 : other.edits) {
            edits.push_back(elem_0);
        }
    }

    SemanticTokensDeltaPartialResult::~SemanticTokensDeltaPartialResult()
    {
        // empty
    }

    auto SemanticTokensDeltaPartialResult::operator=(
        SemanticTokensDeltaPartialResult &&other
    ) -> SemanticTokensDeltaPartialResult &
    {
        if (this != &other) {
            edits = std::move(other.edits);
        }
        return *this;
    }

    auto SemanticTokensDeltaPartialResult::operator=(
        const SemanticTokensDeltaPartialResult &other
    ) -> SemanticTokensDeltaPartialResult &
    {
        if (this != &other) {
            edits.reserve(other.edits.size());
            for (const auto &elem_0 : other.edits) {
                edits.push_back(elem_0);
            }
        }
        return *this;
    }

    InlineValueText::InlineValueText()
    {
        // empty
    }

    InlineValueText::InlineValueText(InlineValueText &&other)
        : range(std::move(other.range))
        , text(std::move(other.text))
    {
        // empty
    }

    InlineValueText::InlineValueText(const InlineValueText &other)
        : range(other.range)
        , text(other.text)
    {
    }

    InlineValueText::~InlineValueText()
    {
        // empty
    }

    auto InlineValueText::operator=(
        InlineValueText &&other
    ) -> InlineValueText &
    {
        if (this != &other) {
            range = std::move(other.range);
            text = std::move(other.text);
        }
        return *this;
    }

    auto InlineValueText::operator=(
        const InlineValueText &other
    ) -> InlineValueText &
    {
        if (this != &other) {
            range = other.range;
            text = other.text;
        }
        return *this;
    }

    InlineValueVariableLookup::InlineValueVariableLookup()
    {
        // empty
    }

    InlineValueVariableLookup::InlineValueVariableLookup(
        InlineValueVariableLookup &&other
    )
        : range(std::move(other.range))
        , variableName(std::move(other.variableName))
        , caseSensitiveLookup(other.caseSensitiveLookup)
    {
        // empty
    }

    InlineValueVariableLookup::InlineValueVariableLookup(
        const InlineValueVariableLookup &other
    )
        : range(other.range)
        , caseSensitiveLookup(other.caseSensitiveLookup)
    {
        if (other.variableName.has_value()) {
            variableName = other.variableName.value();
        }
    }

    InlineValueVariableLookup::~InlineValueVariableLookup()
    {
        // empty
    }

    auto InlineValueVariableLookup::operator=(
        InlineValueVariableLookup &&other
    ) -> InlineValueVariableLookup &
    {
        if (this != &other) {
            range = std::move(other.range);
            variableName = std::move(other.variableName);
            caseSensitiveLookup = other.caseSensitiveLookup;
        }
        return *this;
    }

    auto InlineValueVariableLookup::operator=(
        const InlineValueVariableLookup &other
    ) -> InlineValueVariableLookup &
    {
        if (this != &other) {
            range = other.range;
            if (other.variableName.has_value()) {
                variableName = other.variableName.value();
            }
            caseSensitiveLookup = other.caseSensitiveLookup;
        }
        return *this;
    }

    InlineValueEvaluatableExpression::InlineValueEvaluatableExpression()
    {
        // empty
    }

    InlineValueEvaluatableExpression::InlineValueEvaluatableExpression(
        InlineValueEvaluatableExpression &&other
    )
        : range(std::move(other.range))
        , expression(std::move(other.expression))
    {
        // empty
    }

    InlineValueEvaluatableExpression::InlineValueEvaluatableExpression(
        const InlineValueEvaluatableExpression &other
    )
        : range(other.range)
    {
        if (other.expression.has_value()) {
            expression = other.expression.value();
        }
    }

    InlineValueEvaluatableExpression::~InlineValueEvaluatableExpression()
    {
        // empty
    }

    auto InlineValueEvaluatableExpression::operator=(
        InlineValueEvaluatableExpression &&other
    ) -> InlineValueEvaluatableExpression &
    {
        if (this != &other) {
            range = std::move(other.range);
            expression = std::move(other.expression);
        }
        return *this;
    }

    auto InlineValueEvaluatableExpression::operator=(
        const InlineValueEvaluatableExpression &other
    ) -> InlineValueEvaluatableExpression &
    {
        if (this != &other) {
            range = other.range;
            if (other.expression.has_value()) {
                expression = other.expression.value();
            }
        }
        return *this;
    }

    InsertReplaceEdit::InsertReplaceEdit()
    {
        // empty
    }

    InsertReplaceEdit::InsertReplaceEdit(InsertReplaceEdit &&other)
        : newText(std::move(other.newText))
        , insert(std::move(other.insert))
        , replace(std::move(other.replace))
    {
        // empty
    }

    InsertReplaceEdit::InsertReplaceEdit(const InsertReplaceEdit &other)
        : newText(other.newText)
        , insert(other.insert)
        , replace(other.replace)
    {
    }

    InsertReplaceEdit::~InsertReplaceEdit()
    {
        // empty
    }

    auto InsertReplaceEdit::operator=(
        InsertReplaceEdit &&other
    ) -> InsertReplaceEdit &
    {
        if (this != &other) {
            newText = std::move(other.newText);
            insert = std::move(other.insert);
            replace = std::move(other.replace);
        }
        return *this;
    }

    auto InsertReplaceEdit::operator=(
        const InsertReplaceEdit &other
    ) -> InsertReplaceEdit &
    {
        if (this != &other) {
            newText = other.newText;
            insert = other.insert;
            replace = other.replace;
        }
        return *this;
    }

    const std::map<CompletionItem_textEditType, std::string>
    CompletionItem_textEditTypeNames = {
        {CompletionItem_textEditType::Uninitialized, "Uninitialized"},
        {CompletionItem_textEditType::TextEdit, "TextEdit"},
        {CompletionItem_textEditType::InsertReplaceEdit, "InsertReplaceEdit"},
    };

    CompletionItem_textEdit::CompletionItem_textEdit()
    {
        // empty
    }

    CompletionItem_textEdit::~CompletionItem_textEdit()
    {
        reset();
    }

    CompletionItem_textEdit::CompletionItem_textEdit(
        CompletionItem_textEdit &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CompletionItem_textEditType::TextEdit: {
            new (&_textEdit) std::unique_ptr<TextEdit> {
                std::move(other._textEdit)
            };
            break;
        }
        case CompletionItem_textEditType::InsertReplaceEdit: {
            new (&_insertReplaceEdit) std::unique_ptr<InsertReplaceEdit> {
                std::move(other._insertReplaceEdit)
            };
            break;
        }
        case CompletionItem_textEditType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = CompletionItem_textEditType::Uninitialized;
    }

    CompletionItem_textEdit::CompletionItem_textEdit(
        const CompletionItem_textEdit &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CompletionItem_textEditType::TextEdit: {
            new (&_textEdit) std::unique_ptr<TextEdit> {
                std::make_unique<TextEdit>(*other._textEdit)
            };
            break;
        }
        case CompletionItem_textEditType::InsertReplaceEdit: {
            new (&_insertReplaceEdit) std::unique_ptr<InsertReplaceEdit> {
                std::make_unique<InsertReplaceEdit>(*other._insertReplaceEdit)
            };
            break;
        }
        case CompletionItem_textEditType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto CompletionItem_textEdit::operator=(
        CompletionItem_textEdit &&other
    ) -> CompletionItem_textEdit &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CompletionItem_textEditType::TextEdit: {
                new (&_textEdit) std::unique_ptr<TextEdit> {
                    std::move(other._textEdit)
                };
                break;
            }
            case CompletionItem_textEditType::InsertReplaceEdit: {
                new (&_insertReplaceEdit) std::unique_ptr<InsertReplaceEdit> {
                    std::move(other._insertReplaceEdit)
                };
                break;
            }
            case CompletionItem_textEditType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = CompletionItem_textEditType::Uninitialized;
        }
        return *this;
    }

    auto CompletionItem_textEdit::operator=(
        const CompletionItem_textEdit &other
    ) -> CompletionItem_textEdit &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CompletionItem_textEditType::TextEdit: {
                new (&_textEdit) std::unique_ptr<TextEdit> {
                    std::make_unique<TextEdit>(*other._textEdit)
                };
                break;
            }
            case CompletionItem_textEditType::InsertReplaceEdit: {
                new (&_insertReplaceEdit) std::unique_ptr<InsertReplaceEdit> {
                    std::make_unique<InsertReplaceEdit>(*other._insertReplaceEdit)
                };
                break;
            }
            case CompletionItem_textEditType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto CompletionItem_textEdit::reset() -> void
    {
        switch (_type) {
        case CompletionItem_textEditType::Uninitialized: {
            // nothing to do
            break;
        }
        case CompletionItem_textEditType::TextEdit: {
#ifdef DEBUG
            if (!_textEdit) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textEdit"
                );
            }
#endif // DEBUG
            _textEdit.~unique_ptr<TextEdit>();
            _type = CompletionItem_textEditType::Uninitialized;
            break;
        }
        case CompletionItem_textEditType::InsertReplaceEdit: {
#ifdef DEBUG
            if (!_insertReplaceEdit) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _insertReplaceEdit"
                );
            }
#endif // DEBUG
            _insertReplaceEdit.~unique_ptr<InsertReplaceEdit>();
            _type = CompletionItem_textEditType::Uninitialized;
            break;
        }
        default: {
            _type = CompletionItem_textEditType::Uninitialized;
        }
        }
    }

    auto CompletionItem_textEdit::type() const
    -> const CompletionItem_textEditType &
    {
        return _type;
    }

    auto CompletionItem_textEdit::textEdit() const -> const TextEdit &
    {
#ifdef DEBUG
        if (_type != CompletionItem_textEditType::TextEdit) {
            throw std::logic_error(
                ("Attempted to access "
                 "CompletionItem_textEdit::textEdit()"
                 " of type "
                 "CompletionItem_textEditType::TextEdit"
                 " while active type is "
                 "CompletionItem_textEditType::" +
                 CompletionItem_textEditTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textEdit;
    }

    auto CompletionItem_textEdit::operator=(
        const std::unique_ptr<TextEdit> &textEdit
    ) -> CompletionItem_textEdit &
    {
        if (_type != CompletionItem_textEditType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEdit) {
            throw std::logic_error("null passed as the value of textEdit");
        }
#endif // DEBUG
        new (&_textEdit) std::unique_ptr<TextEdit> {
            std::make_unique<TextEdit>(*textEdit)
        };
        _type = CompletionItem_textEditType::TextEdit;
        return *this;
    }

    auto CompletionItem_textEdit::operator=(
        std::unique_ptr<TextEdit> &&textEdit
    ) -> CompletionItem_textEdit &
    {
        if (_type != CompletionItem_textEditType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEdit) {
            throw std::logic_error("null passed as the value of textEdit");
        }
#endif // DEBUG
        new (&_textEdit) std::unique_ptr<TextEdit> {
            std::move(textEdit)
        };
        _type = CompletionItem_textEditType::TextEdit;
        return *this;
    }

    auto CompletionItem_textEdit::operator=(
        const TextEdit &textEdit
    ) -> CompletionItem_textEdit &
    {
        if (_type != CompletionItem_textEditType::Uninitialized) {
            reset();
        }
        new (&_textEdit) std::unique_ptr<TextEdit> {
            std::make_unique<TextEdit>(textEdit)
        };
        _type = CompletionItem_textEditType::TextEdit;
        return *this;
    }

    auto CompletionItem_textEdit::operator=(
        TextEdit &&textEdit
    ) -> CompletionItem_textEdit &
    {
        if (_type != CompletionItem_textEditType::Uninitialized) {
            reset();
        }
        new (&_textEdit) std::unique_ptr<TextEdit> {
            std::make_unique<TextEdit>(std::move(textEdit))
        };
        _type = CompletionItem_textEditType::TextEdit;
        return *this;
    }

    auto CompletionItem_textEdit::insertReplaceEdit() const
    -> const InsertReplaceEdit &
    {
#ifdef DEBUG
        if (_type != CompletionItem_textEditType::InsertReplaceEdit) {
            throw std::logic_error(
                ("Attempted to access "
                 "CompletionItem_textEdit::insertReplaceEdit()"
                 " of type "
                 "CompletionItem_textEditType::InsertReplaceEdit"
                 " while active type is "
                 "CompletionItem_textEditType::" +
                 CompletionItem_textEditTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_insertReplaceEdit;
    }

    auto CompletionItem_textEdit::operator=(
        const std::unique_ptr<InsertReplaceEdit> &insertReplaceEdit
    ) -> CompletionItem_textEdit &
    {
        if (_type != CompletionItem_textEditType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!insertReplaceEdit) {
            throw std::logic_error(
                "null passed as the value of insertReplaceEdit"
            );
        }
#endif // DEBUG
        new (&_insertReplaceEdit) std::unique_ptr<InsertReplaceEdit> {
            std::make_unique<InsertReplaceEdit>(*insertReplaceEdit)
        };
        _type = CompletionItem_textEditType::InsertReplaceEdit;
        return *this;
    }

    auto CompletionItem_textEdit::operator=(
        std::unique_ptr<InsertReplaceEdit> &&insertReplaceEdit
    ) -> CompletionItem_textEdit &
    {
        if (_type != CompletionItem_textEditType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!insertReplaceEdit) {
            throw std::logic_error(
                "null passed as the value of insertReplaceEdit"
            );
        }
#endif // DEBUG
        new (&_insertReplaceEdit) std::unique_ptr<InsertReplaceEdit> {
            std::move(insertReplaceEdit)
        };
        _type = CompletionItem_textEditType::InsertReplaceEdit;
        return *this;
    }

    auto CompletionItem_textEdit::operator=(
        const InsertReplaceEdit &insertReplaceEdit
    ) -> CompletionItem_textEdit &
    {
        if (_type != CompletionItem_textEditType::Uninitialized) {
            reset();
        }
        new (&_insertReplaceEdit) std::unique_ptr<InsertReplaceEdit> {
            std::make_unique<InsertReplaceEdit>(insertReplaceEdit)
        };
        _type = CompletionItem_textEditType::InsertReplaceEdit;
        return *this;
    }

    auto CompletionItem_textEdit::operator=(
        InsertReplaceEdit &&insertReplaceEdit
    ) -> CompletionItem_textEdit &
    {
        if (_type != CompletionItem_textEditType::Uninitialized) {
            reset();
        }
        new (&_insertReplaceEdit) std::unique_ptr<InsertReplaceEdit> {
            std::make_unique<InsertReplaceEdit>(std::move(insertReplaceEdit))
        };
        _type = CompletionItem_textEditType::InsertReplaceEdit;
        return *this;
    }

    FormattingOptions::FormattingOptions()
    {
        // empty
    }

    FormattingOptions::FormattingOptions(FormattingOptions &&other)
        : tabSize(other.tabSize)
        , insertSpaces(other.insertSpaces)
        , trimTrailingWhitespace(std::move(other.trimTrailingWhitespace))
        , insertFinalNewline(std::move(other.insertFinalNewline))
        , trimFinalNewlines(std::move(other.trimFinalNewlines))
    {
        // empty
    }

    FormattingOptions::FormattingOptions(const FormattingOptions &other)
        : tabSize(other.tabSize)
        , insertSpaces(other.insertSpaces)
    {
        if (other.trimTrailingWhitespace.has_value()) {
            trimTrailingWhitespace = other.trimTrailingWhitespace.value();
        }
        if (other.insertFinalNewline.has_value()) {
            insertFinalNewline = other.insertFinalNewline.value();
        }
        if (other.trimFinalNewlines.has_value()) {
            trimFinalNewlines = other.trimFinalNewlines.value();
        }
    }

    FormattingOptions::~FormattingOptions()
    {
        // empty
    }

    auto FormattingOptions::operator=(
        FormattingOptions &&other
    ) -> FormattingOptions &
    {
        if (this != &other) {
            tabSize = other.tabSize;
            insertSpaces = other.insertSpaces;
            trimTrailingWhitespace = std::move(other.trimTrailingWhitespace);
            insertFinalNewline = std::move(other.insertFinalNewline);
            trimFinalNewlines = std::move(other.trimFinalNewlines);
        }
        return *this;
    }

    auto FormattingOptions::operator=(
        const FormattingOptions &other
    ) -> FormattingOptions &
    {
        if (this != &other) {
            tabSize = other.tabSize;
            insertSpaces = other.insertSpaces;
            if (other.trimTrailingWhitespace.has_value()) {
                trimTrailingWhitespace = other.trimTrailingWhitespace.value();
            }
            if (other.insertFinalNewline.has_value()) {
                insertFinalNewline = other.insertFinalNewline.value();
            }
            if (other.trimFinalNewlines.has_value()) {
                trimFinalNewlines = other.trimFinalNewlines.value();
            }
        }
        return *this;
    }

    DocumentOnTypeFormattingParams::DocumentOnTypeFormattingParams()
    {
        // empty
    }

    DocumentOnTypeFormattingParams::DocumentOnTypeFormattingParams(
        DocumentOnTypeFormattingParams &&other
    )
        : textDocument(std::move(other.textDocument))
        , position(std::move(other.position))
        , ch(std::move(other.ch))
        , options(std::move(other.options))
    {
        // empty
    }

    DocumentOnTypeFormattingParams::DocumentOnTypeFormattingParams(
        const DocumentOnTypeFormattingParams &other
    )
        : textDocument(other.textDocument)
        , position(other.position)
        , ch(other.ch)
        , options(other.options)
    {
    }

    DocumentOnTypeFormattingParams::~DocumentOnTypeFormattingParams()
    {
        // empty
    }

    auto DocumentOnTypeFormattingParams::operator=(
        DocumentOnTypeFormattingParams &&other
    ) -> DocumentOnTypeFormattingParams &
    {
        if (this != &other) {
            textDocument = std::move(other.textDocument);
            position = std::move(other.position);
            ch = std::move(other.ch);
            options = std::move(other.options);
        }
        return *this;
    }

    auto DocumentOnTypeFormattingParams::operator=(
        const DocumentOnTypeFormattingParams &other
    ) -> DocumentOnTypeFormattingParams &
    {
        if (this != &other) {
            textDocument = other.textDocument;
            position = other.position;
            ch = other.ch;
            options = other.options;
        }
        return *this;
    }

    AnnotatedTextEdit::AnnotatedTextEdit()
        : TextEdit()
    {
        // empty
    }

    AnnotatedTextEdit::AnnotatedTextEdit(AnnotatedTextEdit &&other)
        : TextEdit(other)
        , annotationId(std::move(other.annotationId))
    {
        // empty
    }

    AnnotatedTextEdit::AnnotatedTextEdit(const AnnotatedTextEdit &other)
        : TextEdit(other)
        , annotationId(other.annotationId)
    {
    }

    AnnotatedTextEdit::~AnnotatedTextEdit()
    {
        // empty
    }

    auto AnnotatedTextEdit::operator=(
        AnnotatedTextEdit &&other
    ) -> AnnotatedTextEdit &
    {
        if (this != &other) {
            TextEdit::operator=(other);
            annotationId = std::move(other.annotationId);
        }
        return *this;
    }

    auto AnnotatedTextEdit::operator=(
        const AnnotatedTextEdit &other
    ) -> AnnotatedTextEdit &
    {
        if (this != &other) {
            TextEdit::operator=(other);
            annotationId = other.annotationId;
        }
        return *this;
    }

    const std::map<TextDocumentEdit_edits_elemType, std::string>
    TextDocumentEdit_edits_elemTypeNames = {
        {TextDocumentEdit_edits_elemType::Uninitialized, "Uninitialized"},
        {TextDocumentEdit_edits_elemType::TextEdit, "TextEdit"},
        {TextDocumentEdit_edits_elemType::AnnotatedTextEdit,
         "AnnotatedTextEdit"},
    };

    TextDocumentEdit_edits_elem::TextDocumentEdit_edits_elem()
    {
        // empty
    }

    TextDocumentEdit_edits_elem::~TextDocumentEdit_edits_elem()
    {
        reset();
    }

    TextDocumentEdit_edits_elem::TextDocumentEdit_edits_elem(
        TextDocumentEdit_edits_elem &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentEdit_edits_elemType::TextEdit: {
            new (&_textEdit) std::unique_ptr<TextEdit> {
                std::move(other._textEdit)
            };
            break;
        }
        case TextDocumentEdit_edits_elemType::AnnotatedTextEdit: {
            new (&_annotatedTextEdit) std::unique_ptr<AnnotatedTextEdit> {
                std::move(other._annotatedTextEdit)
            };
            break;
        }
        case TextDocumentEdit_edits_elemType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocumentEdit_edits_elemType::Uninitialized;
    }

    TextDocumentEdit_edits_elem::TextDocumentEdit_edits_elem(
        const TextDocumentEdit_edits_elem &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentEdit_edits_elemType::TextEdit: {
            new (&_textEdit) std::unique_ptr<TextEdit> {
                std::make_unique<TextEdit>(*other._textEdit)
            };
            break;
        }
        case TextDocumentEdit_edits_elemType::AnnotatedTextEdit: {
            new (&_annotatedTextEdit) std::unique_ptr<AnnotatedTextEdit> {
                std::make_unique<AnnotatedTextEdit>(*other._annotatedTextEdit)
            };
            break;
        }
        case TextDocumentEdit_edits_elemType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocumentEdit_edits_elem::operator=(
        TextDocumentEdit_edits_elem &&other
    ) -> TextDocumentEdit_edits_elem &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentEdit_edits_elemType::TextEdit: {
                new (&_textEdit) std::unique_ptr<TextEdit> {
                    std::move(other._textEdit)
                };
                break;
            }
            case TextDocumentEdit_edits_elemType::AnnotatedTextEdit: {
                new (&_annotatedTextEdit) std::unique_ptr<AnnotatedTextEdit> {
                    std::move(other._annotatedTextEdit)
                };
                break;
            }
            case TextDocumentEdit_edits_elemType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocumentEdit_edits_elemType::Uninitialized;
        }
        return *this;
    }

    auto TextDocumentEdit_edits_elem::operator=(
        const TextDocumentEdit_edits_elem &other
    ) -> TextDocumentEdit_edits_elem &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentEdit_edits_elemType::TextEdit: {
                new (&_textEdit) std::unique_ptr<TextEdit> {
                    std::make_unique<TextEdit>(*other._textEdit)
                };
                break;
            }
            case TextDocumentEdit_edits_elemType::AnnotatedTextEdit: {
                new (&_annotatedTextEdit) std::unique_ptr<AnnotatedTextEdit> {
                    std::make_unique<AnnotatedTextEdit>(*other._annotatedTextEdit)
                };
                break;
            }
            case TextDocumentEdit_edits_elemType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocumentEdit_edits_elem::reset() -> void
    {
        switch (_type) {
        case TextDocumentEdit_edits_elemType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocumentEdit_edits_elemType::TextEdit: {
#ifdef DEBUG
            if (!_textEdit) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textEdit"
                );
            }
#endif // DEBUG
            _textEdit.~unique_ptr<TextEdit>();
            _type = TextDocumentEdit_edits_elemType::Uninitialized;
            break;
        }
        case TextDocumentEdit_edits_elemType::AnnotatedTextEdit: {
#ifdef DEBUG
            if (!_annotatedTextEdit) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _annotatedTextEdit"
                );
            }
#endif // DEBUG
            _annotatedTextEdit.~unique_ptr<AnnotatedTextEdit>();
            _type = TextDocumentEdit_edits_elemType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocumentEdit_edits_elemType::Uninitialized;
        }
        }
    }

    auto TextDocumentEdit_edits_elem::type() const
    -> const TextDocumentEdit_edits_elemType &
    {
        return _type;
    }

    auto TextDocumentEdit_edits_elem::textEdit() const -> const TextEdit &
    {
#ifdef DEBUG
        if (_type != TextDocumentEdit_edits_elemType::TextEdit) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentEdit_edits_elem::textEdit()"
                 " of type "
                 "TextDocumentEdit_edits_elemType::TextEdit"
                 " while active type is "
                 "TextDocumentEdit_edits_elemType::" +
                 TextDocumentEdit_edits_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textEdit;
    }

    auto TextDocumentEdit_edits_elem::operator=(
        const std::unique_ptr<TextEdit> &textEdit
    ) -> TextDocumentEdit_edits_elem &
    {
        if (_type != TextDocumentEdit_edits_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEdit) {
            throw std::logic_error("null passed as the value of textEdit");
        }
#endif // DEBUG
        new (&_textEdit) std::unique_ptr<TextEdit> {
            std::make_unique<TextEdit>(*textEdit)
        };
        _type = TextDocumentEdit_edits_elemType::TextEdit;
        return *this;
    }

    auto TextDocumentEdit_edits_elem::operator=(
        std::unique_ptr<TextEdit> &&textEdit
    ) -> TextDocumentEdit_edits_elem &
    {
        if (_type != TextDocumentEdit_edits_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEdit) {
            throw std::logic_error("null passed as the value of textEdit");
        }
#endif // DEBUG
        new (&_textEdit) std::unique_ptr<TextEdit> {
            std::move(textEdit)
        };
        _type = TextDocumentEdit_edits_elemType::TextEdit;
        return *this;
    }

    auto TextDocumentEdit_edits_elem::operator=(
        const TextEdit &textEdit
    ) -> TextDocumentEdit_edits_elem &
    {
        if (_type != TextDocumentEdit_edits_elemType::Uninitialized) {
            reset();
        }
        new (&_textEdit) std::unique_ptr<TextEdit> {
            std::make_unique<TextEdit>(textEdit)
        };
        _type = TextDocumentEdit_edits_elemType::TextEdit;
        return *this;
    }

    auto TextDocumentEdit_edits_elem::operator=(
        TextEdit &&textEdit
    ) -> TextDocumentEdit_edits_elem &
    {
        if (_type != TextDocumentEdit_edits_elemType::Uninitialized) {
            reset();
        }
        new (&_textEdit) std::unique_ptr<TextEdit> {
            std::make_unique<TextEdit>(std::move(textEdit))
        };
        _type = TextDocumentEdit_edits_elemType::TextEdit;
        return *this;
    }

    auto TextDocumentEdit_edits_elem::annotatedTextEdit() const
    -> const AnnotatedTextEdit &
    {
#ifdef DEBUG
        if (_type != TextDocumentEdit_edits_elemType::AnnotatedTextEdit) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentEdit_edits_elem::annotatedTextEdit()"
                 " of type "
                 "TextDocumentEdit_edits_elemType::AnnotatedTextEdit"
                 " while active type is "
                 "TextDocumentEdit_edits_elemType::" +
                 TextDocumentEdit_edits_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_annotatedTextEdit;
    }

    auto TextDocumentEdit_edits_elem::operator=(
        const std::unique_ptr<AnnotatedTextEdit> &annotatedTextEdit
    ) -> TextDocumentEdit_edits_elem &
    {
        if (_type != TextDocumentEdit_edits_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!annotatedTextEdit) {
            throw std::logic_error(
                "null passed as the value of annotatedTextEdit"
            );
        }
#endif // DEBUG
        new (&_annotatedTextEdit) std::unique_ptr<AnnotatedTextEdit> {
            std::make_unique<AnnotatedTextEdit>(*annotatedTextEdit)
        };
        _type = TextDocumentEdit_edits_elemType::AnnotatedTextEdit;
        return *this;
    }

    auto TextDocumentEdit_edits_elem::operator=(
        std::unique_ptr<AnnotatedTextEdit> &&annotatedTextEdit
    ) -> TextDocumentEdit_edits_elem &
    {
        if (_type != TextDocumentEdit_edits_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!annotatedTextEdit) {
            throw std::logic_error(
                "null passed as the value of annotatedTextEdit"
            );
        }
#endif // DEBUG
        new (&_annotatedTextEdit) std::unique_ptr<AnnotatedTextEdit> {
            std::move(annotatedTextEdit)
        };
        _type = TextDocumentEdit_edits_elemType::AnnotatedTextEdit;
        return *this;
    }

    auto TextDocumentEdit_edits_elem::operator=(
        const AnnotatedTextEdit &annotatedTextEdit
    ) -> TextDocumentEdit_edits_elem &
    {
        if (_type != TextDocumentEdit_edits_elemType::Uninitialized) {
            reset();
        }
        new (&_annotatedTextEdit) std::unique_ptr<AnnotatedTextEdit> {
            std::make_unique<AnnotatedTextEdit>(annotatedTextEdit)
        };
        _type = TextDocumentEdit_edits_elemType::AnnotatedTextEdit;
        return *this;
    }

    auto TextDocumentEdit_edits_elem::operator=(
        AnnotatedTextEdit &&annotatedTextEdit
    ) -> TextDocumentEdit_edits_elem &
    {
        if (_type != TextDocumentEdit_edits_elemType::Uninitialized) {
            reset();
        }
        new (&_annotatedTextEdit) std::unique_ptr<AnnotatedTextEdit> {
            std::make_unique<AnnotatedTextEdit>(std::move(annotatedTextEdit))
        };
        _type = TextDocumentEdit_edits_elemType::AnnotatedTextEdit;
        return *this;
    }

    SelectedCompletionInfo::SelectedCompletionInfo()
    {
        // empty
    }

    SelectedCompletionInfo::SelectedCompletionInfo(
        SelectedCompletionInfo &&other
    )
        : range(std::move(other.range))
        , text(std::move(other.text))
    {
        // empty
    }

    SelectedCompletionInfo::SelectedCompletionInfo(
        const SelectedCompletionInfo &other
    )
        : range(other.range)
        , text(other.text)
    {
    }

    SelectedCompletionInfo::~SelectedCompletionInfo()
    {
        // empty
    }

    auto SelectedCompletionInfo::operator=(
        SelectedCompletionInfo &&other
    ) -> SelectedCompletionInfo &
    {
        if (this != &other) {
            range = std::move(other.range);
            text = std::move(other.text);
        }
        return *this;
    }

    auto SelectedCompletionInfo::operator=(
        const SelectedCompletionInfo &other
    ) -> SelectedCompletionInfo &
    {
        if (this != &other) {
            range = other.range;
            text = other.text;
        }
        return *this;
    }

    InlineCompletionContext::InlineCompletionContext()
    {
        // empty
    }

    InlineCompletionContext::InlineCompletionContext(
        InlineCompletionContext &&other
    )
        : triggerKind(std::move(other.triggerKind))
        , selectedCompletionInfo(std::move(other.selectedCompletionInfo))
    {
        // empty
    }

    InlineCompletionContext::InlineCompletionContext(
        const InlineCompletionContext &other
    )
        : triggerKind(other.triggerKind)
    {
        if (other.selectedCompletionInfo.has_value()) {
            selectedCompletionInfo = other.selectedCompletionInfo.value();
        }
    }

    InlineCompletionContext::~InlineCompletionContext()
    {
        // empty
    }

    auto InlineCompletionContext::operator=(
        InlineCompletionContext &&other
    ) -> InlineCompletionContext &
    {
        if (this != &other) {
            triggerKind = std::move(other.triggerKind);
            selectedCompletionInfo = std::move(other.selectedCompletionInfo);
        }
        return *this;
    }

    auto InlineCompletionContext::operator=(
        const InlineCompletionContext &other
    ) -> InlineCompletionContext &
    {
        if (this != &other) {
            triggerKind = other.triggerKind;
            if (other.selectedCompletionInfo.has_value()) {
                selectedCompletionInfo = other.selectedCompletionInfo.value();
            }
        }
        return *this;
    }

    DiagnosticRelatedInformation::DiagnosticRelatedInformation()
    {
        // empty
    }

    DiagnosticRelatedInformation::DiagnosticRelatedInformation(
        DiagnosticRelatedInformation &&other
    )
        : location(std::move(other.location))
        , message(std::move(other.message))
    {
        // empty
    }

    DiagnosticRelatedInformation::DiagnosticRelatedInformation(
        const DiagnosticRelatedInformation &other
    )
        : location(other.location)
        , message(other.message)
    {
    }

    DiagnosticRelatedInformation::~DiagnosticRelatedInformation()
    {
        // empty
    }

    auto DiagnosticRelatedInformation::operator=(
        DiagnosticRelatedInformation &&other
    ) -> DiagnosticRelatedInformation &
    {
        if (this != &other) {
            location = std::move(other.location);
            message = std::move(other.message);
        }
        return *this;
    }

    auto DiagnosticRelatedInformation::operator=(
        const DiagnosticRelatedInformation &other
    ) -> DiagnosticRelatedInformation &
    {
        if (this != &other) {
            location = other.location;
            message = other.message;
        }
        return *this;
    }

    const std::map<ParameterInformation_labelType, std::string>
    ParameterInformation_labelTypeNames = {
        {ParameterInformation_labelType::Uninitialized, "Uninitialized"},
        {ParameterInformation_labelType::String, "String"},
        {ParameterInformation_labelType::PairOfUIntegerAndUInteger,
         "PairOfUIntegerAndUInteger"},
    };

    ParameterInformation_label::ParameterInformation_label()
    {
        // empty
    }

    ParameterInformation_label::~ParameterInformation_label()
    {
        reset();
    }

    ParameterInformation_label::ParameterInformation_label(
        ParameterInformation_label &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ParameterInformation_labelType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case ParameterInformation_labelType::PairOfUIntegerAndUInteger: {
            new (&_pairOfUIntegerAndUInteger) std::unique_ptr<ParameterInformation_label_1> {
                std::move(other._pairOfUIntegerAndUInteger)
            };
            break;
        }
        case ParameterInformation_labelType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ParameterInformation_labelType::Uninitialized;
    }

    ParameterInformation_label::ParameterInformation_label(
        const ParameterInformation_label &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ParameterInformation_labelType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case ParameterInformation_labelType::PairOfUIntegerAndUInteger: {
            _pairOfUIntegerAndUInteger =
                std::make_unique<std::pair<uinteger_t, uinteger_t>>(*other._pairOfUIntegerAndUInteger);
            break;
        }
        case ParameterInformation_labelType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ParameterInformation_label::operator=(
        ParameterInformation_label &&other
    ) -> ParameterInformation_label &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ParameterInformation_labelType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case ParameterInformation_labelType::PairOfUIntegerAndUInteger: {
                new (&_pairOfUIntegerAndUInteger) std::unique_ptr<ParameterInformation_label_1> {
                    std::move(other._pairOfUIntegerAndUInteger)
                };
                break;
            }
            case ParameterInformation_labelType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = ParameterInformation_labelType::Uninitialized;
        }
        return *this;
    }

    auto ParameterInformation_label::operator=(
        const ParameterInformation_label &other
    ) -> ParameterInformation_label &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ParameterInformation_labelType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case ParameterInformation_labelType::PairOfUIntegerAndUInteger: {
                _pairOfUIntegerAndUInteger =
                    std::make_unique<std::pair<uinteger_t, uinteger_t>>(*other._pairOfUIntegerAndUInteger);
                break;
            }
            case ParameterInformation_labelType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ParameterInformation_label::reset() -> void
    {
        switch (_type) {
        case ParameterInformation_labelType::Uninitialized: {
            // nothing to do
            break;
        }
        case ParameterInformation_labelType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = ParameterInformation_labelType::Uninitialized;
            break;
        }
        case ParameterInformation_labelType::PairOfUIntegerAndUInteger: {
#ifdef DEBUG
            if (!_pairOfUIntegerAndUInteger) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _pairOfUIntegerAndUInteger"
                );
            }
#endif // DEBUG
            _pairOfUIntegerAndUInteger.~unique_ptr<std::pair<uinteger_t, uinteger_t>>();
            _type = ParameterInformation_labelType::Uninitialized;
            break;
        }
        default: {
            _type = ParameterInformation_labelType::Uninitialized;
        }
        }
    }

    auto ParameterInformation_label::type() const
    -> const ParameterInformation_labelType &
    {
        return _type;
    }

    auto ParameterInformation_label::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != ParameterInformation_labelType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "ParameterInformation_label::string()"
                 " of type "
                 "ParameterInformation_labelType::String"
                 " while active type is "
                 "ParameterInformation_labelType::" +
                 ParameterInformation_labelTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto ParameterInformation_label::operator=(
        const std::unique_ptr<string_t> &string
    ) -> ParameterInformation_label &
    {
        if (_type != ParameterInformation_labelType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = ParameterInformation_labelType::String;
        return *this;
    }

    auto ParameterInformation_label::operator=(
        std::unique_ptr<string_t> &&string
    ) -> ParameterInformation_label &
    {
        if (_type != ParameterInformation_labelType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = ParameterInformation_labelType::String;
        return *this;
    }

    auto ParameterInformation_label::operator=(
        const string_t &string
    ) -> ParameterInformation_label &
    {
        if (_type != ParameterInformation_labelType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = ParameterInformation_labelType::String;
        return *this;
    }

    auto ParameterInformation_label::operator=(
        string_t &&string
    ) -> ParameterInformation_label &
    {
        if (_type != ParameterInformation_labelType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = ParameterInformation_labelType::String;
        return *this;
    }

    auto ParameterInformation_label::pairOfUIntegerAndUInteger() const
    -> const std::pair<uinteger_t, uinteger_t> &
    {
#ifdef DEBUG
        if (_type != ParameterInformation_labelType::PairOfUIntegerAndUInteger) {
            throw std::logic_error(
                ("Attempted to access "
                 "ParameterInformation_label::pairOfUIntegerAndUInteger()"
                 " of type "
                 "ParameterInformation_labelType::PairOfUIntegerAndUInteger"
                 " while active type is "
                 "ParameterInformation_labelType::" +
                 ParameterInformation_labelTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_pairOfUIntegerAndUInteger;
    }

    auto ParameterInformation_label::operator=(
        const std::unique_ptr<std::pair<uinteger_t, uinteger_t>> &pairOfUIntegerAndUInteger
    ) -> ParameterInformation_label &
    {
        if (_type != ParameterInformation_labelType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!pairOfUIntegerAndUInteger) {
            throw std::logic_error(
                "null passed as the value of pairOfUIntegerAndUInteger"
            );
        }
#endif // DEBUG
        _pairOfUIntegerAndUInteger =
            std::make_unique<std::pair<uinteger_t, uinteger_t>>(*pairOfUIntegerAndUInteger);
        _type = ParameterInformation_labelType::PairOfUIntegerAndUInteger;
        return *this;
    }

    auto ParameterInformation_label::operator=(
        std::unique_ptr<std::pair<uinteger_t, uinteger_t>> &&pairOfUIntegerAndUInteger
    ) -> ParameterInformation_label &
    {
        if (_type != ParameterInformation_labelType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!pairOfUIntegerAndUInteger) {
            throw std::logic_error(
                "null passed as the value of pairOfUIntegerAndUInteger"
            );
        }
#endif // DEBUG
        new (&_pairOfUIntegerAndUInteger) std::unique_ptr<ParameterInformation_label_1> {
            std::move(pairOfUIntegerAndUInteger)
        };
        _type = ParameterInformation_labelType::PairOfUIntegerAndUInteger;
        return *this;
    }

    auto ParameterInformation_label::operator=(
        const std::pair<uinteger_t, uinteger_t> &pairOfUIntegerAndUInteger
    ) -> ParameterInformation_label &
    {
        if (_type != ParameterInformation_labelType::Uninitialized) {
            reset();
        }
        _pairOfUIntegerAndUInteger =
            std::make_unique<std::pair<uinteger_t, uinteger_t>>(pairOfUIntegerAndUInteger);
        _type = ParameterInformation_labelType::PairOfUIntegerAndUInteger;
        return *this;
    }

    auto ParameterInformation_label::operator=(
        std::pair<uinteger_t, uinteger_t> &&pairOfUIntegerAndUInteger
    ) -> ParameterInformation_label &
    {
        if (_type != ParameterInformation_labelType::Uninitialized) {
            reset();
        }
        new (&_pairOfUIntegerAndUInteger) std::unique_ptr<ParameterInformation_label_1> {
            std::make_unique<ParameterInformation_label_1>(std::move(pairOfUIntegerAndUInteger))
        };
        _type = ParameterInformation_labelType::PairOfUIntegerAndUInteger;
        return *this;
    }

    ParameterInformation::ParameterInformation()
    {
        // empty
    }

    ParameterInformation::ParameterInformation(ParameterInformation &&other)
        : label(std::move(other.label))
        , documentation(std::move(other.documentation))
    {
        // empty
    }

    ParameterInformation::ParameterInformation(
        const ParameterInformation &other
    )
        : label(ParameterInformation_label(other.label))
    {
        if (other.documentation.has_value()) {
            documentation = other.documentation.value();
        }
    }

    ParameterInformation::~ParameterInformation()
    {
        // empty
    }

    auto ParameterInformation::operator=(
        ParameterInformation &&other
    ) -> ParameterInformation &
    {
        if (this != &other) {
            label = std::move(other.label);
            documentation = std::move(other.documentation);
        }
        return *this;
    }

    auto ParameterInformation::operator=(
        const ParameterInformation &other
    ) -> ParameterInformation &
    {
        if (this != &other) {
            label = ParameterInformation_label(other.label);
            if (other.documentation.has_value()) {
                documentation = other.documentation.value();
            }
        }
        return *this;
    }

    SignatureInformation::SignatureInformation()
    {
        // empty
    }

    SignatureInformation::SignatureInformation(SignatureInformation &&other)
        : label(std::move(other.label))
        , documentation(std::move(other.documentation))
        , parameters(std::move(other.parameters))
        , activeParameter(std::move(other.activeParameter))
    {
        // empty
    }

    SignatureInformation::SignatureInformation(
        const SignatureInformation &other
    )
        : label(other.label)
    {
        if (other.documentation.has_value()) {
            documentation = other.documentation.value();
        }
        if (other.parameters.has_value()) {
            auto &array_0 = parameters.emplace();
            const auto &array_1 = other.parameters.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
        if (other.activeParameter.has_value()) {
            activeParameter = other.activeParameter.value();
        }
    }

    SignatureInformation::~SignatureInformation()
    {
        // empty
    }

    auto SignatureInformation::operator=(
        SignatureInformation &&other
    ) -> SignatureInformation &
    {
        if (this != &other) {
            label = std::move(other.label);
            documentation = std::move(other.documentation);
            parameters = std::move(other.parameters);
            activeParameter = std::move(other.activeParameter);
        }
        return *this;
    }

    auto SignatureInformation::operator=(
        const SignatureInformation &other
    ) -> SignatureInformation &
    {
        if (this != &other) {
            label = other.label;
            if (other.documentation.has_value()) {
                documentation = other.documentation.value();
            }
            if (other.parameters.has_value()) {
                auto &array_0 = parameters.emplace();
                const auto &array_1 = other.parameters.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
            if (other.activeParameter.has_value()) {
                activeParameter = other.activeParameter.value();
            }
        }
        return *this;
    }

    SignatureHelp::SignatureHelp()
    {
        // empty
    }

    SignatureHelp::SignatureHelp(SignatureHelp &&other)
        : signatures(std::move(other.signatures))
        , activeSignature(std::move(other.activeSignature))
        , activeParameter(std::move(other.activeParameter))
    {
        // empty
    }

    SignatureHelp::SignatureHelp(const SignatureHelp &other)
    {
        signatures.reserve(other.signatures.size());
        for (const auto &elem_0 : other.signatures) {
            signatures.push_back(elem_0);
        }
        if (other.activeSignature.has_value()) {
            activeSignature = other.activeSignature.value();
        }
        if (other.activeParameter.has_value()) {
            activeParameter = other.activeParameter.value();
        }
    }

    SignatureHelp::~SignatureHelp()
    {
        // empty
    }

    auto SignatureHelp::operator=(SignatureHelp &&other) -> SignatureHelp &
    {
        if (this != &other) {
            signatures = std::move(other.signatures);
            activeSignature = std::move(other.activeSignature);
            activeParameter = std::move(other.activeParameter);
        }
        return *this;
    }

    auto SignatureHelp::operator=(
        const SignatureHelp &other
    ) -> SignatureHelp &
    {
        if (this != &other) {
            signatures.reserve(other.signatures.size());
            for (const auto &elem_0 : other.signatures) {
                signatures.push_back(elem_0);
            }
            if (other.activeSignature.has_value()) {
                activeSignature = other.activeSignature.value();
            }
            if (other.activeParameter.has_value()) {
                activeParameter = other.activeParameter.value();
            }
        }
        return *this;
    }

    SignatureHelpContext::SignatureHelpContext()
    {
        // empty
    }

    SignatureHelpContext::SignatureHelpContext(SignatureHelpContext &&other)
        : triggerKind(std::move(other.triggerKind))
        , triggerCharacter(std::move(other.triggerCharacter))
        , isRetrigger(other.isRetrigger)
        , activeSignatureHelp(std::move(other.activeSignatureHelp))
    {
        // empty
    }

    SignatureHelpContext::SignatureHelpContext(
        const SignatureHelpContext &other
    )
        : triggerKind(other.triggerKind)
        , isRetrigger(other.isRetrigger)
    {
        if (other.triggerCharacter.has_value()) {
            triggerCharacter = other.triggerCharacter.value();
        }
        if (other.activeSignatureHelp.has_value()) {
            activeSignatureHelp = other.activeSignatureHelp.value();
        }
    }

    SignatureHelpContext::~SignatureHelpContext()
    {
        // empty
    }

    auto SignatureHelpContext::operator=(
        SignatureHelpContext &&other
    ) -> SignatureHelpContext &
    {
        if (this != &other) {
            triggerKind = std::move(other.triggerKind);
            triggerCharacter = std::move(other.triggerCharacter);
            isRetrigger = other.isRetrigger;
            activeSignatureHelp = std::move(other.activeSignatureHelp);
        }
        return *this;
    }

    auto SignatureHelpContext::operator=(
        const SignatureHelpContext &other
    ) -> SignatureHelpContext &
    {
        if (this != &other) {
            triggerKind = other.triggerKind;
            if (other.triggerCharacter.has_value()) {
                triggerCharacter = other.triggerCharacter.value();
            }
            isRetrigger = other.isRetrigger;
            if (other.activeSignatureHelp.has_value()) {
                activeSignatureHelp = other.activeSignatureHelp.value();
            }
        }
        return *this;
    }

    ExecutionSummary::ExecutionSummary()
    {
        // empty
    }

    ExecutionSummary::ExecutionSummary(ExecutionSummary &&other)
        : executionOrder(other.executionOrder)
        , success(std::move(other.success))
    {
        // empty
    }

    ExecutionSummary::ExecutionSummary(const ExecutionSummary &other)
        : executionOrder(other.executionOrder)
    {
        if (other.success.has_value()) {
            success = other.success.value();
        }
    }

    ExecutionSummary::~ExecutionSummary()
    {
        // empty
    }

    auto ExecutionSummary::operator=(
        ExecutionSummary &&other
    ) -> ExecutionSummary &
    {
        if (this != &other) {
            executionOrder = other.executionOrder;
            success = std::move(other.success);
        }
        return *this;
    }

    auto ExecutionSummary::operator=(
        const ExecutionSummary &other
    ) -> ExecutionSummary &
    {
        if (this != &other) {
            executionOrder = other.executionOrder;
            if (other.success.has_value()) {
                success = other.success.value();
            }
        }
        return *this;
    }

    FoldingRangeClientCapabilities::FoldingRangeClientCapabilities()
    {
        // empty
    }

    FoldingRangeClientCapabilities::FoldingRangeClientCapabilities(
        FoldingRangeClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , rangeLimit(std::move(other.rangeLimit))
        , lineFoldingOnly(std::move(other.lineFoldingOnly))
        , foldingRangeKind(std::move(other.foldingRangeKind))
        , foldingRange(std::move(other.foldingRange))
    {
        // empty
    }

    FoldingRangeClientCapabilities::FoldingRangeClientCapabilities(
        const FoldingRangeClientCapabilities &other
    )
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        if (other.rangeLimit.has_value()) {
            rangeLimit = other.rangeLimit.value();
        }
        if (other.lineFoldingOnly.has_value()) {
            lineFoldingOnly = other.lineFoldingOnly.value();
        }
        if (other.foldingRangeKind.has_value()) {
            foldingRangeKind = other.foldingRangeKind.value();
        }
        if (other.foldingRange.has_value()) {
            foldingRange = other.foldingRange.value();
        }
    }

    FoldingRangeClientCapabilities::~FoldingRangeClientCapabilities()
    {
        // empty
    }

    auto FoldingRangeClientCapabilities::operator=(
        FoldingRangeClientCapabilities &&other
    ) -> FoldingRangeClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            rangeLimit = std::move(other.rangeLimit);
            lineFoldingOnly = std::move(other.lineFoldingOnly);
            foldingRangeKind = std::move(other.foldingRangeKind);
            foldingRange = std::move(other.foldingRange);
        }
        return *this;
    }

    auto FoldingRangeClientCapabilities::operator=(
        const FoldingRangeClientCapabilities &other
    ) -> FoldingRangeClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            if (other.rangeLimit.has_value()) {
                rangeLimit = other.rangeLimit.value();
            }
            if (other.lineFoldingOnly.has_value()) {
                lineFoldingOnly = other.lineFoldingOnly.value();
            }
            if (other.foldingRangeKind.has_value()) {
                foldingRangeKind = other.foldingRangeKind.value();
            }
            if (other.foldingRange.has_value()) {
                foldingRange = other.foldingRange.value();
            }
        }
        return *this;
    }

    const std::map<DefinitionType, std::string> DefinitionTypeNames = {
        {DefinitionType::Uninitialized, "Uninitialized"},
        {DefinitionType::Location, "Location"},
        {DefinitionType::LocationArray, "LocationArray"},
    };

    Definition::Definition()
    {
        // empty
    }

    Definition::~Definition()
    {
        reset();
    }

    Definition::Definition(Definition &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case DefinitionType::Location: {
            new (&_location) std::unique_ptr<Location> {
                std::move(other._location)
            };
            break;
        }
        case DefinitionType::LocationArray: {
            new (&_locationArray) std::unique_ptr<Definition_1> {
                std::move(other._locationArray)
            };
            break;
        }
        case DefinitionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = DefinitionType::Uninitialized;
    }

    Definition::Definition(const Definition &other)
        : _type(other._type)
    {
        switch (other._type) {
        case DefinitionType::Location: {
            new (&_location) std::unique_ptr<Location> {
                std::make_unique<Location>(*other._location)
            };
            break;
        }
        case DefinitionType::LocationArray: {
            new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                std::make_unique<std::vector<Location>>()
            };
            _locationArray->reserve(other._locationArray->size());
            for (const auto &elem_0 : *other._locationArray) {
                _locationArray->push_back(elem_0);
            }
            break;
        }
        case DefinitionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Definition::operator=(Definition &&other) -> Definition &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DefinitionType::Location: {
                new (&_location) std::unique_ptr<Location> {
                    std::move(other._location)
                };
                break;
            }
            case DefinitionType::LocationArray: {
                new (&_locationArray) std::unique_ptr<Definition_1> {
                    std::move(other._locationArray)
                };
                break;
            }
            case DefinitionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = DefinitionType::Uninitialized;
        }
        return *this;
    }

    auto Definition::operator=(const Definition &other) -> Definition &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DefinitionType::Location: {
                new (&_location) std::unique_ptr<Location> {
                    std::make_unique<Location>(*other._location)
                };
                break;
            }
            case DefinitionType::LocationArray: {
                new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                    std::make_unique<std::vector<Location>>()
                };
                _locationArray->reserve(other._locationArray->size());
                for (const auto &elem_0 : *other._locationArray) {
                    _locationArray->push_back(elem_0);
                }
                break;
            }
            case DefinitionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Definition::reset() -> void
    {
        switch (_type) {
        case DefinitionType::Uninitialized: {
            // nothing to do
            break;
        }
        case DefinitionType::Location: {
#ifdef DEBUG
            if (!_location) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _location"
                );
            }
#endif // DEBUG
            _location.~unique_ptr<Location>();
            _type = DefinitionType::Uninitialized;
            break;
        }
        case DefinitionType::LocationArray: {
#ifdef DEBUG
            if (!_locationArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationArray"
                );
            }
#endif // DEBUG
            _locationArray.~unique_ptr<std::vector<Location>>();
            _type = DefinitionType::Uninitialized;
            break;
        }
        default: {
            _type = DefinitionType::Uninitialized;
        }
        }
    }

    auto Definition::type() const -> const DefinitionType &
    {
        return _type;
    }

    auto Definition::location() const -> const Location &
    {
#ifdef DEBUG
        if (_type != DefinitionType::Location) {
            throw std::logic_error(
                ("Attempted to access "
                 "Definition::location()"
                 " of type "
                 "DefinitionType::Location"
                 " while active type is "
                 "DefinitionType::" +
                 DefinitionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_location;
    }

    auto Definition::operator=(
        const std::unique_ptr<Location> &location
    ) -> Definition &
    {
        if (_type != DefinitionType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!location) {
            throw std::logic_error("null passed as the value of location");
        }
#endif // DEBUG
        new (&_location) std::unique_ptr<Location> {
            std::make_unique<Location>(*location)
        };
        _type = DefinitionType::Location;
        return *this;
    }

    auto Definition::operator=(
        std::unique_ptr<Location> &&location
    ) -> Definition &
    {
        if (_type != DefinitionType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!location) {
            throw std::logic_error("null passed as the value of location");
        }
#endif // DEBUG
        new (&_location) std::unique_ptr<Location> {
            std::move(location)
        };
        _type = DefinitionType::Location;
        return *this;
    }

    auto Definition::operator=(const Location &location) -> Definition &
    {
        if (_type != DefinitionType::Uninitialized) {
            reset();
        }
        new (&_location) std::unique_ptr<Location> {
            std::make_unique<Location>(location)
        };
        _type = DefinitionType::Location;
        return *this;
    }

    auto Definition::operator=(Location &&location) -> Definition &
    {
        if (_type != DefinitionType::Uninitialized) {
            reset();
        }
        new (&_location) std::unique_ptr<Location> {
            std::make_unique<Location>(std::move(location))
        };
        _type = DefinitionType::Location;
        return *this;
    }

    auto Definition::locationArray() const -> const std::vector<Location> &
    {
#ifdef DEBUG
        if (_type != DefinitionType::LocationArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "Definition::locationArray()"
                 " of type "
                 "DefinitionType::LocationArray"
                 " while active type is "
                 "DefinitionType::" +
                 DefinitionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationArray;
    }

    auto Definition::operator=(
        const std::unique_ptr<std::vector<Location>> &locationArray
    ) -> Definition &
    {
        if (_type != DefinitionType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray->size());
        for (const auto &elem_0 : *locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = DefinitionType::LocationArray;
        return *this;
    }

    auto Definition::operator=(
        std::unique_ptr<std::vector<Location>> &&locationArray
    ) -> Definition &
    {
        if (_type != DefinitionType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<Definition_1> {
            std::move(locationArray)
        };
        _type = DefinitionType::LocationArray;
        return *this;
    }

    auto Definition::operator=(
        const std::vector<Location> &locationArray
    ) -> Definition &
    {
        if (_type != DefinitionType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray.size());
        for (const auto &elem_0 : locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = DefinitionType::LocationArray;
        return *this;
    }

    auto Definition::operator=(
        std::vector<Location> &&locationArray
    ) -> Definition &
    {
        if (_type != DefinitionType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<Definition_1> {
            std::make_unique<Definition_1>(std::move(locationArray))
        };
        _type = DefinitionType::LocationArray;
        return *this;
    }

    const std::map<DeclarationType, std::string> DeclarationTypeNames = {
        {DeclarationType::Uninitialized, "Uninitialized"},
        {DeclarationType::Location, "Location"},
        {DeclarationType::LocationArray, "LocationArray"},
    };

    Declaration::Declaration()
    {
        // empty
    }

    Declaration::~Declaration()
    {
        reset();
    }

    Declaration::Declaration(Declaration &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case DeclarationType::Location: {
            new (&_location) std::unique_ptr<Location> {
                std::move(other._location)
            };
            break;
        }
        case DeclarationType::LocationArray: {
            new (&_locationArray) std::unique_ptr<Declaration_1> {
                std::move(other._locationArray)
            };
            break;
        }
        case DeclarationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = DeclarationType::Uninitialized;
    }

    Declaration::Declaration(const Declaration &other)
        : _type(other._type)
    {
        switch (other._type) {
        case DeclarationType::Location: {
            new (&_location) std::unique_ptr<Location> {
                std::make_unique<Location>(*other._location)
            };
            break;
        }
        case DeclarationType::LocationArray: {
            new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                std::make_unique<std::vector<Location>>()
            };
            _locationArray->reserve(other._locationArray->size());
            for (const auto &elem_0 : *other._locationArray) {
                _locationArray->push_back(elem_0);
            }
            break;
        }
        case DeclarationType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Declaration::operator=(Declaration &&other) -> Declaration &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DeclarationType::Location: {
                new (&_location) std::unique_ptr<Location> {
                    std::move(other._location)
                };
                break;
            }
            case DeclarationType::LocationArray: {
                new (&_locationArray) std::unique_ptr<Declaration_1> {
                    std::move(other._locationArray)
                };
                break;
            }
            case DeclarationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = DeclarationType::Uninitialized;
        }
        return *this;
    }

    auto Declaration::operator=(const Declaration &other) -> Declaration &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DeclarationType::Location: {
                new (&_location) std::unique_ptr<Location> {
                    std::make_unique<Location>(*other._location)
                };
                break;
            }
            case DeclarationType::LocationArray: {
                new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                    std::make_unique<std::vector<Location>>()
                };
                _locationArray->reserve(other._locationArray->size());
                for (const auto &elem_0 : *other._locationArray) {
                    _locationArray->push_back(elem_0);
                }
                break;
            }
            case DeclarationType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Declaration::reset() -> void
    {
        switch (_type) {
        case DeclarationType::Uninitialized: {
            // nothing to do
            break;
        }
        case DeclarationType::Location: {
#ifdef DEBUG
            if (!_location) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _location"
                );
            }
#endif // DEBUG
            _location.~unique_ptr<Location>();
            _type = DeclarationType::Uninitialized;
            break;
        }
        case DeclarationType::LocationArray: {
#ifdef DEBUG
            if (!_locationArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationArray"
                );
            }
#endif // DEBUG
            _locationArray.~unique_ptr<std::vector<Location>>();
            _type = DeclarationType::Uninitialized;
            break;
        }
        default: {
            _type = DeclarationType::Uninitialized;
        }
        }
    }

    auto Declaration::type() const -> const DeclarationType &
    {
        return _type;
    }

    auto Declaration::location() const -> const Location &
    {
#ifdef DEBUG
        if (_type != DeclarationType::Location) {
            throw std::logic_error(
                ("Attempted to access "
                 "Declaration::location()"
                 " of type "
                 "DeclarationType::Location"
                 " while active type is "
                 "DeclarationType::" +
                 DeclarationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_location;
    }

    auto Declaration::operator=(
        const std::unique_ptr<Location> &location
    ) -> Declaration &
    {
        if (_type != DeclarationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!location) {
            throw std::logic_error("null passed as the value of location");
        }
#endif // DEBUG
        new (&_location) std::unique_ptr<Location> {
            std::make_unique<Location>(*location)
        };
        _type = DeclarationType::Location;
        return *this;
    }

    auto Declaration::operator=(
        std::unique_ptr<Location> &&location
    ) -> Declaration &
    {
        if (_type != DeclarationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!location) {
            throw std::logic_error("null passed as the value of location");
        }
#endif // DEBUG
        new (&_location) std::unique_ptr<Location> {
            std::move(location)
        };
        _type = DeclarationType::Location;
        return *this;
    }

    auto Declaration::operator=(const Location &location) -> Declaration &
    {
        if (_type != DeclarationType::Uninitialized) {
            reset();
        }
        new (&_location) std::unique_ptr<Location> {
            std::make_unique<Location>(location)
        };
        _type = DeclarationType::Location;
        return *this;
    }

    auto Declaration::operator=(Location &&location) -> Declaration &
    {
        if (_type != DeclarationType::Uninitialized) {
            reset();
        }
        new (&_location) std::unique_ptr<Location> {
            std::make_unique<Location>(std::move(location))
        };
        _type = DeclarationType::Location;
        return *this;
    }

    auto Declaration::locationArray() const -> const std::vector<Location> &
    {
#ifdef DEBUG
        if (_type != DeclarationType::LocationArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "Declaration::locationArray()"
                 " of type "
                 "DeclarationType::LocationArray"
                 " while active type is "
                 "DeclarationType::" +
                 DeclarationTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationArray;
    }

    auto Declaration::operator=(
        const std::unique_ptr<std::vector<Location>> &locationArray
    ) -> Declaration &
    {
        if (_type != DeclarationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray->size());
        for (const auto &elem_0 : *locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = DeclarationType::LocationArray;
        return *this;
    }

    auto Declaration::operator=(
        std::unique_ptr<std::vector<Location>> &&locationArray
    ) -> Declaration &
    {
        if (_type != DeclarationType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<Declaration_1> {
            std::move(locationArray)
        };
        _type = DeclarationType::LocationArray;
        return *this;
    }

    auto Declaration::operator=(
        const std::vector<Location> &locationArray
    ) -> Declaration &
    {
        if (_type != DeclarationType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray.size());
        for (const auto &elem_0 : locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = DeclarationType::LocationArray;
        return *this;
    }

    auto Declaration::operator=(
        std::vector<Location> &&locationArray
    ) -> Declaration &
    {
        if (_type != DeclarationType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<Declaration_1> {
            std::make_unique<Declaration_1>(std::move(locationArray))
        };
        _type = DeclarationType::LocationArray;
        return *this;
    }

    const std::map<InlineValueType, std::string> InlineValueTypeNames = {
        {InlineValueType::Uninitialized, "Uninitialized"},
        {InlineValueType::InlineValueText, "InlineValueText"},
        {InlineValueType::InlineValueVariableLookup,
         "InlineValueVariableLookup"},
        {InlineValueType::InlineValueEvaluatableExpression,
         "InlineValueEvaluatableExpression"},
    };

    InlineValue::InlineValue()
    {
        // empty
    }

    InlineValue::~InlineValue()
    {
        reset();
    }

    InlineValue::InlineValue(InlineValue &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case InlineValueType::InlineValueText: {
            new (&_inlineValueText) std::unique_ptr<InlineValueText> {
                std::move(other._inlineValueText)
            };
            break;
        }
        case InlineValueType::InlineValueVariableLookup: {
            new (&_inlineValueVariableLookup) std::unique_ptr<InlineValueVariableLookup> {
                std::move(other._inlineValueVariableLookup)
            };
            break;
        }
        case InlineValueType::InlineValueEvaluatableExpression: {
            new (&_inlineValueEvaluatableExpression) std::unique_ptr<InlineValueEvaluatableExpression> {
                std::move(other._inlineValueEvaluatableExpression)
            };
            break;
        }
        case InlineValueType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = InlineValueType::Uninitialized;
    }

    InlineValue::InlineValue(const InlineValue &other)
        : _type(other._type)
    {
        switch (other._type) {
        case InlineValueType::InlineValueText: {
            new (&_inlineValueText) std::unique_ptr<InlineValueText> {
                std::make_unique<InlineValueText>(*other._inlineValueText)
            };
            break;
        }
        case InlineValueType::InlineValueVariableLookup: {
            new (&_inlineValueVariableLookup) std::unique_ptr<InlineValueVariableLookup> {
                std::make_unique<InlineValueVariableLookup>(*other._inlineValueVariableLookup)
            };
            break;
        }
        case InlineValueType::InlineValueEvaluatableExpression: {
            new (&_inlineValueEvaluatableExpression) std::unique_ptr<InlineValueEvaluatableExpression> {
                std::make_unique<InlineValueEvaluatableExpression>(*other._inlineValueEvaluatableExpression)
            };
            break;
        }
        case InlineValueType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto InlineValue::operator=(InlineValue &&other) -> InlineValue &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlineValueType::InlineValueText: {
                new (&_inlineValueText) std::unique_ptr<InlineValueText> {
                    std::move(other._inlineValueText)
                };
                break;
            }
            case InlineValueType::InlineValueVariableLookup: {
                new (&_inlineValueVariableLookup) std::unique_ptr<InlineValueVariableLookup> {
                    std::move(other._inlineValueVariableLookup)
                };
                break;
            }
            case InlineValueType::InlineValueEvaluatableExpression: {
                new (&_inlineValueEvaluatableExpression) std::unique_ptr<InlineValueEvaluatableExpression> {
                    std::move(other._inlineValueEvaluatableExpression)
                };
                break;
            }
            case InlineValueType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = InlineValueType::Uninitialized;
        }
        return *this;
    }

    auto InlineValue::operator=(const InlineValue &other) -> InlineValue &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlineValueType::InlineValueText: {
                new (&_inlineValueText) std::unique_ptr<InlineValueText> {
                    std::make_unique<InlineValueText>(*other._inlineValueText)
                };
                break;
            }
            case InlineValueType::InlineValueVariableLookup: {
                new (&_inlineValueVariableLookup) std::unique_ptr<InlineValueVariableLookup> {
                    std::make_unique<InlineValueVariableLookup>(*other._inlineValueVariableLookup)
                };
                break;
            }
            case InlineValueType::InlineValueEvaluatableExpression: {
                new (&_inlineValueEvaluatableExpression) std::unique_ptr<InlineValueEvaluatableExpression> {
                    std::make_unique<InlineValueEvaluatableExpression>(*other._inlineValueEvaluatableExpression)
                };
                break;
            }
            case InlineValueType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto InlineValue::reset() -> void
    {
        switch (_type) {
        case InlineValueType::Uninitialized: {
            // nothing to do
            break;
        }
        case InlineValueType::InlineValueText: {
#ifdef DEBUG
            if (!_inlineValueText) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlineValueText"
                );
            }
#endif // DEBUG
            _inlineValueText.~unique_ptr<InlineValueText>();
            _type = InlineValueType::Uninitialized;
            break;
        }
        case InlineValueType::InlineValueVariableLookup: {
#ifdef DEBUG
            if (!_inlineValueVariableLookup) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlineValueVariableLookup"
                );
            }
#endif // DEBUG
            _inlineValueVariableLookup.~unique_ptr<InlineValueVariableLookup>();
            _type = InlineValueType::Uninitialized;
            break;
        }
        case InlineValueType::InlineValueEvaluatableExpression: {
#ifdef DEBUG
            if (!_inlineValueEvaluatableExpression) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlineValueEvaluatableExpression"
                );
            }
#endif // DEBUG
            _inlineValueEvaluatableExpression.~unique_ptr<InlineValueEvaluatableExpression>();
            _type = InlineValueType::Uninitialized;
            break;
        }
        default: {
            _type = InlineValueType::Uninitialized;
        }
        }
    }

    auto InlineValue::type() const -> const InlineValueType &
    {
        return _type;
    }

    auto InlineValue::inlineValueText() const -> const InlineValueText &
    {
#ifdef DEBUG
        if (_type != InlineValueType::InlineValueText) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlineValue::inlineValueText()"
                 " of type "
                 "InlineValueType::InlineValueText"
                 " while active type is "
                 "InlineValueType::" +
                 InlineValueTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlineValueText;
    }

    auto InlineValue::operator=(
        const std::unique_ptr<InlineValueText> &inlineValueText
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueText) {
            throw std::logic_error(
                "null passed as the value of inlineValueText"
            );
        }
#endif // DEBUG
        new (&_inlineValueText) std::unique_ptr<InlineValueText> {
            std::make_unique<InlineValueText>(*inlineValueText)
        };
        _type = InlineValueType::InlineValueText;
        return *this;
    }

    auto InlineValue::operator=(
        std::unique_ptr<InlineValueText> &&inlineValueText
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueText) {
            throw std::logic_error(
                "null passed as the value of inlineValueText"
            );
        }
#endif // DEBUG
        new (&_inlineValueText) std::unique_ptr<InlineValueText> {
            std::move(inlineValueText)
        };
        _type = InlineValueType::InlineValueText;
        return *this;
    }

    auto InlineValue::operator=(
        const InlineValueText &inlineValueText
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
        new (&_inlineValueText) std::unique_ptr<InlineValueText> {
            std::make_unique<InlineValueText>(inlineValueText)
        };
        _type = InlineValueType::InlineValueText;
        return *this;
    }

    auto InlineValue::operator=(
        InlineValueText &&inlineValueText
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
        new (&_inlineValueText) std::unique_ptr<InlineValueText> {
            std::make_unique<InlineValueText>(std::move(inlineValueText))
        };
        _type = InlineValueType::InlineValueText;
        return *this;
    }

    auto InlineValue::inlineValueVariableLookup() const
    -> const InlineValueVariableLookup &
    {
#ifdef DEBUG
        if (_type != InlineValueType::InlineValueVariableLookup) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlineValue::inlineValueVariableLookup()"
                 " of type "
                 "InlineValueType::InlineValueVariableLookup"
                 " while active type is "
                 "InlineValueType::" +
                 InlineValueTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlineValueVariableLookup;
    }

    auto InlineValue::operator=(
        const std::unique_ptr<InlineValueVariableLookup> &inlineValueVariableLookup
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueVariableLookup) {
            throw std::logic_error(
                "null passed as the value of inlineValueVariableLookup"
            );
        }
#endif // DEBUG
        new (&_inlineValueVariableLookup) std::unique_ptr<InlineValueVariableLookup> {
            std::make_unique<InlineValueVariableLookup>(*inlineValueVariableLookup)
        };
        _type = InlineValueType::InlineValueVariableLookup;
        return *this;
    }

    auto InlineValue::operator=(
        std::unique_ptr<InlineValueVariableLookup> &&inlineValueVariableLookup
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueVariableLookup) {
            throw std::logic_error(
                "null passed as the value of inlineValueVariableLookup"
            );
        }
#endif // DEBUG
        new (&_inlineValueVariableLookup) std::unique_ptr<InlineValueVariableLookup> {
            std::move(inlineValueVariableLookup)
        };
        _type = InlineValueType::InlineValueVariableLookup;
        return *this;
    }

    auto InlineValue::operator=(
        const InlineValueVariableLookup &inlineValueVariableLookup
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
        new (&_inlineValueVariableLookup) std::unique_ptr<InlineValueVariableLookup> {
            std::make_unique<InlineValueVariableLookup>(inlineValueVariableLookup)
        };
        _type = InlineValueType::InlineValueVariableLookup;
        return *this;
    }

    auto InlineValue::operator=(
        InlineValueVariableLookup &&inlineValueVariableLookup
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
        new (&_inlineValueVariableLookup) std::unique_ptr<InlineValueVariableLookup> {
            std::make_unique<InlineValueVariableLookup>(std::move(inlineValueVariableLookup))
        };
        _type = InlineValueType::InlineValueVariableLookup;
        return *this;
    }

    auto InlineValue::inlineValueEvaluatableExpression() const
    -> const InlineValueEvaluatableExpression &
    {
#ifdef DEBUG
        if (_type != InlineValueType::InlineValueEvaluatableExpression) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlineValue::inlineValueEvaluatableExpression()"
                 " of type "
                 "InlineValueType::InlineValueEvaluatableExpression"
                 " while active type is "
                 "InlineValueType::" +
                 InlineValueTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlineValueEvaluatableExpression;
    }

    auto InlineValue::operator=(
        const std::unique_ptr<InlineValueEvaluatableExpression> &inlineValueEvaluatableExpression
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueEvaluatableExpression) {
            throw std::logic_error(
                "null passed as the value of inlineValueEvaluatableExpression"
            );
        }
#endif // DEBUG
        new (&_inlineValueEvaluatableExpression) std::unique_ptr<InlineValueEvaluatableExpression> {
            std::make_unique<InlineValueEvaluatableExpression>(*inlineValueEvaluatableExpression)
        };
        _type = InlineValueType::InlineValueEvaluatableExpression;
        return *this;
    }

    auto InlineValue::operator=(
        std::unique_ptr<InlineValueEvaluatableExpression> &&inlineValueEvaluatableExpression
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueEvaluatableExpression) {
            throw std::logic_error(
                "null passed as the value of inlineValueEvaluatableExpression"
            );
        }
#endif // DEBUG
        new (&_inlineValueEvaluatableExpression) std::unique_ptr<InlineValueEvaluatableExpression> {
            std::move(inlineValueEvaluatableExpression)
        };
        _type = InlineValueType::InlineValueEvaluatableExpression;
        return *this;
    }

    auto InlineValue::operator=(
        const InlineValueEvaluatableExpression &inlineValueEvaluatableExpression
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
        new (&_inlineValueEvaluatableExpression) std::unique_ptr<InlineValueEvaluatableExpression> {
            std::make_unique<InlineValueEvaluatableExpression>(inlineValueEvaluatableExpression)
        };
        _type = InlineValueType::InlineValueEvaluatableExpression;
        return *this;
    }

    auto InlineValue::operator=(
        InlineValueEvaluatableExpression &&inlineValueEvaluatableExpression
    ) -> InlineValue &
    {
        if (_type != InlineValueType::Uninitialized) {
            reset();
        }
        new (&_inlineValueEvaluatableExpression) std::unique_ptr<InlineValueEvaluatableExpression> {
            std::make_unique<InlineValueEvaluatableExpression>(std::move(inlineValueEvaluatableExpression))
        };
        _type = InlineValueType::InlineValueEvaluatableExpression;
        return *this;
    }

    PrepareRenameResult_1::PrepareRenameResult_1()
    {
        // empty
    }

    PrepareRenameResult_1::PrepareRenameResult_1(PrepareRenameResult_1 &&other)
        : range(std::move(other.range))
        , placeholder(std::move(other.placeholder))
    {
        // empty
    }

    PrepareRenameResult_1::PrepareRenameResult_1(
        const PrepareRenameResult_1 &other
    )
        : range(other.range)
        , placeholder(other.placeholder)
    {
    }

    PrepareRenameResult_1::~PrepareRenameResult_1()
    {
        // empty
    }

    auto PrepareRenameResult_1::operator=(
        PrepareRenameResult_1 &&other
    ) -> PrepareRenameResult_1 &
    {
        if (this != &other) {
            range = std::move(other.range);
            placeholder = std::move(other.placeholder);
        }
        return *this;
    }

    auto PrepareRenameResult_1::operator=(
        const PrepareRenameResult_1 &other
    ) -> PrepareRenameResult_1 &
    {
        if (this != &other) {
            range = other.range;
            placeholder = other.placeholder;
        }
        return *this;
    }

    const std::map<PrepareRenameResultType, std::string>
    PrepareRenameResultTypeNames = {
        {PrepareRenameResultType::Uninitialized, "Uninitialized"},
        {PrepareRenameResultType::Range, "Range"},
        {PrepareRenameResultType::PrepareRenameResult_1,
         "PrepareRenameResult_1"},
        {PrepareRenameResultType::PrepareRenameResult_2,
         "PrepareRenameResult_2"},
    };

    PrepareRenameResult::PrepareRenameResult()
    {
        // empty
    }

    PrepareRenameResult::~PrepareRenameResult()
    {
        reset();
    }

    PrepareRenameResult::PrepareRenameResult(PrepareRenameResult &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case PrepareRenameResultType::Range: {
            new (&_range) std::unique_ptr<Range> {
                std::move(other._range)
            };
            break;
        }
        case PrepareRenameResultType::PrepareRenameResult_1: {
            new (&_prepareRenameResult_1) std::unique_ptr<PrepareRenameResult_1> {
                std::move(other._prepareRenameResult_1)
            };
            break;
        }
        case PrepareRenameResultType::PrepareRenameResult_2: {
            new (&_prepareRenameResult_2) std::unique_ptr<PrepareRenameResult_2> {
                std::move(other._prepareRenameResult_2)
            };
            break;
        }
        case PrepareRenameResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = PrepareRenameResultType::Uninitialized;
    }

    PrepareRenameResult::PrepareRenameResult(const PrepareRenameResult &other)
        : _type(other._type)
    {
        switch (other._type) {
        case PrepareRenameResultType::Range: {
            new (&_range) std::unique_ptr<Range> {
                std::make_unique<Range>(*other._range)
            };
            break;
        }
        case PrepareRenameResultType::PrepareRenameResult_1: {
            new (&_prepareRenameResult_1) std::unique_ptr<PrepareRenameResult_1> {
                std::make_unique<PrepareRenameResult_1>(*other._prepareRenameResult_1)
            };
            break;
        }
        case PrepareRenameResultType::PrepareRenameResult_2: {
            new (&_prepareRenameResult_2) std::unique_ptr<PrepareRenameResult_2> {
                std::make_unique<PrepareRenameResult_2>(*other._prepareRenameResult_2)
            };
            break;
        }
        case PrepareRenameResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto PrepareRenameResult::operator=(
        PrepareRenameResult &&other
    ) -> PrepareRenameResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case PrepareRenameResultType::Range: {
                new (&_range) std::unique_ptr<Range> {
                    std::move(other._range)
                };
                break;
            }
            case PrepareRenameResultType::PrepareRenameResult_1: {
                new (&_prepareRenameResult_1) std::unique_ptr<PrepareRenameResult_1> {
                    std::move(other._prepareRenameResult_1)
                };
                break;
            }
            case PrepareRenameResultType::PrepareRenameResult_2: {
                new (&_prepareRenameResult_2) std::unique_ptr<PrepareRenameResult_2> {
                    std::move(other._prepareRenameResult_2)
                };
                break;
            }
            case PrepareRenameResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = PrepareRenameResultType::Uninitialized;
        }
        return *this;
    }

    auto PrepareRenameResult::operator=(
        const PrepareRenameResult &other
    ) -> PrepareRenameResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case PrepareRenameResultType::Range: {
                new (&_range) std::unique_ptr<Range> {
                    std::make_unique<Range>(*other._range)
                };
                break;
            }
            case PrepareRenameResultType::PrepareRenameResult_1: {
                new (&_prepareRenameResult_1) std::unique_ptr<PrepareRenameResult_1> {
                    std::make_unique<PrepareRenameResult_1>(*other._prepareRenameResult_1)
                };
                break;
            }
            case PrepareRenameResultType::PrepareRenameResult_2: {
                new (&_prepareRenameResult_2) std::unique_ptr<PrepareRenameResult_2> {
                    std::make_unique<PrepareRenameResult_2>(*other._prepareRenameResult_2)
                };
                break;
            }
            case PrepareRenameResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto PrepareRenameResult::reset() -> void
    {
        switch (_type) {
        case PrepareRenameResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case PrepareRenameResultType::Range: {
#ifdef DEBUG
            if (!_range) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _range"
                );
            }
#endif // DEBUG
            _range.~unique_ptr<Range>();
            _type = PrepareRenameResultType::Uninitialized;
            break;
        }
        case PrepareRenameResultType::PrepareRenameResult_1: {
#ifdef DEBUG
            if (!_prepareRenameResult_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _prepareRenameResult_1"
                );
            }
#endif // DEBUG
            _prepareRenameResult_1.~unique_ptr<PrepareRenameResult_1>();
            _type = PrepareRenameResultType::Uninitialized;
            break;
        }
        case PrepareRenameResultType::PrepareRenameResult_2: {
#ifdef DEBUG
            if (!_prepareRenameResult_2) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _prepareRenameResult_2"
                );
            }
#endif // DEBUG
            _prepareRenameResult_2.~unique_ptr<PrepareRenameResult_2>();
            _type = PrepareRenameResultType::Uninitialized;
            break;
        }
        default: {
            _type = PrepareRenameResultType::Uninitialized;
        }
        }
    }

    auto PrepareRenameResult::type() const -> const PrepareRenameResultType &
    {
        return _type;
    }

    auto PrepareRenameResult::range() const -> const Range &
    {
#ifdef DEBUG
        if (_type != PrepareRenameResultType::Range) {
            throw std::logic_error(
                ("Attempted to access "
                 "PrepareRenameResult::range()"
                 " of type "
                 "PrepareRenameResultType::Range"
                 " while active type is "
                 "PrepareRenameResultType::" +
                 PrepareRenameResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_range;
    }

    auto PrepareRenameResult::operator=(
        const std::unique_ptr<Range> &range
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!range) {
            throw std::logic_error("null passed as the value of range");
        }
#endif // DEBUG
        new (&_range) std::unique_ptr<Range> {
            std::make_unique<Range>(*range)
        };
        _type = PrepareRenameResultType::Range;
        return *this;
    }

    auto PrepareRenameResult::operator=(
        std::unique_ptr<Range> &&range
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!range) {
            throw std::logic_error("null passed as the value of range");
        }
#endif // DEBUG
        new (&_range) std::unique_ptr<Range> {
            std::move(range)
        };
        _type = PrepareRenameResultType::Range;
        return *this;
    }

    auto PrepareRenameResult::operator=(
        const Range &range
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
        new (&_range) std::unique_ptr<Range> {
            std::make_unique<Range>(range)
        };
        _type = PrepareRenameResultType::Range;
        return *this;
    }

    auto PrepareRenameResult::operator=(Range &&range) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
        new (&_range) std::unique_ptr<Range> {
            std::make_unique<Range>(std::move(range))
        };
        _type = PrepareRenameResultType::Range;
        return *this;
    }

    auto PrepareRenameResult::prepareRenameResult_1() const
    -> const PrepareRenameResult_1 &
    {
#ifdef DEBUG
        if (_type != PrepareRenameResultType::PrepareRenameResult_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "PrepareRenameResult::prepareRenameResult_1()"
                 " of type "
                 "PrepareRenameResultType::PrepareRenameResult_1"
                 " while active type is "
                 "PrepareRenameResultType::" +
                 PrepareRenameResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_prepareRenameResult_1;
    }

    auto PrepareRenameResult::operator=(
        const std::unique_ptr<PrepareRenameResult_1> &prepareRenameResult_1
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!prepareRenameResult_1) {
            throw std::logic_error(
                "null passed as the value of prepareRenameResult_1"
            );
        }
#endif // DEBUG
        new (&_prepareRenameResult_1) std::unique_ptr<PrepareRenameResult_1> {
            std::make_unique<PrepareRenameResult_1>(*prepareRenameResult_1)
        };
        _type = PrepareRenameResultType::PrepareRenameResult_1;
        return *this;
    }

    auto PrepareRenameResult::operator=(
        std::unique_ptr<PrepareRenameResult_1> &&prepareRenameResult_1
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!prepareRenameResult_1) {
            throw std::logic_error(
                "null passed as the value of prepareRenameResult_1"
            );
        }
#endif // DEBUG
        new (&_prepareRenameResult_1) std::unique_ptr<PrepareRenameResult_1> {
            std::move(prepareRenameResult_1)
        };
        _type = PrepareRenameResultType::PrepareRenameResult_1;
        return *this;
    }

    auto PrepareRenameResult::operator=(
        const PrepareRenameResult_1 &prepareRenameResult_1
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
        new (&_prepareRenameResult_1) std::unique_ptr<PrepareRenameResult_1> {
            std::make_unique<PrepareRenameResult_1>(prepareRenameResult_1)
        };
        _type = PrepareRenameResultType::PrepareRenameResult_1;
        return *this;
    }

    auto PrepareRenameResult::operator=(
        PrepareRenameResult_1 &&prepareRenameResult_1
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
        new (&_prepareRenameResult_1) std::unique_ptr<PrepareRenameResult_1> {
            std::make_unique<PrepareRenameResult_1>(std::move(prepareRenameResult_1))
        };
        _type = PrepareRenameResultType::PrepareRenameResult_1;
        return *this;
    }

    auto PrepareRenameResult::prepareRenameResult_2() const
    -> const PrepareRenameResult_2 &
    {
#ifdef DEBUG
        if (_type != PrepareRenameResultType::PrepareRenameResult_2) {
            throw std::logic_error(
                ("Attempted to access "
                 "PrepareRenameResult::prepareRenameResult_2()"
                 " of type "
                 "PrepareRenameResultType::PrepareRenameResult_2"
                 " while active type is "
                 "PrepareRenameResultType::" +
                 PrepareRenameResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_prepareRenameResult_2;
    }

    auto PrepareRenameResult::operator=(
        const std::unique_ptr<PrepareRenameResult_2> &prepareRenameResult_2
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!prepareRenameResult_2) {
            throw std::logic_error(
                "null passed as the value of prepareRenameResult_2"
            );
        }
#endif // DEBUG
        new (&_prepareRenameResult_2) std::unique_ptr<PrepareRenameResult_2> {
            std::make_unique<PrepareRenameResult_2>(*prepareRenameResult_2)
        };
        _type = PrepareRenameResultType::PrepareRenameResult_2;
        return *this;
    }

    auto PrepareRenameResult::operator=(
        std::unique_ptr<PrepareRenameResult_2> &&prepareRenameResult_2
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!prepareRenameResult_2) {
            throw std::logic_error(
                "null passed as the value of prepareRenameResult_2"
            );
        }
#endif // DEBUG
        new (&_prepareRenameResult_2) std::unique_ptr<PrepareRenameResult_2> {
            std::move(prepareRenameResult_2)
        };
        _type = PrepareRenameResultType::PrepareRenameResult_2;
        return *this;
    }

    auto PrepareRenameResult::operator=(
        const PrepareRenameResult_2 &prepareRenameResult_2
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
        new (&_prepareRenameResult_2) std::unique_ptr<PrepareRenameResult_2> {
            std::make_unique<PrepareRenameResult_2>(prepareRenameResult_2)
        };
        _type = PrepareRenameResultType::PrepareRenameResult_2;
        return *this;
    }

    auto PrepareRenameResult::operator=(
        PrepareRenameResult_2 &&prepareRenameResult_2
    ) -> PrepareRenameResult &
    {
        if (_type != PrepareRenameResultType::Uninitialized) {
            reset();
        }
        new (&_prepareRenameResult_2) std::unique_ptr<PrepareRenameResult_2> {
            std::make_unique<PrepareRenameResult_2>(std::move(prepareRenameResult_2))
        };
        _type = PrepareRenameResultType::PrepareRenameResult_2;
        return *this;
    }

    TextDocumentContentChangeEvent_0::TextDocumentContentChangeEvent_0()
    {
        // empty
    }

    TextDocumentContentChangeEvent_0::TextDocumentContentChangeEvent_0(
        TextDocumentContentChangeEvent_0 &&other
    )
        : range(std::move(other.range))
        , rangeLength(std::move(other.rangeLength))
        , text(std::move(other.text))
    {
        // empty
    }

    TextDocumentContentChangeEvent_0::TextDocumentContentChangeEvent_0(
        const TextDocumentContentChangeEvent_0 &other
    )
        : range(other.range)
        , text(other.text)
    {
        if (other.rangeLength.has_value()) {
            rangeLength = other.rangeLength.value();
        }
    }

    TextDocumentContentChangeEvent_0::~TextDocumentContentChangeEvent_0()
    {
        // empty
    }

    auto TextDocumentContentChangeEvent_0::operator=(
        TextDocumentContentChangeEvent_0 &&other
    ) -> TextDocumentContentChangeEvent_0 &
    {
        if (this != &other) {
            range = std::move(other.range);
            rangeLength = std::move(other.rangeLength);
            text = std::move(other.text);
        }
        return *this;
    }

    auto TextDocumentContentChangeEvent_0::operator=(
        const TextDocumentContentChangeEvent_0 &other
    ) -> TextDocumentContentChangeEvent_0 &
    {
        if (this != &other) {
            range = other.range;
            if (other.rangeLength.has_value()) {
                rangeLength = other.rangeLength.value();
            }
            text = other.text;
        }
        return *this;
    }

    const std::map<TextDocumentContentChangeEventType, std::string>
    TextDocumentContentChangeEventTypeNames = {
        {TextDocumentContentChangeEventType::Uninitialized, "Uninitialized"},
        {TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0,
         "TextDocumentContentChangeEvent_0"},
        {TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1,
         "TextDocumentContentChangeEvent_1"},
    };

    TextDocumentContentChangeEvent::TextDocumentContentChangeEvent()
    {
        // empty
    }

    TextDocumentContentChangeEvent::~TextDocumentContentChangeEvent()
    {
        reset();
    }

    TextDocumentContentChangeEvent::TextDocumentContentChangeEvent(
        TextDocumentContentChangeEvent &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0: {
            new (&_textDocumentContentChangeEvent_0) std::unique_ptr<TextDocumentContentChangeEvent_0> {
                std::move(other._textDocumentContentChangeEvent_0)
            };
            break;
        }
        case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1: {
            new (&_textDocumentContentChangeEvent_1) std::unique_ptr<TextDocumentContentChangeEvent_1> {
                std::move(other._textDocumentContentChangeEvent_1)
            };
            break;
        }
        case TextDocumentContentChangeEventType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocumentContentChangeEventType::Uninitialized;
    }

    TextDocumentContentChangeEvent::TextDocumentContentChangeEvent(
        const TextDocumentContentChangeEvent &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0: {
            new (&_textDocumentContentChangeEvent_0) std::unique_ptr<TextDocumentContentChangeEvent_0> {
                std::make_unique<TextDocumentContentChangeEvent_0>(*other._textDocumentContentChangeEvent_0)
            };
            break;
        }
        case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1: {
            new (&_textDocumentContentChangeEvent_1) std::unique_ptr<TextDocumentContentChangeEvent_1> {
                std::make_unique<TextDocumentContentChangeEvent_1>(*other._textDocumentContentChangeEvent_1)
            };
            break;
        }
        case TextDocumentContentChangeEventType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocumentContentChangeEvent::operator=(
        TextDocumentContentChangeEvent &&other
    ) -> TextDocumentContentChangeEvent &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0: {
                new (&_textDocumentContentChangeEvent_0) std::unique_ptr<TextDocumentContentChangeEvent_0> {
                    std::move(other._textDocumentContentChangeEvent_0)
                };
                break;
            }
            case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1: {
                new (&_textDocumentContentChangeEvent_1) std::unique_ptr<TextDocumentContentChangeEvent_1> {
                    std::move(other._textDocumentContentChangeEvent_1)
                };
                break;
            }
            case TextDocumentContentChangeEventType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocumentContentChangeEventType::Uninitialized;
        }
        return *this;
    }

    auto TextDocumentContentChangeEvent::operator=(
        const TextDocumentContentChangeEvent &other
    ) -> TextDocumentContentChangeEvent &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0: {
                new (&_textDocumentContentChangeEvent_0) std::unique_ptr<TextDocumentContentChangeEvent_0> {
                    std::make_unique<TextDocumentContentChangeEvent_0>(*other._textDocumentContentChangeEvent_0)
                };
                break;
            }
            case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1: {
                new (&_textDocumentContentChangeEvent_1) std::unique_ptr<TextDocumentContentChangeEvent_1> {
                    std::make_unique<TextDocumentContentChangeEvent_1>(*other._textDocumentContentChangeEvent_1)
                };
                break;
            }
            case TextDocumentContentChangeEventType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocumentContentChangeEvent::reset() -> void
    {
        switch (_type) {
        case TextDocumentContentChangeEventType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0: {
#ifdef DEBUG
            if (!_textDocumentContentChangeEvent_0) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textDocumentContentChangeEvent_0"
                );
            }
#endif // DEBUG
            _textDocumentContentChangeEvent_0.~unique_ptr<TextDocumentContentChangeEvent_0>();
            _type = TextDocumentContentChangeEventType::Uninitialized;
            break;
        }
        case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1: {
#ifdef DEBUG
            if (!_textDocumentContentChangeEvent_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textDocumentContentChangeEvent_1"
                );
            }
#endif // DEBUG
            _textDocumentContentChangeEvent_1.~unique_ptr<TextDocumentContentChangeEvent_1>();
            _type = TextDocumentContentChangeEventType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocumentContentChangeEventType::Uninitialized;
        }
        }
    }

    auto TextDocumentContentChangeEvent::type() const
    -> const TextDocumentContentChangeEventType &
    {
        return _type;
    }

    auto TextDocumentContentChangeEvent::textDocumentContentChangeEvent_0() const
    -> const TextDocumentContentChangeEvent_0 &
    {
#ifdef DEBUG
        if (_type != TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentContentChangeEvent::textDocumentContentChangeEvent_0()"
                 " of type "
                 "TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0"
                 " while active type is "
                 "TextDocumentContentChangeEventType::" +
                 TextDocumentContentChangeEventTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textDocumentContentChangeEvent_0;
    }

    auto TextDocumentContentChangeEvent::operator=(
        const std::unique_ptr<TextDocumentContentChangeEvent_0> &textDocumentContentChangeEvent_0
    ) -> TextDocumentContentChangeEvent &
    {
        if (_type != TextDocumentContentChangeEventType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentContentChangeEvent_0) {
            throw std::logic_error(
                "null passed as the value of textDocumentContentChangeEvent_0"
            );
        }
#endif // DEBUG
        new (&_textDocumentContentChangeEvent_0) std::unique_ptr<TextDocumentContentChangeEvent_0> {
            std::make_unique<TextDocumentContentChangeEvent_0>(*textDocumentContentChangeEvent_0)
        };
        _type =
            TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0;
        return *this;
    }

    auto TextDocumentContentChangeEvent::operator=(
        std::unique_ptr<TextDocumentContentChangeEvent_0> &&textDocumentContentChangeEvent_0
    ) -> TextDocumentContentChangeEvent &
    {
        if (_type != TextDocumentContentChangeEventType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentContentChangeEvent_0) {
            throw std::logic_error(
                "null passed as the value of textDocumentContentChangeEvent_0"
            );
        }
#endif // DEBUG
        new (&_textDocumentContentChangeEvent_0) std::unique_ptr<TextDocumentContentChangeEvent_0> {
            std::move(textDocumentContentChangeEvent_0)
        };
        _type =
            TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0;
        return *this;
    }

    auto TextDocumentContentChangeEvent::operator=(
        const TextDocumentContentChangeEvent_0 &textDocumentContentChangeEvent_0
    ) -> TextDocumentContentChangeEvent &
    {
        if (_type != TextDocumentContentChangeEventType::Uninitialized) {
            reset();
        }
        new (&_textDocumentContentChangeEvent_0) std::unique_ptr<TextDocumentContentChangeEvent_0> {
            std::make_unique<TextDocumentContentChangeEvent_0>(textDocumentContentChangeEvent_0)
        };
        _type =
            TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0;
        return *this;
    }

    auto TextDocumentContentChangeEvent::operator=(
        TextDocumentContentChangeEvent_0 &&textDocumentContentChangeEvent_0
    ) -> TextDocumentContentChangeEvent &
    {
        if (_type != TextDocumentContentChangeEventType::Uninitialized) {
            reset();
        }
        new (&_textDocumentContentChangeEvent_0) std::unique_ptr<TextDocumentContentChangeEvent_0> {
            std::make_unique<TextDocumentContentChangeEvent_0>(std::move(textDocumentContentChangeEvent_0))
        };
        _type =
            TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0;
        return *this;
    }

    auto TextDocumentContentChangeEvent::textDocumentContentChangeEvent_1() const
    -> const TextDocumentContentChangeEvent_1 &
    {
#ifdef DEBUG
        if (_type != TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocumentContentChangeEvent::textDocumentContentChangeEvent_1()"
                 " of type "
                 "TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1"
                 " while active type is "
                 "TextDocumentContentChangeEventType::" +
                 TextDocumentContentChangeEventTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textDocumentContentChangeEvent_1;
    }

    auto TextDocumentContentChangeEvent::operator=(
        const std::unique_ptr<TextDocumentContentChangeEvent_1> &textDocumentContentChangeEvent_1
    ) -> TextDocumentContentChangeEvent &
    {
        if (_type != TextDocumentContentChangeEventType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentContentChangeEvent_1) {
            throw std::logic_error(
                "null passed as the value of textDocumentContentChangeEvent_1"
            );
        }
#endif // DEBUG
        new (&_textDocumentContentChangeEvent_1) std::unique_ptr<TextDocumentContentChangeEvent_1> {
            std::make_unique<TextDocumentContentChangeEvent_1>(*textDocumentContentChangeEvent_1)
        };
        _type =
            TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1;
        return *this;
    }

    auto TextDocumentContentChangeEvent::operator=(
        std::unique_ptr<TextDocumentContentChangeEvent_1> &&textDocumentContentChangeEvent_1
    ) -> TextDocumentContentChangeEvent &
    {
        if (_type != TextDocumentContentChangeEventType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentContentChangeEvent_1) {
            throw std::logic_error(
                "null passed as the value of textDocumentContentChangeEvent_1"
            );
        }
#endif // DEBUG
        new (&_textDocumentContentChangeEvent_1) std::unique_ptr<TextDocumentContentChangeEvent_1> {
            std::move(textDocumentContentChangeEvent_1)
        };
        _type =
            TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1;
        return *this;
    }

    auto TextDocumentContentChangeEvent::operator=(
        const TextDocumentContentChangeEvent_1 &textDocumentContentChangeEvent_1
    ) -> TextDocumentContentChangeEvent &
    {
        if (_type != TextDocumentContentChangeEventType::Uninitialized) {
            reset();
        }
        new (&_textDocumentContentChangeEvent_1) std::unique_ptr<TextDocumentContentChangeEvent_1> {
            std::make_unique<TextDocumentContentChangeEvent_1>(textDocumentContentChangeEvent_1)
        };
        _type =
            TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1;
        return *this;
    }

    auto TextDocumentContentChangeEvent::operator=(
        TextDocumentContentChangeEvent_1 &&textDocumentContentChangeEvent_1
    ) -> TextDocumentContentChangeEvent &
    {
        if (_type != TextDocumentContentChangeEventType::Uninitialized) {
            reset();
        }
        new (&_textDocumentContentChangeEvent_1) std::unique_ptr<TextDocumentContentChangeEvent_1> {
            std::make_unique<TextDocumentContentChangeEvent_1>(std::move(textDocumentContentChangeEvent_1))
        };
        _type =
            TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1;
        return *this;
    }

    const std::map<TextDocument_ImplementationResultType, std::string>
    TextDocument_ImplementationResultTypeNames = {
        {TextDocument_ImplementationResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_ImplementationResultType::Definition, "Definition"},
        {TextDocument_ImplementationResultType::DefinitionLinkArray,
         "DefinitionLinkArray"},
        {TextDocument_ImplementationResultType::Null, "Null"},
        {TextDocument_ImplementationResultType::LocationArray,
         "LocationArray"},
    };

    TextDocument_ImplementationResult::TextDocument_ImplementationResult()
    {
        // empty
    }

    TextDocument_ImplementationResult::~TextDocument_ImplementationResult()
    {
        reset();
    }

    TextDocument_ImplementationResult::TextDocument_ImplementationResult(
        TextDocument_ImplementationResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_ImplementationResultType::Definition: {
            new (&_definition) std::unique_ptr<Definition> {
                std::move(other._definition)
            };
            break;
        }
        case TextDocument_ImplementationResultType::DefinitionLinkArray: {
            new (&_locationLinkArray) std::unique_ptr<TextDocument_ImplementationResult_1> {
                std::move(other._locationLinkArray)
            };
            break;
        }
        case TextDocument_ImplementationResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_ImplementationResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<TextDocument_ImplementationResult_3> {
                std::move(other._locationArray)
            };
            break;
        }
        case TextDocument_ImplementationResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_ImplementationResultType::Uninitialized;
    }

    TextDocument_ImplementationResult::TextDocument_ImplementationResult(
        const TextDocument_ImplementationResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_ImplementationResultType::Definition: {
            new (&_definition) std::unique_ptr<Definition> {
                std::make_unique<Definition>(*other._definition)
            };
            break;
        }
        case TextDocument_ImplementationResultType::DefinitionLinkArray: {
            new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
                std::make_unique<std::vector<DefinitionLink>>()
            };
            _locationLinkArray->reserve(other._locationLinkArray->size());
            for (const auto &elem_0 : *other._locationLinkArray) {
                _locationLinkArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_ImplementationResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_ImplementationResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                std::make_unique<std::vector<Location>>()
            };
            _locationArray->reserve(other._locationArray->size());
            for (const auto &elem_1 : *other._locationArray) {
                _locationArray->push_back(elem_1);
            }
            break;
        }
        case TextDocument_ImplementationResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_ImplementationResult::operator=(
        TextDocument_ImplementationResult &&other
    ) -> TextDocument_ImplementationResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_ImplementationResultType::Definition: {
                new (&_definition) std::unique_ptr<Definition> {
                    std::move(other._definition)
                };
                break;
            }
            case TextDocument_ImplementationResultType::DefinitionLinkArray: {
                new (&_locationLinkArray) std::unique_ptr<TextDocument_ImplementationResult_1> {
                    std::move(other._locationLinkArray)
                };
                break;
            }
            case TextDocument_ImplementationResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_ImplementationResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<TextDocument_ImplementationResult_3> {
                    std::move(other._locationArray)
                };
                break;
            }
            case TextDocument_ImplementationResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_ImplementationResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        const TextDocument_ImplementationResult &other
    ) -> TextDocument_ImplementationResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_ImplementationResultType::Definition: {
                new (&_definition) std::unique_ptr<Definition> {
                    std::make_unique<Definition>(*other._definition)
                };
                break;
            }
            case TextDocument_ImplementationResultType::DefinitionLinkArray: {
                new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
                    std::make_unique<std::vector<DefinitionLink>>()
                };
                _locationLinkArray->reserve(other._locationLinkArray->size());
                for (const auto &elem_0 : *other._locationLinkArray) {
                    _locationLinkArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_ImplementationResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_ImplementationResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                    std::make_unique<std::vector<Location>>()
                };
                _locationArray->reserve(other._locationArray->size());
                for (const auto &elem_1 : *other._locationArray) {
                    _locationArray->push_back(elem_1);
                }
                break;
            }
            case TextDocument_ImplementationResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_ImplementationResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_ImplementationResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_ImplementationResultType::Definition: {
#ifdef DEBUG
            if (!_definition) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _definition"
                );
            }
#endif // DEBUG
            _definition.~unique_ptr<Definition>();
            _type = TextDocument_ImplementationResultType::Uninitialized;
            break;
        }
        case TextDocument_ImplementationResultType::DefinitionLinkArray: {
#ifdef DEBUG
            if (!_locationLinkArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationLinkArray"
                );
            }
#endif // DEBUG
            _locationLinkArray.~unique_ptr<std::vector<DefinitionLink>>();
            _type = TextDocument_ImplementationResultType::Uninitialized;
            break;
        }
        case TextDocument_ImplementationResultType::LocationArray: {
#ifdef DEBUG
            if (!_locationArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationArray"
                );
            }
#endif // DEBUG
            _locationArray.~unique_ptr<std::vector<Location>>();
            _type = TextDocument_ImplementationResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_ImplementationResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_ImplementationResult::type() const
    -> const TextDocument_ImplementationResultType &
    {
        return _type;
    }

    auto TextDocument_ImplementationResult::definition() const
    -> const Definition &
    {
#ifdef DEBUG
        if (_type != TextDocument_ImplementationResultType::Definition) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_ImplementationResult::definition()"
                 " of type "
                 "TextDocument_ImplementationResultType::Definition"
                 " while active type is "
                 "TextDocument_ImplementationResultType::" +
                 TextDocument_ImplementationResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_definition;
    }

    auto TextDocument_ImplementationResult::operator=(
        const std::unique_ptr<Definition> &definition
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!definition) {
            throw std::logic_error("null passed as the value of definition");
        }
#endif // DEBUG
        new (&_definition) std::unique_ptr<Definition> {
            std::make_unique<Definition>(*definition)
        };
        _type = TextDocument_ImplementationResultType::Definition;
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        std::unique_ptr<Definition> &&definition
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!definition) {
            throw std::logic_error("null passed as the value of definition");
        }
#endif // DEBUG
        new (&_definition) std::unique_ptr<Definition> {
            std::move(definition)
        };
        _type = TextDocument_ImplementationResultType::Definition;
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        const Definition &definition
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
        new (&_definition) std::unique_ptr<Definition> {
            std::make_unique<Definition>(definition)
        };
        _type = TextDocument_ImplementationResultType::Definition;
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        Definition &&definition
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
        new (&_definition) std::unique_ptr<Definition> {
            std::make_unique<Definition>(std::move(definition))
        };
        _type = TextDocument_ImplementationResultType::Definition;
        return *this;
    }

    auto TextDocument_ImplementationResult::locationLinkArray() const
    -> const std::vector<DefinitionLink> &
    {
#ifdef DEBUG
        if (_type != TextDocument_ImplementationResultType::DefinitionLinkArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_ImplementationResult::locationLinkArray()"
                 " of type "
                 "TextDocument_ImplementationResultType::DefinitionLinkArray"
                 " while active type is "
                 "TextDocument_ImplementationResultType::" +
                 TextDocument_ImplementationResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationLinkArray;
    }

    auto TextDocument_ImplementationResult::operator=(
        const std::unique_ptr<std::vector<DefinitionLink>> &locationLinkArray
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationLinkArray) {
            throw std::logic_error(
                "null passed as the value of locationLinkArray"
            );
        }
#endif // DEBUG
        new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
            std::make_unique<std::vector<DefinitionLink>>()
        };
        _locationLinkArray->reserve(locationLinkArray->size());
        for (const auto &elem_0 : *locationLinkArray) {
            _locationLinkArray->push_back(elem_0);
        }
        _type = TextDocument_ImplementationResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        std::unique_ptr<std::vector<DefinitionLink>> &&locationLinkArray
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationLinkArray) {
            throw std::logic_error(
                "null passed as the value of locationLinkArray"
            );
        }
#endif // DEBUG
        new (&_locationLinkArray) std::unique_ptr<TextDocument_ImplementationResult_1> {
            std::move(locationLinkArray)
        };
        _type = TextDocument_ImplementationResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        const std::vector<DefinitionLink> &locationLinkArray
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
        new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
            std::make_unique<std::vector<DefinitionLink>>()
        };
        _locationLinkArray->reserve(locationLinkArray.size());
        for (const auto &elem_0 : locationLinkArray) {
            _locationLinkArray->push_back(elem_0);
        }
        _type = TextDocument_ImplementationResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        std::vector<DefinitionLink> &&locationLinkArray
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
        new (&_locationLinkArray) std::unique_ptr<TextDocument_ImplementationResult_1> {
            std::make_unique<TextDocument_ImplementationResult_1>(std::move(locationLinkArray))
        };
        _type = TextDocument_ImplementationResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_ImplementationResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_ImplementationResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_ImplementationResult::null()"
                 " of type "
                 "TextDocument_ImplementationResultType::Null"
                 " while active type is "
                 "TextDocument_ImplementationResultType::" +
                 TextDocument_ImplementationResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_ImplementationResult::operator=(
        null_t null
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_ImplementationResultType::Null;
        return *this;
    }

    auto TextDocument_ImplementationResult::locationArray() const
    -> const std::vector<Location> &
    {
#ifdef DEBUG
        if (_type != TextDocument_ImplementationResultType::LocationArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_ImplementationResult::locationArray()"
                 " of type "
                 "TextDocument_ImplementationResultType::LocationArray"
                 " while active type is "
                 "TextDocument_ImplementationResultType::" +
                 TextDocument_ImplementationResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationArray;
    }

    auto TextDocument_ImplementationResult::operator=(
        const std::unique_ptr<std::vector<Location>> &locationArray
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray->size());
        for (const auto &elem_0 : *locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_ImplementationResultType::LocationArray;
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        std::unique_ptr<std::vector<Location>> &&locationArray
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<TextDocument_ImplementationResult_3> {
            std::move(locationArray)
        };
        _type = TextDocument_ImplementationResultType::LocationArray;
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        const std::vector<Location> &locationArray
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray.size());
        for (const auto &elem_0 : locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_ImplementationResultType::LocationArray;
        return *this;
    }

    auto TextDocument_ImplementationResult::operator=(
        std::vector<Location> &&locationArray
    ) -> TextDocument_ImplementationResult &
    {
        if (_type != TextDocument_ImplementationResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<TextDocument_ImplementationResult_3> {
            std::make_unique<TextDocument_ImplementationResult_3>(std::move(locationArray))
        };
        _type = TextDocument_ImplementationResultType::LocationArray;
        return *this;
    }

    const std::map<TextDocument_TypeDefinitionResultType, std::string>
    TextDocument_TypeDefinitionResultTypeNames = {
        {TextDocument_TypeDefinitionResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_TypeDefinitionResultType::Definition, "Definition"},
        {TextDocument_TypeDefinitionResultType::DefinitionLinkArray,
         "DefinitionLinkArray"},
        {TextDocument_TypeDefinitionResultType::Null, "Null"},
        {TextDocument_TypeDefinitionResultType::LocationArray,
         "LocationArray"},
    };

    TextDocument_TypeDefinitionResult::TextDocument_TypeDefinitionResult()
    {
        // empty
    }

    TextDocument_TypeDefinitionResult::~TextDocument_TypeDefinitionResult()
    {
        reset();
    }

    TextDocument_TypeDefinitionResult::TextDocument_TypeDefinitionResult(
        TextDocument_TypeDefinitionResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_TypeDefinitionResultType::Definition: {
            new (&_definition) std::unique_ptr<Definition> {
                std::move(other._definition)
            };
            break;
        }
        case TextDocument_TypeDefinitionResultType::DefinitionLinkArray: {
            new (&_locationLinkArray) std::unique_ptr<TextDocument_TypeDefinitionResult_1> {
                std::move(other._locationLinkArray)
            };
            break;
        }
        case TextDocument_TypeDefinitionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_TypeDefinitionResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<TextDocument_TypeDefinitionResult_3> {
                std::move(other._locationArray)
            };
            break;
        }
        case TextDocument_TypeDefinitionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_TypeDefinitionResultType::Uninitialized;
    }

    TextDocument_TypeDefinitionResult::TextDocument_TypeDefinitionResult(
        const TextDocument_TypeDefinitionResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_TypeDefinitionResultType::Definition: {
            new (&_definition) std::unique_ptr<Definition> {
                std::make_unique<Definition>(*other._definition)
            };
            break;
        }
        case TextDocument_TypeDefinitionResultType::DefinitionLinkArray: {
            new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
                std::make_unique<std::vector<DefinitionLink>>()
            };
            _locationLinkArray->reserve(other._locationLinkArray->size());
            for (const auto &elem_0 : *other._locationLinkArray) {
                _locationLinkArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_TypeDefinitionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_TypeDefinitionResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                std::make_unique<std::vector<Location>>()
            };
            _locationArray->reserve(other._locationArray->size());
            for (const auto &elem_1 : *other._locationArray) {
                _locationArray->push_back(elem_1);
            }
            break;
        }
        case TextDocument_TypeDefinitionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        TextDocument_TypeDefinitionResult &&other
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_TypeDefinitionResultType::Definition: {
                new (&_definition) std::unique_ptr<Definition> {
                    std::move(other._definition)
                };
                break;
            }
            case TextDocument_TypeDefinitionResultType::DefinitionLinkArray: {
                new (&_locationLinkArray) std::unique_ptr<TextDocument_TypeDefinitionResult_1> {
                    std::move(other._locationLinkArray)
                };
                break;
            }
            case TextDocument_TypeDefinitionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_TypeDefinitionResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<TextDocument_TypeDefinitionResult_3> {
                    std::move(other._locationArray)
                };
                break;
            }
            case TextDocument_TypeDefinitionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_TypeDefinitionResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        const TextDocument_TypeDefinitionResult &other
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_TypeDefinitionResultType::Definition: {
                new (&_definition) std::unique_ptr<Definition> {
                    std::make_unique<Definition>(*other._definition)
                };
                break;
            }
            case TextDocument_TypeDefinitionResultType::DefinitionLinkArray: {
                new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
                    std::make_unique<std::vector<DefinitionLink>>()
                };
                _locationLinkArray->reserve(other._locationLinkArray->size());
                for (const auto &elem_0 : *other._locationLinkArray) {
                    _locationLinkArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_TypeDefinitionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_TypeDefinitionResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                    std::make_unique<std::vector<Location>>()
                };
                _locationArray->reserve(other._locationArray->size());
                for (const auto &elem_1 : *other._locationArray) {
                    _locationArray->push_back(elem_1);
                }
                break;
            }
            case TextDocument_TypeDefinitionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_TypeDefinitionResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_TypeDefinitionResultType::Definition: {
#ifdef DEBUG
            if (!_definition) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _definition"
                );
            }
#endif // DEBUG
            _definition.~unique_ptr<Definition>();
            _type = TextDocument_TypeDefinitionResultType::Uninitialized;
            break;
        }
        case TextDocument_TypeDefinitionResultType::DefinitionLinkArray: {
#ifdef DEBUG
            if (!_locationLinkArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationLinkArray"
                );
            }
#endif // DEBUG
            _locationLinkArray.~unique_ptr<std::vector<DefinitionLink>>();
            _type = TextDocument_TypeDefinitionResultType::Uninitialized;
            break;
        }
        case TextDocument_TypeDefinitionResultType::LocationArray: {
#ifdef DEBUG
            if (!_locationArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationArray"
                );
            }
#endif // DEBUG
            _locationArray.~unique_ptr<std::vector<Location>>();
            _type = TextDocument_TypeDefinitionResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_TypeDefinitionResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_TypeDefinitionResult::type() const
    -> const TextDocument_TypeDefinitionResultType &
    {
        return _type;
    }

    auto TextDocument_TypeDefinitionResult::definition() const
    -> const Definition &
    {
#ifdef DEBUG
        if (_type != TextDocument_TypeDefinitionResultType::Definition) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_TypeDefinitionResult::definition()"
                 " of type "
                 "TextDocument_TypeDefinitionResultType::Definition"
                 " while active type is "
                 "TextDocument_TypeDefinitionResultType::" +
                 TextDocument_TypeDefinitionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_definition;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        const std::unique_ptr<Definition> &definition
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!definition) {
            throw std::logic_error("null passed as the value of definition");
        }
#endif // DEBUG
        new (&_definition) std::unique_ptr<Definition> {
            std::make_unique<Definition>(*definition)
        };
        _type = TextDocument_TypeDefinitionResultType::Definition;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        std::unique_ptr<Definition> &&definition
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!definition) {
            throw std::logic_error("null passed as the value of definition");
        }
#endif // DEBUG
        new (&_definition) std::unique_ptr<Definition> {
            std::move(definition)
        };
        _type = TextDocument_TypeDefinitionResultType::Definition;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        const Definition &definition
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_definition) std::unique_ptr<Definition> {
            std::make_unique<Definition>(definition)
        };
        _type = TextDocument_TypeDefinitionResultType::Definition;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        Definition &&definition
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_definition) std::unique_ptr<Definition> {
            std::make_unique<Definition>(std::move(definition))
        };
        _type = TextDocument_TypeDefinitionResultType::Definition;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::locationLinkArray() const
    -> const std::vector<DefinitionLink> &
    {
#ifdef DEBUG
        if (_type != TextDocument_TypeDefinitionResultType::DefinitionLinkArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_TypeDefinitionResult::locationLinkArray()"
                 " of type "
                 "TextDocument_TypeDefinitionResultType::DefinitionLinkArray"
                 " while active type is "
                 "TextDocument_TypeDefinitionResultType::" +
                 TextDocument_TypeDefinitionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationLinkArray;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        const std::unique_ptr<std::vector<DefinitionLink>> &locationLinkArray
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationLinkArray) {
            throw std::logic_error(
                "null passed as the value of locationLinkArray"
            );
        }
#endif // DEBUG
        new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
            std::make_unique<std::vector<DefinitionLink>>()
        };
        _locationLinkArray->reserve(locationLinkArray->size());
        for (const auto &elem_0 : *locationLinkArray) {
            _locationLinkArray->push_back(elem_0);
        }
        _type = TextDocument_TypeDefinitionResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        std::unique_ptr<std::vector<DefinitionLink>> &&locationLinkArray
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationLinkArray) {
            throw std::logic_error(
                "null passed as the value of locationLinkArray"
            );
        }
#endif // DEBUG
        new (&_locationLinkArray) std::unique_ptr<TextDocument_TypeDefinitionResult_1> {
            std::move(locationLinkArray)
        };
        _type = TextDocument_TypeDefinitionResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        const std::vector<DefinitionLink> &locationLinkArray
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
            std::make_unique<std::vector<DefinitionLink>>()
        };
        _locationLinkArray->reserve(locationLinkArray.size());
        for (const auto &elem_0 : locationLinkArray) {
            _locationLinkArray->push_back(elem_0);
        }
        _type = TextDocument_TypeDefinitionResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        std::vector<DefinitionLink> &&locationLinkArray
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_locationLinkArray) std::unique_ptr<TextDocument_TypeDefinitionResult_1> {
            std::make_unique<TextDocument_TypeDefinitionResult_1>(std::move(locationLinkArray))
        };
        _type = TextDocument_TypeDefinitionResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_TypeDefinitionResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_TypeDefinitionResult::null()"
                 " of type "
                 "TextDocument_TypeDefinitionResultType::Null"
                 " while active type is "
                 "TextDocument_TypeDefinitionResultType::" +
                 TextDocument_TypeDefinitionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        null_t null
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_TypeDefinitionResultType::Null;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::locationArray() const
    -> const std::vector<Location> &
    {
#ifdef DEBUG
        if (_type != TextDocument_TypeDefinitionResultType::LocationArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_TypeDefinitionResult::locationArray()"
                 " of type "
                 "TextDocument_TypeDefinitionResultType::LocationArray"
                 " while active type is "
                 "TextDocument_TypeDefinitionResultType::" +
                 TextDocument_TypeDefinitionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationArray;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        const std::unique_ptr<std::vector<Location>> &locationArray
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray->size());
        for (const auto &elem_0 : *locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_TypeDefinitionResultType::LocationArray;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        std::unique_ptr<std::vector<Location>> &&locationArray
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<TextDocument_TypeDefinitionResult_3> {
            std::move(locationArray)
        };
        _type = TextDocument_TypeDefinitionResultType::LocationArray;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        const std::vector<Location> &locationArray
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray.size());
        for (const auto &elem_0 : locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_TypeDefinitionResultType::LocationArray;
        return *this;
    }

    auto TextDocument_TypeDefinitionResult::operator=(
        std::vector<Location> &&locationArray
    ) -> TextDocument_TypeDefinitionResult &
    {
        if (_type != TextDocument_TypeDefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<TextDocument_TypeDefinitionResult_3> {
            std::make_unique<TextDocument_TypeDefinitionResult_3>(std::move(locationArray))
        };
        _type = TextDocument_TypeDefinitionResultType::LocationArray;
        return *this;
    }

    const std::map<TextDocument_FoldingRangeResultType, std::string>
    TextDocument_FoldingRangeResultTypeNames = {
        {TextDocument_FoldingRangeResultType::Uninitialized, "Uninitialized"},
        {TextDocument_FoldingRangeResultType::FoldingRangeArray,
         "FoldingRangeArray"},
        {TextDocument_FoldingRangeResultType::Null, "Null"},
    };

    TextDocument_FoldingRangeResult::TextDocument_FoldingRangeResult()
    {
        // empty
    }

    TextDocument_FoldingRangeResult::~TextDocument_FoldingRangeResult()
    {
        reset();
    }

    TextDocument_FoldingRangeResult::TextDocument_FoldingRangeResult(
        TextDocument_FoldingRangeResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_FoldingRangeResultType::FoldingRangeArray: {
            new (&_foldingRangeArray) std::unique_ptr<TextDocument_FoldingRangeResult_0> {
                std::move(other._foldingRangeArray)
            };
            break;
        }
        case TextDocument_FoldingRangeResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_FoldingRangeResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_FoldingRangeResultType::Uninitialized;
    }

    TextDocument_FoldingRangeResult::TextDocument_FoldingRangeResult(
        const TextDocument_FoldingRangeResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_FoldingRangeResultType::FoldingRangeArray: {
            new (&_foldingRangeArray) std::unique_ptr<std::vector<FoldingRange>> {
                std::make_unique<std::vector<FoldingRange>>()
            };
            _foldingRangeArray->reserve(other._foldingRangeArray->size());
            for (const auto &elem_0 : *other._foldingRangeArray) {
                _foldingRangeArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_FoldingRangeResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_FoldingRangeResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_FoldingRangeResult::operator=(
        TextDocument_FoldingRangeResult &&other
    ) -> TextDocument_FoldingRangeResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_FoldingRangeResultType::FoldingRangeArray: {
                new (&_foldingRangeArray) std::unique_ptr<TextDocument_FoldingRangeResult_0> {
                    std::move(other._foldingRangeArray)
                };
                break;
            }
            case TextDocument_FoldingRangeResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_FoldingRangeResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_FoldingRangeResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_FoldingRangeResult::operator=(
        const TextDocument_FoldingRangeResult &other
    ) -> TextDocument_FoldingRangeResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_FoldingRangeResultType::FoldingRangeArray: {
                new (&_foldingRangeArray) std::unique_ptr<std::vector<FoldingRange>> {
                    std::make_unique<std::vector<FoldingRange>>()
                };
                _foldingRangeArray->reserve(other._foldingRangeArray->size());
                for (const auto &elem_0 : *other._foldingRangeArray) {
                    _foldingRangeArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_FoldingRangeResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_FoldingRangeResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_FoldingRangeResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_FoldingRangeResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_FoldingRangeResultType::FoldingRangeArray: {
#ifdef DEBUG
            if (!_foldingRangeArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _foldingRangeArray"
                );
            }
#endif // DEBUG
            _foldingRangeArray.~unique_ptr<std::vector<FoldingRange>>();
            _type = TextDocument_FoldingRangeResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_FoldingRangeResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_FoldingRangeResult::type() const
    -> const TextDocument_FoldingRangeResultType &
    {
        return _type;
    }

    auto TextDocument_FoldingRangeResult::foldingRangeArray() const
    -> const std::vector<FoldingRange> &
    {
#ifdef DEBUG
        if (_type != TextDocument_FoldingRangeResultType::FoldingRangeArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_FoldingRangeResult::foldingRangeArray()"
                 " of type "
                 "TextDocument_FoldingRangeResultType::FoldingRangeArray"
                 " while active type is "
                 "TextDocument_FoldingRangeResultType::" +
                 TextDocument_FoldingRangeResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_foldingRangeArray;
    }

    auto TextDocument_FoldingRangeResult::operator=(
        const std::unique_ptr<std::vector<FoldingRange>> &foldingRangeArray
    ) -> TextDocument_FoldingRangeResult &
    {
        if (_type != TextDocument_FoldingRangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!foldingRangeArray) {
            throw std::logic_error(
                "null passed as the value of foldingRangeArray"
            );
        }
#endif // DEBUG
        new (&_foldingRangeArray) std::unique_ptr<std::vector<FoldingRange>> {
            std::make_unique<std::vector<FoldingRange>>()
        };
        _foldingRangeArray->reserve(foldingRangeArray->size());
        for (const auto &elem_0 : *foldingRangeArray) {
            _foldingRangeArray->push_back(elem_0);
        }
        _type = TextDocument_FoldingRangeResultType::FoldingRangeArray;
        return *this;
    }

    auto TextDocument_FoldingRangeResult::operator=(
        std::unique_ptr<std::vector<FoldingRange>> &&foldingRangeArray
    ) -> TextDocument_FoldingRangeResult &
    {
        if (_type != TextDocument_FoldingRangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!foldingRangeArray) {
            throw std::logic_error(
                "null passed as the value of foldingRangeArray"
            );
        }
#endif // DEBUG
        new (&_foldingRangeArray) std::unique_ptr<TextDocument_FoldingRangeResult_0> {
            std::move(foldingRangeArray)
        };
        _type = TextDocument_FoldingRangeResultType::FoldingRangeArray;
        return *this;
    }

    auto TextDocument_FoldingRangeResult::operator=(
        const std::vector<FoldingRange> &foldingRangeArray
    ) -> TextDocument_FoldingRangeResult &
    {
        if (_type != TextDocument_FoldingRangeResultType::Uninitialized) {
            reset();
        }
        new (&_foldingRangeArray) std::unique_ptr<std::vector<FoldingRange>> {
            std::make_unique<std::vector<FoldingRange>>()
        };
        _foldingRangeArray->reserve(foldingRangeArray.size());
        for (const auto &elem_0 : foldingRangeArray) {
            _foldingRangeArray->push_back(elem_0);
        }
        _type = TextDocument_FoldingRangeResultType::FoldingRangeArray;
        return *this;
    }

    auto TextDocument_FoldingRangeResult::operator=(
        std::vector<FoldingRange> &&foldingRangeArray
    ) -> TextDocument_FoldingRangeResult &
    {
        if (_type != TextDocument_FoldingRangeResultType::Uninitialized) {
            reset();
        }
        new (&_foldingRangeArray) std::unique_ptr<TextDocument_FoldingRangeResult_0> {
            std::make_unique<TextDocument_FoldingRangeResult_0>(std::move(foldingRangeArray))
        };
        _type = TextDocument_FoldingRangeResultType::FoldingRangeArray;
        return *this;
    }

    auto TextDocument_FoldingRangeResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_FoldingRangeResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_FoldingRangeResult::null()"
                 " of type "
                 "TextDocument_FoldingRangeResultType::Null"
                 " while active type is "
                 "TextDocument_FoldingRangeResultType::" +
                 TextDocument_FoldingRangeResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_FoldingRangeResult::operator=(
        null_t null
    ) -> TextDocument_FoldingRangeResult &
    {
        if (_type != TextDocument_FoldingRangeResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_FoldingRangeResultType::Null;
        return *this;
    }

    const std::map<TextDocument_DeclarationResultType, std::string>
    TextDocument_DeclarationResultTypeNames = {
        {TextDocument_DeclarationResultType::Uninitialized, "Uninitialized"},
        {TextDocument_DeclarationResultType::Declaration, "Declaration"},
        {TextDocument_DeclarationResultType::DeclarationLinkArray,
         "DeclarationLinkArray"},
        {TextDocument_DeclarationResultType::Null, "Null"},
        {TextDocument_DeclarationResultType::LocationArray, "LocationArray"},
    };

    TextDocument_DeclarationResult::TextDocument_DeclarationResult()
    {
        // empty
    }

    TextDocument_DeclarationResult::~TextDocument_DeclarationResult()
    {
        reset();
    }

    TextDocument_DeclarationResult::TextDocument_DeclarationResult(
        TextDocument_DeclarationResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DeclarationResultType::Declaration: {
            new (&_declaration) std::unique_ptr<Declaration> {
                std::move(other._declaration)
            };
            break;
        }
        case TextDocument_DeclarationResultType::DeclarationLinkArray: {
            new (&_locationLinkArray) std::unique_ptr<TextDocument_DeclarationResult_1> {
                std::move(other._locationLinkArray)
            };
            break;
        }
        case TextDocument_DeclarationResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DeclarationResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<TextDocument_DeclarationResult_3> {
                std::move(other._locationArray)
            };
            break;
        }
        case TextDocument_DeclarationResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_DeclarationResultType::Uninitialized;
    }

    TextDocument_DeclarationResult::TextDocument_DeclarationResult(
        const TextDocument_DeclarationResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DeclarationResultType::Declaration: {
            new (&_declaration) std::unique_ptr<Declaration> {
                std::make_unique<Declaration>(*other._declaration)
            };
            break;
        }
        case TextDocument_DeclarationResultType::DeclarationLinkArray: {
            new (&_locationLinkArray) std::unique_ptr<std::vector<DeclarationLink>> {
                std::make_unique<std::vector<DeclarationLink>>()
            };
            _locationLinkArray->reserve(other._locationLinkArray->size());
            for (const auto &elem_0 : *other._locationLinkArray) {
                _locationLinkArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_DeclarationResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DeclarationResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                std::make_unique<std::vector<Location>>()
            };
            _locationArray->reserve(other._locationArray->size());
            for (const auto &elem_1 : *other._locationArray) {
                _locationArray->push_back(elem_1);
            }
            break;
        }
        case TextDocument_DeclarationResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_DeclarationResult::operator=(
        TextDocument_DeclarationResult &&other
    ) -> TextDocument_DeclarationResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DeclarationResultType::Declaration: {
                new (&_declaration) std::unique_ptr<Declaration> {
                    std::move(other._declaration)
                };
                break;
            }
            case TextDocument_DeclarationResultType::DeclarationLinkArray: {
                new (&_locationLinkArray) std::unique_ptr<TextDocument_DeclarationResult_1> {
                    std::move(other._locationLinkArray)
                };
                break;
            }
            case TextDocument_DeclarationResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DeclarationResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<TextDocument_DeclarationResult_3> {
                    std::move(other._locationArray)
                };
                break;
            }
            case TextDocument_DeclarationResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_DeclarationResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        const TextDocument_DeclarationResult &other
    ) -> TextDocument_DeclarationResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DeclarationResultType::Declaration: {
                new (&_declaration) std::unique_ptr<Declaration> {
                    std::make_unique<Declaration>(*other._declaration)
                };
                break;
            }
            case TextDocument_DeclarationResultType::DeclarationLinkArray: {
                new (&_locationLinkArray) std::unique_ptr<std::vector<DeclarationLink>> {
                    std::make_unique<std::vector<DeclarationLink>>()
                };
                _locationLinkArray->reserve(other._locationLinkArray->size());
                for (const auto &elem_0 : *other._locationLinkArray) {
                    _locationLinkArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_DeclarationResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DeclarationResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                    std::make_unique<std::vector<Location>>()
                };
                _locationArray->reserve(other._locationArray->size());
                for (const auto &elem_1 : *other._locationArray) {
                    _locationArray->push_back(elem_1);
                }
                break;
            }
            case TextDocument_DeclarationResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_DeclarationResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_DeclarationResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_DeclarationResultType::Declaration: {
#ifdef DEBUG
            if (!_declaration) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _declaration"
                );
            }
#endif // DEBUG
            _declaration.~unique_ptr<Declaration>();
            _type = TextDocument_DeclarationResultType::Uninitialized;
            break;
        }
        case TextDocument_DeclarationResultType::DeclarationLinkArray: {
#ifdef DEBUG
            if (!_locationLinkArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationLinkArray"
                );
            }
#endif // DEBUG
            _locationLinkArray.~unique_ptr<std::vector<DeclarationLink>>();
            _type = TextDocument_DeclarationResultType::Uninitialized;
            break;
        }
        case TextDocument_DeclarationResultType::LocationArray: {
#ifdef DEBUG
            if (!_locationArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationArray"
                );
            }
#endif // DEBUG
            _locationArray.~unique_ptr<std::vector<Location>>();
            _type = TextDocument_DeclarationResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_DeclarationResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_DeclarationResult::type() const
    -> const TextDocument_DeclarationResultType &
    {
        return _type;
    }

    auto TextDocument_DeclarationResult::declaration() const
    -> const Declaration &
    {
#ifdef DEBUG
        if (_type != TextDocument_DeclarationResultType::Declaration) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DeclarationResult::declaration()"
                 " of type "
                 "TextDocument_DeclarationResultType::Declaration"
                 " while active type is "
                 "TextDocument_DeclarationResultType::" +
                 TextDocument_DeclarationResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_declaration;
    }

    auto TextDocument_DeclarationResult::operator=(
        const std::unique_ptr<Declaration> &declaration
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!declaration) {
            throw std::logic_error("null passed as the value of declaration");
        }
#endif // DEBUG
        new (&_declaration) std::unique_ptr<Declaration> {
            std::make_unique<Declaration>(*declaration)
        };
        _type = TextDocument_DeclarationResultType::Declaration;
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        std::unique_ptr<Declaration> &&declaration
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!declaration) {
            throw std::logic_error("null passed as the value of declaration");
        }
#endif // DEBUG
        new (&_declaration) std::unique_ptr<Declaration> {
            std::move(declaration)
        };
        _type = TextDocument_DeclarationResultType::Declaration;
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        const Declaration &declaration
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
        new (&_declaration) std::unique_ptr<Declaration> {
            std::make_unique<Declaration>(declaration)
        };
        _type = TextDocument_DeclarationResultType::Declaration;
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        Declaration &&declaration
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
        new (&_declaration) std::unique_ptr<Declaration> {
            std::make_unique<Declaration>(std::move(declaration))
        };
        _type = TextDocument_DeclarationResultType::Declaration;
        return *this;
    }

    auto TextDocument_DeclarationResult::locationLinkArray() const
    -> const std::vector<DeclarationLink> &
    {
#ifdef DEBUG
        if (_type != TextDocument_DeclarationResultType::DeclarationLinkArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DeclarationResult::locationLinkArray()"
                 " of type "
                 "TextDocument_DeclarationResultType::DeclarationLinkArray"
                 " while active type is "
                 "TextDocument_DeclarationResultType::" +
                 TextDocument_DeclarationResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationLinkArray;
    }

    auto TextDocument_DeclarationResult::operator=(
        const std::unique_ptr<std::vector<DeclarationLink>> &locationLinkArray
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationLinkArray) {
            throw std::logic_error(
                "null passed as the value of locationLinkArray"
            );
        }
#endif // DEBUG
        new (&_locationLinkArray) std::unique_ptr<std::vector<DeclarationLink>> {
            std::make_unique<std::vector<DeclarationLink>>()
        };
        _locationLinkArray->reserve(locationLinkArray->size());
        for (const auto &elem_0 : *locationLinkArray) {
            _locationLinkArray->push_back(elem_0);
        }
        _type = TextDocument_DeclarationResultType::DeclarationLinkArray;
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        std::unique_ptr<std::vector<DeclarationLink>> &&locationLinkArray
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationLinkArray) {
            throw std::logic_error(
                "null passed as the value of locationLinkArray"
            );
        }
#endif // DEBUG
        new (&_locationLinkArray) std::unique_ptr<TextDocument_DeclarationResult_1> {
            std::move(locationLinkArray)
        };
        _type = TextDocument_DeclarationResultType::DeclarationLinkArray;
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        const std::vector<DeclarationLink> &locationLinkArray
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
        new (&_locationLinkArray) std::unique_ptr<std::vector<DeclarationLink>> {
            std::make_unique<std::vector<DeclarationLink>>()
        };
        _locationLinkArray->reserve(locationLinkArray.size());
        for (const auto &elem_0 : locationLinkArray) {
            _locationLinkArray->push_back(elem_0);
        }
        _type = TextDocument_DeclarationResultType::DeclarationLinkArray;
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        std::vector<DeclarationLink> &&locationLinkArray
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
        new (&_locationLinkArray) std::unique_ptr<TextDocument_DeclarationResult_1> {
            std::make_unique<TextDocument_DeclarationResult_1>(std::move(locationLinkArray))
        };
        _type = TextDocument_DeclarationResultType::DeclarationLinkArray;
        return *this;
    }

    auto TextDocument_DeclarationResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_DeclarationResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DeclarationResult::null()"
                 " of type "
                 "TextDocument_DeclarationResultType::Null"
                 " while active type is "
                 "TextDocument_DeclarationResultType::" +
                 TextDocument_DeclarationResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_DeclarationResult::operator=(
        null_t null
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_DeclarationResultType::Null;
        return *this;
    }

    auto TextDocument_DeclarationResult::locationArray() const
    -> const std::vector<Location> &
    {
#ifdef DEBUG
        if (_type != TextDocument_DeclarationResultType::LocationArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DeclarationResult::locationArray()"
                 " of type "
                 "TextDocument_DeclarationResultType::LocationArray"
                 " while active type is "
                 "TextDocument_DeclarationResultType::" +
                 TextDocument_DeclarationResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationArray;
    }

    auto TextDocument_DeclarationResult::operator=(
        const std::unique_ptr<std::vector<Location>> &locationArray
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray->size());
        for (const auto &elem_0 : *locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_DeclarationResultType::LocationArray;
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        std::unique_ptr<std::vector<Location>> &&locationArray
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<TextDocument_DeclarationResult_3> {
            std::move(locationArray)
        };
        _type = TextDocument_DeclarationResultType::LocationArray;
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        const std::vector<Location> &locationArray
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray.size());
        for (const auto &elem_0 : locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_DeclarationResultType::LocationArray;
        return *this;
    }

    auto TextDocument_DeclarationResult::operator=(
        std::vector<Location> &&locationArray
    ) -> TextDocument_DeclarationResult &
    {
        if (_type != TextDocument_DeclarationResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<TextDocument_DeclarationResult_3> {
            std::make_unique<TextDocument_DeclarationResult_3>(std::move(locationArray))
        };
        _type = TextDocument_DeclarationResultType::LocationArray;
        return *this;
    }

    const std::map<TextDocument_SelectionRangeResultType, std::string>
    TextDocument_SelectionRangeResultTypeNames = {
        {TextDocument_SelectionRangeResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_SelectionRangeResultType::SelectionRangeArray,
         "SelectionRangeArray"},
        {TextDocument_SelectionRangeResultType::Null, "Null"},
    };

    TextDocument_SelectionRangeResult::TextDocument_SelectionRangeResult()
    {
        // empty
    }

    TextDocument_SelectionRangeResult::~TextDocument_SelectionRangeResult()
    {
        reset();
    }

    TextDocument_SelectionRangeResult::TextDocument_SelectionRangeResult(
        TextDocument_SelectionRangeResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SelectionRangeResultType::SelectionRangeArray: {
            new (&_selectionRangeArray) std::unique_ptr<TextDocument_SelectionRangeResult_0> {
                std::move(other._selectionRangeArray)
            };
            break;
        }
        case TextDocument_SelectionRangeResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SelectionRangeResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_SelectionRangeResultType::Uninitialized;
    }

    TextDocument_SelectionRangeResult::TextDocument_SelectionRangeResult(
        const TextDocument_SelectionRangeResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SelectionRangeResultType::SelectionRangeArray: {
            new (&_selectionRangeArray) std::unique_ptr<std::vector<SelectionRange>> {
                std::make_unique<std::vector<SelectionRange>>()
            };
            _selectionRangeArray->reserve(other._selectionRangeArray->size());
            for (const auto &elem_0 : *other._selectionRangeArray) {
                _selectionRangeArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_SelectionRangeResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SelectionRangeResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_SelectionRangeResult::operator=(
        TextDocument_SelectionRangeResult &&other
    ) -> TextDocument_SelectionRangeResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SelectionRangeResultType::SelectionRangeArray: {
                new (&_selectionRangeArray) std::unique_ptr<TextDocument_SelectionRangeResult_0> {
                    std::move(other._selectionRangeArray)
                };
                break;
            }
            case TextDocument_SelectionRangeResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SelectionRangeResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_SelectionRangeResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_SelectionRangeResult::operator=(
        const TextDocument_SelectionRangeResult &other
    ) -> TextDocument_SelectionRangeResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SelectionRangeResultType::SelectionRangeArray: {
                new (&_selectionRangeArray) std::unique_ptr<std::vector<SelectionRange>> {
                    std::make_unique<std::vector<SelectionRange>>()
                };
                _selectionRangeArray->reserve(
                    other._selectionRangeArray->size()
                );
                for (const auto &elem_0 : *other._selectionRangeArray) {
                    _selectionRangeArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_SelectionRangeResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SelectionRangeResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_SelectionRangeResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_SelectionRangeResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_SelectionRangeResultType::SelectionRangeArray: {
#ifdef DEBUG
            if (!_selectionRangeArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _selectionRangeArray"
                );
            }
#endif // DEBUG
            _selectionRangeArray.~unique_ptr<std::vector<SelectionRange>>();
            _type = TextDocument_SelectionRangeResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_SelectionRangeResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_SelectionRangeResult::type() const
    -> const TextDocument_SelectionRangeResultType &
    {
        return _type;
    }

    auto TextDocument_SelectionRangeResult::selectionRangeArray() const
    -> const std::vector<SelectionRange> &
    {
#ifdef DEBUG
        if (_type != TextDocument_SelectionRangeResultType::SelectionRangeArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SelectionRangeResult::selectionRangeArray()"
                 " of type "
                 "TextDocument_SelectionRangeResultType::SelectionRangeArray"
                 " while active type is "
                 "TextDocument_SelectionRangeResultType::" +
                 TextDocument_SelectionRangeResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_selectionRangeArray;
    }

    auto TextDocument_SelectionRangeResult::operator=(
        const std::unique_ptr<std::vector<SelectionRange>> &selectionRangeArray
    ) -> TextDocument_SelectionRangeResult &
    {
        if (_type != TextDocument_SelectionRangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!selectionRangeArray) {
            throw std::logic_error(
                "null passed as the value of selectionRangeArray"
            );
        }
#endif // DEBUG
        new (&_selectionRangeArray) std::unique_ptr<std::vector<SelectionRange>> {
            std::make_unique<std::vector<SelectionRange>>()
        };
        _selectionRangeArray->reserve(selectionRangeArray->size());
        for (const auto &elem_0 : *selectionRangeArray) {
            _selectionRangeArray->push_back(elem_0);
        }
        _type = TextDocument_SelectionRangeResultType::SelectionRangeArray;
        return *this;
    }

    auto TextDocument_SelectionRangeResult::operator=(
        std::unique_ptr<std::vector<SelectionRange>> &&selectionRangeArray
    ) -> TextDocument_SelectionRangeResult &
    {
        if (_type != TextDocument_SelectionRangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!selectionRangeArray) {
            throw std::logic_error(
                "null passed as the value of selectionRangeArray"
            );
        }
#endif // DEBUG
        new (&_selectionRangeArray) std::unique_ptr<TextDocument_SelectionRangeResult_0> {
            std::move(selectionRangeArray)
        };
        _type = TextDocument_SelectionRangeResultType::SelectionRangeArray;
        return *this;
    }

    auto TextDocument_SelectionRangeResult::operator=(
        const std::vector<SelectionRange> &selectionRangeArray
    ) -> TextDocument_SelectionRangeResult &
    {
        if (_type != TextDocument_SelectionRangeResultType::Uninitialized) {
            reset();
        }
        new (&_selectionRangeArray) std::unique_ptr<std::vector<SelectionRange>> {
            std::make_unique<std::vector<SelectionRange>>()
        };
        _selectionRangeArray->reserve(selectionRangeArray.size());
        for (const auto &elem_0 : selectionRangeArray) {
            _selectionRangeArray->push_back(elem_0);
        }
        _type = TextDocument_SelectionRangeResultType::SelectionRangeArray;
        return *this;
    }

    auto TextDocument_SelectionRangeResult::operator=(
        std::vector<SelectionRange> &&selectionRangeArray
    ) -> TextDocument_SelectionRangeResult &
    {
        if (_type != TextDocument_SelectionRangeResultType::Uninitialized) {
            reset();
        }
        new (&_selectionRangeArray) std::unique_ptr<TextDocument_SelectionRangeResult_0> {
            std::make_unique<TextDocument_SelectionRangeResult_0>(std::move(selectionRangeArray))
        };
        _type = TextDocument_SelectionRangeResultType::SelectionRangeArray;
        return *this;
    }

    auto TextDocument_SelectionRangeResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_SelectionRangeResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SelectionRangeResult::null()"
                 " of type "
                 "TextDocument_SelectionRangeResultType::Null"
                 " while active type is "
                 "TextDocument_SelectionRangeResultType::" +
                 TextDocument_SelectionRangeResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_SelectionRangeResult::operator=(
        null_t null
    ) -> TextDocument_SelectionRangeResult &
    {
        if (_type != TextDocument_SelectionRangeResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_SelectionRangeResultType::Null;
        return *this;
    }

    const std::map<TextDocument_SemanticTokens_FullResultType, std::string>
    TextDocument_SemanticTokens_FullResultTypeNames = {
        {TextDocument_SemanticTokens_FullResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_SemanticTokens_FullResultType::SemanticTokens,
         "SemanticTokens"},
        {TextDocument_SemanticTokens_FullResultType::Null, "Null"},
        {TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult,
         "SemanticTokensPartialResult"},
    };

    TextDocument_SemanticTokens_FullResult::TextDocument_SemanticTokens_FullResult()
    {
        // empty
    }

    TextDocument_SemanticTokens_FullResult::~TextDocument_SemanticTokens_FullResult()
    {
        reset();
    }

    TextDocument_SemanticTokens_FullResult::TextDocument_SemanticTokens_FullResult(
        TextDocument_SemanticTokens_FullResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SemanticTokens_FullResultType::SemanticTokens: {
            new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                std::move(other._semanticTokens)
            };
            break;
        }
        case TextDocument_SemanticTokens_FullResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult: {
            new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                std::move(other._semanticTokensPartialResult)
            };
            break;
        }
        case TextDocument_SemanticTokens_FullResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            TextDocument_SemanticTokens_FullResultType::Uninitialized;
    }

    TextDocument_SemanticTokens_FullResult::TextDocument_SemanticTokens_FullResult(
        const TextDocument_SemanticTokens_FullResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SemanticTokens_FullResultType::SemanticTokens: {
            new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                std::make_unique<SemanticTokens>(*other._semanticTokens)
            };
            break;
        }
        case TextDocument_SemanticTokens_FullResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult: {
            new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                std::make_unique<SemanticTokensPartialResult>(*other._semanticTokensPartialResult)
            };
            break;
        }
        case TextDocument_SemanticTokens_FullResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        TextDocument_SemanticTokens_FullResult &&other
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SemanticTokens_FullResultType::SemanticTokens: {
                new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                    std::move(other._semanticTokens)
                };
                break;
            }
            case TextDocument_SemanticTokens_FullResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult: {
                new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                    std::move(other._semanticTokensPartialResult)
                };
                break;
            }
            case TextDocument_SemanticTokens_FullResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_SemanticTokens_FullResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        const TextDocument_SemanticTokens_FullResult &other
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SemanticTokens_FullResultType::SemanticTokens: {
                new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                    std::make_unique<SemanticTokens>(*other._semanticTokens)
                };
                break;
            }
            case TextDocument_SemanticTokens_FullResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult: {
                new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                    std::make_unique<SemanticTokensPartialResult>(*other._semanticTokensPartialResult)
                };
                break;
            }
            case TextDocument_SemanticTokens_FullResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_SemanticTokens_FullResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_SemanticTokens_FullResultType::SemanticTokens: {
#ifdef DEBUG
            if (!_semanticTokens) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokens"
                );
            }
#endif // DEBUG
            _semanticTokens.~unique_ptr<SemanticTokens>();
            _type = TextDocument_SemanticTokens_FullResultType::Uninitialized;
            break;
        }
        case TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult: {
#ifdef DEBUG
            if (!_semanticTokensPartialResult) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensPartialResult"
                );
            }
#endif // DEBUG
            _semanticTokensPartialResult.~unique_ptr<SemanticTokensPartialResult>();
            _type = TextDocument_SemanticTokens_FullResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_SemanticTokens_FullResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_SemanticTokens_FullResult::type() const
    -> const TextDocument_SemanticTokens_FullResultType &
    {
        return _type;
    }

    auto TextDocument_SemanticTokens_FullResult::semanticTokens() const
    -> const SemanticTokens &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_FullResultType::SemanticTokens) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_FullResult::semanticTokens()"
                 " of type "
                 "TextDocument_SemanticTokens_FullResultType::SemanticTokens"
                 " while active type is "
                 "TextDocument_SemanticTokens_FullResultType::" +
                 TextDocument_SemanticTokens_FullResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokens;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        const std::unique_ptr<SemanticTokens> &semanticTokens
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_FullResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokens) {
            throw std::logic_error(
                "null passed as the value of semanticTokens"
            );
        }
#endif // DEBUG
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::make_unique<SemanticTokens>(*semanticTokens)
        };
        _type = TextDocument_SemanticTokens_FullResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        std::unique_ptr<SemanticTokens> &&semanticTokens
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_FullResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokens) {
            throw std::logic_error(
                "null passed as the value of semanticTokens"
            );
        }
#endif // DEBUG
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::move(semanticTokens)
        };
        _type = TextDocument_SemanticTokens_FullResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        const SemanticTokens &semanticTokens
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_FullResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::make_unique<SemanticTokens>(semanticTokens)
        };
        _type = TextDocument_SemanticTokens_FullResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        SemanticTokens &&semanticTokens
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_FullResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::make_unique<SemanticTokens>(std::move(semanticTokens))
        };
        _type = TextDocument_SemanticTokens_FullResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_FullResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_FullResult::null()"
                 " of type "
                 "TextDocument_SemanticTokens_FullResultType::Null"
                 " while active type is "
                 "TextDocument_SemanticTokens_FullResultType::" +
                 TextDocument_SemanticTokens_FullResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        null_t null
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_FullResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_SemanticTokens_FullResultType::Null;
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::semanticTokensPartialResult() const
    -> const SemanticTokensPartialResult &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_FullResult::semanticTokensPartialResult()"
                 " of type "
                 "TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult"
                 " while active type is "
                 "TextDocument_SemanticTokens_FullResultType::" +
                 TextDocument_SemanticTokens_FullResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensPartialResult;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        const std::unique_ptr<SemanticTokensPartialResult> &semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_FullResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensPartialResult) {
            throw std::logic_error(
                "null passed as the value of semanticTokensPartialResult"
            );
        }
#endif // DEBUG
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::make_unique<SemanticTokensPartialResult>(*semanticTokensPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        std::unique_ptr<SemanticTokensPartialResult> &&semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_FullResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensPartialResult) {
            throw std::logic_error(
                "null passed as the value of semanticTokensPartialResult"
            );
        }
#endif // DEBUG
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::move(semanticTokensPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        const SemanticTokensPartialResult &semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_FullResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::make_unique<SemanticTokensPartialResult>(semanticTokensPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_FullResult::operator=(
        SemanticTokensPartialResult &&semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_FullResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_FullResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::make_unique<SemanticTokensPartialResult>(std::move(semanticTokensPartialResult))
        };
        _type =
            TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult;
        return *this;
    }

    const std::map<
        TextDocument_SemanticTokens_Full_DeltaResultType,
        std::string
    > TextDocument_SemanticTokens_Full_DeltaResultTypeNames = {
        {TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens,
         "SemanticTokens"},
        {TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta,
         "SemanticTokensDelta"},
        {TextDocument_SemanticTokens_Full_DeltaResultType::Null, "Null"},
        {TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult,
         "SemanticTokensPartialResult"},
        {TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult,
         "SemanticTokensDeltaPartialResult"},
    };

    TextDocument_SemanticTokens_Full_DeltaResult::TextDocument_SemanticTokens_Full_DeltaResult()
    {
        // empty
    }

    TextDocument_SemanticTokens_Full_DeltaResult::~TextDocument_SemanticTokens_Full_DeltaResult()
    {
        reset();
    }

    TextDocument_SemanticTokens_Full_DeltaResult::TextDocument_SemanticTokens_Full_DeltaResult(
        TextDocument_SemanticTokens_Full_DeltaResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens: {
            new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                std::move(other._semanticTokens)
            };
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta: {
            new (&_semanticTokensDelta) std::unique_ptr<SemanticTokensDelta> {
                std::move(other._semanticTokensDelta)
            };
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult: {
            new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                std::move(other._semanticTokensPartialResult)
            };
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult: {
            new (&_semanticTokensDeltaPartialResult) std::unique_ptr<SemanticTokensDeltaPartialResult> {
                std::move(other._semanticTokensDeltaPartialResult)
            };
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized;
    }

    TextDocument_SemanticTokens_Full_DeltaResult::TextDocument_SemanticTokens_Full_DeltaResult(
        const TextDocument_SemanticTokens_Full_DeltaResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens: {
            new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                std::make_unique<SemanticTokens>(*other._semanticTokens)
            };
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta: {
            new (&_semanticTokensDelta) std::unique_ptr<SemanticTokensDelta> {
                std::make_unique<SemanticTokensDelta>(*other._semanticTokensDelta)
            };
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult: {
            new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                std::make_unique<SemanticTokensPartialResult>(*other._semanticTokensPartialResult)
            };
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult: {
            new (&_semanticTokensDeltaPartialResult) std::unique_ptr<SemanticTokensDeltaPartialResult> {
                std::make_unique<SemanticTokensDeltaPartialResult>(*other._semanticTokensDeltaPartialResult)
            };
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        TextDocument_SemanticTokens_Full_DeltaResult &&other
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens: {
                new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                    std::move(other._semanticTokens)
                };
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta: {
                new (&_semanticTokensDelta) std::unique_ptr<SemanticTokensDelta> {
                    std::move(other._semanticTokensDelta)
                };
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult: {
                new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                    std::move(other._semanticTokensPartialResult)
                };
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult: {
                new (&_semanticTokensDeltaPartialResult) std::unique_ptr<SemanticTokensDeltaPartialResult> {
                    std::move(other._semanticTokensDeltaPartialResult)
                };
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        const TextDocument_SemanticTokens_Full_DeltaResult &other
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens: {
                new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                    std::make_unique<SemanticTokens>(*other._semanticTokens)
                };
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta: {
                new (&_semanticTokensDelta) std::unique_ptr<SemanticTokensDelta> {
                    std::make_unique<SemanticTokensDelta>(*other._semanticTokensDelta)
                };
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult: {
                new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                    std::make_unique<SemanticTokensPartialResult>(*other._semanticTokensPartialResult)
                };
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult: {
                new (&_semanticTokensDeltaPartialResult) std::unique_ptr<SemanticTokensDeltaPartialResult> {
                    std::make_unique<SemanticTokensDeltaPartialResult>(*other._semanticTokensDeltaPartialResult)
                };
                break;
            }
            case TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens: {
#ifdef DEBUG
            if (!_semanticTokens) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokens"
                );
            }
#endif // DEBUG
            _semanticTokens.~unique_ptr<SemanticTokens>();
            _type =
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized;
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta: {
#ifdef DEBUG
            if (!_semanticTokensDelta) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensDelta"
                );
            }
#endif // DEBUG
            _semanticTokensDelta.~unique_ptr<SemanticTokensDelta>();
            _type =
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized;
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult: {
#ifdef DEBUG
            if (!_semanticTokensPartialResult) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensPartialResult"
                );
            }
#endif // DEBUG
            _semanticTokensPartialResult.~unique_ptr<SemanticTokensPartialResult>();
            _type =
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized;
            break;
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult: {
#ifdef DEBUG
            if (!_semanticTokensDeltaPartialResult) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensDeltaPartialResult"
                );
            }
#endif // DEBUG
            _semanticTokensDeltaPartialResult.~unique_ptr<SemanticTokensDeltaPartialResult>();
            _type =
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::type() const
    -> const TextDocument_SemanticTokens_Full_DeltaResultType &
    {
        return _type;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::semanticTokens() const
    -> const SemanticTokens &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_Full_DeltaResult::semanticTokens()"
                 " of type "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens"
                 " while active type is "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::" +
                 TextDocument_SemanticTokens_Full_DeltaResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokens;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        const std::unique_ptr<SemanticTokens> &semanticTokens
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokens) {
            throw std::logic_error(
                "null passed as the value of semanticTokens"
            );
        }
#endif // DEBUG
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::make_unique<SemanticTokens>(*semanticTokens)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        std::unique_ptr<SemanticTokens> &&semanticTokens
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokens) {
            throw std::logic_error(
                "null passed as the value of semanticTokens"
            );
        }
#endif // DEBUG
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::move(semanticTokens)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        const SemanticTokens &semanticTokens
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::make_unique<SemanticTokens>(semanticTokens)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        SemanticTokens &&semanticTokens
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::make_unique<SemanticTokens>(std::move(semanticTokens))
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::semanticTokensDelta() const
    -> const SemanticTokensDelta &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_Full_DeltaResult::semanticTokensDelta()"
                 " of type "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta"
                 " while active type is "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::" +
                 TextDocument_SemanticTokens_Full_DeltaResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensDelta;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        const std::unique_ptr<SemanticTokensDelta> &semanticTokensDelta
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensDelta) {
            throw std::logic_error(
                "null passed as the value of semanticTokensDelta"
            );
        }
#endif // DEBUG
        new (&_semanticTokensDelta) std::unique_ptr<SemanticTokensDelta> {
            std::make_unique<SemanticTokensDelta>(*semanticTokensDelta)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        std::unique_ptr<SemanticTokensDelta> &&semanticTokensDelta
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensDelta) {
            throw std::logic_error(
                "null passed as the value of semanticTokensDelta"
            );
        }
#endif // DEBUG
        new (&_semanticTokensDelta) std::unique_ptr<SemanticTokensDelta> {
            std::move(semanticTokensDelta)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        const SemanticTokensDelta &semanticTokensDelta
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensDelta) std::unique_ptr<SemanticTokensDelta> {
            std::make_unique<SemanticTokensDelta>(semanticTokensDelta)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        SemanticTokensDelta &&semanticTokensDelta
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensDelta) std::unique_ptr<SemanticTokensDelta> {
            std::make_unique<SemanticTokensDelta>(std::move(semanticTokensDelta))
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::null() const
    -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_Full_DeltaResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_Full_DeltaResult::null()"
                 " of type "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::Null"
                 " while active type is "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::" +
                 TextDocument_SemanticTokens_Full_DeltaResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        null_t null
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_SemanticTokens_Full_DeltaResultType::Null;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::semanticTokensPartialResult() const
    -> const SemanticTokensPartialResult &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_Full_DeltaResult::semanticTokensPartialResult()"
                 " of type "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult"
                 " while active type is "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::" +
                 TextDocument_SemanticTokens_Full_DeltaResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensPartialResult;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        const std::unique_ptr<SemanticTokensPartialResult> &semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensPartialResult) {
            throw std::logic_error(
                "null passed as the value of semanticTokensPartialResult"
            );
        }
#endif // DEBUG
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::make_unique<SemanticTokensPartialResult>(*semanticTokensPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        std::unique_ptr<SemanticTokensPartialResult> &&semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensPartialResult) {
            throw std::logic_error(
                "null passed as the value of semanticTokensPartialResult"
            );
        }
#endif // DEBUG
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::move(semanticTokensPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        const SemanticTokensPartialResult &semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::make_unique<SemanticTokensPartialResult>(semanticTokensPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        SemanticTokensPartialResult &&semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::make_unique<SemanticTokensPartialResult>(std::move(semanticTokensPartialResult))
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::semanticTokensDeltaPartialResult() const
    -> const SemanticTokensDeltaPartialResult &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_Full_DeltaResult::semanticTokensDeltaPartialResult()"
                 " of type "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult"
                 " while active type is "
                 "TextDocument_SemanticTokens_Full_DeltaResultType::" +
                 TextDocument_SemanticTokens_Full_DeltaResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensDeltaPartialResult;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        const std::unique_ptr<SemanticTokensDeltaPartialResult> &semanticTokensDeltaPartialResult
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensDeltaPartialResult) {
            throw std::logic_error(
                "null passed as the value of semanticTokensDeltaPartialResult"
            );
        }
#endif // DEBUG
        new (&_semanticTokensDeltaPartialResult) std::unique_ptr<SemanticTokensDeltaPartialResult> {
            std::make_unique<SemanticTokensDeltaPartialResult>(*semanticTokensDeltaPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        std::unique_ptr<SemanticTokensDeltaPartialResult> &&semanticTokensDeltaPartialResult
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensDeltaPartialResult) {
            throw std::logic_error(
                "null passed as the value of semanticTokensDeltaPartialResult"
            );
        }
#endif // DEBUG
        new (&_semanticTokensDeltaPartialResult) std::unique_ptr<SemanticTokensDeltaPartialResult> {
            std::move(semanticTokensDeltaPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        const SemanticTokensDeltaPartialResult &semanticTokensDeltaPartialResult
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensDeltaPartialResult) std::unique_ptr<SemanticTokensDeltaPartialResult> {
            std::make_unique<SemanticTokensDeltaPartialResult>(semanticTokensDeltaPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_Full_DeltaResult::operator=(
        SemanticTokensDeltaPartialResult &&semanticTokensDeltaPartialResult
    ) -> TextDocument_SemanticTokens_Full_DeltaResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_Full_DeltaResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensDeltaPartialResult) std::unique_ptr<SemanticTokensDeltaPartialResult> {
            std::make_unique<SemanticTokensDeltaPartialResult>(std::move(semanticTokensDeltaPartialResult))
        };
        _type =
            TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult;
        return *this;
    }

    const std::map<TextDocument_SemanticTokens_RangeResultType, std::string>
    TextDocument_SemanticTokens_RangeResultTypeNames = {
        {TextDocument_SemanticTokens_RangeResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_SemanticTokens_RangeResultType::SemanticTokens,
         "SemanticTokens"},
        {TextDocument_SemanticTokens_RangeResultType::Null, "Null"},
        {TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult,
         "SemanticTokensPartialResult"},
    };

    TextDocument_SemanticTokens_RangeResult::TextDocument_SemanticTokens_RangeResult()
    {
        // empty
    }

    TextDocument_SemanticTokens_RangeResult::~TextDocument_SemanticTokens_RangeResult()
    {
        reset();
    }

    TextDocument_SemanticTokens_RangeResult::TextDocument_SemanticTokens_RangeResult(
        TextDocument_SemanticTokens_RangeResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SemanticTokens_RangeResultType::SemanticTokens: {
            new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                std::move(other._semanticTokens)
            };
            break;
        }
        case TextDocument_SemanticTokens_RangeResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult: {
            new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                std::move(other._semanticTokensPartialResult)
            };
            break;
        }
        case TextDocument_SemanticTokens_RangeResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            TextDocument_SemanticTokens_RangeResultType::Uninitialized;
    }

    TextDocument_SemanticTokens_RangeResult::TextDocument_SemanticTokens_RangeResult(
        const TextDocument_SemanticTokens_RangeResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SemanticTokens_RangeResultType::SemanticTokens: {
            new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                std::make_unique<SemanticTokens>(*other._semanticTokens)
            };
            break;
        }
        case TextDocument_SemanticTokens_RangeResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult: {
            new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                std::make_unique<SemanticTokensPartialResult>(*other._semanticTokensPartialResult)
            };
            break;
        }
        case TextDocument_SemanticTokens_RangeResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        TextDocument_SemanticTokens_RangeResult &&other
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SemanticTokens_RangeResultType::SemanticTokens: {
                new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                    std::move(other._semanticTokens)
                };
                break;
            }
            case TextDocument_SemanticTokens_RangeResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult: {
                new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                    std::move(other._semanticTokensPartialResult)
                };
                break;
            }
            case TextDocument_SemanticTokens_RangeResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_SemanticTokens_RangeResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        const TextDocument_SemanticTokens_RangeResult &other
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SemanticTokens_RangeResultType::SemanticTokens: {
                new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
                    std::make_unique<SemanticTokens>(*other._semanticTokens)
                };
                break;
            }
            case TextDocument_SemanticTokens_RangeResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult: {
                new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
                    std::make_unique<SemanticTokensPartialResult>(*other._semanticTokensPartialResult)
                };
                break;
            }
            case TextDocument_SemanticTokens_RangeResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_SemanticTokens_RangeResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_SemanticTokens_RangeResultType::SemanticTokens: {
#ifdef DEBUG
            if (!_semanticTokens) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokens"
                );
            }
#endif // DEBUG
            _semanticTokens.~unique_ptr<SemanticTokens>();
            _type = TextDocument_SemanticTokens_RangeResultType::Uninitialized;
            break;
        }
        case TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult: {
#ifdef DEBUG
            if (!_semanticTokensPartialResult) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensPartialResult"
                );
            }
#endif // DEBUG
            _semanticTokensPartialResult.~unique_ptr<SemanticTokensPartialResult>();
            _type = TextDocument_SemanticTokens_RangeResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_SemanticTokens_RangeResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_SemanticTokens_RangeResult::type() const
    -> const TextDocument_SemanticTokens_RangeResultType &
    {
        return _type;
    }

    auto TextDocument_SemanticTokens_RangeResult::semanticTokens() const
    -> const SemanticTokens &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_RangeResultType::SemanticTokens) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_RangeResult::semanticTokens()"
                 " of type "
                 "TextDocument_SemanticTokens_RangeResultType::SemanticTokens"
                 " while active type is "
                 "TextDocument_SemanticTokens_RangeResultType::" +
                 TextDocument_SemanticTokens_RangeResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokens;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        const std::unique_ptr<SemanticTokens> &semanticTokens
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_RangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokens) {
            throw std::logic_error(
                "null passed as the value of semanticTokens"
            );
        }
#endif // DEBUG
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::make_unique<SemanticTokens>(*semanticTokens)
        };
        _type = TextDocument_SemanticTokens_RangeResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        std::unique_ptr<SemanticTokens> &&semanticTokens
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_RangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokens) {
            throw std::logic_error(
                "null passed as the value of semanticTokens"
            );
        }
#endif // DEBUG
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::move(semanticTokens)
        };
        _type = TextDocument_SemanticTokens_RangeResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        const SemanticTokens &semanticTokens
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_RangeResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::make_unique<SemanticTokens>(semanticTokens)
        };
        _type = TextDocument_SemanticTokens_RangeResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        SemanticTokens &&semanticTokens
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_RangeResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokens) std::unique_ptr<SemanticTokens> {
            std::make_unique<SemanticTokens>(std::move(semanticTokens))
        };
        _type = TextDocument_SemanticTokens_RangeResultType::SemanticTokens;
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::null() const
    -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_RangeResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_RangeResult::null()"
                 " of type "
                 "TextDocument_SemanticTokens_RangeResultType::Null"
                 " while active type is "
                 "TextDocument_SemanticTokens_RangeResultType::" +
                 TextDocument_SemanticTokens_RangeResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        null_t null
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_RangeResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_SemanticTokens_RangeResultType::Null;
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::semanticTokensPartialResult() const
    -> const SemanticTokensPartialResult &
    {
#ifdef DEBUG
        if (_type != TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SemanticTokens_RangeResult::semanticTokensPartialResult()"
                 " of type "
                 "TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult"
                 " while active type is "
                 "TextDocument_SemanticTokens_RangeResultType::" +
                 TextDocument_SemanticTokens_RangeResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensPartialResult;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        const std::unique_ptr<SemanticTokensPartialResult> &semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_RangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensPartialResult) {
            throw std::logic_error(
                "null passed as the value of semanticTokensPartialResult"
            );
        }
#endif // DEBUG
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::make_unique<SemanticTokensPartialResult>(*semanticTokensPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        std::unique_ptr<SemanticTokensPartialResult> &&semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_RangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensPartialResult) {
            throw std::logic_error(
                "null passed as the value of semanticTokensPartialResult"
            );
        }
#endif // DEBUG
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::move(semanticTokensPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        const SemanticTokensPartialResult &semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_RangeResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::make_unique<SemanticTokensPartialResult>(semanticTokensPartialResult)
        };
        _type =
            TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult;
        return *this;
    }

    auto TextDocument_SemanticTokens_RangeResult::operator=(
        SemanticTokensPartialResult &&semanticTokensPartialResult
    ) -> TextDocument_SemanticTokens_RangeResult &
    {
        if (_type !=
                TextDocument_SemanticTokens_RangeResultType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensPartialResult) std::unique_ptr<SemanticTokensPartialResult> {
            std::make_unique<SemanticTokensPartialResult>(std::move(semanticTokensPartialResult))
        };
        _type =
            TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult;
        return *this;
    }

    const std::map<TextDocument_LinkedEditingRangeResultType, std::string>
    TextDocument_LinkedEditingRangeResultTypeNames = {
        {TextDocument_LinkedEditingRangeResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges,
         "LinkedEditingRanges"},
        {TextDocument_LinkedEditingRangeResultType::Null, "Null"},
    };

    TextDocument_LinkedEditingRangeResult::TextDocument_LinkedEditingRangeResult()
    {
        // empty
    }

    TextDocument_LinkedEditingRangeResult::~TextDocument_LinkedEditingRangeResult()
    {
        reset();
    }

    TextDocument_LinkedEditingRangeResult::TextDocument_LinkedEditingRangeResult(
        TextDocument_LinkedEditingRangeResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges: {
            new (&_linkedEditingRanges) std::unique_ptr<LinkedEditingRanges> {
                std::move(other._linkedEditingRanges)
            };
            break;
        }
        case TextDocument_LinkedEditingRangeResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_LinkedEditingRangeResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_LinkedEditingRangeResultType::Uninitialized;
    }

    TextDocument_LinkedEditingRangeResult::TextDocument_LinkedEditingRangeResult(
        const TextDocument_LinkedEditingRangeResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges: {
            new (&_linkedEditingRanges) std::unique_ptr<LinkedEditingRanges> {
                std::make_unique<LinkedEditingRanges>(*other._linkedEditingRanges)
            };
            break;
        }
        case TextDocument_LinkedEditingRangeResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_LinkedEditingRangeResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_LinkedEditingRangeResult::operator=(
        TextDocument_LinkedEditingRangeResult &&other
    ) -> TextDocument_LinkedEditingRangeResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges: {
                new (&_linkedEditingRanges) std::unique_ptr<LinkedEditingRanges> {
                    std::move(other._linkedEditingRanges)
                };
                break;
            }
            case TextDocument_LinkedEditingRangeResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_LinkedEditingRangeResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_LinkedEditingRangeResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_LinkedEditingRangeResult::operator=(
        const TextDocument_LinkedEditingRangeResult &other
    ) -> TextDocument_LinkedEditingRangeResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges: {
                new (&_linkedEditingRanges) std::unique_ptr<LinkedEditingRanges> {
                    std::make_unique<LinkedEditingRanges>(*other._linkedEditingRanges)
                };
                break;
            }
            case TextDocument_LinkedEditingRangeResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_LinkedEditingRangeResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_LinkedEditingRangeResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_LinkedEditingRangeResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges: {
#ifdef DEBUG
            if (!_linkedEditingRanges) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _linkedEditingRanges"
                );
            }
#endif // DEBUG
            _linkedEditingRanges.~unique_ptr<LinkedEditingRanges>();
            _type = TextDocument_LinkedEditingRangeResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_LinkedEditingRangeResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_LinkedEditingRangeResult::type() const
    -> const TextDocument_LinkedEditingRangeResultType &
    {
        return _type;
    }

    auto TextDocument_LinkedEditingRangeResult::linkedEditingRanges() const
    -> const LinkedEditingRanges &
    {
#ifdef DEBUG
        if (_type != TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_LinkedEditingRangeResult::linkedEditingRanges()"
                 " of type "
                 "TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges"
                 " while active type is "
                 "TextDocument_LinkedEditingRangeResultType::" +
                 TextDocument_LinkedEditingRangeResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_linkedEditingRanges;
    }

    auto TextDocument_LinkedEditingRangeResult::operator=(
        const std::unique_ptr<LinkedEditingRanges> &linkedEditingRanges
    ) -> TextDocument_LinkedEditingRangeResult &
    {
        if (_type !=
                TextDocument_LinkedEditingRangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!linkedEditingRanges) {
            throw std::logic_error(
                "null passed as the value of linkedEditingRanges"
            );
        }
#endif // DEBUG
        new (&_linkedEditingRanges) std::unique_ptr<LinkedEditingRanges> {
            std::make_unique<LinkedEditingRanges>(*linkedEditingRanges)
        };
        _type = TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges;
        return *this;
    }

    auto TextDocument_LinkedEditingRangeResult::operator=(
        std::unique_ptr<LinkedEditingRanges> &&linkedEditingRanges
    ) -> TextDocument_LinkedEditingRangeResult &
    {
        if (_type !=
                TextDocument_LinkedEditingRangeResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!linkedEditingRanges) {
            throw std::logic_error(
                "null passed as the value of linkedEditingRanges"
            );
        }
#endif // DEBUG
        new (&_linkedEditingRanges) std::unique_ptr<LinkedEditingRanges> {
            std::move(linkedEditingRanges)
        };
        _type = TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges;
        return *this;
    }

    auto TextDocument_LinkedEditingRangeResult::operator=(
        const LinkedEditingRanges &linkedEditingRanges
    ) -> TextDocument_LinkedEditingRangeResult &
    {
        if (_type !=
                TextDocument_LinkedEditingRangeResultType::Uninitialized) {
            reset();
        }
        new (&_linkedEditingRanges) std::unique_ptr<LinkedEditingRanges> {
            std::make_unique<LinkedEditingRanges>(linkedEditingRanges)
        };
        _type = TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges;
        return *this;
    }

    auto TextDocument_LinkedEditingRangeResult::operator=(
        LinkedEditingRanges &&linkedEditingRanges
    ) -> TextDocument_LinkedEditingRangeResult &
    {
        if (_type !=
                TextDocument_LinkedEditingRangeResultType::Uninitialized) {
            reset();
        }
        new (&_linkedEditingRanges) std::unique_ptr<LinkedEditingRanges> {
            std::make_unique<LinkedEditingRanges>(std::move(linkedEditingRanges))
        };
        _type = TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges;
        return *this;
    }

    auto TextDocument_LinkedEditingRangeResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_LinkedEditingRangeResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_LinkedEditingRangeResult::null()"
                 " of type "
                 "TextDocument_LinkedEditingRangeResultType::Null"
                 " while active type is "
                 "TextDocument_LinkedEditingRangeResultType::" +
                 TextDocument_LinkedEditingRangeResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_LinkedEditingRangeResult::operator=(
        null_t null
    ) -> TextDocument_LinkedEditingRangeResult &
    {
        if (_type !=
                TextDocument_LinkedEditingRangeResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_LinkedEditingRangeResultType::Null;
        return *this;
    }

    const std::map<TextDocument_InlineValueResultType, std::string>
    TextDocument_InlineValueResultTypeNames = {
        {TextDocument_InlineValueResultType::Uninitialized, "Uninitialized"},
        {TextDocument_InlineValueResultType::InlineValueArray,
         "InlineValueArray"},
        {TextDocument_InlineValueResultType::Null, "Null"},
    };

    TextDocument_InlineValueResult::TextDocument_InlineValueResult()
    {
        // empty
    }

    TextDocument_InlineValueResult::~TextDocument_InlineValueResult()
    {
        reset();
    }

    TextDocument_InlineValueResult::TextDocument_InlineValueResult(
        TextDocument_InlineValueResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_InlineValueResultType::InlineValueArray: {
            new (&_inlineValueArray) std::unique_ptr<TextDocument_InlineValueResult_0> {
                std::move(other._inlineValueArray)
            };
            break;
        }
        case TextDocument_InlineValueResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_InlineValueResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_InlineValueResultType::Uninitialized;
    }

    TextDocument_InlineValueResult::TextDocument_InlineValueResult(
        const TextDocument_InlineValueResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_InlineValueResultType::InlineValueArray: {
            _inlineValueArray =
                std::make_unique<std::vector<InlineValue>>(*other._inlineValueArray);
            break;
        }
        case TextDocument_InlineValueResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_InlineValueResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_InlineValueResult::operator=(
        TextDocument_InlineValueResult &&other
    ) -> TextDocument_InlineValueResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_InlineValueResultType::InlineValueArray: {
                new (&_inlineValueArray) std::unique_ptr<TextDocument_InlineValueResult_0> {
                    std::move(other._inlineValueArray)
                };
                break;
            }
            case TextDocument_InlineValueResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_InlineValueResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_InlineValueResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_InlineValueResult::operator=(
        const TextDocument_InlineValueResult &other
    ) -> TextDocument_InlineValueResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_InlineValueResultType::InlineValueArray: {
                _inlineValueArray =
                    std::make_unique<std::vector<InlineValue>>(*other._inlineValueArray);
                break;
            }
            case TextDocument_InlineValueResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_InlineValueResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_InlineValueResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_InlineValueResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_InlineValueResultType::InlineValueArray: {
#ifdef DEBUG
            if (!_inlineValueArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlineValueArray"
                );
            }
#endif // DEBUG
            _inlineValueArray.~unique_ptr<std::vector<InlineValue>>();
            _type = TextDocument_InlineValueResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_InlineValueResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_InlineValueResult::type() const
    -> const TextDocument_InlineValueResultType &
    {
        return _type;
    }

    auto TextDocument_InlineValueResult::inlineValueArray() const
    -> const std::vector<InlineValue> &
    {
#ifdef DEBUG
        if (_type != TextDocument_InlineValueResultType::InlineValueArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_InlineValueResult::inlineValueArray()"
                 " of type "
                 "TextDocument_InlineValueResultType::InlineValueArray"
                 " while active type is "
                 "TextDocument_InlineValueResultType::" +
                 TextDocument_InlineValueResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlineValueArray;
    }

    auto TextDocument_InlineValueResult::operator=(
        const std::unique_ptr<std::vector<InlineValue>> &inlineValueArray
    ) -> TextDocument_InlineValueResult &
    {
        if (_type != TextDocument_InlineValueResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueArray) {
            throw std::logic_error(
                "null passed as the value of inlineValueArray"
            );
        }
#endif // DEBUG
        _inlineValueArray =
            std::make_unique<std::vector<InlineValue>>(*inlineValueArray);
        _type = TextDocument_InlineValueResultType::InlineValueArray;
        return *this;
    }

    auto TextDocument_InlineValueResult::operator=(
        std::unique_ptr<std::vector<InlineValue>> &&inlineValueArray
    ) -> TextDocument_InlineValueResult &
    {
        if (_type != TextDocument_InlineValueResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineValueArray) {
            throw std::logic_error(
                "null passed as the value of inlineValueArray"
            );
        }
#endif // DEBUG
        new (&_inlineValueArray) std::unique_ptr<TextDocument_InlineValueResult_0> {
            std::move(inlineValueArray)
        };
        _type = TextDocument_InlineValueResultType::InlineValueArray;
        return *this;
    }

    auto TextDocument_InlineValueResult::operator=(
        const std::vector<InlineValue> &inlineValueArray
    ) -> TextDocument_InlineValueResult &
    {
        if (_type != TextDocument_InlineValueResultType::Uninitialized) {
            reset();
        }
        _inlineValueArray =
            std::make_unique<std::vector<InlineValue>>(inlineValueArray);
        _type = TextDocument_InlineValueResultType::InlineValueArray;
        return *this;
    }

    auto TextDocument_InlineValueResult::operator=(
        std::vector<InlineValue> &&inlineValueArray
    ) -> TextDocument_InlineValueResult &
    {
        if (_type != TextDocument_InlineValueResultType::Uninitialized) {
            reset();
        }
        new (&_inlineValueArray) std::unique_ptr<TextDocument_InlineValueResult_0> {
            std::make_unique<TextDocument_InlineValueResult_0>(std::move(inlineValueArray))
        };
        _type = TextDocument_InlineValueResultType::InlineValueArray;
        return *this;
    }

    auto TextDocument_InlineValueResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_InlineValueResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_InlineValueResult::null()"
                 " of type "
                 "TextDocument_InlineValueResultType::Null"
                 " while active type is "
                 "TextDocument_InlineValueResultType::" +
                 TextDocument_InlineValueResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_InlineValueResult::operator=(
        null_t null
    ) -> TextDocument_InlineValueResult &
    {
        if (_type != TextDocument_InlineValueResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_InlineValueResultType::Null;
        return *this;
    }

    const std::map<TextDocument_WillSaveWaitUntilResultType, std::string>
    TextDocument_WillSaveWaitUntilResultTypeNames = {
        {TextDocument_WillSaveWaitUntilResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_WillSaveWaitUntilResultType::TextEditArray,
         "TextEditArray"},
        {TextDocument_WillSaveWaitUntilResultType::Null, "Null"},
    };

    TextDocument_WillSaveWaitUntilResult::TextDocument_WillSaveWaitUntilResult()
    {
        // empty
    }

    TextDocument_WillSaveWaitUntilResult::~TextDocument_WillSaveWaitUntilResult()
    {
        reset();
    }

    TextDocument_WillSaveWaitUntilResult::TextDocument_WillSaveWaitUntilResult(
        TextDocument_WillSaveWaitUntilResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_WillSaveWaitUntilResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<TextDocument_WillSaveWaitUntilResult_0> {
                std::move(other._textEditArray)
            };
            break;
        }
        case TextDocument_WillSaveWaitUntilResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_WillSaveWaitUntilResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_WillSaveWaitUntilResultType::Uninitialized;
    }

    TextDocument_WillSaveWaitUntilResult::TextDocument_WillSaveWaitUntilResult(
        const TextDocument_WillSaveWaitUntilResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_WillSaveWaitUntilResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                std::make_unique<std::vector<TextEdit>>()
            };
            _textEditArray->reserve(other._textEditArray->size());
            for (const auto &elem_0 : *other._textEditArray) {
                _textEditArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_WillSaveWaitUntilResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_WillSaveWaitUntilResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_WillSaveWaitUntilResult::operator=(
        TextDocument_WillSaveWaitUntilResult &&other
    ) -> TextDocument_WillSaveWaitUntilResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_WillSaveWaitUntilResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<TextDocument_WillSaveWaitUntilResult_0> {
                    std::move(other._textEditArray)
                };
                break;
            }
            case TextDocument_WillSaveWaitUntilResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_WillSaveWaitUntilResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_WillSaveWaitUntilResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_WillSaveWaitUntilResult::operator=(
        const TextDocument_WillSaveWaitUntilResult &other
    ) -> TextDocument_WillSaveWaitUntilResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_WillSaveWaitUntilResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                    std::make_unique<std::vector<TextEdit>>()
                };
                _textEditArray->reserve(other._textEditArray->size());
                for (const auto &elem_0 : *other._textEditArray) {
                    _textEditArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_WillSaveWaitUntilResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_WillSaveWaitUntilResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_WillSaveWaitUntilResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_WillSaveWaitUntilResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_WillSaveWaitUntilResultType::TextEditArray: {
#ifdef DEBUG
            if (!_textEditArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textEditArray"
                );
            }
#endif // DEBUG
            _textEditArray.~unique_ptr<std::vector<TextEdit>>();
            _type = TextDocument_WillSaveWaitUntilResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_WillSaveWaitUntilResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_WillSaveWaitUntilResult::type() const
    -> const TextDocument_WillSaveWaitUntilResultType &
    {
        return _type;
    }

    auto TextDocument_WillSaveWaitUntilResult::textEditArray() const
    -> const std::vector<TextEdit> &
    {
#ifdef DEBUG
        if (_type != TextDocument_WillSaveWaitUntilResultType::TextEditArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_WillSaveWaitUntilResult::textEditArray()"
                 " of type "
                 "TextDocument_WillSaveWaitUntilResultType::TextEditArray"
                 " while active type is "
                 "TextDocument_WillSaveWaitUntilResultType::" +
                 TextDocument_WillSaveWaitUntilResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textEditArray;
    }

    auto TextDocument_WillSaveWaitUntilResult::operator=(
        const std::unique_ptr<std::vector<TextEdit>> &textEditArray
    ) -> TextDocument_WillSaveWaitUntilResult &
    {
        if (_type != TextDocument_WillSaveWaitUntilResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray->size());
        for (const auto &elem_0 : *textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_WillSaveWaitUntilResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_WillSaveWaitUntilResult::operator=(
        std::unique_ptr<std::vector<TextEdit>> &&textEditArray
    ) -> TextDocument_WillSaveWaitUntilResult &
    {
        if (_type != TextDocument_WillSaveWaitUntilResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<TextDocument_WillSaveWaitUntilResult_0> {
            std::move(textEditArray)
        };
        _type = TextDocument_WillSaveWaitUntilResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_WillSaveWaitUntilResult::operator=(
        const std::vector<TextEdit> &textEditArray
    ) -> TextDocument_WillSaveWaitUntilResult &
    {
        if (_type != TextDocument_WillSaveWaitUntilResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray.size());
        for (const auto &elem_0 : textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_WillSaveWaitUntilResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_WillSaveWaitUntilResult::operator=(
        std::vector<TextEdit> &&textEditArray
    ) -> TextDocument_WillSaveWaitUntilResult &
    {
        if (_type != TextDocument_WillSaveWaitUntilResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<TextDocument_WillSaveWaitUntilResult_0> {
            std::make_unique<TextDocument_WillSaveWaitUntilResult_0>(std::move(textEditArray))
        };
        _type = TextDocument_WillSaveWaitUntilResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_WillSaveWaitUntilResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_WillSaveWaitUntilResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_WillSaveWaitUntilResult::null()"
                 " of type "
                 "TextDocument_WillSaveWaitUntilResultType::Null"
                 " while active type is "
                 "TextDocument_WillSaveWaitUntilResultType::" +
                 TextDocument_WillSaveWaitUntilResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_WillSaveWaitUntilResult::operator=(
        null_t null
    ) -> TextDocument_WillSaveWaitUntilResult &
    {
        if (_type != TextDocument_WillSaveWaitUntilResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_WillSaveWaitUntilResultType::Null;
        return *this;
    }

    const std::map<TextDocument_HoverResultType, std::string>
    TextDocument_HoverResultTypeNames = {
        {TextDocument_HoverResultType::Uninitialized, "Uninitialized"},
        {TextDocument_HoverResultType::Hover, "Hover"},
        {TextDocument_HoverResultType::Null, "Null"},
    };

    TextDocument_HoverResult::TextDocument_HoverResult()
    {
        // empty
    }

    TextDocument_HoverResult::~TextDocument_HoverResult()
    {
        reset();
    }

    TextDocument_HoverResult::TextDocument_HoverResult(
        TextDocument_HoverResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_HoverResultType::Hover: {
            new (&_hover) std::unique_ptr<Hover> {
                std::move(other._hover)
            };
            break;
        }
        case TextDocument_HoverResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_HoverResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_HoverResultType::Uninitialized;
    }

    TextDocument_HoverResult::TextDocument_HoverResult(
        const TextDocument_HoverResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_HoverResultType::Hover: {
            new (&_hover) std::unique_ptr<Hover> {
                std::make_unique<Hover>(*other._hover)
            };
            break;
        }
        case TextDocument_HoverResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_HoverResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_HoverResult::operator=(
        TextDocument_HoverResult &&other
    ) -> TextDocument_HoverResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_HoverResultType::Hover: {
                new (&_hover) std::unique_ptr<Hover> {
                    std::move(other._hover)
                };
                break;
            }
            case TextDocument_HoverResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_HoverResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_HoverResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_HoverResult::operator=(
        const TextDocument_HoverResult &other
    ) -> TextDocument_HoverResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_HoverResultType::Hover: {
                new (&_hover) std::unique_ptr<Hover> {
                    std::make_unique<Hover>(*other._hover)
                };
                break;
            }
            case TextDocument_HoverResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_HoverResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_HoverResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_HoverResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_HoverResultType::Hover: {
#ifdef DEBUG
            if (!_hover) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _hover"
                );
            }
#endif // DEBUG
            _hover.~unique_ptr<Hover>();
            _type = TextDocument_HoverResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_HoverResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_HoverResult::type() const
    -> const TextDocument_HoverResultType &
    {
        return _type;
    }

    auto TextDocument_HoverResult::hover() const -> const Hover &
    {
#ifdef DEBUG
        if (_type != TextDocument_HoverResultType::Hover) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_HoverResult::hover()"
                 " of type "
                 "TextDocument_HoverResultType::Hover"
                 " while active type is "
                 "TextDocument_HoverResultType::" +
                 TextDocument_HoverResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_hover;
    }

    auto TextDocument_HoverResult::operator=(
        const std::unique_ptr<Hover> &hover
    ) -> TextDocument_HoverResult &
    {
        if (_type != TextDocument_HoverResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!hover) {
            throw std::logic_error("null passed as the value of hover");
        }
#endif // DEBUG
        new (&_hover) std::unique_ptr<Hover> {
            std::make_unique<Hover>(*hover)
        };
        _type = TextDocument_HoverResultType::Hover;
        return *this;
    }

    auto TextDocument_HoverResult::operator=(
        std::unique_ptr<Hover> &&hover
    ) -> TextDocument_HoverResult &
    {
        if (_type != TextDocument_HoverResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!hover) {
            throw std::logic_error("null passed as the value of hover");
        }
#endif // DEBUG
        new (&_hover) std::unique_ptr<Hover> {
            std::move(hover)
        };
        _type = TextDocument_HoverResultType::Hover;
        return *this;
    }

    auto TextDocument_HoverResult::operator=(
        const Hover &hover
    ) -> TextDocument_HoverResult &
    {
        if (_type != TextDocument_HoverResultType::Uninitialized) {
            reset();
        }
        new (&_hover) std::unique_ptr<Hover> {
            std::make_unique<Hover>(hover)
        };
        _type = TextDocument_HoverResultType::Hover;
        return *this;
    }

    auto TextDocument_HoverResult::operator=(
        Hover &&hover
    ) -> TextDocument_HoverResult &
    {
        if (_type != TextDocument_HoverResultType::Uninitialized) {
            reset();
        }
        new (&_hover) std::unique_ptr<Hover> {
            std::make_unique<Hover>(std::move(hover))
        };
        _type = TextDocument_HoverResultType::Hover;
        return *this;
    }

    auto TextDocument_HoverResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_HoverResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_HoverResult::null()"
                 " of type "
                 "TextDocument_HoverResultType::Null"
                 " while active type is "
                 "TextDocument_HoverResultType::" +
                 TextDocument_HoverResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_HoverResult::operator=(
        null_t null
    ) -> TextDocument_HoverResult &
    {
        if (_type != TextDocument_HoverResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_HoverResultType::Null;
        return *this;
    }

    const std::map<TextDocument_SignatureHelpResultType, std::string>
    TextDocument_SignatureHelpResultTypeNames = {
        {TextDocument_SignatureHelpResultType::Uninitialized, "Uninitialized"},
        {TextDocument_SignatureHelpResultType::SignatureHelp, "SignatureHelp"},
        {TextDocument_SignatureHelpResultType::Null, "Null"},
    };

    TextDocument_SignatureHelpResult::TextDocument_SignatureHelpResult()
    {
        // empty
    }

    TextDocument_SignatureHelpResult::~TextDocument_SignatureHelpResult()
    {
        reset();
    }

    TextDocument_SignatureHelpResult::TextDocument_SignatureHelpResult(
        TextDocument_SignatureHelpResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SignatureHelpResultType::SignatureHelp: {
            new (&_signatureHelp) std::unique_ptr<SignatureHelp> {
                std::move(other._signatureHelp)
            };
            break;
        }
        case TextDocument_SignatureHelpResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SignatureHelpResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_SignatureHelpResultType::Uninitialized;
    }

    TextDocument_SignatureHelpResult::TextDocument_SignatureHelpResult(
        const TextDocument_SignatureHelpResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_SignatureHelpResultType::SignatureHelp: {
            new (&_signatureHelp) std::unique_ptr<SignatureHelp> {
                std::make_unique<SignatureHelp>(*other._signatureHelp)
            };
            break;
        }
        case TextDocument_SignatureHelpResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_SignatureHelpResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_SignatureHelpResult::operator=(
        TextDocument_SignatureHelpResult &&other
    ) -> TextDocument_SignatureHelpResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SignatureHelpResultType::SignatureHelp: {
                new (&_signatureHelp) std::unique_ptr<SignatureHelp> {
                    std::move(other._signatureHelp)
                };
                break;
            }
            case TextDocument_SignatureHelpResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SignatureHelpResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_SignatureHelpResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_SignatureHelpResult::operator=(
        const TextDocument_SignatureHelpResult &other
    ) -> TextDocument_SignatureHelpResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_SignatureHelpResultType::SignatureHelp: {
                new (&_signatureHelp) std::unique_ptr<SignatureHelp> {
                    std::make_unique<SignatureHelp>(*other._signatureHelp)
                };
                break;
            }
            case TextDocument_SignatureHelpResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_SignatureHelpResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_SignatureHelpResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_SignatureHelpResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_SignatureHelpResultType::SignatureHelp: {
#ifdef DEBUG
            if (!_signatureHelp) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _signatureHelp"
                );
            }
#endif // DEBUG
            _signatureHelp.~unique_ptr<SignatureHelp>();
            _type = TextDocument_SignatureHelpResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_SignatureHelpResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_SignatureHelpResult::type() const
    -> const TextDocument_SignatureHelpResultType &
    {
        return _type;
    }

    auto TextDocument_SignatureHelpResult::signatureHelp() const
    -> const SignatureHelp &
    {
#ifdef DEBUG
        if (_type != TextDocument_SignatureHelpResultType::SignatureHelp) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SignatureHelpResult::signatureHelp()"
                 " of type "
                 "TextDocument_SignatureHelpResultType::SignatureHelp"
                 " while active type is "
                 "TextDocument_SignatureHelpResultType::" +
                 TextDocument_SignatureHelpResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_signatureHelp;
    }

    auto TextDocument_SignatureHelpResult::operator=(
        const std::unique_ptr<SignatureHelp> &signatureHelp
    ) -> TextDocument_SignatureHelpResult &
    {
        if (_type != TextDocument_SignatureHelpResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!signatureHelp) {
            throw std::logic_error(
                "null passed as the value of signatureHelp"
            );
        }
#endif // DEBUG
        new (&_signatureHelp) std::unique_ptr<SignatureHelp> {
            std::make_unique<SignatureHelp>(*signatureHelp)
        };
        _type = TextDocument_SignatureHelpResultType::SignatureHelp;
        return *this;
    }

    auto TextDocument_SignatureHelpResult::operator=(
        std::unique_ptr<SignatureHelp> &&signatureHelp
    ) -> TextDocument_SignatureHelpResult &
    {
        if (_type != TextDocument_SignatureHelpResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!signatureHelp) {
            throw std::logic_error(
                "null passed as the value of signatureHelp"
            );
        }
#endif // DEBUG
        new (&_signatureHelp) std::unique_ptr<SignatureHelp> {
            std::move(signatureHelp)
        };
        _type = TextDocument_SignatureHelpResultType::SignatureHelp;
        return *this;
    }

    auto TextDocument_SignatureHelpResult::operator=(
        const SignatureHelp &signatureHelp
    ) -> TextDocument_SignatureHelpResult &
    {
        if (_type != TextDocument_SignatureHelpResultType::Uninitialized) {
            reset();
        }
        new (&_signatureHelp) std::unique_ptr<SignatureHelp> {
            std::make_unique<SignatureHelp>(signatureHelp)
        };
        _type = TextDocument_SignatureHelpResultType::SignatureHelp;
        return *this;
    }

    auto TextDocument_SignatureHelpResult::operator=(
        SignatureHelp &&signatureHelp
    ) -> TextDocument_SignatureHelpResult &
    {
        if (_type != TextDocument_SignatureHelpResultType::Uninitialized) {
            reset();
        }
        new (&_signatureHelp) std::unique_ptr<SignatureHelp> {
            std::make_unique<SignatureHelp>(std::move(signatureHelp))
        };
        _type = TextDocument_SignatureHelpResultType::SignatureHelp;
        return *this;
    }

    auto TextDocument_SignatureHelpResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_SignatureHelpResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_SignatureHelpResult::null()"
                 " of type "
                 "TextDocument_SignatureHelpResultType::Null"
                 " while active type is "
                 "TextDocument_SignatureHelpResultType::" +
                 TextDocument_SignatureHelpResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_SignatureHelpResult::operator=(
        null_t null
    ) -> TextDocument_SignatureHelpResult &
    {
        if (_type != TextDocument_SignatureHelpResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_SignatureHelpResultType::Null;
        return *this;
    }

    const std::map<TextDocument_DefinitionResultType, std::string>
    TextDocument_DefinitionResultTypeNames = {
        {TextDocument_DefinitionResultType::Uninitialized, "Uninitialized"},
        {TextDocument_DefinitionResultType::Definition, "Definition"},
        {TextDocument_DefinitionResultType::DefinitionLinkArray,
         "DefinitionLinkArray"},
        {TextDocument_DefinitionResultType::Null, "Null"},
        {TextDocument_DefinitionResultType::LocationArray, "LocationArray"},
    };

    TextDocument_DefinitionResult::TextDocument_DefinitionResult()
    {
        // empty
    }

    TextDocument_DefinitionResult::~TextDocument_DefinitionResult()
    {
        reset();
    }

    TextDocument_DefinitionResult::TextDocument_DefinitionResult(
        TextDocument_DefinitionResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DefinitionResultType::Definition: {
            new (&_definition) std::unique_ptr<Definition> {
                std::move(other._definition)
            };
            break;
        }
        case TextDocument_DefinitionResultType::DefinitionLinkArray: {
            new (&_locationLinkArray) std::unique_ptr<TextDocument_DefinitionResult_1> {
                std::move(other._locationLinkArray)
            };
            break;
        }
        case TextDocument_DefinitionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DefinitionResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<TextDocument_DefinitionResult_3> {
                std::move(other._locationArray)
            };
            break;
        }
        case TextDocument_DefinitionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_DefinitionResultType::Uninitialized;
    }

    TextDocument_DefinitionResult::TextDocument_DefinitionResult(
        const TextDocument_DefinitionResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DefinitionResultType::Definition: {
            new (&_definition) std::unique_ptr<Definition> {
                std::make_unique<Definition>(*other._definition)
            };
            break;
        }
        case TextDocument_DefinitionResultType::DefinitionLinkArray: {
            new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
                std::make_unique<std::vector<DefinitionLink>>()
            };
            _locationLinkArray->reserve(other._locationLinkArray->size());
            for (const auto &elem_0 : *other._locationLinkArray) {
                _locationLinkArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_DefinitionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DefinitionResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                std::make_unique<std::vector<Location>>()
            };
            _locationArray->reserve(other._locationArray->size());
            for (const auto &elem_1 : *other._locationArray) {
                _locationArray->push_back(elem_1);
            }
            break;
        }
        case TextDocument_DefinitionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_DefinitionResult::operator=(
        TextDocument_DefinitionResult &&other
    ) -> TextDocument_DefinitionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DefinitionResultType::Definition: {
                new (&_definition) std::unique_ptr<Definition> {
                    std::move(other._definition)
                };
                break;
            }
            case TextDocument_DefinitionResultType::DefinitionLinkArray: {
                new (&_locationLinkArray) std::unique_ptr<TextDocument_DefinitionResult_1> {
                    std::move(other._locationLinkArray)
                };
                break;
            }
            case TextDocument_DefinitionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DefinitionResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<TextDocument_DefinitionResult_3> {
                    std::move(other._locationArray)
                };
                break;
            }
            case TextDocument_DefinitionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_DefinitionResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        const TextDocument_DefinitionResult &other
    ) -> TextDocument_DefinitionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DefinitionResultType::Definition: {
                new (&_definition) std::unique_ptr<Definition> {
                    std::make_unique<Definition>(*other._definition)
                };
                break;
            }
            case TextDocument_DefinitionResultType::DefinitionLinkArray: {
                new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
                    std::make_unique<std::vector<DefinitionLink>>()
                };
                _locationLinkArray->reserve(other._locationLinkArray->size());
                for (const auto &elem_0 : *other._locationLinkArray) {
                    _locationLinkArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_DefinitionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DefinitionResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                    std::make_unique<std::vector<Location>>()
                };
                _locationArray->reserve(other._locationArray->size());
                for (const auto &elem_1 : *other._locationArray) {
                    _locationArray->push_back(elem_1);
                }
                break;
            }
            case TextDocument_DefinitionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_DefinitionResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_DefinitionResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_DefinitionResultType::Definition: {
#ifdef DEBUG
            if (!_definition) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _definition"
                );
            }
#endif // DEBUG
            _definition.~unique_ptr<Definition>();
            _type = TextDocument_DefinitionResultType::Uninitialized;
            break;
        }
        case TextDocument_DefinitionResultType::DefinitionLinkArray: {
#ifdef DEBUG
            if (!_locationLinkArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationLinkArray"
                );
            }
#endif // DEBUG
            _locationLinkArray.~unique_ptr<std::vector<DefinitionLink>>();
            _type = TextDocument_DefinitionResultType::Uninitialized;
            break;
        }
        case TextDocument_DefinitionResultType::LocationArray: {
#ifdef DEBUG
            if (!_locationArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationArray"
                );
            }
#endif // DEBUG
            _locationArray.~unique_ptr<std::vector<Location>>();
            _type = TextDocument_DefinitionResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_DefinitionResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_DefinitionResult::type() const
    -> const TextDocument_DefinitionResultType &
    {
        return _type;
    }

    auto TextDocument_DefinitionResult::definition() const
    -> const Definition &
    {
#ifdef DEBUG
        if (_type != TextDocument_DefinitionResultType::Definition) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DefinitionResult::definition()"
                 " of type "
                 "TextDocument_DefinitionResultType::Definition"
                 " while active type is "
                 "TextDocument_DefinitionResultType::" +
                 TextDocument_DefinitionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_definition;
    }

    auto TextDocument_DefinitionResult::operator=(
        const std::unique_ptr<Definition> &definition
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!definition) {
            throw std::logic_error("null passed as the value of definition");
        }
#endif // DEBUG
        new (&_definition) std::unique_ptr<Definition> {
            std::make_unique<Definition>(*definition)
        };
        _type = TextDocument_DefinitionResultType::Definition;
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        std::unique_ptr<Definition> &&definition
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!definition) {
            throw std::logic_error("null passed as the value of definition");
        }
#endif // DEBUG
        new (&_definition) std::unique_ptr<Definition> {
            std::move(definition)
        };
        _type = TextDocument_DefinitionResultType::Definition;
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        const Definition &definition
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_definition) std::unique_ptr<Definition> {
            std::make_unique<Definition>(definition)
        };
        _type = TextDocument_DefinitionResultType::Definition;
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        Definition &&definition
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_definition) std::unique_ptr<Definition> {
            std::make_unique<Definition>(std::move(definition))
        };
        _type = TextDocument_DefinitionResultType::Definition;
        return *this;
    }

    auto TextDocument_DefinitionResult::locationLinkArray() const
    -> const std::vector<DefinitionLink> &
    {
#ifdef DEBUG
        if (_type != TextDocument_DefinitionResultType::DefinitionLinkArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DefinitionResult::locationLinkArray()"
                 " of type "
                 "TextDocument_DefinitionResultType::DefinitionLinkArray"
                 " while active type is "
                 "TextDocument_DefinitionResultType::" +
                 TextDocument_DefinitionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationLinkArray;
    }

    auto TextDocument_DefinitionResult::operator=(
        const std::unique_ptr<std::vector<DefinitionLink>> &locationLinkArray
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationLinkArray) {
            throw std::logic_error(
                "null passed as the value of locationLinkArray"
            );
        }
#endif // DEBUG
        new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
            std::make_unique<std::vector<DefinitionLink>>()
        };
        _locationLinkArray->reserve(locationLinkArray->size());
        for (const auto &elem_0 : *locationLinkArray) {
            _locationLinkArray->push_back(elem_0);
        }
        _type = TextDocument_DefinitionResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        std::unique_ptr<std::vector<DefinitionLink>> &&locationLinkArray
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationLinkArray) {
            throw std::logic_error(
                "null passed as the value of locationLinkArray"
            );
        }
#endif // DEBUG
        new (&_locationLinkArray) std::unique_ptr<TextDocument_DefinitionResult_1> {
            std::move(locationLinkArray)
        };
        _type = TextDocument_DefinitionResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        const std::vector<DefinitionLink> &locationLinkArray
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_locationLinkArray) std::unique_ptr<std::vector<DefinitionLink>> {
            std::make_unique<std::vector<DefinitionLink>>()
        };
        _locationLinkArray->reserve(locationLinkArray.size());
        for (const auto &elem_0 : locationLinkArray) {
            _locationLinkArray->push_back(elem_0);
        }
        _type = TextDocument_DefinitionResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        std::vector<DefinitionLink> &&locationLinkArray
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_locationLinkArray) std::unique_ptr<TextDocument_DefinitionResult_1> {
            std::make_unique<TextDocument_DefinitionResult_1>(std::move(locationLinkArray))
        };
        _type = TextDocument_DefinitionResultType::DefinitionLinkArray;
        return *this;
    }

    auto TextDocument_DefinitionResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_DefinitionResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DefinitionResult::null()"
                 " of type "
                 "TextDocument_DefinitionResultType::Null"
                 " while active type is "
                 "TextDocument_DefinitionResultType::" +
                 TextDocument_DefinitionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_DefinitionResult::operator=(
        null_t null
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_DefinitionResultType::Null;
        return *this;
    }

    auto TextDocument_DefinitionResult::locationArray() const
    -> const std::vector<Location> &
    {
#ifdef DEBUG
        if (_type != TextDocument_DefinitionResultType::LocationArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DefinitionResult::locationArray()"
                 " of type "
                 "TextDocument_DefinitionResultType::LocationArray"
                 " while active type is "
                 "TextDocument_DefinitionResultType::" +
                 TextDocument_DefinitionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationArray;
    }

    auto TextDocument_DefinitionResult::operator=(
        const std::unique_ptr<std::vector<Location>> &locationArray
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray->size());
        for (const auto &elem_0 : *locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_DefinitionResultType::LocationArray;
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        std::unique_ptr<std::vector<Location>> &&locationArray
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<TextDocument_DefinitionResult_3> {
            std::move(locationArray)
        };
        _type = TextDocument_DefinitionResultType::LocationArray;
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        const std::vector<Location> &locationArray
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray.size());
        for (const auto &elem_0 : locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_DefinitionResultType::LocationArray;
        return *this;
    }

    auto TextDocument_DefinitionResult::operator=(
        std::vector<Location> &&locationArray
    ) -> TextDocument_DefinitionResult &
    {
        if (_type != TextDocument_DefinitionResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<TextDocument_DefinitionResult_3> {
            std::make_unique<TextDocument_DefinitionResult_3>(std::move(locationArray))
        };
        _type = TextDocument_DefinitionResultType::LocationArray;
        return *this;
    }

    const std::map<TextDocument_ReferencesResultType, std::string>
    TextDocument_ReferencesResultTypeNames = {
        {TextDocument_ReferencesResultType::Uninitialized, "Uninitialized"},
        {TextDocument_ReferencesResultType::LocationArray, "LocationArray"},
        {TextDocument_ReferencesResultType::Null, "Null"},
    };

    TextDocument_ReferencesResult::TextDocument_ReferencesResult()
    {
        // empty
    }

    TextDocument_ReferencesResult::~TextDocument_ReferencesResult()
    {
        reset();
    }

    TextDocument_ReferencesResult::TextDocument_ReferencesResult(
        TextDocument_ReferencesResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_ReferencesResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<TextDocument_ReferencesResult_0> {
                std::move(other._locationArray)
            };
            break;
        }
        case TextDocument_ReferencesResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_ReferencesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_ReferencesResultType::Uninitialized;
    }

    TextDocument_ReferencesResult::TextDocument_ReferencesResult(
        const TextDocument_ReferencesResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_ReferencesResultType::LocationArray: {
            new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                std::make_unique<std::vector<Location>>()
            };
            _locationArray->reserve(other._locationArray->size());
            for (const auto &elem_0 : *other._locationArray) {
                _locationArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_ReferencesResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_ReferencesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_ReferencesResult::operator=(
        TextDocument_ReferencesResult &&other
    ) -> TextDocument_ReferencesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_ReferencesResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<TextDocument_ReferencesResult_0> {
                    std::move(other._locationArray)
                };
                break;
            }
            case TextDocument_ReferencesResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_ReferencesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_ReferencesResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_ReferencesResult::operator=(
        const TextDocument_ReferencesResult &other
    ) -> TextDocument_ReferencesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_ReferencesResultType::LocationArray: {
                new (&_locationArray) std::unique_ptr<std::vector<Location>> {
                    std::make_unique<std::vector<Location>>()
                };
                _locationArray->reserve(other._locationArray->size());
                for (const auto &elem_0 : *other._locationArray) {
                    _locationArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_ReferencesResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_ReferencesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_ReferencesResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_ReferencesResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_ReferencesResultType::LocationArray: {
#ifdef DEBUG
            if (!_locationArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _locationArray"
                );
            }
#endif // DEBUG
            _locationArray.~unique_ptr<std::vector<Location>>();
            _type = TextDocument_ReferencesResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_ReferencesResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_ReferencesResult::type() const
    -> const TextDocument_ReferencesResultType &
    {
        return _type;
    }

    auto TextDocument_ReferencesResult::locationArray() const
    -> const std::vector<Location> &
    {
#ifdef DEBUG
        if (_type != TextDocument_ReferencesResultType::LocationArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_ReferencesResult::locationArray()"
                 " of type "
                 "TextDocument_ReferencesResultType::LocationArray"
                 " while active type is "
                 "TextDocument_ReferencesResultType::" +
                 TextDocument_ReferencesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_locationArray;
    }

    auto TextDocument_ReferencesResult::operator=(
        const std::unique_ptr<std::vector<Location>> &locationArray
    ) -> TextDocument_ReferencesResult &
    {
        if (_type != TextDocument_ReferencesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray->size());
        for (const auto &elem_0 : *locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_ReferencesResultType::LocationArray;
        return *this;
    }

    auto TextDocument_ReferencesResult::operator=(
        std::unique_ptr<std::vector<Location>> &&locationArray
    ) -> TextDocument_ReferencesResult &
    {
        if (_type != TextDocument_ReferencesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!locationArray) {
            throw std::logic_error(
                "null passed as the value of locationArray"
            );
        }
#endif // DEBUG
        new (&_locationArray) std::unique_ptr<TextDocument_ReferencesResult_0> {
            std::move(locationArray)
        };
        _type = TextDocument_ReferencesResultType::LocationArray;
        return *this;
    }

    auto TextDocument_ReferencesResult::operator=(
        const std::vector<Location> &locationArray
    ) -> TextDocument_ReferencesResult &
    {
        if (_type != TextDocument_ReferencesResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<std::vector<Location>> {
            std::make_unique<std::vector<Location>>()
        };
        _locationArray->reserve(locationArray.size());
        for (const auto &elem_0 : locationArray) {
            _locationArray->push_back(elem_0);
        }
        _type = TextDocument_ReferencesResultType::LocationArray;
        return *this;
    }

    auto TextDocument_ReferencesResult::operator=(
        std::vector<Location> &&locationArray
    ) -> TextDocument_ReferencesResult &
    {
        if (_type != TextDocument_ReferencesResultType::Uninitialized) {
            reset();
        }
        new (&_locationArray) std::unique_ptr<TextDocument_ReferencesResult_0> {
            std::make_unique<TextDocument_ReferencesResult_0>(std::move(locationArray))
        };
        _type = TextDocument_ReferencesResultType::LocationArray;
        return *this;
    }

    auto TextDocument_ReferencesResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_ReferencesResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_ReferencesResult::null()"
                 " of type "
                 "TextDocument_ReferencesResultType::Null"
                 " while active type is "
                 "TextDocument_ReferencesResultType::" +
                 TextDocument_ReferencesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_ReferencesResult::operator=(
        null_t null
    ) -> TextDocument_ReferencesResult &
    {
        if (_type != TextDocument_ReferencesResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_ReferencesResultType::Null;
        return *this;
    }

    const std::map<TextDocument_DocumentHighlightResultType, std::string>
    TextDocument_DocumentHighlightResultTypeNames = {
        {TextDocument_DocumentHighlightResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_DocumentHighlightResultType::DocumentHighlightArray,
         "DocumentHighlightArray"},
        {TextDocument_DocumentHighlightResultType::Null, "Null"},
    };

    TextDocument_DocumentHighlightResult::TextDocument_DocumentHighlightResult()
    {
        // empty
    }

    TextDocument_DocumentHighlightResult::~TextDocument_DocumentHighlightResult()
    {
        reset();
    }

    TextDocument_DocumentHighlightResult::TextDocument_DocumentHighlightResult(
        TextDocument_DocumentHighlightResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DocumentHighlightResultType::DocumentHighlightArray: {
            new (&_documentHighlightArray) std::unique_ptr<TextDocument_DocumentHighlightResult_0> {
                std::move(other._documentHighlightArray)
            };
            break;
        }
        case TextDocument_DocumentHighlightResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DocumentHighlightResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_DocumentHighlightResultType::Uninitialized;
    }

    TextDocument_DocumentHighlightResult::TextDocument_DocumentHighlightResult(
        const TextDocument_DocumentHighlightResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DocumentHighlightResultType::DocumentHighlightArray: {
            new (&_documentHighlightArray) std::unique_ptr<std::vector<DocumentHighlight>> {
                std::make_unique<std::vector<DocumentHighlight>>()
            };
            _documentHighlightArray->reserve(
                other._documentHighlightArray->size()
            );
            for (const auto &elem_0 : *other._documentHighlightArray) {
                _documentHighlightArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_DocumentHighlightResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DocumentHighlightResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_DocumentHighlightResult::operator=(
        TextDocument_DocumentHighlightResult &&other
    ) -> TextDocument_DocumentHighlightResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DocumentHighlightResultType::DocumentHighlightArray: {
                new (&_documentHighlightArray) std::unique_ptr<TextDocument_DocumentHighlightResult_0> {
                    std::move(other._documentHighlightArray)
                };
                break;
            }
            case TextDocument_DocumentHighlightResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DocumentHighlightResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_DocumentHighlightResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_DocumentHighlightResult::operator=(
        const TextDocument_DocumentHighlightResult &other
    ) -> TextDocument_DocumentHighlightResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DocumentHighlightResultType::DocumentHighlightArray: {
                new (&_documentHighlightArray) std::unique_ptr<std::vector<DocumentHighlight>> {
                    std::make_unique<std::vector<DocumentHighlight>>()
                };
                _documentHighlightArray->reserve(
                    other._documentHighlightArray->size()
                );
                for (const auto &elem_0 : *other._documentHighlightArray) {
                    _documentHighlightArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_DocumentHighlightResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DocumentHighlightResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_DocumentHighlightResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_DocumentHighlightResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_DocumentHighlightResultType::DocumentHighlightArray: {
#ifdef DEBUG
            if (!_documentHighlightArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentHighlightArray"
                );
            }
#endif // DEBUG
            _documentHighlightArray.~unique_ptr<std::vector<DocumentHighlight>>();
            _type = TextDocument_DocumentHighlightResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_DocumentHighlightResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_DocumentHighlightResult::type() const
    -> const TextDocument_DocumentHighlightResultType &
    {
        return _type;
    }

    auto TextDocument_DocumentHighlightResult::documentHighlightArray() const
    -> const std::vector<DocumentHighlight> &
    {
#ifdef DEBUG
        if (_type != TextDocument_DocumentHighlightResultType::DocumentHighlightArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DocumentHighlightResult::documentHighlightArray()"
                 " of type "
                 "TextDocument_DocumentHighlightResultType::DocumentHighlightArray"
                 " while active type is "
                 "TextDocument_DocumentHighlightResultType::" +
                 TextDocument_DocumentHighlightResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentHighlightArray;
    }

    auto TextDocument_DocumentHighlightResult::operator=(
        const std::unique_ptr<std::vector<DocumentHighlight>> &documentHighlightArray
    ) -> TextDocument_DocumentHighlightResult &
    {
        if (_type != TextDocument_DocumentHighlightResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentHighlightArray) {
            throw std::logic_error(
                "null passed as the value of documentHighlightArray"
            );
        }
#endif // DEBUG
        new (&_documentHighlightArray) std::unique_ptr<std::vector<DocumentHighlight>> {
            std::make_unique<std::vector<DocumentHighlight>>()
        };
        _documentHighlightArray->reserve(documentHighlightArray->size());
        for (const auto &elem_0 : *documentHighlightArray) {
            _documentHighlightArray->push_back(elem_0);
        }
        _type =
            TextDocument_DocumentHighlightResultType::DocumentHighlightArray;
        return *this;
    }

    auto TextDocument_DocumentHighlightResult::operator=(
        std::unique_ptr<std::vector<DocumentHighlight>> &&documentHighlightArray
    ) -> TextDocument_DocumentHighlightResult &
    {
        if (_type != TextDocument_DocumentHighlightResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentHighlightArray) {
            throw std::logic_error(
                "null passed as the value of documentHighlightArray"
            );
        }
#endif // DEBUG
        new (&_documentHighlightArray) std::unique_ptr<TextDocument_DocumentHighlightResult_0> {
            std::move(documentHighlightArray)
        };
        _type =
            TextDocument_DocumentHighlightResultType::DocumentHighlightArray;
        return *this;
    }

    auto TextDocument_DocumentHighlightResult::operator=(
        const std::vector<DocumentHighlight> &documentHighlightArray
    ) -> TextDocument_DocumentHighlightResult &
    {
        if (_type != TextDocument_DocumentHighlightResultType::Uninitialized) {
            reset();
        }
        new (&_documentHighlightArray) std::unique_ptr<std::vector<DocumentHighlight>> {
            std::make_unique<std::vector<DocumentHighlight>>()
        };
        _documentHighlightArray->reserve(documentHighlightArray.size());
        for (const auto &elem_0 : documentHighlightArray) {
            _documentHighlightArray->push_back(elem_0);
        }
        _type =
            TextDocument_DocumentHighlightResultType::DocumentHighlightArray;
        return *this;
    }

    auto TextDocument_DocumentHighlightResult::operator=(
        std::vector<DocumentHighlight> &&documentHighlightArray
    ) -> TextDocument_DocumentHighlightResult &
    {
        if (_type != TextDocument_DocumentHighlightResultType::Uninitialized) {
            reset();
        }
        new (&_documentHighlightArray) std::unique_ptr<TextDocument_DocumentHighlightResult_0> {
            std::make_unique<TextDocument_DocumentHighlightResult_0>(std::move(documentHighlightArray))
        };
        _type =
            TextDocument_DocumentHighlightResultType::DocumentHighlightArray;
        return *this;
    }

    auto TextDocument_DocumentHighlightResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_DocumentHighlightResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DocumentHighlightResult::null()"
                 " of type "
                 "TextDocument_DocumentHighlightResultType::Null"
                 " while active type is "
                 "TextDocument_DocumentHighlightResultType::" +
                 TextDocument_DocumentHighlightResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_DocumentHighlightResult::operator=(
        null_t null
    ) -> TextDocument_DocumentHighlightResult &
    {
        if (_type != TextDocument_DocumentHighlightResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_DocumentHighlightResultType::Null;
        return *this;
    }

    const std::map<TextDocument_DocumentSymbolResultType, std::string>
    TextDocument_DocumentSymbolResultTypeNames = {
        {TextDocument_DocumentSymbolResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_DocumentSymbolResultType::SymbolInformationArray,
         "SymbolInformationArray"},
        {TextDocument_DocumentSymbolResultType::DocumentSymbolArray,
         "DocumentSymbolArray"},
        {TextDocument_DocumentSymbolResultType::Null, "Null"},
    };

    TextDocument_DocumentSymbolResult::TextDocument_DocumentSymbolResult()
    {
        // empty
    }

    TextDocument_DocumentSymbolResult::~TextDocument_DocumentSymbolResult()
    {
        reset();
    }

    TextDocument_DocumentSymbolResult::TextDocument_DocumentSymbolResult(
        TextDocument_DocumentSymbolResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DocumentSymbolResultType::SymbolInformationArray: {
            new (&_symbolInformationArray) std::unique_ptr<TextDocument_DocumentSymbolResult_0> {
                std::move(other._symbolInformationArray)
            };
            break;
        }
        case TextDocument_DocumentSymbolResultType::DocumentSymbolArray: {
            new (&_documentSymbolArray) std::unique_ptr<TextDocument_DocumentSymbolResult_1> {
                std::move(other._documentSymbolArray)
            };
            break;
        }
        case TextDocument_DocumentSymbolResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DocumentSymbolResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_DocumentSymbolResultType::Uninitialized;
    }

    TextDocument_DocumentSymbolResult::TextDocument_DocumentSymbolResult(
        const TextDocument_DocumentSymbolResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DocumentSymbolResultType::SymbolInformationArray: {
            new (&_symbolInformationArray) std::unique_ptr<std::vector<SymbolInformation>> {
                std::make_unique<std::vector<SymbolInformation>>()
            };
            _symbolInformationArray->reserve(
                other._symbolInformationArray->size()
            );
            for (const auto &elem_0 : *other._symbolInformationArray) {
                _symbolInformationArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_DocumentSymbolResultType::DocumentSymbolArray: {
            new (&_documentSymbolArray) std::unique_ptr<std::vector<DocumentSymbol>> {
                std::make_unique<std::vector<DocumentSymbol>>()
            };
            _documentSymbolArray->reserve(other._documentSymbolArray->size());
            for (const auto &elem_1 : *other._documentSymbolArray) {
                _documentSymbolArray->push_back(elem_1);
            }
            break;
        }
        case TextDocument_DocumentSymbolResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DocumentSymbolResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        TextDocument_DocumentSymbolResult &&other
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DocumentSymbolResultType::SymbolInformationArray: {
                new (&_symbolInformationArray) std::unique_ptr<TextDocument_DocumentSymbolResult_0> {
                    std::move(other._symbolInformationArray)
                };
                break;
            }
            case TextDocument_DocumentSymbolResultType::DocumentSymbolArray: {
                new (&_documentSymbolArray) std::unique_ptr<TextDocument_DocumentSymbolResult_1> {
                    std::move(other._documentSymbolArray)
                };
                break;
            }
            case TextDocument_DocumentSymbolResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DocumentSymbolResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_DocumentSymbolResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        const TextDocument_DocumentSymbolResult &other
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DocumentSymbolResultType::SymbolInformationArray: {
                new (&_symbolInformationArray) std::unique_ptr<std::vector<SymbolInformation>> {
                    std::make_unique<std::vector<SymbolInformation>>()
                };
                _symbolInformationArray->reserve(
                    other._symbolInformationArray->size()
                );
                for (const auto &elem_0 : *other._symbolInformationArray) {
                    _symbolInformationArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_DocumentSymbolResultType::DocumentSymbolArray: {
                new (&_documentSymbolArray) std::unique_ptr<std::vector<DocumentSymbol>> {
                    std::make_unique<std::vector<DocumentSymbol>>()
                };
                _documentSymbolArray->reserve(
                    other._documentSymbolArray->size()
                );
                for (const auto &elem_1 : *other._documentSymbolArray) {
                    _documentSymbolArray->push_back(elem_1);
                }
                break;
            }
            case TextDocument_DocumentSymbolResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DocumentSymbolResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_DocumentSymbolResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_DocumentSymbolResultType::SymbolInformationArray: {
#ifdef DEBUG
            if (!_symbolInformationArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _symbolInformationArray"
                );
            }
#endif // DEBUG
            _symbolInformationArray.~unique_ptr<std::vector<SymbolInformation>>();
            _type = TextDocument_DocumentSymbolResultType::Uninitialized;
            break;
        }
        case TextDocument_DocumentSymbolResultType::DocumentSymbolArray: {
#ifdef DEBUG
            if (!_documentSymbolArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentSymbolArray"
                );
            }
#endif // DEBUG
            _documentSymbolArray.~unique_ptr<std::vector<DocumentSymbol>>();
            _type = TextDocument_DocumentSymbolResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_DocumentSymbolResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_DocumentSymbolResult::type() const
    -> const TextDocument_DocumentSymbolResultType &
    {
        return _type;
    }

    auto TextDocument_DocumentSymbolResult::symbolInformationArray() const
    -> const std::vector<SymbolInformation> &
    {
#ifdef DEBUG
        if (_type != TextDocument_DocumentSymbolResultType::SymbolInformationArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DocumentSymbolResult::symbolInformationArray()"
                 " of type "
                 "TextDocument_DocumentSymbolResultType::SymbolInformationArray"
                 " while active type is "
                 "TextDocument_DocumentSymbolResultType::" +
                 TextDocument_DocumentSymbolResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_symbolInformationArray;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        const std::unique_ptr<std::vector<SymbolInformation>> &symbolInformationArray
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (_type != TextDocument_DocumentSymbolResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!symbolInformationArray) {
            throw std::logic_error(
                "null passed as the value of symbolInformationArray"
            );
        }
#endif // DEBUG
        new (&_symbolInformationArray) std::unique_ptr<std::vector<SymbolInformation>> {
            std::make_unique<std::vector<SymbolInformation>>()
        };
        _symbolInformationArray->reserve(symbolInformationArray->size());
        for (const auto &elem_0 : *symbolInformationArray) {
            _symbolInformationArray->push_back(elem_0);
        }
        _type = TextDocument_DocumentSymbolResultType::SymbolInformationArray;
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        std::unique_ptr<std::vector<SymbolInformation>> &&symbolInformationArray
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (_type != TextDocument_DocumentSymbolResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!symbolInformationArray) {
            throw std::logic_error(
                "null passed as the value of symbolInformationArray"
            );
        }
#endif // DEBUG
        new (&_symbolInformationArray) std::unique_ptr<TextDocument_DocumentSymbolResult_0> {
            std::move(symbolInformationArray)
        };
        _type = TextDocument_DocumentSymbolResultType::SymbolInformationArray;
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        const std::vector<SymbolInformation> &symbolInformationArray
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (_type != TextDocument_DocumentSymbolResultType::Uninitialized) {
            reset();
        }
        new (&_symbolInformationArray) std::unique_ptr<std::vector<SymbolInformation>> {
            std::make_unique<std::vector<SymbolInformation>>()
        };
        _symbolInformationArray->reserve(symbolInformationArray.size());
        for (const auto &elem_0 : symbolInformationArray) {
            _symbolInformationArray->push_back(elem_0);
        }
        _type = TextDocument_DocumentSymbolResultType::SymbolInformationArray;
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        std::vector<SymbolInformation> &&symbolInformationArray
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (_type != TextDocument_DocumentSymbolResultType::Uninitialized) {
            reset();
        }
        new (&_symbolInformationArray) std::unique_ptr<TextDocument_DocumentSymbolResult_0> {
            std::make_unique<TextDocument_DocumentSymbolResult_0>(std::move(symbolInformationArray))
        };
        _type = TextDocument_DocumentSymbolResultType::SymbolInformationArray;
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::documentSymbolArray() const
    -> const std::vector<DocumentSymbol> &
    {
#ifdef DEBUG
        if (_type != TextDocument_DocumentSymbolResultType::DocumentSymbolArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DocumentSymbolResult::documentSymbolArray()"
                 " of type "
                 "TextDocument_DocumentSymbolResultType::DocumentSymbolArray"
                 " while active type is "
                 "TextDocument_DocumentSymbolResultType::" +
                 TextDocument_DocumentSymbolResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentSymbolArray;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        const std::unique_ptr<std::vector<DocumentSymbol>> &documentSymbolArray
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (_type != TextDocument_DocumentSymbolResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentSymbolArray) {
            throw std::logic_error(
                "null passed as the value of documentSymbolArray"
            );
        }
#endif // DEBUG
        new (&_documentSymbolArray) std::unique_ptr<std::vector<DocumentSymbol>> {
            std::make_unique<std::vector<DocumentSymbol>>()
        };
        _documentSymbolArray->reserve(documentSymbolArray->size());
        for (const auto &elem_0 : *documentSymbolArray) {
            _documentSymbolArray->push_back(elem_0);
        }
        _type = TextDocument_DocumentSymbolResultType::DocumentSymbolArray;
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        std::unique_ptr<std::vector<DocumentSymbol>> &&documentSymbolArray
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (_type != TextDocument_DocumentSymbolResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentSymbolArray) {
            throw std::logic_error(
                "null passed as the value of documentSymbolArray"
            );
        }
#endif // DEBUG
        new (&_documentSymbolArray) std::unique_ptr<TextDocument_DocumentSymbolResult_1> {
            std::move(documentSymbolArray)
        };
        _type = TextDocument_DocumentSymbolResultType::DocumentSymbolArray;
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        const std::vector<DocumentSymbol> &documentSymbolArray
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (_type != TextDocument_DocumentSymbolResultType::Uninitialized) {
            reset();
        }
        new (&_documentSymbolArray) std::unique_ptr<std::vector<DocumentSymbol>> {
            std::make_unique<std::vector<DocumentSymbol>>()
        };
        _documentSymbolArray->reserve(documentSymbolArray.size());
        for (const auto &elem_0 : documentSymbolArray) {
            _documentSymbolArray->push_back(elem_0);
        }
        _type = TextDocument_DocumentSymbolResultType::DocumentSymbolArray;
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        std::vector<DocumentSymbol> &&documentSymbolArray
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (_type != TextDocument_DocumentSymbolResultType::Uninitialized) {
            reset();
        }
        new (&_documentSymbolArray) std::unique_ptr<TextDocument_DocumentSymbolResult_1> {
            std::make_unique<TextDocument_DocumentSymbolResult_1>(std::move(documentSymbolArray))
        };
        _type = TextDocument_DocumentSymbolResultType::DocumentSymbolArray;
        return *this;
    }

    auto TextDocument_DocumentSymbolResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_DocumentSymbolResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DocumentSymbolResult::null()"
                 " of type "
                 "TextDocument_DocumentSymbolResultType::Null"
                 " while active type is "
                 "TextDocument_DocumentSymbolResultType::" +
                 TextDocument_DocumentSymbolResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_DocumentSymbolResult::operator=(
        null_t null
    ) -> TextDocument_DocumentSymbolResult &
    {
        if (_type != TextDocument_DocumentSymbolResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_DocumentSymbolResultType::Null;
        return *this;
    }

    const std::map<TextDocument_FormattingResultType, std::string>
    TextDocument_FormattingResultTypeNames = {
        {TextDocument_FormattingResultType::Uninitialized, "Uninitialized"},
        {TextDocument_FormattingResultType::TextEditArray, "TextEditArray"},
        {TextDocument_FormattingResultType::Null, "Null"},
    };

    TextDocument_FormattingResult::TextDocument_FormattingResult()
    {
        // empty
    }

    TextDocument_FormattingResult::~TextDocument_FormattingResult()
    {
        reset();
    }

    TextDocument_FormattingResult::TextDocument_FormattingResult(
        TextDocument_FormattingResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_FormattingResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<TextDocument_FormattingResult_0> {
                std::move(other._textEditArray)
            };
            break;
        }
        case TextDocument_FormattingResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_FormattingResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_FormattingResultType::Uninitialized;
    }

    TextDocument_FormattingResult::TextDocument_FormattingResult(
        const TextDocument_FormattingResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_FormattingResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                std::make_unique<std::vector<TextEdit>>()
            };
            _textEditArray->reserve(other._textEditArray->size());
            for (const auto &elem_0 : *other._textEditArray) {
                _textEditArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_FormattingResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_FormattingResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_FormattingResult::operator=(
        TextDocument_FormattingResult &&other
    ) -> TextDocument_FormattingResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_FormattingResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<TextDocument_FormattingResult_0> {
                    std::move(other._textEditArray)
                };
                break;
            }
            case TextDocument_FormattingResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_FormattingResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_FormattingResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_FormattingResult::operator=(
        const TextDocument_FormattingResult &other
    ) -> TextDocument_FormattingResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_FormattingResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                    std::make_unique<std::vector<TextEdit>>()
                };
                _textEditArray->reserve(other._textEditArray->size());
                for (const auto &elem_0 : *other._textEditArray) {
                    _textEditArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_FormattingResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_FormattingResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_FormattingResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_FormattingResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_FormattingResultType::TextEditArray: {
#ifdef DEBUG
            if (!_textEditArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textEditArray"
                );
            }
#endif // DEBUG
            _textEditArray.~unique_ptr<std::vector<TextEdit>>();
            _type = TextDocument_FormattingResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_FormattingResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_FormattingResult::type() const
    -> const TextDocument_FormattingResultType &
    {
        return _type;
    }

    auto TextDocument_FormattingResult::textEditArray() const
    -> const std::vector<TextEdit> &
    {
#ifdef DEBUG
        if (_type != TextDocument_FormattingResultType::TextEditArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_FormattingResult::textEditArray()"
                 " of type "
                 "TextDocument_FormattingResultType::TextEditArray"
                 " while active type is "
                 "TextDocument_FormattingResultType::" +
                 TextDocument_FormattingResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textEditArray;
    }

    auto TextDocument_FormattingResult::operator=(
        const std::unique_ptr<std::vector<TextEdit>> &textEditArray
    ) -> TextDocument_FormattingResult &
    {
        if (_type != TextDocument_FormattingResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray->size());
        for (const auto &elem_0 : *textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_FormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_FormattingResult::operator=(
        std::unique_ptr<std::vector<TextEdit>> &&textEditArray
    ) -> TextDocument_FormattingResult &
    {
        if (_type != TextDocument_FormattingResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<TextDocument_FormattingResult_0> {
            std::move(textEditArray)
        };
        _type = TextDocument_FormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_FormattingResult::operator=(
        const std::vector<TextEdit> &textEditArray
    ) -> TextDocument_FormattingResult &
    {
        if (_type != TextDocument_FormattingResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray.size());
        for (const auto &elem_0 : textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_FormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_FormattingResult::operator=(
        std::vector<TextEdit> &&textEditArray
    ) -> TextDocument_FormattingResult &
    {
        if (_type != TextDocument_FormattingResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<TextDocument_FormattingResult_0> {
            std::make_unique<TextDocument_FormattingResult_0>(std::move(textEditArray))
        };
        _type = TextDocument_FormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_FormattingResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_FormattingResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_FormattingResult::null()"
                 " of type "
                 "TextDocument_FormattingResultType::Null"
                 " while active type is "
                 "TextDocument_FormattingResultType::" +
                 TextDocument_FormattingResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_FormattingResult::operator=(
        null_t null
    ) -> TextDocument_FormattingResult &
    {
        if (_type != TextDocument_FormattingResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_FormattingResultType::Null;
        return *this;
    }

    const std::map<TextDocument_RangeFormattingResultType, std::string>
    TextDocument_RangeFormattingResultTypeNames = {
        {TextDocument_RangeFormattingResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_RangeFormattingResultType::TextEditArray,
         "TextEditArray"},
        {TextDocument_RangeFormattingResultType::Null, "Null"},
    };

    TextDocument_RangeFormattingResult::TextDocument_RangeFormattingResult()
    {
        // empty
    }

    TextDocument_RangeFormattingResult::~TextDocument_RangeFormattingResult()
    {
        reset();
    }

    TextDocument_RangeFormattingResult::TextDocument_RangeFormattingResult(
        TextDocument_RangeFormattingResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_RangeFormattingResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<TextDocument_RangeFormattingResult_0> {
                std::move(other._textEditArray)
            };
            break;
        }
        case TextDocument_RangeFormattingResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_RangeFormattingResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_RangeFormattingResultType::Uninitialized;
    }

    TextDocument_RangeFormattingResult::TextDocument_RangeFormattingResult(
        const TextDocument_RangeFormattingResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_RangeFormattingResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                std::make_unique<std::vector<TextEdit>>()
            };
            _textEditArray->reserve(other._textEditArray->size());
            for (const auto &elem_0 : *other._textEditArray) {
                _textEditArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_RangeFormattingResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_RangeFormattingResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_RangeFormattingResult::operator=(
        TextDocument_RangeFormattingResult &&other
    ) -> TextDocument_RangeFormattingResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_RangeFormattingResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<TextDocument_RangeFormattingResult_0> {
                    std::move(other._textEditArray)
                };
                break;
            }
            case TextDocument_RangeFormattingResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_RangeFormattingResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_RangeFormattingResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_RangeFormattingResult::operator=(
        const TextDocument_RangeFormattingResult &other
    ) -> TextDocument_RangeFormattingResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_RangeFormattingResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                    std::make_unique<std::vector<TextEdit>>()
                };
                _textEditArray->reserve(other._textEditArray->size());
                for (const auto &elem_0 : *other._textEditArray) {
                    _textEditArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_RangeFormattingResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_RangeFormattingResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_RangeFormattingResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_RangeFormattingResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_RangeFormattingResultType::TextEditArray: {
#ifdef DEBUG
            if (!_textEditArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textEditArray"
                );
            }
#endif // DEBUG
            _textEditArray.~unique_ptr<std::vector<TextEdit>>();
            _type = TextDocument_RangeFormattingResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_RangeFormattingResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_RangeFormattingResult::type() const
    -> const TextDocument_RangeFormattingResultType &
    {
        return _type;
    }

    auto TextDocument_RangeFormattingResult::textEditArray() const
    -> const std::vector<TextEdit> &
    {
#ifdef DEBUG
        if (_type != TextDocument_RangeFormattingResultType::TextEditArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_RangeFormattingResult::textEditArray()"
                 " of type "
                 "TextDocument_RangeFormattingResultType::TextEditArray"
                 " while active type is "
                 "TextDocument_RangeFormattingResultType::" +
                 TextDocument_RangeFormattingResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textEditArray;
    }

    auto TextDocument_RangeFormattingResult::operator=(
        const std::unique_ptr<std::vector<TextEdit>> &textEditArray
    ) -> TextDocument_RangeFormattingResult &
    {
        if (_type != TextDocument_RangeFormattingResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray->size());
        for (const auto &elem_0 : *textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_RangeFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_RangeFormattingResult::operator=(
        std::unique_ptr<std::vector<TextEdit>> &&textEditArray
    ) -> TextDocument_RangeFormattingResult &
    {
        if (_type != TextDocument_RangeFormattingResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<TextDocument_RangeFormattingResult_0> {
            std::move(textEditArray)
        };
        _type = TextDocument_RangeFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_RangeFormattingResult::operator=(
        const std::vector<TextEdit> &textEditArray
    ) -> TextDocument_RangeFormattingResult &
    {
        if (_type != TextDocument_RangeFormattingResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray.size());
        for (const auto &elem_0 : textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_RangeFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_RangeFormattingResult::operator=(
        std::vector<TextEdit> &&textEditArray
    ) -> TextDocument_RangeFormattingResult &
    {
        if (_type != TextDocument_RangeFormattingResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<TextDocument_RangeFormattingResult_0> {
            std::make_unique<TextDocument_RangeFormattingResult_0>(std::move(textEditArray))
        };
        _type = TextDocument_RangeFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_RangeFormattingResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_RangeFormattingResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_RangeFormattingResult::null()"
                 " of type "
                 "TextDocument_RangeFormattingResultType::Null"
                 " while active type is "
                 "TextDocument_RangeFormattingResultType::" +
                 TextDocument_RangeFormattingResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_RangeFormattingResult::operator=(
        null_t null
    ) -> TextDocument_RangeFormattingResult &
    {
        if (_type != TextDocument_RangeFormattingResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_RangeFormattingResultType::Null;
        return *this;
    }

    const std::map<TextDocument_RangesFormattingResultType, std::string>
    TextDocument_RangesFormattingResultTypeNames = {
        {TextDocument_RangesFormattingResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_RangesFormattingResultType::TextEditArray,
         "TextEditArray"},
        {TextDocument_RangesFormattingResultType::Null, "Null"},
    };

    TextDocument_RangesFormattingResult::TextDocument_RangesFormattingResult()
    {
        // empty
    }

    TextDocument_RangesFormattingResult::~TextDocument_RangesFormattingResult()
    {
        reset();
    }

    TextDocument_RangesFormattingResult::TextDocument_RangesFormattingResult(
        TextDocument_RangesFormattingResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_RangesFormattingResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<TextDocument_RangesFormattingResult_0> {
                std::move(other._textEditArray)
            };
            break;
        }
        case TextDocument_RangesFormattingResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_RangesFormattingResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_RangesFormattingResultType::Uninitialized;
    }

    TextDocument_RangesFormattingResult::TextDocument_RangesFormattingResult(
        const TextDocument_RangesFormattingResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_RangesFormattingResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                std::make_unique<std::vector<TextEdit>>()
            };
            _textEditArray->reserve(other._textEditArray->size());
            for (const auto &elem_0 : *other._textEditArray) {
                _textEditArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_RangesFormattingResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_RangesFormattingResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_RangesFormattingResult::operator=(
        TextDocument_RangesFormattingResult &&other
    ) -> TextDocument_RangesFormattingResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_RangesFormattingResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<TextDocument_RangesFormattingResult_0> {
                    std::move(other._textEditArray)
                };
                break;
            }
            case TextDocument_RangesFormattingResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_RangesFormattingResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_RangesFormattingResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_RangesFormattingResult::operator=(
        const TextDocument_RangesFormattingResult &other
    ) -> TextDocument_RangesFormattingResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_RangesFormattingResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                    std::make_unique<std::vector<TextEdit>>()
                };
                _textEditArray->reserve(other._textEditArray->size());
                for (const auto &elem_0 : *other._textEditArray) {
                    _textEditArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_RangesFormattingResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_RangesFormattingResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_RangesFormattingResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_RangesFormattingResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_RangesFormattingResultType::TextEditArray: {
#ifdef DEBUG
            if (!_textEditArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textEditArray"
                );
            }
#endif // DEBUG
            _textEditArray.~unique_ptr<std::vector<TextEdit>>();
            _type = TextDocument_RangesFormattingResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_RangesFormattingResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_RangesFormattingResult::type() const
    -> const TextDocument_RangesFormattingResultType &
    {
        return _type;
    }

    auto TextDocument_RangesFormattingResult::textEditArray() const
    -> const std::vector<TextEdit> &
    {
#ifdef DEBUG
        if (_type != TextDocument_RangesFormattingResultType::TextEditArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_RangesFormattingResult::textEditArray()"
                 " of type "
                 "TextDocument_RangesFormattingResultType::TextEditArray"
                 " while active type is "
                 "TextDocument_RangesFormattingResultType::" +
                 TextDocument_RangesFormattingResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textEditArray;
    }

    auto TextDocument_RangesFormattingResult::operator=(
        const std::unique_ptr<std::vector<TextEdit>> &textEditArray
    ) -> TextDocument_RangesFormattingResult &
    {
        if (_type != TextDocument_RangesFormattingResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray->size());
        for (const auto &elem_0 : *textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_RangesFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_RangesFormattingResult::operator=(
        std::unique_ptr<std::vector<TextEdit>> &&textEditArray
    ) -> TextDocument_RangesFormattingResult &
    {
        if (_type != TextDocument_RangesFormattingResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<TextDocument_RangesFormattingResult_0> {
            std::move(textEditArray)
        };
        _type = TextDocument_RangesFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_RangesFormattingResult::operator=(
        const std::vector<TextEdit> &textEditArray
    ) -> TextDocument_RangesFormattingResult &
    {
        if (_type != TextDocument_RangesFormattingResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray.size());
        for (const auto &elem_0 : textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_RangesFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_RangesFormattingResult::operator=(
        std::vector<TextEdit> &&textEditArray
    ) -> TextDocument_RangesFormattingResult &
    {
        if (_type != TextDocument_RangesFormattingResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<TextDocument_RangesFormattingResult_0> {
            std::make_unique<TextDocument_RangesFormattingResult_0>(std::move(textEditArray))
        };
        _type = TextDocument_RangesFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_RangesFormattingResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_RangesFormattingResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_RangesFormattingResult::null()"
                 " of type "
                 "TextDocument_RangesFormattingResultType::Null"
                 " while active type is "
                 "TextDocument_RangesFormattingResultType::" +
                 TextDocument_RangesFormattingResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_RangesFormattingResult::operator=(
        null_t null
    ) -> TextDocument_RangesFormattingResult &
    {
        if (_type != TextDocument_RangesFormattingResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_RangesFormattingResultType::Null;
        return *this;
    }

    const std::map<TextDocument_OnTypeFormattingResultType, std::string>
    TextDocument_OnTypeFormattingResultTypeNames = {
        {TextDocument_OnTypeFormattingResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_OnTypeFormattingResultType::TextEditArray,
         "TextEditArray"},
        {TextDocument_OnTypeFormattingResultType::Null, "Null"},
    };

    TextDocument_OnTypeFormattingResult::TextDocument_OnTypeFormattingResult()
    {
        // empty
    }

    TextDocument_OnTypeFormattingResult::~TextDocument_OnTypeFormattingResult()
    {
        reset();
    }

    TextDocument_OnTypeFormattingResult::TextDocument_OnTypeFormattingResult(
        TextDocument_OnTypeFormattingResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_OnTypeFormattingResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<TextDocument_OnTypeFormattingResult_0> {
                std::move(other._textEditArray)
            };
            break;
        }
        case TextDocument_OnTypeFormattingResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_OnTypeFormattingResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_OnTypeFormattingResultType::Uninitialized;
    }

    TextDocument_OnTypeFormattingResult::TextDocument_OnTypeFormattingResult(
        const TextDocument_OnTypeFormattingResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_OnTypeFormattingResultType::TextEditArray: {
            new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                std::make_unique<std::vector<TextEdit>>()
            };
            _textEditArray->reserve(other._textEditArray->size());
            for (const auto &elem_0 : *other._textEditArray) {
                _textEditArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_OnTypeFormattingResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_OnTypeFormattingResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_OnTypeFormattingResult::operator=(
        TextDocument_OnTypeFormattingResult &&other
    ) -> TextDocument_OnTypeFormattingResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_OnTypeFormattingResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<TextDocument_OnTypeFormattingResult_0> {
                    std::move(other._textEditArray)
                };
                break;
            }
            case TextDocument_OnTypeFormattingResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_OnTypeFormattingResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_OnTypeFormattingResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_OnTypeFormattingResult::operator=(
        const TextDocument_OnTypeFormattingResult &other
    ) -> TextDocument_OnTypeFormattingResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_OnTypeFormattingResultType::TextEditArray: {
                new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
                    std::make_unique<std::vector<TextEdit>>()
                };
                _textEditArray->reserve(other._textEditArray->size());
                for (const auto &elem_0 : *other._textEditArray) {
                    _textEditArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_OnTypeFormattingResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_OnTypeFormattingResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_OnTypeFormattingResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_OnTypeFormattingResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_OnTypeFormattingResultType::TextEditArray: {
#ifdef DEBUG
            if (!_textEditArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textEditArray"
                );
            }
#endif // DEBUG
            _textEditArray.~unique_ptr<std::vector<TextEdit>>();
            _type = TextDocument_OnTypeFormattingResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_OnTypeFormattingResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_OnTypeFormattingResult::type() const
    -> const TextDocument_OnTypeFormattingResultType &
    {
        return _type;
    }

    auto TextDocument_OnTypeFormattingResult::textEditArray() const
    -> const std::vector<TextEdit> &
    {
#ifdef DEBUG
        if (_type != TextDocument_OnTypeFormattingResultType::TextEditArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_OnTypeFormattingResult::textEditArray()"
                 " of type "
                 "TextDocument_OnTypeFormattingResultType::TextEditArray"
                 " while active type is "
                 "TextDocument_OnTypeFormattingResultType::" +
                 TextDocument_OnTypeFormattingResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textEditArray;
    }

    auto TextDocument_OnTypeFormattingResult::operator=(
        const std::unique_ptr<std::vector<TextEdit>> &textEditArray
    ) -> TextDocument_OnTypeFormattingResult &
    {
        if (_type != TextDocument_OnTypeFormattingResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray->size());
        for (const auto &elem_0 : *textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_OnTypeFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_OnTypeFormattingResult::operator=(
        std::unique_ptr<std::vector<TextEdit>> &&textEditArray
    ) -> TextDocument_OnTypeFormattingResult &
    {
        if (_type != TextDocument_OnTypeFormattingResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textEditArray) {
            throw std::logic_error(
                "null passed as the value of textEditArray"
            );
        }
#endif // DEBUG
        new (&_textEditArray) std::unique_ptr<TextDocument_OnTypeFormattingResult_0> {
            std::move(textEditArray)
        };
        _type = TextDocument_OnTypeFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_OnTypeFormattingResult::operator=(
        const std::vector<TextEdit> &textEditArray
    ) -> TextDocument_OnTypeFormattingResult &
    {
        if (_type != TextDocument_OnTypeFormattingResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<std::vector<TextEdit>> {
            std::make_unique<std::vector<TextEdit>>()
        };
        _textEditArray->reserve(textEditArray.size());
        for (const auto &elem_0 : textEditArray) {
            _textEditArray->push_back(elem_0);
        }
        _type = TextDocument_OnTypeFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_OnTypeFormattingResult::operator=(
        std::vector<TextEdit> &&textEditArray
    ) -> TextDocument_OnTypeFormattingResult &
    {
        if (_type != TextDocument_OnTypeFormattingResultType::Uninitialized) {
            reset();
        }
        new (&_textEditArray) std::unique_ptr<TextDocument_OnTypeFormattingResult_0> {
            std::make_unique<TextDocument_OnTypeFormattingResult_0>(std::move(textEditArray))
        };
        _type = TextDocument_OnTypeFormattingResultType::TextEditArray;
        return *this;
    }

    auto TextDocument_OnTypeFormattingResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_OnTypeFormattingResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_OnTypeFormattingResult::null()"
                 " of type "
                 "TextDocument_OnTypeFormattingResultType::Null"
                 " while active type is "
                 "TextDocument_OnTypeFormattingResultType::" +
                 TextDocument_OnTypeFormattingResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_OnTypeFormattingResult::operator=(
        null_t null
    ) -> TextDocument_OnTypeFormattingResult &
    {
        if (_type != TextDocument_OnTypeFormattingResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_OnTypeFormattingResultType::Null;
        return *this;
    }

    const std::map<TextDocument_PrepareRenameResultType, std::string>
    TextDocument_PrepareRenameResultTypeNames = {
        {TextDocument_PrepareRenameResultType::Uninitialized, "Uninitialized"},
        {TextDocument_PrepareRenameResultType::PrepareRenameResult,
         "PrepareRenameResult"},
        {TextDocument_PrepareRenameResultType::Null, "Null"},
    };

    TextDocument_PrepareRenameResult::TextDocument_PrepareRenameResult()
    {
        // empty
    }

    TextDocument_PrepareRenameResult::~TextDocument_PrepareRenameResult()
    {
        reset();
    }

    TextDocument_PrepareRenameResult::TextDocument_PrepareRenameResult(
        TextDocument_PrepareRenameResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_PrepareRenameResultType::PrepareRenameResult: {
            new (&_prepareRenameResult) std::unique_ptr<PrepareRenameResult> {
                std::move(other._prepareRenameResult)
            };
            break;
        }
        case TextDocument_PrepareRenameResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_PrepareRenameResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_PrepareRenameResultType::Uninitialized;
    }

    TextDocument_PrepareRenameResult::TextDocument_PrepareRenameResult(
        const TextDocument_PrepareRenameResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_PrepareRenameResultType::PrepareRenameResult: {
            new (&_prepareRenameResult) std::unique_ptr<PrepareRenameResult> {
                std::make_unique<PrepareRenameResult>(*other._prepareRenameResult)
            };
            break;
        }
        case TextDocument_PrepareRenameResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_PrepareRenameResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_PrepareRenameResult::operator=(
        TextDocument_PrepareRenameResult &&other
    ) -> TextDocument_PrepareRenameResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_PrepareRenameResultType::PrepareRenameResult: {
                new (&_prepareRenameResult) std::unique_ptr<PrepareRenameResult> {
                    std::move(other._prepareRenameResult)
                };
                break;
            }
            case TextDocument_PrepareRenameResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_PrepareRenameResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_PrepareRenameResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_PrepareRenameResult::operator=(
        const TextDocument_PrepareRenameResult &other
    ) -> TextDocument_PrepareRenameResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_PrepareRenameResultType::PrepareRenameResult: {
                new (&_prepareRenameResult) std::unique_ptr<PrepareRenameResult> {
                    std::make_unique<PrepareRenameResult>(*other._prepareRenameResult)
                };
                break;
            }
            case TextDocument_PrepareRenameResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_PrepareRenameResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_PrepareRenameResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_PrepareRenameResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_PrepareRenameResultType::PrepareRenameResult: {
#ifdef DEBUG
            if (!_prepareRenameResult) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _prepareRenameResult"
                );
            }
#endif // DEBUG
            _prepareRenameResult.~unique_ptr<PrepareRenameResult>();
            _type = TextDocument_PrepareRenameResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_PrepareRenameResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_PrepareRenameResult::type() const
    -> const TextDocument_PrepareRenameResultType &
    {
        return _type;
    }

    auto TextDocument_PrepareRenameResult::prepareRenameResult() const
    -> const PrepareRenameResult &
    {
#ifdef DEBUG
        if (_type != TextDocument_PrepareRenameResultType::PrepareRenameResult) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_PrepareRenameResult::prepareRenameResult()"
                 " of type "
                 "TextDocument_PrepareRenameResultType::PrepareRenameResult"
                 " while active type is "
                 "TextDocument_PrepareRenameResultType::" +
                 TextDocument_PrepareRenameResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_prepareRenameResult;
    }

    auto TextDocument_PrepareRenameResult::operator=(
        const std::unique_ptr<PrepareRenameResult> &prepareRenameResult
    ) -> TextDocument_PrepareRenameResult &
    {
        if (_type != TextDocument_PrepareRenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!prepareRenameResult) {
            throw std::logic_error(
                "null passed as the value of prepareRenameResult"
            );
        }
#endif // DEBUG
        new (&_prepareRenameResult) std::unique_ptr<PrepareRenameResult> {
            std::make_unique<PrepareRenameResult>(*prepareRenameResult)
        };
        _type = TextDocument_PrepareRenameResultType::PrepareRenameResult;
        return *this;
    }

    auto TextDocument_PrepareRenameResult::operator=(
        std::unique_ptr<PrepareRenameResult> &&prepareRenameResult
    ) -> TextDocument_PrepareRenameResult &
    {
        if (_type != TextDocument_PrepareRenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!prepareRenameResult) {
            throw std::logic_error(
                "null passed as the value of prepareRenameResult"
            );
        }
#endif // DEBUG
        new (&_prepareRenameResult) std::unique_ptr<PrepareRenameResult> {
            std::move(prepareRenameResult)
        };
        _type = TextDocument_PrepareRenameResultType::PrepareRenameResult;
        return *this;
    }

    auto TextDocument_PrepareRenameResult::operator=(
        const PrepareRenameResult &prepareRenameResult
    ) -> TextDocument_PrepareRenameResult &
    {
        if (_type != TextDocument_PrepareRenameResultType::Uninitialized) {
            reset();
        }
        new (&_prepareRenameResult) std::unique_ptr<PrepareRenameResult> {
            std::make_unique<PrepareRenameResult>(prepareRenameResult)
        };
        _type = TextDocument_PrepareRenameResultType::PrepareRenameResult;
        return *this;
    }

    auto TextDocument_PrepareRenameResult::operator=(
        PrepareRenameResult &&prepareRenameResult
    ) -> TextDocument_PrepareRenameResult &
    {
        if (_type != TextDocument_PrepareRenameResultType::Uninitialized) {
            reset();
        }
        new (&_prepareRenameResult) std::unique_ptr<PrepareRenameResult> {
            std::make_unique<PrepareRenameResult>(std::move(prepareRenameResult))
        };
        _type = TextDocument_PrepareRenameResultType::PrepareRenameResult;
        return *this;
    }

    auto TextDocument_PrepareRenameResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_PrepareRenameResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_PrepareRenameResult::null()"
                 " of type "
                 "TextDocument_PrepareRenameResultType::Null"
                 " while active type is "
                 "TextDocument_PrepareRenameResultType::" +
                 TextDocument_PrepareRenameResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_PrepareRenameResult::operator=(
        null_t null
    ) -> TextDocument_PrepareRenameResult &
    {
        if (_type != TextDocument_PrepareRenameResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_PrepareRenameResultType::Null;
        return *this;
    }

    InitializedParams::InitializedParams()
    {
        // empty
    }

    InitializedParams::InitializedParams(InitializedParams &&/*other*/)
    {
        // empty
    }

    InitializedParams::InitializedParams(const InitializedParams &/*other*/)
    {
    }

    InitializedParams::~InitializedParams()
    {
        // empty
    }

    auto InitializedParams::operator=(
        InitializedParams &&/*other*/
    ) -> InitializedParams &
    {
        return *this;
    }

    auto InitializedParams::operator=(
        const InitializedParams &/*other*/
    ) -> InitializedParams &
    {
        return *this;
    }

    const std::map<CancelParams_idType, std::string>
    CancelParams_idTypeNames = {
        {CancelParams_idType::Uninitialized, "Uninitialized"},
        {CancelParams_idType::Integer, "Integer"},
        {CancelParams_idType::String, "String"},
    };

    CancelParams_id::CancelParams_id()
    {
        // empty
    }

    CancelParams_id::~CancelParams_id()
    {
        reset();
    }

    CancelParams_id::CancelParams_id(CancelParams_id &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case CancelParams_idType::Integer: {
            _integer = other._integer;
            break;
        }
        case CancelParams_idType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case CancelParams_idType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = CancelParams_idType::Uninitialized;
    }

    CancelParams_id::CancelParams_id(const CancelParams_id &other)
        : _type(other._type)
    {
        switch (other._type) {
        case CancelParams_idType::Integer: {
            _integer = other._integer;
            break;
        }
        case CancelParams_idType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case CancelParams_idType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto CancelParams_id::operator=(
        CancelParams_id &&other
    ) -> CancelParams_id &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CancelParams_idType::Integer: {
                _integer = other._integer;
                break;
            }
            case CancelParams_idType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case CancelParams_idType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = CancelParams_idType::Uninitialized;
        }
        return *this;
    }

    auto CancelParams_id::operator=(
        const CancelParams_id &other
    ) -> CancelParams_id &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CancelParams_idType::Integer: {
                _integer = other._integer;
                break;
            }
            case CancelParams_idType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case CancelParams_idType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto CancelParams_id::reset() -> void
    {
        switch (_type) {
        case CancelParams_idType::Uninitialized: {
            // nothing to do
            break;
        }
        case CancelParams_idType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = CancelParams_idType::Uninitialized;
            break;
        }
        default: {
            _type = CancelParams_idType::Uninitialized;
        }
        }
    }

    auto CancelParams_id::type() const -> const CancelParams_idType &
    {
        return _type;
    }

    auto CancelParams_id::integer() const -> const integer_t &
    {
#ifdef DEBUG
        if (_type != CancelParams_idType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "CancelParams_id::integer()"
                 " of type "
                 "CancelParams_idType::Integer"
                 " while active type is "
                 "CancelParams_idType::" +
                 CancelParams_idTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto CancelParams_id::operator=(integer_t integer) -> CancelParams_id &
    {
        if (_type != CancelParams_idType::Uninitialized) {
            reset();
        }
        _integer = integer;
        _type = CancelParams_idType::Integer;
        return *this;
    }

    auto CancelParams_id::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != CancelParams_idType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "CancelParams_id::string()"
                 " of type "
                 "CancelParams_idType::String"
                 " while active type is "
                 "CancelParams_idType::" +
                 CancelParams_idTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto CancelParams_id::operator=(
        const std::unique_ptr<string_t> &string
    ) -> CancelParams_id &
    {
        if (_type != CancelParams_idType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = CancelParams_idType::String;
        return *this;
    }

    auto CancelParams_id::operator=(
        std::unique_ptr<string_t> &&string
    ) -> CancelParams_id &
    {
        if (_type != CancelParams_idType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = CancelParams_idType::String;
        return *this;
    }

    auto CancelParams_id::operator=(
        const string_t &string
    ) -> CancelParams_id &
    {
        if (_type != CancelParams_idType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = CancelParams_idType::String;
        return *this;
    }

    auto CancelParams_id::operator=(string_t &&string) -> CancelParams_id &
    {
        if (_type != CancelParams_idType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = CancelParams_idType::String;
        return *this;
    }

    CancelParams::CancelParams()
    {
        // empty
    }

    CancelParams::CancelParams(CancelParams &&other)
        : id(std::move(other.id))
    {
        // empty
    }

    CancelParams::CancelParams(const CancelParams &other)
        : id(CancelParams_id(other.id))
    {
    }

    CancelParams::~CancelParams()
    {
        // empty
    }

    auto CancelParams::operator=(CancelParams &&other) -> CancelParams &
    {
        if (this != &other) {
            id = std::move(other.id);
        }
        return *this;
    }

    auto CancelParams::operator=(const CancelParams &other) -> CancelParams &
    {
        if (this != &other) {
            id = CancelParams_id(other.id);
        }
        return *this;
    }

    InlineValueContext::InlineValueContext()
    {
        // empty
    }

    InlineValueContext::InlineValueContext(InlineValueContext &&other)
        : frameId(other.frameId)
        , stoppedLocation(std::move(other.stoppedLocation))
    {
        // empty
    }

    InlineValueContext::InlineValueContext(const InlineValueContext &other)
        : frameId(other.frameId)
        , stoppedLocation(other.stoppedLocation)
    {
    }

    InlineValueContext::~InlineValueContext()
    {
        // empty
    }

    auto InlineValueContext::operator=(
        InlineValueContext &&other
    ) -> InlineValueContext &
    {
        if (this != &other) {
            frameId = other.frameId;
            stoppedLocation = std::move(other.stoppedLocation);
        }
        return *this;
    }

    auto InlineValueContext::operator=(
        const InlineValueContext &other
    ) -> InlineValueContext &
    {
        if (this != &other) {
            frameId = other.frameId;
            stoppedLocation = other.stoppedLocation;
        }
        return *this;
    }

    TextDocumentItem::TextDocumentItem()
    {
        // empty
    }

    TextDocumentItem::TextDocumentItem(TextDocumentItem &&other)
        : uri(std::move(other.uri))
        , languageId(std::move(other.languageId))
        , version(other.version)
        , text(std::move(other.text))
    {
        // empty
    }

    TextDocumentItem::TextDocumentItem(const TextDocumentItem &other)
        : uri(other.uri)
        , languageId(other.languageId)
        , version(other.version)
        , text(other.text)
    {
    }

    TextDocumentItem::~TextDocumentItem()
    {
        // empty
    }

    auto TextDocumentItem::operator=(
        TextDocumentItem &&other
    ) -> TextDocumentItem &
    {
        if (this != &other) {
            uri = std::move(other.uri);
            languageId = std::move(other.languageId);
            version = other.version;
            text = std::move(other.text);
        }
        return *this;
    }

    auto TextDocumentItem::operator=(
        const TextDocumentItem &other
    ) -> TextDocumentItem &
    {
        if (this != &other) {
            uri = other.uri;
            languageId = other.languageId;
            version = other.version;
            text = other.text;
        }
        return *this;
    }

    DidOpenTextDocumentParams::DidOpenTextDocumentParams()
    {
        // empty
    }

    DidOpenTextDocumentParams::DidOpenTextDocumentParams(
        DidOpenTextDocumentParams &&other
    )
        : textDocument(std::move(other.textDocument))
    {
        // empty
    }

    DidOpenTextDocumentParams::DidOpenTextDocumentParams(
        const DidOpenTextDocumentParams &other
    )
        : textDocument(other.textDocument)
    {
    }

    DidOpenTextDocumentParams::~DidOpenTextDocumentParams()
    {
        // empty
    }

    auto DidOpenTextDocumentParams::operator=(
        DidOpenTextDocumentParams &&other
    ) -> DidOpenTextDocumentParams &
    {
        if (this != &other) {
            textDocument = std::move(other.textDocument);
        }
        return *this;
    }

    auto DidOpenTextDocumentParams::operator=(
        const DidOpenTextDocumentParams &other
    ) -> DidOpenTextDocumentParams &
    {
        if (this != &other) {
            textDocument = other.textDocument;
        }
        return *this;
    }

    VersionedNotebookDocumentIdentifier::VersionedNotebookDocumentIdentifier()
    {
        // empty
    }

    VersionedNotebookDocumentIdentifier::VersionedNotebookDocumentIdentifier(
        VersionedNotebookDocumentIdentifier &&other
    )
        : version(other.version)
        , uri(std::move(other.uri))
    {
        // empty
    }

    VersionedNotebookDocumentIdentifier::VersionedNotebookDocumentIdentifier(
        const VersionedNotebookDocumentIdentifier &other
    )
        : version(other.version)
        , uri(other.uri)
    {
    }

    VersionedNotebookDocumentIdentifier::~VersionedNotebookDocumentIdentifier()
    {
        // empty
    }

    auto VersionedNotebookDocumentIdentifier::operator=(
        VersionedNotebookDocumentIdentifier &&other
    ) -> VersionedNotebookDocumentIdentifier &
    {
        if (this != &other) {
            version = other.version;
            uri = std::move(other.uri);
        }
        return *this;
    }

    auto VersionedNotebookDocumentIdentifier::operator=(
        const VersionedNotebookDocumentIdentifier &other
    ) -> VersionedNotebookDocumentIdentifier &
    {
        if (this != &other) {
            version = other.version;
            uri = other.uri;
        }
        return *this;
    }

    const std::map<_InitializeParams_processIdType, std::string>
    _InitializeParams_processIdTypeNames = {
        {_InitializeParams_processIdType::Uninitialized, "Uninitialized"},
        {_InitializeParams_processIdType::Integer, "Integer"},
        {_InitializeParams_processIdType::Null, "Null"},
    };

    _InitializeParams_processId::_InitializeParams_processId()
    {
        // empty
    }

    _InitializeParams_processId::~_InitializeParams_processId()
    {
        // empty
    }

    _InitializeParams_processId::_InitializeParams_processId(
        _InitializeParams_processId &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case _InitializeParams_processIdType::Integer: {
            _integer = other._integer;
            break;
        }
        case _InitializeParams_processIdType::Null: {
            _null = other._null;
            break;
        }
        case _InitializeParams_processIdType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = _InitializeParams_processIdType::Uninitialized;
    }

    _InitializeParams_processId::_InitializeParams_processId(
        const _InitializeParams_processId &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case _InitializeParams_processIdType::Integer: {
            _integer = other._integer;
            break;
        }
        case _InitializeParams_processIdType::Null: {
            _null = other._null;
            break;
        }
        case _InitializeParams_processIdType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto _InitializeParams_processId::operator=(
        _InitializeParams_processId &&other
    ) -> _InitializeParams_processId &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case _InitializeParams_processIdType::Integer: {
                _integer = other._integer;
                break;
            }
            case _InitializeParams_processIdType::Null: {
                _null = other._null;
                break;
            }
            case _InitializeParams_processIdType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = _InitializeParams_processIdType::Uninitialized;
        }
        return *this;
    }

    auto _InitializeParams_processId::operator=(
        const _InitializeParams_processId &other
    ) -> _InitializeParams_processId &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case _InitializeParams_processIdType::Integer: {
                _integer = other._integer;
                break;
            }
            case _InitializeParams_processIdType::Null: {
                _null = other._null;
                break;
            }
            case _InitializeParams_processIdType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto _InitializeParams_processId::type() const
    -> const _InitializeParams_processIdType &
    {
        return _type;
    }

    auto _InitializeParams_processId::integer() const -> const integer_t &
    {
#ifdef DEBUG
        if (_type != _InitializeParams_processIdType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "_InitializeParams_processId::integer()"
                 " of type "
                 "_InitializeParams_processIdType::Integer"
                 " while active type is "
                 "_InitializeParams_processIdType::" +
                 _InitializeParams_processIdTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto _InitializeParams_processId::operator=(
        integer_t integer
    ) -> _InitializeParams_processId &
    {
        _integer = integer;
        _type = _InitializeParams_processIdType::Integer;
        return *this;
    }

    auto _InitializeParams_processId::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != _InitializeParams_processIdType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "_InitializeParams_processId::null()"
                 " of type "
                 "_InitializeParams_processIdType::Null"
                 " while active type is "
                 "_InitializeParams_processIdType::" +
                 _InitializeParams_processIdTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto _InitializeParams_processId::operator=(
        null_t null
    ) -> _InitializeParams_processId &
    {
        _null = null;
        _type = _InitializeParams_processIdType::Null;
        return *this;
    }

    VersionedTextDocumentIdentifier::VersionedTextDocumentIdentifier()
        : TextDocumentIdentifier()
    {
        // empty
    }

    VersionedTextDocumentIdentifier::VersionedTextDocumentIdentifier(
        VersionedTextDocumentIdentifier &&other
    )
        : TextDocumentIdentifier(other)
        , version(other.version)
    {
        // empty
    }

    VersionedTextDocumentIdentifier::VersionedTextDocumentIdentifier(
        const VersionedTextDocumentIdentifier &other
    )
        : TextDocumentIdentifier(other)
        , version(other.version)
    {
    }

    VersionedTextDocumentIdentifier::~VersionedTextDocumentIdentifier()
    {
        // empty
    }

    auto VersionedTextDocumentIdentifier::operator=(
        VersionedTextDocumentIdentifier &&other
    ) -> VersionedTextDocumentIdentifier &
    {
        if (this != &other) {
            TextDocumentIdentifier::operator=(other);
            version = other.version;
        }
        return *this;
    }

    auto VersionedTextDocumentIdentifier::operator=(
        const VersionedTextDocumentIdentifier &other
    ) -> VersionedTextDocumentIdentifier &
    {
        if (this != &other) {
            TextDocumentIdentifier::operator=(other);
            version = other.version;
        }
        return *this;
    }

    DidChangeTextDocumentParams::DidChangeTextDocumentParams()
    {
        // empty
    }

    DidChangeTextDocumentParams::DidChangeTextDocumentParams(
        DidChangeTextDocumentParams &&other
    )
        : textDocument(std::move(other.textDocument))
        , contentChanges(std::move(other.contentChanges))
    {
        // empty
    }

    DidChangeTextDocumentParams::DidChangeTextDocumentParams(
        const DidChangeTextDocumentParams &other
    )
        : textDocument(other.textDocument)
    {
        contentChanges = other.contentChanges;
    }

    DidChangeTextDocumentParams::~DidChangeTextDocumentParams()
    {
        // empty
    }

    auto DidChangeTextDocumentParams::operator=(
        DidChangeTextDocumentParams &&other
    ) -> DidChangeTextDocumentParams &
    {
        if (this != &other) {
            textDocument = std::move(other.textDocument);
            contentChanges = std::move(other.contentChanges);
        }
        return *this;
    }

    auto DidChangeTextDocumentParams::operator=(
        const DidChangeTextDocumentParams &other
    ) -> DidChangeTextDocumentParams &
    {
        if (this != &other) {
            textDocument = other.textDocument;
            contentChanges = other.contentChanges;
        }
        return *this;
    }

    NotebookDocumentChangeEvent_cells_textContent_elem::NotebookDocumentChangeEvent_cells_textContent_elem()
    {
        // empty
    }

    NotebookDocumentChangeEvent_cells_textContent_elem::NotebookDocumentChangeEvent_cells_textContent_elem(
        NotebookDocumentChangeEvent_cells_textContent_elem &&other
    )
        : document(std::move(other.document))
        , changes(std::move(other.changes))
    {
        // empty
    }

    NotebookDocumentChangeEvent_cells_textContent_elem::NotebookDocumentChangeEvent_cells_textContent_elem(
        const NotebookDocumentChangeEvent_cells_textContent_elem &other
    )
        : document(other.document)
    {
        changes = other.changes;
    }

    NotebookDocumentChangeEvent_cells_textContent_elem::~NotebookDocumentChangeEvent_cells_textContent_elem()
    {
        // empty
    }

    auto NotebookDocumentChangeEvent_cells_textContent_elem::operator=(
        NotebookDocumentChangeEvent_cells_textContent_elem &&other
    ) -> NotebookDocumentChangeEvent_cells_textContent_elem &
    {
        if (this != &other) {
            document = std::move(other.document);
            changes = std::move(other.changes);
        }
        return *this;
    }

    auto NotebookDocumentChangeEvent_cells_textContent_elem::operator=(
        const NotebookDocumentChangeEvent_cells_textContent_elem &other
    ) -> NotebookDocumentChangeEvent_cells_textContent_elem &
    {
        if (this != &other) {
            document = other.document;
            changes = other.changes;
        }
        return *this;
    }

    const std::map<Diagnostic_codeType, std::string>
    Diagnostic_codeTypeNames = {
        {Diagnostic_codeType::Uninitialized, "Uninitialized"},
        {Diagnostic_codeType::Integer, "Integer"},
        {Diagnostic_codeType::String, "String"},
    };

    Diagnostic_code::Diagnostic_code()
    {
        // empty
    }

    Diagnostic_code::~Diagnostic_code()
    {
        reset();
    }

    Diagnostic_code::Diagnostic_code(Diagnostic_code &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case Diagnostic_codeType::Integer: {
            _integer = other._integer;
            break;
        }
        case Diagnostic_codeType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case Diagnostic_codeType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Diagnostic_codeType::Uninitialized;
    }

    Diagnostic_code::Diagnostic_code(const Diagnostic_code &other)
        : _type(other._type)
    {
        switch (other._type) {
        case Diagnostic_codeType::Integer: {
            _integer = other._integer;
            break;
        }
        case Diagnostic_codeType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case Diagnostic_codeType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Diagnostic_code::operator=(
        Diagnostic_code &&other
    ) -> Diagnostic_code &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Diagnostic_codeType::Integer: {
                _integer = other._integer;
                break;
            }
            case Diagnostic_codeType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case Diagnostic_codeType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Diagnostic_codeType::Uninitialized;
        }
        return *this;
    }

    auto Diagnostic_code::operator=(
        const Diagnostic_code &other
    ) -> Diagnostic_code &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Diagnostic_codeType::Integer: {
                _integer = other._integer;
                break;
            }
            case Diagnostic_codeType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case Diagnostic_codeType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Diagnostic_code::reset() -> void
    {
        switch (_type) {
        case Diagnostic_codeType::Uninitialized: {
            // nothing to do
            break;
        }
        case Diagnostic_codeType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = Diagnostic_codeType::Uninitialized;
            break;
        }
        default: {
            _type = Diagnostic_codeType::Uninitialized;
        }
        }
    }

    auto Diagnostic_code::type() const -> const Diagnostic_codeType &
    {
        return _type;
    }

    auto Diagnostic_code::integer() const -> const integer_t &
    {
#ifdef DEBUG
        if (_type != Diagnostic_codeType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "Diagnostic_code::integer()"
                 " of type "
                 "Diagnostic_codeType::Integer"
                 " while active type is "
                 "Diagnostic_codeType::" +
                 Diagnostic_codeTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto Diagnostic_code::operator=(integer_t integer) -> Diagnostic_code &
    {
        if (_type != Diagnostic_codeType::Uninitialized) {
            reset();
        }
        _integer = integer;
        _type = Diagnostic_codeType::Integer;
        return *this;
    }

    auto Diagnostic_code::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != Diagnostic_codeType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "Diagnostic_code::string()"
                 " of type "
                 "Diagnostic_codeType::String"
                 " while active type is "
                 "Diagnostic_codeType::" +
                 Diagnostic_codeTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto Diagnostic_code::operator=(
        const std::unique_ptr<string_t> &string
    ) -> Diagnostic_code &
    {
        if (_type != Diagnostic_codeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = Diagnostic_codeType::String;
        return *this;
    }

    auto Diagnostic_code::operator=(
        std::unique_ptr<string_t> &&string
    ) -> Diagnostic_code &
    {
        if (_type != Diagnostic_codeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = Diagnostic_codeType::String;
        return *this;
    }

    auto Diagnostic_code::operator=(
        const string_t &string
    ) -> Diagnostic_code &
    {
        if (_type != Diagnostic_codeType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = Diagnostic_codeType::String;
        return *this;
    }

    auto Diagnostic_code::operator=(string_t &&string) -> Diagnostic_code &
    {
        if (_type != Diagnostic_codeType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = Diagnostic_codeType::String;
        return *this;
    }

    const std::map<
        OptionalVersionedTextDocumentIdentifier_versionType,
        std::string
    > OptionalVersionedTextDocumentIdentifier_versionTypeNames = {
        {OptionalVersionedTextDocumentIdentifier_versionType::Uninitialized,
         "Uninitialized"},
        {OptionalVersionedTextDocumentIdentifier_versionType::Integer,
         "Integer"},
        {OptionalVersionedTextDocumentIdentifier_versionType::Null, "Null"},
    };

    OptionalVersionedTextDocumentIdentifier_version::OptionalVersionedTextDocumentIdentifier_version()
    {
        // empty
    }

    OptionalVersionedTextDocumentIdentifier_version::~OptionalVersionedTextDocumentIdentifier_version()
    {
        // empty
    }

    OptionalVersionedTextDocumentIdentifier_version::OptionalVersionedTextDocumentIdentifier_version(
        OptionalVersionedTextDocumentIdentifier_version &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case OptionalVersionedTextDocumentIdentifier_versionType::Integer: {
            _integer = other._integer;
            break;
        }
        case OptionalVersionedTextDocumentIdentifier_versionType::Null: {
            _null = other._null;
            break;
        }
        case OptionalVersionedTextDocumentIdentifier_versionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            OptionalVersionedTextDocumentIdentifier_versionType::Uninitialized;
    }

    OptionalVersionedTextDocumentIdentifier_version::OptionalVersionedTextDocumentIdentifier_version(
        const OptionalVersionedTextDocumentIdentifier_version &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case OptionalVersionedTextDocumentIdentifier_versionType::Integer: {
            _integer = other._integer;
            break;
        }
        case OptionalVersionedTextDocumentIdentifier_versionType::Null: {
            _null = other._null;
            break;
        }
        case OptionalVersionedTextDocumentIdentifier_versionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto OptionalVersionedTextDocumentIdentifier_version::operator=(
        OptionalVersionedTextDocumentIdentifier_version &&other
    ) -> OptionalVersionedTextDocumentIdentifier_version &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case OptionalVersionedTextDocumentIdentifier_versionType::Integer: {
                _integer = other._integer;
                break;
            }
            case OptionalVersionedTextDocumentIdentifier_versionType::Null: {
                _null = other._null;
                break;
            }
            case OptionalVersionedTextDocumentIdentifier_versionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                OptionalVersionedTextDocumentIdentifier_versionType::Uninitialized;
        }
        return *this;
    }

    auto OptionalVersionedTextDocumentIdentifier_version::operator=(
        const OptionalVersionedTextDocumentIdentifier_version &other
    ) -> OptionalVersionedTextDocumentIdentifier_version &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case OptionalVersionedTextDocumentIdentifier_versionType::Integer: {
                _integer = other._integer;
                break;
            }
            case OptionalVersionedTextDocumentIdentifier_versionType::Null: {
                _null = other._null;
                break;
            }
            case OptionalVersionedTextDocumentIdentifier_versionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto OptionalVersionedTextDocumentIdentifier_version::type() const
    -> const OptionalVersionedTextDocumentIdentifier_versionType &
    {
        return _type;
    }

    auto OptionalVersionedTextDocumentIdentifier_version::integer() const
    -> const integer_t &
    {
#ifdef DEBUG
        if (_type != OptionalVersionedTextDocumentIdentifier_versionType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "OptionalVersionedTextDocumentIdentifier_version::integer()"
                 " of type "
                 "OptionalVersionedTextDocumentIdentifier_versionType::Integer"
                 " while active type is "
                 "OptionalVersionedTextDocumentIdentifier_versionType::" +
                 OptionalVersionedTextDocumentIdentifier_versionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto OptionalVersionedTextDocumentIdentifier_version::operator=(
        integer_t integer
    ) -> OptionalVersionedTextDocumentIdentifier_version &
    {
        _integer = integer;
        _type = OptionalVersionedTextDocumentIdentifier_versionType::Integer;
        return *this;
    }

    auto OptionalVersionedTextDocumentIdentifier_version::null() const
    -> const null_t &
    {
#ifdef DEBUG
        if (_type != OptionalVersionedTextDocumentIdentifier_versionType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "OptionalVersionedTextDocumentIdentifier_version::null()"
                 " of type "
                 "OptionalVersionedTextDocumentIdentifier_versionType::Null"
                 " while active type is "
                 "OptionalVersionedTextDocumentIdentifier_versionType::" +
                 OptionalVersionedTextDocumentIdentifier_versionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto OptionalVersionedTextDocumentIdentifier_version::operator=(
        null_t null
    ) -> OptionalVersionedTextDocumentIdentifier_version &
    {
        _null = null;
        _type = OptionalVersionedTextDocumentIdentifier_versionType::Null;
        return *this;
    }

    OptionalVersionedTextDocumentIdentifier::OptionalVersionedTextDocumentIdentifier()
        : TextDocumentIdentifier()
    {
        // empty
    }

    OptionalVersionedTextDocumentIdentifier::OptionalVersionedTextDocumentIdentifier(
        OptionalVersionedTextDocumentIdentifier &&other
    )
        : TextDocumentIdentifier(other)
        , version(std::move(other.version))
    {
        // empty
    }

    OptionalVersionedTextDocumentIdentifier::OptionalVersionedTextDocumentIdentifier(
        const OptionalVersionedTextDocumentIdentifier &other
    )
        : TextDocumentIdentifier(other)
        , version(OptionalVersionedTextDocumentIdentifier_version(other.version))
    {
    }

    OptionalVersionedTextDocumentIdentifier::~OptionalVersionedTextDocumentIdentifier()
    {
        // empty
    }

    auto OptionalVersionedTextDocumentIdentifier::operator=(
        OptionalVersionedTextDocumentIdentifier &&other
    ) -> OptionalVersionedTextDocumentIdentifier &
    {
        if (this != &other) {
            TextDocumentIdentifier::operator=(other);
            version = std::move(other.version);
        }
        return *this;
    }

    auto OptionalVersionedTextDocumentIdentifier::operator=(
        const OptionalVersionedTextDocumentIdentifier &other
    ) -> OptionalVersionedTextDocumentIdentifier &
    {
        if (this != &other) {
            TextDocumentIdentifier::operator=(other);
            version =
                OptionalVersionedTextDocumentIdentifier_version(other.version);
        }
        return *this;
    }

    TextDocumentEdit::TextDocumentEdit()
    {
        // empty
    }

    TextDocumentEdit::TextDocumentEdit(TextDocumentEdit &&other)
        : textDocument(std::move(other.textDocument))
        , edits(std::move(other.edits))
    {
        // empty
    }

    TextDocumentEdit::TextDocumentEdit(const TextDocumentEdit &other)
        : textDocument(other.textDocument)
    {
        edits = other.edits;
    }

    TextDocumentEdit::~TextDocumentEdit()
    {
        // empty
    }

    auto TextDocumentEdit::operator=(
        TextDocumentEdit &&other
    ) -> TextDocumentEdit &
    {
        if (this != &other) {
            textDocument = std::move(other.textDocument);
            edits = std::move(other.edits);
        }
        return *this;
    }

    auto TextDocumentEdit::operator=(
        const TextDocumentEdit &other
    ) -> TextDocumentEdit &
    {
        if (this != &other) {
            textDocument = other.textDocument;
            edits = other.edits;
        }
        return *this;
    }

    const std::map<WorkspaceEdit_documentChanges_elemType, std::string>
    WorkspaceEdit_documentChanges_elemTypeNames = {
        {WorkspaceEdit_documentChanges_elemType::Uninitialized,
         "Uninitialized"},
        {WorkspaceEdit_documentChanges_elemType::TextDocumentEdit,
         "TextDocumentEdit"},
        {WorkspaceEdit_documentChanges_elemType::CreateFile, "CreateFile"},
        {WorkspaceEdit_documentChanges_elemType::RenameFile, "RenameFile"},
        {WorkspaceEdit_documentChanges_elemType::DeleteFile, "DeleteFile"},
    };

    WorkspaceEdit_documentChanges_elem::WorkspaceEdit_documentChanges_elem()
    {
        // empty
    }

    WorkspaceEdit_documentChanges_elem::~WorkspaceEdit_documentChanges_elem()
    {
        reset();
    }

    WorkspaceEdit_documentChanges_elem::WorkspaceEdit_documentChanges_elem(
        WorkspaceEdit_documentChanges_elem &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceEdit_documentChanges_elemType::TextDocumentEdit: {
            new (&_textDocumentEdit) std::unique_ptr<TextDocumentEdit> {
                std::move(other._textDocumentEdit)
            };
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::CreateFile: {
            new (&_createFile) std::unique_ptr<CreateFile> {
                std::move(other._createFile)
            };
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::RenameFile: {
            new (&_renameFile) std::unique_ptr<RenameFile> {
                std::move(other._renameFile)
            };
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::DeleteFile: {
            new (&_deleteFile) std::unique_ptr<DeleteFile> {
                std::move(other._deleteFile)
            };
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = WorkspaceEdit_documentChanges_elemType::Uninitialized;
    }

    WorkspaceEdit_documentChanges_elem::WorkspaceEdit_documentChanges_elem(
        const WorkspaceEdit_documentChanges_elem &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceEdit_documentChanges_elemType::TextDocumentEdit: {
            new (&_textDocumentEdit) std::unique_ptr<TextDocumentEdit> {
                std::make_unique<TextDocumentEdit>(*other._textDocumentEdit)
            };
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::CreateFile: {
            new (&_createFile) std::unique_ptr<CreateFile> {
                std::make_unique<CreateFile>(*other._createFile)
            };
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::RenameFile: {
            new (&_renameFile) std::unique_ptr<RenameFile> {
                std::make_unique<RenameFile>(*other._renameFile)
            };
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::DeleteFile: {
            new (&_deleteFile) std::unique_ptr<DeleteFile> {
                std::make_unique<DeleteFile>(*other._deleteFile)
            };
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        WorkspaceEdit_documentChanges_elem &&other
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceEdit_documentChanges_elemType::TextDocumentEdit: {
                new (&_textDocumentEdit) std::unique_ptr<TextDocumentEdit> {
                    std::move(other._textDocumentEdit)
                };
                break;
            }
            case WorkspaceEdit_documentChanges_elemType::CreateFile: {
                new (&_createFile) std::unique_ptr<CreateFile> {
                    std::move(other._createFile)
                };
                break;
            }
            case WorkspaceEdit_documentChanges_elemType::RenameFile: {
                new (&_renameFile) std::unique_ptr<RenameFile> {
                    std::move(other._renameFile)
                };
                break;
            }
            case WorkspaceEdit_documentChanges_elemType::DeleteFile: {
                new (&_deleteFile) std::unique_ptr<DeleteFile> {
                    std::move(other._deleteFile)
                };
                break;
            }
            case WorkspaceEdit_documentChanges_elemType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                WorkspaceEdit_documentChanges_elemType::Uninitialized;
        }
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        const WorkspaceEdit_documentChanges_elem &other
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceEdit_documentChanges_elemType::TextDocumentEdit: {
                new (&_textDocumentEdit) std::unique_ptr<TextDocumentEdit> {
                    std::make_unique<TextDocumentEdit>(*other._textDocumentEdit)
                };
                break;
            }
            case WorkspaceEdit_documentChanges_elemType::CreateFile: {
                new (&_createFile) std::unique_ptr<CreateFile> {
                    std::make_unique<CreateFile>(*other._createFile)
                };
                break;
            }
            case WorkspaceEdit_documentChanges_elemType::RenameFile: {
                new (&_renameFile) std::unique_ptr<RenameFile> {
                    std::make_unique<RenameFile>(*other._renameFile)
                };
                break;
            }
            case WorkspaceEdit_documentChanges_elemType::DeleteFile: {
                new (&_deleteFile) std::unique_ptr<DeleteFile> {
                    std::make_unique<DeleteFile>(*other._deleteFile)
                };
                break;
            }
            case WorkspaceEdit_documentChanges_elemType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::reset() -> void
    {
        switch (_type) {
        case WorkspaceEdit_documentChanges_elemType::Uninitialized: {
            // nothing to do
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::TextDocumentEdit: {
#ifdef DEBUG
            if (!_textDocumentEdit) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textDocumentEdit"
                );
            }
#endif // DEBUG
            _textDocumentEdit.~unique_ptr<TextDocumentEdit>();
            _type = WorkspaceEdit_documentChanges_elemType::Uninitialized;
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::CreateFile: {
#ifdef DEBUG
            if (!_createFile) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _createFile"
                );
            }
#endif // DEBUG
            _createFile.~unique_ptr<CreateFile>();
            _type = WorkspaceEdit_documentChanges_elemType::Uninitialized;
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::RenameFile: {
#ifdef DEBUG
            if (!_renameFile) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _renameFile"
                );
            }
#endif // DEBUG
            _renameFile.~unique_ptr<RenameFile>();
            _type = WorkspaceEdit_documentChanges_elemType::Uninitialized;
            break;
        }
        case WorkspaceEdit_documentChanges_elemType::DeleteFile: {
#ifdef DEBUG
            if (!_deleteFile) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _deleteFile"
                );
            }
#endif // DEBUG
            _deleteFile.~unique_ptr<DeleteFile>();
            _type = WorkspaceEdit_documentChanges_elemType::Uninitialized;
            break;
        }
        default: {
            _type = WorkspaceEdit_documentChanges_elemType::Uninitialized;
        }
        }
    }

    auto WorkspaceEdit_documentChanges_elem::type() const
    -> const WorkspaceEdit_documentChanges_elemType &
    {
        return _type;
    }

    auto WorkspaceEdit_documentChanges_elem::textDocumentEdit() const
    -> const TextDocumentEdit &
    {
#ifdef DEBUG
        if (_type != WorkspaceEdit_documentChanges_elemType::TextDocumentEdit) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceEdit_documentChanges_elem::textDocumentEdit()"
                 " of type "
                 "WorkspaceEdit_documentChanges_elemType::TextDocumentEdit"
                 " while active type is "
                 "WorkspaceEdit_documentChanges_elemType::" +
                 WorkspaceEdit_documentChanges_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textDocumentEdit;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        const std::unique_ptr<TextDocumentEdit> &textDocumentEdit
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentEdit) {
            throw std::logic_error(
                "null passed as the value of textDocumentEdit"
            );
        }
#endif // DEBUG
        new (&_textDocumentEdit) std::unique_ptr<TextDocumentEdit> {
            std::make_unique<TextDocumentEdit>(*textDocumentEdit)
        };
        _type = WorkspaceEdit_documentChanges_elemType::TextDocumentEdit;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        std::unique_ptr<TextDocumentEdit> &&textDocumentEdit
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocumentEdit) {
            throw std::logic_error(
                "null passed as the value of textDocumentEdit"
            );
        }
#endif // DEBUG
        new (&_textDocumentEdit) std::unique_ptr<TextDocumentEdit> {
            std::move(textDocumentEdit)
        };
        _type = WorkspaceEdit_documentChanges_elemType::TextDocumentEdit;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        const TextDocumentEdit &textDocumentEdit
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
        new (&_textDocumentEdit) std::unique_ptr<TextDocumentEdit> {
            std::make_unique<TextDocumentEdit>(textDocumentEdit)
        };
        _type = WorkspaceEdit_documentChanges_elemType::TextDocumentEdit;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        TextDocumentEdit &&textDocumentEdit
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
        new (&_textDocumentEdit) std::unique_ptr<TextDocumentEdit> {
            std::make_unique<TextDocumentEdit>(std::move(textDocumentEdit))
        };
        _type = WorkspaceEdit_documentChanges_elemType::TextDocumentEdit;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::createFile() const
    -> const CreateFile &
    {
#ifdef DEBUG
        if (_type != WorkspaceEdit_documentChanges_elemType::CreateFile) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceEdit_documentChanges_elem::createFile()"
                 " of type "
                 "WorkspaceEdit_documentChanges_elemType::CreateFile"
                 " while active type is "
                 "WorkspaceEdit_documentChanges_elemType::" +
                 WorkspaceEdit_documentChanges_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_createFile;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        const std::unique_ptr<CreateFile> &createFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!createFile) {
            throw std::logic_error("null passed as the value of createFile");
        }
#endif // DEBUG
        new (&_createFile) std::unique_ptr<CreateFile> {
            std::make_unique<CreateFile>(*createFile)
        };
        _type = WorkspaceEdit_documentChanges_elemType::CreateFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        std::unique_ptr<CreateFile> &&createFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!createFile) {
            throw std::logic_error("null passed as the value of createFile");
        }
#endif // DEBUG
        new (&_createFile) std::unique_ptr<CreateFile> {
            std::move(createFile)
        };
        _type = WorkspaceEdit_documentChanges_elemType::CreateFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        const CreateFile &createFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
        new (&_createFile) std::unique_ptr<CreateFile> {
            std::make_unique<CreateFile>(createFile)
        };
        _type = WorkspaceEdit_documentChanges_elemType::CreateFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        CreateFile &&createFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
        new (&_createFile) std::unique_ptr<CreateFile> {
            std::make_unique<CreateFile>(std::move(createFile))
        };
        _type = WorkspaceEdit_documentChanges_elemType::CreateFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::renameFile() const
    -> const RenameFile &
    {
#ifdef DEBUG
        if (_type != WorkspaceEdit_documentChanges_elemType::RenameFile) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceEdit_documentChanges_elem::renameFile()"
                 " of type "
                 "WorkspaceEdit_documentChanges_elemType::RenameFile"
                 " while active type is "
                 "WorkspaceEdit_documentChanges_elemType::" +
                 WorkspaceEdit_documentChanges_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_renameFile;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        const std::unique_ptr<RenameFile> &renameFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!renameFile) {
            throw std::logic_error("null passed as the value of renameFile");
        }
#endif // DEBUG
        new (&_renameFile) std::unique_ptr<RenameFile> {
            std::make_unique<RenameFile>(*renameFile)
        };
        _type = WorkspaceEdit_documentChanges_elemType::RenameFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        std::unique_ptr<RenameFile> &&renameFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!renameFile) {
            throw std::logic_error("null passed as the value of renameFile");
        }
#endif // DEBUG
        new (&_renameFile) std::unique_ptr<RenameFile> {
            std::move(renameFile)
        };
        _type = WorkspaceEdit_documentChanges_elemType::RenameFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        const RenameFile &renameFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
        new (&_renameFile) std::unique_ptr<RenameFile> {
            std::make_unique<RenameFile>(renameFile)
        };
        _type = WorkspaceEdit_documentChanges_elemType::RenameFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        RenameFile &&renameFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
        new (&_renameFile) std::unique_ptr<RenameFile> {
            std::make_unique<RenameFile>(std::move(renameFile))
        };
        _type = WorkspaceEdit_documentChanges_elemType::RenameFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::deleteFile() const
    -> const DeleteFile &
    {
#ifdef DEBUG
        if (_type != WorkspaceEdit_documentChanges_elemType::DeleteFile) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceEdit_documentChanges_elem::deleteFile()"
                 " of type "
                 "WorkspaceEdit_documentChanges_elemType::DeleteFile"
                 " while active type is "
                 "WorkspaceEdit_documentChanges_elemType::" +
                 WorkspaceEdit_documentChanges_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_deleteFile;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        const std::unique_ptr<DeleteFile> &deleteFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!deleteFile) {
            throw std::logic_error("null passed as the value of deleteFile");
        }
#endif // DEBUG
        new (&_deleteFile) std::unique_ptr<DeleteFile> {
            std::make_unique<DeleteFile>(*deleteFile)
        };
        _type = WorkspaceEdit_documentChanges_elemType::DeleteFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        std::unique_ptr<DeleteFile> &&deleteFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!deleteFile) {
            throw std::logic_error("null passed as the value of deleteFile");
        }
#endif // DEBUG
        new (&_deleteFile) std::unique_ptr<DeleteFile> {
            std::move(deleteFile)
        };
        _type = WorkspaceEdit_documentChanges_elemType::DeleteFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        const DeleteFile &deleteFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
        new (&_deleteFile) std::unique_ptr<DeleteFile> {
            std::make_unique<DeleteFile>(deleteFile)
        };
        _type = WorkspaceEdit_documentChanges_elemType::DeleteFile;
        return *this;
    }

    auto WorkspaceEdit_documentChanges_elem::operator=(
        DeleteFile &&deleteFile
    ) -> WorkspaceEdit_documentChanges_elem &
    {
        if (_type != WorkspaceEdit_documentChanges_elemType::Uninitialized) {
            reset();
        }
        new (&_deleteFile) std::unique_ptr<DeleteFile> {
            std::make_unique<DeleteFile>(std::move(deleteFile))
        };
        _type = WorkspaceEdit_documentChanges_elemType::DeleteFile;
        return *this;
    }

    WorkspaceEdit::WorkspaceEdit()
    {
        // empty
    }

    WorkspaceEdit::WorkspaceEdit(WorkspaceEdit &&other)
        : changes(std::move(other.changes))
        , documentChanges(std::move(other.documentChanges))
        , changeAnnotations(std::move(other.changeAnnotations))
    {
        // empty
    }

    WorkspaceEdit::WorkspaceEdit(const WorkspaceEdit &other)
    {
        if (other.changes.has_value()) {
            auto &map_0 = changes.emplace();
            const auto &map_1 = other.changes.value();
            for (const auto &[key_0, value_0] : map_1) {
                std::vector<TextEdit> array_0;
                array_0.reserve(value_0.size());
                for (const auto &elem_0 : value_0) {
                    array_0.push_back(elem_0);
                }
                map_0.emplace(key_0, std::move(array_0));
            }
        }
        if (other.documentChanges.has_value()) {
            auto &array_1 = documentChanges.emplace();
            const auto &array_2 = other.documentChanges.value();
            array_1 = array_2;
        }
        if (other.changeAnnotations.has_value()) {
            auto &map_2 = changeAnnotations.emplace();
            const auto &map_3 = other.changeAnnotations.value();
            for (const auto &[key_1, value_1] : map_3) {
                map_2.emplace(key_1, value_1);
            }
        }
    }

    WorkspaceEdit::~WorkspaceEdit()
    {
        // empty
    }

    auto WorkspaceEdit::operator=(WorkspaceEdit &&other) -> WorkspaceEdit &
    {
        if (this != &other) {
            changes = std::move(other.changes);
            documentChanges = std::move(other.documentChanges);
            changeAnnotations = std::move(other.changeAnnotations);
        }
        return *this;
    }

    auto WorkspaceEdit::operator=(
        const WorkspaceEdit &other
    ) -> WorkspaceEdit &
    {
        if (this != &other) {
            if (other.changes.has_value()) {
                auto &map_0 = changes.emplace();
                const auto &map_1 = other.changes.value();
                for (const auto &[key_0, value_0] : map_1) {
                    std::vector<TextEdit> array_0;
                    array_0.reserve(value_0.size());
                    for (const auto &elem_0 : value_0) {
                        array_0.push_back(elem_0);
                    }
                    map_0.emplace(key_0, std::move(array_0));
                }
            }
            if (other.documentChanges.has_value()) {
                auto &array_1 = documentChanges.emplace();
                const auto &array_2 = other.documentChanges.value();
                array_1 = array_2;
            }
            if (other.changeAnnotations.has_value()) {
                auto &map_2 = changeAnnotations.emplace();
                const auto &map_3 = other.changeAnnotations.value();
                for (const auto &[key_1, value_1] : map_3) {
                    map_2.emplace(key_1, value_1);
                }
            }
        }
        return *this;
    }

    ApplyWorkspaceEditParams::ApplyWorkspaceEditParams()
    {
        // empty
    }

    ApplyWorkspaceEditParams::ApplyWorkspaceEditParams(
        ApplyWorkspaceEditParams &&other
    )
        : label(std::move(other.label))
        , edit(std::move(other.edit))
    {
        // empty
    }

    ApplyWorkspaceEditParams::ApplyWorkspaceEditParams(
        const ApplyWorkspaceEditParams &other
    )
        : edit(other.edit)
    {
        if (other.label.has_value()) {
            label = other.label.value();
        }
    }

    ApplyWorkspaceEditParams::~ApplyWorkspaceEditParams()
    {
        // empty
    }

    auto ApplyWorkspaceEditParams::operator=(
        ApplyWorkspaceEditParams &&other
    ) -> ApplyWorkspaceEditParams &
    {
        if (this != &other) {
            label = std::move(other.label);
            edit = std::move(other.edit);
        }
        return *this;
    }

    auto ApplyWorkspaceEditParams::operator=(
        const ApplyWorkspaceEditParams &other
    ) -> ApplyWorkspaceEditParams &
    {
        if (this != &other) {
            if (other.label.has_value()) {
                label = other.label.value();
            }
            edit = other.edit;
        }
        return *this;
    }

    const std::map<
        WorkspaceFullDocumentDiagnosticReport_versionType,
        std::string
    > WorkspaceFullDocumentDiagnosticReport_versionTypeNames = {
        {WorkspaceFullDocumentDiagnosticReport_versionType::Uninitialized,
         "Uninitialized"},
        {WorkspaceFullDocumentDiagnosticReport_versionType::Integer,
         "Integer"},
        {WorkspaceFullDocumentDiagnosticReport_versionType::Null, "Null"},
    };

    WorkspaceFullDocumentDiagnosticReport_version::WorkspaceFullDocumentDiagnosticReport_version()
    {
        // empty
    }

    WorkspaceFullDocumentDiagnosticReport_version::~WorkspaceFullDocumentDiagnosticReport_version()
    {
        // empty
    }

    WorkspaceFullDocumentDiagnosticReport_version::WorkspaceFullDocumentDiagnosticReport_version(
        WorkspaceFullDocumentDiagnosticReport_version &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceFullDocumentDiagnosticReport_versionType::Integer: {
            _integer = other._integer;
            break;
        }
        case WorkspaceFullDocumentDiagnosticReport_versionType::Null: {
            _null = other._null;
            break;
        }
        case WorkspaceFullDocumentDiagnosticReport_versionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            WorkspaceFullDocumentDiagnosticReport_versionType::Uninitialized;
    }

    WorkspaceFullDocumentDiagnosticReport_version::WorkspaceFullDocumentDiagnosticReport_version(
        const WorkspaceFullDocumentDiagnosticReport_version &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceFullDocumentDiagnosticReport_versionType::Integer: {
            _integer = other._integer;
            break;
        }
        case WorkspaceFullDocumentDiagnosticReport_versionType::Null: {
            _null = other._null;
            break;
        }
        case WorkspaceFullDocumentDiagnosticReport_versionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto WorkspaceFullDocumentDiagnosticReport_version::operator=(
        WorkspaceFullDocumentDiagnosticReport_version &&other
    ) -> WorkspaceFullDocumentDiagnosticReport_version &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceFullDocumentDiagnosticReport_versionType::Integer: {
                _integer = other._integer;
                break;
            }
            case WorkspaceFullDocumentDiagnosticReport_versionType::Null: {
                _null = other._null;
                break;
            }
            case WorkspaceFullDocumentDiagnosticReport_versionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                WorkspaceFullDocumentDiagnosticReport_versionType::Uninitialized;
        }
        return *this;
    }

    auto WorkspaceFullDocumentDiagnosticReport_version::operator=(
        const WorkspaceFullDocumentDiagnosticReport_version &other
    ) -> WorkspaceFullDocumentDiagnosticReport_version &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceFullDocumentDiagnosticReport_versionType::Integer: {
                _integer = other._integer;
                break;
            }
            case WorkspaceFullDocumentDiagnosticReport_versionType::Null: {
                _null = other._null;
                break;
            }
            case WorkspaceFullDocumentDiagnosticReport_versionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto WorkspaceFullDocumentDiagnosticReport_version::type() const
    -> const WorkspaceFullDocumentDiagnosticReport_versionType &
    {
        return _type;
    }

    auto WorkspaceFullDocumentDiagnosticReport_version::integer() const
    -> const integer_t &
    {
#ifdef DEBUG
        if (_type != WorkspaceFullDocumentDiagnosticReport_versionType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceFullDocumentDiagnosticReport_version::integer()"
                 " of type "
                 "WorkspaceFullDocumentDiagnosticReport_versionType::Integer"
                 " while active type is "
                 "WorkspaceFullDocumentDiagnosticReport_versionType::" +
                 WorkspaceFullDocumentDiagnosticReport_versionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto WorkspaceFullDocumentDiagnosticReport_version::operator=(
        integer_t integer
    ) -> WorkspaceFullDocumentDiagnosticReport_version &
    {
        _integer = integer;
        _type = WorkspaceFullDocumentDiagnosticReport_versionType::Integer;
        return *this;
    }

    auto WorkspaceFullDocumentDiagnosticReport_version::null() const
    -> const null_t &
    {
#ifdef DEBUG
        if (_type != WorkspaceFullDocumentDiagnosticReport_versionType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceFullDocumentDiagnosticReport_version::null()"
                 " of type "
                 "WorkspaceFullDocumentDiagnosticReport_versionType::Null"
                 " while active type is "
                 "WorkspaceFullDocumentDiagnosticReport_versionType::" +
                 WorkspaceFullDocumentDiagnosticReport_versionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto WorkspaceFullDocumentDiagnosticReport_version::operator=(
        null_t null
    ) -> WorkspaceFullDocumentDiagnosticReport_version &
    {
        _null = null;
        _type = WorkspaceFullDocumentDiagnosticReport_versionType::Null;
        return *this;
    }

    const std::map<
        WorkspaceUnchangedDocumentDiagnosticReport_versionType,
        std::string
    > WorkspaceUnchangedDocumentDiagnosticReport_versionTypeNames = {
        {WorkspaceUnchangedDocumentDiagnosticReport_versionType::Uninitialized,
         "Uninitialized"},
        {WorkspaceUnchangedDocumentDiagnosticReport_versionType::Integer,
         "Integer"},
        {WorkspaceUnchangedDocumentDiagnosticReport_versionType::Null, "Null"},
    };

    WorkspaceUnchangedDocumentDiagnosticReport_version::WorkspaceUnchangedDocumentDiagnosticReport_version()
    {
        // empty
    }

    WorkspaceUnchangedDocumentDiagnosticReport_version::~WorkspaceUnchangedDocumentDiagnosticReport_version()
    {
        // empty
    }

    WorkspaceUnchangedDocumentDiagnosticReport_version::WorkspaceUnchangedDocumentDiagnosticReport_version(
        WorkspaceUnchangedDocumentDiagnosticReport_version &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Integer: {
            _integer = other._integer;
            break;
        }
        case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Null: {
            _null = other._null;
            break;
        }
        case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            WorkspaceUnchangedDocumentDiagnosticReport_versionType::Uninitialized;
    }

    WorkspaceUnchangedDocumentDiagnosticReport_version::WorkspaceUnchangedDocumentDiagnosticReport_version(
        const WorkspaceUnchangedDocumentDiagnosticReport_version &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Integer: {
            _integer = other._integer;
            break;
        }
        case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Null: {
            _null = other._null;
            break;
        }
        case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto WorkspaceUnchangedDocumentDiagnosticReport_version::operator=(
        WorkspaceUnchangedDocumentDiagnosticReport_version &&other
    ) -> WorkspaceUnchangedDocumentDiagnosticReport_version &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Integer: {
                _integer = other._integer;
                break;
            }
            case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Null: {
                _null = other._null;
                break;
            }
            case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                WorkspaceUnchangedDocumentDiagnosticReport_versionType::Uninitialized;
        }
        return *this;
    }

    auto WorkspaceUnchangedDocumentDiagnosticReport_version::operator=(
        const WorkspaceUnchangedDocumentDiagnosticReport_version &other
    ) -> WorkspaceUnchangedDocumentDiagnosticReport_version &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Integer: {
                _integer = other._integer;
                break;
            }
            case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Null: {
                _null = other._null;
                break;
            }
            case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto WorkspaceUnchangedDocumentDiagnosticReport_version::type() const
    -> const WorkspaceUnchangedDocumentDiagnosticReport_versionType &
    {
        return _type;
    }

    auto WorkspaceUnchangedDocumentDiagnosticReport_version::integer() const
    -> const integer_t &
    {
#ifdef DEBUG
        if (_type != WorkspaceUnchangedDocumentDiagnosticReport_versionType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceUnchangedDocumentDiagnosticReport_version::integer()"
                 " of type "
                 "WorkspaceUnchangedDocumentDiagnosticReport_versionType::Integer"
                 " while active type is "
                 "WorkspaceUnchangedDocumentDiagnosticReport_versionType::" +
                 WorkspaceUnchangedDocumentDiagnosticReport_versionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto WorkspaceUnchangedDocumentDiagnosticReport_version::operator=(
        integer_t integer
    ) -> WorkspaceUnchangedDocumentDiagnosticReport_version &
    {
        _integer = integer;
        _type =
            WorkspaceUnchangedDocumentDiagnosticReport_versionType::Integer;
        return *this;
    }

    auto WorkspaceUnchangedDocumentDiagnosticReport_version::null() const
    -> const null_t &
    {
#ifdef DEBUG
        if (_type != WorkspaceUnchangedDocumentDiagnosticReport_versionType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceUnchangedDocumentDiagnosticReport_version::null()"
                 " of type "
                 "WorkspaceUnchangedDocumentDiagnosticReport_versionType::Null"
                 " while active type is "
                 "WorkspaceUnchangedDocumentDiagnosticReport_versionType::" +
                 WorkspaceUnchangedDocumentDiagnosticReport_versionTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto WorkspaceUnchangedDocumentDiagnosticReport_version::operator=(
        null_t null
    ) -> WorkspaceUnchangedDocumentDiagnosticReport_version &
    {
        _null = null;
        _type = WorkspaceUnchangedDocumentDiagnosticReport_versionType::Null;
        return *this;
    }

    WorkspaceUnchangedDocumentDiagnosticReport::WorkspaceUnchangedDocumentDiagnosticReport()
        : UnchangedDocumentDiagnosticReport()
    {
        // empty
    }

    WorkspaceUnchangedDocumentDiagnosticReport::WorkspaceUnchangedDocumentDiagnosticReport(
        WorkspaceUnchangedDocumentDiagnosticReport &&other
    )
        : UnchangedDocumentDiagnosticReport(other)
        , uri(std::move(other.uri))
        , version(std::move(other.version))
    {
        // empty
    }

    WorkspaceUnchangedDocumentDiagnosticReport::WorkspaceUnchangedDocumentDiagnosticReport(
        const WorkspaceUnchangedDocumentDiagnosticReport &other
    )
        : UnchangedDocumentDiagnosticReport(other)
        , uri(other.uri)
        , version(WorkspaceUnchangedDocumentDiagnosticReport_version(other.version))
    {
    }

    WorkspaceUnchangedDocumentDiagnosticReport::~WorkspaceUnchangedDocumentDiagnosticReport()
    {
        // empty
    }

    auto WorkspaceUnchangedDocumentDiagnosticReport::operator=(
        WorkspaceUnchangedDocumentDiagnosticReport &&other
    ) -> WorkspaceUnchangedDocumentDiagnosticReport &
    {
        if (this != &other) {
            UnchangedDocumentDiagnosticReport::operator=(other);
            uri = std::move(other.uri);
            version = std::move(other.version);
        }
        return *this;
    }

    auto WorkspaceUnchangedDocumentDiagnosticReport::operator=(
        const WorkspaceUnchangedDocumentDiagnosticReport &other
    ) -> WorkspaceUnchangedDocumentDiagnosticReport &
    {
        if (this != &other) {
            UnchangedDocumentDiagnosticReport::operator=(other);
            uri = other.uri;
            version =
                WorkspaceUnchangedDocumentDiagnosticReport_version(other.version);
        }
        return *this;
    }

    DocumentResult::DocumentResult()
    {
        // empty
    }

    DocumentResult::DocumentResult(DocumentResult &&other)
        : uri(std::move(other.uri))
        , version(other.version)
        , text(std::move(other.text))
    {
        // empty
    }

    DocumentResult::DocumentResult(const DocumentResult &other)
        : uri(other.uri)
        , version(other.version)
        , text(other.text)
    {
    }

    DocumentResult::~DocumentResult()
    {
        // empty
    }

    auto DocumentResult::operator=(DocumentResult &&other) -> DocumentResult &
    {
        if (this != &other) {
            uri = std::move(other.uri);
            version = other.version;
            text = std::move(other.text);
        }
        return *this;
    }

    auto DocumentResult::operator=(
        const DocumentResult &other
    ) -> DocumentResult &
    {
        if (this != &other) {
            uri = other.uri;
            version = other.version;
            text = other.text;
        }
        return *this;
    }

    const std::map<ProgressTokenType, std::string> ProgressTokenTypeNames = {
        {ProgressTokenType::Uninitialized, "Uninitialized"},
        {ProgressTokenType::Integer, "Integer"},
        {ProgressTokenType::String, "String"},
    };

    ProgressToken::ProgressToken()
    {
        // empty
    }

    ProgressToken::~ProgressToken()
    {
        reset();
    }

    ProgressToken::ProgressToken(ProgressToken &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case ProgressTokenType::Integer: {
            _integer = other._integer;
            break;
        }
        case ProgressTokenType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case ProgressTokenType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ProgressTokenType::Uninitialized;
    }

    ProgressToken::ProgressToken(const ProgressToken &other)
        : _type(other._type)
    {
        switch (other._type) {
        case ProgressTokenType::Integer: {
            _integer = other._integer;
            break;
        }
        case ProgressTokenType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case ProgressTokenType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ProgressToken::operator=(ProgressToken &&other) -> ProgressToken &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ProgressTokenType::Integer: {
                _integer = other._integer;
                break;
            }
            case ProgressTokenType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case ProgressTokenType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = ProgressTokenType::Uninitialized;
        }
        return *this;
    }

    auto ProgressToken::operator=(
        const ProgressToken &other
    ) -> ProgressToken &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ProgressTokenType::Integer: {
                _integer = other._integer;
                break;
            }
            case ProgressTokenType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case ProgressTokenType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ProgressToken::reset() -> void
    {
        switch (_type) {
        case ProgressTokenType::Uninitialized: {
            // nothing to do
            break;
        }
        case ProgressTokenType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = ProgressTokenType::Uninitialized;
            break;
        }
        default: {
            _type = ProgressTokenType::Uninitialized;
        }
        }
    }

    auto ProgressToken::type() const -> const ProgressTokenType &
    {
        return _type;
    }

    auto ProgressToken::integer() const -> const integer_t &
    {
#ifdef DEBUG
        if (_type != ProgressTokenType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "ProgressToken::integer()"
                 " of type "
                 "ProgressTokenType::Integer"
                 " while active type is "
                 "ProgressTokenType::" +
                 ProgressTokenTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto ProgressToken::operator=(integer_t integer) -> ProgressToken &
    {
        if (_type != ProgressTokenType::Uninitialized) {
            reset();
        }
        _integer = integer;
        _type = ProgressTokenType::Integer;
        return *this;
    }

    auto ProgressToken::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != ProgressTokenType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "ProgressToken::string()"
                 " of type "
                 "ProgressTokenType::String"
                 " while active type is "
                 "ProgressTokenType::" +
                 ProgressTokenTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto ProgressToken::operator=(
        const std::unique_ptr<string_t> &string
    ) -> ProgressToken &
    {
        if (_type != ProgressTokenType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = ProgressTokenType::String;
        return *this;
    }

    auto ProgressToken::operator=(
        std::unique_ptr<string_t> &&string
    ) -> ProgressToken &
    {
        if (_type != ProgressTokenType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = ProgressTokenType::String;
        return *this;
    }

    auto ProgressToken::operator=(const string_t &string) -> ProgressToken &
    {
        if (_type != ProgressTokenType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = ProgressTokenType::String;
        return *this;
    }

    auto ProgressToken::operator=(string_t &&string) -> ProgressToken &
    {
        if (_type != ProgressTokenType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = ProgressTokenType::String;
        return *this;
    }

    WorkDoneProgressCreateParams::WorkDoneProgressCreateParams()
    {
        // empty
    }

    WorkDoneProgressCreateParams::WorkDoneProgressCreateParams(
        WorkDoneProgressCreateParams &&other
    )
        : token(std::move(other.token))
    {
        // empty
    }

    WorkDoneProgressCreateParams::WorkDoneProgressCreateParams(
        const WorkDoneProgressCreateParams &other
    )
        : token(ProgressToken(other.token))
    {
    }

    WorkDoneProgressCreateParams::~WorkDoneProgressCreateParams()
    {
        // empty
    }

    auto WorkDoneProgressCreateParams::operator=(
        WorkDoneProgressCreateParams &&other
    ) -> WorkDoneProgressCreateParams &
    {
        if (this != &other) {
            token = std::move(other.token);
        }
        return *this;
    }

    auto WorkDoneProgressCreateParams::operator=(
        const WorkDoneProgressCreateParams &other
    ) -> WorkDoneProgressCreateParams &
    {
        if (this != &other) {
            token = ProgressToken(other.token);
        }
        return *this;
    }

    WorkDoneProgressCancelParams::WorkDoneProgressCancelParams()
    {
        // empty
    }

    WorkDoneProgressCancelParams::WorkDoneProgressCancelParams(
        WorkDoneProgressCancelParams &&other
    )
        : token(std::move(other.token))
    {
        // empty
    }

    WorkDoneProgressCancelParams::WorkDoneProgressCancelParams(
        const WorkDoneProgressCancelParams &other
    )
        : token(ProgressToken(other.token))
    {
    }

    WorkDoneProgressCancelParams::~WorkDoneProgressCancelParams()
    {
        // empty
    }

    auto WorkDoneProgressCancelParams::operator=(
        WorkDoneProgressCancelParams &&other
    ) -> WorkDoneProgressCancelParams &
    {
        if (this != &other) {
            token = std::move(other.token);
        }
        return *this;
    }

    auto WorkDoneProgressCancelParams::operator=(
        const WorkDoneProgressCancelParams &other
    ) -> WorkDoneProgressCancelParams &
    {
        if (this != &other) {
            token = ProgressToken(other.token);
        }
        return *this;
    }

    WorkDoneProgressParams::WorkDoneProgressParams()
    {
        // empty
    }

    WorkDoneProgressParams::WorkDoneProgressParams(
        WorkDoneProgressParams &&other
    )
        : workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    WorkDoneProgressParams::WorkDoneProgressParams(
        const WorkDoneProgressParams &other
    )
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    WorkDoneProgressParams::~WorkDoneProgressParams()
    {
        // empty
    }

    auto WorkDoneProgressParams::operator=(
        WorkDoneProgressParams &&other
    ) -> WorkDoneProgressParams &
    {
        if (this != &other) {
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto WorkDoneProgressParams::operator=(
        const WorkDoneProgressParams &other
    ) -> WorkDoneProgressParams &
    {
        if (this != &other) {
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    CallHierarchyPrepareParams::CallHierarchyPrepareParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    CallHierarchyPrepareParams::CallHierarchyPrepareParams(
        CallHierarchyPrepareParams &&other
    )
        : TextDocumentPositionParams(other)
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    CallHierarchyPrepareParams::CallHierarchyPrepareParams(
        const CallHierarchyPrepareParams &other
    )
        : TextDocumentPositionParams(other)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    CallHierarchyPrepareParams::~CallHierarchyPrepareParams()
    {
        // empty
    }

    auto CallHierarchyPrepareParams::operator=(
        CallHierarchyPrepareParams &&other
    ) -> CallHierarchyPrepareParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto CallHierarchyPrepareParams::operator=(
        const CallHierarchyPrepareParams &other
    ) -> CallHierarchyPrepareParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    LinkedEditingRangeParams::LinkedEditingRangeParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    LinkedEditingRangeParams::LinkedEditingRangeParams(
        LinkedEditingRangeParams &&other
    )
        : TextDocumentPositionParams(other)
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    LinkedEditingRangeParams::LinkedEditingRangeParams(
        const LinkedEditingRangeParams &other
    )
        : TextDocumentPositionParams(other)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    LinkedEditingRangeParams::~LinkedEditingRangeParams()
    {
        // empty
    }

    auto LinkedEditingRangeParams::operator=(
        LinkedEditingRangeParams &&other
    ) -> LinkedEditingRangeParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto LinkedEditingRangeParams::operator=(
        const LinkedEditingRangeParams &other
    ) -> LinkedEditingRangeParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    TypeHierarchyPrepareParams::TypeHierarchyPrepareParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    TypeHierarchyPrepareParams::TypeHierarchyPrepareParams(
        TypeHierarchyPrepareParams &&other
    )
        : TextDocumentPositionParams(other)
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    TypeHierarchyPrepareParams::TypeHierarchyPrepareParams(
        const TypeHierarchyPrepareParams &other
    )
        : TextDocumentPositionParams(other)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    TypeHierarchyPrepareParams::~TypeHierarchyPrepareParams()
    {
        // empty
    }

    auto TypeHierarchyPrepareParams::operator=(
        TypeHierarchyPrepareParams &&other
    ) -> TypeHierarchyPrepareParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto TypeHierarchyPrepareParams::operator=(
        const TypeHierarchyPrepareParams &other
    ) -> TypeHierarchyPrepareParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    InlineValueParams::InlineValueParams()
    {
        // empty
    }

    InlineValueParams::InlineValueParams(InlineValueParams &&other)
        : workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , range(std::move(other.range))
        , context(std::move(other.context))
    {
        // empty
    }

    InlineValueParams::InlineValueParams(const InlineValueParams &other)
        : textDocument(other.textDocument)
        , range(other.range)
        , context(other.context)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    InlineValueParams::~InlineValueParams()
    {
        // empty
    }

    auto InlineValueParams::operator=(
        InlineValueParams &&other
    ) -> InlineValueParams &
    {
        if (this != &other) {
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            range = std::move(other.range);
            context = std::move(other.context);
        }
        return *this;
    }

    auto InlineValueParams::operator=(
        const InlineValueParams &other
    ) -> InlineValueParams &
    {
        if (this != &other) {
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            range = other.range;
            context = other.context;
        }
        return *this;
    }

    InlayHintParams::InlayHintParams()
    {
        // empty
    }

    InlayHintParams::InlayHintParams(InlayHintParams &&other)
        : workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , range(std::move(other.range))
    {
        // empty
    }

    InlayHintParams::InlayHintParams(const InlayHintParams &other)
        : textDocument(other.textDocument)
        , range(other.range)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    InlayHintParams::~InlayHintParams()
    {
        // empty
    }

    auto InlayHintParams::operator=(
        InlayHintParams &&other
    ) -> InlayHintParams &
    {
        if (this != &other) {
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            range = std::move(other.range);
        }
        return *this;
    }

    auto InlayHintParams::operator=(
        const InlayHintParams &other
    ) -> InlayHintParams &
    {
        if (this != &other) {
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            range = other.range;
        }
        return *this;
    }

    InlineCompletionParams::InlineCompletionParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    InlineCompletionParams::InlineCompletionParams(
        InlineCompletionParams &&other
    )
        : TextDocumentPositionParams(other)
        , workDoneToken(std::move(other.workDoneToken))
        , context(std::move(other.context))
    {
        // empty
    }

    InlineCompletionParams::InlineCompletionParams(
        const InlineCompletionParams &other
    )
        : TextDocumentPositionParams(other)
        , context(other.context)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    InlineCompletionParams::~InlineCompletionParams()
    {
        // empty
    }

    auto InlineCompletionParams::operator=(
        InlineCompletionParams &&other
    ) -> InlineCompletionParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            workDoneToken = std::move(other.workDoneToken);
            context = std::move(other.context);
        }
        return *this;
    }

    auto InlineCompletionParams::operator=(
        const InlineCompletionParams &other
    ) -> InlineCompletionParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            context = other.context;
        }
        return *this;
    }

    HoverParams::HoverParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    HoverParams::HoverParams(HoverParams &&other)
        : TextDocumentPositionParams(other)
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    HoverParams::HoverParams(const HoverParams &other)
        : TextDocumentPositionParams(other)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    HoverParams::~HoverParams()
    {
        // empty
    }

    auto HoverParams::operator=(HoverParams &&other) -> HoverParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto HoverParams::operator=(const HoverParams &other) -> HoverParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    SignatureHelpParams::SignatureHelpParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    SignatureHelpParams::SignatureHelpParams(SignatureHelpParams &&other)
        : TextDocumentPositionParams(other)
        , workDoneToken(std::move(other.workDoneToken))
        , context(std::move(other.context))
    {
        // empty
    }

    SignatureHelpParams::SignatureHelpParams(const SignatureHelpParams &other)
        : TextDocumentPositionParams(other)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
        if (other.context.has_value()) {
            context = other.context.value();
        }
    }

    SignatureHelpParams::~SignatureHelpParams()
    {
        // empty
    }

    auto SignatureHelpParams::operator=(
        SignatureHelpParams &&other
    ) -> SignatureHelpParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            workDoneToken = std::move(other.workDoneToken);
            context = std::move(other.context);
        }
        return *this;
    }

    auto SignatureHelpParams::operator=(
        const SignatureHelpParams &other
    ) -> SignatureHelpParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            if (other.context.has_value()) {
                context = other.context.value();
            }
        }
        return *this;
    }

    DocumentFormattingParams::DocumentFormattingParams()
    {
        // empty
    }

    DocumentFormattingParams::DocumentFormattingParams(
        DocumentFormattingParams &&other
    )
        : workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , options(std::move(other.options))
    {
        // empty
    }

    DocumentFormattingParams::DocumentFormattingParams(
        const DocumentFormattingParams &other
    )
        : textDocument(other.textDocument)
        , options(other.options)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    DocumentFormattingParams::~DocumentFormattingParams()
    {
        // empty
    }

    auto DocumentFormattingParams::operator=(
        DocumentFormattingParams &&other
    ) -> DocumentFormattingParams &
    {
        if (this != &other) {
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            options = std::move(other.options);
        }
        return *this;
    }

    auto DocumentFormattingParams::operator=(
        const DocumentFormattingParams &other
    ) -> DocumentFormattingParams &
    {
        if (this != &other) {
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            options = other.options;
        }
        return *this;
    }

    DocumentRangeFormattingParams::DocumentRangeFormattingParams()
    {
        // empty
    }

    DocumentRangeFormattingParams::DocumentRangeFormattingParams(
        DocumentRangeFormattingParams &&other
    )
        : workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , range(std::move(other.range))
        , options(std::move(other.options))
    {
        // empty
    }

    DocumentRangeFormattingParams::DocumentRangeFormattingParams(
        const DocumentRangeFormattingParams &other
    )
        : textDocument(other.textDocument)
        , range(other.range)
        , options(other.options)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    DocumentRangeFormattingParams::~DocumentRangeFormattingParams()
    {
        // empty
    }

    auto DocumentRangeFormattingParams::operator=(
        DocumentRangeFormattingParams &&other
    ) -> DocumentRangeFormattingParams &
    {
        if (this != &other) {
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            range = std::move(other.range);
            options = std::move(other.options);
        }
        return *this;
    }

    auto DocumentRangeFormattingParams::operator=(
        const DocumentRangeFormattingParams &other
    ) -> DocumentRangeFormattingParams &
    {
        if (this != &other) {
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            range = other.range;
            options = other.options;
        }
        return *this;
    }

    DocumentRangesFormattingParams::DocumentRangesFormattingParams()
    {
        // empty
    }

    DocumentRangesFormattingParams::DocumentRangesFormattingParams(
        DocumentRangesFormattingParams &&other
    )
        : workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , ranges(std::move(other.ranges))
        , options(std::move(other.options))
    {
        // empty
    }

    DocumentRangesFormattingParams::DocumentRangesFormattingParams(
        const DocumentRangesFormattingParams &other
    )
        : textDocument(other.textDocument)
        , options(other.options)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
        ranges.reserve(other.ranges.size());
        for (const auto &elem_0 : other.ranges) {
            ranges.push_back(elem_0);
        }
    }

    DocumentRangesFormattingParams::~DocumentRangesFormattingParams()
    {
        // empty
    }

    auto DocumentRangesFormattingParams::operator=(
        DocumentRangesFormattingParams &&other
    ) -> DocumentRangesFormattingParams &
    {
        if (this != &other) {
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            ranges = std::move(other.ranges);
            options = std::move(other.options);
        }
        return *this;
    }

    auto DocumentRangesFormattingParams::operator=(
        const DocumentRangesFormattingParams &other
    ) -> DocumentRangesFormattingParams &
    {
        if (this != &other) {
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            ranges.reserve(other.ranges.size());
            for (const auto &elem_0 : other.ranges) {
                ranges.push_back(elem_0);
            }
            options = other.options;
        }
        return *this;
    }

    RenameParams::RenameParams()
    {
        // empty
    }

    RenameParams::RenameParams(RenameParams &&other)
        : workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , position(std::move(other.position))
        , newName(std::move(other.newName))
    {
        // empty
    }

    RenameParams::RenameParams(const RenameParams &other)
        : textDocument(other.textDocument)
        , position(other.position)
        , newName(other.newName)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    RenameParams::~RenameParams()
    {
        // empty
    }

    auto RenameParams::operator=(RenameParams &&other) -> RenameParams &
    {
        if (this != &other) {
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            position = std::move(other.position);
            newName = std::move(other.newName);
        }
        return *this;
    }

    auto RenameParams::operator=(const RenameParams &other) -> RenameParams &
    {
        if (this != &other) {
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            position = other.position;
            newName = other.newName;
        }
        return *this;
    }

    PrepareRenameParams::PrepareRenameParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    PrepareRenameParams::PrepareRenameParams(PrepareRenameParams &&other)
        : TextDocumentPositionParams(other)
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    PrepareRenameParams::PrepareRenameParams(const PrepareRenameParams &other)
        : TextDocumentPositionParams(other)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    PrepareRenameParams::~PrepareRenameParams()
    {
        // empty
    }

    auto PrepareRenameParams::operator=(
        PrepareRenameParams &&other
    ) -> PrepareRenameParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto PrepareRenameParams::operator=(
        const PrepareRenameParams &other
    ) -> PrepareRenameParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    PartialResultParams::PartialResultParams()
    {
        // empty
    }

    PartialResultParams::PartialResultParams(PartialResultParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
    {
        // empty
    }

    PartialResultParams::PartialResultParams(const PartialResultParams &other)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
    }

    PartialResultParams::~PartialResultParams()
    {
        // empty
    }

    auto PartialResultParams::operator=(
        PartialResultParams &&other
    ) -> PartialResultParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
        }
        return *this;
    }

    auto PartialResultParams::operator=(
        const PartialResultParams &other
    ) -> PartialResultParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
        }
        return *this;
    }

    ImplementationParams::ImplementationParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    ImplementationParams::ImplementationParams(ImplementationParams &&other)
        : TextDocumentPositionParams(other)
        , partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    ImplementationParams::ImplementationParams(
        const ImplementationParams &other
    )
        : TextDocumentPositionParams(other)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    ImplementationParams::~ImplementationParams()
    {
        // empty
    }

    auto ImplementationParams::operator=(
        ImplementationParams &&other
    ) -> ImplementationParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto ImplementationParams::operator=(
        const ImplementationParams &other
    ) -> ImplementationParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    TypeDefinitionParams::TypeDefinitionParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    TypeDefinitionParams::TypeDefinitionParams(TypeDefinitionParams &&other)
        : TextDocumentPositionParams(other)
        , partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    TypeDefinitionParams::TypeDefinitionParams(
        const TypeDefinitionParams &other
    )
        : TextDocumentPositionParams(other)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    TypeDefinitionParams::~TypeDefinitionParams()
    {
        // empty
    }

    auto TypeDefinitionParams::operator=(
        TypeDefinitionParams &&other
    ) -> TypeDefinitionParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto TypeDefinitionParams::operator=(
        const TypeDefinitionParams &other
    ) -> TypeDefinitionParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    DocumentColorParams::DocumentColorParams()
    {
        // empty
    }

    DocumentColorParams::DocumentColorParams(DocumentColorParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
    {
        // empty
    }

    DocumentColorParams::DocumentColorParams(const DocumentColorParams &other)
        : textDocument(other.textDocument)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    DocumentColorParams::~DocumentColorParams()
    {
        // empty
    }

    auto DocumentColorParams::operator=(
        DocumentColorParams &&other
    ) -> DocumentColorParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
        }
        return *this;
    }

    auto DocumentColorParams::operator=(
        const DocumentColorParams &other
    ) -> DocumentColorParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
        }
        return *this;
    }

    FoldingRangeParams::FoldingRangeParams()
    {
        // empty
    }

    FoldingRangeParams::FoldingRangeParams(FoldingRangeParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
    {
        // empty
    }

    FoldingRangeParams::FoldingRangeParams(const FoldingRangeParams &other)
        : textDocument(other.textDocument)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    FoldingRangeParams::~FoldingRangeParams()
    {
        // empty
    }

    auto FoldingRangeParams::operator=(
        FoldingRangeParams &&other
    ) -> FoldingRangeParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
        }
        return *this;
    }

    auto FoldingRangeParams::operator=(
        const FoldingRangeParams &other
    ) -> FoldingRangeParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
        }
        return *this;
    }

    DeclarationParams::DeclarationParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    DeclarationParams::DeclarationParams(DeclarationParams &&other)
        : TextDocumentPositionParams(other)
        , partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    DeclarationParams::DeclarationParams(const DeclarationParams &other)
        : TextDocumentPositionParams(other)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    DeclarationParams::~DeclarationParams()
    {
        // empty
    }

    auto DeclarationParams::operator=(
        DeclarationParams &&other
    ) -> DeclarationParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto DeclarationParams::operator=(
        const DeclarationParams &other
    ) -> DeclarationParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    SelectionRangeParams::SelectionRangeParams()
    {
        // empty
    }

    SelectionRangeParams::SelectionRangeParams(SelectionRangeParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , positions(std::move(other.positions))
    {
        // empty
    }

    SelectionRangeParams::SelectionRangeParams(
        const SelectionRangeParams &other
    )
        : textDocument(other.textDocument)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
        positions.reserve(other.positions.size());
        for (const auto &elem_0 : other.positions) {
            positions.push_back(elem_0);
        }
    }

    SelectionRangeParams::~SelectionRangeParams()
    {
        // empty
    }

    auto SelectionRangeParams::operator=(
        SelectionRangeParams &&other
    ) -> SelectionRangeParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            positions = std::move(other.positions);
        }
        return *this;
    }

    auto SelectionRangeParams::operator=(
        const SelectionRangeParams &other
    ) -> SelectionRangeParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            positions.reserve(other.positions.size());
            for (const auto &elem_0 : other.positions) {
                positions.push_back(elem_0);
            }
        }
        return *this;
    }

    SemanticTokensParams::SemanticTokensParams()
    {
        // empty
    }

    SemanticTokensParams::SemanticTokensParams(SemanticTokensParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
    {
        // empty
    }

    SemanticTokensParams::SemanticTokensParams(
        const SemanticTokensParams &other
    )
        : textDocument(other.textDocument)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    SemanticTokensParams::~SemanticTokensParams()
    {
        // empty
    }

    auto SemanticTokensParams::operator=(
        SemanticTokensParams &&other
    ) -> SemanticTokensParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
        }
        return *this;
    }

    auto SemanticTokensParams::operator=(
        const SemanticTokensParams &other
    ) -> SemanticTokensParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
        }
        return *this;
    }

    SemanticTokensDeltaParams::SemanticTokensDeltaParams()
    {
        // empty
    }

    SemanticTokensDeltaParams::SemanticTokensDeltaParams(
        SemanticTokensDeltaParams &&other
    )
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , previousResultId(std::move(other.previousResultId))
    {
        // empty
    }

    SemanticTokensDeltaParams::SemanticTokensDeltaParams(
        const SemanticTokensDeltaParams &other
    )
        : textDocument(other.textDocument)
        , previousResultId(other.previousResultId)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    SemanticTokensDeltaParams::~SemanticTokensDeltaParams()
    {
        // empty
    }

    auto SemanticTokensDeltaParams::operator=(
        SemanticTokensDeltaParams &&other
    ) -> SemanticTokensDeltaParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            previousResultId = std::move(other.previousResultId);
        }
        return *this;
    }

    auto SemanticTokensDeltaParams::operator=(
        const SemanticTokensDeltaParams &other
    ) -> SemanticTokensDeltaParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            previousResultId = other.previousResultId;
        }
        return *this;
    }

    SemanticTokensRangeParams::SemanticTokensRangeParams()
    {
        // empty
    }

    SemanticTokensRangeParams::SemanticTokensRangeParams(
        SemanticTokensRangeParams &&other
    )
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , range(std::move(other.range))
    {
        // empty
    }

    SemanticTokensRangeParams::SemanticTokensRangeParams(
        const SemanticTokensRangeParams &other
    )
        : textDocument(other.textDocument)
        , range(other.range)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    SemanticTokensRangeParams::~SemanticTokensRangeParams()
    {
        // empty
    }

    auto SemanticTokensRangeParams::operator=(
        SemanticTokensRangeParams &&other
    ) -> SemanticTokensRangeParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            range = std::move(other.range);
        }
        return *this;
    }

    auto SemanticTokensRangeParams::operator=(
        const SemanticTokensRangeParams &other
    ) -> SemanticTokensRangeParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            range = other.range;
        }
        return *this;
    }

    MonikerParams::MonikerParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    MonikerParams::MonikerParams(MonikerParams &&other)
        : TextDocumentPositionParams(other)
        , partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    MonikerParams::MonikerParams(const MonikerParams &other)
        : TextDocumentPositionParams(other)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    MonikerParams::~MonikerParams()
    {
        // empty
    }

    auto MonikerParams::operator=(MonikerParams &&other) -> MonikerParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto MonikerParams::operator=(
        const MonikerParams &other
    ) -> MonikerParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    DocumentDiagnosticParams::DocumentDiagnosticParams()
    {
        // empty
    }

    DocumentDiagnosticParams::DocumentDiagnosticParams(
        DocumentDiagnosticParams &&other
    )
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , identifier(std::move(other.identifier))
        , previousResultId(std::move(other.previousResultId))
    {
        // empty
    }

    DocumentDiagnosticParams::DocumentDiagnosticParams(
        const DocumentDiagnosticParams &other
    )
        : textDocument(other.textDocument)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
        if (other.identifier.has_value()) {
            identifier = other.identifier.value();
        }
        if (other.previousResultId.has_value()) {
            previousResultId = other.previousResultId.value();
        }
    }

    DocumentDiagnosticParams::~DocumentDiagnosticParams()
    {
        // empty
    }

    auto DocumentDiagnosticParams::operator=(
        DocumentDiagnosticParams &&other
    ) -> DocumentDiagnosticParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            identifier = std::move(other.identifier);
            previousResultId = std::move(other.previousResultId);
        }
        return *this;
    }

    auto DocumentDiagnosticParams::operator=(
        const DocumentDiagnosticParams &other
    ) -> DocumentDiagnosticParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            if (other.identifier.has_value()) {
                identifier = other.identifier.value();
            }
            if (other.previousResultId.has_value()) {
                previousResultId = other.previousResultId.value();
            }
        }
        return *this;
    }

    WorkspaceDiagnosticParams::WorkspaceDiagnosticParams()
    {
        // empty
    }

    WorkspaceDiagnosticParams::WorkspaceDiagnosticParams(
        WorkspaceDiagnosticParams &&other
    )
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , identifier(std::move(other.identifier))
        , previousResultIds(std::move(other.previousResultIds))
    {
        // empty
    }

    WorkspaceDiagnosticParams::WorkspaceDiagnosticParams(
        const WorkspaceDiagnosticParams &other
    )
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
        if (other.identifier.has_value()) {
            identifier = other.identifier.value();
        }
        previousResultIds.reserve(other.previousResultIds.size());
        for (const auto &elem_0 : other.previousResultIds) {
            previousResultIds.push_back(elem_0);
        }
    }

    WorkspaceDiagnosticParams::~WorkspaceDiagnosticParams()
    {
        // empty
    }

    auto WorkspaceDiagnosticParams::operator=(
        WorkspaceDiagnosticParams &&other
    ) -> WorkspaceDiagnosticParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            identifier = std::move(other.identifier);
            previousResultIds = std::move(other.previousResultIds);
        }
        return *this;
    }

    auto WorkspaceDiagnosticParams::operator=(
        const WorkspaceDiagnosticParams &other
    ) -> WorkspaceDiagnosticParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            if (other.identifier.has_value()) {
                identifier = other.identifier.value();
            }
            previousResultIds.reserve(other.previousResultIds.size());
            for (const auto &elem_0 : other.previousResultIds) {
                previousResultIds.push_back(elem_0);
            }
        }
        return *this;
    }

    CompletionParams::CompletionParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    CompletionParams::CompletionParams(CompletionParams &&other)
        : TextDocumentPositionParams(other)
        , partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , context(std::move(other.context))
    {
        // empty
    }

    CompletionParams::CompletionParams(const CompletionParams &other)
        : TextDocumentPositionParams(other)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
        if (other.context.has_value()) {
            context = other.context.value();
        }
    }

    CompletionParams::~CompletionParams()
    {
        // empty
    }

    auto CompletionParams::operator=(
        CompletionParams &&other
    ) -> CompletionParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            context = std::move(other.context);
        }
        return *this;
    }

    auto CompletionParams::operator=(
        const CompletionParams &other
    ) -> CompletionParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            if (other.context.has_value()) {
                context = other.context.value();
            }
        }
        return *this;
    }

    DefinitionParams::DefinitionParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    DefinitionParams::DefinitionParams(DefinitionParams &&other)
        : TextDocumentPositionParams(other)
        , partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    DefinitionParams::DefinitionParams(const DefinitionParams &other)
        : TextDocumentPositionParams(other)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    DefinitionParams::~DefinitionParams()
    {
        // empty
    }

    auto DefinitionParams::operator=(
        DefinitionParams &&other
    ) -> DefinitionParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto DefinitionParams::operator=(
        const DefinitionParams &other
    ) -> DefinitionParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    ReferenceParams::ReferenceParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    ReferenceParams::ReferenceParams(ReferenceParams &&other)
        : TextDocumentPositionParams(other)
        , partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , context(std::move(other.context))
    {
        // empty
    }

    ReferenceParams::ReferenceParams(const ReferenceParams &other)
        : TextDocumentPositionParams(other)
        , context(other.context)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    ReferenceParams::~ReferenceParams()
    {
        // empty
    }

    auto ReferenceParams::operator=(
        ReferenceParams &&other
    ) -> ReferenceParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            context = std::move(other.context);
        }
        return *this;
    }

    auto ReferenceParams::operator=(
        const ReferenceParams &other
    ) -> ReferenceParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            context = other.context;
        }
        return *this;
    }

    DocumentHighlightParams::DocumentHighlightParams()
        : TextDocumentPositionParams()
    {
        // empty
    }

    DocumentHighlightParams::DocumentHighlightParams(
        DocumentHighlightParams &&other
    )
        : TextDocumentPositionParams(other)
        , partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
    {
        // empty
    }

    DocumentHighlightParams::DocumentHighlightParams(
        const DocumentHighlightParams &other
    )
        : TextDocumentPositionParams(other)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    DocumentHighlightParams::~DocumentHighlightParams()
    {
        // empty
    }

    auto DocumentHighlightParams::operator=(
        DocumentHighlightParams &&other
    ) -> DocumentHighlightParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
        }
        return *this;
    }

    auto DocumentHighlightParams::operator=(
        const DocumentHighlightParams &other
    ) -> DocumentHighlightParams &
    {
        if (this != &other) {
            TextDocumentPositionParams::operator=(other);
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
        }
        return *this;
    }

    DocumentSymbolParams::DocumentSymbolParams()
    {
        // empty
    }

    DocumentSymbolParams::DocumentSymbolParams(DocumentSymbolParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
    {
        // empty
    }

    DocumentSymbolParams::DocumentSymbolParams(
        const DocumentSymbolParams &other
    )
        : textDocument(other.textDocument)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    DocumentSymbolParams::~DocumentSymbolParams()
    {
        // empty
    }

    auto DocumentSymbolParams::operator=(
        DocumentSymbolParams &&other
    ) -> DocumentSymbolParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
        }
        return *this;
    }

    auto DocumentSymbolParams::operator=(
        const DocumentSymbolParams &other
    ) -> DocumentSymbolParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
        }
        return *this;
    }

    WorkspaceSymbolParams::WorkspaceSymbolParams()
    {
        // empty
    }

    WorkspaceSymbolParams::WorkspaceSymbolParams(WorkspaceSymbolParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , query(std::move(other.query))
    {
        // empty
    }

    WorkspaceSymbolParams::WorkspaceSymbolParams(
        const WorkspaceSymbolParams &other
    )
        : query(other.query)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    WorkspaceSymbolParams::~WorkspaceSymbolParams()
    {
        // empty
    }

    auto WorkspaceSymbolParams::operator=(
        WorkspaceSymbolParams &&other
    ) -> WorkspaceSymbolParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            query = std::move(other.query);
        }
        return *this;
    }

    auto WorkspaceSymbolParams::operator=(
        const WorkspaceSymbolParams &other
    ) -> WorkspaceSymbolParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            query = other.query;
        }
        return *this;
    }

    CodeLensParams::CodeLensParams()
    {
        // empty
    }

    CodeLensParams::CodeLensParams(CodeLensParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
    {
        // empty
    }

    CodeLensParams::CodeLensParams(const CodeLensParams &other)
        : textDocument(other.textDocument)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    CodeLensParams::~CodeLensParams()
    {
        // empty
    }

    auto CodeLensParams::operator=(CodeLensParams &&other) -> CodeLensParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
        }
        return *this;
    }

    auto CodeLensParams::operator=(
        const CodeLensParams &other
    ) -> CodeLensParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
        }
        return *this;
    }

    DocumentLinkParams::DocumentLinkParams()
    {
        // empty
    }

    DocumentLinkParams::DocumentLinkParams(DocumentLinkParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
    {
        // empty
    }

    DocumentLinkParams::DocumentLinkParams(const DocumentLinkParams &other)
        : textDocument(other.textDocument)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    DocumentLinkParams::~DocumentLinkParams()
    {
        // empty
    }

    auto DocumentLinkParams::operator=(
        DocumentLinkParams &&other
    ) -> DocumentLinkParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
        }
        return *this;
    }

    auto DocumentLinkParams::operator=(
        const DocumentLinkParams &other
    ) -> DocumentLinkParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
        }
        return *this;
    }

    const std::map<RequestIdType, std::string> RequestIdTypeNames = {
        {RequestIdType::Uninitialized, "Uninitialized"},
        {RequestIdType::Integer, "Integer"},
        {RequestIdType::String, "String"},
    };

    RequestId::RequestId()
    {
        // empty
    }

    RequestId::~RequestId()
    {
        reset();
    }

    RequestId::RequestId(RequestId &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case RequestIdType::Integer: {
            _integer = other._integer;
            break;
        }
        case RequestIdType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case RequestIdType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = RequestIdType::Uninitialized;
    }

    RequestId::RequestId(const RequestId &other)
        : _type(other._type)
    {
        switch (other._type) {
        case RequestIdType::Integer: {
            _integer = other._integer;
            break;
        }
        case RequestIdType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case RequestIdType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto RequestId::operator=(RequestId &&other) -> RequestId &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case RequestIdType::Integer: {
                _integer = other._integer;
                break;
            }
            case RequestIdType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case RequestIdType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = RequestIdType::Uninitialized;
        }
        return *this;
    }

    auto RequestId::operator=(const RequestId &other) -> RequestId &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case RequestIdType::Integer: {
                _integer = other._integer;
                break;
            }
            case RequestIdType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case RequestIdType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto RequestId::reset() -> void
    {
        switch (_type) {
        case RequestIdType::Uninitialized: {
            // nothing to do
            break;
        }
        case RequestIdType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = RequestIdType::Uninitialized;
            break;
        }
        default: {
            _type = RequestIdType::Uninitialized;
        }
        }
    }

    auto RequestId::type() const -> const RequestIdType &
    {
        return _type;
    }

    auto RequestId::integer() const -> const integer_t &
    {
#ifdef DEBUG
        if (_type != RequestIdType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "RequestId::integer()"
                 " of type "
                 "RequestIdType::Integer"
                 " while active type is "
                 "RequestIdType::" +
                 RequestIdTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto RequestId::operator=(integer_t integer) -> RequestId &
    {
        if (_type != RequestIdType::Uninitialized) {
            reset();
        }
        _integer = integer;
        _type = RequestIdType::Integer;
        return *this;
    }

    auto RequestId::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != RequestIdType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "RequestId::string()"
                 " of type "
                 "RequestIdType::String"
                 " while active type is "
                 "RequestIdType::" +
                 RequestIdTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto RequestId::operator=(
        const std::unique_ptr<string_t> &string
    ) -> RequestId &
    {
        if (_type != RequestIdType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = RequestIdType::String;
        return *this;
    }

    auto RequestId::operator=(
        std::unique_ptr<string_t> &&string
    ) -> RequestId &
    {
        if (_type != RequestIdType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = RequestIdType::String;
        return *this;
    }

    auto RequestId::operator=(const string_t &string) -> RequestId &
    {
        if (_type != RequestIdType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = RequestIdType::String;
        return *this;
    }

    auto RequestId::operator=(string_t &&string) -> RequestId &
    {
        if (_type != RequestIdType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = RequestIdType::String;
        return *this;
    }

    const std::map<ResponseIdType, std::string> ResponseIdTypeNames = {
        {ResponseIdType::Uninitialized, "Uninitialized"},
        {ResponseIdType::Integer, "Integer"},
        {ResponseIdType::String, "String"},
        {ResponseIdType::Null, "Null"},
    };

    ResponseId::ResponseId()
    {
        // empty
    }

    ResponseId::~ResponseId()
    {
        reset();
    }

    ResponseId::ResponseId(ResponseId &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case ResponseIdType::Integer: {
            _integer = other._integer;
            break;
        }
        case ResponseIdType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case ResponseIdType::Null: {
            _null = other._null;
            break;
        }
        case ResponseIdType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = ResponseIdType::Uninitialized;
    }

    ResponseId::ResponseId(const ResponseId &other)
        : _type(other._type)
    {
        switch (other._type) {
        case ResponseIdType::Integer: {
            _integer = other._integer;
            break;
        }
        case ResponseIdType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case ResponseIdType::Null: {
            _null = other._null;
            break;
        }
        case ResponseIdType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ResponseId::operator=(ResponseId &&other) -> ResponseId &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ResponseIdType::Integer: {
                _integer = other._integer;
                break;
            }
            case ResponseIdType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case ResponseIdType::Null: {
                _null = other._null;
                break;
            }
            case ResponseIdType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = ResponseIdType::Uninitialized;
        }
        return *this;
    }

    auto ResponseId::operator=(const ResponseId &other) -> ResponseId &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ResponseIdType::Integer: {
                _integer = other._integer;
                break;
            }
            case ResponseIdType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case ResponseIdType::Null: {
                _null = other._null;
                break;
            }
            case ResponseIdType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ResponseId::reset() -> void
    {
        switch (_type) {
        case ResponseIdType::Uninitialized: {
            // nothing to do
            break;
        }
        case ResponseIdType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = ResponseIdType::Uninitialized;
            break;
        }
        default: {
            _type = ResponseIdType::Uninitialized;
        }
        }
    }

    auto ResponseId::type() const -> const ResponseIdType &
    {
        return _type;
    }

    auto ResponseId::integer() const -> const integer_t &
    {
#ifdef DEBUG
        if (_type != ResponseIdType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "ResponseId::integer()"
                 " of type "
                 "ResponseIdType::Integer"
                 " while active type is "
                 "ResponseIdType::" +
                 ResponseIdTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto ResponseId::operator=(integer_t integer) -> ResponseId &
    {
        if (_type != ResponseIdType::Uninitialized) {
            reset();
        }
        _integer = integer;
        _type = ResponseIdType::Integer;
        return *this;
    }

    auto ResponseId::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != ResponseIdType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "ResponseId::string()"
                 " of type "
                 "ResponseIdType::String"
                 " while active type is "
                 "ResponseIdType::" +
                 ResponseIdTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto ResponseId::operator=(
        const std::unique_ptr<string_t> &string
    ) -> ResponseId &
    {
        if (_type != ResponseIdType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = ResponseIdType::String;
        return *this;
    }

    auto ResponseId::operator=(
        std::unique_ptr<string_t> &&string
    ) -> ResponseId &
    {
        if (_type != ResponseIdType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = ResponseIdType::String;
        return *this;
    }

    auto ResponseId::operator=(const string_t &string) -> ResponseId &
    {
        if (_type != ResponseIdType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = ResponseIdType::String;
        return *this;
    }

    auto ResponseId::operator=(string_t &&string) -> ResponseId &
    {
        if (_type != ResponseIdType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = ResponseIdType::String;
        return *this;
    }

    auto ResponseId::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != ResponseIdType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "ResponseId::null()"
                 " of type "
                 "ResponseIdType::Null"
                 " while active type is "
                 "ResponseIdType::" +
                 ResponseIdTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto ResponseId::operator=(null_t null) -> ResponseId &
    {
        if (_type != ResponseIdType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = ResponseIdType::Null;
        return *this;
    }

    const std::map<Workspace_WillCreateFilesResultType, std::string>
    Workspace_WillCreateFilesResultTypeNames = {
        {Workspace_WillCreateFilesResultType::Uninitialized, "Uninitialized"},
        {Workspace_WillCreateFilesResultType::WorkspaceEdit, "WorkspaceEdit"},
        {Workspace_WillCreateFilesResultType::Null, "Null"},
    };

    Workspace_WillCreateFilesResult::Workspace_WillCreateFilesResult()
    {
        // empty
    }

    Workspace_WillCreateFilesResult::~Workspace_WillCreateFilesResult()
    {
        reset();
    }

    Workspace_WillCreateFilesResult::Workspace_WillCreateFilesResult(
        Workspace_WillCreateFilesResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_WillCreateFilesResultType::WorkspaceEdit: {
            new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                std::move(other._workspaceEdit)
            };
            break;
        }
        case Workspace_WillCreateFilesResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_WillCreateFilesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Workspace_WillCreateFilesResultType::Uninitialized;
    }

    Workspace_WillCreateFilesResult::Workspace_WillCreateFilesResult(
        const Workspace_WillCreateFilesResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_WillCreateFilesResultType::WorkspaceEdit: {
            new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                std::make_unique<WorkspaceEdit>(*other._workspaceEdit)
            };
            break;
        }
        case Workspace_WillCreateFilesResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_WillCreateFilesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Workspace_WillCreateFilesResult::operator=(
        Workspace_WillCreateFilesResult &&other
    ) -> Workspace_WillCreateFilesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_WillCreateFilesResultType::WorkspaceEdit: {
                new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                    std::move(other._workspaceEdit)
                };
                break;
            }
            case Workspace_WillCreateFilesResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_WillCreateFilesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Workspace_WillCreateFilesResultType::Uninitialized;
        }
        return *this;
    }

    auto Workspace_WillCreateFilesResult::operator=(
        const Workspace_WillCreateFilesResult &other
    ) -> Workspace_WillCreateFilesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_WillCreateFilesResultType::WorkspaceEdit: {
                new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                    std::make_unique<WorkspaceEdit>(*other._workspaceEdit)
                };
                break;
            }
            case Workspace_WillCreateFilesResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_WillCreateFilesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Workspace_WillCreateFilesResult::reset() -> void
    {
        switch (_type) {
        case Workspace_WillCreateFilesResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case Workspace_WillCreateFilesResultType::WorkspaceEdit: {
#ifdef DEBUG
            if (!_workspaceEdit) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceEdit"
                );
            }
#endif // DEBUG
            _workspaceEdit.~unique_ptr<WorkspaceEdit>();
            _type = Workspace_WillCreateFilesResultType::Uninitialized;
            break;
        }
        default: {
            _type = Workspace_WillCreateFilesResultType::Uninitialized;
        }
        }
    }

    auto Workspace_WillCreateFilesResult::type() const
    -> const Workspace_WillCreateFilesResultType &
    {
        return _type;
    }

    auto Workspace_WillCreateFilesResult::workspaceEdit() const
    -> const WorkspaceEdit &
    {
#ifdef DEBUG
        if (_type != Workspace_WillCreateFilesResultType::WorkspaceEdit) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_WillCreateFilesResult::workspaceEdit()"
                 " of type "
                 "Workspace_WillCreateFilesResultType::WorkspaceEdit"
                 " while active type is "
                 "Workspace_WillCreateFilesResultType::" +
                 Workspace_WillCreateFilesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceEdit;
    }

    auto Workspace_WillCreateFilesResult::operator=(
        const std::unique_ptr<WorkspaceEdit> &workspaceEdit
    ) -> Workspace_WillCreateFilesResult &
    {
        if (_type != Workspace_WillCreateFilesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceEdit) {
            throw std::logic_error(
                "null passed as the value of workspaceEdit"
            );
        }
#endif // DEBUG
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(*workspaceEdit)
        };
        _type = Workspace_WillCreateFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillCreateFilesResult::operator=(
        std::unique_ptr<WorkspaceEdit> &&workspaceEdit
    ) -> Workspace_WillCreateFilesResult &
    {
        if (_type != Workspace_WillCreateFilesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceEdit) {
            throw std::logic_error(
                "null passed as the value of workspaceEdit"
            );
        }
#endif // DEBUG
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::move(workspaceEdit)
        };
        _type = Workspace_WillCreateFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillCreateFilesResult::operator=(
        const WorkspaceEdit &workspaceEdit
    ) -> Workspace_WillCreateFilesResult &
    {
        if (_type != Workspace_WillCreateFilesResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(workspaceEdit)
        };
        _type = Workspace_WillCreateFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillCreateFilesResult::operator=(
        WorkspaceEdit &&workspaceEdit
    ) -> Workspace_WillCreateFilesResult &
    {
        if (_type != Workspace_WillCreateFilesResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(std::move(workspaceEdit))
        };
        _type = Workspace_WillCreateFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillCreateFilesResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != Workspace_WillCreateFilesResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_WillCreateFilesResult::null()"
                 " of type "
                 "Workspace_WillCreateFilesResultType::Null"
                 " while active type is "
                 "Workspace_WillCreateFilesResultType::" +
                 Workspace_WillCreateFilesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto Workspace_WillCreateFilesResult::operator=(
        null_t null
    ) -> Workspace_WillCreateFilesResult &
    {
        if (_type != Workspace_WillCreateFilesResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = Workspace_WillCreateFilesResultType::Null;
        return *this;
    }

    const std::map<Workspace_WillRenameFilesResultType, std::string>
    Workspace_WillRenameFilesResultTypeNames = {
        {Workspace_WillRenameFilesResultType::Uninitialized, "Uninitialized"},
        {Workspace_WillRenameFilesResultType::WorkspaceEdit, "WorkspaceEdit"},
        {Workspace_WillRenameFilesResultType::Null, "Null"},
    };

    Workspace_WillRenameFilesResult::Workspace_WillRenameFilesResult()
    {
        // empty
    }

    Workspace_WillRenameFilesResult::~Workspace_WillRenameFilesResult()
    {
        reset();
    }

    Workspace_WillRenameFilesResult::Workspace_WillRenameFilesResult(
        Workspace_WillRenameFilesResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_WillRenameFilesResultType::WorkspaceEdit: {
            new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                std::move(other._workspaceEdit)
            };
            break;
        }
        case Workspace_WillRenameFilesResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_WillRenameFilesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Workspace_WillRenameFilesResultType::Uninitialized;
    }

    Workspace_WillRenameFilesResult::Workspace_WillRenameFilesResult(
        const Workspace_WillRenameFilesResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_WillRenameFilesResultType::WorkspaceEdit: {
            new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                std::make_unique<WorkspaceEdit>(*other._workspaceEdit)
            };
            break;
        }
        case Workspace_WillRenameFilesResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_WillRenameFilesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Workspace_WillRenameFilesResult::operator=(
        Workspace_WillRenameFilesResult &&other
    ) -> Workspace_WillRenameFilesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_WillRenameFilesResultType::WorkspaceEdit: {
                new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                    std::move(other._workspaceEdit)
                };
                break;
            }
            case Workspace_WillRenameFilesResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_WillRenameFilesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Workspace_WillRenameFilesResultType::Uninitialized;
        }
        return *this;
    }

    auto Workspace_WillRenameFilesResult::operator=(
        const Workspace_WillRenameFilesResult &other
    ) -> Workspace_WillRenameFilesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_WillRenameFilesResultType::WorkspaceEdit: {
                new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                    std::make_unique<WorkspaceEdit>(*other._workspaceEdit)
                };
                break;
            }
            case Workspace_WillRenameFilesResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_WillRenameFilesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Workspace_WillRenameFilesResult::reset() -> void
    {
        switch (_type) {
        case Workspace_WillRenameFilesResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case Workspace_WillRenameFilesResultType::WorkspaceEdit: {
#ifdef DEBUG
            if (!_workspaceEdit) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceEdit"
                );
            }
#endif // DEBUG
            _workspaceEdit.~unique_ptr<WorkspaceEdit>();
            _type = Workspace_WillRenameFilesResultType::Uninitialized;
            break;
        }
        default: {
            _type = Workspace_WillRenameFilesResultType::Uninitialized;
        }
        }
    }

    auto Workspace_WillRenameFilesResult::type() const
    -> const Workspace_WillRenameFilesResultType &
    {
        return _type;
    }

    auto Workspace_WillRenameFilesResult::workspaceEdit() const
    -> const WorkspaceEdit &
    {
#ifdef DEBUG
        if (_type != Workspace_WillRenameFilesResultType::WorkspaceEdit) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_WillRenameFilesResult::workspaceEdit()"
                 " of type "
                 "Workspace_WillRenameFilesResultType::WorkspaceEdit"
                 " while active type is "
                 "Workspace_WillRenameFilesResultType::" +
                 Workspace_WillRenameFilesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceEdit;
    }

    auto Workspace_WillRenameFilesResult::operator=(
        const std::unique_ptr<WorkspaceEdit> &workspaceEdit
    ) -> Workspace_WillRenameFilesResult &
    {
        if (_type != Workspace_WillRenameFilesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceEdit) {
            throw std::logic_error(
                "null passed as the value of workspaceEdit"
            );
        }
#endif // DEBUG
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(*workspaceEdit)
        };
        _type = Workspace_WillRenameFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillRenameFilesResult::operator=(
        std::unique_ptr<WorkspaceEdit> &&workspaceEdit
    ) -> Workspace_WillRenameFilesResult &
    {
        if (_type != Workspace_WillRenameFilesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceEdit) {
            throw std::logic_error(
                "null passed as the value of workspaceEdit"
            );
        }
#endif // DEBUG
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::move(workspaceEdit)
        };
        _type = Workspace_WillRenameFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillRenameFilesResult::operator=(
        const WorkspaceEdit &workspaceEdit
    ) -> Workspace_WillRenameFilesResult &
    {
        if (_type != Workspace_WillRenameFilesResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(workspaceEdit)
        };
        _type = Workspace_WillRenameFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillRenameFilesResult::operator=(
        WorkspaceEdit &&workspaceEdit
    ) -> Workspace_WillRenameFilesResult &
    {
        if (_type != Workspace_WillRenameFilesResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(std::move(workspaceEdit))
        };
        _type = Workspace_WillRenameFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillRenameFilesResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != Workspace_WillRenameFilesResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_WillRenameFilesResult::null()"
                 " of type "
                 "Workspace_WillRenameFilesResultType::Null"
                 " while active type is "
                 "Workspace_WillRenameFilesResultType::" +
                 Workspace_WillRenameFilesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto Workspace_WillRenameFilesResult::operator=(
        null_t null
    ) -> Workspace_WillRenameFilesResult &
    {
        if (_type != Workspace_WillRenameFilesResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = Workspace_WillRenameFilesResultType::Null;
        return *this;
    }

    const std::map<Workspace_WillDeleteFilesResultType, std::string>
    Workspace_WillDeleteFilesResultTypeNames = {
        {Workspace_WillDeleteFilesResultType::Uninitialized, "Uninitialized"},
        {Workspace_WillDeleteFilesResultType::WorkspaceEdit, "WorkspaceEdit"},
        {Workspace_WillDeleteFilesResultType::Null, "Null"},
    };

    Workspace_WillDeleteFilesResult::Workspace_WillDeleteFilesResult()
    {
        // empty
    }

    Workspace_WillDeleteFilesResult::~Workspace_WillDeleteFilesResult()
    {
        reset();
    }

    Workspace_WillDeleteFilesResult::Workspace_WillDeleteFilesResult(
        Workspace_WillDeleteFilesResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_WillDeleteFilesResultType::WorkspaceEdit: {
            new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                std::move(other._workspaceEdit)
            };
            break;
        }
        case Workspace_WillDeleteFilesResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_WillDeleteFilesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Workspace_WillDeleteFilesResultType::Uninitialized;
    }

    Workspace_WillDeleteFilesResult::Workspace_WillDeleteFilesResult(
        const Workspace_WillDeleteFilesResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_WillDeleteFilesResultType::WorkspaceEdit: {
            new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                std::make_unique<WorkspaceEdit>(*other._workspaceEdit)
            };
            break;
        }
        case Workspace_WillDeleteFilesResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_WillDeleteFilesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Workspace_WillDeleteFilesResult::operator=(
        Workspace_WillDeleteFilesResult &&other
    ) -> Workspace_WillDeleteFilesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_WillDeleteFilesResultType::WorkspaceEdit: {
                new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                    std::move(other._workspaceEdit)
                };
                break;
            }
            case Workspace_WillDeleteFilesResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_WillDeleteFilesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Workspace_WillDeleteFilesResultType::Uninitialized;
        }
        return *this;
    }

    auto Workspace_WillDeleteFilesResult::operator=(
        const Workspace_WillDeleteFilesResult &other
    ) -> Workspace_WillDeleteFilesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_WillDeleteFilesResultType::WorkspaceEdit: {
                new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                    std::make_unique<WorkspaceEdit>(*other._workspaceEdit)
                };
                break;
            }
            case Workspace_WillDeleteFilesResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_WillDeleteFilesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Workspace_WillDeleteFilesResult::reset() -> void
    {
        switch (_type) {
        case Workspace_WillDeleteFilesResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case Workspace_WillDeleteFilesResultType::WorkspaceEdit: {
#ifdef DEBUG
            if (!_workspaceEdit) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceEdit"
                );
            }
#endif // DEBUG
            _workspaceEdit.~unique_ptr<WorkspaceEdit>();
            _type = Workspace_WillDeleteFilesResultType::Uninitialized;
            break;
        }
        default: {
            _type = Workspace_WillDeleteFilesResultType::Uninitialized;
        }
        }
    }

    auto Workspace_WillDeleteFilesResult::type() const
    -> const Workspace_WillDeleteFilesResultType &
    {
        return _type;
    }

    auto Workspace_WillDeleteFilesResult::workspaceEdit() const
    -> const WorkspaceEdit &
    {
#ifdef DEBUG
        if (_type != Workspace_WillDeleteFilesResultType::WorkspaceEdit) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_WillDeleteFilesResult::workspaceEdit()"
                 " of type "
                 "Workspace_WillDeleteFilesResultType::WorkspaceEdit"
                 " while active type is "
                 "Workspace_WillDeleteFilesResultType::" +
                 Workspace_WillDeleteFilesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceEdit;
    }

    auto Workspace_WillDeleteFilesResult::operator=(
        const std::unique_ptr<WorkspaceEdit> &workspaceEdit
    ) -> Workspace_WillDeleteFilesResult &
    {
        if (_type != Workspace_WillDeleteFilesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceEdit) {
            throw std::logic_error(
                "null passed as the value of workspaceEdit"
            );
        }
#endif // DEBUG
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(*workspaceEdit)
        };
        _type = Workspace_WillDeleteFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillDeleteFilesResult::operator=(
        std::unique_ptr<WorkspaceEdit> &&workspaceEdit
    ) -> Workspace_WillDeleteFilesResult &
    {
        if (_type != Workspace_WillDeleteFilesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceEdit) {
            throw std::logic_error(
                "null passed as the value of workspaceEdit"
            );
        }
#endif // DEBUG
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::move(workspaceEdit)
        };
        _type = Workspace_WillDeleteFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillDeleteFilesResult::operator=(
        const WorkspaceEdit &workspaceEdit
    ) -> Workspace_WillDeleteFilesResult &
    {
        if (_type != Workspace_WillDeleteFilesResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(workspaceEdit)
        };
        _type = Workspace_WillDeleteFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillDeleteFilesResult::operator=(
        WorkspaceEdit &&workspaceEdit
    ) -> Workspace_WillDeleteFilesResult &
    {
        if (_type != Workspace_WillDeleteFilesResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(std::move(workspaceEdit))
        };
        _type = Workspace_WillDeleteFilesResultType::WorkspaceEdit;
        return *this;
    }

    auto Workspace_WillDeleteFilesResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != Workspace_WillDeleteFilesResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_WillDeleteFilesResult::null()"
                 " of type "
                 "Workspace_WillDeleteFilesResultType::Null"
                 " while active type is "
                 "Workspace_WillDeleteFilesResultType::" +
                 Workspace_WillDeleteFilesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto Workspace_WillDeleteFilesResult::operator=(
        null_t null
    ) -> Workspace_WillDeleteFilesResult &
    {
        if (_type != Workspace_WillDeleteFilesResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = Workspace_WillDeleteFilesResultType::Null;
        return *this;
    }

    const std::map<TextDocument_RenameResultType, std::string>
    TextDocument_RenameResultTypeNames = {
        {TextDocument_RenameResultType::Uninitialized, "Uninitialized"},
        {TextDocument_RenameResultType::WorkspaceEdit, "WorkspaceEdit"},
        {TextDocument_RenameResultType::Null, "Null"},
    };

    TextDocument_RenameResult::TextDocument_RenameResult()
    {
        // empty
    }

    TextDocument_RenameResult::~TextDocument_RenameResult()
    {
        reset();
    }

    TextDocument_RenameResult::TextDocument_RenameResult(
        TextDocument_RenameResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_RenameResultType::WorkspaceEdit: {
            new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                std::move(other._workspaceEdit)
            };
            break;
        }
        case TextDocument_RenameResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_RenameResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_RenameResultType::Uninitialized;
    }

    TextDocument_RenameResult::TextDocument_RenameResult(
        const TextDocument_RenameResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_RenameResultType::WorkspaceEdit: {
            new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                std::make_unique<WorkspaceEdit>(*other._workspaceEdit)
            };
            break;
        }
        case TextDocument_RenameResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_RenameResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_RenameResult::operator=(
        TextDocument_RenameResult &&other
    ) -> TextDocument_RenameResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_RenameResultType::WorkspaceEdit: {
                new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                    std::move(other._workspaceEdit)
                };
                break;
            }
            case TextDocument_RenameResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_RenameResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_RenameResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_RenameResult::operator=(
        const TextDocument_RenameResult &other
    ) -> TextDocument_RenameResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_RenameResultType::WorkspaceEdit: {
                new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
                    std::make_unique<WorkspaceEdit>(*other._workspaceEdit)
                };
                break;
            }
            case TextDocument_RenameResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_RenameResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_RenameResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_RenameResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_RenameResultType::WorkspaceEdit: {
#ifdef DEBUG
            if (!_workspaceEdit) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceEdit"
                );
            }
#endif // DEBUG
            _workspaceEdit.~unique_ptr<WorkspaceEdit>();
            _type = TextDocument_RenameResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_RenameResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_RenameResult::type() const
    -> const TextDocument_RenameResultType &
    {
        return _type;
    }

    auto TextDocument_RenameResult::workspaceEdit() const
    -> const WorkspaceEdit &
    {
#ifdef DEBUG
        if (_type != TextDocument_RenameResultType::WorkspaceEdit) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_RenameResult::workspaceEdit()"
                 " of type "
                 "TextDocument_RenameResultType::WorkspaceEdit"
                 " while active type is "
                 "TextDocument_RenameResultType::" +
                 TextDocument_RenameResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceEdit;
    }

    auto TextDocument_RenameResult::operator=(
        const std::unique_ptr<WorkspaceEdit> &workspaceEdit
    ) -> TextDocument_RenameResult &
    {
        if (_type != TextDocument_RenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceEdit) {
            throw std::logic_error(
                "null passed as the value of workspaceEdit"
            );
        }
#endif // DEBUG
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(*workspaceEdit)
        };
        _type = TextDocument_RenameResultType::WorkspaceEdit;
        return *this;
    }

    auto TextDocument_RenameResult::operator=(
        std::unique_ptr<WorkspaceEdit> &&workspaceEdit
    ) -> TextDocument_RenameResult &
    {
        if (_type != TextDocument_RenameResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceEdit) {
            throw std::logic_error(
                "null passed as the value of workspaceEdit"
            );
        }
#endif // DEBUG
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::move(workspaceEdit)
        };
        _type = TextDocument_RenameResultType::WorkspaceEdit;
        return *this;
    }

    auto TextDocument_RenameResult::operator=(
        const WorkspaceEdit &workspaceEdit
    ) -> TextDocument_RenameResult &
    {
        if (_type != TextDocument_RenameResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(workspaceEdit)
        };
        _type = TextDocument_RenameResultType::WorkspaceEdit;
        return *this;
    }

    auto TextDocument_RenameResult::operator=(
        WorkspaceEdit &&workspaceEdit
    ) -> TextDocument_RenameResult &
    {
        if (_type != TextDocument_RenameResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceEdit) std::unique_ptr<WorkspaceEdit> {
            std::make_unique<WorkspaceEdit>(std::move(workspaceEdit))
        };
        _type = TextDocument_RenameResultType::WorkspaceEdit;
        return *this;
    }

    auto TextDocument_RenameResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_RenameResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_RenameResult::null()"
                 " of type "
                 "TextDocument_RenameResultType::Null"
                 " while active type is "
                 "TextDocument_RenameResultType::" +
                 TextDocument_RenameResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_RenameResult::operator=(
        null_t null
    ) -> TextDocument_RenameResult &
    {
        if (_type != TextDocument_RenameResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_RenameResultType::Null;
        return *this;
    }

    Color::Color()
    {
        // empty
    }

    Color::Color(Color &&other)
        : red(other.red)
        , green(other.green)
        , blue(other.blue)
        , alpha(other.alpha)
    {
        // empty
    }

    Color::Color(const Color &other)
        : red(other.red)
        , green(other.green)
        , blue(other.blue)
        , alpha(other.alpha)
    {
    }

    Color::~Color()
    {
        // empty
    }

    auto Color::operator=(Color &&other) -> Color &
    {
        if (this != &other) {
            red = other.red;
            green = other.green;
            blue = other.blue;
            alpha = other.alpha;
        }
        return *this;
    }

    auto Color::operator=(const Color &other) -> Color &
    {
        if (this != &other) {
            red = other.red;
            green = other.green;
            blue = other.blue;
            alpha = other.alpha;
        }
        return *this;
    }

    ColorInformation::ColorInformation()
    {
        // empty
    }

    ColorInformation::ColorInformation(ColorInformation &&other)
        : range(std::move(other.range))
        , color(std::move(other.color))
    {
        // empty
    }

    ColorInformation::ColorInformation(const ColorInformation &other)
        : range(other.range)
        , color(other.color)
    {
    }

    ColorInformation::~ColorInformation()
    {
        // empty
    }

    auto ColorInformation::operator=(
        ColorInformation &&other
    ) -> ColorInformation &
    {
        if (this != &other) {
            range = std::move(other.range);
            color = std::move(other.color);
        }
        return *this;
    }

    auto ColorInformation::operator=(
        const ColorInformation &other
    ) -> ColorInformation &
    {
        if (this != &other) {
            range = other.range;
            color = other.color;
        }
        return *this;
    }

    ColorPresentationParams::ColorPresentationParams()
    {
        // empty
    }

    ColorPresentationParams::ColorPresentationParams(
        ColorPresentationParams &&other
    )
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , color(std::move(other.color))
        , range(std::move(other.range))
    {
        // empty
    }

    ColorPresentationParams::ColorPresentationParams(
        const ColorPresentationParams &other
    )
        : textDocument(other.textDocument)
        , color(other.color)
        , range(other.range)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    ColorPresentationParams::~ColorPresentationParams()
    {
        // empty
    }

    auto ColorPresentationParams::operator=(
        ColorPresentationParams &&other
    ) -> ColorPresentationParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            color = std::move(other.color);
            range = std::move(other.range);
        }
        return *this;
    }

    auto ColorPresentationParams::operator=(
        const ColorPresentationParams &other
    ) -> ColorPresentationParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            color = other.color;
            range = other.range;
        }
        return *this;
    }

    SemanticTokensOptions_range_1::SemanticTokensOptions_range_1()
    {
        // empty
    }

    SemanticTokensOptions_range_1::SemanticTokensOptions_range_1(
        SemanticTokensOptions_range_1 &&/*other*/
    )
    {
        // empty
    }

    SemanticTokensOptions_range_1::SemanticTokensOptions_range_1(
        const SemanticTokensOptions_range_1 &/*other*/
    )
    {
    }

    SemanticTokensOptions_range_1::~SemanticTokensOptions_range_1()
    {
        // empty
    }

    auto SemanticTokensOptions_range_1::operator=(
        SemanticTokensOptions_range_1 &&/*other*/
    ) -> SemanticTokensOptions_range_1 &
    {
        return *this;
    }

    auto SemanticTokensOptions_range_1::operator=(
        const SemanticTokensOptions_range_1 &/*other*/
    ) -> SemanticTokensOptions_range_1 &
    {
        return *this;
    }

    const std::map<SemanticTokensOptions_rangeType, std::string>
    SemanticTokensOptions_rangeTypeNames = {
        {SemanticTokensOptions_rangeType::Uninitialized, "Uninitialized"},
        {SemanticTokensOptions_rangeType::Boolean, "Boolean"},
        {SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1,
         "SemanticTokensOptions_range_1"},
    };

    SemanticTokensOptions_range::SemanticTokensOptions_range()
    {
        // empty
    }

    SemanticTokensOptions_range::~SemanticTokensOptions_range()
    {
        reset();
    }

    SemanticTokensOptions_range::SemanticTokensOptions_range(
        SemanticTokensOptions_range &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SemanticTokensOptions_rangeType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1: {
            new (&_semanticTokensOptions_range_1) std::unique_ptr<SemanticTokensOptions_range_1> {
                std::move(other._semanticTokensOptions_range_1)
            };
            break;
        }
        case SemanticTokensOptions_rangeType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = SemanticTokensOptions_rangeType::Uninitialized;
    }

    SemanticTokensOptions_range::SemanticTokensOptions_range(
        const SemanticTokensOptions_range &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SemanticTokensOptions_rangeType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1: {
            new (&_semanticTokensOptions_range_1) std::unique_ptr<SemanticTokensOptions_range_1> {
                std::make_unique<SemanticTokensOptions_range_1>(*other._semanticTokensOptions_range_1)
            };
            break;
        }
        case SemanticTokensOptions_rangeType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto SemanticTokensOptions_range::operator=(
        SemanticTokensOptions_range &&other
    ) -> SemanticTokensOptions_range &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SemanticTokensOptions_rangeType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1: {
                new (&_semanticTokensOptions_range_1) std::unique_ptr<SemanticTokensOptions_range_1> {
                    std::move(other._semanticTokensOptions_range_1)
                };
                break;
            }
            case SemanticTokensOptions_rangeType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = SemanticTokensOptions_rangeType::Uninitialized;
        }
        return *this;
    }

    auto SemanticTokensOptions_range::operator=(
        const SemanticTokensOptions_range &other
    ) -> SemanticTokensOptions_range &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SemanticTokensOptions_rangeType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1: {
                new (&_semanticTokensOptions_range_1) std::unique_ptr<SemanticTokensOptions_range_1> {
                    std::make_unique<SemanticTokensOptions_range_1>(*other._semanticTokensOptions_range_1)
                };
                break;
            }
            case SemanticTokensOptions_rangeType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto SemanticTokensOptions_range::reset() -> void
    {
        switch (_type) {
        case SemanticTokensOptions_rangeType::Uninitialized: {
            // nothing to do
            break;
        }
        case SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1: {
#ifdef DEBUG
            if (!_semanticTokensOptions_range_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensOptions_range_1"
                );
            }
#endif // DEBUG
            _semanticTokensOptions_range_1.~unique_ptr<SemanticTokensOptions_range_1>();
            _type = SemanticTokensOptions_rangeType::Uninitialized;
            break;
        }
        default: {
            _type = SemanticTokensOptions_rangeType::Uninitialized;
        }
        }
    }

    auto SemanticTokensOptions_range::type() const
    -> const SemanticTokensOptions_rangeType &
    {
        return _type;
    }

    auto SemanticTokensOptions_range::boolean() const -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != SemanticTokensOptions_rangeType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "SemanticTokensOptions_range::boolean()"
                 " of type "
                 "SemanticTokensOptions_rangeType::Boolean"
                 " while active type is "
                 "SemanticTokensOptions_rangeType::" +
                 SemanticTokensOptions_rangeTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto SemanticTokensOptions_range::operator=(
        boolean_t boolean
    ) -> SemanticTokensOptions_range &
    {
        if (_type != SemanticTokensOptions_rangeType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = SemanticTokensOptions_rangeType::Boolean;
        return *this;
    }

    auto SemanticTokensOptions_range::semanticTokensOptions_range_1() const
    -> const SemanticTokensOptions_range_1 &
    {
#ifdef DEBUG
        if (_type != SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "SemanticTokensOptions_range::semanticTokensOptions_range_1()"
                 " of type "
                 "SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1"
                 " while active type is "
                 "SemanticTokensOptions_rangeType::" +
                 SemanticTokensOptions_rangeTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensOptions_range_1;
    }

    auto SemanticTokensOptions_range::operator=(
        const std::unique_ptr<SemanticTokensOptions_range_1> &semanticTokensOptions_range_1
    ) -> SemanticTokensOptions_range &
    {
        if (_type != SemanticTokensOptions_rangeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensOptions_range_1) {
            throw std::logic_error(
                "null passed as the value of semanticTokensOptions_range_1"
            );
        }
#endif // DEBUG
        new (&_semanticTokensOptions_range_1) std::unique_ptr<SemanticTokensOptions_range_1> {
            std::make_unique<SemanticTokensOptions_range_1>(*semanticTokensOptions_range_1)
        };
        _type = SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1;
        return *this;
    }

    auto SemanticTokensOptions_range::operator=(
        std::unique_ptr<SemanticTokensOptions_range_1> &&semanticTokensOptions_range_1
    ) -> SemanticTokensOptions_range &
    {
        if (_type != SemanticTokensOptions_rangeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensOptions_range_1) {
            throw std::logic_error(
                "null passed as the value of semanticTokensOptions_range_1"
            );
        }
#endif // DEBUG
        new (&_semanticTokensOptions_range_1) std::unique_ptr<SemanticTokensOptions_range_1> {
            std::move(semanticTokensOptions_range_1)
        };
        _type = SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1;
        return *this;
    }

    auto SemanticTokensOptions_range::operator=(
        const SemanticTokensOptions_range_1 &semanticTokensOptions_range_1
    ) -> SemanticTokensOptions_range &
    {
        if (_type != SemanticTokensOptions_rangeType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensOptions_range_1) std::unique_ptr<SemanticTokensOptions_range_1> {
            std::make_unique<SemanticTokensOptions_range_1>(semanticTokensOptions_range_1)
        };
        _type = SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1;
        return *this;
    }

    auto SemanticTokensOptions_range::operator=(
        SemanticTokensOptions_range_1 &&semanticTokensOptions_range_1
    ) -> SemanticTokensOptions_range &
    {
        if (_type != SemanticTokensOptions_rangeType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensOptions_range_1) std::unique_ptr<SemanticTokensOptions_range_1> {
            std::make_unique<SemanticTokensOptions_range_1>(std::move(semanticTokensOptions_range_1))
        };
        _type = SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1;
        return *this;
    }

    SemanticTokensOptions::SemanticTokensOptions()
    {
        // empty
    }

    SemanticTokensOptions::SemanticTokensOptions(SemanticTokensOptions &&other)
        : workDoneProgress(std::move(other.workDoneProgress))
        , legend(std::move(other.legend))
        , range(std::move(other.range))
        , full(std::move(other.full))
    {
        // empty
    }

    SemanticTokensOptions::SemanticTokensOptions(
        const SemanticTokensOptions &other
    )
        : legend(other.legend)
    {
        if (other.workDoneProgress.has_value()) {
            workDoneProgress = other.workDoneProgress.value();
        }
        if (other.range.has_value()) {
            range = other.range.value();
        }
        if (other.full.has_value()) {
            full = other.full.value();
        }
    }

    SemanticTokensOptions::~SemanticTokensOptions()
    {
        // empty
    }

    auto SemanticTokensOptions::operator=(
        SemanticTokensOptions &&other
    ) -> SemanticTokensOptions &
    {
        if (this != &other) {
            workDoneProgress = std::move(other.workDoneProgress);
            legend = std::move(other.legend);
            range = std::move(other.range);
            full = std::move(other.full);
        }
        return *this;
    }

    auto SemanticTokensOptions::operator=(
        const SemanticTokensOptions &other
    ) -> SemanticTokensOptions &
    {
        if (this != &other) {
            if (other.workDoneProgress.has_value()) {
                workDoneProgress = other.workDoneProgress.value();
            }
            legend = other.legend;
            if (other.range.has_value()) {
                range = other.range.value();
            }
            if (other.full.has_value()) {
                full = other.full.value();
            }
        }
        return *this;
    }

    SemanticTokensRegistrationOptions::SemanticTokensRegistrationOptions()
        : TextDocumentRegistrationOptions()
        , SemanticTokensOptions()
    {
        // empty
    }

    SemanticTokensRegistrationOptions::SemanticTokensRegistrationOptions(
        SemanticTokensRegistrationOptions &&other
    )
        : TextDocumentRegistrationOptions(other)
        , SemanticTokensOptions(other)
        , id(std::move(other.id))
    {
        // empty
    }

    SemanticTokensRegistrationOptions::SemanticTokensRegistrationOptions(
        const SemanticTokensRegistrationOptions &other
    )
        : TextDocumentRegistrationOptions(other)
        , SemanticTokensOptions(other)
    {
        if (other.id.has_value()) {
            id = other.id.value();
        }
    }

    SemanticTokensRegistrationOptions::~SemanticTokensRegistrationOptions()
    {
        // empty
    }

    auto SemanticTokensRegistrationOptions::operator=(
        SemanticTokensRegistrationOptions &&other
    ) -> SemanticTokensRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            SemanticTokensOptions::operator=(other);
            id = std::move(other.id);
        }
        return *this;
    }

    auto SemanticTokensRegistrationOptions::operator=(
        const SemanticTokensRegistrationOptions &other
    ) -> SemanticTokensRegistrationOptions &
    {
        if (this != &other) {
            TextDocumentRegistrationOptions::operator=(other);
            SemanticTokensOptions::operator=(other);
            if (other.id.has_value()) {
                id = other.id.value();
            }
        }
        return *this;
    }

    const std::map<ServerCapabilities_semanticTokensProviderType, std::string>
    ServerCapabilities_semanticTokensProviderTypeNames = {
        {ServerCapabilities_semanticTokensProviderType::Uninitialized,
         "Uninitialized"},
        {ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions,
         "SemanticTokensOptions"},
        {ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions,
         "SemanticTokensRegistrationOptions"},
    };

    ServerCapabilities_semanticTokensProvider::ServerCapabilities_semanticTokensProvider()
    {
        // empty
    }

    ServerCapabilities_semanticTokensProvider::~ServerCapabilities_semanticTokensProvider()
    {
        reset();
    }

    ServerCapabilities_semanticTokensProvider::ServerCapabilities_semanticTokensProvider(
        ServerCapabilities_semanticTokensProvider &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions: {
            new (&_semanticTokensOptions) std::unique_ptr<SemanticTokensOptions> {
                std::move(other._semanticTokensOptions)
            };
            break;
        }
        case ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions: {
            new (&_semanticTokensRegistrationOptions) std::unique_ptr<SemanticTokensRegistrationOptions> {
                std::move(other._semanticTokensRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_semanticTokensProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            ServerCapabilities_semanticTokensProviderType::Uninitialized;
    }

    ServerCapabilities_semanticTokensProvider::ServerCapabilities_semanticTokensProvider(
        const ServerCapabilities_semanticTokensProvider &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions: {
            new (&_semanticTokensOptions) std::unique_ptr<SemanticTokensOptions> {
                std::make_unique<SemanticTokensOptions>(*other._semanticTokensOptions)
            };
            break;
        }
        case ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions: {
            new (&_semanticTokensRegistrationOptions) std::unique_ptr<SemanticTokensRegistrationOptions> {
                std::make_unique<SemanticTokensRegistrationOptions>(*other._semanticTokensRegistrationOptions)
            };
            break;
        }
        case ServerCapabilities_semanticTokensProviderType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        ServerCapabilities_semanticTokensProvider &&other
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions: {
                new (&_semanticTokensOptions) std::unique_ptr<SemanticTokensOptions> {
                    std::move(other._semanticTokensOptions)
                };
                break;
            }
            case ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions: {
                new (&_semanticTokensRegistrationOptions) std::unique_ptr<SemanticTokensRegistrationOptions> {
                    std::move(other._semanticTokensRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_semanticTokensProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                ServerCapabilities_semanticTokensProviderType::Uninitialized;
        }
        return *this;
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        const ServerCapabilities_semanticTokensProvider &other
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions: {
                new (&_semanticTokensOptions) std::unique_ptr<SemanticTokensOptions> {
                    std::make_unique<SemanticTokensOptions>(*other._semanticTokensOptions)
                };
                break;
            }
            case ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions: {
                new (&_semanticTokensRegistrationOptions) std::unique_ptr<SemanticTokensRegistrationOptions> {
                    std::make_unique<SemanticTokensRegistrationOptions>(*other._semanticTokensRegistrationOptions)
                };
                break;
            }
            case ServerCapabilities_semanticTokensProviderType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto ServerCapabilities_semanticTokensProvider::reset() -> void
    {
        switch (_type) {
        case ServerCapabilities_semanticTokensProviderType::Uninitialized: {
            // nothing to do
            break;
        }
        case ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions: {
#ifdef DEBUG
            if (!_semanticTokensOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensOptions"
                );
            }
#endif // DEBUG
            _semanticTokensOptions.~unique_ptr<SemanticTokensOptions>();
            _type =
                ServerCapabilities_semanticTokensProviderType::Uninitialized;
            break;
        }
        case ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions: {
#ifdef DEBUG
            if (!_semanticTokensRegistrationOptions) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensRegistrationOptions"
                );
            }
#endif // DEBUG
            _semanticTokensRegistrationOptions.~unique_ptr<SemanticTokensRegistrationOptions>();
            _type =
                ServerCapabilities_semanticTokensProviderType::Uninitialized;
            break;
        }
        default: {
            _type = ServerCapabilities_semanticTokensProviderType::Uninitialized;
        }
        }
    }

    auto ServerCapabilities_semanticTokensProvider::type() const
    -> const ServerCapabilities_semanticTokensProviderType &
    {
        return _type;
    }

    auto ServerCapabilities_semanticTokensProvider::semanticTokensOptions() const
    -> const SemanticTokensOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_semanticTokensProvider::semanticTokensOptions()"
                 " of type "
                 "ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions"
                 " while active type is "
                 "ServerCapabilities_semanticTokensProviderType::" +
                 ServerCapabilities_semanticTokensProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensOptions;
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        const std::unique_ptr<SemanticTokensOptions> &semanticTokensOptions
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (_type !=
                ServerCapabilities_semanticTokensProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensOptions) {
            throw std::logic_error(
                "null passed as the value of semanticTokensOptions"
            );
        }
#endif // DEBUG
        new (&_semanticTokensOptions) std::unique_ptr<SemanticTokensOptions> {
            std::make_unique<SemanticTokensOptions>(*semanticTokensOptions)
        };
        _type =
            ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions;
        return *this;
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        std::unique_ptr<SemanticTokensOptions> &&semanticTokensOptions
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (_type !=
                ServerCapabilities_semanticTokensProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensOptions) {
            throw std::logic_error(
                "null passed as the value of semanticTokensOptions"
            );
        }
#endif // DEBUG
        new (&_semanticTokensOptions) std::unique_ptr<SemanticTokensOptions> {
            std::move(semanticTokensOptions)
        };
        _type =
            ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions;
        return *this;
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        const SemanticTokensOptions &semanticTokensOptions
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (_type !=
                ServerCapabilities_semanticTokensProviderType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensOptions) std::unique_ptr<SemanticTokensOptions> {
            std::make_unique<SemanticTokensOptions>(semanticTokensOptions)
        };
        _type =
            ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions;
        return *this;
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        SemanticTokensOptions &&semanticTokensOptions
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (_type !=
                ServerCapabilities_semanticTokensProviderType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensOptions) std::unique_ptr<SemanticTokensOptions> {
            std::make_unique<SemanticTokensOptions>(std::move(semanticTokensOptions))
        };
        _type =
            ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions;
        return *this;
    }

    auto ServerCapabilities_semanticTokensProvider::semanticTokensRegistrationOptions() const
    -> const SemanticTokensRegistrationOptions &
    {
#ifdef DEBUG
        if (_type != ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions) {
            throw std::logic_error(
                ("Attempted to access "
                 "ServerCapabilities_semanticTokensProvider::semanticTokensRegistrationOptions()"
                 " of type "
                 "ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions"
                 " while active type is "
                 "ServerCapabilities_semanticTokensProviderType::" +
                 ServerCapabilities_semanticTokensProviderTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensRegistrationOptions;
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        const std::unique_ptr<SemanticTokensRegistrationOptions> &semanticTokensRegistrationOptions
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (_type !=
                ServerCapabilities_semanticTokensProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of semanticTokensRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_semanticTokensRegistrationOptions) std::unique_ptr<SemanticTokensRegistrationOptions> {
            std::make_unique<SemanticTokensRegistrationOptions>(*semanticTokensRegistrationOptions)
        };
        _type =
            ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        std::unique_ptr<SemanticTokensRegistrationOptions> &&semanticTokensRegistrationOptions
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (_type !=
                ServerCapabilities_semanticTokensProviderType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensRegistrationOptions) {
            throw std::logic_error(
                "null passed as the value of semanticTokensRegistrationOptions"
            );
        }
#endif // DEBUG
        new (&_semanticTokensRegistrationOptions) std::unique_ptr<SemanticTokensRegistrationOptions> {
            std::move(semanticTokensRegistrationOptions)
        };
        _type =
            ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        const SemanticTokensRegistrationOptions &semanticTokensRegistrationOptions
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (_type !=
                ServerCapabilities_semanticTokensProviderType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensRegistrationOptions) std::unique_ptr<SemanticTokensRegistrationOptions> {
            std::make_unique<SemanticTokensRegistrationOptions>(semanticTokensRegistrationOptions)
        };
        _type =
            ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions;
        return *this;
    }

    auto ServerCapabilities_semanticTokensProvider::operator=(
        SemanticTokensRegistrationOptions &&semanticTokensRegistrationOptions
    ) -> ServerCapabilities_semanticTokensProvider &
    {
        if (_type !=
                ServerCapabilities_semanticTokensProviderType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensRegistrationOptions) std::unique_ptr<SemanticTokensRegistrationOptions> {
            std::make_unique<SemanticTokensRegistrationOptions>(std::move(semanticTokensRegistrationOptions))
        };
        _type =
            ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions;
        return *this;
    }

    SemanticTokensClientCapabilities_requests_range_1::SemanticTokensClientCapabilities_requests_range_1()
    {
        // empty
    }

    SemanticTokensClientCapabilities_requests_range_1::SemanticTokensClientCapabilities_requests_range_1(
        SemanticTokensClientCapabilities_requests_range_1 &&/*other*/
    )
    {
        // empty
    }

    SemanticTokensClientCapabilities_requests_range_1::SemanticTokensClientCapabilities_requests_range_1(
        const SemanticTokensClientCapabilities_requests_range_1 &/*other*/
    )
    {
    }

    SemanticTokensClientCapabilities_requests_range_1::~SemanticTokensClientCapabilities_requests_range_1()
    {
        // empty
    }

    auto SemanticTokensClientCapabilities_requests_range_1::operator=(
        SemanticTokensClientCapabilities_requests_range_1 &&/*other*/
    ) -> SemanticTokensClientCapabilities_requests_range_1 &
    {
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_range_1::operator=(
        const SemanticTokensClientCapabilities_requests_range_1 &/*other*/
    ) -> SemanticTokensClientCapabilities_requests_range_1 &
    {
        return *this;
    }

    const std::map<
        SemanticTokensClientCapabilities_requests_rangeType,
        std::string
    > SemanticTokensClientCapabilities_requests_rangeTypeNames = {
        {SemanticTokensClientCapabilities_requests_rangeType::Uninitialized,
         "Uninitialized"},
        {SemanticTokensClientCapabilities_requests_rangeType::Boolean,
         "Boolean"},
        {SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1,
         "SemanticTokensClientCapabilities_requests_range_1"},
    };

    SemanticTokensClientCapabilities_requests_range::SemanticTokensClientCapabilities_requests_range()
    {
        // empty
    }

    SemanticTokensClientCapabilities_requests_range::~SemanticTokensClientCapabilities_requests_range()
    {
        reset();
    }

    SemanticTokensClientCapabilities_requests_range::SemanticTokensClientCapabilities_requests_range(
        SemanticTokensClientCapabilities_requests_range &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SemanticTokensClientCapabilities_requests_rangeType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1: {
            new (&_semanticTokensClientCapabilities_requests_range_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> {
                std::move(other._semanticTokensClientCapabilities_requests_range_1)
            };
            break;
        }
        case SemanticTokensClientCapabilities_requests_rangeType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            SemanticTokensClientCapabilities_requests_rangeType::Uninitialized;
    }

    SemanticTokensClientCapabilities_requests_range::SemanticTokensClientCapabilities_requests_range(
        const SemanticTokensClientCapabilities_requests_range &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case SemanticTokensClientCapabilities_requests_rangeType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1: {
            new (&_semanticTokensClientCapabilities_requests_range_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> {
                std::make_unique<SemanticTokensClientCapabilities_requests_range_1>(*other._semanticTokensClientCapabilities_requests_range_1)
            };
            break;
        }
        case SemanticTokensClientCapabilities_requests_rangeType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto SemanticTokensClientCapabilities_requests_range::operator=(
        SemanticTokensClientCapabilities_requests_range &&other
    ) -> SemanticTokensClientCapabilities_requests_range &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SemanticTokensClientCapabilities_requests_rangeType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1: {
                new (&_semanticTokensClientCapabilities_requests_range_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> {
                    std::move(other._semanticTokensClientCapabilities_requests_range_1)
                };
                break;
            }
            case SemanticTokensClientCapabilities_requests_rangeType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                SemanticTokensClientCapabilities_requests_rangeType::Uninitialized;
        }
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_range::operator=(
        const SemanticTokensClientCapabilities_requests_range &other
    ) -> SemanticTokensClientCapabilities_requests_range &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case SemanticTokensClientCapabilities_requests_rangeType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1: {
                new (&_semanticTokensClientCapabilities_requests_range_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> {
                    std::make_unique<SemanticTokensClientCapabilities_requests_range_1>(*other._semanticTokensClientCapabilities_requests_range_1)
                };
                break;
            }
            case SemanticTokensClientCapabilities_requests_rangeType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_range::reset() -> void
    {
        switch (_type) {
        case SemanticTokensClientCapabilities_requests_rangeType::Uninitialized: {
            // nothing to do
            break;
        }
        case SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1: {
#ifdef DEBUG
            if (!_semanticTokensClientCapabilities_requests_range_1) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _semanticTokensClientCapabilities_requests_range_1"
                );
            }
#endif // DEBUG
            _semanticTokensClientCapabilities_requests_range_1.~unique_ptr<SemanticTokensClientCapabilities_requests_range_1>();
            _type =
                SemanticTokensClientCapabilities_requests_rangeType::Uninitialized;
            break;
        }
        default: {
            _type = SemanticTokensClientCapabilities_requests_rangeType::Uninitialized;
        }
        }
    }

    auto SemanticTokensClientCapabilities_requests_range::type() const
    -> const SemanticTokensClientCapabilities_requests_rangeType &
    {
        return _type;
    }

    auto SemanticTokensClientCapabilities_requests_range::boolean() const
    -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != SemanticTokensClientCapabilities_requests_rangeType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "SemanticTokensClientCapabilities_requests_range::boolean()"
                 " of type "
                 "SemanticTokensClientCapabilities_requests_rangeType::Boolean"
                 " while active type is "
                 "SemanticTokensClientCapabilities_requests_rangeType::" +
                 SemanticTokensClientCapabilities_requests_rangeTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto SemanticTokensClientCapabilities_requests_range::operator=(
        boolean_t boolean
    ) -> SemanticTokensClientCapabilities_requests_range &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_rangeType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = SemanticTokensClientCapabilities_requests_rangeType::Boolean;
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_range::semanticTokensClientCapabilities_requests_range_1() const
    -> const SemanticTokensClientCapabilities_requests_range_1 &
    {
#ifdef DEBUG
        if (_type != SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1) {
            throw std::logic_error(
                ("Attempted to access "
                 "SemanticTokensClientCapabilities_requests_range::semanticTokensClientCapabilities_requests_range_1()"
                 " of type "
                 "SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1"
                 " while active type is "
                 "SemanticTokensClientCapabilities_requests_rangeType::" +
                 SemanticTokensClientCapabilities_requests_rangeTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_semanticTokensClientCapabilities_requests_range_1;
    }

    auto SemanticTokensClientCapabilities_requests_range::operator=(
        const std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> &semanticTokensClientCapabilities_requests_range_1
    ) -> SemanticTokensClientCapabilities_requests_range &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_rangeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensClientCapabilities_requests_range_1) {
            throw std::logic_error(
                "null passed as the value of semanticTokensClientCapabilities_requests_range_1"
            );
        }
#endif // DEBUG
        new (&_semanticTokensClientCapabilities_requests_range_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> {
            std::make_unique<SemanticTokensClientCapabilities_requests_range_1>(*semanticTokensClientCapabilities_requests_range_1)
        };
        _type =
            SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1;
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_range::operator=(
        std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> &&semanticTokensClientCapabilities_requests_range_1
    ) -> SemanticTokensClientCapabilities_requests_range &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_rangeType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!semanticTokensClientCapabilities_requests_range_1) {
            throw std::logic_error(
                "null passed as the value of semanticTokensClientCapabilities_requests_range_1"
            );
        }
#endif // DEBUG
        new (&_semanticTokensClientCapabilities_requests_range_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> {
            std::move(semanticTokensClientCapabilities_requests_range_1)
        };
        _type =
            SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1;
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_range::operator=(
        const SemanticTokensClientCapabilities_requests_range_1 &semanticTokensClientCapabilities_requests_range_1
    ) -> SemanticTokensClientCapabilities_requests_range &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_rangeType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensClientCapabilities_requests_range_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> {
            std::make_unique<SemanticTokensClientCapabilities_requests_range_1>(semanticTokensClientCapabilities_requests_range_1)
        };
        _type =
            SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1;
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests_range::operator=(
        SemanticTokensClientCapabilities_requests_range_1 &&semanticTokensClientCapabilities_requests_range_1
    ) -> SemanticTokensClientCapabilities_requests_range &
    {
        if (_type !=
                SemanticTokensClientCapabilities_requests_rangeType::Uninitialized) {
            reset();
        }
        new (&_semanticTokensClientCapabilities_requests_range_1) std::unique_ptr<SemanticTokensClientCapabilities_requests_range_1> {
            std::make_unique<SemanticTokensClientCapabilities_requests_range_1>(std::move(semanticTokensClientCapabilities_requests_range_1))
        };
        _type =
            SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1;
        return *this;
    }

    SemanticTokensClientCapabilities_requests::SemanticTokensClientCapabilities_requests()
    {
        // empty
    }

    SemanticTokensClientCapabilities_requests::SemanticTokensClientCapabilities_requests(
        SemanticTokensClientCapabilities_requests &&other
    )
        : range(std::move(other.range))
        , full(std::move(other.full))
    {
        // empty
    }

    SemanticTokensClientCapabilities_requests::SemanticTokensClientCapabilities_requests(
        const SemanticTokensClientCapabilities_requests &other
    )
    {
        if (other.range.has_value()) {
            range = other.range.value();
        }
        if (other.full.has_value()) {
            full = other.full.value();
        }
    }

    SemanticTokensClientCapabilities_requests::~SemanticTokensClientCapabilities_requests()
    {
        // empty
    }

    auto SemanticTokensClientCapabilities_requests::operator=(
        SemanticTokensClientCapabilities_requests &&other
    ) -> SemanticTokensClientCapabilities_requests &
    {
        if (this != &other) {
            range = std::move(other.range);
            full = std::move(other.full);
        }
        return *this;
    }

    auto SemanticTokensClientCapabilities_requests::operator=(
        const SemanticTokensClientCapabilities_requests &other
    ) -> SemanticTokensClientCapabilities_requests &
    {
        if (this != &other) {
            if (other.range.has_value()) {
                range = other.range.value();
            }
            if (other.full.has_value()) {
                full = other.full.value();
            }
        }
        return *this;
    }

    SemanticTokensClientCapabilities::SemanticTokensClientCapabilities()
    {
        // empty
    }

    SemanticTokensClientCapabilities::SemanticTokensClientCapabilities(
        SemanticTokensClientCapabilities &&other
    )
        : dynamicRegistration(std::move(other.dynamicRegistration))
        , requests(std::move(other.requests))
        , tokenTypes(std::move(other.tokenTypes))
        , tokenModifiers(std::move(other.tokenModifiers))
        , formats(std::move(other.formats))
        , overlappingTokenSupport(std::move(other.overlappingTokenSupport))
        , multilineTokenSupport(std::move(other.multilineTokenSupport))
        , serverCancelSupport(std::move(other.serverCancelSupport))
        , augmentsSyntaxTokens(std::move(other.augmentsSyntaxTokens))
    {
        // empty
    }

    SemanticTokensClientCapabilities::SemanticTokensClientCapabilities(
        const SemanticTokensClientCapabilities &other
    )
        : requests(other.requests)
    {
        if (other.dynamicRegistration.has_value()) {
            dynamicRegistration = other.dynamicRegistration.value();
        }
        tokenTypes = other.tokenTypes;
        tokenModifiers = other.tokenModifiers;
        formats = other.formats;
        if (other.overlappingTokenSupport.has_value()) {
            overlappingTokenSupport = other.overlappingTokenSupport.value();
        }
        if (other.multilineTokenSupport.has_value()) {
            multilineTokenSupport = other.multilineTokenSupport.value();
        }
        if (other.serverCancelSupport.has_value()) {
            serverCancelSupport = other.serverCancelSupport.value();
        }
        if (other.augmentsSyntaxTokens.has_value()) {
            augmentsSyntaxTokens = other.augmentsSyntaxTokens.value();
        }
    }

    SemanticTokensClientCapabilities::~SemanticTokensClientCapabilities()
    {
        // empty
    }

    auto SemanticTokensClientCapabilities::operator=(
        SemanticTokensClientCapabilities &&other
    ) -> SemanticTokensClientCapabilities &
    {
        if (this != &other) {
            dynamicRegistration = std::move(other.dynamicRegistration);
            requests = std::move(other.requests);
            tokenTypes = std::move(other.tokenTypes);
            tokenModifiers = std::move(other.tokenModifiers);
            formats = std::move(other.formats);
            overlappingTokenSupport = std::move(other.overlappingTokenSupport);
            multilineTokenSupport = std::move(other.multilineTokenSupport);
            serverCancelSupport = std::move(other.serverCancelSupport);
            augmentsSyntaxTokens = std::move(other.augmentsSyntaxTokens);
        }
        return *this;
    }

    auto SemanticTokensClientCapabilities::operator=(
        const SemanticTokensClientCapabilities &other
    ) -> SemanticTokensClientCapabilities &
    {
        if (this != &other) {
            if (other.dynamicRegistration.has_value()) {
                dynamicRegistration = other.dynamicRegistration.value();
            }
            requests = other.requests;
            tokenTypes = other.tokenTypes;
            tokenModifiers = other.tokenModifiers;
            formats = other.formats;
            if (other.overlappingTokenSupport.has_value()) {
                overlappingTokenSupport =
                    other.overlappingTokenSupport.value();
            }
            if (other.multilineTokenSupport.has_value()) {
                multilineTokenSupport = other.multilineTokenSupport.value();
            }
            if (other.serverCancelSupport.has_value()) {
                serverCancelSupport = other.serverCancelSupport.value();
            }
            if (other.augmentsSyntaxTokens.has_value()) {
                augmentsSyntaxTokens = other.augmentsSyntaxTokens.value();
            }
        }
        return *this;
    }

    TextDocumentClientCapabilities::TextDocumentClientCapabilities()
    {
        // empty
    }

    TextDocumentClientCapabilities::TextDocumentClientCapabilities(
        TextDocumentClientCapabilities &&other
    )
        : synchronization(std::move(other.synchronization))
        , completion(std::move(other.completion))
        , hover(std::move(other.hover))
        , signatureHelp(std::move(other.signatureHelp))
        , declaration(std::move(other.declaration))
        , definition(std::move(other.definition))
        , typeDefinition(std::move(other.typeDefinition))
        , implementation(std::move(other.implementation))
        , references(std::move(other.references))
        , documentHighlight(std::move(other.documentHighlight))
        , documentSymbol(std::move(other.documentSymbol))
        , codeAction(std::move(other.codeAction))
        , codeLens(std::move(other.codeLens))
        , documentLink(std::move(other.documentLink))
        , colorProvider(std::move(other.colorProvider))
        , formatting(std::move(other.formatting))
        , rangeFormatting(std::move(other.rangeFormatting))
        , onTypeFormatting(std::move(other.onTypeFormatting))
        , rename(std::move(other.rename))
        , foldingRange(std::move(other.foldingRange))
        , selectionRange(std::move(other.selectionRange))
        , publishDiagnostics(std::move(other.publishDiagnostics))
        , callHierarchy(std::move(other.callHierarchy))
        , semanticTokens(std::move(other.semanticTokens))
        , linkedEditingRange(std::move(other.linkedEditingRange))
        , moniker(std::move(other.moniker))
        , typeHierarchy(std::move(other.typeHierarchy))
        , inlineValue(std::move(other.inlineValue))
        , inlayHint(std::move(other.inlayHint))
        , diagnostic(std::move(other.diagnostic))
        , inlineCompletion(std::move(other.inlineCompletion))
    {
        // empty
    }

    TextDocumentClientCapabilities::TextDocumentClientCapabilities(
        const TextDocumentClientCapabilities &other
    )
    {
        if (other.synchronization.has_value()) {
            synchronization = other.synchronization.value();
        }
        if (other.completion.has_value()) {
            completion = other.completion.value();
        }
        if (other.hover.has_value()) {
            hover = other.hover.value();
        }
        if (other.signatureHelp.has_value()) {
            signatureHelp = other.signatureHelp.value();
        }
        if (other.declaration.has_value()) {
            declaration = other.declaration.value();
        }
        if (other.definition.has_value()) {
            definition = other.definition.value();
        }
        if (other.typeDefinition.has_value()) {
            typeDefinition = other.typeDefinition.value();
        }
        if (other.implementation.has_value()) {
            implementation = other.implementation.value();
        }
        if (other.references.has_value()) {
            references = other.references.value();
        }
        if (other.documentHighlight.has_value()) {
            documentHighlight = other.documentHighlight.value();
        }
        if (other.documentSymbol.has_value()) {
            documentSymbol = other.documentSymbol.value();
        }
        if (other.codeAction.has_value()) {
            codeAction = other.codeAction.value();
        }
        if (other.codeLens.has_value()) {
            codeLens = other.codeLens.value();
        }
        if (other.documentLink.has_value()) {
            documentLink = other.documentLink.value();
        }
        if (other.colorProvider.has_value()) {
            colorProvider = other.colorProvider.value();
        }
        if (other.formatting.has_value()) {
            formatting = other.formatting.value();
        }
        if (other.rangeFormatting.has_value()) {
            rangeFormatting = other.rangeFormatting.value();
        }
        if (other.onTypeFormatting.has_value()) {
            onTypeFormatting = other.onTypeFormatting.value();
        }
        if (other.rename.has_value()) {
            rename = other.rename.value();
        }
        if (other.foldingRange.has_value()) {
            foldingRange = other.foldingRange.value();
        }
        if (other.selectionRange.has_value()) {
            selectionRange = other.selectionRange.value();
        }
        if (other.publishDiagnostics.has_value()) {
            publishDiagnostics = other.publishDiagnostics.value();
        }
        if (other.callHierarchy.has_value()) {
            callHierarchy = other.callHierarchy.value();
        }
        if (other.semanticTokens.has_value()) {
            semanticTokens = other.semanticTokens.value();
        }
        if (other.linkedEditingRange.has_value()) {
            linkedEditingRange = other.linkedEditingRange.value();
        }
        if (other.moniker.has_value()) {
            moniker = other.moniker.value();
        }
        if (other.typeHierarchy.has_value()) {
            typeHierarchy = other.typeHierarchy.value();
        }
        if (other.inlineValue.has_value()) {
            inlineValue = other.inlineValue.value();
        }
        if (other.inlayHint.has_value()) {
            inlayHint = other.inlayHint.value();
        }
        if (other.diagnostic.has_value()) {
            diagnostic = other.diagnostic.value();
        }
        if (other.inlineCompletion.has_value()) {
            inlineCompletion = other.inlineCompletion.value();
        }
    }

    TextDocumentClientCapabilities::~TextDocumentClientCapabilities()
    {
        // empty
    }

    auto TextDocumentClientCapabilities::operator=(
        TextDocumentClientCapabilities &&other
    ) -> TextDocumentClientCapabilities &
    {
        if (this != &other) {
            synchronization = std::move(other.synchronization);
            completion = std::move(other.completion);
            hover = std::move(other.hover);
            signatureHelp = std::move(other.signatureHelp);
            declaration = std::move(other.declaration);
            definition = std::move(other.definition);
            typeDefinition = std::move(other.typeDefinition);
            implementation = std::move(other.implementation);
            references = std::move(other.references);
            documentHighlight = std::move(other.documentHighlight);
            documentSymbol = std::move(other.documentSymbol);
            codeAction = std::move(other.codeAction);
            codeLens = std::move(other.codeLens);
            documentLink = std::move(other.documentLink);
            colorProvider = std::move(other.colorProvider);
            formatting = std::move(other.formatting);
            rangeFormatting = std::move(other.rangeFormatting);
            onTypeFormatting = std::move(other.onTypeFormatting);
            rename = std::move(other.rename);
            foldingRange = std::move(other.foldingRange);
            selectionRange = std::move(other.selectionRange);
            publishDiagnostics = std::move(other.publishDiagnostics);
            callHierarchy = std::move(other.callHierarchy);
            semanticTokens = std::move(other.semanticTokens);
            linkedEditingRange = std::move(other.linkedEditingRange);
            moniker = std::move(other.moniker);
            typeHierarchy = std::move(other.typeHierarchy);
            inlineValue = std::move(other.inlineValue);
            inlayHint = std::move(other.inlayHint);
            diagnostic = std::move(other.diagnostic);
            inlineCompletion = std::move(other.inlineCompletion);
        }
        return *this;
    }

    auto TextDocumentClientCapabilities::operator=(
        const TextDocumentClientCapabilities &other
    ) -> TextDocumentClientCapabilities &
    {
        if (this != &other) {
            if (other.synchronization.has_value()) {
                synchronization = other.synchronization.value();
            }
            if (other.completion.has_value()) {
                completion = other.completion.value();
            }
            if (other.hover.has_value()) {
                hover = other.hover.value();
            }
            if (other.signatureHelp.has_value()) {
                signatureHelp = other.signatureHelp.value();
            }
            if (other.declaration.has_value()) {
                declaration = other.declaration.value();
            }
            if (other.definition.has_value()) {
                definition = other.definition.value();
            }
            if (other.typeDefinition.has_value()) {
                typeDefinition = other.typeDefinition.value();
            }
            if (other.implementation.has_value()) {
                implementation = other.implementation.value();
            }
            if (other.references.has_value()) {
                references = other.references.value();
            }
            if (other.documentHighlight.has_value()) {
                documentHighlight = other.documentHighlight.value();
            }
            if (other.documentSymbol.has_value()) {
                documentSymbol = other.documentSymbol.value();
            }
            if (other.codeAction.has_value()) {
                codeAction = other.codeAction.value();
            }
            if (other.codeLens.has_value()) {
                codeLens = other.codeLens.value();
            }
            if (other.documentLink.has_value()) {
                documentLink = other.documentLink.value();
            }
            if (other.colorProvider.has_value()) {
                colorProvider = other.colorProvider.value();
            }
            if (other.formatting.has_value()) {
                formatting = other.formatting.value();
            }
            if (other.rangeFormatting.has_value()) {
                rangeFormatting = other.rangeFormatting.value();
            }
            if (other.onTypeFormatting.has_value()) {
                onTypeFormatting = other.onTypeFormatting.value();
            }
            if (other.rename.has_value()) {
                rename = other.rename.value();
            }
            if (other.foldingRange.has_value()) {
                foldingRange = other.foldingRange.value();
            }
            if (other.selectionRange.has_value()) {
                selectionRange = other.selectionRange.value();
            }
            if (other.publishDiagnostics.has_value()) {
                publishDiagnostics = other.publishDiagnostics.value();
            }
            if (other.callHierarchy.has_value()) {
                callHierarchy = other.callHierarchy.value();
            }
            if (other.semanticTokens.has_value()) {
                semanticTokens = other.semanticTokens.value();
            }
            if (other.linkedEditingRange.has_value()) {
                linkedEditingRange = other.linkedEditingRange.value();
            }
            if (other.moniker.has_value()) {
                moniker = other.moniker.value();
            }
            if (other.typeHierarchy.has_value()) {
                typeHierarchy = other.typeHierarchy.value();
            }
            if (other.inlineValue.has_value()) {
                inlineValue = other.inlineValue.value();
            }
            if (other.inlayHint.has_value()) {
                inlayHint = other.inlayHint.value();
            }
            if (other.diagnostic.has_value()) {
                diagnostic = other.diagnostic.value();
            }
            if (other.inlineCompletion.has_value()) {
                inlineCompletion = other.inlineCompletion.value();
            }
        }
        return *this;
    }

    const std::map<LSPAnyType, std::string> LSPAnyTypeNames = {
        {LSPAnyType::Uninitialized, "Uninitialized"},
        {LSPAnyType::Object, "Object"},
        {LSPAnyType::Array, "Array"},
        {LSPAnyType::String, "String"},
        {LSPAnyType::Integer, "Integer"},
        {LSPAnyType::UInteger, "UInteger"},
        {LSPAnyType::Decimal, "Decimal"},
        {LSPAnyType::Boolean, "Boolean"},
        {LSPAnyType::Null, "Null"},
    };

    LSPAny::LSPAny()
    {
        // empty
    }

    LSPAny::~LSPAny()
    {
        reset();
    }

    LSPAny::LSPAny(LSPAny &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case LSPAnyType::Object: {
            new (&_object) std::unique_ptr<LSPObject> {
                std::move(other._object)
            };
            break;
        }
        case LSPAnyType::Array: {
            new (&_array) std::unique_ptr<LSPArray> {
                std::move(other._array)
            };
            break;
        }
        case LSPAnyType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case LSPAnyType::Integer: {
            _integer = other._integer;
            break;
        }
        case LSPAnyType::UInteger: {
            _uinteger = other._uinteger;
            break;
        }
        case LSPAnyType::Decimal: {
            _decimal = other._decimal;
            break;
        }
        case LSPAnyType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case LSPAnyType::Null: {
            _null = other._null;
            break;
        }
        case LSPAnyType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = LSPAnyType::Uninitialized;
    }

    LSPAny::LSPAny(const LSPAny &other)
        : _type(other._type)
    {
        switch (other._type) {
        case LSPAnyType::Object: {
            new (&_object) std::unique_ptr<std::map<string_t, std::unique_ptr<LSPAny>>> {
                std::make_unique<std::map<string_t, std::unique_ptr<LSPAny>>>()
            };
            for (const auto &[key_0, value_0] : *other._object) {
                _object->emplace(key_0, std::make_unique<LSPAny>(*value_0));
            }
            break;
        }
        case LSPAnyType::Array: {
            new (&_array) std::unique_ptr<std::vector<std::unique_ptr<LSPAny>>> {
                std::make_unique<std::vector<std::unique_ptr<LSPAny>>>()
            };
            _array->reserve(other._array->size());
            for (const auto &elem_0 : *other._array) {
                _array->push_back(std::make_unique<LSPAny>(*elem_0));
            }
            break;
        }
        case LSPAnyType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case LSPAnyType::Integer: {
            _integer = other._integer;
            break;
        }
        case LSPAnyType::UInteger: {
            _uinteger = other._uinteger;
            break;
        }
        case LSPAnyType::Decimal: {
            _decimal = other._decimal;
            break;
        }
        case LSPAnyType::Boolean: {
            _boolean = other._boolean;
            break;
        }
        case LSPAnyType::Null: {
            _null = other._null;
            break;
        }
        case LSPAnyType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto LSPAny::operator=(LSPAny &&other) -> LSPAny &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case LSPAnyType::Object: {
                new (&_object) std::unique_ptr<LSPObject> {
                    std::move(other._object)
                };
                break;
            }
            case LSPAnyType::Array: {
                new (&_array) std::unique_ptr<LSPArray> {
                    std::move(other._array)
                };
                break;
            }
            case LSPAnyType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case LSPAnyType::Integer: {
                _integer = other._integer;
                break;
            }
            case LSPAnyType::UInteger: {
                _uinteger = other._uinteger;
                break;
            }
            case LSPAnyType::Decimal: {
                _decimal = other._decimal;
                break;
            }
            case LSPAnyType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case LSPAnyType::Null: {
                _null = other._null;
                break;
            }
            case LSPAnyType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = LSPAnyType::Uninitialized;
        }
        return *this;
    }

    auto LSPAny::operator=(const LSPAny &other) -> LSPAny &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case LSPAnyType::Object: {
                new (&_object) std::unique_ptr<std::map<string_t, std::unique_ptr<LSPAny>>> {
                    std::make_unique<std::map<string_t, std::unique_ptr<LSPAny>>>()
                };
                for (const auto &[key_0, value_0] : *other._object) {
                    _object->emplace(
                        key_0,
                        std::make_unique<LSPAny>(*value_0)
                    );
                }
                break;
            }
            case LSPAnyType::Array: {
                new (&_array) std::unique_ptr<std::vector<std::unique_ptr<LSPAny>>> {
                    std::make_unique<std::vector<std::unique_ptr<LSPAny>>>()
                };
                _array->reserve(other._array->size());
                for (const auto &elem_0 : *other._array) {
                    _array->push_back(std::make_unique<LSPAny>(*elem_0));
                }
                break;
            }
            case LSPAnyType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case LSPAnyType::Integer: {
                _integer = other._integer;
                break;
            }
            case LSPAnyType::UInteger: {
                _uinteger = other._uinteger;
                break;
            }
            case LSPAnyType::Decimal: {
                _decimal = other._decimal;
                break;
            }
            case LSPAnyType::Boolean: {
                _boolean = other._boolean;
                break;
            }
            case LSPAnyType::Null: {
                _null = other._null;
                break;
            }
            case LSPAnyType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto LSPAny::reset() -> void
    {
        switch (_type) {
        case LSPAnyType::Uninitialized: {
            // nothing to do
            break;
        }
        case LSPAnyType::Object: {
#ifdef DEBUG
            if (!_object) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _object"
                );
            }
#endif // DEBUG
            _object.~unique_ptr<LSPObject>();
            _type = LSPAnyType::Uninitialized;
            break;
        }
        case LSPAnyType::Array: {
#ifdef DEBUG
            if (!_array) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _array"
                );
            }
#endif // DEBUG
            _array.~unique_ptr<LSPArray>();
            _type = LSPAnyType::Uninitialized;
            break;
        }
        case LSPAnyType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = LSPAnyType::Uninitialized;
            break;
        }
        default: {
            _type = LSPAnyType::Uninitialized;
        }
        }
    }

    auto LSPAny::type() const -> const LSPAnyType &
    {
        return _type;
    }

    auto LSPAny::object() const -> const LSPObject &
    {
#ifdef DEBUG
        if (_type != LSPAnyType::Object) {
            throw std::logic_error(
                ("Attempted to access "
                 "LSPAny::object()"
                 " of type "
                 "LSPAnyType::Object"
                 " while active type is "
                 "LSPAnyType::" +
                 LSPAnyTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_object;
    }

    auto LSPAny::operator=(
        const std::unique_ptr<LSPObject> &object
    ) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!object) {
            throw std::logic_error("null passed as the value of object");
        }
#endif // DEBUG
        new (&_object) std::unique_ptr<std::map<string_t, std::unique_ptr<LSPAny>>> {
            std::make_unique<std::map<string_t, std::unique_ptr<LSPAny>>>()
        };
        for (const auto &[key_0, value_0] : *object) {
            _object->emplace(key_0, std::make_unique<LSPAny>(*value_0));
        }
        _type = LSPAnyType::Object;
        return *this;
    }

    auto LSPAny::operator=(std::unique_ptr<LSPObject> &&object) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!object) {
            throw std::logic_error("null passed as the value of object");
        }
#endif // DEBUG
        new (&_object) std::unique_ptr<LSPObject> {
            std::move(object)
        };
        _type = LSPAnyType::Object;
        return *this;
    }

    auto LSPAny::operator=(const LSPObject &object) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        new (&_object) std::unique_ptr<std::map<string_t, std::unique_ptr<LSPAny>>> {
            std::make_unique<std::map<string_t, std::unique_ptr<LSPAny>>>()
        };
        for (const auto &[key_0, value_0] : object) {
            _object->emplace(key_0, std::make_unique<LSPAny>(*value_0));
        }
        _type = LSPAnyType::Object;
        return *this;
    }

    auto LSPAny::operator=(LSPObject &&object) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        new (&_object) std::unique_ptr<LSPObject> {
            std::make_unique<LSPObject>(std::move(object))
        };
        _type = LSPAnyType::Object;
        return *this;
    }

    auto LSPAny::array() const -> const LSPArray &
    {
#ifdef DEBUG
        if (_type != LSPAnyType::Array) {
            throw std::logic_error(
                ("Attempted to access "
                 "LSPAny::array()"
                 " of type "
                 "LSPAnyType::Array"
                 " while active type is "
                 "LSPAnyType::" +
                 LSPAnyTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_array;
    }

    auto LSPAny::operator=(const std::unique_ptr<LSPArray> &array) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!array) {
            throw std::logic_error("null passed as the value of array");
        }
#endif // DEBUG
        new (&_array) std::unique_ptr<std::vector<std::unique_ptr<LSPAny>>> {
            std::make_unique<std::vector<std::unique_ptr<LSPAny>>>()
        };
        _array->reserve(array->size());
        for (const auto &elem_0 : *array) {
            _array->push_back(std::make_unique<LSPAny>(*elem_0));
        }
        _type = LSPAnyType::Array;
        return *this;
    }

    auto LSPAny::operator=(std::unique_ptr<LSPArray> &&array) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!array) {
            throw std::logic_error("null passed as the value of array");
        }
#endif // DEBUG
        new (&_array) std::unique_ptr<LSPArray> {
            std::move(array)
        };
        _type = LSPAnyType::Array;
        return *this;
    }

    auto LSPAny::operator=(const LSPArray &array) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        new (&_array) std::unique_ptr<std::vector<std::unique_ptr<LSPAny>>> {
            std::make_unique<std::vector<std::unique_ptr<LSPAny>>>()
        };
        _array->reserve(array.size());
        for (const auto &elem_0 : array) {
            _array->push_back(std::make_unique<LSPAny>(*elem_0));
        }
        _type = LSPAnyType::Array;
        return *this;
    }

    auto LSPAny::operator=(LSPArray &&array) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        new (&_array) std::unique_ptr<LSPArray> {
            std::make_unique<LSPArray>(std::move(array))
        };
        _type = LSPAnyType::Array;
        return *this;
    }

    auto LSPAny::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != LSPAnyType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "LSPAny::string()"
                 " of type "
                 "LSPAnyType::String"
                 " while active type is "
                 "LSPAnyType::" +
                 LSPAnyTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto LSPAny::operator=(const std::unique_ptr<string_t> &string) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = LSPAnyType::String;
        return *this;
    }

    auto LSPAny::operator=(std::unique_ptr<string_t> &&string) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = LSPAnyType::String;
        return *this;
    }

    auto LSPAny::operator=(const string_t &string) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = LSPAnyType::String;
        return *this;
    }

    auto LSPAny::operator=(string_t &&string) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = LSPAnyType::String;
        return *this;
    }

    auto LSPAny::integer() const -> const integer_t &
    {
#ifdef DEBUG
        if (_type != LSPAnyType::Integer) {
            throw std::logic_error(
                ("Attempted to access "
                 "LSPAny::integer()"
                 " of type "
                 "LSPAnyType::Integer"
                 " while active type is "
                 "LSPAnyType::" +
                 LSPAnyTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _integer;
    }

    auto LSPAny::operator=(integer_t integer) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        _integer = integer;
        _type = LSPAnyType::Integer;
        return *this;
    }

    auto LSPAny::uinteger() const -> const uinteger_t &
    {
#ifdef DEBUG
        if (_type != LSPAnyType::UInteger) {
            throw std::logic_error(
                ("Attempted to access "
                 "LSPAny::uinteger()"
                 " of type "
                 "LSPAnyType::UInteger"
                 " while active type is "
                 "LSPAnyType::" +
                 LSPAnyTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _uinteger;
    }

    auto LSPAny::operator=(uinteger_t uinteger) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        _uinteger = uinteger;
        _type = LSPAnyType::UInteger;
        return *this;
    }

    auto LSPAny::decimal() const -> const decimal_t &
    {
#ifdef DEBUG
        if (_type != LSPAnyType::Decimal) {
            throw std::logic_error(
                ("Attempted to access "
                 "LSPAny::decimal()"
                 " of type "
                 "LSPAnyType::Decimal"
                 " while active type is "
                 "LSPAnyType::" +
                 LSPAnyTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _decimal;
    }

    auto LSPAny::operator=(decimal_t decimal) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        _decimal = decimal;
        _type = LSPAnyType::Decimal;
        return *this;
    }

    auto LSPAny::boolean() const -> const boolean_t &
    {
#ifdef DEBUG
        if (_type != LSPAnyType::Boolean) {
            throw std::logic_error(
                ("Attempted to access "
                 "LSPAny::boolean()"
                 " of type "
                 "LSPAnyType::Boolean"
                 " while active type is "
                 "LSPAnyType::" +
                 LSPAnyTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _boolean;
    }

    auto LSPAny::operator=(boolean_t boolean) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        _boolean = boolean;
        _type = LSPAnyType::Boolean;
        return *this;
    }

    auto LSPAny::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != LSPAnyType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "LSPAny::null()"
                 " of type "
                 "LSPAnyType::Null"
                 " while active type is "
                 "LSPAnyType::" +
                 LSPAnyTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto LSPAny::operator=(null_t null) -> LSPAny &
    {
        if (_type != LSPAnyType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = LSPAnyType::Null;
        return *this;
    }

    CallHierarchyItem::CallHierarchyItem()
    {
        // empty
    }

    CallHierarchyItem::CallHierarchyItem(CallHierarchyItem &&other)
        : name(std::move(other.name))
        , kind(std::move(other.kind))
        , tags(std::move(other.tags))
        , detail(std::move(other.detail))
        , uri(std::move(other.uri))
        , range(std::move(other.range))
        , selectionRange(std::move(other.selectionRange))
        , data(std::move(other.data))
    {
        // empty
    }

    CallHierarchyItem::CallHierarchyItem(const CallHierarchyItem &other)
        : name(other.name)
        , kind(other.kind)
        , uri(other.uri)
        , range(other.range)
        , selectionRange(other.selectionRange)
    {
        if (other.tags.has_value()) {
            auto &array_0 = tags.emplace();
            const auto &array_1 = other.tags.value();
            array_0 = array_1;
        }
        if (other.detail.has_value()) {
            detail = other.detail.value();
        }
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    CallHierarchyItem::~CallHierarchyItem()
    {
        // empty
    }

    auto CallHierarchyItem::operator=(
        CallHierarchyItem &&other
    ) -> CallHierarchyItem &
    {
        if (this != &other) {
            name = std::move(other.name);
            kind = std::move(other.kind);
            tags = std::move(other.tags);
            detail = std::move(other.detail);
            uri = std::move(other.uri);
            range = std::move(other.range);
            selectionRange = std::move(other.selectionRange);
            data = std::move(other.data);
        }
        return *this;
    }

    auto CallHierarchyItem::operator=(
        const CallHierarchyItem &other
    ) -> CallHierarchyItem &
    {
        if (this != &other) {
            name = other.name;
            kind = other.kind;
            if (other.tags.has_value()) {
                auto &array_0 = tags.emplace();
                const auto &array_1 = other.tags.value();
                array_0 = array_1;
            }
            if (other.detail.has_value()) {
                detail = other.detail.value();
            }
            uri = other.uri;
            range = other.range;
            selectionRange = other.selectionRange;
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    CallHierarchyIncomingCallsParams::CallHierarchyIncomingCallsParams()
    {
        // empty
    }

    CallHierarchyIncomingCallsParams::CallHierarchyIncomingCallsParams(
        CallHierarchyIncomingCallsParams &&other
    )
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , item(std::move(other.item))
    {
        // empty
    }

    CallHierarchyIncomingCallsParams::CallHierarchyIncomingCallsParams(
        const CallHierarchyIncomingCallsParams &other
    )
        : item(other.item)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    CallHierarchyIncomingCallsParams::~CallHierarchyIncomingCallsParams()
    {
        // empty
    }

    auto CallHierarchyIncomingCallsParams::operator=(
        CallHierarchyIncomingCallsParams &&other
    ) -> CallHierarchyIncomingCallsParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            item = std::move(other.item);
        }
        return *this;
    }

    auto CallHierarchyIncomingCallsParams::operator=(
        const CallHierarchyIncomingCallsParams &other
    ) -> CallHierarchyIncomingCallsParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            item = other.item;
        }
        return *this;
    }

    CallHierarchyIncomingCall::CallHierarchyIncomingCall()
    {
        // empty
    }

    CallHierarchyIncomingCall::CallHierarchyIncomingCall(
        CallHierarchyIncomingCall &&other
    )
        : from(std::move(other.from))
        , fromRanges(std::move(other.fromRanges))
    {
        // empty
    }

    CallHierarchyIncomingCall::CallHierarchyIncomingCall(
        const CallHierarchyIncomingCall &other
    )
        : from(other.from)
    {
        fromRanges.reserve(other.fromRanges.size());
        for (const auto &elem_0 : other.fromRanges) {
            fromRanges.push_back(elem_0);
        }
    }

    CallHierarchyIncomingCall::~CallHierarchyIncomingCall()
    {
        // empty
    }

    auto CallHierarchyIncomingCall::operator=(
        CallHierarchyIncomingCall &&other
    ) -> CallHierarchyIncomingCall &
    {
        if (this != &other) {
            from = std::move(other.from);
            fromRanges = std::move(other.fromRanges);
        }
        return *this;
    }

    auto CallHierarchyIncomingCall::operator=(
        const CallHierarchyIncomingCall &other
    ) -> CallHierarchyIncomingCall &
    {
        if (this != &other) {
            from = other.from;
            fromRanges.reserve(other.fromRanges.size());
            for (const auto &elem_0 : other.fromRanges) {
                fromRanges.push_back(elem_0);
            }
        }
        return *this;
    }

    CallHierarchyOutgoingCallsParams::CallHierarchyOutgoingCallsParams()
    {
        // empty
    }

    CallHierarchyOutgoingCallsParams::CallHierarchyOutgoingCallsParams(
        CallHierarchyOutgoingCallsParams &&other
    )
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , item(std::move(other.item))
    {
        // empty
    }

    CallHierarchyOutgoingCallsParams::CallHierarchyOutgoingCallsParams(
        const CallHierarchyOutgoingCallsParams &other
    )
        : item(other.item)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    CallHierarchyOutgoingCallsParams::~CallHierarchyOutgoingCallsParams()
    {
        // empty
    }

    auto CallHierarchyOutgoingCallsParams::operator=(
        CallHierarchyOutgoingCallsParams &&other
    ) -> CallHierarchyOutgoingCallsParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            item = std::move(other.item);
        }
        return *this;
    }

    auto CallHierarchyOutgoingCallsParams::operator=(
        const CallHierarchyOutgoingCallsParams &other
    ) -> CallHierarchyOutgoingCallsParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            item = other.item;
        }
        return *this;
    }

    CallHierarchyOutgoingCall::CallHierarchyOutgoingCall()
    {
        // empty
    }

    CallHierarchyOutgoingCall::CallHierarchyOutgoingCall(
        CallHierarchyOutgoingCall &&other
    )
        : to(std::move(other.to))
        , fromRanges(std::move(other.fromRanges))
    {
        // empty
    }

    CallHierarchyOutgoingCall::CallHierarchyOutgoingCall(
        const CallHierarchyOutgoingCall &other
    )
        : to(other.to)
    {
        fromRanges.reserve(other.fromRanges.size());
        for (const auto &elem_0 : other.fromRanges) {
            fromRanges.push_back(elem_0);
        }
    }

    CallHierarchyOutgoingCall::~CallHierarchyOutgoingCall()
    {
        // empty
    }

    auto CallHierarchyOutgoingCall::operator=(
        CallHierarchyOutgoingCall &&other
    ) -> CallHierarchyOutgoingCall &
    {
        if (this != &other) {
            to = std::move(other.to);
            fromRanges = std::move(other.fromRanges);
        }
        return *this;
    }

    auto CallHierarchyOutgoingCall::operator=(
        const CallHierarchyOutgoingCall &other
    ) -> CallHierarchyOutgoingCall &
    {
        if (this != &other) {
            to = other.to;
            fromRanges.reserve(other.fromRanges.size());
            for (const auto &elem_0 : other.fromRanges) {
                fromRanges.push_back(elem_0);
            }
        }
        return *this;
    }

    TypeHierarchyItem::TypeHierarchyItem()
    {
        // empty
    }

    TypeHierarchyItem::TypeHierarchyItem(TypeHierarchyItem &&other)
        : name(std::move(other.name))
        , kind(std::move(other.kind))
        , tags(std::move(other.tags))
        , detail(std::move(other.detail))
        , uri(std::move(other.uri))
        , range(std::move(other.range))
        , selectionRange(std::move(other.selectionRange))
        , data(std::move(other.data))
    {
        // empty
    }

    TypeHierarchyItem::TypeHierarchyItem(const TypeHierarchyItem &other)
        : name(other.name)
        , kind(other.kind)
        , uri(other.uri)
        , range(other.range)
        , selectionRange(other.selectionRange)
    {
        if (other.tags.has_value()) {
            auto &array_0 = tags.emplace();
            const auto &array_1 = other.tags.value();
            array_0 = array_1;
        }
        if (other.detail.has_value()) {
            detail = other.detail.value();
        }
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    TypeHierarchyItem::~TypeHierarchyItem()
    {
        // empty
    }

    auto TypeHierarchyItem::operator=(
        TypeHierarchyItem &&other
    ) -> TypeHierarchyItem &
    {
        if (this != &other) {
            name = std::move(other.name);
            kind = std::move(other.kind);
            tags = std::move(other.tags);
            detail = std::move(other.detail);
            uri = std::move(other.uri);
            range = std::move(other.range);
            selectionRange = std::move(other.selectionRange);
            data = std::move(other.data);
        }
        return *this;
    }

    auto TypeHierarchyItem::operator=(
        const TypeHierarchyItem &other
    ) -> TypeHierarchyItem &
    {
        if (this != &other) {
            name = other.name;
            kind = other.kind;
            if (other.tags.has_value()) {
                auto &array_0 = tags.emplace();
                const auto &array_1 = other.tags.value();
                array_0 = array_1;
            }
            if (other.detail.has_value()) {
                detail = other.detail.value();
            }
            uri = other.uri;
            range = other.range;
            selectionRange = other.selectionRange;
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    TypeHierarchySupertypesParams::TypeHierarchySupertypesParams()
    {
        // empty
    }

    TypeHierarchySupertypesParams::TypeHierarchySupertypesParams(
        TypeHierarchySupertypesParams &&other
    )
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , item(std::move(other.item))
    {
        // empty
    }

    TypeHierarchySupertypesParams::TypeHierarchySupertypesParams(
        const TypeHierarchySupertypesParams &other
    )
        : item(other.item)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    TypeHierarchySupertypesParams::~TypeHierarchySupertypesParams()
    {
        // empty
    }

    auto TypeHierarchySupertypesParams::operator=(
        TypeHierarchySupertypesParams &&other
    ) -> TypeHierarchySupertypesParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            item = std::move(other.item);
        }
        return *this;
    }

    auto TypeHierarchySupertypesParams::operator=(
        const TypeHierarchySupertypesParams &other
    ) -> TypeHierarchySupertypesParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            item = other.item;
        }
        return *this;
    }

    TypeHierarchySubtypesParams::TypeHierarchySubtypesParams()
    {
        // empty
    }

    TypeHierarchySubtypesParams::TypeHierarchySubtypesParams(
        TypeHierarchySubtypesParams &&other
    )
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , item(std::move(other.item))
    {
        // empty
    }

    TypeHierarchySubtypesParams::TypeHierarchySubtypesParams(
        const TypeHierarchySubtypesParams &other
    )
        : item(other.item)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    TypeHierarchySubtypesParams::~TypeHierarchySubtypesParams()
    {
        // empty
    }

    auto TypeHierarchySubtypesParams::operator=(
        TypeHierarchySubtypesParams &&other
    ) -> TypeHierarchySubtypesParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            item = std::move(other.item);
        }
        return *this;
    }

    auto TypeHierarchySubtypesParams::operator=(
        const TypeHierarchySubtypesParams &other
    ) -> TypeHierarchySubtypesParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            item = other.item;
        }
        return *this;
    }

    DidChangeConfigurationParams::DidChangeConfigurationParams()
    {
        // empty
    }

    DidChangeConfigurationParams::DidChangeConfigurationParams(
        DidChangeConfigurationParams &&other
    )
        : settings(std::move(other.settings))
    {
        // empty
    }

    DidChangeConfigurationParams::DidChangeConfigurationParams(
        const DidChangeConfigurationParams &other
    )
        : settings(LSPAny(other.settings))
    {
    }

    DidChangeConfigurationParams::~DidChangeConfigurationParams()
    {
        // empty
    }

    auto DidChangeConfigurationParams::operator=(
        DidChangeConfigurationParams &&other
    ) -> DidChangeConfigurationParams &
    {
        if (this != &other) {
            settings = std::move(other.settings);
        }
        return *this;
    }

    auto DidChangeConfigurationParams::operator=(
        const DidChangeConfigurationParams &other
    ) -> DidChangeConfigurationParams &
    {
        if (this != &other) {
            settings = LSPAny(other.settings);
        }
        return *this;
    }

    CompletionList_itemDefaults::CompletionList_itemDefaults()
    {
        // empty
    }

    CompletionList_itemDefaults::CompletionList_itemDefaults(
        CompletionList_itemDefaults &&other
    )
        : commitCharacters(std::move(other.commitCharacters))
        , editRange(std::move(other.editRange))
        , insertTextFormat(std::move(other.insertTextFormat))
        , insertTextMode(std::move(other.insertTextMode))
        , data(std::move(other.data))
    {
        // empty
    }

    CompletionList_itemDefaults::CompletionList_itemDefaults(
        const CompletionList_itemDefaults &other
    )
    {
        if (other.commitCharacters.has_value()) {
            auto &array_0 = commitCharacters.emplace();
            const auto &array_1 = other.commitCharacters.value();
            array_0 = array_1;
        }
        if (other.editRange.has_value()) {
            editRange = other.editRange.value();
        }
        if (other.insertTextFormat.has_value()) {
            insertTextFormat = other.insertTextFormat.value();
        }
        if (other.insertTextMode.has_value()) {
            insertTextMode = other.insertTextMode.value();
        }
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    CompletionList_itemDefaults::~CompletionList_itemDefaults()
    {
        // empty
    }

    auto CompletionList_itemDefaults::operator=(
        CompletionList_itemDefaults &&other
    ) -> CompletionList_itemDefaults &
    {
        if (this != &other) {
            commitCharacters = std::move(other.commitCharacters);
            editRange = std::move(other.editRange);
            insertTextFormat = std::move(other.insertTextFormat);
            insertTextMode = std::move(other.insertTextMode);
            data = std::move(other.data);
        }
        return *this;
    }

    auto CompletionList_itemDefaults::operator=(
        const CompletionList_itemDefaults &other
    ) -> CompletionList_itemDefaults &
    {
        if (this != &other) {
            if (other.commitCharacters.has_value()) {
                auto &array_0 = commitCharacters.emplace();
                const auto &array_1 = other.commitCharacters.value();
                array_0 = array_1;
            }
            if (other.editRange.has_value()) {
                editRange = other.editRange.value();
            }
            if (other.insertTextFormat.has_value()) {
                insertTextFormat = other.insertTextFormat.value();
            }
            if (other.insertTextMode.has_value()) {
                insertTextMode = other.insertTextMode.value();
            }
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    Command::Command()
    {
        // empty
    }

    Command::Command(Command &&other)
        : title(std::move(other.title))
        , command(std::move(other.command))
        , arguments(std::move(other.arguments))
    {
        // empty
    }

    Command::Command(const Command &other)
        : title(other.title)
        , command(other.command)
    {
        if (other.arguments.has_value()) {
            auto &array_0 = arguments.emplace();
            const auto &array_1 = other.arguments.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
    }

    Command::~Command()
    {
        // empty
    }

    auto Command::operator=(Command &&other) -> Command &
    {
        if (this != &other) {
            title = std::move(other.title);
            command = std::move(other.command);
            arguments = std::move(other.arguments);
        }
        return *this;
    }

    auto Command::operator=(const Command &other) -> Command &
    {
        if (this != &other) {
            title = other.title;
            command = other.command;
            if (other.arguments.has_value()) {
                auto &array_0 = arguments.emplace();
                const auto &array_1 = other.arguments.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
        }
        return *this;
    }

    InlineCompletionItem::InlineCompletionItem()
    {
        // empty
    }

    InlineCompletionItem::InlineCompletionItem(InlineCompletionItem &&other)
        : insertText(std::move(other.insertText))
        , filterText(std::move(other.filterText))
        , range(std::move(other.range))
        , command(std::move(other.command))
    {
        // empty
    }

    InlineCompletionItem::InlineCompletionItem(
        const InlineCompletionItem &other
    )
        : insertText(InlineCompletionItem_insertText(other.insertText))
    {
        if (other.filterText.has_value()) {
            filterText = other.filterText.value();
        }
        if (other.range.has_value()) {
            range = other.range.value();
        }
        if (other.command.has_value()) {
            command = other.command.value();
        }
    }

    InlineCompletionItem::~InlineCompletionItem()
    {
        // empty
    }

    auto InlineCompletionItem::operator=(
        InlineCompletionItem &&other
    ) -> InlineCompletionItem &
    {
        if (this != &other) {
            insertText = std::move(other.insertText);
            filterText = std::move(other.filterText);
            range = std::move(other.range);
            command = std::move(other.command);
        }
        return *this;
    }

    auto InlineCompletionItem::operator=(
        const InlineCompletionItem &other
    ) -> InlineCompletionItem &
    {
        if (this != &other) {
            insertText = InlineCompletionItem_insertText(other.insertText);
            if (other.filterText.has_value()) {
                filterText = other.filterText.value();
            }
            if (other.range.has_value()) {
                range = other.range.value();
            }
            if (other.command.has_value()) {
                command = other.command.value();
            }
        }
        return *this;
    }

    InlineCompletionList::InlineCompletionList()
    {
        // empty
    }

    InlineCompletionList::InlineCompletionList(InlineCompletionList &&other)
        : items(std::move(other.items))
    {
        // empty
    }

    InlineCompletionList::InlineCompletionList(
        const InlineCompletionList &other
    )
    {
        items.reserve(other.items.size());
        for (const auto &elem_0 : other.items) {
            items.push_back(elem_0);
        }
    }

    InlineCompletionList::~InlineCompletionList()
    {
        // empty
    }

    auto InlineCompletionList::operator=(
        InlineCompletionList &&other
    ) -> InlineCompletionList &
    {
        if (this != &other) {
            items = std::move(other.items);
        }
        return *this;
    }

    auto InlineCompletionList::operator=(
        const InlineCompletionList &other
    ) -> InlineCompletionList &
    {
        if (this != &other) {
            items.reserve(other.items.size());
            for (const auto &elem_0 : other.items) {
                items.push_back(elem_0);
            }
        }
        return *this;
    }

    CompletionItem::CompletionItem()
    {
        // empty
    }

    CompletionItem::CompletionItem(CompletionItem &&other)
        : label(std::move(other.label))
        , labelDetails(std::move(other.labelDetails))
        , kind(std::move(other.kind))
        , tags(std::move(other.tags))
        , detail(std::move(other.detail))
        , documentation(std::move(other.documentation))
        , deprecated(std::move(other.deprecated))
        , preselect(std::move(other.preselect))
        , sortText(std::move(other.sortText))
        , filterText(std::move(other.filterText))
        , insertText(std::move(other.insertText))
        , insertTextFormat(std::move(other.insertTextFormat))
        , insertTextMode(std::move(other.insertTextMode))
        , textEdit(std::move(other.textEdit))
        , textEditText(std::move(other.textEditText))
        , additionalTextEdits(std::move(other.additionalTextEdits))
        , commitCharacters(std::move(other.commitCharacters))
        , command(std::move(other.command))
        , data(std::move(other.data))
    {
        // empty
    }

    CompletionItem::CompletionItem(const CompletionItem &other)
        : label(other.label)
    {
        if (other.labelDetails.has_value()) {
            labelDetails = other.labelDetails.value();
        }
        if (other.kind.has_value()) {
            kind = other.kind.value();
        }
        if (other.tags.has_value()) {
            auto &array_0 = tags.emplace();
            const auto &array_1 = other.tags.value();
            array_0 = array_1;
        }
        if (other.detail.has_value()) {
            detail = other.detail.value();
        }
        if (other.documentation.has_value()) {
            documentation = other.documentation.value();
        }
        if (other.deprecated.has_value()) {
            deprecated = other.deprecated.value();
        }
        if (other.preselect.has_value()) {
            preselect = other.preselect.value();
        }
        if (other.sortText.has_value()) {
            sortText = other.sortText.value();
        }
        if (other.filterText.has_value()) {
            filterText = other.filterText.value();
        }
        if (other.insertText.has_value()) {
            insertText = other.insertText.value();
        }
        if (other.insertTextFormat.has_value()) {
            insertTextFormat = other.insertTextFormat.value();
        }
        if (other.insertTextMode.has_value()) {
            insertTextMode = other.insertTextMode.value();
        }
        if (other.textEdit.has_value()) {
            textEdit = other.textEdit.value();
        }
        if (other.textEditText.has_value()) {
            textEditText = other.textEditText.value();
        }
        if (other.additionalTextEdits.has_value()) {
            auto &array_2 = additionalTextEdits.emplace();
            const auto &array_3 = other.additionalTextEdits.value();
            array_2.reserve(array_3.size());
            for (const auto &elem_0 : array_3) {
                array_2.push_back(elem_0);
            }
        }
        if (other.commitCharacters.has_value()) {
            auto &array_4 = commitCharacters.emplace();
            const auto &array_5 = other.commitCharacters.value();
            array_4 = array_5;
        }
        if (other.command.has_value()) {
            command = other.command.value();
        }
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    CompletionItem::~CompletionItem()
    {
        // empty
    }

    auto CompletionItem::operator=(CompletionItem &&other) -> CompletionItem &
    {
        if (this != &other) {
            label = std::move(other.label);
            labelDetails = std::move(other.labelDetails);
            kind = std::move(other.kind);
            tags = std::move(other.tags);
            detail = std::move(other.detail);
            documentation = std::move(other.documentation);
            deprecated = std::move(other.deprecated);
            preselect = std::move(other.preselect);
            sortText = std::move(other.sortText);
            filterText = std::move(other.filterText);
            insertText = std::move(other.insertText);
            insertTextFormat = std::move(other.insertTextFormat);
            insertTextMode = std::move(other.insertTextMode);
            textEdit = std::move(other.textEdit);
            textEditText = std::move(other.textEditText);
            additionalTextEdits = std::move(other.additionalTextEdits);
            commitCharacters = std::move(other.commitCharacters);
            command = std::move(other.command);
            data = std::move(other.data);
        }
        return *this;
    }

    auto CompletionItem::operator=(
        const CompletionItem &other
    ) -> CompletionItem &
    {
        if (this != &other) {
            label = other.label;
            if (other.labelDetails.has_value()) {
                labelDetails = other.labelDetails.value();
            }
            if (other.kind.has_value()) {
                kind = other.kind.value();
            }
            if (other.tags.has_value()) {
                auto &array_0 = tags.emplace();
                const auto &array_1 = other.tags.value();
                array_0 = array_1;
            }
            if (other.detail.has_value()) {
                detail = other.detail.value();
            }
            if (other.documentation.has_value()) {
                documentation = other.documentation.value();
            }
            if (other.deprecated.has_value()) {
                deprecated = other.deprecated.value();
            }
            if (other.preselect.has_value()) {
                preselect = other.preselect.value();
            }
            if (other.sortText.has_value()) {
                sortText = other.sortText.value();
            }
            if (other.filterText.has_value()) {
                filterText = other.filterText.value();
            }
            if (other.insertText.has_value()) {
                insertText = other.insertText.value();
            }
            if (other.insertTextFormat.has_value()) {
                insertTextFormat = other.insertTextFormat.value();
            }
            if (other.insertTextMode.has_value()) {
                insertTextMode = other.insertTextMode.value();
            }
            if (other.textEdit.has_value()) {
                textEdit = other.textEdit.value();
            }
            if (other.textEditText.has_value()) {
                textEditText = other.textEditText.value();
            }
            if (other.additionalTextEdits.has_value()) {
                auto &array_2 = additionalTextEdits.emplace();
                const auto &array_3 = other.additionalTextEdits.value();
                array_2.reserve(array_3.size());
                for (const auto &elem_0 : array_3) {
                    array_2.push_back(elem_0);
                }
            }
            if (other.commitCharacters.has_value()) {
                auto &array_4 = commitCharacters.emplace();
                const auto &array_5 = other.commitCharacters.value();
                array_4 = array_5;
            }
            if (other.command.has_value()) {
                command = other.command.value();
            }
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    CompletionList::CompletionList()
    {
        // empty
    }

    CompletionList::CompletionList(CompletionList &&other)
        : isIncomplete(other.isIncomplete)
        , itemDefaults(std::move(other.itemDefaults))
        , items(std::move(other.items))
    {
        // empty
    }

    CompletionList::CompletionList(const CompletionList &other)
        : isIncomplete(other.isIncomplete)
    {
        if (other.itemDefaults.has_value()) {
            itemDefaults = other.itemDefaults.value();
        }
        items.reserve(other.items.size());
        for (const auto &elem_0 : other.items) {
            items.push_back(elem_0);
        }
    }

    CompletionList::~CompletionList()
    {
        // empty
    }

    auto CompletionList::operator=(CompletionList &&other) -> CompletionList &
    {
        if (this != &other) {
            isIncomplete = other.isIncomplete;
            itemDefaults = std::move(other.itemDefaults);
            items = std::move(other.items);
        }
        return *this;
    }

    auto CompletionList::operator=(
        const CompletionList &other
    ) -> CompletionList &
    {
        if (this != &other) {
            isIncomplete = other.isIncomplete;
            if (other.itemDefaults.has_value()) {
                itemDefaults = other.itemDefaults.value();
            }
            items.reserve(other.items.size());
            for (const auto &elem_0 : other.items) {
                items.push_back(elem_0);
            }
        }
        return *this;
    }

    WorkspaceSymbol::WorkspaceSymbol()
        : BaseSymbolInformation()
    {
        // empty
    }

    WorkspaceSymbol::WorkspaceSymbol(WorkspaceSymbol &&other)
        : BaseSymbolInformation(other)
        , location(std::move(other.location))
        , data(std::move(other.data))
    {
        // empty
    }

    WorkspaceSymbol::WorkspaceSymbol(const WorkspaceSymbol &other)
        : BaseSymbolInformation(other)
        , location(WorkspaceSymbol_location(other.location))
    {
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    WorkspaceSymbol::~WorkspaceSymbol()
    {
        // empty
    }

    auto WorkspaceSymbol::operator=(
        WorkspaceSymbol &&other
    ) -> WorkspaceSymbol &
    {
        if (this != &other) {
            BaseSymbolInformation::operator=(other);
            location = std::move(other.location);
            data = std::move(other.data);
        }
        return *this;
    }

    auto WorkspaceSymbol::operator=(
        const WorkspaceSymbol &other
    ) -> WorkspaceSymbol &
    {
        if (this != &other) {
            BaseSymbolInformation::operator=(other);
            location = WorkspaceSymbol_location(other.location);
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    CodeLens::CodeLens()
    {
        // empty
    }

    CodeLens::CodeLens(CodeLens &&other)
        : range(std::move(other.range))
        , command(std::move(other.command))
        , data(std::move(other.data))
    {
        // empty
    }

    CodeLens::CodeLens(const CodeLens &other)
        : range(other.range)
    {
        if (other.command.has_value()) {
            command = other.command.value();
        }
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    CodeLens::~CodeLens()
    {
        // empty
    }

    auto CodeLens::operator=(CodeLens &&other) -> CodeLens &
    {
        if (this != &other) {
            range = std::move(other.range);
            command = std::move(other.command);
            data = std::move(other.data);
        }
        return *this;
    }

    auto CodeLens::operator=(const CodeLens &other) -> CodeLens &
    {
        if (this != &other) {
            range = other.range;
            if (other.command.has_value()) {
                command = other.command.value();
            }
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    DocumentLink::DocumentLink()
    {
        // empty
    }

    DocumentLink::DocumentLink(DocumentLink &&other)
        : range(std::move(other.range))
        , target(std::move(other.target))
        , tooltip(std::move(other.tooltip))
        , data(std::move(other.data))
    {
        // empty
    }

    DocumentLink::DocumentLink(const DocumentLink &other)
        : range(other.range)
    {
        if (other.target.has_value()) {
            target = other.target.value();
        }
        if (other.tooltip.has_value()) {
            tooltip = other.tooltip.value();
        }
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    DocumentLink::~DocumentLink()
    {
        // empty
    }

    auto DocumentLink::operator=(DocumentLink &&other) -> DocumentLink &
    {
        if (this != &other) {
            range = std::move(other.range);
            target = std::move(other.target);
            tooltip = std::move(other.tooltip);
            data = std::move(other.data);
        }
        return *this;
    }

    auto DocumentLink::operator=(const DocumentLink &other) -> DocumentLink &
    {
        if (this != &other) {
            range = other.range;
            if (other.target.has_value()) {
                target = other.target.value();
            }
            if (other.tooltip.has_value()) {
                tooltip = other.tooltip.value();
            }
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    ExecuteCommandParams::ExecuteCommandParams()
    {
        // empty
    }

    ExecuteCommandParams::ExecuteCommandParams(ExecuteCommandParams &&other)
        : workDoneToken(std::move(other.workDoneToken))
        , command(std::move(other.command))
        , arguments(std::move(other.arguments))
    {
        // empty
    }

    ExecuteCommandParams::ExecuteCommandParams(
        const ExecuteCommandParams &other
    )
        : command(other.command)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
        if (other.arguments.has_value()) {
            auto &array_0 = arguments.emplace();
            const auto &array_1 = other.arguments.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
    }

    ExecuteCommandParams::~ExecuteCommandParams()
    {
        // empty
    }

    auto ExecuteCommandParams::operator=(
        ExecuteCommandParams &&other
    ) -> ExecuteCommandParams &
    {
        if (this != &other) {
            workDoneToken = std::move(other.workDoneToken);
            command = std::move(other.command);
            arguments = std::move(other.arguments);
        }
        return *this;
    }

    auto ExecuteCommandParams::operator=(
        const ExecuteCommandParams &other
    ) -> ExecuteCommandParams &
    {
        if (this != &other) {
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            command = other.command;
            if (other.arguments.has_value()) {
                auto &array_0 = arguments.emplace();
                const auto &array_1 = other.arguments.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
        }
        return *this;
    }

    ProgressParams::ProgressParams()
    {
        // empty
    }

    ProgressParams::ProgressParams(ProgressParams &&other)
        : token(std::move(other.token))
        , value(std::move(other.value))
    {
        // empty
    }

    ProgressParams::ProgressParams(const ProgressParams &other)
        : token(ProgressToken(other.token))
        , value(LSPAny(other.value))
    {
    }

    ProgressParams::~ProgressParams()
    {
        // empty
    }

    auto ProgressParams::operator=(ProgressParams &&other) -> ProgressParams &
    {
        if (this != &other) {
            token = std::move(other.token);
            value = std::move(other.value);
        }
        return *this;
    }

    auto ProgressParams::operator=(
        const ProgressParams &other
    ) -> ProgressParams &
    {
        if (this != &other) {
            token = ProgressToken(other.token);
            value = LSPAny(other.value);
        }
        return *this;
    }

    InlayHintLabelPart::InlayHintLabelPart()
    {
        // empty
    }

    InlayHintLabelPart::InlayHintLabelPart(InlayHintLabelPart &&other)
        : value(std::move(other.value))
        , tooltip(std::move(other.tooltip))
        , location(std::move(other.location))
        , command(std::move(other.command))
    {
        // empty
    }

    InlayHintLabelPart::InlayHintLabelPart(const InlayHintLabelPart &other)
        : value(other.value)
    {
        if (other.tooltip.has_value()) {
            tooltip = other.tooltip.value();
        }
        if (other.location.has_value()) {
            location = other.location.value();
        }
        if (other.command.has_value()) {
            command = other.command.value();
        }
    }

    InlayHintLabelPart::~InlayHintLabelPart()
    {
        // empty
    }

    auto InlayHintLabelPart::operator=(
        InlayHintLabelPart &&other
    ) -> InlayHintLabelPart &
    {
        if (this != &other) {
            value = std::move(other.value);
            tooltip = std::move(other.tooltip);
            location = std::move(other.location);
            command = std::move(other.command);
        }
        return *this;
    }

    auto InlayHintLabelPart::operator=(
        const InlayHintLabelPart &other
    ) -> InlayHintLabelPart &
    {
        if (this != &other) {
            value = other.value;
            if (other.tooltip.has_value()) {
                tooltip = other.tooltip.value();
            }
            if (other.location.has_value()) {
                location = other.location.value();
            }
            if (other.command.has_value()) {
                command = other.command.value();
            }
        }
        return *this;
    }

    const std::map<InlayHint_labelType, std::string>
    InlayHint_labelTypeNames = {
        {InlayHint_labelType::Uninitialized, "Uninitialized"},
        {InlayHint_labelType::String, "String"},
        {InlayHint_labelType::InlayHintLabelPartArray,
         "InlayHintLabelPartArray"},
    };

    InlayHint_label::InlayHint_label()
    {
        // empty
    }

    InlayHint_label::~InlayHint_label()
    {
        reset();
    }

    InlayHint_label::InlayHint_label(InlayHint_label &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case InlayHint_labelType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::move(other._string)
            };
            break;
        }
        case InlayHint_labelType::InlayHintLabelPartArray: {
            new (&_inlayHintLabelPartArray) std::unique_ptr<InlayHint_label_1> {
                std::move(other._inlayHintLabelPartArray)
            };
            break;
        }
        case InlayHint_labelType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = InlayHint_labelType::Uninitialized;
    }

    InlayHint_label::InlayHint_label(const InlayHint_label &other)
        : _type(other._type)
    {
        switch (other._type) {
        case InlayHint_labelType::String: {
            new (&_string) std::unique_ptr<string_t> {
                std::make_unique<string_t>(*other._string)
            };
            break;
        }
        case InlayHint_labelType::InlayHintLabelPartArray: {
            new (&_inlayHintLabelPartArray) std::unique_ptr<std::vector<InlayHintLabelPart>> {
                std::make_unique<std::vector<InlayHintLabelPart>>()
            };
            _inlayHintLabelPartArray->reserve(
                other._inlayHintLabelPartArray->size()
            );
            for (const auto &elem_0 : *other._inlayHintLabelPartArray) {
                _inlayHintLabelPartArray->push_back(elem_0);
            }
            break;
        }
        case InlayHint_labelType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto InlayHint_label::operator=(
        InlayHint_label &&other
    ) -> InlayHint_label &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlayHint_labelType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::move(other._string)
                };
                break;
            }
            case InlayHint_labelType::InlayHintLabelPartArray: {
                new (&_inlayHintLabelPartArray) std::unique_ptr<InlayHint_label_1> {
                    std::move(other._inlayHintLabelPartArray)
                };
                break;
            }
            case InlayHint_labelType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = InlayHint_labelType::Uninitialized;
        }
        return *this;
    }

    auto InlayHint_label::operator=(
        const InlayHint_label &other
    ) -> InlayHint_label &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case InlayHint_labelType::String: {
                new (&_string) std::unique_ptr<string_t> {
                    std::make_unique<string_t>(*other._string)
                };
                break;
            }
            case InlayHint_labelType::InlayHintLabelPartArray: {
                new (&_inlayHintLabelPartArray) std::unique_ptr<std::vector<InlayHintLabelPart>> {
                    std::make_unique<std::vector<InlayHintLabelPart>>()
                };
                _inlayHintLabelPartArray->reserve(
                    other._inlayHintLabelPartArray->size()
                );
                for (const auto &elem_0 : *other._inlayHintLabelPartArray) {
                    _inlayHintLabelPartArray->push_back(elem_0);
                }
                break;
            }
            case InlayHint_labelType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto InlayHint_label::reset() -> void
    {
        switch (_type) {
        case InlayHint_labelType::Uninitialized: {
            // nothing to do
            break;
        }
        case InlayHint_labelType::String: {
#ifdef DEBUG
            if (!_string) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _string"
                );
            }
#endif // DEBUG
            _string.~unique_ptr<string_t>();
            _type = InlayHint_labelType::Uninitialized;
            break;
        }
        case InlayHint_labelType::InlayHintLabelPartArray: {
#ifdef DEBUG
            if (!_inlayHintLabelPartArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlayHintLabelPartArray"
                );
            }
#endif // DEBUG
            _inlayHintLabelPartArray.~unique_ptr<std::vector<InlayHintLabelPart>>();
            _type = InlayHint_labelType::Uninitialized;
            break;
        }
        default: {
            _type = InlayHint_labelType::Uninitialized;
        }
        }
    }

    auto InlayHint_label::type() const -> const InlayHint_labelType &
    {
        return _type;
    }

    auto InlayHint_label::string() const -> const string_t &
    {
#ifdef DEBUG
        if (_type != InlayHint_labelType::String) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlayHint_label::string()"
                 " of type "
                 "InlayHint_labelType::String"
                 " while active type is "
                 "InlayHint_labelType::" +
                 InlayHint_labelTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_string;
    }

    auto InlayHint_label::operator=(
        const std::unique_ptr<string_t> &string
    ) -> InlayHint_label &
    {
        if (_type != InlayHint_labelType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(*string)
        };
        _type = InlayHint_labelType::String;
        return *this;
    }

    auto InlayHint_label::operator=(
        std::unique_ptr<string_t> &&string
    ) -> InlayHint_label &
    {
        if (_type != InlayHint_labelType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!string) {
            throw std::logic_error("null passed as the value of string");
        }
#endif // DEBUG
        new (&_string) std::unique_ptr<string_t> {
            std::move(string)
        };
        _type = InlayHint_labelType::String;
        return *this;
    }

    auto InlayHint_label::operator=(
        const string_t &string
    ) -> InlayHint_label &
    {
        if (_type != InlayHint_labelType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(string)
        };
        _type = InlayHint_labelType::String;
        return *this;
    }

    auto InlayHint_label::operator=(string_t &&string) -> InlayHint_label &
    {
        if (_type != InlayHint_labelType::Uninitialized) {
            reset();
        }
        new (&_string) std::unique_ptr<string_t> {
            std::make_unique<string_t>(std::move(string))
        };
        _type = InlayHint_labelType::String;
        return *this;
    }

    auto InlayHint_label::inlayHintLabelPartArray() const
    -> const std::vector<InlayHintLabelPart> &
    {
#ifdef DEBUG
        if (_type != InlayHint_labelType::InlayHintLabelPartArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "InlayHint_label::inlayHintLabelPartArray()"
                 " of type "
                 "InlayHint_labelType::InlayHintLabelPartArray"
                 " while active type is "
                 "InlayHint_labelType::" +
                 InlayHint_labelTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlayHintLabelPartArray;
    }

    auto InlayHint_label::operator=(
        const std::unique_ptr<std::vector<InlayHintLabelPart>> &inlayHintLabelPartArray
    ) -> InlayHint_label &
    {
        if (_type != InlayHint_labelType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlayHintLabelPartArray) {
            throw std::logic_error(
                "null passed as the value of inlayHintLabelPartArray"
            );
        }
#endif // DEBUG
        new (&_inlayHintLabelPartArray) std::unique_ptr<std::vector<InlayHintLabelPart>> {
            std::make_unique<std::vector<InlayHintLabelPart>>()
        };
        _inlayHintLabelPartArray->reserve(inlayHintLabelPartArray->size());
        for (const auto &elem_0 : *inlayHintLabelPartArray) {
            _inlayHintLabelPartArray->push_back(elem_0);
        }
        _type = InlayHint_labelType::InlayHintLabelPartArray;
        return *this;
    }

    auto InlayHint_label::operator=(
        std::unique_ptr<std::vector<InlayHintLabelPart>> &&inlayHintLabelPartArray
    ) -> InlayHint_label &
    {
        if (_type != InlayHint_labelType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlayHintLabelPartArray) {
            throw std::logic_error(
                "null passed as the value of inlayHintLabelPartArray"
            );
        }
#endif // DEBUG
        new (&_inlayHintLabelPartArray) std::unique_ptr<InlayHint_label_1> {
            std::move(inlayHintLabelPartArray)
        };
        _type = InlayHint_labelType::InlayHintLabelPartArray;
        return *this;
    }

    auto InlayHint_label::operator=(
        const std::vector<InlayHintLabelPart> &inlayHintLabelPartArray
    ) -> InlayHint_label &
    {
        if (_type != InlayHint_labelType::Uninitialized) {
            reset();
        }
        new (&_inlayHintLabelPartArray) std::unique_ptr<std::vector<InlayHintLabelPart>> {
            std::make_unique<std::vector<InlayHintLabelPart>>()
        };
        _inlayHintLabelPartArray->reserve(inlayHintLabelPartArray.size());
        for (const auto &elem_0 : inlayHintLabelPartArray) {
            _inlayHintLabelPartArray->push_back(elem_0);
        }
        _type = InlayHint_labelType::InlayHintLabelPartArray;
        return *this;
    }

    auto InlayHint_label::operator=(
        std::vector<InlayHintLabelPart> &&inlayHintLabelPartArray
    ) -> InlayHint_label &
    {
        if (_type != InlayHint_labelType::Uninitialized) {
            reset();
        }
        new (&_inlayHintLabelPartArray) std::unique_ptr<InlayHint_label_1> {
            std::make_unique<InlayHint_label_1>(std::move(inlayHintLabelPartArray))
        };
        _type = InlayHint_labelType::InlayHintLabelPartArray;
        return *this;
    }

    InlayHint::InlayHint()
    {
        // empty
    }

    InlayHint::InlayHint(InlayHint &&other)
        : position(std::move(other.position))
        , label(std::move(other.label))
        , kind(std::move(other.kind))
        , textEdits(std::move(other.textEdits))
        , tooltip(std::move(other.tooltip))
        , paddingLeft(std::move(other.paddingLeft))
        , paddingRight(std::move(other.paddingRight))
        , data(std::move(other.data))
    {
        // empty
    }

    InlayHint::InlayHint(const InlayHint &other)
        : position(other.position)
        , label(InlayHint_label(other.label))
    {
        if (other.kind.has_value()) {
            kind = other.kind.value();
        }
        if (other.textEdits.has_value()) {
            auto &array_0 = textEdits.emplace();
            const auto &array_1 = other.textEdits.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
        if (other.tooltip.has_value()) {
            tooltip = other.tooltip.value();
        }
        if (other.paddingLeft.has_value()) {
            paddingLeft = other.paddingLeft.value();
        }
        if (other.paddingRight.has_value()) {
            paddingRight = other.paddingRight.value();
        }
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    InlayHint::~InlayHint()
    {
        // empty
    }

    auto InlayHint::operator=(InlayHint &&other) -> InlayHint &
    {
        if (this != &other) {
            position = std::move(other.position);
            label = std::move(other.label);
            kind = std::move(other.kind);
            textEdits = std::move(other.textEdits);
            tooltip = std::move(other.tooltip);
            paddingLeft = std::move(other.paddingLeft);
            paddingRight = std::move(other.paddingRight);
            data = std::move(other.data);
        }
        return *this;
    }

    auto InlayHint::operator=(const InlayHint &other) -> InlayHint &
    {
        if (this != &other) {
            position = other.position;
            label = InlayHint_label(other.label);
            if (other.kind.has_value()) {
                kind = other.kind.value();
            }
            if (other.textEdits.has_value()) {
                auto &array_0 = textEdits.emplace();
                const auto &array_1 = other.textEdits.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
            if (other.tooltip.has_value()) {
                tooltip = other.tooltip.value();
            }
            if (other.paddingLeft.has_value()) {
                paddingLeft = other.paddingLeft.value();
            }
            if (other.paddingRight.has_value()) {
                paddingRight = other.paddingRight.value();
            }
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    Registration::Registration()
    {
        // empty
    }

    Registration::Registration(Registration &&other)
        : id(std::move(other.id))
        , method(std::move(other.method))
        , registerOptions(std::move(other.registerOptions))
    {
        // empty
    }

    Registration::Registration(const Registration &other)
        : id(other.id)
        , method(other.method)
    {
        if (other.registerOptions.has_value()) {
            registerOptions = other.registerOptions.value();
        }
    }

    Registration::~Registration()
    {
        // empty
    }

    auto Registration::operator=(Registration &&other) -> Registration &
    {
        if (this != &other) {
            id = std::move(other.id);
            method = std::move(other.method);
            registerOptions = std::move(other.registerOptions);
        }
        return *this;
    }

    auto Registration::operator=(const Registration &other) -> Registration &
    {
        if (this != &other) {
            id = other.id;
            method = other.method;
            if (other.registerOptions.has_value()) {
                registerOptions = other.registerOptions.value();
            }
        }
        return *this;
    }

    RegistrationParams::RegistrationParams()
    {
        // empty
    }

    RegistrationParams::RegistrationParams(RegistrationParams &&other)
        : registrations(std::move(other.registrations))
    {
        // empty
    }

    RegistrationParams::RegistrationParams(const RegistrationParams &other)
    {
        registrations.reserve(other.registrations.size());
        for (const auto &elem_0 : other.registrations) {
            registrations.push_back(elem_0);
        }
    }

    RegistrationParams::~RegistrationParams()
    {
        // empty
    }

    auto RegistrationParams::operator=(
        RegistrationParams &&other
    ) -> RegistrationParams &
    {
        if (this != &other) {
            registrations = std::move(other.registrations);
        }
        return *this;
    }

    auto RegistrationParams::operator=(
        const RegistrationParams &other
    ) -> RegistrationParams &
    {
        if (this != &other) {
            registrations.reserve(other.registrations.size());
            for (const auto &elem_0 : other.registrations) {
                registrations.push_back(elem_0);
            }
        }
        return *this;
    }

    ServerCapabilities::ServerCapabilities()
    {
        // empty
    }

    ServerCapabilities::ServerCapabilities(ServerCapabilities &&other)
        : positionEncoding(std::move(other.positionEncoding))
        , textDocumentSync(std::move(other.textDocumentSync))
        , notebookDocumentSync(std::move(other.notebookDocumentSync))
        , completionProvider(std::move(other.completionProvider))
        , hoverProvider(std::move(other.hoverProvider))
        , signatureHelpProvider(std::move(other.signatureHelpProvider))
        , declarationProvider(std::move(other.declarationProvider))
        , definitionProvider(std::move(other.definitionProvider))
        , typeDefinitionProvider(std::move(other.typeDefinitionProvider))
        , implementationProvider(std::move(other.implementationProvider))
        , referencesProvider(std::move(other.referencesProvider))
        , documentHighlightProvider(std::move(other.documentHighlightProvider))
        , documentSymbolProvider(std::move(other.documentSymbolProvider))
        , codeActionProvider(std::move(other.codeActionProvider))
        , codeLensProvider(std::move(other.codeLensProvider))
        , documentLinkProvider(std::move(other.documentLinkProvider))
        , colorProvider(std::move(other.colorProvider))
        , workspaceSymbolProvider(std::move(other.workspaceSymbolProvider))
        , documentFormattingProvider(std::move(other.documentFormattingProvider))
        , documentRangeFormattingProvider(std::move(other.documentRangeFormattingProvider))
        , documentOnTypeFormattingProvider(std::move(other.documentOnTypeFormattingProvider))
        , renameProvider(std::move(other.renameProvider))
        , foldingRangeProvider(std::move(other.foldingRangeProvider))
        , selectionRangeProvider(std::move(other.selectionRangeProvider))
        , executeCommandProvider(std::move(other.executeCommandProvider))
        , callHierarchyProvider(std::move(other.callHierarchyProvider))
        , linkedEditingRangeProvider(std::move(other.linkedEditingRangeProvider))
        , semanticTokensProvider(std::move(other.semanticTokensProvider))
        , monikerProvider(std::move(other.monikerProvider))
        , typeHierarchyProvider(std::move(other.typeHierarchyProvider))
        , inlineValueProvider(std::move(other.inlineValueProvider))
        , inlayHintProvider(std::move(other.inlayHintProvider))
        , diagnosticProvider(std::move(other.diagnosticProvider))
        , inlineCompletionProvider(std::move(other.inlineCompletionProvider))
        , workspace(std::move(other.workspace))
        , experimental(std::move(other.experimental))
    {
        // empty
    }

    ServerCapabilities::ServerCapabilities(const ServerCapabilities &other)
    {
        if (other.positionEncoding.has_value()) {
            positionEncoding = other.positionEncoding.value();
        }
        if (other.textDocumentSync.has_value()) {
            textDocumentSync = other.textDocumentSync.value();
        }
        if (other.notebookDocumentSync.has_value()) {
            notebookDocumentSync = other.notebookDocumentSync.value();
        }
        if (other.completionProvider.has_value()) {
            completionProvider = other.completionProvider.value();
        }
        if (other.hoverProvider.has_value()) {
            hoverProvider = other.hoverProvider.value();
        }
        if (other.signatureHelpProvider.has_value()) {
            signatureHelpProvider = other.signatureHelpProvider.value();
        }
        if (other.declarationProvider.has_value()) {
            declarationProvider = other.declarationProvider.value();
        }
        if (other.definitionProvider.has_value()) {
            definitionProvider = other.definitionProvider.value();
        }
        if (other.typeDefinitionProvider.has_value()) {
            typeDefinitionProvider = other.typeDefinitionProvider.value();
        }
        if (other.implementationProvider.has_value()) {
            implementationProvider = other.implementationProvider.value();
        }
        if (other.referencesProvider.has_value()) {
            referencesProvider = other.referencesProvider.value();
        }
        if (other.documentHighlightProvider.has_value()) {
            documentHighlightProvider =
                other.documentHighlightProvider.value();
        }
        if (other.documentSymbolProvider.has_value()) {
            documentSymbolProvider = other.documentSymbolProvider.value();
        }
        if (other.codeActionProvider.has_value()) {
            codeActionProvider = other.codeActionProvider.value();
        }
        if (other.codeLensProvider.has_value()) {
            codeLensProvider = other.codeLensProvider.value();
        }
        if (other.documentLinkProvider.has_value()) {
            documentLinkProvider = other.documentLinkProvider.value();
        }
        if (other.colorProvider.has_value()) {
            colorProvider = other.colorProvider.value();
        }
        if (other.workspaceSymbolProvider.has_value()) {
            workspaceSymbolProvider = other.workspaceSymbolProvider.value();
        }
        if (other.documentFormattingProvider.has_value()) {
            documentFormattingProvider =
                other.documentFormattingProvider.value();
        }
        if (other.documentRangeFormattingProvider.has_value()) {
            documentRangeFormattingProvider =
                other.documentRangeFormattingProvider.value();
        }
        if (other.documentOnTypeFormattingProvider.has_value()) {
            documentOnTypeFormattingProvider =
                other.documentOnTypeFormattingProvider.value();
        }
        if (other.renameProvider.has_value()) {
            renameProvider = other.renameProvider.value();
        }
        if (other.foldingRangeProvider.has_value()) {
            foldingRangeProvider = other.foldingRangeProvider.value();
        }
        if (other.selectionRangeProvider.has_value()) {
            selectionRangeProvider = other.selectionRangeProvider.value();
        }
        if (other.executeCommandProvider.has_value()) {
            executeCommandProvider = other.executeCommandProvider.value();
        }
        if (other.callHierarchyProvider.has_value()) {
            callHierarchyProvider = other.callHierarchyProvider.value();
        }
        if (other.linkedEditingRangeProvider.has_value()) {
            linkedEditingRangeProvider =
                other.linkedEditingRangeProvider.value();
        }
        if (other.semanticTokensProvider.has_value()) {
            semanticTokensProvider = other.semanticTokensProvider.value();
        }
        if (other.monikerProvider.has_value()) {
            monikerProvider = other.monikerProvider.value();
        }
        if (other.typeHierarchyProvider.has_value()) {
            typeHierarchyProvider = other.typeHierarchyProvider.value();
        }
        if (other.inlineValueProvider.has_value()) {
            inlineValueProvider = other.inlineValueProvider.value();
        }
        if (other.inlayHintProvider.has_value()) {
            inlayHintProvider = other.inlayHintProvider.value();
        }
        if (other.diagnosticProvider.has_value()) {
            diagnosticProvider = other.diagnosticProvider.value();
        }
        if (other.inlineCompletionProvider.has_value()) {
            inlineCompletionProvider = other.inlineCompletionProvider.value();
        }
        if (other.workspace.has_value()) {
            workspace = other.workspace.value();
        }
        if (other.experimental.has_value()) {
            experimental = other.experimental.value();
        }
    }

    ServerCapabilities::~ServerCapabilities()
    {
        // empty
    }

    auto ServerCapabilities::operator=(
        ServerCapabilities &&other
    ) -> ServerCapabilities &
    {
        if (this != &other) {
            positionEncoding = std::move(other.positionEncoding);
            textDocumentSync = std::move(other.textDocumentSync);
            notebookDocumentSync = std::move(other.notebookDocumentSync);
            completionProvider = std::move(other.completionProvider);
            hoverProvider = std::move(other.hoverProvider);
            signatureHelpProvider = std::move(other.signatureHelpProvider);
            declarationProvider = std::move(other.declarationProvider);
            definitionProvider = std::move(other.definitionProvider);
            typeDefinitionProvider = std::move(other.typeDefinitionProvider);
            implementationProvider = std::move(other.implementationProvider);
            referencesProvider = std::move(other.referencesProvider);
            documentHighlightProvider =
                std::move(other.documentHighlightProvider);
            documentSymbolProvider = std::move(other.documentSymbolProvider);
            codeActionProvider = std::move(other.codeActionProvider);
            codeLensProvider = std::move(other.codeLensProvider);
            documentLinkProvider = std::move(other.documentLinkProvider);
            colorProvider = std::move(other.colorProvider);
            workspaceSymbolProvider = std::move(other.workspaceSymbolProvider);
            documentFormattingProvider =
                std::move(other.documentFormattingProvider);
            documentRangeFormattingProvider =
                std::move(other.documentRangeFormattingProvider);
            documentOnTypeFormattingProvider =
                std::move(other.documentOnTypeFormattingProvider);
            renameProvider = std::move(other.renameProvider);
            foldingRangeProvider = std::move(other.foldingRangeProvider);
            selectionRangeProvider = std::move(other.selectionRangeProvider);
            executeCommandProvider = std::move(other.executeCommandProvider);
            callHierarchyProvider = std::move(other.callHierarchyProvider);
            linkedEditingRangeProvider =
                std::move(other.linkedEditingRangeProvider);
            semanticTokensProvider = std::move(other.semanticTokensProvider);
            monikerProvider = std::move(other.monikerProvider);
            typeHierarchyProvider = std::move(other.typeHierarchyProvider);
            inlineValueProvider = std::move(other.inlineValueProvider);
            inlayHintProvider = std::move(other.inlayHintProvider);
            diagnosticProvider = std::move(other.diagnosticProvider);
            inlineCompletionProvider =
                std::move(other.inlineCompletionProvider);
            workspace = std::move(other.workspace);
            experimental = std::move(other.experimental);
        }
        return *this;
    }

    auto ServerCapabilities::operator=(
        const ServerCapabilities &other
    ) -> ServerCapabilities &
    {
        if (this != &other) {
            if (other.positionEncoding.has_value()) {
                positionEncoding = other.positionEncoding.value();
            }
            if (other.textDocumentSync.has_value()) {
                textDocumentSync = other.textDocumentSync.value();
            }
            if (other.notebookDocumentSync.has_value()) {
                notebookDocumentSync = other.notebookDocumentSync.value();
            }
            if (other.completionProvider.has_value()) {
                completionProvider = other.completionProvider.value();
            }
            if (other.hoverProvider.has_value()) {
                hoverProvider = other.hoverProvider.value();
            }
            if (other.signatureHelpProvider.has_value()) {
                signatureHelpProvider = other.signatureHelpProvider.value();
            }
            if (other.declarationProvider.has_value()) {
                declarationProvider = other.declarationProvider.value();
            }
            if (other.definitionProvider.has_value()) {
                definitionProvider = other.definitionProvider.value();
            }
            if (other.typeDefinitionProvider.has_value()) {
                typeDefinitionProvider = other.typeDefinitionProvider.value();
            }
            if (other.implementationProvider.has_value()) {
                implementationProvider = other.implementationProvider.value();
            }
            if (other.referencesProvider.has_value()) {
                referencesProvider = other.referencesProvider.value();
            }
            if (other.documentHighlightProvider.has_value()) {
                documentHighlightProvider =
                    other.documentHighlightProvider.value();
            }
            if (other.documentSymbolProvider.has_value()) {
                documentSymbolProvider = other.documentSymbolProvider.value();
            }
            if (other.codeActionProvider.has_value()) {
                codeActionProvider = other.codeActionProvider.value();
            }
            if (other.codeLensProvider.has_value()) {
                codeLensProvider = other.codeLensProvider.value();
            }
            if (other.documentLinkProvider.has_value()) {
                documentLinkProvider = other.documentLinkProvider.value();
            }
            if (other.colorProvider.has_value()) {
                colorProvider = other.colorProvider.value();
            }
            if (other.workspaceSymbolProvider.has_value()) {
                workspaceSymbolProvider =
                    other.workspaceSymbolProvider.value();
            }
            if (other.documentFormattingProvider.has_value()) {
                documentFormattingProvider =
                    other.documentFormattingProvider.value();
            }
            if (other.documentRangeFormattingProvider.has_value()) {
                documentRangeFormattingProvider =
                    other.documentRangeFormattingProvider.value();
            }
            if (other.documentOnTypeFormattingProvider.has_value()) {
                documentOnTypeFormattingProvider =
                    other.documentOnTypeFormattingProvider.value();
            }
            if (other.renameProvider.has_value()) {
                renameProvider = other.renameProvider.value();
            }
            if (other.foldingRangeProvider.has_value()) {
                foldingRangeProvider = other.foldingRangeProvider.value();
            }
            if (other.selectionRangeProvider.has_value()) {
                selectionRangeProvider = other.selectionRangeProvider.value();
            }
            if (other.executeCommandProvider.has_value()) {
                executeCommandProvider = other.executeCommandProvider.value();
            }
            if (other.callHierarchyProvider.has_value()) {
                callHierarchyProvider = other.callHierarchyProvider.value();
            }
            if (other.linkedEditingRangeProvider.has_value()) {
                linkedEditingRangeProvider =
                    other.linkedEditingRangeProvider.value();
            }
            if (other.semanticTokensProvider.has_value()) {
                semanticTokensProvider = other.semanticTokensProvider.value();
            }
            if (other.monikerProvider.has_value()) {
                monikerProvider = other.monikerProvider.value();
            }
            if (other.typeHierarchyProvider.has_value()) {
                typeHierarchyProvider = other.typeHierarchyProvider.value();
            }
            if (other.inlineValueProvider.has_value()) {
                inlineValueProvider = other.inlineValueProvider.value();
            }
            if (other.inlayHintProvider.has_value()) {
                inlayHintProvider = other.inlayHintProvider.value();
            }
            if (other.diagnosticProvider.has_value()) {
                diagnosticProvider = other.diagnosticProvider.value();
            }
            if (other.inlineCompletionProvider.has_value()) {
                inlineCompletionProvider =
                    other.inlineCompletionProvider.value();
            }
            if (other.workspace.has_value()) {
                workspace = other.workspace.value();
            }
            if (other.experimental.has_value()) {
                experimental = other.experimental.value();
            }
        }
        return *this;
    }

    InitializeResult::InitializeResult()
    {
        // empty
    }

    InitializeResult::InitializeResult(InitializeResult &&other)
        : capabilities(std::move(other.capabilities))
        , serverInfo(std::move(other.serverInfo))
    {
        // empty
    }

    InitializeResult::InitializeResult(const InitializeResult &other)
        : capabilities(other.capabilities)
    {
        if (other.serverInfo.has_value()) {
            serverInfo = other.serverInfo.value();
        }
    }

    InitializeResult::~InitializeResult()
    {
        // empty
    }

    auto InitializeResult::operator=(
        InitializeResult &&other
    ) -> InitializeResult &
    {
        if (this != &other) {
            capabilities = std::move(other.capabilities);
            serverInfo = std::move(other.serverInfo);
        }
        return *this;
    }

    auto InitializeResult::operator=(
        const InitializeResult &other
    ) -> InitializeResult &
    {
        if (this != &other) {
            capabilities = other.capabilities;
            if (other.serverInfo.has_value()) {
                serverInfo = other.serverInfo.value();
            }
        }
        return *this;
    }

    Diagnostic::Diagnostic()
    {
        // empty
    }

    Diagnostic::Diagnostic(Diagnostic &&other)
        : range(std::move(other.range))
        , severity(std::move(other.severity))
        , code(std::move(other.code))
        , codeDescription(std::move(other.codeDescription))
        , source(std::move(other.source))
        , message(std::move(other.message))
        , tags(std::move(other.tags))
        , relatedInformation(std::move(other.relatedInformation))
        , data(std::move(other.data))
    {
        // empty
    }

    Diagnostic::Diagnostic(const Diagnostic &other)
        : range(other.range)
        , message(other.message)
    {
        if (other.severity.has_value()) {
            severity = other.severity.value();
        }
        if (other.code.has_value()) {
            code = other.code.value();
        }
        if (other.codeDescription.has_value()) {
            codeDescription = other.codeDescription.value();
        }
        if (other.source.has_value()) {
            source = other.source.value();
        }
        if (other.tags.has_value()) {
            auto &array_0 = tags.emplace();
            const auto &array_1 = other.tags.value();
            array_0 = array_1;
        }
        if (other.relatedInformation.has_value()) {
            auto &array_2 = relatedInformation.emplace();
            const auto &array_3 = other.relatedInformation.value();
            array_2.reserve(array_3.size());
            for (const auto &elem_0 : array_3) {
                array_2.push_back(elem_0);
            }
        }
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    Diagnostic::~Diagnostic()
    {
        // empty
    }

    auto Diagnostic::operator=(Diagnostic &&other) -> Diagnostic &
    {
        if (this != &other) {
            range = std::move(other.range);
            severity = std::move(other.severity);
            code = std::move(other.code);
            codeDescription = std::move(other.codeDescription);
            source = std::move(other.source);
            message = std::move(other.message);
            tags = std::move(other.tags);
            relatedInformation = std::move(other.relatedInformation);
            data = std::move(other.data);
        }
        return *this;
    }

    auto Diagnostic::operator=(const Diagnostic &other) -> Diagnostic &
    {
        if (this != &other) {
            range = other.range;
            if (other.severity.has_value()) {
                severity = other.severity.value();
            }
            if (other.code.has_value()) {
                code = other.code.value();
            }
            if (other.codeDescription.has_value()) {
                codeDescription = other.codeDescription.value();
            }
            if (other.source.has_value()) {
                source = other.source.value();
            }
            message = other.message;
            if (other.tags.has_value()) {
                auto &array_0 = tags.emplace();
                const auto &array_1 = other.tags.value();
                array_0 = array_1;
            }
            if (other.relatedInformation.has_value()) {
                auto &array_2 = relatedInformation.emplace();
                const auto &array_3 = other.relatedInformation.value();
                array_2.reserve(array_3.size());
                for (const auto &elem_0 : array_3) {
                    array_2.push_back(elem_0);
                }
            }
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    PublishDiagnosticsParams::PublishDiagnosticsParams()
    {
        // empty
    }

    PublishDiagnosticsParams::PublishDiagnosticsParams(
        PublishDiagnosticsParams &&other
    )
        : uri(std::move(other.uri))
        , version(std::move(other.version))
        , diagnostics(std::move(other.diagnostics))
    {
        // empty
    }

    PublishDiagnosticsParams::PublishDiagnosticsParams(
        const PublishDiagnosticsParams &other
    )
        : uri(other.uri)
    {
        if (other.version.has_value()) {
            version = other.version.value();
        }
        diagnostics.reserve(other.diagnostics.size());
        for (const auto &elem_0 : other.diagnostics) {
            diagnostics.push_back(elem_0);
        }
    }

    PublishDiagnosticsParams::~PublishDiagnosticsParams()
    {
        // empty
    }

    auto PublishDiagnosticsParams::operator=(
        PublishDiagnosticsParams &&other
    ) -> PublishDiagnosticsParams &
    {
        if (this != &other) {
            uri = std::move(other.uri);
            version = std::move(other.version);
            diagnostics = std::move(other.diagnostics);
        }
        return *this;
    }

    auto PublishDiagnosticsParams::operator=(
        const PublishDiagnosticsParams &other
    ) -> PublishDiagnosticsParams &
    {
        if (this != &other) {
            uri = other.uri;
            if (other.version.has_value()) {
                version = other.version.value();
            }
            diagnostics.reserve(other.diagnostics.size());
            for (const auto &elem_0 : other.diagnostics) {
                diagnostics.push_back(elem_0);
            }
        }
        return *this;
    }

    CodeAction::CodeAction()
    {
        // empty
    }

    CodeAction::CodeAction(CodeAction &&other)
        : title(std::move(other.title))
        , kind(std::move(other.kind))
        , diagnostics(std::move(other.diagnostics))
        , isPreferred(std::move(other.isPreferred))
        , disabled(std::move(other.disabled))
        , edit(std::move(other.edit))
        , command(std::move(other.command))
        , data(std::move(other.data))
    {
        // empty
    }

    CodeAction::CodeAction(const CodeAction &other)
        : title(other.title)
    {
        if (other.kind.has_value()) {
            kind = other.kind.value();
        }
        if (other.diagnostics.has_value()) {
            auto &array_0 = diagnostics.emplace();
            const auto &array_1 = other.diagnostics.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
        if (other.isPreferred.has_value()) {
            isPreferred = other.isPreferred.value();
        }
        if (other.disabled.has_value()) {
            disabled = other.disabled.value();
        }
        if (other.edit.has_value()) {
            edit = other.edit.value();
        }
        if (other.command.has_value()) {
            command = other.command.value();
        }
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    CodeAction::~CodeAction()
    {
        // empty
    }

    auto CodeAction::operator=(CodeAction &&other) -> CodeAction &
    {
        if (this != &other) {
            title = std::move(other.title);
            kind = std::move(other.kind);
            diagnostics = std::move(other.diagnostics);
            isPreferred = std::move(other.isPreferred);
            disabled = std::move(other.disabled);
            edit = std::move(other.edit);
            command = std::move(other.command);
            data = std::move(other.data);
        }
        return *this;
    }

    auto CodeAction::operator=(const CodeAction &other) -> CodeAction &
    {
        if (this != &other) {
            title = other.title;
            if (other.kind.has_value()) {
                kind = other.kind.value();
            }
            if (other.diagnostics.has_value()) {
                auto &array_0 = diagnostics.emplace();
                const auto &array_1 = other.diagnostics.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
            if (other.isPreferred.has_value()) {
                isPreferred = other.isPreferred.value();
            }
            if (other.disabled.has_value()) {
                disabled = other.disabled.value();
            }
            if (other.edit.has_value()) {
                edit = other.edit.value();
            }
            if (other.command.has_value()) {
                command = other.command.value();
            }
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    FullDocumentDiagnosticReport::FullDocumentDiagnosticReport()
    {
        // empty
    }

    FullDocumentDiagnosticReport::FullDocumentDiagnosticReport(
        FullDocumentDiagnosticReport &&other
    )
        : kind(std::move(other.kind))
        , resultId(std::move(other.resultId))
        , items(std::move(other.items))
    {
        // empty
    }

    FullDocumentDiagnosticReport::FullDocumentDiagnosticReport(
        const FullDocumentDiagnosticReport &other
    )
    {
        if (other.resultId.has_value()) {
            resultId = other.resultId.value();
        }
        items.reserve(other.items.size());
        for (const auto &elem_0 : other.items) {
            items.push_back(elem_0);
        }
    }

    FullDocumentDiagnosticReport::~FullDocumentDiagnosticReport()
    {
        // empty
    }

    auto FullDocumentDiagnosticReport::operator=(
        FullDocumentDiagnosticReport &&other
    ) -> FullDocumentDiagnosticReport &
    {
        if (this != &other) {
            kind = std::move(other.kind);
            resultId = std::move(other.resultId);
            items = std::move(other.items);
        }
        return *this;
    }

    auto FullDocumentDiagnosticReport::operator=(
        const FullDocumentDiagnosticReport &other
    ) -> FullDocumentDiagnosticReport &
    {
        if (this != &other) {
            if (other.resultId.has_value()) {
                resultId = other.resultId.value();
            }
            items.reserve(other.items.size());
            for (const auto &elem_0 : other.items) {
                items.push_back(elem_0);
            }
        }
        return *this;
    }

    const std::map<
        DocumentDiagnosticReportPartialResult_relatedDocuments_valueType,
        std::string
    > DocumentDiagnosticReportPartialResult_relatedDocuments_valueTypeNames = {
        {DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized,
         "Uninitialized"},
        {DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport,
         "FullDocumentDiagnosticReport"},
        {DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport,
         "UnchangedDocumentDiagnosticReport"},
    };

    DocumentDiagnosticReportPartialResult_relatedDocuments_value::DocumentDiagnosticReportPartialResult_relatedDocuments_value()
    {
        // empty
    }

    DocumentDiagnosticReportPartialResult_relatedDocuments_value::~DocumentDiagnosticReportPartialResult_relatedDocuments_value()
    {
        reset();
    }

    DocumentDiagnosticReportPartialResult_relatedDocuments_value::DocumentDiagnosticReportPartialResult_relatedDocuments_value(
        DocumentDiagnosticReportPartialResult_relatedDocuments_value &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
            new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                std::move(other._fullDocumentDiagnosticReport)
            };
            break;
        }
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
            new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                std::move(other._unchangedDocumentDiagnosticReport)
            };
            break;
        }
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized;
    }

    DocumentDiagnosticReportPartialResult_relatedDocuments_value::DocumentDiagnosticReportPartialResult_relatedDocuments_value(
        const DocumentDiagnosticReportPartialResult_relatedDocuments_value &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
            new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                std::make_unique<FullDocumentDiagnosticReport>(*other._fullDocumentDiagnosticReport)
            };
            break;
        }
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
            new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                std::make_unique<UnchangedDocumentDiagnosticReport>(*other._unchangedDocumentDiagnosticReport)
            };
            break;
        }
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        DocumentDiagnosticReportPartialResult_relatedDocuments_value &&other
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
                new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                    std::move(other._fullDocumentDiagnosticReport)
                };
                break;
            }
            case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
                new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                    std::move(other._unchangedDocumentDiagnosticReport)
                };
                break;
            }
            case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized;
        }
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        const DocumentDiagnosticReportPartialResult_relatedDocuments_value &other
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
                new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                    std::make_unique<FullDocumentDiagnosticReport>(*other._fullDocumentDiagnosticReport)
                };
                break;
            }
            case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
                new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                    std::make_unique<UnchangedDocumentDiagnosticReport>(*other._unchangedDocumentDiagnosticReport)
                };
                break;
            }
            case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::reset()
    -> void
    {
        switch (_type) {
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized: {
            // nothing to do
            break;
        }
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_fullDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _fullDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _fullDocumentDiagnosticReport.~unique_ptr<FullDocumentDiagnosticReport>();
            _type =
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized;
            break;
        }
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_unchangedDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _unchangedDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _unchangedDocumentDiagnosticReport.~unique_ptr<UnchangedDocumentDiagnosticReport>();
            _type =
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized;
            break;
        }
        default: {
            _type = DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized;
        }
        }
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::type() const
    -> const DocumentDiagnosticReportPartialResult_relatedDocuments_valueType &
    {
        return _type;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::fullDocumentDiagnosticReport() const
    -> const FullDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "DocumentDiagnosticReportPartialResult_relatedDocuments_value::fullDocumentDiagnosticReport()"
                 " of type "
                 "DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport"
                 " while active type is "
                 "DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::" +
                 DocumentDiagnosticReportPartialResult_relatedDocuments_valueTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_fullDocumentDiagnosticReport;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        const std::unique_ptr<FullDocumentDiagnosticReport> &fullDocumentDiagnosticReport
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (_type !=
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!fullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of fullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::make_unique<FullDocumentDiagnosticReport>(*fullDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        std::unique_ptr<FullDocumentDiagnosticReport> &&fullDocumentDiagnosticReport
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (_type !=
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!fullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of fullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::move(fullDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        const FullDocumentDiagnosticReport &fullDocumentDiagnosticReport
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (_type !=
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::make_unique<FullDocumentDiagnosticReport>(fullDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        FullDocumentDiagnosticReport &&fullDocumentDiagnosticReport
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (_type !=
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::make_unique<FullDocumentDiagnosticReport>(std::move(fullDocumentDiagnosticReport))
        };
        _type =
            DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::unchangedDocumentDiagnosticReport() const
    -> const UnchangedDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "DocumentDiagnosticReportPartialResult_relatedDocuments_value::unchangedDocumentDiagnosticReport()"
                 " of type "
                 "DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport"
                 " while active type is "
                 "DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::" +
                 DocumentDiagnosticReportPartialResult_relatedDocuments_valueTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_unchangedDocumentDiagnosticReport;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        const std::unique_ptr<UnchangedDocumentDiagnosticReport> &unchangedDocumentDiagnosticReport
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (_type !=
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!unchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of unchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::make_unique<UnchangedDocumentDiagnosticReport>(*unchangedDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        std::unique_ptr<UnchangedDocumentDiagnosticReport> &&unchangedDocumentDiagnosticReport
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (_type !=
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!unchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of unchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::move(unchangedDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        const UnchangedDocumentDiagnosticReport &unchangedDocumentDiagnosticReport
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (_type !=
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::make_unique<UnchangedDocumentDiagnosticReport>(unchangedDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult_relatedDocuments_value::operator=(
        UnchangedDocumentDiagnosticReport &&unchangedDocumentDiagnosticReport
    ) -> DocumentDiagnosticReportPartialResult_relatedDocuments_value &
    {
        if (_type !=
                DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::make_unique<UnchangedDocumentDiagnosticReport>(std::move(unchangedDocumentDiagnosticReport))
        };
        _type =
            DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    DocumentDiagnosticReportPartialResult::DocumentDiagnosticReportPartialResult()
    {
        // empty
    }

    DocumentDiagnosticReportPartialResult::DocumentDiagnosticReportPartialResult(
        DocumentDiagnosticReportPartialResult &&other
    )
        : relatedDocuments(std::move(other.relatedDocuments))
    {
        // empty
    }

    DocumentDiagnosticReportPartialResult::DocumentDiagnosticReportPartialResult(
        const DocumentDiagnosticReportPartialResult &other
    )
    {
        relatedDocuments = other.relatedDocuments;
    }

    DocumentDiagnosticReportPartialResult::~DocumentDiagnosticReportPartialResult()
    {
        // empty
    }

    auto DocumentDiagnosticReportPartialResult::operator=(
        DocumentDiagnosticReportPartialResult &&other
    ) -> DocumentDiagnosticReportPartialResult &
    {
        if (this != &other) {
            relatedDocuments = std::move(other.relatedDocuments);
        }
        return *this;
    }

    auto DocumentDiagnosticReportPartialResult::operator=(
        const DocumentDiagnosticReportPartialResult &other
    ) -> DocumentDiagnosticReportPartialResult &
    {
        if (this != &other) {
            relatedDocuments = other.relatedDocuments;
        }
        return *this;
    }

    const std::map<
        RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType,
        std::string
    > RelatedFullDocumentDiagnosticReport_relatedDocuments_valueTypeNames = {
        {RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized,
         "Uninitialized"},
        {RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport,
         "FullDocumentDiagnosticReport"},
        {RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport,
         "UnchangedDocumentDiagnosticReport"},
    };

    RelatedFullDocumentDiagnosticReport_relatedDocuments_value::RelatedFullDocumentDiagnosticReport_relatedDocuments_value()
    {
        // empty
    }

    RelatedFullDocumentDiagnosticReport_relatedDocuments_value::~RelatedFullDocumentDiagnosticReport_relatedDocuments_value()
    {
        reset();
    }

    RelatedFullDocumentDiagnosticReport_relatedDocuments_value::RelatedFullDocumentDiagnosticReport_relatedDocuments_value(
        RelatedFullDocumentDiagnosticReport_relatedDocuments_value &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
            new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                std::move(other._fullDocumentDiagnosticReport)
            };
            break;
        }
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
            new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                std::move(other._unchangedDocumentDiagnosticReport)
            };
            break;
        }
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
    }

    RelatedFullDocumentDiagnosticReport_relatedDocuments_value::RelatedFullDocumentDiagnosticReport_relatedDocuments_value(
        const RelatedFullDocumentDiagnosticReport_relatedDocuments_value &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
            new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                std::make_unique<FullDocumentDiagnosticReport>(*other._fullDocumentDiagnosticReport)
            };
            break;
        }
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
            new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                std::make_unique<UnchangedDocumentDiagnosticReport>(*other._unchangedDocumentDiagnosticReport)
            };
            break;
        }
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        RelatedFullDocumentDiagnosticReport_relatedDocuments_value &&other
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
                new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                    std::move(other._fullDocumentDiagnosticReport)
                };
                break;
            }
            case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
                new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                    std::move(other._unchangedDocumentDiagnosticReport)
                };
                break;
            }
            case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
        }
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const RelatedFullDocumentDiagnosticReport_relatedDocuments_value &other
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
                new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                    std::make_unique<FullDocumentDiagnosticReport>(*other._fullDocumentDiagnosticReport)
                };
                break;
            }
            case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
                new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                    std::make_unique<UnchangedDocumentDiagnosticReport>(*other._unchangedDocumentDiagnosticReport)
                };
                break;
            }
            case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::reset()
    -> void
    {
        switch (_type) {
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
            // nothing to do
            break;
        }
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_fullDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _fullDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _fullDocumentDiagnosticReport.~unique_ptr<FullDocumentDiagnosticReport>();
            _type =
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
            break;
        }
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_unchangedDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _unchangedDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _unchangedDocumentDiagnosticReport.~unique_ptr<UnchangedDocumentDiagnosticReport>();
            _type =
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
            break;
        }
        default: {
            _type = RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
        }
        }
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::type() const
    -> const RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType &
    {
        return _type;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::fullDocumentDiagnosticReport() const
    -> const FullDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "RelatedFullDocumentDiagnosticReport_relatedDocuments_value::fullDocumentDiagnosticReport()"
                 " of type "
                 "RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport"
                 " while active type is "
                 "RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::" +
                 RelatedFullDocumentDiagnosticReport_relatedDocuments_valueTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_fullDocumentDiagnosticReport;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const std::unique_ptr<FullDocumentDiagnosticReport> &fullDocumentDiagnosticReport
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!fullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of fullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::make_unique<FullDocumentDiagnosticReport>(*fullDocumentDiagnosticReport)
        };
        _type =
            RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        std::unique_ptr<FullDocumentDiagnosticReport> &&fullDocumentDiagnosticReport
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!fullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of fullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::move(fullDocumentDiagnosticReport)
        };
        _type =
            RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const FullDocumentDiagnosticReport &fullDocumentDiagnosticReport
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::make_unique<FullDocumentDiagnosticReport>(fullDocumentDiagnosticReport)
        };
        _type =
            RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        FullDocumentDiagnosticReport &&fullDocumentDiagnosticReport
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::make_unique<FullDocumentDiagnosticReport>(std::move(fullDocumentDiagnosticReport))
        };
        _type =
            RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::unchangedDocumentDiagnosticReport() const
    -> const UnchangedDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "RelatedFullDocumentDiagnosticReport_relatedDocuments_value::unchangedDocumentDiagnosticReport()"
                 " of type "
                 "RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport"
                 " while active type is "
                 "RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::" +
                 RelatedFullDocumentDiagnosticReport_relatedDocuments_valueTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_unchangedDocumentDiagnosticReport;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const std::unique_ptr<UnchangedDocumentDiagnosticReport> &unchangedDocumentDiagnosticReport
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!unchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of unchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::make_unique<UnchangedDocumentDiagnosticReport>(*unchangedDocumentDiagnosticReport)
        };
        _type =
            RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        std::unique_ptr<UnchangedDocumentDiagnosticReport> &&unchangedDocumentDiagnosticReport
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!unchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of unchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::move(unchangedDocumentDiagnosticReport)
        };
        _type =
            RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const UnchangedDocumentDiagnosticReport &unchangedDocumentDiagnosticReport
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::make_unique<UnchangedDocumentDiagnosticReport>(unchangedDocumentDiagnosticReport)
        };
        _type =
            RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport_relatedDocuments_value::operator=(
        UnchangedDocumentDiagnosticReport &&unchangedDocumentDiagnosticReport
    ) -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::make_unique<UnchangedDocumentDiagnosticReport>(std::move(unchangedDocumentDiagnosticReport))
        };
        _type =
            RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    RelatedFullDocumentDiagnosticReport::RelatedFullDocumentDiagnosticReport()
        : FullDocumentDiagnosticReport()
    {
        // empty
    }

    RelatedFullDocumentDiagnosticReport::RelatedFullDocumentDiagnosticReport(
        RelatedFullDocumentDiagnosticReport &&other
    )
        : FullDocumentDiagnosticReport(other)
        , relatedDocuments(std::move(other.relatedDocuments))
    {
        // empty
    }

    RelatedFullDocumentDiagnosticReport::RelatedFullDocumentDiagnosticReport(
        const RelatedFullDocumentDiagnosticReport &other
    )
        : FullDocumentDiagnosticReport(other)
    {
        if (other.relatedDocuments.has_value()) {
            auto &map_0 = relatedDocuments.emplace();
            const auto &map_1 = other.relatedDocuments.value();
            map_0 = map_1;
        }
    }

    RelatedFullDocumentDiagnosticReport::~RelatedFullDocumentDiagnosticReport()
    {
        // empty
    }

    auto RelatedFullDocumentDiagnosticReport::operator=(
        RelatedFullDocumentDiagnosticReport &&other
    ) -> RelatedFullDocumentDiagnosticReport &
    {
        if (this != &other) {
            FullDocumentDiagnosticReport::operator=(other);
            relatedDocuments = std::move(other.relatedDocuments);
        }
        return *this;
    }

    auto RelatedFullDocumentDiagnosticReport::operator=(
        const RelatedFullDocumentDiagnosticReport &other
    ) -> RelatedFullDocumentDiagnosticReport &
    {
        if (this != &other) {
            FullDocumentDiagnosticReport::operator=(other);
            if (other.relatedDocuments.has_value()) {
                auto &map_0 = relatedDocuments.emplace();
                const auto &map_1 = other.relatedDocuments.value();
                map_0 = map_1;
            }
        }
        return *this;
    }

    const std::map<
        RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType,
        std::string
    > RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueTypeNames = {
        {RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized,
         "Uninitialized"},
        {RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport,
         "FullDocumentDiagnosticReport"},
        {RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport,
         "UnchangedDocumentDiagnosticReport"},
    };

    RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value()
    {
        // empty
    }

    RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::~RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value()
    {
        reset();
    }

    RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value(
        RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
            new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                std::move(other._fullDocumentDiagnosticReport)
            };
            break;
        }
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
            new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                std::move(other._unchangedDocumentDiagnosticReport)
            };
            break;
        }
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
    }

    RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value(
        const RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
            new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                std::make_unique<FullDocumentDiagnosticReport>(*other._fullDocumentDiagnosticReport)
            };
            break;
        }
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
            new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                std::make_unique<UnchangedDocumentDiagnosticReport>(*other._unchangedDocumentDiagnosticReport)
            };
            break;
        }
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &&other
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
                new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                    std::move(other._fullDocumentDiagnosticReport)
                };
                break;
            }
            case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
                new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                    std::move(other._unchangedDocumentDiagnosticReport)
                };
                break;
            }
            case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
        }
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &other
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
                new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
                    std::make_unique<FullDocumentDiagnosticReport>(*other._fullDocumentDiagnosticReport)
                };
                break;
            }
            case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
                new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
                    std::make_unique<UnchangedDocumentDiagnosticReport>(*other._unchangedDocumentDiagnosticReport)
                };
                break;
            }
            case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::reset()
    -> void
    {
        switch (_type) {
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized: {
            // nothing to do
            break;
        }
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_fullDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _fullDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _fullDocumentDiagnosticReport.~unique_ptr<FullDocumentDiagnosticReport>();
            _type =
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
            break;
        }
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_unchangedDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _unchangedDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _unchangedDocumentDiagnosticReport.~unique_ptr<UnchangedDocumentDiagnosticReport>();
            _type =
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
            break;
        }
        default: {
            _type = RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized;
        }
        }
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::type() const
    -> const RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType &
    {
        return _type;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::fullDocumentDiagnosticReport() const
    -> const FullDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::fullDocumentDiagnosticReport()"
                 " of type "
                 "RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport"
                 " while active type is "
                 "RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::" +
                 RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_fullDocumentDiagnosticReport;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const std::unique_ptr<FullDocumentDiagnosticReport> &fullDocumentDiagnosticReport
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!fullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of fullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::make_unique<FullDocumentDiagnosticReport>(*fullDocumentDiagnosticReport)
        };
        _type =
            RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        std::unique_ptr<FullDocumentDiagnosticReport> &&fullDocumentDiagnosticReport
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!fullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of fullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::move(fullDocumentDiagnosticReport)
        };
        _type =
            RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const FullDocumentDiagnosticReport &fullDocumentDiagnosticReport
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::make_unique<FullDocumentDiagnosticReport>(fullDocumentDiagnosticReport)
        };
        _type =
            RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        FullDocumentDiagnosticReport &&fullDocumentDiagnosticReport
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_fullDocumentDiagnosticReport) std::unique_ptr<FullDocumentDiagnosticReport> {
            std::make_unique<FullDocumentDiagnosticReport>(std::move(fullDocumentDiagnosticReport))
        };
        _type =
            RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::unchangedDocumentDiagnosticReport() const
    -> const UnchangedDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::unchangedDocumentDiagnosticReport()"
                 " of type "
                 "RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport"
                 " while active type is "
                 "RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::" +
                 RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_unchangedDocumentDiagnosticReport;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const std::unique_ptr<UnchangedDocumentDiagnosticReport> &unchangedDocumentDiagnosticReport
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!unchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of unchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::make_unique<UnchangedDocumentDiagnosticReport>(*unchangedDocumentDiagnosticReport)
        };
        _type =
            RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        std::unique_ptr<UnchangedDocumentDiagnosticReport> &&unchangedDocumentDiagnosticReport
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!unchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of unchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::move(unchangedDocumentDiagnosticReport)
        };
        _type =
            RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        const UnchangedDocumentDiagnosticReport &unchangedDocumentDiagnosticReport
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::make_unique<UnchangedDocumentDiagnosticReport>(unchangedDocumentDiagnosticReport)
        };
        _type =
            RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value::operator=(
        UnchangedDocumentDiagnosticReport &&unchangedDocumentDiagnosticReport
    ) -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &
    {
        if (_type !=
                RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::Uninitialized) {
            reset();
        }
        new (&_unchangedDocumentDiagnosticReport) std::unique_ptr<UnchangedDocumentDiagnosticReport> {
            std::make_unique<UnchangedDocumentDiagnosticReport>(std::move(unchangedDocumentDiagnosticReport))
        };
        _type =
            RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport;
        return *this;
    }

    RelatedUnchangedDocumentDiagnosticReport::RelatedUnchangedDocumentDiagnosticReport()
        : UnchangedDocumentDiagnosticReport()
    {
        // empty
    }

    RelatedUnchangedDocumentDiagnosticReport::RelatedUnchangedDocumentDiagnosticReport(
        RelatedUnchangedDocumentDiagnosticReport &&other
    )
        : UnchangedDocumentDiagnosticReport(other)
        , relatedDocuments(std::move(other.relatedDocuments))
    {
        // empty
    }

    RelatedUnchangedDocumentDiagnosticReport::RelatedUnchangedDocumentDiagnosticReport(
        const RelatedUnchangedDocumentDiagnosticReport &other
    )
        : UnchangedDocumentDiagnosticReport(other)
    {
        if (other.relatedDocuments.has_value()) {
            auto &map_0 = relatedDocuments.emplace();
            const auto &map_1 = other.relatedDocuments.value();
            map_0 = map_1;
        }
    }

    RelatedUnchangedDocumentDiagnosticReport::~RelatedUnchangedDocumentDiagnosticReport()
    {
        // empty
    }

    auto RelatedUnchangedDocumentDiagnosticReport::operator=(
        RelatedUnchangedDocumentDiagnosticReport &&other
    ) -> RelatedUnchangedDocumentDiagnosticReport &
    {
        if (this != &other) {
            UnchangedDocumentDiagnosticReport::operator=(other);
            relatedDocuments = std::move(other.relatedDocuments);
        }
        return *this;
    }

    auto RelatedUnchangedDocumentDiagnosticReport::operator=(
        const RelatedUnchangedDocumentDiagnosticReport &other
    ) -> RelatedUnchangedDocumentDiagnosticReport &
    {
        if (this != &other) {
            UnchangedDocumentDiagnosticReport::operator=(other);
            if (other.relatedDocuments.has_value()) {
                auto &map_0 = relatedDocuments.emplace();
                const auto &map_1 = other.relatedDocuments.value();
                map_0 = map_1;
            }
        }
        return *this;
    }

    CodeActionContext::CodeActionContext()
    {
        // empty
    }

    CodeActionContext::CodeActionContext(CodeActionContext &&other)
        : diagnostics(std::move(other.diagnostics))
        , only(std::move(other.only))
        , triggerKind(std::move(other.triggerKind))
    {
        // empty
    }

    CodeActionContext::CodeActionContext(const CodeActionContext &other)
    {
        diagnostics.reserve(other.diagnostics.size());
        for (const auto &elem_0 : other.diagnostics) {
            diagnostics.push_back(elem_0);
        }
        if (other.only.has_value()) {
            auto &array_0 = only.emplace();
            const auto &array_1 = other.only.value();
            array_0 = array_1;
        }
        if (other.triggerKind.has_value()) {
            triggerKind = other.triggerKind.value();
        }
    }

    CodeActionContext::~CodeActionContext()
    {
        // empty
    }

    auto CodeActionContext::operator=(
        CodeActionContext &&other
    ) -> CodeActionContext &
    {
        if (this != &other) {
            diagnostics = std::move(other.diagnostics);
            only = std::move(other.only);
            triggerKind = std::move(other.triggerKind);
        }
        return *this;
    }

    auto CodeActionContext::operator=(
        const CodeActionContext &other
    ) -> CodeActionContext &
    {
        if (this != &other) {
            diagnostics.reserve(other.diagnostics.size());
            for (const auto &elem_0 : other.diagnostics) {
                diagnostics.push_back(elem_0);
            }
            if (other.only.has_value()) {
                auto &array_0 = only.emplace();
                const auto &array_1 = other.only.value();
                array_0 = array_1;
            }
            if (other.triggerKind.has_value()) {
                triggerKind = other.triggerKind.value();
            }
        }
        return *this;
    }

    CodeActionParams::CodeActionParams()
    {
        // empty
    }

    CodeActionParams::CodeActionParams(CodeActionParams &&other)
        : partialResultToken(std::move(other.partialResultToken))
        , workDoneToken(std::move(other.workDoneToken))
        , textDocument(std::move(other.textDocument))
        , range(std::move(other.range))
        , context(std::move(other.context))
    {
        // empty
    }

    CodeActionParams::CodeActionParams(const CodeActionParams &other)
        : textDocument(other.textDocument)
        , range(other.range)
        , context(other.context)
    {
        if (other.partialResultToken.has_value()) {
            partialResultToken = other.partialResultToken.value();
        }
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
    }

    CodeActionParams::~CodeActionParams()
    {
        // empty
    }

    auto CodeActionParams::operator=(
        CodeActionParams &&other
    ) -> CodeActionParams &
    {
        if (this != &other) {
            partialResultToken = std::move(other.partialResultToken);
            workDoneToken = std::move(other.workDoneToken);
            textDocument = std::move(other.textDocument);
            range = std::move(other.range);
            context = std::move(other.context);
        }
        return *this;
    }

    auto CodeActionParams::operator=(
        const CodeActionParams &other
    ) -> CodeActionParams &
    {
        if (this != &other) {
            if (other.partialResultToken.has_value()) {
                partialResultToken = other.partialResultToken.value();
            }
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            textDocument = other.textDocument;
            range = other.range;
            context = other.context;
        }
        return *this;
    }

    WorkspaceFullDocumentDiagnosticReport::WorkspaceFullDocumentDiagnosticReport()
        : FullDocumentDiagnosticReport()
    {
        // empty
    }

    WorkspaceFullDocumentDiagnosticReport::WorkspaceFullDocumentDiagnosticReport(
        WorkspaceFullDocumentDiagnosticReport &&other
    )
        : FullDocumentDiagnosticReport(other)
        , uri(std::move(other.uri))
        , version(std::move(other.version))
    {
        // empty
    }

    WorkspaceFullDocumentDiagnosticReport::WorkspaceFullDocumentDiagnosticReport(
        const WorkspaceFullDocumentDiagnosticReport &other
    )
        : FullDocumentDiagnosticReport(other)
        , uri(other.uri)
        , version(WorkspaceFullDocumentDiagnosticReport_version(other.version))
    {
    }

    WorkspaceFullDocumentDiagnosticReport::~WorkspaceFullDocumentDiagnosticReport()
    {
        // empty
    }

    auto WorkspaceFullDocumentDiagnosticReport::operator=(
        WorkspaceFullDocumentDiagnosticReport &&other
    ) -> WorkspaceFullDocumentDiagnosticReport &
    {
        if (this != &other) {
            FullDocumentDiagnosticReport::operator=(other);
            uri = std::move(other.uri);
            version = std::move(other.version);
        }
        return *this;
    }

    auto WorkspaceFullDocumentDiagnosticReport::operator=(
        const WorkspaceFullDocumentDiagnosticReport &other
    ) -> WorkspaceFullDocumentDiagnosticReport &
    {
        if (this != &other) {
            FullDocumentDiagnosticReport::operator=(other);
            uri = other.uri;
            version =
                WorkspaceFullDocumentDiagnosticReport_version(other.version);
        }
        return *this;
    }

    NotebookCell::NotebookCell()
    {
        // empty
    }

    NotebookCell::NotebookCell(NotebookCell &&other)
        : kind(std::move(other.kind))
        , document(std::move(other.document))
        , metadata(std::move(other.metadata))
        , executionSummary(std::move(other.executionSummary))
    {
        // empty
    }

    NotebookCell::NotebookCell(const NotebookCell &other)
        : kind(other.kind)
        , document(other.document)
    {
        if (other.metadata.has_value()) {
            auto &map_0 = metadata.emplace();
            const auto &map_1 = other.metadata.value();
            for (const auto &[key_0, value_0] : map_1) {
                map_0.emplace(key_0, std::make_unique<LSPAny>(*value_0));
            }
        }
        if (other.executionSummary.has_value()) {
            executionSummary = other.executionSummary.value();
        }
    }

    NotebookCell::~NotebookCell()
    {
        // empty
    }

    auto NotebookCell::operator=(NotebookCell &&other) -> NotebookCell &
    {
        if (this != &other) {
            kind = std::move(other.kind);
            document = std::move(other.document);
            metadata = std::move(other.metadata);
            executionSummary = std::move(other.executionSummary);
        }
        return *this;
    }

    auto NotebookCell::operator=(const NotebookCell &other) -> NotebookCell &
    {
        if (this != &other) {
            kind = other.kind;
            document = other.document;
            if (other.metadata.has_value()) {
                auto &map_0 = metadata.emplace();
                const auto &map_1 = other.metadata.value();
                for (const auto &[key_0, value_0] : map_1) {
                    map_0.emplace(key_0, std::make_unique<LSPAny>(*value_0));
                }
            }
            if (other.executionSummary.has_value()) {
                executionSummary = other.executionSummary.value();
            }
        }
        return *this;
    }

    NotebookDocument::NotebookDocument()
    {
        // empty
    }

    NotebookDocument::NotebookDocument(NotebookDocument &&other)
        : uri(std::move(other.uri))
        , notebookType(std::move(other.notebookType))
        , version(other.version)
        , metadata(std::move(other.metadata))
        , cells(std::move(other.cells))
    {
        // empty
    }

    NotebookDocument::NotebookDocument(const NotebookDocument &other)
        : uri(other.uri)
        , notebookType(other.notebookType)
        , version(other.version)
    {
        if (other.metadata.has_value()) {
            auto &map_0 = metadata.emplace();
            const auto &map_1 = other.metadata.value();
            for (const auto &[key_0, value_0] : map_1) {
                map_0.emplace(key_0, std::make_unique<LSPAny>(*value_0));
            }
        }
        cells.reserve(other.cells.size());
        for (const auto &elem_0 : other.cells) {
            cells.push_back(elem_0);
        }
    }

    NotebookDocument::~NotebookDocument()
    {
        // empty
    }

    auto NotebookDocument::operator=(
        NotebookDocument &&other
    ) -> NotebookDocument &
    {
        if (this != &other) {
            uri = std::move(other.uri);
            notebookType = std::move(other.notebookType);
            version = other.version;
            metadata = std::move(other.metadata);
            cells = std::move(other.cells);
        }
        return *this;
    }

    auto NotebookDocument::operator=(
        const NotebookDocument &other
    ) -> NotebookDocument &
    {
        if (this != &other) {
            uri = other.uri;
            notebookType = other.notebookType;
            version = other.version;
            if (other.metadata.has_value()) {
                auto &map_0 = metadata.emplace();
                const auto &map_1 = other.metadata.value();
                for (const auto &[key_0, value_0] : map_1) {
                    map_0.emplace(key_0, std::make_unique<LSPAny>(*value_0));
                }
            }
            cells.reserve(other.cells.size());
            for (const auto &elem_0 : other.cells) {
                cells.push_back(elem_0);
            }
        }
        return *this;
    }

    DidOpenNotebookDocumentParams::DidOpenNotebookDocumentParams()
    {
        // empty
    }

    DidOpenNotebookDocumentParams::DidOpenNotebookDocumentParams(
        DidOpenNotebookDocumentParams &&other
    )
        : notebookDocument(std::move(other.notebookDocument))
        , cellTextDocuments(std::move(other.cellTextDocuments))
    {
        // empty
    }

    DidOpenNotebookDocumentParams::DidOpenNotebookDocumentParams(
        const DidOpenNotebookDocumentParams &other
    )
        : notebookDocument(other.notebookDocument)
    {
        cellTextDocuments.reserve(other.cellTextDocuments.size());
        for (const auto &elem_0 : other.cellTextDocuments) {
            cellTextDocuments.push_back(elem_0);
        }
    }

    DidOpenNotebookDocumentParams::~DidOpenNotebookDocumentParams()
    {
        // empty
    }

    auto DidOpenNotebookDocumentParams::operator=(
        DidOpenNotebookDocumentParams &&other
    ) -> DidOpenNotebookDocumentParams &
    {
        if (this != &other) {
            notebookDocument = std::move(other.notebookDocument);
            cellTextDocuments = std::move(other.cellTextDocuments);
        }
        return *this;
    }

    auto DidOpenNotebookDocumentParams::operator=(
        const DidOpenNotebookDocumentParams &other
    ) -> DidOpenNotebookDocumentParams &
    {
        if (this != &other) {
            notebookDocument = other.notebookDocument;
            cellTextDocuments.reserve(other.cellTextDocuments.size());
            for (const auto &elem_0 : other.cellTextDocuments) {
                cellTextDocuments.push_back(elem_0);
            }
        }
        return *this;
    }

    NotebookCellArrayChange::NotebookCellArrayChange()
    {
        // empty
    }

    NotebookCellArrayChange::NotebookCellArrayChange(
        NotebookCellArrayChange &&other
    )
        : start(other.start)
        , deleteCount(other.deleteCount)
        , cells(std::move(other.cells))
    {
        // empty
    }

    NotebookCellArrayChange::NotebookCellArrayChange(
        const NotebookCellArrayChange &other
    )
        : start(other.start)
        , deleteCount(other.deleteCount)
    {
        if (other.cells.has_value()) {
            auto &array_0 = cells.emplace();
            const auto &array_1 = other.cells.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
    }

    NotebookCellArrayChange::~NotebookCellArrayChange()
    {
        // empty
    }

    auto NotebookCellArrayChange::operator=(
        NotebookCellArrayChange &&other
    ) -> NotebookCellArrayChange &
    {
        if (this != &other) {
            start = other.start;
            deleteCount = other.deleteCount;
            cells = std::move(other.cells);
        }
        return *this;
    }

    auto NotebookCellArrayChange::operator=(
        const NotebookCellArrayChange &other
    ) -> NotebookCellArrayChange &
    {
        if (this != &other) {
            start = other.start;
            deleteCount = other.deleteCount;
            if (other.cells.has_value()) {
                auto &array_0 = cells.emplace();
                const auto &array_1 = other.cells.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
        }
        return *this;
    }

    NotebookDocumentChangeEvent_cells_structure::NotebookDocumentChangeEvent_cells_structure()
    {
        // empty
    }

    NotebookDocumentChangeEvent_cells_structure::NotebookDocumentChangeEvent_cells_structure(
        NotebookDocumentChangeEvent_cells_structure &&other
    )
        : array(std::move(other.array))
        , didOpen(std::move(other.didOpen))
        , didClose(std::move(other.didClose))
    {
        // empty
    }

    NotebookDocumentChangeEvent_cells_structure::NotebookDocumentChangeEvent_cells_structure(
        const NotebookDocumentChangeEvent_cells_structure &other
    )
        : array(other.array)
    {
        if (other.didOpen.has_value()) {
            auto &array_0 = didOpen.emplace();
            const auto &array_1 = other.didOpen.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
        if (other.didClose.has_value()) {
            auto &array_2 = didClose.emplace();
            const auto &array_3 = other.didClose.value();
            array_2.reserve(array_3.size());
            for (const auto &elem_1 : array_3) {
                array_2.push_back(elem_1);
            }
        }
    }

    NotebookDocumentChangeEvent_cells_structure::~NotebookDocumentChangeEvent_cells_structure()
    {
        // empty
    }

    auto NotebookDocumentChangeEvent_cells_structure::operator=(
        NotebookDocumentChangeEvent_cells_structure &&other
    ) -> NotebookDocumentChangeEvent_cells_structure &
    {
        if (this != &other) {
            array = std::move(other.array);
            didOpen = std::move(other.didOpen);
            didClose = std::move(other.didClose);
        }
        return *this;
    }

    auto NotebookDocumentChangeEvent_cells_structure::operator=(
        const NotebookDocumentChangeEvent_cells_structure &other
    ) -> NotebookDocumentChangeEvent_cells_structure &
    {
        if (this != &other) {
            array = other.array;
            if (other.didOpen.has_value()) {
                auto &array_0 = didOpen.emplace();
                const auto &array_1 = other.didOpen.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
            if (other.didClose.has_value()) {
                auto &array_2 = didClose.emplace();
                const auto &array_3 = other.didClose.value();
                array_2.reserve(array_3.size());
                for (const auto &elem_1 : array_3) {
                    array_2.push_back(elem_1);
                }
            }
        }
        return *this;
    }

    NotebookDocumentChangeEvent_cells::NotebookDocumentChangeEvent_cells()
    {
        // empty
    }

    NotebookDocumentChangeEvent_cells::NotebookDocumentChangeEvent_cells(
        NotebookDocumentChangeEvent_cells &&other
    )
        : structure(std::move(other.structure))
        , data(std::move(other.data))
        , textContent(std::move(other.textContent))
    {
        // empty
    }

    NotebookDocumentChangeEvent_cells::NotebookDocumentChangeEvent_cells(
        const NotebookDocumentChangeEvent_cells &other
    )
    {
        if (other.structure.has_value()) {
            structure = other.structure.value();
        }
        if (other.data.has_value()) {
            auto &array_0 = data.emplace();
            const auto &array_1 = other.data.value();
            array_0.reserve(array_1.size());
            for (const auto &elem_0 : array_1) {
                array_0.push_back(elem_0);
            }
        }
        if (other.textContent.has_value()) {
            auto &array_2 = textContent.emplace();
            const auto &array_3 = other.textContent.value();
            array_2.reserve(array_3.size());
            for (const auto &elem_1 : array_3) {
                array_2.push_back(elem_1);
            }
        }
    }

    NotebookDocumentChangeEvent_cells::~NotebookDocumentChangeEvent_cells()
    {
        // empty
    }

    auto NotebookDocumentChangeEvent_cells::operator=(
        NotebookDocumentChangeEvent_cells &&other
    ) -> NotebookDocumentChangeEvent_cells &
    {
        if (this != &other) {
            structure = std::move(other.structure);
            data = std::move(other.data);
            textContent = std::move(other.textContent);
        }
        return *this;
    }

    auto NotebookDocumentChangeEvent_cells::operator=(
        const NotebookDocumentChangeEvent_cells &other
    ) -> NotebookDocumentChangeEvent_cells &
    {
        if (this != &other) {
            if (other.structure.has_value()) {
                structure = other.structure.value();
            }
            if (other.data.has_value()) {
                auto &array_0 = data.emplace();
                const auto &array_1 = other.data.value();
                array_0.reserve(array_1.size());
                for (const auto &elem_0 : array_1) {
                    array_0.push_back(elem_0);
                }
            }
            if (other.textContent.has_value()) {
                auto &array_2 = textContent.emplace();
                const auto &array_3 = other.textContent.value();
                array_2.reserve(array_3.size());
                for (const auto &elem_1 : array_3) {
                    array_2.push_back(elem_1);
                }
            }
        }
        return *this;
    }

    NotebookDocumentChangeEvent::NotebookDocumentChangeEvent()
    {
        // empty
    }

    NotebookDocumentChangeEvent::NotebookDocumentChangeEvent(
        NotebookDocumentChangeEvent &&other
    )
        : metadata(std::move(other.metadata))
        , cells(std::move(other.cells))
    {
        // empty
    }

    NotebookDocumentChangeEvent::NotebookDocumentChangeEvent(
        const NotebookDocumentChangeEvent &other
    )
    {
        if (other.metadata.has_value()) {
            auto &map_0 = metadata.emplace();
            const auto &map_1 = other.metadata.value();
            for (const auto &[key_0, value_0] : map_1) {
                map_0.emplace(key_0, std::make_unique<LSPAny>(*value_0));
            }
        }
        if (other.cells.has_value()) {
            cells = other.cells.value();
        }
    }

    NotebookDocumentChangeEvent::~NotebookDocumentChangeEvent()
    {
        // empty
    }

    auto NotebookDocumentChangeEvent::operator=(
        NotebookDocumentChangeEvent &&other
    ) -> NotebookDocumentChangeEvent &
    {
        if (this != &other) {
            metadata = std::move(other.metadata);
            cells = std::move(other.cells);
        }
        return *this;
    }

    auto NotebookDocumentChangeEvent::operator=(
        const NotebookDocumentChangeEvent &other
    ) -> NotebookDocumentChangeEvent &
    {
        if (this != &other) {
            if (other.metadata.has_value()) {
                auto &map_0 = metadata.emplace();
                const auto &map_1 = other.metadata.value();
                for (const auto &[key_0, value_0] : map_1) {
                    map_0.emplace(key_0, std::make_unique<LSPAny>(*value_0));
                }
            }
            if (other.cells.has_value()) {
                cells = other.cells.value();
            }
        }
        return *this;
    }

    DidChangeNotebookDocumentParams::DidChangeNotebookDocumentParams()
    {
        // empty
    }

    DidChangeNotebookDocumentParams::DidChangeNotebookDocumentParams(
        DidChangeNotebookDocumentParams &&other
    )
        : notebookDocument(std::move(other.notebookDocument))
        , change(std::move(other.change))
    {
        // empty
    }

    DidChangeNotebookDocumentParams::DidChangeNotebookDocumentParams(
        const DidChangeNotebookDocumentParams &other
    )
        : notebookDocument(other.notebookDocument)
        , change(other.change)
    {
    }

    DidChangeNotebookDocumentParams::~DidChangeNotebookDocumentParams()
    {
        // empty
    }

    auto DidChangeNotebookDocumentParams::operator=(
        DidChangeNotebookDocumentParams &&other
    ) -> DidChangeNotebookDocumentParams &
    {
        if (this != &other) {
            notebookDocument = std::move(other.notebookDocument);
            change = std::move(other.change);
        }
        return *this;
    }

    auto DidChangeNotebookDocumentParams::operator=(
        const DidChangeNotebookDocumentParams &other
    ) -> DidChangeNotebookDocumentParams &
    {
        if (this != &other) {
            notebookDocument = other.notebookDocument;
            change = other.change;
        }
        return *this;
    }

    ClientCapabilities::ClientCapabilities()
    {
        // empty
    }

    ClientCapabilities::ClientCapabilities(ClientCapabilities &&other)
        : workspace(std::move(other.workspace))
        , textDocument(std::move(other.textDocument))
        , notebookDocument(std::move(other.notebookDocument))
        , window(std::move(other.window))
        , general(std::move(other.general))
        , experimental(std::move(other.experimental))
    {
        // empty
    }

    ClientCapabilities::ClientCapabilities(const ClientCapabilities &other)
    {
        if (other.workspace.has_value()) {
            workspace = other.workspace.value();
        }
        if (other.textDocument.has_value()) {
            textDocument = other.textDocument.value();
        }
        if (other.notebookDocument.has_value()) {
            notebookDocument = other.notebookDocument.value();
        }
        if (other.window.has_value()) {
            window = other.window.value();
        }
        if (other.general.has_value()) {
            general = other.general.value();
        }
        if (other.experimental.has_value()) {
            experimental = other.experimental.value();
        }
    }

    ClientCapabilities::~ClientCapabilities()
    {
        // empty
    }

    auto ClientCapabilities::operator=(
        ClientCapabilities &&other
    ) -> ClientCapabilities &
    {
        if (this != &other) {
            workspace = std::move(other.workspace);
            textDocument = std::move(other.textDocument);
            notebookDocument = std::move(other.notebookDocument);
            window = std::move(other.window);
            general = std::move(other.general);
            experimental = std::move(other.experimental);
        }
        return *this;
    }

    auto ClientCapabilities::operator=(
        const ClientCapabilities &other
    ) -> ClientCapabilities &
    {
        if (this != &other) {
            if (other.workspace.has_value()) {
                workspace = other.workspace.value();
            }
            if (other.textDocument.has_value()) {
                textDocument = other.textDocument.value();
            }
            if (other.notebookDocument.has_value()) {
                notebookDocument = other.notebookDocument.value();
            }
            if (other.window.has_value()) {
                window = other.window.value();
            }
            if (other.general.has_value()) {
                general = other.general.value();
            }
            if (other.experimental.has_value()) {
                experimental = other.experimental.value();
            }
        }
        return *this;
    }

    _InitializeParams::_InitializeParams()
    {
        // empty
    }

    _InitializeParams::_InitializeParams(_InitializeParams &&other)
        : workDoneToken(std::move(other.workDoneToken))
        , processId(std::move(other.processId))
        , clientInfo(std::move(other.clientInfo))
        , locale(std::move(other.locale))
        , rootPath(std::move(other.rootPath))
        , rootUri(std::move(other.rootUri))
        , capabilities(std::move(other.capabilities))
        , initializationOptions(std::move(other.initializationOptions))
        , trace(std::move(other.trace))
    {
        // empty
    }

    _InitializeParams::_InitializeParams(const _InitializeParams &other)
        : processId(_InitializeParams_processId(other.processId))
        , rootUri(_InitializeParams_rootUri(other.rootUri))
        , capabilities(other.capabilities)
    {
        if (other.workDoneToken.has_value()) {
            workDoneToken = other.workDoneToken.value();
        }
        if (other.clientInfo.has_value()) {
            clientInfo = other.clientInfo.value();
        }
        if (other.locale.has_value()) {
            locale = other.locale.value();
        }
        if (other.rootPath.has_value()) {
            rootPath = other.rootPath.value();
        }
        if (other.initializationOptions.has_value()) {
            initializationOptions = other.initializationOptions.value();
        }
        if (other.trace.has_value()) {
            trace = other.trace.value();
        }
    }

    _InitializeParams::~_InitializeParams()
    {
        // empty
    }

    auto _InitializeParams::operator=(
        _InitializeParams &&other
    ) -> _InitializeParams &
    {
        if (this != &other) {
            workDoneToken = std::move(other.workDoneToken);
            processId = std::move(other.processId);
            clientInfo = std::move(other.clientInfo);
            locale = std::move(other.locale);
            rootPath = std::move(other.rootPath);
            rootUri = std::move(other.rootUri);
            capabilities = std::move(other.capabilities);
            initializationOptions = std::move(other.initializationOptions);
            trace = std::move(other.trace);
        }
        return *this;
    }

    auto _InitializeParams::operator=(
        const _InitializeParams &other
    ) -> _InitializeParams &
    {
        if (this != &other) {
            if (other.workDoneToken.has_value()) {
                workDoneToken = other.workDoneToken.value();
            }
            processId = _InitializeParams_processId(other.processId);
            if (other.clientInfo.has_value()) {
                clientInfo = other.clientInfo.value();
            }
            if (other.locale.has_value()) {
                locale = other.locale.value();
            }
            if (other.rootPath.has_value()) {
                rootPath = other.rootPath.value();
            }
            rootUri = _InitializeParams_rootUri(other.rootUri);
            capabilities = other.capabilities;
            if (other.initializationOptions.has_value()) {
                initializationOptions = other.initializationOptions.value();
            }
            if (other.trace.has_value()) {
                trace = other.trace.value();
            }
        }
        return *this;
    }

    InitializeParams::InitializeParams()
        : _InitializeParams()
        , WorkspaceFoldersInitializeParams()
    {
        // empty
    }

    InitializeParams::InitializeParams(InitializeParams &&other)
        : _InitializeParams(other)
        , WorkspaceFoldersInitializeParams(other)
    {
        // empty
    }

    InitializeParams::InitializeParams(const InitializeParams &other)
        : _InitializeParams(other)
        , WorkspaceFoldersInitializeParams(other)
    {
    }

    InitializeParams::~InitializeParams()
    {
        // empty
    }

    auto InitializeParams::operator=(
        InitializeParams &&other
    ) -> InitializeParams &
    {
        if (this != &other) {
            _InitializeParams::operator=(other);
            WorkspaceFoldersInitializeParams::operator=(other);
        }
        return *this;
    }

    auto InitializeParams::operator=(
        const InitializeParams &other
    ) -> InitializeParams &
    {
        if (this != &other) {
            _InitializeParams::operator=(other);
            WorkspaceFoldersInitializeParams::operator=(other);
        }
        return *this;
    }

    ResponseError::ResponseError()
    {
        // empty
    }

    ResponseError::ResponseError(ResponseError &&other)
        : code(other.code)
        , message(std::move(other.message))
        , data(std::move(other.data))
    {
        // empty
    }

    ResponseError::ResponseError(const ResponseError &other)
        : code(other.code)
        , message(other.message)
    {
        if (other.data.has_value()) {
            data = other.data.value();
        }
    }

    ResponseError::~ResponseError()
    {
        // empty
    }

    auto ResponseError::operator=(ResponseError &&other) -> ResponseError &
    {
        if (this != &other) {
            code = other.code;
            message = std::move(other.message);
            data = std::move(other.data);
        }
        return *this;
    }

    auto ResponseError::operator=(
        const ResponseError &other
    ) -> ResponseError &
    {
        if (this != &other) {
            code = other.code;
            message = other.message;
            if (other.data.has_value()) {
                data = other.data.value();
            }
        }
        return *this;
    }

    ResponseMessage::ResponseMessage()
        : Message()
    {
        // empty
    }

    ResponseMessage::ResponseMessage(ResponseMessage &&other)
        : Message(other)
        , id(std::move(other.id))
        , result(std::move(other.result))
        , error(std::move(other.error))
    {
        // empty
    }

    ResponseMessage::ResponseMessage(const ResponseMessage &other)
        : Message(other)
        , id(ResponseId(other.id))
    {
        if (other.result.has_value()) {
            result = other.result.value();
        }
        if (other.error.has_value()) {
            error = other.error.value();
        }
    }

    ResponseMessage::~ResponseMessage()
    {
        // empty
    }

    auto ResponseMessage::operator=(
        ResponseMessage &&other
    ) -> ResponseMessage &
    {
        if (this != &other) {
            Message::operator=(other);
            id = std::move(other.id);
            result = std::move(other.result);
            error = std::move(other.error);
        }
        return *this;
    }

    auto ResponseMessage::operator=(
        const ResponseMessage &other
    ) -> ResponseMessage &
    {
        if (this != &other) {
            Message::operator=(other);
            id = ResponseId(other.id);
            if (other.result.has_value()) {
                result = other.result.value();
            }
            if (other.error.has_value()) {
                error = other.error.value();
            }
        }
        return *this;
    }

    const std::map<DocumentDiagnosticReportType, std::string>
    DocumentDiagnosticReportTypeNames = {
        {DocumentDiagnosticReportType::Uninitialized, "Uninitialized"},
        {DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport,
         "RelatedFullDocumentDiagnosticReport"},
        {DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport,
         "RelatedUnchangedDocumentDiagnosticReport"},
    };

    DocumentDiagnosticReport::DocumentDiagnosticReport()
    {
        // empty
    }

    DocumentDiagnosticReport::~DocumentDiagnosticReport()
    {
        reset();
    }

    DocumentDiagnosticReport::DocumentDiagnosticReport(
        DocumentDiagnosticReport &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport: {
            new (&_relatedFullDocumentDiagnosticReport) std::unique_ptr<RelatedFullDocumentDiagnosticReport> {
                std::move(other._relatedFullDocumentDiagnosticReport)
            };
            break;
        }
        case DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport: {
            new (&_relatedUnchangedDocumentDiagnosticReport) std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> {
                std::move(other._relatedUnchangedDocumentDiagnosticReport)
            };
            break;
        }
        case DocumentDiagnosticReportType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = DocumentDiagnosticReportType::Uninitialized;
    }

    DocumentDiagnosticReport::DocumentDiagnosticReport(
        const DocumentDiagnosticReport &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport: {
            new (&_relatedFullDocumentDiagnosticReport) std::unique_ptr<RelatedFullDocumentDiagnosticReport> {
                std::make_unique<RelatedFullDocumentDiagnosticReport>(*other._relatedFullDocumentDiagnosticReport)
            };
            break;
        }
        case DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport: {
            new (&_relatedUnchangedDocumentDiagnosticReport) std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> {
                std::make_unique<RelatedUnchangedDocumentDiagnosticReport>(*other._relatedUnchangedDocumentDiagnosticReport)
            };
            break;
        }
        case DocumentDiagnosticReportType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto DocumentDiagnosticReport::operator=(
        DocumentDiagnosticReport &&other
    ) -> DocumentDiagnosticReport &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport: {
                new (&_relatedFullDocumentDiagnosticReport) std::unique_ptr<RelatedFullDocumentDiagnosticReport> {
                    std::move(other._relatedFullDocumentDiagnosticReport)
                };
                break;
            }
            case DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport: {
                new (&_relatedUnchangedDocumentDiagnosticReport) std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> {
                    std::move(other._relatedUnchangedDocumentDiagnosticReport)
                };
                break;
            }
            case DocumentDiagnosticReportType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = DocumentDiagnosticReportType::Uninitialized;
        }
        return *this;
    }

    auto DocumentDiagnosticReport::operator=(
        const DocumentDiagnosticReport &other
    ) -> DocumentDiagnosticReport &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport: {
                new (&_relatedFullDocumentDiagnosticReport) std::unique_ptr<RelatedFullDocumentDiagnosticReport> {
                    std::make_unique<RelatedFullDocumentDiagnosticReport>(*other._relatedFullDocumentDiagnosticReport)
                };
                break;
            }
            case DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport: {
                new (&_relatedUnchangedDocumentDiagnosticReport) std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> {
                    std::make_unique<RelatedUnchangedDocumentDiagnosticReport>(*other._relatedUnchangedDocumentDiagnosticReport)
                };
                break;
            }
            case DocumentDiagnosticReportType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto DocumentDiagnosticReport::reset() -> void
    {
        switch (_type) {
        case DocumentDiagnosticReportType::Uninitialized: {
            // nothing to do
            break;
        }
        case DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_relatedFullDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _relatedFullDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _relatedFullDocumentDiagnosticReport.~unique_ptr<RelatedFullDocumentDiagnosticReport>();
            _type = DocumentDiagnosticReportType::Uninitialized;
            break;
        }
        case DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_relatedUnchangedDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _relatedUnchangedDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _relatedUnchangedDocumentDiagnosticReport.~unique_ptr<RelatedUnchangedDocumentDiagnosticReport>();
            _type = DocumentDiagnosticReportType::Uninitialized;
            break;
        }
        default: {
            _type = DocumentDiagnosticReportType::Uninitialized;
        }
        }
    }

    auto DocumentDiagnosticReport::type() const
    -> const DocumentDiagnosticReportType &
    {
        return _type;
    }

    auto DocumentDiagnosticReport::relatedFullDocumentDiagnosticReport() const
    -> const RelatedFullDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "DocumentDiagnosticReport::relatedFullDocumentDiagnosticReport()"
                 " of type "
                 "DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport"
                 " while active type is "
                 "DocumentDiagnosticReportType::" +
                 DocumentDiagnosticReportTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_relatedFullDocumentDiagnosticReport;
    }

    auto DocumentDiagnosticReport::operator=(
        const std::unique_ptr<RelatedFullDocumentDiagnosticReport> &relatedFullDocumentDiagnosticReport
    ) -> DocumentDiagnosticReport &
    {
        if (_type != DocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!relatedFullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of relatedFullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_relatedFullDocumentDiagnosticReport) std::unique_ptr<RelatedFullDocumentDiagnosticReport> {
            std::make_unique<RelatedFullDocumentDiagnosticReport>(*relatedFullDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReport::operator=(
        std::unique_ptr<RelatedFullDocumentDiagnosticReport> &&relatedFullDocumentDiagnosticReport
    ) -> DocumentDiagnosticReport &
    {
        if (_type != DocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!relatedFullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of relatedFullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_relatedFullDocumentDiagnosticReport) std::unique_ptr<RelatedFullDocumentDiagnosticReport> {
            std::move(relatedFullDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReport::operator=(
        const RelatedFullDocumentDiagnosticReport &relatedFullDocumentDiagnosticReport
    ) -> DocumentDiagnosticReport &
    {
        if (_type != DocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
        new (&_relatedFullDocumentDiagnosticReport) std::unique_ptr<RelatedFullDocumentDiagnosticReport> {
            std::make_unique<RelatedFullDocumentDiagnosticReport>(relatedFullDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReport::operator=(
        RelatedFullDocumentDiagnosticReport &&relatedFullDocumentDiagnosticReport
    ) -> DocumentDiagnosticReport &
    {
        if (_type != DocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
        new (&_relatedFullDocumentDiagnosticReport) std::unique_ptr<RelatedFullDocumentDiagnosticReport> {
            std::make_unique<RelatedFullDocumentDiagnosticReport>(std::move(relatedFullDocumentDiagnosticReport))
        };
        _type =
            DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReport::relatedUnchangedDocumentDiagnosticReport() const
    -> const RelatedUnchangedDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "DocumentDiagnosticReport::relatedUnchangedDocumentDiagnosticReport()"
                 " of type "
                 "DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport"
                 " while active type is "
                 "DocumentDiagnosticReportType::" +
                 DocumentDiagnosticReportTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_relatedUnchangedDocumentDiagnosticReport;
    }

    auto DocumentDiagnosticReport::operator=(
        const std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> &relatedUnchangedDocumentDiagnosticReport
    ) -> DocumentDiagnosticReport &
    {
        if (_type != DocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!relatedUnchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of relatedUnchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_relatedUnchangedDocumentDiagnosticReport) std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> {
            std::make_unique<RelatedUnchangedDocumentDiagnosticReport>(*relatedUnchangedDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReport::operator=(
        std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> &&relatedUnchangedDocumentDiagnosticReport
    ) -> DocumentDiagnosticReport &
    {
        if (_type != DocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!relatedUnchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of relatedUnchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_relatedUnchangedDocumentDiagnosticReport) std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> {
            std::move(relatedUnchangedDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReport::operator=(
        const RelatedUnchangedDocumentDiagnosticReport &relatedUnchangedDocumentDiagnosticReport
    ) -> DocumentDiagnosticReport &
    {
        if (_type != DocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
        new (&_relatedUnchangedDocumentDiagnosticReport) std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> {
            std::make_unique<RelatedUnchangedDocumentDiagnosticReport>(relatedUnchangedDocumentDiagnosticReport)
        };
        _type =
            DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto DocumentDiagnosticReport::operator=(
        RelatedUnchangedDocumentDiagnosticReport &&relatedUnchangedDocumentDiagnosticReport
    ) -> DocumentDiagnosticReport &
    {
        if (_type != DocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
        new (&_relatedUnchangedDocumentDiagnosticReport) std::unique_ptr<RelatedUnchangedDocumentDiagnosticReport> {
            std::make_unique<RelatedUnchangedDocumentDiagnosticReport>(std::move(relatedUnchangedDocumentDiagnosticReport))
        };
        _type =
            DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport;
        return *this;
    }

    const std::map<WorkspaceDocumentDiagnosticReportType, std::string>
    WorkspaceDocumentDiagnosticReportTypeNames = {
        {WorkspaceDocumentDiagnosticReportType::Uninitialized,
         "Uninitialized"},
        {WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport,
         "WorkspaceFullDocumentDiagnosticReport"},
        {WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport,
         "WorkspaceUnchangedDocumentDiagnosticReport"},
    };

    WorkspaceDocumentDiagnosticReport::WorkspaceDocumentDiagnosticReport()
    {
        // empty
    }

    WorkspaceDocumentDiagnosticReport::~WorkspaceDocumentDiagnosticReport()
    {
        reset();
    }

    WorkspaceDocumentDiagnosticReport::WorkspaceDocumentDiagnosticReport(
        WorkspaceDocumentDiagnosticReport &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport: {
            new (&_workspaceFullDocumentDiagnosticReport) std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> {
                std::move(other._workspaceFullDocumentDiagnosticReport)
            };
            break;
        }
        case WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport: {
            new (&_workspaceUnchangedDocumentDiagnosticReport) std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> {
                std::move(other._workspaceUnchangedDocumentDiagnosticReport)
            };
            break;
        }
        case WorkspaceDocumentDiagnosticReportType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = WorkspaceDocumentDiagnosticReportType::Uninitialized;
    }

    WorkspaceDocumentDiagnosticReport::WorkspaceDocumentDiagnosticReport(
        const WorkspaceDocumentDiagnosticReport &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport: {
            new (&_workspaceFullDocumentDiagnosticReport) std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> {
                std::make_unique<WorkspaceFullDocumentDiagnosticReport>(*other._workspaceFullDocumentDiagnosticReport)
            };
            break;
        }
        case WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport: {
            new (&_workspaceUnchangedDocumentDiagnosticReport) std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> {
                std::make_unique<WorkspaceUnchangedDocumentDiagnosticReport>(*other._workspaceUnchangedDocumentDiagnosticReport)
            };
            break;
        }
        case WorkspaceDocumentDiagnosticReportType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        WorkspaceDocumentDiagnosticReport &&other
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport: {
                new (&_workspaceFullDocumentDiagnosticReport) std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> {
                    std::move(other._workspaceFullDocumentDiagnosticReport)
                };
                break;
            }
            case WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport: {
                new (&_workspaceUnchangedDocumentDiagnosticReport) std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> {
                    std::move(other._workspaceUnchangedDocumentDiagnosticReport)
                };
                break;
            }
            case WorkspaceDocumentDiagnosticReportType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = WorkspaceDocumentDiagnosticReportType::Uninitialized;
        }
        return *this;
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        const WorkspaceDocumentDiagnosticReport &other
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport: {
                new (&_workspaceFullDocumentDiagnosticReport) std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> {
                    std::make_unique<WorkspaceFullDocumentDiagnosticReport>(*other._workspaceFullDocumentDiagnosticReport)
                };
                break;
            }
            case WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport: {
                new (&_workspaceUnchangedDocumentDiagnosticReport) std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> {
                    std::make_unique<WorkspaceUnchangedDocumentDiagnosticReport>(*other._workspaceUnchangedDocumentDiagnosticReport)
                };
                break;
            }
            case WorkspaceDocumentDiagnosticReportType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto WorkspaceDocumentDiagnosticReport::reset() -> void
    {
        switch (_type) {
        case WorkspaceDocumentDiagnosticReportType::Uninitialized: {
            // nothing to do
            break;
        }
        case WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_workspaceFullDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceFullDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _workspaceFullDocumentDiagnosticReport.~unique_ptr<WorkspaceFullDocumentDiagnosticReport>();
            _type = WorkspaceDocumentDiagnosticReportType::Uninitialized;
            break;
        }
        case WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_workspaceUnchangedDocumentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceUnchangedDocumentDiagnosticReport"
                );
            }
#endif // DEBUG
            _workspaceUnchangedDocumentDiagnosticReport.~unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport>();
            _type = WorkspaceDocumentDiagnosticReportType::Uninitialized;
            break;
        }
        default: {
            _type = WorkspaceDocumentDiagnosticReportType::Uninitialized;
        }
        }
    }

    auto WorkspaceDocumentDiagnosticReport::type() const
    -> const WorkspaceDocumentDiagnosticReportType &
    {
        return _type;
    }

    auto WorkspaceDocumentDiagnosticReport::workspaceFullDocumentDiagnosticReport() const
    -> const WorkspaceFullDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceDocumentDiagnosticReport::workspaceFullDocumentDiagnosticReport()"
                 " of type "
                 "WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport"
                 " while active type is "
                 "WorkspaceDocumentDiagnosticReportType::" +
                 WorkspaceDocumentDiagnosticReportTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceFullDocumentDiagnosticReport;
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        const std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> &workspaceFullDocumentDiagnosticReport
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (_type != WorkspaceDocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceFullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of workspaceFullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_workspaceFullDocumentDiagnosticReport) std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> {
            std::make_unique<WorkspaceFullDocumentDiagnosticReport>(*workspaceFullDocumentDiagnosticReport)
        };
        _type =
            WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport;
        return *this;
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> &&workspaceFullDocumentDiagnosticReport
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (_type != WorkspaceDocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceFullDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of workspaceFullDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_workspaceFullDocumentDiagnosticReport) std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> {
            std::move(workspaceFullDocumentDiagnosticReport)
        };
        _type =
            WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport;
        return *this;
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        const WorkspaceFullDocumentDiagnosticReport &workspaceFullDocumentDiagnosticReport
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (_type != WorkspaceDocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
        new (&_workspaceFullDocumentDiagnosticReport) std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> {
            std::make_unique<WorkspaceFullDocumentDiagnosticReport>(workspaceFullDocumentDiagnosticReport)
        };
        _type =
            WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport;
        return *this;
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        WorkspaceFullDocumentDiagnosticReport &&workspaceFullDocumentDiagnosticReport
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (_type != WorkspaceDocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
        new (&_workspaceFullDocumentDiagnosticReport) std::unique_ptr<WorkspaceFullDocumentDiagnosticReport> {
            std::make_unique<WorkspaceFullDocumentDiagnosticReport>(std::move(workspaceFullDocumentDiagnosticReport))
        };
        _type =
            WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport;
        return *this;
    }

    auto WorkspaceDocumentDiagnosticReport::workspaceUnchangedDocumentDiagnosticReport() const
    -> const WorkspaceUnchangedDocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "WorkspaceDocumentDiagnosticReport::workspaceUnchangedDocumentDiagnosticReport()"
                 " of type "
                 "WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport"
                 " while active type is "
                 "WorkspaceDocumentDiagnosticReportType::" +
                 WorkspaceDocumentDiagnosticReportTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceUnchangedDocumentDiagnosticReport;
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        const std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> &workspaceUnchangedDocumentDiagnosticReport
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (_type != WorkspaceDocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceUnchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of workspaceUnchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_workspaceUnchangedDocumentDiagnosticReport) std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> {
            std::make_unique<WorkspaceUnchangedDocumentDiagnosticReport>(*workspaceUnchangedDocumentDiagnosticReport)
        };
        _type =
            WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> &&workspaceUnchangedDocumentDiagnosticReport
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (_type != WorkspaceDocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceUnchangedDocumentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of workspaceUnchangedDocumentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_workspaceUnchangedDocumentDiagnosticReport) std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> {
            std::move(workspaceUnchangedDocumentDiagnosticReport)
        };
        _type =
            WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        const WorkspaceUnchangedDocumentDiagnosticReport &workspaceUnchangedDocumentDiagnosticReport
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (_type != WorkspaceDocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
        new (&_workspaceUnchangedDocumentDiagnosticReport) std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> {
            std::make_unique<WorkspaceUnchangedDocumentDiagnosticReport>(workspaceUnchangedDocumentDiagnosticReport)
        };
        _type =
            WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport;
        return *this;
    }

    auto WorkspaceDocumentDiagnosticReport::operator=(
        WorkspaceUnchangedDocumentDiagnosticReport &&workspaceUnchangedDocumentDiagnosticReport
    ) -> WorkspaceDocumentDiagnosticReport &
    {
        if (_type != WorkspaceDocumentDiagnosticReportType::Uninitialized) {
            reset();
        }
        new (&_workspaceUnchangedDocumentDiagnosticReport) std::unique_ptr<WorkspaceUnchangedDocumentDiagnosticReport> {
            std::make_unique<WorkspaceUnchangedDocumentDiagnosticReport>(std::move(workspaceUnchangedDocumentDiagnosticReport))
        };
        _type =
            WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport;
        return *this;
    }

    WorkspaceDiagnosticReport::WorkspaceDiagnosticReport()
    {
        // empty
    }

    WorkspaceDiagnosticReport::WorkspaceDiagnosticReport(
        WorkspaceDiagnosticReport &&other
    )
        : items(std::move(other.items))
    {
        // empty
    }

    WorkspaceDiagnosticReport::WorkspaceDiagnosticReport(
        const WorkspaceDiagnosticReport &other
    )
    {
        items = other.items;
    }

    WorkspaceDiagnosticReport::~WorkspaceDiagnosticReport()
    {
        // empty
    }

    auto WorkspaceDiagnosticReport::operator=(
        WorkspaceDiagnosticReport &&other
    ) -> WorkspaceDiagnosticReport &
    {
        if (this != &other) {
            items = std::move(other.items);
        }
        return *this;
    }

    auto WorkspaceDiagnosticReport::operator=(
        const WorkspaceDiagnosticReport &other
    ) -> WorkspaceDiagnosticReport &
    {
        if (this != &other) {
            items = other.items;
        }
        return *this;
    }

    WorkspaceDiagnosticReportPartialResult::WorkspaceDiagnosticReportPartialResult()
    {
        // empty
    }

    WorkspaceDiagnosticReportPartialResult::WorkspaceDiagnosticReportPartialResult(
        WorkspaceDiagnosticReportPartialResult &&other
    )
        : items(std::move(other.items))
    {
        // empty
    }

    WorkspaceDiagnosticReportPartialResult::WorkspaceDiagnosticReportPartialResult(
        const WorkspaceDiagnosticReportPartialResult &other
    )
    {
        items = other.items;
    }

    WorkspaceDiagnosticReportPartialResult::~WorkspaceDiagnosticReportPartialResult()
    {
        // empty
    }

    auto WorkspaceDiagnosticReportPartialResult::operator=(
        WorkspaceDiagnosticReportPartialResult &&other
    ) -> WorkspaceDiagnosticReportPartialResult &
    {
        if (this != &other) {
            items = std::move(other.items);
        }
        return *this;
    }

    auto WorkspaceDiagnosticReportPartialResult::operator=(
        const WorkspaceDiagnosticReportPartialResult &other
    ) -> WorkspaceDiagnosticReportPartialResult &
    {
        if (this != &other) {
            items = other.items;
        }
        return *this;
    }

    const std::map<MessageParamsType, std::string> MessageParamsTypeNames = {
        {MessageParamsType::Uninitialized, "Uninitialized"},
        {MessageParamsType::Array, "Array"},
        {MessageParamsType::Object, "Object"},
    };

    MessageParams::MessageParams()
    {
        // empty
    }

    MessageParams::~MessageParams()
    {
        reset();
    }

    MessageParams::MessageParams(MessageParams &&other)
        : _type(other._type)
    {
        switch (other._type) {
        case MessageParamsType::Array: {
            new (&_array) std::unique_ptr<LSPArray> {
                std::move(other._array)
            };
            break;
        }
        case MessageParamsType::Object: {
            new (&_object) std::unique_ptr<LSPObject> {
                std::move(other._object)
            };
            break;
        }
        case MessageParamsType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = MessageParamsType::Uninitialized;
    }

    MessageParams::MessageParams(const MessageParams &other)
        : _type(other._type)
    {
        switch (other._type) {
        case MessageParamsType::Array: {
            new (&_array) std::unique_ptr<std::vector<std::unique_ptr<LSPAny>>> {
                std::make_unique<std::vector<std::unique_ptr<LSPAny>>>()
            };
            _array->reserve(other._array->size());
            for (const auto &elem_0 : *other._array) {
                _array->push_back(std::make_unique<LSPAny>(*elem_0));
            }
            break;
        }
        case MessageParamsType::Object: {
            new (&_object) std::unique_ptr<std::map<string_t, std::unique_ptr<LSPAny>>> {
                std::make_unique<std::map<string_t, std::unique_ptr<LSPAny>>>()
            };
            for (const auto &[key_0, value_0] : *other._object) {
                _object->emplace(key_0, std::make_unique<LSPAny>(*value_0));
            }
            break;
        }
        case MessageParamsType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto MessageParams::operator=(MessageParams &&other) -> MessageParams &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case MessageParamsType::Array: {
                new (&_array) std::unique_ptr<LSPArray> {
                    std::move(other._array)
                };
                break;
            }
            case MessageParamsType::Object: {
                new (&_object) std::unique_ptr<LSPObject> {
                    std::move(other._object)
                };
                break;
            }
            case MessageParamsType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = MessageParamsType::Uninitialized;
        }
        return *this;
    }

    auto MessageParams::operator=(
        const MessageParams &other
    ) -> MessageParams &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case MessageParamsType::Array: {
                new (&_array) std::unique_ptr<std::vector<std::unique_ptr<LSPAny>>> {
                    std::make_unique<std::vector<std::unique_ptr<LSPAny>>>()
                };
                _array->reserve(other._array->size());
                for (const auto &elem_0 : *other._array) {
                    _array->push_back(std::make_unique<LSPAny>(*elem_0));
                }
                break;
            }
            case MessageParamsType::Object: {
                new (&_object) std::unique_ptr<std::map<string_t, std::unique_ptr<LSPAny>>> {
                    std::make_unique<std::map<string_t, std::unique_ptr<LSPAny>>>()
                };
                for (const auto &[key_0, value_0] : *other._object) {
                    _object->emplace(
                        key_0,
                        std::make_unique<LSPAny>(*value_0)
                    );
                }
                break;
            }
            case MessageParamsType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto MessageParams::reset() -> void
    {
        switch (_type) {
        case MessageParamsType::Uninitialized: {
            // nothing to do
            break;
        }
        case MessageParamsType::Array: {
#ifdef DEBUG
            if (!_array) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _array"
                );
            }
#endif // DEBUG
            _array.~unique_ptr<LSPArray>();
            _type = MessageParamsType::Uninitialized;
            break;
        }
        case MessageParamsType::Object: {
#ifdef DEBUG
            if (!_object) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _object"
                );
            }
#endif // DEBUG
            _object.~unique_ptr<LSPObject>();
            _type = MessageParamsType::Uninitialized;
            break;
        }
        default: {
            _type = MessageParamsType::Uninitialized;
        }
        }
    }

    auto MessageParams::type() const -> const MessageParamsType &
    {
        return _type;
    }

    auto MessageParams::array() const -> const LSPArray &
    {
#ifdef DEBUG
        if (_type != MessageParamsType::Array) {
            throw std::logic_error(
                ("Attempted to access "
                 "MessageParams::array()"
                 " of type "
                 "MessageParamsType::Array"
                 " while active type is "
                 "MessageParamsType::" +
                 MessageParamsTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_array;
    }

    auto MessageParams::operator=(
        const std::unique_ptr<LSPArray> &array
    ) -> MessageParams &
    {
        if (_type != MessageParamsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!array) {
            throw std::logic_error("null passed as the value of array");
        }
#endif // DEBUG
        new (&_array) std::unique_ptr<std::vector<std::unique_ptr<LSPAny>>> {
            std::make_unique<std::vector<std::unique_ptr<LSPAny>>>()
        };
        _array->reserve(array->size());
        for (const auto &elem_0 : *array) {
            _array->push_back(std::make_unique<LSPAny>(*elem_0));
        }
        _type = MessageParamsType::Array;
        return *this;
    }

    auto MessageParams::operator=(
        std::unique_ptr<LSPArray> &&array
    ) -> MessageParams &
    {
        if (_type != MessageParamsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!array) {
            throw std::logic_error("null passed as the value of array");
        }
#endif // DEBUG
        new (&_array) std::unique_ptr<LSPArray> {
            std::move(array)
        };
        _type = MessageParamsType::Array;
        return *this;
    }

    auto MessageParams::operator=(const LSPArray &array) -> MessageParams &
    {
        if (_type != MessageParamsType::Uninitialized) {
            reset();
        }
        new (&_array) std::unique_ptr<std::vector<std::unique_ptr<LSPAny>>> {
            std::make_unique<std::vector<std::unique_ptr<LSPAny>>>()
        };
        _array->reserve(array.size());
        for (const auto &elem_0 : array) {
            _array->push_back(std::make_unique<LSPAny>(*elem_0));
        }
        _type = MessageParamsType::Array;
        return *this;
    }

    auto MessageParams::operator=(LSPArray &&array) -> MessageParams &
    {
        if (_type != MessageParamsType::Uninitialized) {
            reset();
        }
        new (&_array) std::unique_ptr<LSPArray> {
            std::make_unique<LSPArray>(std::move(array))
        };
        _type = MessageParamsType::Array;
        return *this;
    }

    auto MessageParams::object() const -> const LSPObject &
    {
#ifdef DEBUG
        if (_type != MessageParamsType::Object) {
            throw std::logic_error(
                ("Attempted to access "
                 "MessageParams::object()"
                 " of type "
                 "MessageParamsType::Object"
                 " while active type is "
                 "MessageParamsType::" +
                 MessageParamsTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_object;
    }

    auto MessageParams::operator=(
        const std::unique_ptr<LSPObject> &object
    ) -> MessageParams &
    {
        if (_type != MessageParamsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!object) {
            throw std::logic_error("null passed as the value of object");
        }
#endif // DEBUG
        new (&_object) std::unique_ptr<std::map<string_t, std::unique_ptr<LSPAny>>> {
            std::make_unique<std::map<string_t, std::unique_ptr<LSPAny>>>()
        };
        for (const auto &[key_0, value_0] : *object) {
            _object->emplace(key_0, std::make_unique<LSPAny>(*value_0));
        }
        _type = MessageParamsType::Object;
        return *this;
    }

    auto MessageParams::operator=(
        std::unique_ptr<LSPObject> &&object
    ) -> MessageParams &
    {
        if (_type != MessageParamsType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!object) {
            throw std::logic_error("null passed as the value of object");
        }
#endif // DEBUG
        new (&_object) std::unique_ptr<LSPObject> {
            std::move(object)
        };
        _type = MessageParamsType::Object;
        return *this;
    }

    auto MessageParams::operator=(const LSPObject &object) -> MessageParams &
    {
        if (_type != MessageParamsType::Uninitialized) {
            reset();
        }
        new (&_object) std::unique_ptr<std::map<string_t, std::unique_ptr<LSPAny>>> {
            std::make_unique<std::map<string_t, std::unique_ptr<LSPAny>>>()
        };
        for (const auto &[key_0, value_0] : object) {
            _object->emplace(key_0, std::make_unique<LSPAny>(*value_0));
        }
        _type = MessageParamsType::Object;
        return *this;
    }

    auto MessageParams::operator=(LSPObject &&object) -> MessageParams &
    {
        if (_type != MessageParamsType::Uninitialized) {
            reset();
        }
        new (&_object) std::unique_ptr<LSPObject> {
            std::make_unique<LSPObject>(std::move(object))
        };
        _type = MessageParamsType::Object;
        return *this;
    }

    RequestMessage::RequestMessage()
        : Message()
    {
        // empty
    }

    RequestMessage::RequestMessage(RequestMessage &&other)
        : Message(other)
        , id(std::move(other.id))
        , method(std::move(other.method))
        , params(std::move(other.params))
    {
        // empty
    }

    RequestMessage::RequestMessage(const RequestMessage &other)
        : Message(other)
        , id(RequestId(other.id))
        , method(other.method)
    {
        if (other.params.has_value()) {
            params = other.params.value();
        }
    }

    RequestMessage::~RequestMessage()
    {
        // empty
    }

    auto RequestMessage::operator=(RequestMessage &&other) -> RequestMessage &
    {
        if (this != &other) {
            Message::operator=(other);
            id = std::move(other.id);
            method = std::move(other.method);
            params = std::move(other.params);
        }
        return *this;
    }

    auto RequestMessage::operator=(
        const RequestMessage &other
    ) -> RequestMessage &
    {
        if (this != &other) {
            Message::operator=(other);
            id = RequestId(other.id);
            method = other.method;
            if (other.params.has_value()) {
                params = other.params.value();
            }
        }
        return *this;
    }

    NotificationMessage::NotificationMessage()
        : Message()
    {
        // empty
    }

    NotificationMessage::NotificationMessage(NotificationMessage &&other)
        : Message(other)
        , method(std::move(other.method))
        , params(std::move(other.params))
    {
        // empty
    }

    NotificationMessage::NotificationMessage(const NotificationMessage &other)
        : Message(other)
        , method(other.method)
    {
        if (other.params.has_value()) {
            params = other.params.value();
        }
    }

    NotificationMessage::~NotificationMessage()
    {
        // empty
    }

    auto NotificationMessage::operator=(
        NotificationMessage &&other
    ) -> NotificationMessage &
    {
        if (this != &other) {
            Message::operator=(other);
            method = std::move(other.method);
            params = std::move(other.params);
        }
        return *this;
    }

    auto NotificationMessage::operator=(
        const NotificationMessage &other
    ) -> NotificationMessage &
    {
        if (this != &other) {
            Message::operator=(other);
            method = other.method;
            if (other.params.has_value()) {
                params = other.params.value();
            }
        }
        return *this;
    }

    const std::map<TextDocument_PrepareCallHierarchyResultType, std::string>
    TextDocument_PrepareCallHierarchyResultTypeNames = {
        {TextDocument_PrepareCallHierarchyResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray,
         "CallHierarchyItemArray"},
        {TextDocument_PrepareCallHierarchyResultType::Null, "Null"},
    };

    TextDocument_PrepareCallHierarchyResult::TextDocument_PrepareCallHierarchyResult()
    {
        // empty
    }

    TextDocument_PrepareCallHierarchyResult::~TextDocument_PrepareCallHierarchyResult()
    {
        reset();
    }

    TextDocument_PrepareCallHierarchyResult::TextDocument_PrepareCallHierarchyResult(
        TextDocument_PrepareCallHierarchyResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray: {
            new (&_callHierarchyItemArray) std::unique_ptr<TextDocument_PrepareCallHierarchyResult_0> {
                std::move(other._callHierarchyItemArray)
            };
            break;
        }
        case TextDocument_PrepareCallHierarchyResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_PrepareCallHierarchyResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            TextDocument_PrepareCallHierarchyResultType::Uninitialized;
    }

    TextDocument_PrepareCallHierarchyResult::TextDocument_PrepareCallHierarchyResult(
        const TextDocument_PrepareCallHierarchyResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray: {
            new (&_callHierarchyItemArray) std::unique_ptr<std::vector<CallHierarchyItem>> {
                std::make_unique<std::vector<CallHierarchyItem>>()
            };
            _callHierarchyItemArray->reserve(
                other._callHierarchyItemArray->size()
            );
            for (const auto &elem_0 : *other._callHierarchyItemArray) {
                _callHierarchyItemArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_PrepareCallHierarchyResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_PrepareCallHierarchyResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_PrepareCallHierarchyResult::operator=(
        TextDocument_PrepareCallHierarchyResult &&other
    ) -> TextDocument_PrepareCallHierarchyResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray: {
                new (&_callHierarchyItemArray) std::unique_ptr<TextDocument_PrepareCallHierarchyResult_0> {
                    std::move(other._callHierarchyItemArray)
                };
                break;
            }
            case TextDocument_PrepareCallHierarchyResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_PrepareCallHierarchyResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_PrepareCallHierarchyResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_PrepareCallHierarchyResult::operator=(
        const TextDocument_PrepareCallHierarchyResult &other
    ) -> TextDocument_PrepareCallHierarchyResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray: {
                new (&_callHierarchyItemArray) std::unique_ptr<std::vector<CallHierarchyItem>> {
                    std::make_unique<std::vector<CallHierarchyItem>>()
                };
                _callHierarchyItemArray->reserve(
                    other._callHierarchyItemArray->size()
                );
                for (const auto &elem_0 : *other._callHierarchyItemArray) {
                    _callHierarchyItemArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_PrepareCallHierarchyResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_PrepareCallHierarchyResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_PrepareCallHierarchyResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_PrepareCallHierarchyResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray: {
#ifdef DEBUG
            if (!_callHierarchyItemArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _callHierarchyItemArray"
                );
            }
#endif // DEBUG
            _callHierarchyItemArray.~unique_ptr<std::vector<CallHierarchyItem>>();
            _type = TextDocument_PrepareCallHierarchyResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_PrepareCallHierarchyResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_PrepareCallHierarchyResult::type() const
    -> const TextDocument_PrepareCallHierarchyResultType &
    {
        return _type;
    }

    auto TextDocument_PrepareCallHierarchyResult::callHierarchyItemArray() const
    -> const std::vector<CallHierarchyItem> &
    {
#ifdef DEBUG
        if (_type != TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_PrepareCallHierarchyResult::callHierarchyItemArray()"
                 " of type "
                 "TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray"
                 " while active type is "
                 "TextDocument_PrepareCallHierarchyResultType::" +
                 TextDocument_PrepareCallHierarchyResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_callHierarchyItemArray;
    }

    auto TextDocument_PrepareCallHierarchyResult::operator=(
        const std::unique_ptr<std::vector<CallHierarchyItem>> &callHierarchyItemArray
    ) -> TextDocument_PrepareCallHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareCallHierarchyResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyItemArray) {
            throw std::logic_error(
                "null passed as the value of callHierarchyItemArray"
            );
        }
#endif // DEBUG
        new (&_callHierarchyItemArray) std::unique_ptr<std::vector<CallHierarchyItem>> {
            std::make_unique<std::vector<CallHierarchyItem>>()
        };
        _callHierarchyItemArray->reserve(callHierarchyItemArray->size());
        for (const auto &elem_0 : *callHierarchyItemArray) {
            _callHierarchyItemArray->push_back(elem_0);
        }
        _type =
            TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray;
        return *this;
    }

    auto TextDocument_PrepareCallHierarchyResult::operator=(
        std::unique_ptr<std::vector<CallHierarchyItem>> &&callHierarchyItemArray
    ) -> TextDocument_PrepareCallHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareCallHierarchyResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyItemArray) {
            throw std::logic_error(
                "null passed as the value of callHierarchyItemArray"
            );
        }
#endif // DEBUG
        new (&_callHierarchyItemArray) std::unique_ptr<TextDocument_PrepareCallHierarchyResult_0> {
            std::move(callHierarchyItemArray)
        };
        _type =
            TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray;
        return *this;
    }

    auto TextDocument_PrepareCallHierarchyResult::operator=(
        const std::vector<CallHierarchyItem> &callHierarchyItemArray
    ) -> TextDocument_PrepareCallHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareCallHierarchyResultType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyItemArray) std::unique_ptr<std::vector<CallHierarchyItem>> {
            std::make_unique<std::vector<CallHierarchyItem>>()
        };
        _callHierarchyItemArray->reserve(callHierarchyItemArray.size());
        for (const auto &elem_0 : callHierarchyItemArray) {
            _callHierarchyItemArray->push_back(elem_0);
        }
        _type =
            TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray;
        return *this;
    }

    auto TextDocument_PrepareCallHierarchyResult::operator=(
        std::vector<CallHierarchyItem> &&callHierarchyItemArray
    ) -> TextDocument_PrepareCallHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareCallHierarchyResultType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyItemArray) std::unique_ptr<TextDocument_PrepareCallHierarchyResult_0> {
            std::make_unique<TextDocument_PrepareCallHierarchyResult_0>(std::move(callHierarchyItemArray))
        };
        _type =
            TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray;
        return *this;
    }

    auto TextDocument_PrepareCallHierarchyResult::null() const
    -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_PrepareCallHierarchyResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_PrepareCallHierarchyResult::null()"
                 " of type "
                 "TextDocument_PrepareCallHierarchyResultType::Null"
                 " while active type is "
                 "TextDocument_PrepareCallHierarchyResultType::" +
                 TextDocument_PrepareCallHierarchyResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_PrepareCallHierarchyResult::operator=(
        null_t null
    ) -> TextDocument_PrepareCallHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareCallHierarchyResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_PrepareCallHierarchyResultType::Null;
        return *this;
    }

    const std::map<CallHierarchy_IncomingCallsResultType, std::string>
    CallHierarchy_IncomingCallsResultTypeNames = {
        {CallHierarchy_IncomingCallsResultType::Uninitialized,
         "Uninitialized"},
        {CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray,
         "CallHierarchyIncomingCallArray"},
        {CallHierarchy_IncomingCallsResultType::Null, "Null"},
    };

    CallHierarchy_IncomingCallsResult::CallHierarchy_IncomingCallsResult()
    {
        // empty
    }

    CallHierarchy_IncomingCallsResult::~CallHierarchy_IncomingCallsResult()
    {
        reset();
    }

    CallHierarchy_IncomingCallsResult::CallHierarchy_IncomingCallsResult(
        CallHierarchy_IncomingCallsResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray: {
            new (&_callHierarchyIncomingCallArray) std::unique_ptr<CallHierarchy_IncomingCallsResult_0> {
                std::move(other._callHierarchyIncomingCallArray)
            };
            break;
        }
        case CallHierarchy_IncomingCallsResultType::Null: {
            _null = other._null;
            break;
        }
        case CallHierarchy_IncomingCallsResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = CallHierarchy_IncomingCallsResultType::Uninitialized;
    }

    CallHierarchy_IncomingCallsResult::CallHierarchy_IncomingCallsResult(
        const CallHierarchy_IncomingCallsResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray: {
            new (&_callHierarchyIncomingCallArray) std::unique_ptr<std::vector<CallHierarchyIncomingCall>> {
                std::make_unique<std::vector<CallHierarchyIncomingCall>>()
            };
            _callHierarchyIncomingCallArray->reserve(
                other._callHierarchyIncomingCallArray->size()
            );
            for (const auto &elem_0 : *other._callHierarchyIncomingCallArray) {
                _callHierarchyIncomingCallArray->push_back(elem_0);
            }
            break;
        }
        case CallHierarchy_IncomingCallsResultType::Null: {
            _null = other._null;
            break;
        }
        case CallHierarchy_IncomingCallsResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto CallHierarchy_IncomingCallsResult::operator=(
        CallHierarchy_IncomingCallsResult &&other
    ) -> CallHierarchy_IncomingCallsResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray: {
                new (&_callHierarchyIncomingCallArray) std::unique_ptr<CallHierarchy_IncomingCallsResult_0> {
                    std::move(other._callHierarchyIncomingCallArray)
                };
                break;
            }
            case CallHierarchy_IncomingCallsResultType::Null: {
                _null = other._null;
                break;
            }
            case CallHierarchy_IncomingCallsResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = CallHierarchy_IncomingCallsResultType::Uninitialized;
        }
        return *this;
    }

    auto CallHierarchy_IncomingCallsResult::operator=(
        const CallHierarchy_IncomingCallsResult &other
    ) -> CallHierarchy_IncomingCallsResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray: {
                new (&_callHierarchyIncomingCallArray) std::unique_ptr<std::vector<CallHierarchyIncomingCall>> {
                    std::make_unique<std::vector<CallHierarchyIncomingCall>>()
                };
                _callHierarchyIncomingCallArray->reserve(
                    other._callHierarchyIncomingCallArray->size()
                );
                for (const auto &elem_0
                        : *other._callHierarchyIncomingCallArray) {
                    _callHierarchyIncomingCallArray->push_back(elem_0);
                }
                break;
            }
            case CallHierarchy_IncomingCallsResultType::Null: {
                _null = other._null;
                break;
            }
            case CallHierarchy_IncomingCallsResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto CallHierarchy_IncomingCallsResult::reset() -> void
    {
        switch (_type) {
        case CallHierarchy_IncomingCallsResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray: {
#ifdef DEBUG
            if (!_callHierarchyIncomingCallArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _callHierarchyIncomingCallArray"
                );
            }
#endif // DEBUG
            _callHierarchyIncomingCallArray.~unique_ptr<std::vector<CallHierarchyIncomingCall>>();
            _type = CallHierarchy_IncomingCallsResultType::Uninitialized;
            break;
        }
        default: {
            _type = CallHierarchy_IncomingCallsResultType::Uninitialized;
        }
        }
    }

    auto CallHierarchy_IncomingCallsResult::type() const
    -> const CallHierarchy_IncomingCallsResultType &
    {
        return _type;
    }

    auto CallHierarchy_IncomingCallsResult::callHierarchyIncomingCallArray() const
    -> const std::vector<CallHierarchyIncomingCall> &
    {
#ifdef DEBUG
        if (_type != CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "CallHierarchy_IncomingCallsResult::callHierarchyIncomingCallArray()"
                 " of type "
                 "CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray"
                 " while active type is "
                 "CallHierarchy_IncomingCallsResultType::" +
                 CallHierarchy_IncomingCallsResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_callHierarchyIncomingCallArray;
    }

    auto CallHierarchy_IncomingCallsResult::operator=(
        const std::unique_ptr<std::vector<CallHierarchyIncomingCall>> &callHierarchyIncomingCallArray
    ) -> CallHierarchy_IncomingCallsResult &
    {
        if (_type != CallHierarchy_IncomingCallsResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyIncomingCallArray) {
            throw std::logic_error(
                "null passed as the value of callHierarchyIncomingCallArray"
            );
        }
#endif // DEBUG
        new (&_callHierarchyIncomingCallArray) std::unique_ptr<std::vector<CallHierarchyIncomingCall>> {
            std::make_unique<std::vector<CallHierarchyIncomingCall>>()
        };
        _callHierarchyIncomingCallArray->reserve(
            callHierarchyIncomingCallArray->size()
        );
        for (const auto &elem_0 : *callHierarchyIncomingCallArray) {
            _callHierarchyIncomingCallArray->push_back(elem_0);
        }
        _type =
            CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray;
        return *this;
    }

    auto CallHierarchy_IncomingCallsResult::operator=(
        std::unique_ptr<std::vector<CallHierarchyIncomingCall>> &&callHierarchyIncomingCallArray
    ) -> CallHierarchy_IncomingCallsResult &
    {
        if (_type != CallHierarchy_IncomingCallsResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyIncomingCallArray) {
            throw std::logic_error(
                "null passed as the value of callHierarchyIncomingCallArray"
            );
        }
#endif // DEBUG
        new (&_callHierarchyIncomingCallArray) std::unique_ptr<CallHierarchy_IncomingCallsResult_0> {
            std::move(callHierarchyIncomingCallArray)
        };
        _type =
            CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray;
        return *this;
    }

    auto CallHierarchy_IncomingCallsResult::operator=(
        const std::vector<CallHierarchyIncomingCall> &callHierarchyIncomingCallArray
    ) -> CallHierarchy_IncomingCallsResult &
    {
        if (_type != CallHierarchy_IncomingCallsResultType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyIncomingCallArray) std::unique_ptr<std::vector<CallHierarchyIncomingCall>> {
            std::make_unique<std::vector<CallHierarchyIncomingCall>>()
        };
        _callHierarchyIncomingCallArray->reserve(
            callHierarchyIncomingCallArray.size()
        );
        for (const auto &elem_0 : callHierarchyIncomingCallArray) {
            _callHierarchyIncomingCallArray->push_back(elem_0);
        }
        _type =
            CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray;
        return *this;
    }

    auto CallHierarchy_IncomingCallsResult::operator=(
        std::vector<CallHierarchyIncomingCall> &&callHierarchyIncomingCallArray
    ) -> CallHierarchy_IncomingCallsResult &
    {
        if (_type != CallHierarchy_IncomingCallsResultType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyIncomingCallArray) std::unique_ptr<CallHierarchy_IncomingCallsResult_0> {
            std::make_unique<CallHierarchy_IncomingCallsResult_0>(std::move(callHierarchyIncomingCallArray))
        };
        _type =
            CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray;
        return *this;
    }

    auto CallHierarchy_IncomingCallsResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != CallHierarchy_IncomingCallsResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "CallHierarchy_IncomingCallsResult::null()"
                 " of type "
                 "CallHierarchy_IncomingCallsResultType::Null"
                 " while active type is "
                 "CallHierarchy_IncomingCallsResultType::" +
                 CallHierarchy_IncomingCallsResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto CallHierarchy_IncomingCallsResult::operator=(
        null_t null
    ) -> CallHierarchy_IncomingCallsResult &
    {
        if (_type != CallHierarchy_IncomingCallsResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = CallHierarchy_IncomingCallsResultType::Null;
        return *this;
    }

    const std::map<CallHierarchy_OutgoingCallsResultType, std::string>
    CallHierarchy_OutgoingCallsResultTypeNames = {
        {CallHierarchy_OutgoingCallsResultType::Uninitialized,
         "Uninitialized"},
        {CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray,
         "CallHierarchyOutgoingCallArray"},
        {CallHierarchy_OutgoingCallsResultType::Null, "Null"},
    };

    CallHierarchy_OutgoingCallsResult::CallHierarchy_OutgoingCallsResult()
    {
        // empty
    }

    CallHierarchy_OutgoingCallsResult::~CallHierarchy_OutgoingCallsResult()
    {
        reset();
    }

    CallHierarchy_OutgoingCallsResult::CallHierarchy_OutgoingCallsResult(
        CallHierarchy_OutgoingCallsResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray: {
            new (&_callHierarchyOutgoingCallArray) std::unique_ptr<CallHierarchy_OutgoingCallsResult_0> {
                std::move(other._callHierarchyOutgoingCallArray)
            };
            break;
        }
        case CallHierarchy_OutgoingCallsResultType::Null: {
            _null = other._null;
            break;
        }
        case CallHierarchy_OutgoingCallsResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = CallHierarchy_OutgoingCallsResultType::Uninitialized;
    }

    CallHierarchy_OutgoingCallsResult::CallHierarchy_OutgoingCallsResult(
        const CallHierarchy_OutgoingCallsResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray: {
            new (&_callHierarchyOutgoingCallArray) std::unique_ptr<std::vector<CallHierarchyOutgoingCall>> {
                std::make_unique<std::vector<CallHierarchyOutgoingCall>>()
            };
            _callHierarchyOutgoingCallArray->reserve(
                other._callHierarchyOutgoingCallArray->size()
            );
            for (const auto &elem_0 : *other._callHierarchyOutgoingCallArray) {
                _callHierarchyOutgoingCallArray->push_back(elem_0);
            }
            break;
        }
        case CallHierarchy_OutgoingCallsResultType::Null: {
            _null = other._null;
            break;
        }
        case CallHierarchy_OutgoingCallsResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto CallHierarchy_OutgoingCallsResult::operator=(
        CallHierarchy_OutgoingCallsResult &&other
    ) -> CallHierarchy_OutgoingCallsResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray: {
                new (&_callHierarchyOutgoingCallArray) std::unique_ptr<CallHierarchy_OutgoingCallsResult_0> {
                    std::move(other._callHierarchyOutgoingCallArray)
                };
                break;
            }
            case CallHierarchy_OutgoingCallsResultType::Null: {
                _null = other._null;
                break;
            }
            case CallHierarchy_OutgoingCallsResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = CallHierarchy_OutgoingCallsResultType::Uninitialized;
        }
        return *this;
    }

    auto CallHierarchy_OutgoingCallsResult::operator=(
        const CallHierarchy_OutgoingCallsResult &other
    ) -> CallHierarchy_OutgoingCallsResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray: {
                new (&_callHierarchyOutgoingCallArray) std::unique_ptr<std::vector<CallHierarchyOutgoingCall>> {
                    std::make_unique<std::vector<CallHierarchyOutgoingCall>>()
                };
                _callHierarchyOutgoingCallArray->reserve(
                    other._callHierarchyOutgoingCallArray->size()
                );
                for (const auto &elem_0
                        : *other._callHierarchyOutgoingCallArray) {
                    _callHierarchyOutgoingCallArray->push_back(elem_0);
                }
                break;
            }
            case CallHierarchy_OutgoingCallsResultType::Null: {
                _null = other._null;
                break;
            }
            case CallHierarchy_OutgoingCallsResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto CallHierarchy_OutgoingCallsResult::reset() -> void
    {
        switch (_type) {
        case CallHierarchy_OutgoingCallsResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray: {
#ifdef DEBUG
            if (!_callHierarchyOutgoingCallArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _callHierarchyOutgoingCallArray"
                );
            }
#endif // DEBUG
            _callHierarchyOutgoingCallArray.~unique_ptr<std::vector<CallHierarchyOutgoingCall>>();
            _type = CallHierarchy_OutgoingCallsResultType::Uninitialized;
            break;
        }
        default: {
            _type = CallHierarchy_OutgoingCallsResultType::Uninitialized;
        }
        }
    }

    auto CallHierarchy_OutgoingCallsResult::type() const
    -> const CallHierarchy_OutgoingCallsResultType &
    {
        return _type;
    }

    auto CallHierarchy_OutgoingCallsResult::callHierarchyOutgoingCallArray() const
    -> const std::vector<CallHierarchyOutgoingCall> &
    {
#ifdef DEBUG
        if (_type != CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "CallHierarchy_OutgoingCallsResult::callHierarchyOutgoingCallArray()"
                 " of type "
                 "CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray"
                 " while active type is "
                 "CallHierarchy_OutgoingCallsResultType::" +
                 CallHierarchy_OutgoingCallsResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_callHierarchyOutgoingCallArray;
    }

    auto CallHierarchy_OutgoingCallsResult::operator=(
        const std::unique_ptr<std::vector<CallHierarchyOutgoingCall>> &callHierarchyOutgoingCallArray
    ) -> CallHierarchy_OutgoingCallsResult &
    {
        if (_type != CallHierarchy_OutgoingCallsResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyOutgoingCallArray) {
            throw std::logic_error(
                "null passed as the value of callHierarchyOutgoingCallArray"
            );
        }
#endif // DEBUG
        new (&_callHierarchyOutgoingCallArray) std::unique_ptr<std::vector<CallHierarchyOutgoingCall>> {
            std::make_unique<std::vector<CallHierarchyOutgoingCall>>()
        };
        _callHierarchyOutgoingCallArray->reserve(
            callHierarchyOutgoingCallArray->size()
        );
        for (const auto &elem_0 : *callHierarchyOutgoingCallArray) {
            _callHierarchyOutgoingCallArray->push_back(elem_0);
        }
        _type =
            CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray;
        return *this;
    }

    auto CallHierarchy_OutgoingCallsResult::operator=(
        std::unique_ptr<std::vector<CallHierarchyOutgoingCall>> &&callHierarchyOutgoingCallArray
    ) -> CallHierarchy_OutgoingCallsResult &
    {
        if (_type != CallHierarchy_OutgoingCallsResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!callHierarchyOutgoingCallArray) {
            throw std::logic_error(
                "null passed as the value of callHierarchyOutgoingCallArray"
            );
        }
#endif // DEBUG
        new (&_callHierarchyOutgoingCallArray) std::unique_ptr<CallHierarchy_OutgoingCallsResult_0> {
            std::move(callHierarchyOutgoingCallArray)
        };
        _type =
            CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray;
        return *this;
    }

    auto CallHierarchy_OutgoingCallsResult::operator=(
        const std::vector<CallHierarchyOutgoingCall> &callHierarchyOutgoingCallArray
    ) -> CallHierarchy_OutgoingCallsResult &
    {
        if (_type != CallHierarchy_OutgoingCallsResultType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyOutgoingCallArray) std::unique_ptr<std::vector<CallHierarchyOutgoingCall>> {
            std::make_unique<std::vector<CallHierarchyOutgoingCall>>()
        };
        _callHierarchyOutgoingCallArray->reserve(
            callHierarchyOutgoingCallArray.size()
        );
        for (const auto &elem_0 : callHierarchyOutgoingCallArray) {
            _callHierarchyOutgoingCallArray->push_back(elem_0);
        }
        _type =
            CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray;
        return *this;
    }

    auto CallHierarchy_OutgoingCallsResult::operator=(
        std::vector<CallHierarchyOutgoingCall> &&callHierarchyOutgoingCallArray
    ) -> CallHierarchy_OutgoingCallsResult &
    {
        if (_type != CallHierarchy_OutgoingCallsResultType::Uninitialized) {
            reset();
        }
        new (&_callHierarchyOutgoingCallArray) std::unique_ptr<CallHierarchy_OutgoingCallsResult_0> {
            std::make_unique<CallHierarchy_OutgoingCallsResult_0>(std::move(callHierarchyOutgoingCallArray))
        };
        _type =
            CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray;
        return *this;
    }

    auto CallHierarchy_OutgoingCallsResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != CallHierarchy_OutgoingCallsResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "CallHierarchy_OutgoingCallsResult::null()"
                 " of type "
                 "CallHierarchy_OutgoingCallsResultType::Null"
                 " while active type is "
                 "CallHierarchy_OutgoingCallsResultType::" +
                 CallHierarchy_OutgoingCallsResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto CallHierarchy_OutgoingCallsResult::operator=(
        null_t null
    ) -> CallHierarchy_OutgoingCallsResult &
    {
        if (_type != CallHierarchy_OutgoingCallsResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = CallHierarchy_OutgoingCallsResultType::Null;
        return *this;
    }

    const std::map<TextDocument_PrepareTypeHierarchyResultType, std::string>
    TextDocument_PrepareTypeHierarchyResultTypeNames = {
        {TextDocument_PrepareTypeHierarchyResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray,
         "TypeHierarchyItemArray"},
        {TextDocument_PrepareTypeHierarchyResultType::Null, "Null"},
    };

    TextDocument_PrepareTypeHierarchyResult::TextDocument_PrepareTypeHierarchyResult()
    {
        // empty
    }

    TextDocument_PrepareTypeHierarchyResult::~TextDocument_PrepareTypeHierarchyResult()
    {
        reset();
    }

    TextDocument_PrepareTypeHierarchyResult::TextDocument_PrepareTypeHierarchyResult(
        TextDocument_PrepareTypeHierarchyResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray: {
            new (&_typeHierarchyItemArray) std::unique_ptr<TextDocument_PrepareTypeHierarchyResult_0> {
                std::move(other._typeHierarchyItemArray)
            };
            break;
        }
        case TextDocument_PrepareTypeHierarchyResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_PrepareTypeHierarchyResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type =
            TextDocument_PrepareTypeHierarchyResultType::Uninitialized;
    }

    TextDocument_PrepareTypeHierarchyResult::TextDocument_PrepareTypeHierarchyResult(
        const TextDocument_PrepareTypeHierarchyResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray: {
            new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
                std::make_unique<std::vector<TypeHierarchyItem>>()
            };
            _typeHierarchyItemArray->reserve(
                other._typeHierarchyItemArray->size()
            );
            for (const auto &elem_0 : *other._typeHierarchyItemArray) {
                _typeHierarchyItemArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_PrepareTypeHierarchyResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_PrepareTypeHierarchyResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_PrepareTypeHierarchyResult::operator=(
        TextDocument_PrepareTypeHierarchyResult &&other
    ) -> TextDocument_PrepareTypeHierarchyResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray: {
                new (&_typeHierarchyItemArray) std::unique_ptr<TextDocument_PrepareTypeHierarchyResult_0> {
                    std::move(other._typeHierarchyItemArray)
                };
                break;
            }
            case TextDocument_PrepareTypeHierarchyResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_PrepareTypeHierarchyResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_PrepareTypeHierarchyResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_PrepareTypeHierarchyResult::operator=(
        const TextDocument_PrepareTypeHierarchyResult &other
    ) -> TextDocument_PrepareTypeHierarchyResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray: {
                new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
                    std::make_unique<std::vector<TypeHierarchyItem>>()
                };
                _typeHierarchyItemArray->reserve(
                    other._typeHierarchyItemArray->size()
                );
                for (const auto &elem_0 : *other._typeHierarchyItemArray) {
                    _typeHierarchyItemArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_PrepareTypeHierarchyResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_PrepareTypeHierarchyResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_PrepareTypeHierarchyResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_PrepareTypeHierarchyResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray: {
#ifdef DEBUG
            if (!_typeHierarchyItemArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _typeHierarchyItemArray"
                );
            }
#endif // DEBUG
            _typeHierarchyItemArray.~unique_ptr<std::vector<TypeHierarchyItem>>();
            _type = TextDocument_PrepareTypeHierarchyResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_PrepareTypeHierarchyResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_PrepareTypeHierarchyResult::type() const
    -> const TextDocument_PrepareTypeHierarchyResultType &
    {
        return _type;
    }

    auto TextDocument_PrepareTypeHierarchyResult::typeHierarchyItemArray() const
    -> const std::vector<TypeHierarchyItem> &
    {
#ifdef DEBUG
        if (_type != TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_PrepareTypeHierarchyResult::typeHierarchyItemArray()"
                 " of type "
                 "TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray"
                 " while active type is "
                 "TextDocument_PrepareTypeHierarchyResultType::" +
                 TextDocument_PrepareTypeHierarchyResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_typeHierarchyItemArray;
    }

    auto TextDocument_PrepareTypeHierarchyResult::operator=(
        const std::unique_ptr<std::vector<TypeHierarchyItem>> &typeHierarchyItemArray
    ) -> TextDocument_PrepareTypeHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareTypeHierarchyResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyItemArray) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyItemArray"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
            std::make_unique<std::vector<TypeHierarchyItem>>()
        };
        _typeHierarchyItemArray->reserve(typeHierarchyItemArray->size());
        for (const auto &elem_0 : *typeHierarchyItemArray) {
            _typeHierarchyItemArray->push_back(elem_0);
        }
        _type =
            TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TextDocument_PrepareTypeHierarchyResult::operator=(
        std::unique_ptr<std::vector<TypeHierarchyItem>> &&typeHierarchyItemArray
    ) -> TextDocument_PrepareTypeHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareTypeHierarchyResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyItemArray) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyItemArray"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyItemArray) std::unique_ptr<TextDocument_PrepareTypeHierarchyResult_0> {
            std::move(typeHierarchyItemArray)
        };
        _type =
            TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TextDocument_PrepareTypeHierarchyResult::operator=(
        const std::vector<TypeHierarchyItem> &typeHierarchyItemArray
    ) -> TextDocument_PrepareTypeHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareTypeHierarchyResultType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
            std::make_unique<std::vector<TypeHierarchyItem>>()
        };
        _typeHierarchyItemArray->reserve(typeHierarchyItemArray.size());
        for (const auto &elem_0 : typeHierarchyItemArray) {
            _typeHierarchyItemArray->push_back(elem_0);
        }
        _type =
            TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TextDocument_PrepareTypeHierarchyResult::operator=(
        std::vector<TypeHierarchyItem> &&typeHierarchyItemArray
    ) -> TextDocument_PrepareTypeHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareTypeHierarchyResultType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyItemArray) std::unique_ptr<TextDocument_PrepareTypeHierarchyResult_0> {
            std::make_unique<TextDocument_PrepareTypeHierarchyResult_0>(std::move(typeHierarchyItemArray))
        };
        _type =
            TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TextDocument_PrepareTypeHierarchyResult::null() const
    -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_PrepareTypeHierarchyResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_PrepareTypeHierarchyResult::null()"
                 " of type "
                 "TextDocument_PrepareTypeHierarchyResultType::Null"
                 " while active type is "
                 "TextDocument_PrepareTypeHierarchyResultType::" +
                 TextDocument_PrepareTypeHierarchyResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_PrepareTypeHierarchyResult::operator=(
        null_t null
    ) -> TextDocument_PrepareTypeHierarchyResult &
    {
        if (_type !=
                TextDocument_PrepareTypeHierarchyResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_PrepareTypeHierarchyResultType::Null;
        return *this;
    }

    const std::map<TypeHierarchy_SupertypesResultType, std::string>
    TypeHierarchy_SupertypesResultTypeNames = {
        {TypeHierarchy_SupertypesResultType::Uninitialized, "Uninitialized"},
        {TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray,
         "TypeHierarchyItemArray"},
        {TypeHierarchy_SupertypesResultType::Null, "Null"},
    };

    TypeHierarchy_SupertypesResult::TypeHierarchy_SupertypesResult()
    {
        // empty
    }

    TypeHierarchy_SupertypesResult::~TypeHierarchy_SupertypesResult()
    {
        reset();
    }

    TypeHierarchy_SupertypesResult::TypeHierarchy_SupertypesResult(
        TypeHierarchy_SupertypesResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray: {
            new (&_typeHierarchyItemArray) std::unique_ptr<TypeHierarchy_SupertypesResult_0> {
                std::move(other._typeHierarchyItemArray)
            };
            break;
        }
        case TypeHierarchy_SupertypesResultType::Null: {
            _null = other._null;
            break;
        }
        case TypeHierarchy_SupertypesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TypeHierarchy_SupertypesResultType::Uninitialized;
    }

    TypeHierarchy_SupertypesResult::TypeHierarchy_SupertypesResult(
        const TypeHierarchy_SupertypesResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray: {
            new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
                std::make_unique<std::vector<TypeHierarchyItem>>()
            };
            _typeHierarchyItemArray->reserve(
                other._typeHierarchyItemArray->size()
            );
            for (const auto &elem_0 : *other._typeHierarchyItemArray) {
                _typeHierarchyItemArray->push_back(elem_0);
            }
            break;
        }
        case TypeHierarchy_SupertypesResultType::Null: {
            _null = other._null;
            break;
        }
        case TypeHierarchy_SupertypesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TypeHierarchy_SupertypesResult::operator=(
        TypeHierarchy_SupertypesResult &&other
    ) -> TypeHierarchy_SupertypesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray: {
                new (&_typeHierarchyItemArray) std::unique_ptr<TypeHierarchy_SupertypesResult_0> {
                    std::move(other._typeHierarchyItemArray)
                };
                break;
            }
            case TypeHierarchy_SupertypesResultType::Null: {
                _null = other._null;
                break;
            }
            case TypeHierarchy_SupertypesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TypeHierarchy_SupertypesResultType::Uninitialized;
        }
        return *this;
    }

    auto TypeHierarchy_SupertypesResult::operator=(
        const TypeHierarchy_SupertypesResult &other
    ) -> TypeHierarchy_SupertypesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray: {
                new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
                    std::make_unique<std::vector<TypeHierarchyItem>>()
                };
                _typeHierarchyItemArray->reserve(
                    other._typeHierarchyItemArray->size()
                );
                for (const auto &elem_0 : *other._typeHierarchyItemArray) {
                    _typeHierarchyItemArray->push_back(elem_0);
                }
                break;
            }
            case TypeHierarchy_SupertypesResultType::Null: {
                _null = other._null;
                break;
            }
            case TypeHierarchy_SupertypesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TypeHierarchy_SupertypesResult::reset() -> void
    {
        switch (_type) {
        case TypeHierarchy_SupertypesResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray: {
#ifdef DEBUG
            if (!_typeHierarchyItemArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _typeHierarchyItemArray"
                );
            }
#endif // DEBUG
            _typeHierarchyItemArray.~unique_ptr<std::vector<TypeHierarchyItem>>();
            _type = TypeHierarchy_SupertypesResultType::Uninitialized;
            break;
        }
        default: {
            _type = TypeHierarchy_SupertypesResultType::Uninitialized;
        }
        }
    }

    auto TypeHierarchy_SupertypesResult::type() const
    -> const TypeHierarchy_SupertypesResultType &
    {
        return _type;
    }

    auto TypeHierarchy_SupertypesResult::typeHierarchyItemArray() const
    -> const std::vector<TypeHierarchyItem> &
    {
#ifdef DEBUG
        if (_type != TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TypeHierarchy_SupertypesResult::typeHierarchyItemArray()"
                 " of type "
                 "TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray"
                 " while active type is "
                 "TypeHierarchy_SupertypesResultType::" +
                 TypeHierarchy_SupertypesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_typeHierarchyItemArray;
    }

    auto TypeHierarchy_SupertypesResult::operator=(
        const std::unique_ptr<std::vector<TypeHierarchyItem>> &typeHierarchyItemArray
    ) -> TypeHierarchy_SupertypesResult &
    {
        if (_type != TypeHierarchy_SupertypesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyItemArray) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyItemArray"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
            std::make_unique<std::vector<TypeHierarchyItem>>()
        };
        _typeHierarchyItemArray->reserve(typeHierarchyItemArray->size());
        for (const auto &elem_0 : *typeHierarchyItemArray) {
            _typeHierarchyItemArray->push_back(elem_0);
        }
        _type = TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TypeHierarchy_SupertypesResult::operator=(
        std::unique_ptr<std::vector<TypeHierarchyItem>> &&typeHierarchyItemArray
    ) -> TypeHierarchy_SupertypesResult &
    {
        if (_type != TypeHierarchy_SupertypesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyItemArray) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyItemArray"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyItemArray) std::unique_ptr<TypeHierarchy_SupertypesResult_0> {
            std::move(typeHierarchyItemArray)
        };
        _type = TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TypeHierarchy_SupertypesResult::operator=(
        const std::vector<TypeHierarchyItem> &typeHierarchyItemArray
    ) -> TypeHierarchy_SupertypesResult &
    {
        if (_type != TypeHierarchy_SupertypesResultType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
            std::make_unique<std::vector<TypeHierarchyItem>>()
        };
        _typeHierarchyItemArray->reserve(typeHierarchyItemArray.size());
        for (const auto &elem_0 : typeHierarchyItemArray) {
            _typeHierarchyItemArray->push_back(elem_0);
        }
        _type = TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TypeHierarchy_SupertypesResult::operator=(
        std::vector<TypeHierarchyItem> &&typeHierarchyItemArray
    ) -> TypeHierarchy_SupertypesResult &
    {
        if (_type != TypeHierarchy_SupertypesResultType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyItemArray) std::unique_ptr<TypeHierarchy_SupertypesResult_0> {
            std::make_unique<TypeHierarchy_SupertypesResult_0>(std::move(typeHierarchyItemArray))
        };
        _type = TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TypeHierarchy_SupertypesResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TypeHierarchy_SupertypesResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TypeHierarchy_SupertypesResult::null()"
                 " of type "
                 "TypeHierarchy_SupertypesResultType::Null"
                 " while active type is "
                 "TypeHierarchy_SupertypesResultType::" +
                 TypeHierarchy_SupertypesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TypeHierarchy_SupertypesResult::operator=(
        null_t null
    ) -> TypeHierarchy_SupertypesResult &
    {
        if (_type != TypeHierarchy_SupertypesResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TypeHierarchy_SupertypesResultType::Null;
        return *this;
    }

    const std::map<TypeHierarchy_SubtypesResultType, std::string>
    TypeHierarchy_SubtypesResultTypeNames = {
        {TypeHierarchy_SubtypesResultType::Uninitialized, "Uninitialized"},
        {TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray,
         "TypeHierarchyItemArray"},
        {TypeHierarchy_SubtypesResultType::Null, "Null"},
    };

    TypeHierarchy_SubtypesResult::TypeHierarchy_SubtypesResult()
    {
        // empty
    }

    TypeHierarchy_SubtypesResult::~TypeHierarchy_SubtypesResult()
    {
        reset();
    }

    TypeHierarchy_SubtypesResult::TypeHierarchy_SubtypesResult(
        TypeHierarchy_SubtypesResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray: {
            new (&_typeHierarchyItemArray) std::unique_ptr<TypeHierarchy_SubtypesResult_0> {
                std::move(other._typeHierarchyItemArray)
            };
            break;
        }
        case TypeHierarchy_SubtypesResultType::Null: {
            _null = other._null;
            break;
        }
        case TypeHierarchy_SubtypesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TypeHierarchy_SubtypesResultType::Uninitialized;
    }

    TypeHierarchy_SubtypesResult::TypeHierarchy_SubtypesResult(
        const TypeHierarchy_SubtypesResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray: {
            new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
                std::make_unique<std::vector<TypeHierarchyItem>>()
            };
            _typeHierarchyItemArray->reserve(
                other._typeHierarchyItemArray->size()
            );
            for (const auto &elem_0 : *other._typeHierarchyItemArray) {
                _typeHierarchyItemArray->push_back(elem_0);
            }
            break;
        }
        case TypeHierarchy_SubtypesResultType::Null: {
            _null = other._null;
            break;
        }
        case TypeHierarchy_SubtypesResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TypeHierarchy_SubtypesResult::operator=(
        TypeHierarchy_SubtypesResult &&other
    ) -> TypeHierarchy_SubtypesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray: {
                new (&_typeHierarchyItemArray) std::unique_ptr<TypeHierarchy_SubtypesResult_0> {
                    std::move(other._typeHierarchyItemArray)
                };
                break;
            }
            case TypeHierarchy_SubtypesResultType::Null: {
                _null = other._null;
                break;
            }
            case TypeHierarchy_SubtypesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TypeHierarchy_SubtypesResultType::Uninitialized;
        }
        return *this;
    }

    auto TypeHierarchy_SubtypesResult::operator=(
        const TypeHierarchy_SubtypesResult &other
    ) -> TypeHierarchy_SubtypesResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray: {
                new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
                    std::make_unique<std::vector<TypeHierarchyItem>>()
                };
                _typeHierarchyItemArray->reserve(
                    other._typeHierarchyItemArray->size()
                );
                for (const auto &elem_0 : *other._typeHierarchyItemArray) {
                    _typeHierarchyItemArray->push_back(elem_0);
                }
                break;
            }
            case TypeHierarchy_SubtypesResultType::Null: {
                _null = other._null;
                break;
            }
            case TypeHierarchy_SubtypesResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TypeHierarchy_SubtypesResult::reset() -> void
    {
        switch (_type) {
        case TypeHierarchy_SubtypesResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray: {
#ifdef DEBUG
            if (!_typeHierarchyItemArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _typeHierarchyItemArray"
                );
            }
#endif // DEBUG
            _typeHierarchyItemArray.~unique_ptr<std::vector<TypeHierarchyItem>>();
            _type = TypeHierarchy_SubtypesResultType::Uninitialized;
            break;
        }
        default: {
            _type = TypeHierarchy_SubtypesResultType::Uninitialized;
        }
        }
    }

    auto TypeHierarchy_SubtypesResult::type() const
    -> const TypeHierarchy_SubtypesResultType &
    {
        return _type;
    }

    auto TypeHierarchy_SubtypesResult::typeHierarchyItemArray() const
    -> const std::vector<TypeHierarchyItem> &
    {
#ifdef DEBUG
        if (_type != TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TypeHierarchy_SubtypesResult::typeHierarchyItemArray()"
                 " of type "
                 "TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray"
                 " while active type is "
                 "TypeHierarchy_SubtypesResultType::" +
                 TypeHierarchy_SubtypesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_typeHierarchyItemArray;
    }

    auto TypeHierarchy_SubtypesResult::operator=(
        const std::unique_ptr<std::vector<TypeHierarchyItem>> &typeHierarchyItemArray
    ) -> TypeHierarchy_SubtypesResult &
    {
        if (_type != TypeHierarchy_SubtypesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyItemArray) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyItemArray"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
            std::make_unique<std::vector<TypeHierarchyItem>>()
        };
        _typeHierarchyItemArray->reserve(typeHierarchyItemArray->size());
        for (const auto &elem_0 : *typeHierarchyItemArray) {
            _typeHierarchyItemArray->push_back(elem_0);
        }
        _type = TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TypeHierarchy_SubtypesResult::operator=(
        std::unique_ptr<std::vector<TypeHierarchyItem>> &&typeHierarchyItemArray
    ) -> TypeHierarchy_SubtypesResult &
    {
        if (_type != TypeHierarchy_SubtypesResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!typeHierarchyItemArray) {
            throw std::logic_error(
                "null passed as the value of typeHierarchyItemArray"
            );
        }
#endif // DEBUG
        new (&_typeHierarchyItemArray) std::unique_ptr<TypeHierarchy_SubtypesResult_0> {
            std::move(typeHierarchyItemArray)
        };
        _type = TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TypeHierarchy_SubtypesResult::operator=(
        const std::vector<TypeHierarchyItem> &typeHierarchyItemArray
    ) -> TypeHierarchy_SubtypesResult &
    {
        if (_type != TypeHierarchy_SubtypesResultType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyItemArray) std::unique_ptr<std::vector<TypeHierarchyItem>> {
            std::make_unique<std::vector<TypeHierarchyItem>>()
        };
        _typeHierarchyItemArray->reserve(typeHierarchyItemArray.size());
        for (const auto &elem_0 : typeHierarchyItemArray) {
            _typeHierarchyItemArray->push_back(elem_0);
        }
        _type = TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TypeHierarchy_SubtypesResult::operator=(
        std::vector<TypeHierarchyItem> &&typeHierarchyItemArray
    ) -> TypeHierarchy_SubtypesResult &
    {
        if (_type != TypeHierarchy_SubtypesResultType::Uninitialized) {
            reset();
        }
        new (&_typeHierarchyItemArray) std::unique_ptr<TypeHierarchy_SubtypesResult_0> {
            std::make_unique<TypeHierarchy_SubtypesResult_0>(std::move(typeHierarchyItemArray))
        };
        _type = TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray;
        return *this;
    }

    auto TypeHierarchy_SubtypesResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TypeHierarchy_SubtypesResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TypeHierarchy_SubtypesResult::null()"
                 " of type "
                 "TypeHierarchy_SubtypesResultType::Null"
                 " while active type is "
                 "TypeHierarchy_SubtypesResultType::" +
                 TypeHierarchy_SubtypesResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TypeHierarchy_SubtypesResult::operator=(
        null_t null
    ) -> TypeHierarchy_SubtypesResult &
    {
        if (_type != TypeHierarchy_SubtypesResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TypeHierarchy_SubtypesResultType::Null;
        return *this;
    }

    const std::map<TextDocument_InlayHintResultType, std::string>
    TextDocument_InlayHintResultTypeNames = {
        {TextDocument_InlayHintResultType::Uninitialized, "Uninitialized"},
        {TextDocument_InlayHintResultType::InlayHintArray, "InlayHintArray"},
        {TextDocument_InlayHintResultType::Null, "Null"},
    };

    TextDocument_InlayHintResult::TextDocument_InlayHintResult()
    {
        // empty
    }

    TextDocument_InlayHintResult::~TextDocument_InlayHintResult()
    {
        reset();
    }

    TextDocument_InlayHintResult::TextDocument_InlayHintResult(
        TextDocument_InlayHintResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_InlayHintResultType::InlayHintArray: {
            new (&_inlayHintArray) std::unique_ptr<TextDocument_InlayHintResult_0> {
                std::move(other._inlayHintArray)
            };
            break;
        }
        case TextDocument_InlayHintResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_InlayHintResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_InlayHintResultType::Uninitialized;
    }

    TextDocument_InlayHintResult::TextDocument_InlayHintResult(
        const TextDocument_InlayHintResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_InlayHintResultType::InlayHintArray: {
            new (&_inlayHintArray) std::unique_ptr<std::vector<InlayHint>> {
                std::make_unique<std::vector<InlayHint>>()
            };
            _inlayHintArray->reserve(other._inlayHintArray->size());
            for (const auto &elem_0 : *other._inlayHintArray) {
                _inlayHintArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_InlayHintResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_InlayHintResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_InlayHintResult::operator=(
        TextDocument_InlayHintResult &&other
    ) -> TextDocument_InlayHintResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_InlayHintResultType::InlayHintArray: {
                new (&_inlayHintArray) std::unique_ptr<TextDocument_InlayHintResult_0> {
                    std::move(other._inlayHintArray)
                };
                break;
            }
            case TextDocument_InlayHintResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_InlayHintResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_InlayHintResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_InlayHintResult::operator=(
        const TextDocument_InlayHintResult &other
    ) -> TextDocument_InlayHintResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_InlayHintResultType::InlayHintArray: {
                new (&_inlayHintArray) std::unique_ptr<std::vector<InlayHint>> {
                    std::make_unique<std::vector<InlayHint>>()
                };
                _inlayHintArray->reserve(other._inlayHintArray->size());
                for (const auto &elem_0 : *other._inlayHintArray) {
                    _inlayHintArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_InlayHintResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_InlayHintResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_InlayHintResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_InlayHintResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_InlayHintResultType::InlayHintArray: {
#ifdef DEBUG
            if (!_inlayHintArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlayHintArray"
                );
            }
#endif // DEBUG
            _inlayHintArray.~unique_ptr<std::vector<InlayHint>>();
            _type = TextDocument_InlayHintResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_InlayHintResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_InlayHintResult::type() const
    -> const TextDocument_InlayHintResultType &
    {
        return _type;
    }

    auto TextDocument_InlayHintResult::inlayHintArray() const
    -> const std::vector<InlayHint> &
    {
#ifdef DEBUG
        if (_type != TextDocument_InlayHintResultType::InlayHintArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_InlayHintResult::inlayHintArray()"
                 " of type "
                 "TextDocument_InlayHintResultType::InlayHintArray"
                 " while active type is "
                 "TextDocument_InlayHintResultType::" +
                 TextDocument_InlayHintResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlayHintArray;
    }

    auto TextDocument_InlayHintResult::operator=(
        const std::unique_ptr<std::vector<InlayHint>> &inlayHintArray
    ) -> TextDocument_InlayHintResult &
    {
        if (_type != TextDocument_InlayHintResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlayHintArray) {
            throw std::logic_error(
                "null passed as the value of inlayHintArray"
            );
        }
#endif // DEBUG
        new (&_inlayHintArray) std::unique_ptr<std::vector<InlayHint>> {
            std::make_unique<std::vector<InlayHint>>()
        };
        _inlayHintArray->reserve(inlayHintArray->size());
        for (const auto &elem_0 : *inlayHintArray) {
            _inlayHintArray->push_back(elem_0);
        }
        _type = TextDocument_InlayHintResultType::InlayHintArray;
        return *this;
    }

    auto TextDocument_InlayHintResult::operator=(
        std::unique_ptr<std::vector<InlayHint>> &&inlayHintArray
    ) -> TextDocument_InlayHintResult &
    {
        if (_type != TextDocument_InlayHintResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlayHintArray) {
            throw std::logic_error(
                "null passed as the value of inlayHintArray"
            );
        }
#endif // DEBUG
        new (&_inlayHintArray) std::unique_ptr<TextDocument_InlayHintResult_0> {
            std::move(inlayHintArray)
        };
        _type = TextDocument_InlayHintResultType::InlayHintArray;
        return *this;
    }

    auto TextDocument_InlayHintResult::operator=(
        const std::vector<InlayHint> &inlayHintArray
    ) -> TextDocument_InlayHintResult &
    {
        if (_type != TextDocument_InlayHintResultType::Uninitialized) {
            reset();
        }
        new (&_inlayHintArray) std::unique_ptr<std::vector<InlayHint>> {
            std::make_unique<std::vector<InlayHint>>()
        };
        _inlayHintArray->reserve(inlayHintArray.size());
        for (const auto &elem_0 : inlayHintArray) {
            _inlayHintArray->push_back(elem_0);
        }
        _type = TextDocument_InlayHintResultType::InlayHintArray;
        return *this;
    }

    auto TextDocument_InlayHintResult::operator=(
        std::vector<InlayHint> &&inlayHintArray
    ) -> TextDocument_InlayHintResult &
    {
        if (_type != TextDocument_InlayHintResultType::Uninitialized) {
            reset();
        }
        new (&_inlayHintArray) std::unique_ptr<TextDocument_InlayHintResult_0> {
            std::make_unique<TextDocument_InlayHintResult_0>(std::move(inlayHintArray))
        };
        _type = TextDocument_InlayHintResultType::InlayHintArray;
        return *this;
    }

    auto TextDocument_InlayHintResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_InlayHintResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_InlayHintResult::null()"
                 " of type "
                 "TextDocument_InlayHintResultType::Null"
                 " while active type is "
                 "TextDocument_InlayHintResultType::" +
                 TextDocument_InlayHintResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_InlayHintResult::operator=(
        null_t null
    ) -> TextDocument_InlayHintResult &
    {
        if (_type != TextDocument_InlayHintResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_InlayHintResultType::Null;
        return *this;
    }

    const std::map<TextDocument_DiagnosticResultType, std::string>
    TextDocument_DiagnosticResultTypeNames = {
        {TextDocument_DiagnosticResultType::Uninitialized, "Uninitialized"},
        {TextDocument_DiagnosticResultType::DocumentDiagnosticReport,
         "DocumentDiagnosticReport"},
        {TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult,
         "DocumentDiagnosticReportPartialResult"},
    };

    TextDocument_DiagnosticResult::TextDocument_DiagnosticResult()
    {
        // empty
    }

    TextDocument_DiagnosticResult::~TextDocument_DiagnosticResult()
    {
        reset();
    }

    TextDocument_DiagnosticResult::TextDocument_DiagnosticResult(
        TextDocument_DiagnosticResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DiagnosticResultType::DocumentDiagnosticReport: {
            new (&_documentDiagnosticReport) std::unique_ptr<DocumentDiagnosticReport> {
                std::move(other._documentDiagnosticReport)
            };
            break;
        }
        case TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult: {
            new (&_documentDiagnosticReportPartialResult) std::unique_ptr<DocumentDiagnosticReportPartialResult> {
                std::move(other._documentDiagnosticReportPartialResult)
            };
            break;
        }
        case TextDocument_DiagnosticResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_DiagnosticResultType::Uninitialized;
    }

    TextDocument_DiagnosticResult::TextDocument_DiagnosticResult(
        const TextDocument_DiagnosticResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DiagnosticResultType::DocumentDiagnosticReport: {
            new (&_documentDiagnosticReport) std::unique_ptr<DocumentDiagnosticReport> {
                std::make_unique<DocumentDiagnosticReport>(*other._documentDiagnosticReport)
            };
            break;
        }
        case TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult: {
            new (&_documentDiagnosticReportPartialResult) std::unique_ptr<DocumentDiagnosticReportPartialResult> {
                std::make_unique<DocumentDiagnosticReportPartialResult>(*other._documentDiagnosticReportPartialResult)
            };
            break;
        }
        case TextDocument_DiagnosticResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_DiagnosticResult::operator=(
        TextDocument_DiagnosticResult &&other
    ) -> TextDocument_DiagnosticResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DiagnosticResultType::DocumentDiagnosticReport: {
                new (&_documentDiagnosticReport) std::unique_ptr<DocumentDiagnosticReport> {
                    std::move(other._documentDiagnosticReport)
                };
                break;
            }
            case TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult: {
                new (&_documentDiagnosticReportPartialResult) std::unique_ptr<DocumentDiagnosticReportPartialResult> {
                    std::move(other._documentDiagnosticReportPartialResult)
                };
                break;
            }
            case TextDocument_DiagnosticResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_DiagnosticResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_DiagnosticResult::operator=(
        const TextDocument_DiagnosticResult &other
    ) -> TextDocument_DiagnosticResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DiagnosticResultType::DocumentDiagnosticReport: {
                new (&_documentDiagnosticReport) std::unique_ptr<DocumentDiagnosticReport> {
                    std::make_unique<DocumentDiagnosticReport>(*other._documentDiagnosticReport)
                };
                break;
            }
            case TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult: {
                new (&_documentDiagnosticReportPartialResult) std::unique_ptr<DocumentDiagnosticReportPartialResult> {
                    std::make_unique<DocumentDiagnosticReportPartialResult>(*other._documentDiagnosticReportPartialResult)
                };
                break;
            }
            case TextDocument_DiagnosticResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_DiagnosticResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_DiagnosticResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_DiagnosticResultType::DocumentDiagnosticReport: {
#ifdef DEBUG
            if (!_documentDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentDiagnosticReport"
                );
            }
#endif // DEBUG
            _documentDiagnosticReport.~unique_ptr<DocumentDiagnosticReport>();
            _type = TextDocument_DiagnosticResultType::Uninitialized;
            break;
        }
        case TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult: {
#ifdef DEBUG
            if (!_documentDiagnosticReportPartialResult) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentDiagnosticReportPartialResult"
                );
            }
#endif // DEBUG
            _documentDiagnosticReportPartialResult.~unique_ptr<DocumentDiagnosticReportPartialResult>();
            _type = TextDocument_DiagnosticResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_DiagnosticResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_DiagnosticResult::type() const
    -> const TextDocument_DiagnosticResultType &
    {
        return _type;
    }

    auto TextDocument_DiagnosticResult::documentDiagnosticReport() const
    -> const DocumentDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != TextDocument_DiagnosticResultType::DocumentDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DiagnosticResult::documentDiagnosticReport()"
                 " of type "
                 "TextDocument_DiagnosticResultType::DocumentDiagnosticReport"
                 " while active type is "
                 "TextDocument_DiagnosticResultType::" +
                 TextDocument_DiagnosticResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentDiagnosticReport;
    }

    auto TextDocument_DiagnosticResult::operator=(
        const std::unique_ptr<DocumentDiagnosticReport> &documentDiagnosticReport
    ) -> TextDocument_DiagnosticResult &
    {
        if (_type != TextDocument_DiagnosticResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of documentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_documentDiagnosticReport) std::unique_ptr<DocumentDiagnosticReport> {
            std::make_unique<DocumentDiagnosticReport>(*documentDiagnosticReport)
        };
        _type = TextDocument_DiagnosticResultType::DocumentDiagnosticReport;
        return *this;
    }

    auto TextDocument_DiagnosticResult::operator=(
        std::unique_ptr<DocumentDiagnosticReport> &&documentDiagnosticReport
    ) -> TextDocument_DiagnosticResult &
    {
        if (_type != TextDocument_DiagnosticResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of documentDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_documentDiagnosticReport) std::unique_ptr<DocumentDiagnosticReport> {
            std::move(documentDiagnosticReport)
        };
        _type = TextDocument_DiagnosticResultType::DocumentDiagnosticReport;
        return *this;
    }

    auto TextDocument_DiagnosticResult::operator=(
        const DocumentDiagnosticReport &documentDiagnosticReport
    ) -> TextDocument_DiagnosticResult &
    {
        if (_type != TextDocument_DiagnosticResultType::Uninitialized) {
            reset();
        }
        new (&_documentDiagnosticReport) std::unique_ptr<DocumentDiagnosticReport> {
            std::make_unique<DocumentDiagnosticReport>(documentDiagnosticReport)
        };
        _type = TextDocument_DiagnosticResultType::DocumentDiagnosticReport;
        return *this;
    }

    auto TextDocument_DiagnosticResult::operator=(
        DocumentDiagnosticReport &&documentDiagnosticReport
    ) -> TextDocument_DiagnosticResult &
    {
        if (_type != TextDocument_DiagnosticResultType::Uninitialized) {
            reset();
        }
        new (&_documentDiagnosticReport) std::unique_ptr<DocumentDiagnosticReport> {
            std::make_unique<DocumentDiagnosticReport>(std::move(documentDiagnosticReport))
        };
        _type = TextDocument_DiagnosticResultType::DocumentDiagnosticReport;
        return *this;
    }

    auto TextDocument_DiagnosticResult::documentDiagnosticReportPartialResult() const
    -> const DocumentDiagnosticReportPartialResult &
    {
#ifdef DEBUG
        if (_type != TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DiagnosticResult::documentDiagnosticReportPartialResult()"
                 " of type "
                 "TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult"
                 " while active type is "
                 "TextDocument_DiagnosticResultType::" +
                 TextDocument_DiagnosticResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentDiagnosticReportPartialResult;
    }

    auto TextDocument_DiagnosticResult::operator=(
        const std::unique_ptr<DocumentDiagnosticReportPartialResult> &documentDiagnosticReportPartialResult
    ) -> TextDocument_DiagnosticResult &
    {
        if (_type != TextDocument_DiagnosticResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentDiagnosticReportPartialResult) {
            throw std::logic_error(
                "null passed as the value of documentDiagnosticReportPartialResult"
            );
        }
#endif // DEBUG
        new (&_documentDiagnosticReportPartialResult) std::unique_ptr<DocumentDiagnosticReportPartialResult> {
            std::make_unique<DocumentDiagnosticReportPartialResult>(*documentDiagnosticReportPartialResult)
        };
        _type =
            TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult;
        return *this;
    }

    auto TextDocument_DiagnosticResult::operator=(
        std::unique_ptr<DocumentDiagnosticReportPartialResult> &&documentDiagnosticReportPartialResult
    ) -> TextDocument_DiagnosticResult &
    {
        if (_type != TextDocument_DiagnosticResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentDiagnosticReportPartialResult) {
            throw std::logic_error(
                "null passed as the value of documentDiagnosticReportPartialResult"
            );
        }
#endif // DEBUG
        new (&_documentDiagnosticReportPartialResult) std::unique_ptr<DocumentDiagnosticReportPartialResult> {
            std::move(documentDiagnosticReportPartialResult)
        };
        _type =
            TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult;
        return *this;
    }

    auto TextDocument_DiagnosticResult::operator=(
        const DocumentDiagnosticReportPartialResult &documentDiagnosticReportPartialResult
    ) -> TextDocument_DiagnosticResult &
    {
        if (_type != TextDocument_DiagnosticResultType::Uninitialized) {
            reset();
        }
        new (&_documentDiagnosticReportPartialResult) std::unique_ptr<DocumentDiagnosticReportPartialResult> {
            std::make_unique<DocumentDiagnosticReportPartialResult>(documentDiagnosticReportPartialResult)
        };
        _type =
            TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult;
        return *this;
    }

    auto TextDocument_DiagnosticResult::operator=(
        DocumentDiagnosticReportPartialResult &&documentDiagnosticReportPartialResult
    ) -> TextDocument_DiagnosticResult &
    {
        if (_type != TextDocument_DiagnosticResultType::Uninitialized) {
            reset();
        }
        new (&_documentDiagnosticReportPartialResult) std::unique_ptr<DocumentDiagnosticReportPartialResult> {
            std::make_unique<DocumentDiagnosticReportPartialResult>(std::move(documentDiagnosticReportPartialResult))
        };
        _type =
            TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult;
        return *this;
    }

    const std::map<Workspace_DiagnosticResultType, std::string>
    Workspace_DiagnosticResultTypeNames = {
        {Workspace_DiagnosticResultType::Uninitialized, "Uninitialized"},
        {Workspace_DiagnosticResultType::WorkspaceDiagnosticReport,
         "WorkspaceDiagnosticReport"},
        {Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult,
         "WorkspaceDiagnosticReportPartialResult"},
    };

    Workspace_DiagnosticResult::Workspace_DiagnosticResult()
    {
        // empty
    }

    Workspace_DiagnosticResult::~Workspace_DiagnosticResult()
    {
        reset();
    }

    Workspace_DiagnosticResult::Workspace_DiagnosticResult(
        Workspace_DiagnosticResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_DiagnosticResultType::WorkspaceDiagnosticReport: {
            new (&_workspaceDiagnosticReport) std::unique_ptr<WorkspaceDiagnosticReport> {
                std::move(other._workspaceDiagnosticReport)
            };
            break;
        }
        case Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult: {
            new (&_workspaceDiagnosticReportPartialResult) std::unique_ptr<WorkspaceDiagnosticReportPartialResult> {
                std::move(other._workspaceDiagnosticReportPartialResult)
            };
            break;
        }
        case Workspace_DiagnosticResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Workspace_DiagnosticResultType::Uninitialized;
    }

    Workspace_DiagnosticResult::Workspace_DiagnosticResult(
        const Workspace_DiagnosticResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_DiagnosticResultType::WorkspaceDiagnosticReport: {
            new (&_workspaceDiagnosticReport) std::unique_ptr<WorkspaceDiagnosticReport> {
                std::make_unique<WorkspaceDiagnosticReport>(*other._workspaceDiagnosticReport)
            };
            break;
        }
        case Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult: {
            new (&_workspaceDiagnosticReportPartialResult) std::unique_ptr<WorkspaceDiagnosticReportPartialResult> {
                std::make_unique<WorkspaceDiagnosticReportPartialResult>(*other._workspaceDiagnosticReportPartialResult)
            };
            break;
        }
        case Workspace_DiagnosticResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Workspace_DiagnosticResult::operator=(
        Workspace_DiagnosticResult &&other
    ) -> Workspace_DiagnosticResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_DiagnosticResultType::WorkspaceDiagnosticReport: {
                new (&_workspaceDiagnosticReport) std::unique_ptr<WorkspaceDiagnosticReport> {
                    std::move(other._workspaceDiagnosticReport)
                };
                break;
            }
            case Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult: {
                new (&_workspaceDiagnosticReportPartialResult) std::unique_ptr<WorkspaceDiagnosticReportPartialResult> {
                    std::move(other._workspaceDiagnosticReportPartialResult)
                };
                break;
            }
            case Workspace_DiagnosticResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Workspace_DiagnosticResultType::Uninitialized;
        }
        return *this;
    }

    auto Workspace_DiagnosticResult::operator=(
        const Workspace_DiagnosticResult &other
    ) -> Workspace_DiagnosticResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_DiagnosticResultType::WorkspaceDiagnosticReport: {
                new (&_workspaceDiagnosticReport) std::unique_ptr<WorkspaceDiagnosticReport> {
                    std::make_unique<WorkspaceDiagnosticReport>(*other._workspaceDiagnosticReport)
                };
                break;
            }
            case Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult: {
                new (&_workspaceDiagnosticReportPartialResult) std::unique_ptr<WorkspaceDiagnosticReportPartialResult> {
                    std::make_unique<WorkspaceDiagnosticReportPartialResult>(*other._workspaceDiagnosticReportPartialResult)
                };
                break;
            }
            case Workspace_DiagnosticResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Workspace_DiagnosticResult::reset() -> void
    {
        switch (_type) {
        case Workspace_DiagnosticResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case Workspace_DiagnosticResultType::WorkspaceDiagnosticReport: {
#ifdef DEBUG
            if (!_workspaceDiagnosticReport) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceDiagnosticReport"
                );
            }
#endif // DEBUG
            _workspaceDiagnosticReport.~unique_ptr<WorkspaceDiagnosticReport>();
            _type = Workspace_DiagnosticResultType::Uninitialized;
            break;
        }
        case Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult: {
#ifdef DEBUG
            if (!_workspaceDiagnosticReportPartialResult) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceDiagnosticReportPartialResult"
                );
            }
#endif // DEBUG
            _workspaceDiagnosticReportPartialResult.~unique_ptr<WorkspaceDiagnosticReportPartialResult>();
            _type = Workspace_DiagnosticResultType::Uninitialized;
            break;
        }
        default: {
            _type = Workspace_DiagnosticResultType::Uninitialized;
        }
        }
    }

    auto Workspace_DiagnosticResult::type() const
    -> const Workspace_DiagnosticResultType &
    {
        return _type;
    }

    auto Workspace_DiagnosticResult::workspaceDiagnosticReport() const
    -> const WorkspaceDiagnosticReport &
    {
#ifdef DEBUG
        if (_type != Workspace_DiagnosticResultType::WorkspaceDiagnosticReport) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_DiagnosticResult::workspaceDiagnosticReport()"
                 " of type "
                 "Workspace_DiagnosticResultType::WorkspaceDiagnosticReport"
                 " while active type is "
                 "Workspace_DiagnosticResultType::" +
                 Workspace_DiagnosticResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceDiagnosticReport;
    }

    auto Workspace_DiagnosticResult::operator=(
        const std::unique_ptr<WorkspaceDiagnosticReport> &workspaceDiagnosticReport
    ) -> Workspace_DiagnosticResult &
    {
        if (_type != Workspace_DiagnosticResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of workspaceDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_workspaceDiagnosticReport) std::unique_ptr<WorkspaceDiagnosticReport> {
            std::make_unique<WorkspaceDiagnosticReport>(*workspaceDiagnosticReport)
        };
        _type = Workspace_DiagnosticResultType::WorkspaceDiagnosticReport;
        return *this;
    }

    auto Workspace_DiagnosticResult::operator=(
        std::unique_ptr<WorkspaceDiagnosticReport> &&workspaceDiagnosticReport
    ) -> Workspace_DiagnosticResult &
    {
        if (_type != Workspace_DiagnosticResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceDiagnosticReport) {
            throw std::logic_error(
                "null passed as the value of workspaceDiagnosticReport"
            );
        }
#endif // DEBUG
        new (&_workspaceDiagnosticReport) std::unique_ptr<WorkspaceDiagnosticReport> {
            std::move(workspaceDiagnosticReport)
        };
        _type = Workspace_DiagnosticResultType::WorkspaceDiagnosticReport;
        return *this;
    }

    auto Workspace_DiagnosticResult::operator=(
        const WorkspaceDiagnosticReport &workspaceDiagnosticReport
    ) -> Workspace_DiagnosticResult &
    {
        if (_type != Workspace_DiagnosticResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceDiagnosticReport) std::unique_ptr<WorkspaceDiagnosticReport> {
            std::make_unique<WorkspaceDiagnosticReport>(workspaceDiagnosticReport)
        };
        _type = Workspace_DiagnosticResultType::WorkspaceDiagnosticReport;
        return *this;
    }

    auto Workspace_DiagnosticResult::operator=(
        WorkspaceDiagnosticReport &&workspaceDiagnosticReport
    ) -> Workspace_DiagnosticResult &
    {
        if (_type != Workspace_DiagnosticResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceDiagnosticReport) std::unique_ptr<WorkspaceDiagnosticReport> {
            std::make_unique<WorkspaceDiagnosticReport>(std::move(workspaceDiagnosticReport))
        };
        _type = Workspace_DiagnosticResultType::WorkspaceDiagnosticReport;
        return *this;
    }

    auto Workspace_DiagnosticResult::workspaceDiagnosticReportPartialResult() const
    -> const WorkspaceDiagnosticReportPartialResult &
    {
#ifdef DEBUG
        if (_type != Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_DiagnosticResult::workspaceDiagnosticReportPartialResult()"
                 " of type "
                 "Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult"
                 " while active type is "
                 "Workspace_DiagnosticResultType::" +
                 Workspace_DiagnosticResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceDiagnosticReportPartialResult;
    }

    auto Workspace_DiagnosticResult::operator=(
        const std::unique_ptr<WorkspaceDiagnosticReportPartialResult> &workspaceDiagnosticReportPartialResult
    ) -> Workspace_DiagnosticResult &
    {
        if (_type != Workspace_DiagnosticResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceDiagnosticReportPartialResult) {
            throw std::logic_error(
                "null passed as the value of workspaceDiagnosticReportPartialResult"
            );
        }
#endif // DEBUG
        new (&_workspaceDiagnosticReportPartialResult) std::unique_ptr<WorkspaceDiagnosticReportPartialResult> {
            std::make_unique<WorkspaceDiagnosticReportPartialResult>(*workspaceDiagnosticReportPartialResult)
        };
        _type =
            Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult;
        return *this;
    }

    auto Workspace_DiagnosticResult::operator=(
        std::unique_ptr<WorkspaceDiagnosticReportPartialResult> &&workspaceDiagnosticReportPartialResult
    ) -> Workspace_DiagnosticResult &
    {
        if (_type != Workspace_DiagnosticResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceDiagnosticReportPartialResult) {
            throw std::logic_error(
                "null passed as the value of workspaceDiagnosticReportPartialResult"
            );
        }
#endif // DEBUG
        new (&_workspaceDiagnosticReportPartialResult) std::unique_ptr<WorkspaceDiagnosticReportPartialResult> {
            std::move(workspaceDiagnosticReportPartialResult)
        };
        _type =
            Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult;
        return *this;
    }

    auto Workspace_DiagnosticResult::operator=(
        const WorkspaceDiagnosticReportPartialResult &workspaceDiagnosticReportPartialResult
    ) -> Workspace_DiagnosticResult &
    {
        if (_type != Workspace_DiagnosticResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceDiagnosticReportPartialResult) std::unique_ptr<WorkspaceDiagnosticReportPartialResult> {
            std::make_unique<WorkspaceDiagnosticReportPartialResult>(workspaceDiagnosticReportPartialResult)
        };
        _type =
            Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult;
        return *this;
    }

    auto Workspace_DiagnosticResult::operator=(
        WorkspaceDiagnosticReportPartialResult &&workspaceDiagnosticReportPartialResult
    ) -> Workspace_DiagnosticResult &
    {
        if (_type != Workspace_DiagnosticResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceDiagnosticReportPartialResult) std::unique_ptr<WorkspaceDiagnosticReportPartialResult> {
            std::make_unique<WorkspaceDiagnosticReportPartialResult>(std::move(workspaceDiagnosticReportPartialResult))
        };
        _type =
            Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult;
        return *this;
    }

    const std::map<TextDocument_InlineCompletionResultType, std::string>
    TextDocument_InlineCompletionResultTypeNames = {
        {TextDocument_InlineCompletionResultType::Uninitialized,
         "Uninitialized"},
        {TextDocument_InlineCompletionResultType::InlineCompletionList,
         "InlineCompletionList"},
        {TextDocument_InlineCompletionResultType::InlineCompletionItemArray,
         "InlineCompletionItemArray"},
        {TextDocument_InlineCompletionResultType::Null, "Null"},
    };

    TextDocument_InlineCompletionResult::TextDocument_InlineCompletionResult()
    {
        // empty
    }

    TextDocument_InlineCompletionResult::~TextDocument_InlineCompletionResult()
    {
        reset();
    }

    TextDocument_InlineCompletionResult::TextDocument_InlineCompletionResult(
        TextDocument_InlineCompletionResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_InlineCompletionResultType::InlineCompletionList: {
            new (&_inlineCompletionList) std::unique_ptr<InlineCompletionList> {
                std::move(other._inlineCompletionList)
            };
            break;
        }
        case TextDocument_InlineCompletionResultType::InlineCompletionItemArray: {
            new (&_inlineCompletionItemArray) std::unique_ptr<TextDocument_InlineCompletionResult_1> {
                std::move(other._inlineCompletionItemArray)
            };
            break;
        }
        case TextDocument_InlineCompletionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_InlineCompletionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_InlineCompletionResultType::Uninitialized;
    }

    TextDocument_InlineCompletionResult::TextDocument_InlineCompletionResult(
        const TextDocument_InlineCompletionResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_InlineCompletionResultType::InlineCompletionList: {
            new (&_inlineCompletionList) std::unique_ptr<InlineCompletionList> {
                std::make_unique<InlineCompletionList>(*other._inlineCompletionList)
            };
            break;
        }
        case TextDocument_InlineCompletionResultType::InlineCompletionItemArray: {
            new (&_inlineCompletionItemArray) std::unique_ptr<std::vector<InlineCompletionItem>> {
                std::make_unique<std::vector<InlineCompletionItem>>()
            };
            _inlineCompletionItemArray->reserve(
                other._inlineCompletionItemArray->size()
            );
            for (const auto &elem_0 : *other._inlineCompletionItemArray) {
                _inlineCompletionItemArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_InlineCompletionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_InlineCompletionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_InlineCompletionResult::operator=(
        TextDocument_InlineCompletionResult &&other
    ) -> TextDocument_InlineCompletionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_InlineCompletionResultType::InlineCompletionList: {
                new (&_inlineCompletionList) std::unique_ptr<InlineCompletionList> {
                    std::move(other._inlineCompletionList)
                };
                break;
            }
            case TextDocument_InlineCompletionResultType::InlineCompletionItemArray: {
                new (&_inlineCompletionItemArray) std::unique_ptr<TextDocument_InlineCompletionResult_1> {
                    std::move(other._inlineCompletionItemArray)
                };
                break;
            }
            case TextDocument_InlineCompletionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_InlineCompletionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_InlineCompletionResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        const TextDocument_InlineCompletionResult &other
    ) -> TextDocument_InlineCompletionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_InlineCompletionResultType::InlineCompletionList: {
                new (&_inlineCompletionList) std::unique_ptr<InlineCompletionList> {
                    std::make_unique<InlineCompletionList>(*other._inlineCompletionList)
                };
                break;
            }
            case TextDocument_InlineCompletionResultType::InlineCompletionItemArray: {
                new (&_inlineCompletionItemArray) std::unique_ptr<std::vector<InlineCompletionItem>> {
                    std::make_unique<std::vector<InlineCompletionItem>>()
                };
                _inlineCompletionItemArray->reserve(
                    other._inlineCompletionItemArray->size()
                );
                for (const auto &elem_0 : *other._inlineCompletionItemArray) {
                    _inlineCompletionItemArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_InlineCompletionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_InlineCompletionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_InlineCompletionResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_InlineCompletionResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_InlineCompletionResultType::InlineCompletionList: {
#ifdef DEBUG
            if (!_inlineCompletionList) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlineCompletionList"
                );
            }
#endif // DEBUG
            _inlineCompletionList.~unique_ptr<InlineCompletionList>();
            _type = TextDocument_InlineCompletionResultType::Uninitialized;
            break;
        }
        case TextDocument_InlineCompletionResultType::InlineCompletionItemArray: {
#ifdef DEBUG
            if (!_inlineCompletionItemArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _inlineCompletionItemArray"
                );
            }
#endif // DEBUG
            _inlineCompletionItemArray.~unique_ptr<std::vector<InlineCompletionItem>>();
            _type = TextDocument_InlineCompletionResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_InlineCompletionResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_InlineCompletionResult::type() const
    -> const TextDocument_InlineCompletionResultType &
    {
        return _type;
    }

    auto TextDocument_InlineCompletionResult::inlineCompletionList() const
    -> const InlineCompletionList &
    {
#ifdef DEBUG
        if (_type != TextDocument_InlineCompletionResultType::InlineCompletionList) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_InlineCompletionResult::inlineCompletionList()"
                 " of type "
                 "TextDocument_InlineCompletionResultType::InlineCompletionList"
                 " while active type is "
                 "TextDocument_InlineCompletionResultType::" +
                 TextDocument_InlineCompletionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlineCompletionList;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        const std::unique_ptr<InlineCompletionList> &inlineCompletionList
    ) -> TextDocument_InlineCompletionResult &
    {
        if (_type != TextDocument_InlineCompletionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineCompletionList) {
            throw std::logic_error(
                "null passed as the value of inlineCompletionList"
            );
        }
#endif // DEBUG
        new (&_inlineCompletionList) std::unique_ptr<InlineCompletionList> {
            std::make_unique<InlineCompletionList>(*inlineCompletionList)
        };
        _type = TextDocument_InlineCompletionResultType::InlineCompletionList;
        return *this;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        std::unique_ptr<InlineCompletionList> &&inlineCompletionList
    ) -> TextDocument_InlineCompletionResult &
    {
        if (_type != TextDocument_InlineCompletionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineCompletionList) {
            throw std::logic_error(
                "null passed as the value of inlineCompletionList"
            );
        }
#endif // DEBUG
        new (&_inlineCompletionList) std::unique_ptr<InlineCompletionList> {
            std::move(inlineCompletionList)
        };
        _type = TextDocument_InlineCompletionResultType::InlineCompletionList;
        return *this;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        const InlineCompletionList &inlineCompletionList
    ) -> TextDocument_InlineCompletionResult &
    {
        if (_type != TextDocument_InlineCompletionResultType::Uninitialized) {
            reset();
        }
        new (&_inlineCompletionList) std::unique_ptr<InlineCompletionList> {
            std::make_unique<InlineCompletionList>(inlineCompletionList)
        };
        _type = TextDocument_InlineCompletionResultType::InlineCompletionList;
        return *this;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        InlineCompletionList &&inlineCompletionList
    ) -> TextDocument_InlineCompletionResult &
    {
        if (_type != TextDocument_InlineCompletionResultType::Uninitialized) {
            reset();
        }
        new (&_inlineCompletionList) std::unique_ptr<InlineCompletionList> {
            std::make_unique<InlineCompletionList>(std::move(inlineCompletionList))
        };
        _type = TextDocument_InlineCompletionResultType::InlineCompletionList;
        return *this;
    }

    auto TextDocument_InlineCompletionResult::inlineCompletionItemArray() const
    -> const std::vector<InlineCompletionItem> &
    {
#ifdef DEBUG
        if (_type != TextDocument_InlineCompletionResultType::InlineCompletionItemArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_InlineCompletionResult::inlineCompletionItemArray()"
                 " of type "
                 "TextDocument_InlineCompletionResultType::InlineCompletionItemArray"
                 " while active type is "
                 "TextDocument_InlineCompletionResultType::" +
                 TextDocument_InlineCompletionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_inlineCompletionItemArray;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        const std::unique_ptr<std::vector<InlineCompletionItem>> &inlineCompletionItemArray
    ) -> TextDocument_InlineCompletionResult &
    {
        if (_type != TextDocument_InlineCompletionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineCompletionItemArray) {
            throw std::logic_error(
                "null passed as the value of inlineCompletionItemArray"
            );
        }
#endif // DEBUG
        new (&_inlineCompletionItemArray) std::unique_ptr<std::vector<InlineCompletionItem>> {
            std::make_unique<std::vector<InlineCompletionItem>>()
        };
        _inlineCompletionItemArray->reserve(inlineCompletionItemArray->size());
        for (const auto &elem_0 : *inlineCompletionItemArray) {
            _inlineCompletionItemArray->push_back(elem_0);
        }
        _type =
            TextDocument_InlineCompletionResultType::InlineCompletionItemArray;
        return *this;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        std::unique_ptr<std::vector<InlineCompletionItem>> &&inlineCompletionItemArray
    ) -> TextDocument_InlineCompletionResult &
    {
        if (_type != TextDocument_InlineCompletionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!inlineCompletionItemArray) {
            throw std::logic_error(
                "null passed as the value of inlineCompletionItemArray"
            );
        }
#endif // DEBUG
        new (&_inlineCompletionItemArray) std::unique_ptr<TextDocument_InlineCompletionResult_1> {
            std::move(inlineCompletionItemArray)
        };
        _type =
            TextDocument_InlineCompletionResultType::InlineCompletionItemArray;
        return *this;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        const std::vector<InlineCompletionItem> &inlineCompletionItemArray
    ) -> TextDocument_InlineCompletionResult &
    {
        if (_type != TextDocument_InlineCompletionResultType::Uninitialized) {
            reset();
        }
        new (&_inlineCompletionItemArray) std::unique_ptr<std::vector<InlineCompletionItem>> {
            std::make_unique<std::vector<InlineCompletionItem>>()
        };
        _inlineCompletionItemArray->reserve(inlineCompletionItemArray.size());
        for (const auto &elem_0 : inlineCompletionItemArray) {
            _inlineCompletionItemArray->push_back(elem_0);
        }
        _type =
            TextDocument_InlineCompletionResultType::InlineCompletionItemArray;
        return *this;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        std::vector<InlineCompletionItem> &&inlineCompletionItemArray
    ) -> TextDocument_InlineCompletionResult &
    {
        if (_type != TextDocument_InlineCompletionResultType::Uninitialized) {
            reset();
        }
        new (&_inlineCompletionItemArray) std::unique_ptr<TextDocument_InlineCompletionResult_1> {
            std::make_unique<TextDocument_InlineCompletionResult_1>(std::move(inlineCompletionItemArray))
        };
        _type =
            TextDocument_InlineCompletionResultType::InlineCompletionItemArray;
        return *this;
    }

    auto TextDocument_InlineCompletionResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_InlineCompletionResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_InlineCompletionResult::null()"
                 " of type "
                 "TextDocument_InlineCompletionResultType::Null"
                 " while active type is "
                 "TextDocument_InlineCompletionResultType::" +
                 TextDocument_InlineCompletionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_InlineCompletionResult::operator=(
        null_t null
    ) -> TextDocument_InlineCompletionResult &
    {
        if (_type != TextDocument_InlineCompletionResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_InlineCompletionResultType::Null;
        return *this;
    }

    const std::map<TextDocument_CompletionResultType, std::string>
    TextDocument_CompletionResultTypeNames = {
        {TextDocument_CompletionResultType::Uninitialized, "Uninitialized"},
        {TextDocument_CompletionResultType::CompletionItemArray,
         "CompletionItemArray"},
        {TextDocument_CompletionResultType::CompletionList, "CompletionList"},
        {TextDocument_CompletionResultType::Null, "Null"},
    };

    TextDocument_CompletionResult::TextDocument_CompletionResult()
    {
        // empty
    }

    TextDocument_CompletionResult::~TextDocument_CompletionResult()
    {
        reset();
    }

    TextDocument_CompletionResult::TextDocument_CompletionResult(
        TextDocument_CompletionResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_CompletionResultType::CompletionItemArray: {
            new (&_completionItemArray) std::unique_ptr<TextDocument_CompletionResult_0> {
                std::move(other._completionItemArray)
            };
            break;
        }
        case TextDocument_CompletionResultType::CompletionList: {
            new (&_completionList) std::unique_ptr<CompletionList> {
                std::move(other._completionList)
            };
            break;
        }
        case TextDocument_CompletionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_CompletionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_CompletionResultType::Uninitialized;
    }

    TextDocument_CompletionResult::TextDocument_CompletionResult(
        const TextDocument_CompletionResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_CompletionResultType::CompletionItemArray: {
            new (&_completionItemArray) std::unique_ptr<std::vector<CompletionItem>> {
                std::make_unique<std::vector<CompletionItem>>()
            };
            _completionItemArray->reserve(other._completionItemArray->size());
            for (const auto &elem_0 : *other._completionItemArray) {
                _completionItemArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_CompletionResultType::CompletionList: {
            new (&_completionList) std::unique_ptr<CompletionList> {
                std::make_unique<CompletionList>(*other._completionList)
            };
            break;
        }
        case TextDocument_CompletionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_CompletionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_CompletionResult::operator=(
        TextDocument_CompletionResult &&other
    ) -> TextDocument_CompletionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_CompletionResultType::CompletionItemArray: {
                new (&_completionItemArray) std::unique_ptr<TextDocument_CompletionResult_0> {
                    std::move(other._completionItemArray)
                };
                break;
            }
            case TextDocument_CompletionResultType::CompletionList: {
                new (&_completionList) std::unique_ptr<CompletionList> {
                    std::move(other._completionList)
                };
                break;
            }
            case TextDocument_CompletionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_CompletionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_CompletionResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_CompletionResult::operator=(
        const TextDocument_CompletionResult &other
    ) -> TextDocument_CompletionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_CompletionResultType::CompletionItemArray: {
                new (&_completionItemArray) std::unique_ptr<std::vector<CompletionItem>> {
                    std::make_unique<std::vector<CompletionItem>>()
                };
                _completionItemArray->reserve(
                    other._completionItemArray->size()
                );
                for (const auto &elem_0 : *other._completionItemArray) {
                    _completionItemArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_CompletionResultType::CompletionList: {
                new (&_completionList) std::unique_ptr<CompletionList> {
                    std::make_unique<CompletionList>(*other._completionList)
                };
                break;
            }
            case TextDocument_CompletionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_CompletionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_CompletionResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_CompletionResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_CompletionResultType::CompletionItemArray: {
#ifdef DEBUG
            if (!_completionItemArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _completionItemArray"
                );
            }
#endif // DEBUG
            _completionItemArray.~unique_ptr<std::vector<CompletionItem>>();
            _type = TextDocument_CompletionResultType::Uninitialized;
            break;
        }
        case TextDocument_CompletionResultType::CompletionList: {
#ifdef DEBUG
            if (!_completionList) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _completionList"
                );
            }
#endif // DEBUG
            _completionList.~unique_ptr<CompletionList>();
            _type = TextDocument_CompletionResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_CompletionResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_CompletionResult::type() const
    -> const TextDocument_CompletionResultType &
    {
        return _type;
    }

    auto TextDocument_CompletionResult::completionItemArray() const
    -> const std::vector<CompletionItem> &
    {
#ifdef DEBUG
        if (_type != TextDocument_CompletionResultType::CompletionItemArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_CompletionResult::completionItemArray()"
                 " of type "
                 "TextDocument_CompletionResultType::CompletionItemArray"
                 " while active type is "
                 "TextDocument_CompletionResultType::" +
                 TextDocument_CompletionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_completionItemArray;
    }

    auto TextDocument_CompletionResult::operator=(
        const std::unique_ptr<std::vector<CompletionItem>> &completionItemArray
    ) -> TextDocument_CompletionResult &
    {
        if (_type != TextDocument_CompletionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!completionItemArray) {
            throw std::logic_error(
                "null passed as the value of completionItemArray"
            );
        }
#endif // DEBUG
        new (&_completionItemArray) std::unique_ptr<std::vector<CompletionItem>> {
            std::make_unique<std::vector<CompletionItem>>()
        };
        _completionItemArray->reserve(completionItemArray->size());
        for (const auto &elem_0 : *completionItemArray) {
            _completionItemArray->push_back(elem_0);
        }
        _type = TextDocument_CompletionResultType::CompletionItemArray;
        return *this;
    }

    auto TextDocument_CompletionResult::operator=(
        std::unique_ptr<std::vector<CompletionItem>> &&completionItemArray
    ) -> TextDocument_CompletionResult &
    {
        if (_type != TextDocument_CompletionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!completionItemArray) {
            throw std::logic_error(
                "null passed as the value of completionItemArray"
            );
        }
#endif // DEBUG
        new (&_completionItemArray) std::unique_ptr<TextDocument_CompletionResult_0> {
            std::move(completionItemArray)
        };
        _type = TextDocument_CompletionResultType::CompletionItemArray;
        return *this;
    }

    auto TextDocument_CompletionResult::operator=(
        const std::vector<CompletionItem> &completionItemArray
    ) -> TextDocument_CompletionResult &
    {
        if (_type != TextDocument_CompletionResultType::Uninitialized) {
            reset();
        }
        new (&_completionItemArray) std::unique_ptr<std::vector<CompletionItem>> {
            std::make_unique<std::vector<CompletionItem>>()
        };
        _completionItemArray->reserve(completionItemArray.size());
        for (const auto &elem_0 : completionItemArray) {
            _completionItemArray->push_back(elem_0);
        }
        _type = TextDocument_CompletionResultType::CompletionItemArray;
        return *this;
    }

    auto TextDocument_CompletionResult::operator=(
        std::vector<CompletionItem> &&completionItemArray
    ) -> TextDocument_CompletionResult &
    {
        if (_type != TextDocument_CompletionResultType::Uninitialized) {
            reset();
        }
        new (&_completionItemArray) std::unique_ptr<TextDocument_CompletionResult_0> {
            std::make_unique<TextDocument_CompletionResult_0>(std::move(completionItemArray))
        };
        _type = TextDocument_CompletionResultType::CompletionItemArray;
        return *this;
    }

    auto TextDocument_CompletionResult::completionList() const
    -> const CompletionList &
    {
#ifdef DEBUG
        if (_type != TextDocument_CompletionResultType::CompletionList) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_CompletionResult::completionList()"
                 " of type "
                 "TextDocument_CompletionResultType::CompletionList"
                 " while active type is "
                 "TextDocument_CompletionResultType::" +
                 TextDocument_CompletionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_completionList;
    }

    auto TextDocument_CompletionResult::operator=(
        const std::unique_ptr<CompletionList> &completionList
    ) -> TextDocument_CompletionResult &
    {
        if (_type != TextDocument_CompletionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!completionList) {
            throw std::logic_error(
                "null passed as the value of completionList"
            );
        }
#endif // DEBUG
        new (&_completionList) std::unique_ptr<CompletionList> {
            std::make_unique<CompletionList>(*completionList)
        };
        _type = TextDocument_CompletionResultType::CompletionList;
        return *this;
    }

    auto TextDocument_CompletionResult::operator=(
        std::unique_ptr<CompletionList> &&completionList
    ) -> TextDocument_CompletionResult &
    {
        if (_type != TextDocument_CompletionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!completionList) {
            throw std::logic_error(
                "null passed as the value of completionList"
            );
        }
#endif // DEBUG
        new (&_completionList) std::unique_ptr<CompletionList> {
            std::move(completionList)
        };
        _type = TextDocument_CompletionResultType::CompletionList;
        return *this;
    }

    auto TextDocument_CompletionResult::operator=(
        const CompletionList &completionList
    ) -> TextDocument_CompletionResult &
    {
        if (_type != TextDocument_CompletionResultType::Uninitialized) {
            reset();
        }
        new (&_completionList) std::unique_ptr<CompletionList> {
            std::make_unique<CompletionList>(completionList)
        };
        _type = TextDocument_CompletionResultType::CompletionList;
        return *this;
    }

    auto TextDocument_CompletionResult::operator=(
        CompletionList &&completionList
    ) -> TextDocument_CompletionResult &
    {
        if (_type != TextDocument_CompletionResultType::Uninitialized) {
            reset();
        }
        new (&_completionList) std::unique_ptr<CompletionList> {
            std::make_unique<CompletionList>(std::move(completionList))
        };
        _type = TextDocument_CompletionResultType::CompletionList;
        return *this;
    }

    auto TextDocument_CompletionResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_CompletionResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_CompletionResult::null()"
                 " of type "
                 "TextDocument_CompletionResultType::Null"
                 " while active type is "
                 "TextDocument_CompletionResultType::" +
                 TextDocument_CompletionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_CompletionResult::operator=(
        null_t null
    ) -> TextDocument_CompletionResult &
    {
        if (_type != TextDocument_CompletionResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_CompletionResultType::Null;
        return *this;
    }

    const std::map<TextDocument_CodeActionResult_0_elemType, std::string>
    TextDocument_CodeActionResult_0_elemTypeNames = {
        {TextDocument_CodeActionResult_0_elemType::Uninitialized,
         "Uninitialized"},
        {TextDocument_CodeActionResult_0_elemType::Command, "Command"},
        {TextDocument_CodeActionResult_0_elemType::CodeAction, "CodeAction"},
    };

    TextDocument_CodeActionResult_0_elem::TextDocument_CodeActionResult_0_elem()
    {
        // empty
    }

    TextDocument_CodeActionResult_0_elem::~TextDocument_CodeActionResult_0_elem()
    {
        reset();
    }

    TextDocument_CodeActionResult_0_elem::TextDocument_CodeActionResult_0_elem(
        TextDocument_CodeActionResult_0_elem &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_CodeActionResult_0_elemType::Command: {
            new (&_command) std::unique_ptr<Command> {
                std::move(other._command)
            };
            break;
        }
        case TextDocument_CodeActionResult_0_elemType::CodeAction: {
            new (&_codeAction) std::unique_ptr<CodeAction> {
                std::move(other._codeAction)
            };
            break;
        }
        case TextDocument_CodeActionResult_0_elemType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_CodeActionResult_0_elemType::Uninitialized;
    }

    TextDocument_CodeActionResult_0_elem::TextDocument_CodeActionResult_0_elem(
        const TextDocument_CodeActionResult_0_elem &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_CodeActionResult_0_elemType::Command: {
            new (&_command) std::unique_ptr<Command> {
                std::make_unique<Command>(*other._command)
            };
            break;
        }
        case TextDocument_CodeActionResult_0_elemType::CodeAction: {
            new (&_codeAction) std::unique_ptr<CodeAction> {
                std::make_unique<CodeAction>(*other._codeAction)
            };
            break;
        }
        case TextDocument_CodeActionResult_0_elemType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        TextDocument_CodeActionResult_0_elem &&other
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_CodeActionResult_0_elemType::Command: {
                new (&_command) std::unique_ptr<Command> {
                    std::move(other._command)
                };
                break;
            }
            case TextDocument_CodeActionResult_0_elemType::CodeAction: {
                new (&_codeAction) std::unique_ptr<CodeAction> {
                    std::move(other._codeAction)
                };
                break;
            }
            case TextDocument_CodeActionResult_0_elemType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type =
                TextDocument_CodeActionResult_0_elemType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        const TextDocument_CodeActionResult_0_elem &other
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_CodeActionResult_0_elemType::Command: {
                new (&_command) std::unique_ptr<Command> {
                    std::make_unique<Command>(*other._command)
                };
                break;
            }
            case TextDocument_CodeActionResult_0_elemType::CodeAction: {
                new (&_codeAction) std::unique_ptr<CodeAction> {
                    std::make_unique<CodeAction>(*other._codeAction)
                };
                break;
            }
            case TextDocument_CodeActionResult_0_elemType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_CodeActionResult_0_elem::reset() -> void
    {
        switch (_type) {
        case TextDocument_CodeActionResult_0_elemType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_CodeActionResult_0_elemType::Command: {
#ifdef DEBUG
            if (!_command) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _command"
                );
            }
#endif // DEBUG
            _command.~unique_ptr<Command>();
            _type = TextDocument_CodeActionResult_0_elemType::Uninitialized;
            break;
        }
        case TextDocument_CodeActionResult_0_elemType::CodeAction: {
#ifdef DEBUG
            if (!_codeAction) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _codeAction"
                );
            }
#endif // DEBUG
            _codeAction.~unique_ptr<CodeAction>();
            _type = TextDocument_CodeActionResult_0_elemType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_CodeActionResult_0_elemType::Uninitialized;
        }
        }
    }

    auto TextDocument_CodeActionResult_0_elem::type() const
    -> const TextDocument_CodeActionResult_0_elemType &
    {
        return _type;
    }

    auto TextDocument_CodeActionResult_0_elem::command() const
    -> const Command &
    {
#ifdef DEBUG
        if (_type != TextDocument_CodeActionResult_0_elemType::Command) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_CodeActionResult_0_elem::command()"
                 " of type "
                 "TextDocument_CodeActionResult_0_elemType::Command"
                 " while active type is "
                 "TextDocument_CodeActionResult_0_elemType::" +
                 TextDocument_CodeActionResult_0_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_command;
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        const std::unique_ptr<Command> &command
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (_type != TextDocument_CodeActionResult_0_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!command) {
            throw std::logic_error("null passed as the value of command");
        }
#endif // DEBUG
        new (&_command) std::unique_ptr<Command> {
            std::make_unique<Command>(*command)
        };
        _type = TextDocument_CodeActionResult_0_elemType::Command;
        return *this;
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        std::unique_ptr<Command> &&command
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (_type != TextDocument_CodeActionResult_0_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!command) {
            throw std::logic_error("null passed as the value of command");
        }
#endif // DEBUG
        new (&_command) std::unique_ptr<Command> {
            std::move(command)
        };
        _type = TextDocument_CodeActionResult_0_elemType::Command;
        return *this;
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        const Command &command
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (_type != TextDocument_CodeActionResult_0_elemType::Uninitialized) {
            reset();
        }
        new (&_command) std::unique_ptr<Command> {
            std::make_unique<Command>(command)
        };
        _type = TextDocument_CodeActionResult_0_elemType::Command;
        return *this;
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        Command &&command
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (_type != TextDocument_CodeActionResult_0_elemType::Uninitialized) {
            reset();
        }
        new (&_command) std::unique_ptr<Command> {
            std::make_unique<Command>(std::move(command))
        };
        _type = TextDocument_CodeActionResult_0_elemType::Command;
        return *this;
    }

    auto TextDocument_CodeActionResult_0_elem::codeAction() const
    -> const CodeAction &
    {
#ifdef DEBUG
        if (_type != TextDocument_CodeActionResult_0_elemType::CodeAction) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_CodeActionResult_0_elem::codeAction()"
                 " of type "
                 "TextDocument_CodeActionResult_0_elemType::CodeAction"
                 " while active type is "
                 "TextDocument_CodeActionResult_0_elemType::" +
                 TextDocument_CodeActionResult_0_elemTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_codeAction;
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        const std::unique_ptr<CodeAction> &codeAction
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (_type != TextDocument_CodeActionResult_0_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!codeAction) {
            throw std::logic_error("null passed as the value of codeAction");
        }
#endif // DEBUG
        new (&_codeAction) std::unique_ptr<CodeAction> {
            std::make_unique<CodeAction>(*codeAction)
        };
        _type = TextDocument_CodeActionResult_0_elemType::CodeAction;
        return *this;
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        std::unique_ptr<CodeAction> &&codeAction
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (_type != TextDocument_CodeActionResult_0_elemType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!codeAction) {
            throw std::logic_error("null passed as the value of codeAction");
        }
#endif // DEBUG
        new (&_codeAction) std::unique_ptr<CodeAction> {
            std::move(codeAction)
        };
        _type = TextDocument_CodeActionResult_0_elemType::CodeAction;
        return *this;
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        const CodeAction &codeAction
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (_type != TextDocument_CodeActionResult_0_elemType::Uninitialized) {
            reset();
        }
        new (&_codeAction) std::unique_ptr<CodeAction> {
            std::make_unique<CodeAction>(codeAction)
        };
        _type = TextDocument_CodeActionResult_0_elemType::CodeAction;
        return *this;
    }

    auto TextDocument_CodeActionResult_0_elem::operator=(
        CodeAction &&codeAction
    ) -> TextDocument_CodeActionResult_0_elem &
    {
        if (_type != TextDocument_CodeActionResult_0_elemType::Uninitialized) {
            reset();
        }
        new (&_codeAction) std::unique_ptr<CodeAction> {
            std::make_unique<CodeAction>(std::move(codeAction))
        };
        _type = TextDocument_CodeActionResult_0_elemType::CodeAction;
        return *this;
    }

    const std::map<TextDocument_CodeActionResultType, std::string>
    TextDocument_CodeActionResultTypeNames = {
        {TextDocument_CodeActionResultType::Uninitialized, "Uninitialized"},
        {TextDocument_CodeActionResultType::CommandOrCodeActionArray,
         "CommandOrCodeActionArray"},
        {TextDocument_CodeActionResultType::Null, "Null"},
    };

    TextDocument_CodeActionResult::TextDocument_CodeActionResult()
    {
        // empty
    }

    TextDocument_CodeActionResult::~TextDocument_CodeActionResult()
    {
        reset();
    }

    TextDocument_CodeActionResult::TextDocument_CodeActionResult(
        TextDocument_CodeActionResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_CodeActionResultType::CommandOrCodeActionArray: {
            new (&_textDocument_CodeActionResult_0) std::unique_ptr<TextDocument_CodeActionResult_0> {
                std::move(other._textDocument_CodeActionResult_0)
            };
            break;
        }
        case TextDocument_CodeActionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_CodeActionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_CodeActionResultType::Uninitialized;
    }

    TextDocument_CodeActionResult::TextDocument_CodeActionResult(
        const TextDocument_CodeActionResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_CodeActionResultType::CommandOrCodeActionArray: {
            _textDocument_CodeActionResult_0 =
                std::make_unique<std::vector<TextDocument_CodeActionResult_0_elem>>(*other._textDocument_CodeActionResult_0);
            break;
        }
        case TextDocument_CodeActionResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_CodeActionResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_CodeActionResult::operator=(
        TextDocument_CodeActionResult &&other
    ) -> TextDocument_CodeActionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_CodeActionResultType::CommandOrCodeActionArray: {
                new (&_textDocument_CodeActionResult_0) std::unique_ptr<TextDocument_CodeActionResult_0> {
                    std::move(other._textDocument_CodeActionResult_0)
                };
                break;
            }
            case TextDocument_CodeActionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_CodeActionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_CodeActionResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_CodeActionResult::operator=(
        const TextDocument_CodeActionResult &other
    ) -> TextDocument_CodeActionResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_CodeActionResultType::CommandOrCodeActionArray: {
                _textDocument_CodeActionResult_0 =
                    std::make_unique<std::vector<TextDocument_CodeActionResult_0_elem>>(*other._textDocument_CodeActionResult_0);
                break;
            }
            case TextDocument_CodeActionResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_CodeActionResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_CodeActionResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_CodeActionResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_CodeActionResultType::CommandOrCodeActionArray: {
#ifdef DEBUG
            if (!_textDocument_CodeActionResult_0) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _textDocument_CodeActionResult_0"
                );
            }
#endif // DEBUG
            _textDocument_CodeActionResult_0.~unique_ptr<std::vector<TextDocument_CodeActionResult_0_elem>>();
            _type = TextDocument_CodeActionResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_CodeActionResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_CodeActionResult::type() const
    -> const TextDocument_CodeActionResultType &
    {
        return _type;
    }

    auto TextDocument_CodeActionResult::textDocument_CodeActionResult_0() const
    -> const std::vector<TextDocument_CodeActionResult_0_elem> &
    {
#ifdef DEBUG
        if (_type != TextDocument_CodeActionResultType::CommandOrCodeActionArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_CodeActionResult::textDocument_CodeActionResult_0()"
                 " of type "
                 "TextDocument_CodeActionResultType::CommandOrCodeActionArray"
                 " while active type is "
                 "TextDocument_CodeActionResultType::" +
                 TextDocument_CodeActionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_textDocument_CodeActionResult_0;
    }

    auto TextDocument_CodeActionResult::operator=(
        const std::unique_ptr<std::vector<TextDocument_CodeActionResult_0_elem>> &textDocument_CodeActionResult_0
    ) -> TextDocument_CodeActionResult &
    {
        if (_type != TextDocument_CodeActionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocument_CodeActionResult_0) {
            throw std::logic_error(
                "null passed as the value of textDocument_CodeActionResult_0"
            );
        }
#endif // DEBUG
        _textDocument_CodeActionResult_0 =
            std::make_unique<std::vector<TextDocument_CodeActionResult_0_elem>>(*textDocument_CodeActionResult_0);
        _type = TextDocument_CodeActionResultType::CommandOrCodeActionArray;
        return *this;
    }

    auto TextDocument_CodeActionResult::operator=(
        std::unique_ptr<std::vector<TextDocument_CodeActionResult_0_elem>> &&textDocument_CodeActionResult_0
    ) -> TextDocument_CodeActionResult &
    {
        if (_type != TextDocument_CodeActionResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!textDocument_CodeActionResult_0) {
            throw std::logic_error(
                "null passed as the value of textDocument_CodeActionResult_0"
            );
        }
#endif // DEBUG
        new (&_textDocument_CodeActionResult_0) std::unique_ptr<TextDocument_CodeActionResult_0> {
            std::move(textDocument_CodeActionResult_0)
        };
        _type = TextDocument_CodeActionResultType::CommandOrCodeActionArray;
        return *this;
    }

    auto TextDocument_CodeActionResult::operator=(
        const std::vector<TextDocument_CodeActionResult_0_elem> &textDocument_CodeActionResult_0
    ) -> TextDocument_CodeActionResult &
    {
        if (_type != TextDocument_CodeActionResultType::Uninitialized) {
            reset();
        }
        _textDocument_CodeActionResult_0 =
            std::make_unique<std::vector<TextDocument_CodeActionResult_0_elem>>(textDocument_CodeActionResult_0);
        _type = TextDocument_CodeActionResultType::CommandOrCodeActionArray;
        return *this;
    }

    auto TextDocument_CodeActionResult::operator=(
        std::vector<TextDocument_CodeActionResult_0_elem> &&textDocument_CodeActionResult_0
    ) -> TextDocument_CodeActionResult &
    {
        if (_type != TextDocument_CodeActionResultType::Uninitialized) {
            reset();
        }
        new (&_textDocument_CodeActionResult_0) std::unique_ptr<TextDocument_CodeActionResult_0> {
            std::make_unique<TextDocument_CodeActionResult_0>(std::move(textDocument_CodeActionResult_0))
        };
        _type = TextDocument_CodeActionResultType::CommandOrCodeActionArray;
        return *this;
    }

    auto TextDocument_CodeActionResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_CodeActionResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_CodeActionResult::null()"
                 " of type "
                 "TextDocument_CodeActionResultType::Null"
                 " while active type is "
                 "TextDocument_CodeActionResultType::" +
                 TextDocument_CodeActionResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_CodeActionResult::operator=(
        null_t null
    ) -> TextDocument_CodeActionResult &
    {
        if (_type != TextDocument_CodeActionResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_CodeActionResultType::Null;
        return *this;
    }

    const std::map<Workspace_SymbolResultType, std::string>
    Workspace_SymbolResultTypeNames = {
        {Workspace_SymbolResultType::Uninitialized, "Uninitialized"},
        {Workspace_SymbolResultType::SymbolInformationArray,
         "SymbolInformationArray"},
        {Workspace_SymbolResultType::WorkspaceSymbolArray,
         "WorkspaceSymbolArray"},
        {Workspace_SymbolResultType::Null, "Null"},
    };

    Workspace_SymbolResult::Workspace_SymbolResult()
    {
        // empty
    }

    Workspace_SymbolResult::~Workspace_SymbolResult()
    {
        reset();
    }

    Workspace_SymbolResult::Workspace_SymbolResult(
        Workspace_SymbolResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_SymbolResultType::SymbolInformationArray: {
            new (&_symbolInformationArray) std::unique_ptr<Workspace_SymbolResult_0> {
                std::move(other._symbolInformationArray)
            };
            break;
        }
        case Workspace_SymbolResultType::WorkspaceSymbolArray: {
            new (&_workspaceSymbolArray) std::unique_ptr<Workspace_SymbolResult_1> {
                std::move(other._workspaceSymbolArray)
            };
            break;
        }
        case Workspace_SymbolResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_SymbolResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Workspace_SymbolResultType::Uninitialized;
    }

    Workspace_SymbolResult::Workspace_SymbolResult(
        const Workspace_SymbolResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_SymbolResultType::SymbolInformationArray: {
            new (&_symbolInformationArray) std::unique_ptr<std::vector<SymbolInformation>> {
                std::make_unique<std::vector<SymbolInformation>>()
            };
            _symbolInformationArray->reserve(
                other._symbolInformationArray->size()
            );
            for (const auto &elem_0 : *other._symbolInformationArray) {
                _symbolInformationArray->push_back(elem_0);
            }
            break;
        }
        case Workspace_SymbolResultType::WorkspaceSymbolArray: {
            new (&_workspaceSymbolArray) std::unique_ptr<std::vector<WorkspaceSymbol>> {
                std::make_unique<std::vector<WorkspaceSymbol>>()
            };
            _workspaceSymbolArray->reserve(
                other._workspaceSymbolArray->size()
            );
            for (const auto &elem_1 : *other._workspaceSymbolArray) {
                _workspaceSymbolArray->push_back(elem_1);
            }
            break;
        }
        case Workspace_SymbolResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_SymbolResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Workspace_SymbolResult::operator=(
        Workspace_SymbolResult &&other
    ) -> Workspace_SymbolResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_SymbolResultType::SymbolInformationArray: {
                new (&_symbolInformationArray) std::unique_ptr<Workspace_SymbolResult_0> {
                    std::move(other._symbolInformationArray)
                };
                break;
            }
            case Workspace_SymbolResultType::WorkspaceSymbolArray: {
                new (&_workspaceSymbolArray) std::unique_ptr<Workspace_SymbolResult_1> {
                    std::move(other._workspaceSymbolArray)
                };
                break;
            }
            case Workspace_SymbolResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_SymbolResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Workspace_SymbolResultType::Uninitialized;
        }
        return *this;
    }

    auto Workspace_SymbolResult::operator=(
        const Workspace_SymbolResult &other
    ) -> Workspace_SymbolResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_SymbolResultType::SymbolInformationArray: {
                new (&_symbolInformationArray) std::unique_ptr<std::vector<SymbolInformation>> {
                    std::make_unique<std::vector<SymbolInformation>>()
                };
                _symbolInformationArray->reserve(
                    other._symbolInformationArray->size()
                );
                for (const auto &elem_0 : *other._symbolInformationArray) {
                    _symbolInformationArray->push_back(elem_0);
                }
                break;
            }
            case Workspace_SymbolResultType::WorkspaceSymbolArray: {
                new (&_workspaceSymbolArray) std::unique_ptr<std::vector<WorkspaceSymbol>> {
                    std::make_unique<std::vector<WorkspaceSymbol>>()
                };
                _workspaceSymbolArray->reserve(
                    other._workspaceSymbolArray->size()
                );
                for (const auto &elem_1 : *other._workspaceSymbolArray) {
                    _workspaceSymbolArray->push_back(elem_1);
                }
                break;
            }
            case Workspace_SymbolResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_SymbolResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Workspace_SymbolResult::reset() -> void
    {
        switch (_type) {
        case Workspace_SymbolResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case Workspace_SymbolResultType::SymbolInformationArray: {
#ifdef DEBUG
            if (!_symbolInformationArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _symbolInformationArray"
                );
            }
#endif // DEBUG
            _symbolInformationArray.~unique_ptr<std::vector<SymbolInformation>>();
            _type = Workspace_SymbolResultType::Uninitialized;
            break;
        }
        case Workspace_SymbolResultType::WorkspaceSymbolArray: {
#ifdef DEBUG
            if (!_workspaceSymbolArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _workspaceSymbolArray"
                );
            }
#endif // DEBUG
            _workspaceSymbolArray.~unique_ptr<std::vector<WorkspaceSymbol>>();
            _type = Workspace_SymbolResultType::Uninitialized;
            break;
        }
        default: {
            _type = Workspace_SymbolResultType::Uninitialized;
        }
        }
    }

    auto Workspace_SymbolResult::type() const
    -> const Workspace_SymbolResultType &
    {
        return _type;
    }

    auto Workspace_SymbolResult::symbolInformationArray() const
    -> const std::vector<SymbolInformation> &
    {
#ifdef DEBUG
        if (_type != Workspace_SymbolResultType::SymbolInformationArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_SymbolResult::symbolInformationArray()"
                 " of type "
                 "Workspace_SymbolResultType::SymbolInformationArray"
                 " while active type is "
                 "Workspace_SymbolResultType::" +
                 Workspace_SymbolResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_symbolInformationArray;
    }

    auto Workspace_SymbolResult::operator=(
        const std::unique_ptr<std::vector<SymbolInformation>> &symbolInformationArray
    ) -> Workspace_SymbolResult &
    {
        if (_type != Workspace_SymbolResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!symbolInformationArray) {
            throw std::logic_error(
                "null passed as the value of symbolInformationArray"
            );
        }
#endif // DEBUG
        new (&_symbolInformationArray) std::unique_ptr<std::vector<SymbolInformation>> {
            std::make_unique<std::vector<SymbolInformation>>()
        };
        _symbolInformationArray->reserve(symbolInformationArray->size());
        for (const auto &elem_0 : *symbolInformationArray) {
            _symbolInformationArray->push_back(elem_0);
        }
        _type = Workspace_SymbolResultType::SymbolInformationArray;
        return *this;
    }

    auto Workspace_SymbolResult::operator=(
        std::unique_ptr<std::vector<SymbolInformation>> &&symbolInformationArray
    ) -> Workspace_SymbolResult &
    {
        if (_type != Workspace_SymbolResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!symbolInformationArray) {
            throw std::logic_error(
                "null passed as the value of symbolInformationArray"
            );
        }
#endif // DEBUG
        new (&_symbolInformationArray) std::unique_ptr<Workspace_SymbolResult_0> {
            std::move(symbolInformationArray)
        };
        _type = Workspace_SymbolResultType::SymbolInformationArray;
        return *this;
    }

    auto Workspace_SymbolResult::operator=(
        const std::vector<SymbolInformation> &symbolInformationArray
    ) -> Workspace_SymbolResult &
    {
        if (_type != Workspace_SymbolResultType::Uninitialized) {
            reset();
        }
        new (&_symbolInformationArray) std::unique_ptr<std::vector<SymbolInformation>> {
            std::make_unique<std::vector<SymbolInformation>>()
        };
        _symbolInformationArray->reserve(symbolInformationArray.size());
        for (const auto &elem_0 : symbolInformationArray) {
            _symbolInformationArray->push_back(elem_0);
        }
        _type = Workspace_SymbolResultType::SymbolInformationArray;
        return *this;
    }

    auto Workspace_SymbolResult::operator=(
        std::vector<SymbolInformation> &&symbolInformationArray
    ) -> Workspace_SymbolResult &
    {
        if (_type != Workspace_SymbolResultType::Uninitialized) {
            reset();
        }
        new (&_symbolInformationArray) std::unique_ptr<Workspace_SymbolResult_0> {
            std::make_unique<Workspace_SymbolResult_0>(std::move(symbolInformationArray))
        };
        _type = Workspace_SymbolResultType::SymbolInformationArray;
        return *this;
    }

    auto Workspace_SymbolResult::workspaceSymbolArray() const
    -> const std::vector<WorkspaceSymbol> &
    {
#ifdef DEBUG
        if (_type != Workspace_SymbolResultType::WorkspaceSymbolArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_SymbolResult::workspaceSymbolArray()"
                 " of type "
                 "Workspace_SymbolResultType::WorkspaceSymbolArray"
                 " while active type is "
                 "Workspace_SymbolResultType::" +
                 Workspace_SymbolResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_workspaceSymbolArray;
    }

    auto Workspace_SymbolResult::operator=(
        const std::unique_ptr<std::vector<WorkspaceSymbol>> &workspaceSymbolArray
    ) -> Workspace_SymbolResult &
    {
        if (_type != Workspace_SymbolResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceSymbolArray) {
            throw std::logic_error(
                "null passed as the value of workspaceSymbolArray"
            );
        }
#endif // DEBUG
        new (&_workspaceSymbolArray) std::unique_ptr<std::vector<WorkspaceSymbol>> {
            std::make_unique<std::vector<WorkspaceSymbol>>()
        };
        _workspaceSymbolArray->reserve(workspaceSymbolArray->size());
        for (const auto &elem_0 : *workspaceSymbolArray) {
            _workspaceSymbolArray->push_back(elem_0);
        }
        _type = Workspace_SymbolResultType::WorkspaceSymbolArray;
        return *this;
    }

    auto Workspace_SymbolResult::operator=(
        std::unique_ptr<std::vector<WorkspaceSymbol>> &&workspaceSymbolArray
    ) -> Workspace_SymbolResult &
    {
        if (_type != Workspace_SymbolResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!workspaceSymbolArray) {
            throw std::logic_error(
                "null passed as the value of workspaceSymbolArray"
            );
        }
#endif // DEBUG
        new (&_workspaceSymbolArray) std::unique_ptr<Workspace_SymbolResult_1> {
            std::move(workspaceSymbolArray)
        };
        _type = Workspace_SymbolResultType::WorkspaceSymbolArray;
        return *this;
    }

    auto Workspace_SymbolResult::operator=(
        const std::vector<WorkspaceSymbol> &workspaceSymbolArray
    ) -> Workspace_SymbolResult &
    {
        if (_type != Workspace_SymbolResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceSymbolArray) std::unique_ptr<std::vector<WorkspaceSymbol>> {
            std::make_unique<std::vector<WorkspaceSymbol>>()
        };
        _workspaceSymbolArray->reserve(workspaceSymbolArray.size());
        for (const auto &elem_0 : workspaceSymbolArray) {
            _workspaceSymbolArray->push_back(elem_0);
        }
        _type = Workspace_SymbolResultType::WorkspaceSymbolArray;
        return *this;
    }

    auto Workspace_SymbolResult::operator=(
        std::vector<WorkspaceSymbol> &&workspaceSymbolArray
    ) -> Workspace_SymbolResult &
    {
        if (_type != Workspace_SymbolResultType::Uninitialized) {
            reset();
        }
        new (&_workspaceSymbolArray) std::unique_ptr<Workspace_SymbolResult_1> {
            std::make_unique<Workspace_SymbolResult_1>(std::move(workspaceSymbolArray))
        };
        _type = Workspace_SymbolResultType::WorkspaceSymbolArray;
        return *this;
    }

    auto Workspace_SymbolResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != Workspace_SymbolResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_SymbolResult::null()"
                 " of type "
                 "Workspace_SymbolResultType::Null"
                 " while active type is "
                 "Workspace_SymbolResultType::" +
                 Workspace_SymbolResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto Workspace_SymbolResult::operator=(
        null_t null
    ) -> Workspace_SymbolResult &
    {
        if (_type != Workspace_SymbolResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = Workspace_SymbolResultType::Null;
        return *this;
    }

    const std::map<TextDocument_CodeLensResultType, std::string>
    TextDocument_CodeLensResultTypeNames = {
        {TextDocument_CodeLensResultType::Uninitialized, "Uninitialized"},
        {TextDocument_CodeLensResultType::CodeLensArray, "CodeLensArray"},
        {TextDocument_CodeLensResultType::Null, "Null"},
    };

    TextDocument_CodeLensResult::TextDocument_CodeLensResult()
    {
        // empty
    }

    TextDocument_CodeLensResult::~TextDocument_CodeLensResult()
    {
        reset();
    }

    TextDocument_CodeLensResult::TextDocument_CodeLensResult(
        TextDocument_CodeLensResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_CodeLensResultType::CodeLensArray: {
            new (&_codeLensArray) std::unique_ptr<TextDocument_CodeLensResult_0> {
                std::move(other._codeLensArray)
            };
            break;
        }
        case TextDocument_CodeLensResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_CodeLensResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_CodeLensResultType::Uninitialized;
    }

    TextDocument_CodeLensResult::TextDocument_CodeLensResult(
        const TextDocument_CodeLensResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_CodeLensResultType::CodeLensArray: {
            new (&_codeLensArray) std::unique_ptr<std::vector<CodeLens>> {
                std::make_unique<std::vector<CodeLens>>()
            };
            _codeLensArray->reserve(other._codeLensArray->size());
            for (const auto &elem_0 : *other._codeLensArray) {
                _codeLensArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_CodeLensResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_CodeLensResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_CodeLensResult::operator=(
        TextDocument_CodeLensResult &&other
    ) -> TextDocument_CodeLensResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_CodeLensResultType::CodeLensArray: {
                new (&_codeLensArray) std::unique_ptr<TextDocument_CodeLensResult_0> {
                    std::move(other._codeLensArray)
                };
                break;
            }
            case TextDocument_CodeLensResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_CodeLensResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_CodeLensResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_CodeLensResult::operator=(
        const TextDocument_CodeLensResult &other
    ) -> TextDocument_CodeLensResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_CodeLensResultType::CodeLensArray: {
                new (&_codeLensArray) std::unique_ptr<std::vector<CodeLens>> {
                    std::make_unique<std::vector<CodeLens>>()
                };
                _codeLensArray->reserve(other._codeLensArray->size());
                for (const auto &elem_0 : *other._codeLensArray) {
                    _codeLensArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_CodeLensResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_CodeLensResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_CodeLensResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_CodeLensResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_CodeLensResultType::CodeLensArray: {
#ifdef DEBUG
            if (!_codeLensArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _codeLensArray"
                );
            }
#endif // DEBUG
            _codeLensArray.~unique_ptr<std::vector<CodeLens>>();
            _type = TextDocument_CodeLensResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_CodeLensResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_CodeLensResult::type() const
    -> const TextDocument_CodeLensResultType &
    {
        return _type;
    }

    auto TextDocument_CodeLensResult::codeLensArray() const
    -> const std::vector<CodeLens> &
    {
#ifdef DEBUG
        if (_type != TextDocument_CodeLensResultType::CodeLensArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_CodeLensResult::codeLensArray()"
                 " of type "
                 "TextDocument_CodeLensResultType::CodeLensArray"
                 " while active type is "
                 "TextDocument_CodeLensResultType::" +
                 TextDocument_CodeLensResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_codeLensArray;
    }

    auto TextDocument_CodeLensResult::operator=(
        const std::unique_ptr<std::vector<CodeLens>> &codeLensArray
    ) -> TextDocument_CodeLensResult &
    {
        if (_type != TextDocument_CodeLensResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!codeLensArray) {
            throw std::logic_error(
                "null passed as the value of codeLensArray"
            );
        }
#endif // DEBUG
        new (&_codeLensArray) std::unique_ptr<std::vector<CodeLens>> {
            std::make_unique<std::vector<CodeLens>>()
        };
        _codeLensArray->reserve(codeLensArray->size());
        for (const auto &elem_0 : *codeLensArray) {
            _codeLensArray->push_back(elem_0);
        }
        _type = TextDocument_CodeLensResultType::CodeLensArray;
        return *this;
    }

    auto TextDocument_CodeLensResult::operator=(
        std::unique_ptr<std::vector<CodeLens>> &&codeLensArray
    ) -> TextDocument_CodeLensResult &
    {
        if (_type != TextDocument_CodeLensResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!codeLensArray) {
            throw std::logic_error(
                "null passed as the value of codeLensArray"
            );
        }
#endif // DEBUG
        new (&_codeLensArray) std::unique_ptr<TextDocument_CodeLensResult_0> {
            std::move(codeLensArray)
        };
        _type = TextDocument_CodeLensResultType::CodeLensArray;
        return *this;
    }

    auto TextDocument_CodeLensResult::operator=(
        const std::vector<CodeLens> &codeLensArray
    ) -> TextDocument_CodeLensResult &
    {
        if (_type != TextDocument_CodeLensResultType::Uninitialized) {
            reset();
        }
        new (&_codeLensArray) std::unique_ptr<std::vector<CodeLens>> {
            std::make_unique<std::vector<CodeLens>>()
        };
        _codeLensArray->reserve(codeLensArray.size());
        for (const auto &elem_0 : codeLensArray) {
            _codeLensArray->push_back(elem_0);
        }
        _type = TextDocument_CodeLensResultType::CodeLensArray;
        return *this;
    }

    auto TextDocument_CodeLensResult::operator=(
        std::vector<CodeLens> &&codeLensArray
    ) -> TextDocument_CodeLensResult &
    {
        if (_type != TextDocument_CodeLensResultType::Uninitialized) {
            reset();
        }
        new (&_codeLensArray) std::unique_ptr<TextDocument_CodeLensResult_0> {
            std::make_unique<TextDocument_CodeLensResult_0>(std::move(codeLensArray))
        };
        _type = TextDocument_CodeLensResultType::CodeLensArray;
        return *this;
    }

    auto TextDocument_CodeLensResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_CodeLensResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_CodeLensResult::null()"
                 " of type "
                 "TextDocument_CodeLensResultType::Null"
                 " while active type is "
                 "TextDocument_CodeLensResultType::" +
                 TextDocument_CodeLensResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_CodeLensResult::operator=(
        null_t null
    ) -> TextDocument_CodeLensResult &
    {
        if (_type != TextDocument_CodeLensResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_CodeLensResultType::Null;
        return *this;
    }

    const std::map<TextDocument_DocumentLinkResultType, std::string>
    TextDocument_DocumentLinkResultTypeNames = {
        {TextDocument_DocumentLinkResultType::Uninitialized, "Uninitialized"},
        {TextDocument_DocumentLinkResultType::DocumentLinkArray,
         "DocumentLinkArray"},
        {TextDocument_DocumentLinkResultType::Null, "Null"},
    };

    TextDocument_DocumentLinkResult::TextDocument_DocumentLinkResult()
    {
        // empty
    }

    TextDocument_DocumentLinkResult::~TextDocument_DocumentLinkResult()
    {
        reset();
    }

    TextDocument_DocumentLinkResult::TextDocument_DocumentLinkResult(
        TextDocument_DocumentLinkResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DocumentLinkResultType::DocumentLinkArray: {
            new (&_documentLinkArray) std::unique_ptr<TextDocument_DocumentLinkResult_0> {
                std::move(other._documentLinkArray)
            };
            break;
        }
        case TextDocument_DocumentLinkResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DocumentLinkResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = TextDocument_DocumentLinkResultType::Uninitialized;
    }

    TextDocument_DocumentLinkResult::TextDocument_DocumentLinkResult(
        const TextDocument_DocumentLinkResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case TextDocument_DocumentLinkResultType::DocumentLinkArray: {
            new (&_documentLinkArray) std::unique_ptr<std::vector<DocumentLink>> {
                std::make_unique<std::vector<DocumentLink>>()
            };
            _documentLinkArray->reserve(other._documentLinkArray->size());
            for (const auto &elem_0 : *other._documentLinkArray) {
                _documentLinkArray->push_back(elem_0);
            }
            break;
        }
        case TextDocument_DocumentLinkResultType::Null: {
            _null = other._null;
            break;
        }
        case TextDocument_DocumentLinkResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto TextDocument_DocumentLinkResult::operator=(
        TextDocument_DocumentLinkResult &&other
    ) -> TextDocument_DocumentLinkResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DocumentLinkResultType::DocumentLinkArray: {
                new (&_documentLinkArray) std::unique_ptr<TextDocument_DocumentLinkResult_0> {
                    std::move(other._documentLinkArray)
                };
                break;
            }
            case TextDocument_DocumentLinkResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DocumentLinkResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = TextDocument_DocumentLinkResultType::Uninitialized;
        }
        return *this;
    }

    auto TextDocument_DocumentLinkResult::operator=(
        const TextDocument_DocumentLinkResult &other
    ) -> TextDocument_DocumentLinkResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case TextDocument_DocumentLinkResultType::DocumentLinkArray: {
                new (&_documentLinkArray) std::unique_ptr<std::vector<DocumentLink>> {
                    std::make_unique<std::vector<DocumentLink>>()
                };
                _documentLinkArray->reserve(other._documentLinkArray->size());
                for (const auto &elem_0 : *other._documentLinkArray) {
                    _documentLinkArray->push_back(elem_0);
                }
                break;
            }
            case TextDocument_DocumentLinkResultType::Null: {
                _null = other._null;
                break;
            }
            case TextDocument_DocumentLinkResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto TextDocument_DocumentLinkResult::reset() -> void
    {
        switch (_type) {
        case TextDocument_DocumentLinkResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case TextDocument_DocumentLinkResultType::DocumentLinkArray: {
#ifdef DEBUG
            if (!_documentLinkArray) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _documentLinkArray"
                );
            }
#endif // DEBUG
            _documentLinkArray.~unique_ptr<std::vector<DocumentLink>>();
            _type = TextDocument_DocumentLinkResultType::Uninitialized;
            break;
        }
        default: {
            _type = TextDocument_DocumentLinkResultType::Uninitialized;
        }
        }
    }

    auto TextDocument_DocumentLinkResult::type() const
    -> const TextDocument_DocumentLinkResultType &
    {
        return _type;
    }

    auto TextDocument_DocumentLinkResult::documentLinkArray() const
    -> const std::vector<DocumentLink> &
    {
#ifdef DEBUG
        if (_type != TextDocument_DocumentLinkResultType::DocumentLinkArray) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DocumentLinkResult::documentLinkArray()"
                 " of type "
                 "TextDocument_DocumentLinkResultType::DocumentLinkArray"
                 " while active type is "
                 "TextDocument_DocumentLinkResultType::" +
                 TextDocument_DocumentLinkResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_documentLinkArray;
    }

    auto TextDocument_DocumentLinkResult::operator=(
        const std::unique_ptr<std::vector<DocumentLink>> &documentLinkArray
    ) -> TextDocument_DocumentLinkResult &
    {
        if (_type != TextDocument_DocumentLinkResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentLinkArray) {
            throw std::logic_error(
                "null passed as the value of documentLinkArray"
            );
        }
#endif // DEBUG
        new (&_documentLinkArray) std::unique_ptr<std::vector<DocumentLink>> {
            std::make_unique<std::vector<DocumentLink>>()
        };
        _documentLinkArray->reserve(documentLinkArray->size());
        for (const auto &elem_0 : *documentLinkArray) {
            _documentLinkArray->push_back(elem_0);
        }
        _type = TextDocument_DocumentLinkResultType::DocumentLinkArray;
        return *this;
    }

    auto TextDocument_DocumentLinkResult::operator=(
        std::unique_ptr<std::vector<DocumentLink>> &&documentLinkArray
    ) -> TextDocument_DocumentLinkResult &
    {
        if (_type != TextDocument_DocumentLinkResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!documentLinkArray) {
            throw std::logic_error(
                "null passed as the value of documentLinkArray"
            );
        }
#endif // DEBUG
        new (&_documentLinkArray) std::unique_ptr<TextDocument_DocumentLinkResult_0> {
            std::move(documentLinkArray)
        };
        _type = TextDocument_DocumentLinkResultType::DocumentLinkArray;
        return *this;
    }

    auto TextDocument_DocumentLinkResult::operator=(
        const std::vector<DocumentLink> &documentLinkArray
    ) -> TextDocument_DocumentLinkResult &
    {
        if (_type != TextDocument_DocumentLinkResultType::Uninitialized) {
            reset();
        }
        new (&_documentLinkArray) std::unique_ptr<std::vector<DocumentLink>> {
            std::make_unique<std::vector<DocumentLink>>()
        };
        _documentLinkArray->reserve(documentLinkArray.size());
        for (const auto &elem_0 : documentLinkArray) {
            _documentLinkArray->push_back(elem_0);
        }
        _type = TextDocument_DocumentLinkResultType::DocumentLinkArray;
        return *this;
    }

    auto TextDocument_DocumentLinkResult::operator=(
        std::vector<DocumentLink> &&documentLinkArray
    ) -> TextDocument_DocumentLinkResult &
    {
        if (_type != TextDocument_DocumentLinkResultType::Uninitialized) {
            reset();
        }
        new (&_documentLinkArray) std::unique_ptr<TextDocument_DocumentLinkResult_0> {
            std::make_unique<TextDocument_DocumentLinkResult_0>(std::move(documentLinkArray))
        };
        _type = TextDocument_DocumentLinkResultType::DocumentLinkArray;
        return *this;
    }

    auto TextDocument_DocumentLinkResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != TextDocument_DocumentLinkResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "TextDocument_DocumentLinkResult::null()"
                 " of type "
                 "TextDocument_DocumentLinkResultType::Null"
                 " while active type is "
                 "TextDocument_DocumentLinkResultType::" +
                 TextDocument_DocumentLinkResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto TextDocument_DocumentLinkResult::operator=(
        null_t null
    ) -> TextDocument_DocumentLinkResult &
    {
        if (_type != TextDocument_DocumentLinkResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = TextDocument_DocumentLinkResultType::Null;
        return *this;
    }

    const std::map<Workspace_ExecuteCommandResultType, std::string>
    Workspace_ExecuteCommandResultTypeNames = {
        {Workspace_ExecuteCommandResultType::Uninitialized, "Uninitialized"},
        {Workspace_ExecuteCommandResultType::Any, "Any"},
        {Workspace_ExecuteCommandResultType::Null, "Null"},
    };

    Workspace_ExecuteCommandResult::Workspace_ExecuteCommandResult()
    {
        // empty
    }

    Workspace_ExecuteCommandResult::~Workspace_ExecuteCommandResult()
    {
        reset();
    }

    Workspace_ExecuteCommandResult::Workspace_ExecuteCommandResult(
        Workspace_ExecuteCommandResult &&other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_ExecuteCommandResultType::Any: {
            new (&_any) std::unique_ptr<LSPAny> {
                std::move(other._any)
            };
            break;
        }
        case Workspace_ExecuteCommandResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_ExecuteCommandResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
        other._type = Workspace_ExecuteCommandResultType::Uninitialized;
    }

    Workspace_ExecuteCommandResult::Workspace_ExecuteCommandResult(
        const Workspace_ExecuteCommandResult &other
    )
        : _type(other._type)
    {
        switch (other._type) {
        case Workspace_ExecuteCommandResultType::Any: {
            new (&_any) std::unique_ptr<LSPAny> {
                std::make_unique<LSPAny>(*other._any)
            };
            break;
        }
        case Workspace_ExecuteCommandResultType::Null: {
            _null = other._null;
            break;
        }
        case Workspace_ExecuteCommandResultType::Uninitialized: {
            // other has not been initialized, there is nothing to do ...
            break;
        }
        }
    }

    auto Workspace_ExecuteCommandResult::operator=(
        Workspace_ExecuteCommandResult &&other
    ) -> Workspace_ExecuteCommandResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_ExecuteCommandResultType::Any: {
                new (&_any) std::unique_ptr<LSPAny> {
                    std::move(other._any)
                };
                break;
            }
            case Workspace_ExecuteCommandResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_ExecuteCommandResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
            other._type = Workspace_ExecuteCommandResultType::Uninitialized;
        }
        return *this;
    }

    auto Workspace_ExecuteCommandResult::operator=(
        const Workspace_ExecuteCommandResult &other
    ) -> Workspace_ExecuteCommandResult &
    {
        if (this != &other) {
            _type = other._type;
            switch (other._type) {
            case Workspace_ExecuteCommandResultType::Any: {
                new (&_any) std::unique_ptr<LSPAny> {
                    std::make_unique<LSPAny>(*other._any)
                };
                break;
            }
            case Workspace_ExecuteCommandResultType::Null: {
                _null = other._null;
                break;
            }
            case Workspace_ExecuteCommandResultType::Uninitialized: {
                // other has not been initialized, there is nothing to do ...
                break;
            }
            }
        }
        return *this;
    }

    auto Workspace_ExecuteCommandResult::reset() -> void
    {
        switch (_type) {
        case Workspace_ExecuteCommandResultType::Uninitialized: {
            // nothing to do
            break;
        }
        case Workspace_ExecuteCommandResultType::Any: {
#ifdef DEBUG
            if (!_any) {
                throw std::logic_error(
                    "Attempted to free a null pointer to _any"
                );
            }
#endif // DEBUG
            _any.~unique_ptr<LSPAny>();
            _type = Workspace_ExecuteCommandResultType::Uninitialized;
            break;
        }
        default: {
            _type = Workspace_ExecuteCommandResultType::Uninitialized;
        }
        }
    }

    auto Workspace_ExecuteCommandResult::type() const
    -> const Workspace_ExecuteCommandResultType &
    {
        return _type;
    }

    auto Workspace_ExecuteCommandResult::any() const -> const LSPAny &
    {
#ifdef DEBUG
        if (_type != Workspace_ExecuteCommandResultType::Any) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_ExecuteCommandResult::any()"
                 " of type "
                 "Workspace_ExecuteCommandResultType::Any"
                 " while active type is "
                 "Workspace_ExecuteCommandResultType::" +
                 Workspace_ExecuteCommandResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return *_any;
    }

    auto Workspace_ExecuteCommandResult::operator=(
        const std::unique_ptr<LSPAny> &any
    ) -> Workspace_ExecuteCommandResult &
    {
        if (_type != Workspace_ExecuteCommandResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!any) {
            throw std::logic_error("null passed as the value of any");
        }
#endif // DEBUG
        new (&_any) std::unique_ptr<LSPAny> {
            std::make_unique<LSPAny>(*any)
        };
        _type = Workspace_ExecuteCommandResultType::Any;
        return *this;
    }

    auto Workspace_ExecuteCommandResult::operator=(
        std::unique_ptr<LSPAny> &&any
    ) -> Workspace_ExecuteCommandResult &
    {
        if (_type != Workspace_ExecuteCommandResultType::Uninitialized) {
            reset();
        }
#ifdef DEBUG
        if (!any) {
            throw std::logic_error("null passed as the value of any");
        }
#endif // DEBUG
        new (&_any) std::unique_ptr<LSPAny> {
            std::move(any)
        };
        _type = Workspace_ExecuteCommandResultType::Any;
        return *this;
    }

    auto Workspace_ExecuteCommandResult::operator=(
        const LSPAny &any
    ) -> Workspace_ExecuteCommandResult &
    {
        if (_type != Workspace_ExecuteCommandResultType::Uninitialized) {
            reset();
        }
        new (&_any) std::unique_ptr<LSPAny> {
            std::make_unique<LSPAny>(any)
        };
        _type = Workspace_ExecuteCommandResultType::Any;
        return *this;
    }

    auto Workspace_ExecuteCommandResult::operator=(
        LSPAny &&any
    ) -> Workspace_ExecuteCommandResult &
    {
        if (_type != Workspace_ExecuteCommandResultType::Uninitialized) {
            reset();
        }
        new (&_any) std::unique_ptr<LSPAny> {
            std::make_unique<LSPAny>(std::move(any))
        };
        _type = Workspace_ExecuteCommandResultType::Any;
        return *this;
    }

    auto Workspace_ExecuteCommandResult::null() const -> const null_t &
    {
#ifdef DEBUG
        if (_type != Workspace_ExecuteCommandResultType::Null) {
            throw std::logic_error(
                ("Attempted to access "
                 "Workspace_ExecuteCommandResult::null()"
                 " of type "
                 "Workspace_ExecuteCommandResultType::Null"
                 " while active type is "
                 "Workspace_ExecuteCommandResultType::" +
                 Workspace_ExecuteCommandResultTypeNames.at(_type))
            );
        }
#endif // DEBUG
        return _null;
    }

    auto Workspace_ExecuteCommandResult::operator=(
        null_t null
    ) -> Workspace_ExecuteCommandResult &
    {
        if (_type != Workspace_ExecuteCommandResultType::Uninitialized) {
            reset();
        }
        _null = null;
        _type = Workspace_ExecuteCommandResultType::Null;
        return *this;
    }

    const std::map<IncomingRequest, std::string> IncomingRequestNames = {
        {IncomingRequest::TextDocument_Implementation,
         "TextDocument_Implementation"},
        {IncomingRequest::TextDocument_TypeDefinition,
         "TextDocument_TypeDefinition"},
        {IncomingRequest::TextDocument_DocumentColor,
         "TextDocument_DocumentColor"},
        {IncomingRequest::TextDocument_ColorPresentation,
         "TextDocument_ColorPresentation"},
        {IncomingRequest::TextDocument_FoldingRange,
         "TextDocument_FoldingRange"},
        {IncomingRequest::TextDocument_Declaration,
         "TextDocument_Declaration"},
        {IncomingRequest::TextDocument_SelectionRange,
         "TextDocument_SelectionRange"},
        {IncomingRequest::TextDocument_PrepareCallHierarchy,
         "TextDocument_PrepareCallHierarchy"},
        {IncomingRequest::CallHierarchy_IncomingCalls,
         "CallHierarchy_IncomingCalls"},
        {IncomingRequest::CallHierarchy_OutgoingCalls,
         "CallHierarchy_OutgoingCalls"},
        {IncomingRequest::TextDocument_SemanticTokens_Full,
         "TextDocument_SemanticTokens_Full"},
        {IncomingRequest::TextDocument_SemanticTokens_Full_Delta,
         "TextDocument_SemanticTokens_Full_Delta"},
        {IncomingRequest::TextDocument_SemanticTokens_Range,
         "TextDocument_SemanticTokens_Range"},
        {IncomingRequest::TextDocument_LinkedEditingRange,
         "TextDocument_LinkedEditingRange"},
        {IncomingRequest::Workspace_WillCreateFiles,
         "Workspace_WillCreateFiles"},
        {IncomingRequest::Workspace_WillRenameFiles,
         "Workspace_WillRenameFiles"},
        {IncomingRequest::Workspace_WillDeleteFiles,
         "Workspace_WillDeleteFiles"},
        {IncomingRequest::TextDocument_Moniker, "TextDocument_Moniker"},
        {IncomingRequest::TextDocument_PrepareTypeHierarchy,
         "TextDocument_PrepareTypeHierarchy"},
        {IncomingRequest::TypeHierarchy_Supertypes,
         "TypeHierarchy_Supertypes"},
        {IncomingRequest::TypeHierarchy_Subtypes, "TypeHierarchy_Subtypes"},
        {IncomingRequest::TextDocument_InlineValue,
         "TextDocument_InlineValue"},
        {IncomingRequest::TextDocument_InlayHint, "TextDocument_InlayHint"},
        {IncomingRequest::InlayHint_Resolve, "InlayHint_Resolve"},
        {IncomingRequest::TextDocument_Diagnostic, "TextDocument_Diagnostic"},
        {IncomingRequest::Workspace_Diagnostic, "Workspace_Diagnostic"},
        {IncomingRequest::TextDocument_InlineCompletion,
         "TextDocument_InlineCompletion"},
        {IncomingRequest::Initialize, "Initialize"},
        {IncomingRequest::Shutdown, "Shutdown"},
        {IncomingRequest::TextDocument_WillSaveWaitUntil,
         "TextDocument_WillSaveWaitUntil"},
        {IncomingRequest::TextDocument_Completion, "TextDocument_Completion"},
        {IncomingRequest::CompletionItem_Resolve, "CompletionItem_Resolve"},
        {IncomingRequest::TextDocument_Hover, "TextDocument_Hover"},
        {IncomingRequest::TextDocument_SignatureHelp,
         "TextDocument_SignatureHelp"},
        {IncomingRequest::TextDocument_Definition, "TextDocument_Definition"},
        {IncomingRequest::TextDocument_References, "TextDocument_References"},
        {IncomingRequest::TextDocument_DocumentHighlight,
         "TextDocument_DocumentHighlight"},
        {IncomingRequest::TextDocument_DocumentSymbol,
         "TextDocument_DocumentSymbol"},
        {IncomingRequest::TextDocument_CodeAction, "TextDocument_CodeAction"},
        {IncomingRequest::CodeAction_Resolve, "CodeAction_Resolve"},
        {IncomingRequest::Workspace_Symbol, "Workspace_Symbol"},
        {IncomingRequest::WorkspaceSymbol_Resolve, "WorkspaceSymbol_Resolve"},
        {IncomingRequest::TextDocument_CodeLens, "TextDocument_CodeLens"},
        {IncomingRequest::CodeLens_Resolve, "CodeLens_Resolve"},
        {IncomingRequest::TextDocument_DocumentLink,
         "TextDocument_DocumentLink"},
        {IncomingRequest::DocumentLink_Resolve, "DocumentLink_Resolve"},
        {IncomingRequest::TextDocument_Formatting, "TextDocument_Formatting"},
        {IncomingRequest::TextDocument_RangeFormatting,
         "TextDocument_RangeFormatting"},
        {IncomingRequest::TextDocument_RangesFormatting,
         "TextDocument_RangesFormatting"},
        {IncomingRequest::TextDocument_OnTypeFormatting,
         "TextDocument_OnTypeFormatting"},
        {IncomingRequest::TextDocument_Rename, "TextDocument_Rename"},
        {IncomingRequest::TextDocument_PrepareRename,
         "TextDocument_PrepareRename"},
        {IncomingRequest::Workspace_ExecuteCommand,
         "Workspace_ExecuteCommand"},
        {IncomingRequest::Document, "Document"},
        {IncomingRequest::Telemetry, "Telemetry"},
    };

    const std::map<IncomingRequest, std::string> IncomingRequestValues = {
        {IncomingRequest::TextDocument_Implementation,
         "textDocument/implementation"},
        {IncomingRequest::TextDocument_TypeDefinition,
         "textDocument/typeDefinition"},
        {IncomingRequest::TextDocument_DocumentColor,
         "textDocument/documentColor"},
        {IncomingRequest::TextDocument_ColorPresentation,
         "textDocument/colorPresentation"},
        {IncomingRequest::TextDocument_FoldingRange,
         "textDocument/foldingRange"},
        {IncomingRequest::TextDocument_Declaration,
         "textDocument/declaration"},
        {IncomingRequest::TextDocument_SelectionRange,
         "textDocument/selectionRange"},
        {IncomingRequest::TextDocument_PrepareCallHierarchy,
         "textDocument/prepareCallHierarchy"},
        {IncomingRequest::CallHierarchy_IncomingCalls,
         "callHierarchy/incomingCalls"},
        {IncomingRequest::CallHierarchy_OutgoingCalls,
         "callHierarchy/outgoingCalls"},
        {IncomingRequest::TextDocument_SemanticTokens_Full,
         "textDocument/semanticTokens/full"},
        {IncomingRequest::TextDocument_SemanticTokens_Full_Delta,
         "textDocument/semanticTokens/full/delta"},
        {IncomingRequest::TextDocument_SemanticTokens_Range,
         "textDocument/semanticTokens/range"},
        {IncomingRequest::TextDocument_LinkedEditingRange,
         "textDocument/linkedEditingRange"},
        {IncomingRequest::Workspace_WillCreateFiles,
         "workspace/willCreateFiles"},
        {IncomingRequest::Workspace_WillRenameFiles,
         "workspace/willRenameFiles"},
        {IncomingRequest::Workspace_WillDeleteFiles,
         "workspace/willDeleteFiles"},
        {IncomingRequest::TextDocument_Moniker, "textDocument/moniker"},
        {IncomingRequest::TextDocument_PrepareTypeHierarchy,
         "textDocument/prepareTypeHierarchy"},
        {IncomingRequest::TypeHierarchy_Supertypes,
         "typeHierarchy/supertypes"},
        {IncomingRequest::TypeHierarchy_Subtypes, "typeHierarchy/subtypes"},
        {IncomingRequest::TextDocument_InlineValue,
         "textDocument/inlineValue"},
        {IncomingRequest::TextDocument_InlayHint, "textDocument/inlayHint"},
        {IncomingRequest::InlayHint_Resolve, "inlayHint/resolve"},
        {IncomingRequest::TextDocument_Diagnostic, "textDocument/diagnostic"},
        {IncomingRequest::Workspace_Diagnostic, "workspace/diagnostic"},
        {IncomingRequest::TextDocument_InlineCompletion,
         "textDocument/inlineCompletion"},
        {IncomingRequest::Initialize, "initialize"},
        {IncomingRequest::Shutdown, "shutdown"},
        {IncomingRequest::TextDocument_WillSaveWaitUntil,
         "textDocument/willSaveWaitUntil"},
        {IncomingRequest::TextDocument_Completion, "textDocument/completion"},
        {IncomingRequest::CompletionItem_Resolve, "completionItem/resolve"},
        {IncomingRequest::TextDocument_Hover, "textDocument/hover"},
        {IncomingRequest::TextDocument_SignatureHelp,
         "textDocument/signatureHelp"},
        {IncomingRequest::TextDocument_Definition, "textDocument/definition"},
        {IncomingRequest::TextDocument_References, "textDocument/references"},
        {IncomingRequest::TextDocument_DocumentHighlight,
         "textDocument/documentHighlight"},
        {IncomingRequest::TextDocument_DocumentSymbol,
         "textDocument/documentSymbol"},
        {IncomingRequest::TextDocument_CodeAction, "textDocument/codeAction"},
        {IncomingRequest::CodeAction_Resolve, "codeAction/resolve"},
        {IncomingRequest::Workspace_Symbol, "workspace/symbol"},
        {IncomingRequest::WorkspaceSymbol_Resolve, "workspaceSymbol/resolve"},
        {IncomingRequest::TextDocument_CodeLens, "textDocument/codeLens"},
        {IncomingRequest::CodeLens_Resolve, "codeLens/resolve"},
        {IncomingRequest::TextDocument_DocumentLink,
         "textDocument/documentLink"},
        {IncomingRequest::DocumentLink_Resolve, "documentLink/resolve"},
        {IncomingRequest::TextDocument_Formatting, "textDocument/formatting"},
        {IncomingRequest::TextDocument_RangeFormatting,
         "textDocument/rangeFormatting"},
        {IncomingRequest::TextDocument_RangesFormatting,
         "textDocument/rangesFormatting"},
        {IncomingRequest::TextDocument_OnTypeFormatting,
         "textDocument/onTypeFormatting"},
        {IncomingRequest::TextDocument_Rename, "textDocument/rename"},
        {IncomingRequest::TextDocument_PrepareRename,
         "textDocument/prepareRename"},
        {IncomingRequest::Workspace_ExecuteCommand,
         "workspace/executeCommand"},
        {IncomingRequest::Document, "$/document"},
        {IncomingRequest::Telemetry, "$/telemetry"},
    };

    auto incomingRequestByName(const std::string &name) -> IncomingRequest
    {
        for (const auto &[enum_name, enum_value] : IncomingRequestNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid IncomingRequest name: " + name);
    }

    auto incomingRequestByValue(const std::string &value) -> IncomingRequest
    {
        for (const auto &[enum_name, enum_value] : IncomingRequestValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid IncomingRequest value: \"" + value + "\""
        );
    }

    auto isIncomingRequest(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : IncomingRequestValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<OutgoingRequest, std::string> OutgoingRequestNames = {
        {OutgoingRequest::Workspace_WorkspaceFolders,
         "Workspace_WorkspaceFolders"},
        {OutgoingRequest::Workspace_Configuration, "Workspace_Configuration"},
        {OutgoingRequest::Workspace_FoldingRange_Refresh,
         "Workspace_FoldingRange_Refresh"},
        {OutgoingRequest::Window_WorkDoneProgress_Create,
         "Window_WorkDoneProgress_Create"},
        {OutgoingRequest::Workspace_SemanticTokens_Refresh,
         "Workspace_SemanticTokens_Refresh"},
        {OutgoingRequest::Window_ShowDocument, "Window_ShowDocument"},
        {OutgoingRequest::Workspace_InlineValue_Refresh,
         "Workspace_InlineValue_Refresh"},
        {OutgoingRequest::Workspace_InlayHint_Refresh,
         "Workspace_InlayHint_Refresh"},
        {OutgoingRequest::Workspace_Diagnostic_Refresh,
         "Workspace_Diagnostic_Refresh"},
        {OutgoingRequest::Client_RegisterCapability,
         "Client_RegisterCapability"},
        {OutgoingRequest::Client_UnregisterCapability,
         "Client_UnregisterCapability"},
        {OutgoingRequest::Window_ShowMessageRequest,
         "Window_ShowMessageRequest"},
        {OutgoingRequest::Workspace_CodeLens_Refresh,
         "Workspace_CodeLens_Refresh"},
        {OutgoingRequest::Workspace_ApplyEdit, "Workspace_ApplyEdit"},
    };

    const std::map<OutgoingRequest, std::string> OutgoingRequestValues = {
        {OutgoingRequest::Workspace_WorkspaceFolders,
         "workspace/workspaceFolders"},
        {OutgoingRequest::Workspace_Configuration, "workspace/configuration"},
        {OutgoingRequest::Workspace_FoldingRange_Refresh,
         "workspace/foldingRange/refresh"},
        {OutgoingRequest::Window_WorkDoneProgress_Create,
         "window/workDoneProgress/create"},
        {OutgoingRequest::Workspace_SemanticTokens_Refresh,
         "workspace/semanticTokens/refresh"},
        {OutgoingRequest::Window_ShowDocument, "window/showDocument"},
        {OutgoingRequest::Workspace_InlineValue_Refresh,
         "workspace/inlineValue/refresh"},
        {OutgoingRequest::Workspace_InlayHint_Refresh,
         "workspace/inlayHint/refresh"},
        {OutgoingRequest::Workspace_Diagnostic_Refresh,
         "workspace/diagnostic/refresh"},
        {OutgoingRequest::Client_RegisterCapability,
         "client/registerCapability"},
        {OutgoingRequest::Client_UnregisterCapability,
         "client/unregisterCapability"},
        {OutgoingRequest::Window_ShowMessageRequest,
         "window/showMessageRequest"},
        {OutgoingRequest::Workspace_CodeLens_Refresh,
         "workspace/codeLens/refresh"},
        {OutgoingRequest::Workspace_ApplyEdit, "workspace/applyEdit"},
    };

    auto outgoingRequestByName(const std::string &name) -> OutgoingRequest
    {
        for (const auto &[enum_name, enum_value] : OutgoingRequestNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument("Invalid OutgoingRequest name: " + name);
    }

    auto outgoingRequestByValue(const std::string &value) -> OutgoingRequest
    {
        for (const auto &[enum_name, enum_value] : OutgoingRequestValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid OutgoingRequest value: \"" + value + "\""
        );
    }

    auto isOutgoingRequest(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : OutgoingRequestValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<IncomingNotification, std::string>
    IncomingNotificationNames = {
        {IncomingNotification::Workspace_DidChangeWorkspaceFolders,
         "Workspace_DidChangeWorkspaceFolders"},
        {IncomingNotification::Window_WorkDoneProgress_Cancel,
         "Window_WorkDoneProgress_Cancel"},
        {IncomingNotification::Workspace_DidCreateFiles,
         "Workspace_DidCreateFiles"},
        {IncomingNotification::Workspace_DidRenameFiles,
         "Workspace_DidRenameFiles"},
        {IncomingNotification::Workspace_DidDeleteFiles,
         "Workspace_DidDeleteFiles"},
        {IncomingNotification::NotebookDocument_DidOpen,
         "NotebookDocument_DidOpen"},
        {IncomingNotification::NotebookDocument_DidChange,
         "NotebookDocument_DidChange"},
        {IncomingNotification::NotebookDocument_DidSave,
         "NotebookDocument_DidSave"},
        {IncomingNotification::NotebookDocument_DidClose,
         "NotebookDocument_DidClose"},
        {IncomingNotification::Initialized, "Initialized"},
        {IncomingNotification::Exit, "Exit"},
        {IncomingNotification::Workspace_DidChangeConfiguration,
         "Workspace_DidChangeConfiguration"},
        {IncomingNotification::TextDocument_DidOpen, "TextDocument_DidOpen"},
        {IncomingNotification::TextDocument_DidChange,
         "TextDocument_DidChange"},
        {IncomingNotification::TextDocument_DidClose, "TextDocument_DidClose"},
        {IncomingNotification::TextDocument_DidSave, "TextDocument_DidSave"},
        {IncomingNotification::TextDocument_WillSave, "TextDocument_WillSave"},
        {IncomingNotification::Workspace_DidChangeWatchedFiles,
         "Workspace_DidChangeWatchedFiles"},
        {IncomingNotification::SetTrace, "SetTrace"},
        {IncomingNotification::CancelRequest, "CancelRequest"},
        {IncomingNotification::Progress, "Progress"},
    };

    const std::map<IncomingNotification, std::string>
    IncomingNotificationValues = {
        {IncomingNotification::Workspace_DidChangeWorkspaceFolders,
         "workspace/didChangeWorkspaceFolders"},
        {IncomingNotification::Window_WorkDoneProgress_Cancel,
         "window/workDoneProgress/cancel"},
        {IncomingNotification::Workspace_DidCreateFiles,
         "workspace/didCreateFiles"},
        {IncomingNotification::Workspace_DidRenameFiles,
         "workspace/didRenameFiles"},
        {IncomingNotification::Workspace_DidDeleteFiles,
         "workspace/didDeleteFiles"},
        {IncomingNotification::NotebookDocument_DidOpen,
         "notebookDocument/didOpen"},
        {IncomingNotification::NotebookDocument_DidChange,
         "notebookDocument/didChange"},
        {IncomingNotification::NotebookDocument_DidSave,
         "notebookDocument/didSave"},
        {IncomingNotification::NotebookDocument_DidClose,
         "notebookDocument/didClose"},
        {IncomingNotification::Initialized, "initialized"},
        {IncomingNotification::Exit, "exit"},
        {IncomingNotification::Workspace_DidChangeConfiguration,
         "workspace/didChangeConfiguration"},
        {IncomingNotification::TextDocument_DidOpen, "textDocument/didOpen"},
        {IncomingNotification::TextDocument_DidChange,
         "textDocument/didChange"},
        {IncomingNotification::TextDocument_DidClose, "textDocument/didClose"},
        {IncomingNotification::TextDocument_DidSave, "textDocument/didSave"},
        {IncomingNotification::TextDocument_WillSave, "textDocument/willSave"},
        {IncomingNotification::Workspace_DidChangeWatchedFiles,
         "workspace/didChangeWatchedFiles"},
        {IncomingNotification::SetTrace, "$/setTrace"},
        {IncomingNotification::CancelRequest, "$/cancelRequest"},
        {IncomingNotification::Progress, "$/progress"},
    };

    auto incomingNotificationByName(
        const std::string &name
    ) -> IncomingNotification
    {
        for (const auto &[enum_name, enum_value] : IncomingNotificationNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid IncomingNotification name: " + name
        );
    }

    auto incomingNotificationByValue(
        const std::string &value
    ) -> IncomingNotification
    {
        for (const auto &[enum_name, enum_value]
                : IncomingNotificationValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid IncomingNotification value: \"" + value + "\""
        );
    }

    auto isIncomingNotification(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : IncomingNotificationValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

    const std::map<OutgoingNotification, std::string>
    OutgoingNotificationNames = {
        {OutgoingNotification::Window_ShowMessage, "Window_ShowMessage"},
        {OutgoingNotification::Window_LogMessage, "Window_LogMessage"},
        {OutgoingNotification::Telemetry_Event, "Telemetry_Event"},
        {OutgoingNotification::TextDocument_PublishDiagnostics,
         "TextDocument_PublishDiagnostics"},
        {OutgoingNotification::LogTrace, "LogTrace"},
        {OutgoingNotification::CancelRequest, "CancelRequest"},
        {OutgoingNotification::Progress, "Progress"},
    };

    const std::map<OutgoingNotification, std::string>
    OutgoingNotificationValues = {
        {OutgoingNotification::Window_ShowMessage, "window/showMessage"},
        {OutgoingNotification::Window_LogMessage, "window/logMessage"},
        {OutgoingNotification::Telemetry_Event, "telemetry/event"},
        {OutgoingNotification::TextDocument_PublishDiagnostics,
         "textDocument/publishDiagnostics"},
        {OutgoingNotification::LogTrace, "$/logTrace"},
        {OutgoingNotification::CancelRequest, "$/cancelRequest"},
        {OutgoingNotification::Progress, "$/progress"},
    };

    auto outgoingNotificationByName(
        const std::string &name
    ) -> OutgoingNotification
    {
        for (const auto &[enum_name, enum_value] : OutgoingNotificationNames) {
            if (name == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid OutgoingNotification name: " + name
        );
    }

    auto outgoingNotificationByValue(
        const std::string &value
    ) -> OutgoingNotification
    {
        for (const auto &[enum_name, enum_value]
                : OutgoingNotificationValues) {
            if (value == enum_value) {
                return enum_name;
            }
        }
        throw std::invalid_argument(
            "Invalid OutgoingNotification value: \"" + value + "\""
        );
    }

    auto isOutgoingNotification(const std::string &value) -> bool
    {
        for (const auto &[enum_key, enum_value] : OutgoingNotificationValues) {
            if (value == enum_value) {
                return true;
            }
        }
        return false;
    }

} // namespace LCompilers::LanguageServerProtocol
