// ------------------------------------------------------------------------------
// NOTE: This file was generated from Microsoft's Language Server Protocol (LSP)
// specification. Please do not edit it by hand.
// ------------------------------------------------------------------------------

#include <stdexcept>

#include <server/lsp_exception.h>
#include <server/lsp_specification.h>
#include <server/lsp_transformer.h>

namespace LCompilers::LanguageServerProtocol {

    auto LspTransformer::anyToSemanticTokenTypes(
        const LSPAny &any
    ) const -> SemanticTokenTypes
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return semanticTokenTypesByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "SemanticTokenTypes"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::semanticTokenTypesToAny(
        SemanticTokenTypes enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = SemanticTokenTypesValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokenModifiers(
        const LSPAny &any
    ) const -> SemanticTokenModifiers
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return semanticTokenModifiersByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "SemanticTokenModifiers"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::semanticTokenModifiersToAny(
        SemanticTokenModifiers enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = SemanticTokenModifiersValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToDocumentDiagnosticReportKind(
        const LSPAny &any
    ) const -> DocumentDiagnosticReportKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return documentDiagnosticReportKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "DocumentDiagnosticReportKind"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::documentDiagnosticReportKindToAny(
        DocumentDiagnosticReportKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = DocumentDiagnosticReportKindValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToErrorCodes(const LSPAny &any) const -> ErrorCodes
    {
        try {
            switch (any.type()) {
            case LSPAnyType::Integer: {
                integer_t value = any.integer();
                return errorCodesByValue(value);
            }
            case LSPAnyType::UInteger: {
                integer_t value = static_cast<integer_t>(any.integer());
                return errorCodesByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for an "
                     "ErrorCodes"
                     " must be of type LSPAnyType::Integer"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::errorCodesToAny(ErrorCodes enumerator) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<integer_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToLSPErrorCodes(
        const LSPAny &any
    ) const -> LSPErrorCodes
    {
        try {
            switch (any.type()) {
            case LSPAnyType::Integer: {
                integer_t value = any.integer();
                return lspErrorCodesByValue(value);
            }
            case LSPAnyType::UInteger: {
                integer_t value = static_cast<integer_t>(any.integer());
                return lspErrorCodesByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "LSPErrorCodes"
                     " must be of type LSPAnyType::Integer"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::lspErrorCodesToAny(
        LSPErrorCodes enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<integer_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToFoldingRangeKind(
        const LSPAny &any
    ) const -> FoldingRangeKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return foldingRangeKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "FoldingRangeKind"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::foldingRangeKindToAny(
        FoldingRangeKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = FoldingRangeKindValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToFoldingRangeClientCapabilities_foldingRangeKind(
        const LSPAny &any
    ) const -> FoldingRangeClientCapabilities_foldingRangeKind
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FoldingRangeClientCapabilities_foldingRangeKind"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FoldingRangeClientCapabilities_foldingRangeKind value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FoldingRangeClientCapabilities_foldingRangeKind"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FoldingRangeKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFoldingRangeKind(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::foldingRangeClientCapabilities_foldingRangeKindToAny(
        const FoldingRangeClientCapabilities_foldingRangeKind &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.valueSet.has_value()) {
            const auto &valueSet_0 = param.valueSet.value();
            LSPArray array_0;
            array_0.reserve(valueSet_0.size());
            for (const auto &elem_0 : valueSet_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = foldingRangeKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("valueSet", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::foldingRangeClientCapabilities_foldingRangeKind_valueSetToAny(
        const FoldingRangeClientCapabilities_foldingRangeKind_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = foldingRangeKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToFoldingRangeClientCapabilities_foldingRangeKind_valueSet(
        const LSPAny &any
    ) const -> FoldingRangeClientCapabilities_foldingRangeKind_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<FoldingRangeKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToFoldingRangeKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToSymbolKind(const LSPAny &any) const -> SymbolKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return symbolKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return symbolKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "SymbolKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::symbolKindToAny(SymbolKind enumerator) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceSymbolClientCapabilities_symbolKind(
        const LSPAny &any
    ) const -> WorkspaceSymbolClientCapabilities_symbolKind
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceSymbolClientCapabilities_symbolKind"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceSymbolClientCapabilities_symbolKind value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceSymbolClientCapabilities_symbolKind"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolKind(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbolClientCapabilities_symbolKindToAny(
        const WorkspaceSymbolClientCapabilities_symbolKind &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.valueSet.has_value()) {
            const auto &valueSet_0 = param.valueSet.value();
            LSPArray array_0;
            array_0.reserve(valueSet_0.size());
            for (const auto &elem_0 : valueSet_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("valueSet", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::workspaceSymbolClientCapabilities_symbolKind_valueSetToAny(
        const WorkspaceSymbolClientCapabilities_symbolKind_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceSymbolClientCapabilities_symbolKind_valueSet(
        const LSPAny &any
    ) const -> WorkspaceSymbolClientCapabilities_symbolKind_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<SymbolKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToDocumentSymbolClientCapabilities_symbolKind(
        const LSPAny &any
    ) const -> DocumentSymbolClientCapabilities_symbolKind
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentSymbolClientCapabilities_symbolKind"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentSymbolClientCapabilities_symbolKind value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentSymbolClientCapabilities_symbolKind"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolKind(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::documentSymbolClientCapabilities_symbolKindToAny(
        const DocumentSymbolClientCapabilities_symbolKind &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.valueSet.has_value()) {
            const auto &valueSet_0 = param.valueSet.value();
            LSPArray array_0;
            array_0.reserve(valueSet_0.size());
            for (const auto &elem_0 : valueSet_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("valueSet", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::documentSymbolClientCapabilities_symbolKind_valueSetToAny(
        const DocumentSymbolClientCapabilities_symbolKind_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDocumentSymbolClientCapabilities_symbolKind_valueSet(
        const LSPAny &any
    ) const -> DocumentSymbolClientCapabilities_symbolKind_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<SymbolKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToSymbolTag(const LSPAny &any) const -> SymbolTag
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return symbolTagByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return symbolTagByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "SymbolTag"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::symbolTagToAny(SymbolTag enumerator) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::callHierarchyItem_tagsToAny(
        const CallHierarchyItem_tags &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCallHierarchyItem_tags(
        const LSPAny &any
    ) const -> CallHierarchyItem_tags
    {
        const auto &array_0 = any.array();
        std::vector<SymbolTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::typeHierarchyItem_tagsToAny(
        const TypeHierarchyItem_tags &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTypeHierarchyItem_tags(
        const LSPAny &any
    ) const -> TypeHierarchyItem_tags
    {
        const auto &array_0 = any.array();
        std::vector<SymbolTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::documentSymbol_tagsToAny(
        const DocumentSymbol_tags &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDocumentSymbol_tags(
        const LSPAny &any
    ) const -> DocumentSymbol_tags
    {
        const auto &array_0 = any.array();
        std::vector<SymbolTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::baseSymbolInformation_tagsToAny(
        const BaseSymbolInformation_tags &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToBaseSymbolInformation_tags(
        const LSPAny &any
    ) const -> BaseSymbolInformation_tags
    {
        const auto &array_0 = any.array();
        std::vector<SymbolTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToWorkspaceSymbolClientCapabilities_tagSupport(
        const LSPAny &any
    ) const -> WorkspaceSymbolClientCapabilities_tagSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceSymbolClientCapabilities_tagSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceSymbolClientCapabilities_tagSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceSymbolClientCapabilities_tagSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolTag(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbolClientCapabilities_tagSupport attribute: valueSet"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbolClientCapabilities_tagSupportToAny(
        const WorkspaceSymbolClientCapabilities_tagSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.valueSet.size());
        for (const auto &elem_0 : param.valueSet) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("valueSet", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::workspaceSymbolClientCapabilities_tagSupport_valueSetToAny(
        const WorkspaceSymbolClientCapabilities_tagSupport_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceSymbolClientCapabilities_tagSupport_valueSet(
        const LSPAny &any
    ) const -> WorkspaceSymbolClientCapabilities_tagSupport_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<SymbolTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToDocumentSymbolClientCapabilities_tagSupport(
        const LSPAny &any
    ) const -> DocumentSymbolClientCapabilities_tagSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentSymbolClientCapabilities_tagSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentSymbolClientCapabilities_tagSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentSymbolClientCapabilities_tagSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolTag(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentSymbolClientCapabilities_tagSupport attribute: valueSet"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentSymbolClientCapabilities_tagSupportToAny(
        const DocumentSymbolClientCapabilities_tagSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.valueSet.size());
        for (const auto &elem_0 : param.valueSet) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("valueSet", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::documentSymbolClientCapabilities_tagSupport_valueSetToAny(
        const DocumentSymbolClientCapabilities_tagSupport_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDocumentSymbolClientCapabilities_tagSupport_valueSet(
        const LSPAny &any
    ) const -> DocumentSymbolClientCapabilities_tagSupport_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<SymbolTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToUniquenessLevel(
        const LSPAny &any
    ) const -> UniquenessLevel
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return uniquenessLevelByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for an "
                     "UniquenessLevel"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::uniquenessLevelToAny(
        UniquenessLevel enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = UniquenessLevelValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToMonikerKind(
        const LSPAny &any
    ) const -> MonikerKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return monikerKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "MonikerKind"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::monikerKindToAny(
        MonikerKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = MonikerKindValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToInlayHintKind(
        const LSPAny &any
    ) const -> InlayHintKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return inlayHintKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return inlayHintKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for an "
                     "InlayHintKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::inlayHintKindToAny(
        InlayHintKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToMessageType(
        const LSPAny &any
    ) const -> MessageType
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return messageTypeByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return messageTypeByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "MessageType"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::messageTypeToAny(
        MessageType enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentSyncKind(
        const LSPAny &any
    ) const -> TextDocumentSyncKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return textDocumentSyncKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return textDocumentSyncKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "TextDocumentSyncKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::textDocumentSyncKindToAny(
        TextDocumentSyncKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentSaveReason(
        const LSPAny &any
    ) const -> TextDocumentSaveReason
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return textDocumentSaveReasonByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return textDocumentSaveReasonByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "TextDocumentSaveReason"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::textDocumentSaveReasonToAny(
        TextDocumentSaveReason enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToCompletionItemKind(
        const LSPAny &any
    ) const -> CompletionItemKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return completionItemKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return completionItemKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "CompletionItemKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::completionItemKindToAny(
        CompletionItemKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItemKind(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItemKind
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionClientCapabilities_completionItemKind"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionClientCapabilities_completionItemKind value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionClientCapabilities_completionItemKind"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<CompletionItemKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToCompletionItemKind(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::completionClientCapabilities_completionItemKindToAny(
        const CompletionClientCapabilities_completionItemKind &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.valueSet.has_value()) {
            const auto &valueSet_0 = param.valueSet.value();
            LSPArray array_0;
            array_0.reserve(valueSet_0.size());
            for (const auto &elem_0 : valueSet_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = completionItemKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("valueSet", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::completionClientCapabilities_completionItemKind_valueSetToAny(
        const CompletionClientCapabilities_completionItemKind_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = completionItemKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItemKind_valueSet(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItemKind_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<CompletionItemKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCompletionItemKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCompletionItemTag(
        const LSPAny &any
    ) const -> CompletionItemTag
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return completionItemTagByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return completionItemTagByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "CompletionItemTag"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::completionItemTagToAny(
        CompletionItemTag enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::completionItem_tagsToAny(
        const CompletionItem_tags &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = completionItemTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionItem_tags(
        const LSPAny &any
    ) const -> CompletionItem_tags
    {
        const auto &array_0 = any.array();
        std::vector<CompletionItemTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCompletionItemTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItem_tagSupport(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItem_tagSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionClientCapabilities_completionItem_tagSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionClientCapabilities_completionItem_tagSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionClientCapabilities_completionItem_tagSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<CompletionItemTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToCompletionItemTag(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionClientCapabilities_completionItem_tagSupport attribute: valueSet"
            );
        }

        return value_0;
    }

    auto LspTransformer::completionClientCapabilities_completionItem_tagSupportToAny(
        const CompletionClientCapabilities_completionItem_tagSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.valueSet.size());
        for (const auto &elem_0 : param.valueSet) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = completionItemTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("valueSet", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::completionClientCapabilities_completionItem_tagSupport_valueSetToAny(
        const CompletionClientCapabilities_completionItem_tagSupport_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = completionItemTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItem_tagSupport_valueSet(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItem_tagSupport_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<CompletionItemTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCompletionItemTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToInsertTextFormat(
        const LSPAny &any
    ) const -> InsertTextFormat
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return insertTextFormatByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return insertTextFormatByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for an "
                     "InsertTextFormat"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::insertTextFormatToAny(
        InsertTextFormat enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToInsertTextMode(
        const LSPAny &any
    ) const -> InsertTextMode
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return insertTextModeByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return insertTextModeByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for an "
                     "InsertTextMode"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::insertTextModeToAny(
        InsertTextMode enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItem_insertTextModeSupport(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItem_insertTextModeSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionClientCapabilities_completionItem_insertTextModeSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionClientCapabilities_completionItem_insertTextModeSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionClientCapabilities_completionItem_insertTextModeSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<InsertTextMode> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToInsertTextMode(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionClientCapabilities_completionItem_insertTextModeSupport attribute: valueSet"
            );
        }

        return value_0;
    }

    auto LspTransformer::completionClientCapabilities_completionItem_insertTextModeSupportToAny(
        const CompletionClientCapabilities_completionItem_insertTextModeSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.valueSet.size());
        for (const auto &elem_0 : param.valueSet) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = insertTextModeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("valueSet", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::completionClientCapabilities_completionItem_insertTextModeSupport_valueSetToAny(
        const CompletionClientCapabilities_completionItem_insertTextModeSupport_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = insertTextModeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItem_insertTextModeSupport_valueSet(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItem_insertTextModeSupport_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<InsertTextMode> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToInsertTextMode(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToDocumentHighlightKind(
        const LSPAny &any
    ) const -> DocumentHighlightKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return documentHighlightKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return documentHighlightKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "DocumentHighlightKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::documentHighlightKindToAny(
        DocumentHighlightKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToCodeActionKind(
        const LSPAny &any
    ) const -> CodeActionKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return codeActionKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "CodeActionKind"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::codeActionKindToAny(
        CodeActionKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = CodeActionKindValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::codeActionContext_onlyToAny(
        const CodeActionContext_only &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = codeActionKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCodeActionContext_only(
        const LSPAny &any
    ) const -> CodeActionContext_only
    {
        const auto &array_0 = any.array();
        std::vector<CodeActionKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCodeActionKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::codeActionOptions_codeActionKindsToAny(
        const CodeActionOptions_codeActionKinds &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = codeActionKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCodeActionOptions_codeActionKinds(
        const LSPAny &any
    ) const -> CodeActionOptions_codeActionKinds
    {
        const auto &array_0 = any.array();
        std::vector<CodeActionKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCodeActionKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind(
        const LSPAny &any
    ) const -> CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<CodeActionKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToCodeActionKind(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind attribute: valueSet"
            );
        }

        return value_0;
    }

    auto LspTransformer::codeActionClientCapabilities_codeActionLiteralSupport_codeActionKindToAny(
        const CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.valueSet.size());
        for (const auto &elem_0 : param.valueSet) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = codeActionKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("valueSet", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCodeActionClientCapabilities_codeActionLiteralSupport(
        const LSPAny &any
    ) const -> CodeActionClientCapabilities_codeActionLiteralSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeActionClientCapabilities_codeActionLiteralSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeActionClientCapabilities_codeActionLiteralSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeActionClientCapabilities_codeActionLiteralSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("codeActionKind");
        if (iter_0 != object_0.end()) {
            value_0.codeActionKind =
                anyToCodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionClientCapabilities_codeActionLiteralSupport attribute: codeActionKind"
            );
        }

        return value_0;
    }

    auto LspTransformer::codeActionClientCapabilities_codeActionLiteralSupportToAny(
        const CodeActionClientCapabilities_codeActionLiteralSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "codeActionKind",
            std::make_unique<LSPAny>(codeActionClientCapabilities_codeActionLiteralSupport_codeActionKindToAny(param.codeActionKind))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::codeActionClientCapabilities_codeActionLiteralSupport_codeActionKind_valueSetToAny(
        const CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = codeActionKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind_valueSet(
        const LSPAny &any
    ) const -> CodeActionClientCapabilities_codeActionLiteralSupport_codeActionKind_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<CodeActionKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCodeActionKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTraceValues(
        const LSPAny &any
    ) const -> TraceValues
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return traceValuesByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "TraceValues"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::traceValuesToAny(
        TraceValues enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = TraceValuesValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToSetTraceParams(
        const LSPAny &any
    ) const -> SetTraceParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SetTraceParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SetTraceParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SetTraceParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("value");
        if (iter_0 != object_0.end()) {
            value_0.value = anyToTraceValues(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SetTraceParams attribute: value"
            );
        }

        return value_0;
    }

    auto LspTransformer::setTraceParamsToAny(
        const SetTraceParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "value",
            std::make_unique<LSPAny>(traceValuesToAny(param.value))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::asSetTraceParams(
        const MessageParams &notificationParams
    ) const -> SetTraceParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"$/setTrace\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        SetTraceParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("value");
        if (iter_0 != object_0.end()) {
            params_0.value = anyToTraceValues(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SetTraceParams attribute: value"
            );
        }

        return params_0;
    }

    auto LspTransformer::anyToMarkupKind(const LSPAny &any) const -> MarkupKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return markupKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "MarkupKind"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::markupKindToAny(MarkupKind enumerator) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = MarkupKindValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::completionClientCapabilities_completionItem_documentationFormatToAny(
        const CompletionClientCapabilities_completionItem_documentationFormat &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = markupKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItem_documentationFormat(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItem_documentationFormat
    {
        const auto &array_0 = any.array();
        std::vector<MarkupKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToMarkupKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::hoverClientCapabilities_contentFormatToAny(
        const HoverClientCapabilities_contentFormat &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = markupKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToHoverClientCapabilities_contentFormat(
        const LSPAny &any
    ) const -> HoverClientCapabilities_contentFormat
    {
        const auto &array_0 = any.array();
        std::vector<MarkupKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToMarkupKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::signatureHelpClientCapabilities_signatureInformation_documentationFormatToAny(
        const SignatureHelpClientCapabilities_signatureInformation_documentationFormat &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = markupKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSignatureHelpClientCapabilities_signatureInformation_documentationFormat(
        const LSPAny &any
    ) const -> SignatureHelpClientCapabilities_signatureInformation_documentationFormat
    {
        const auto &array_0 = any.array();
        std::vector<MarkupKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToMarkupKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToInlineCompletionTriggerKind(
        const LSPAny &any
    ) const -> InlineCompletionTriggerKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return inlineCompletionTriggerKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return inlineCompletionTriggerKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for an "
                     "InlineCompletionTriggerKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::inlineCompletionTriggerKindToAny(
        InlineCompletionTriggerKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToPositionEncodingKind(
        const LSPAny &any
    ) const -> PositionEncodingKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return positionEncodingKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "PositionEncodingKind"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::positionEncodingKindToAny(
        PositionEncodingKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = PositionEncodingKindValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::generalClientCapabilities_positionEncodingsToAny(
        const GeneralClientCapabilities_positionEncodings &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = positionEncodingKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToGeneralClientCapabilities_positionEncodings(
        const LSPAny &any
    ) const -> GeneralClientCapabilities_positionEncodings
    {
        const auto &array_0 = any.array();
        std::vector<PositionEncodingKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToPositionEncodingKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToFileChangeType(
        const LSPAny &any
    ) const -> FileChangeType
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return fileChangeTypeByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return fileChangeTypeByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "FileChangeType"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::fileChangeTypeToAny(
        FileChangeType enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToWatchKind(const LSPAny &any) const -> WatchKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return watchKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return watchKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "WatchKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::watchKindToAny(WatchKind enumerator) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToDiagnosticSeverity(
        const LSPAny &any
    ) const -> DiagnosticSeverity
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return diagnosticSeverityByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return diagnosticSeverityByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "DiagnosticSeverity"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::diagnosticSeverityToAny(
        DiagnosticSeverity enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToDiagnosticTag(
        const LSPAny &any
    ) const -> DiagnosticTag
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return diagnosticTagByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return diagnosticTagByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "DiagnosticTag"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::diagnosticTagToAny(
        DiagnosticTag enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::diagnostic_tagsToAny(
        const Diagnostic_tags &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDiagnostic_tags(
        const LSPAny &any
    ) const -> Diagnostic_tags
    {
        const auto &array_0 = any.array();
        std::vector<DiagnosticTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDiagnosticTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToPublishDiagnosticsClientCapabilities_tagSupport(
        const LSPAny &any
    ) const -> PublishDiagnosticsClientCapabilities_tagSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "PublishDiagnosticsClientCapabilities_tagSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        PublishDiagnosticsClientCapabilities_tagSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "PublishDiagnosticsClientCapabilities_tagSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("valueSet");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<DiagnosticTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToDiagnosticTag(*elem_0));
            }
            value_0.valueSet = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PublishDiagnosticsClientCapabilities_tagSupport attribute: valueSet"
            );
        }

        return value_0;
    }

    auto LspTransformer::publishDiagnosticsClientCapabilities_tagSupportToAny(
        const PublishDiagnosticsClientCapabilities_tagSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.valueSet.size());
        for (const auto &elem_0 : param.valueSet) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("valueSet", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::publishDiagnosticsClientCapabilities_tagSupport_valueSetToAny(
        const PublishDiagnosticsClientCapabilities_tagSupport_valueSet &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticTagToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToPublishDiagnosticsClientCapabilities_tagSupport_valueSet(
        const LSPAny &any
    ) const -> PublishDiagnosticsClientCapabilities_tagSupport_valueSet
    {
        const auto &array_0 = any.array();
        std::vector<DiagnosticTag> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDiagnosticTag(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCompletionTriggerKind(
        const LSPAny &any
    ) const -> CompletionTriggerKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return completionTriggerKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return completionTriggerKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "CompletionTriggerKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::completionTriggerKindToAny(
        CompletionTriggerKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToSignatureHelpTriggerKind(
        const LSPAny &any
    ) const -> SignatureHelpTriggerKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return signatureHelpTriggerKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return signatureHelpTriggerKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "SignatureHelpTriggerKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::signatureHelpTriggerKindToAny(
        SignatureHelpTriggerKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToCodeActionTriggerKind(
        const LSPAny &any
    ) const -> CodeActionTriggerKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return codeActionTriggerKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return codeActionTriggerKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "CodeActionTriggerKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::codeActionTriggerKindToAny(
        CodeActionTriggerKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToFileOperationPatternKind(
        const LSPAny &any
    ) const -> FileOperationPatternKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return fileOperationPatternKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "FileOperationPatternKind"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::fileOperationPatternKindToAny(
        FileOperationPatternKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = FileOperationPatternKindValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToNotebookCellKind(
        const LSPAny &any
    ) const -> NotebookCellKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return notebookCellKindByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return notebookCellKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "NotebookCellKind"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::notebookCellKindToAny(
        NotebookCellKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToResourceOperationKind(
        const LSPAny &any
    ) const -> ResourceOperationKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return resourceOperationKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "ResourceOperationKind"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::resourceOperationKindToAny(
        ResourceOperationKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = ResourceOperationKindValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::workspaceEditClientCapabilities_resourceOperationsToAny(
        const WorkspaceEditClientCapabilities_resourceOperations &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = resourceOperationKindToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceEditClientCapabilities_resourceOperations(
        const LSPAny &any
    ) const -> WorkspaceEditClientCapabilities_resourceOperations
    {
        const auto &array_0 = any.array();
        std::vector<ResourceOperationKind> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToResourceOperationKind(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToFailureHandlingKind(
        const LSPAny &any
    ) const -> FailureHandlingKind
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return failureHandlingKindByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "FailureHandlingKind"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::failureHandlingKindToAny(
        FailureHandlingKind enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = FailureHandlingKindValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToPrepareSupportDefaultBehavior(
        const LSPAny &any
    ) const -> PrepareSupportDefaultBehavior
    {
        try {
            switch (any.type()) {
            case LSPAnyType::UInteger: {
                uinteger_t value = any.uinteger();
                return prepareSupportDefaultBehaviorByValue(value);
            }
            case LSPAnyType::Integer: {
                uinteger_t value = static_cast<uinteger_t>(any.uinteger());
                return prepareSupportDefaultBehaviorByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "PrepareSupportDefaultBehavior"
                     " must be of type LSPAnyType::UInteger"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::prepareSupportDefaultBehaviorToAny(
        PrepareSupportDefaultBehavior enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = static_cast<uinteger_t>(enumerator);
        return any_0;
    }

    auto LspTransformer::anyToTokenFormat(
        const LSPAny &any
    ) const -> TokenFormat
    {
        try {
            switch (any.type()) {
            case LSPAnyType::String: {
                const string_t &value = any.string();
                return tokenFormatByValue(value);
            }
            default: {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("LSPAnyType for a "
                     "TokenFormat"
                     " must be of type LSPAnyType::String"
                     " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
                );
            }
            }
        } catch (std::invalid_argument &e) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                e.what()
            );
        }
    }

    auto LspTransformer::tokenFormatToAny(
        TokenFormat enumerator
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = TokenFormatValues.at(enumerator);
        return any_0;
    }

    auto LspTransformer::semanticTokensClientCapabilities_formatsToAny(
        const SemanticTokensClientCapabilities_formats &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = tokenFormatToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokensClientCapabilities_formats(
        const LSPAny &any
    ) const -> SemanticTokensClientCapabilities_formats
    {
        const auto &array_0 = any.array();
        std::vector<TokenFormat> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTokenFormat(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::documentUriToAny(
        const DocumentUri &param
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = param;
        return any_0;
    }

    auto LspTransformer::anyToDocumentUri(
        const LSPAny &any
    ) const -> DocumentUri
    {
        switch (any.type()) {
        case LSPAnyType::String: {
            return any.string();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type DocumentUri")
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceSymbol_location_1(
        const LSPAny &any
    ) const -> WorkspaceSymbol_location_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceSymbol_location_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceSymbol_location_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceSymbol_location_1"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbol_location_1 attribute: uri"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbol_location_1ToAny(
        const WorkspaceSymbol_location_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentIdentifier(
        const LSPAny &any
    ) const -> TextDocumentIdentifier
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentIdentifier"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentIdentifier value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentIdentifier"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentIdentifier attribute: uri"
            );
        }

        return value_0;
    }

    auto LspTransformer::textDocumentIdentifierToAny(
        const TextDocumentIdentifier &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::didCloseNotebookDocumentParams_cellTextDocumentsToAny(
        const DidCloseNotebookDocumentParams_cellTextDocuments &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentIdentifierToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDidCloseNotebookDocumentParams_cellTextDocuments(
        const LSPAny &any
    ) const -> DidCloseNotebookDocumentParams_cellTextDocuments
    {
        const auto &array_0 = any.array();
        std::vector<TextDocumentIdentifier> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextDocumentIdentifier(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToDidCloseTextDocumentParams(
        const LSPAny &any
    ) const -> DidCloseTextDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidCloseTextDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidCloseTextDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidCloseTextDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidCloseTextDocumentParams attribute: textDocument"
            );
        }

        return value_0;
    }

    auto LspTransformer::didCloseTextDocumentParamsToAny(
        const DidCloseTextDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWillSaveTextDocumentParams(
        const LSPAny &any
    ) const -> WillSaveTextDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WillSaveTextDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WillSaveTextDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WillSaveTextDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WillSaveTextDocumentParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("reason");
        if (iter_0 != object_0.end()) {
            value_0.reason = anyToTextDocumentSaveReason(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WillSaveTextDocumentParams attribute: reason"
            );
        }

        return value_0;
    }

    auto LspTransformer::willSaveTextDocumentParamsToAny(
        const WillSaveTextDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "reason",
            std::make_unique<LSPAny>(textDocumentSaveReasonToAny(param.reason))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::notebookDocumentChangeEvent_cells_structure_didCloseToAny(
        const NotebookDocumentChangeEvent_cells_structure_didClose &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentIdentifierToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocumentChangeEvent_cells_structure_didClose(
        const LSPAny &any
    ) const -> NotebookDocumentChangeEvent_cells_structure_didClose
    {
        const auto &array_0 = any.array();
        std::vector<TextDocumentIdentifier> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextDocumentIdentifier(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToFileEvent(const LSPAny &any) const -> FileEvent
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileEvent"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileEvent value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileEvent"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileEvent attribute: uri"
            );
        }

        iter_0 = object_0.find("type");
        if (iter_0 != object_0.end()) {
            value_0.type = anyToFileChangeType(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileEvent attribute: type"
            );
        }

        return value_0;
    }

    auto LspTransformer::fileEventToAny(const FileEvent &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "type",
            std::make_unique<LSPAny>(fileChangeTypeToAny(param.type))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDidChangeWatchedFilesParams(
        const LSPAny &any
    ) const -> DidChangeWatchedFilesParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidChangeWatchedFilesParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidChangeWatchedFilesParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidChangeWatchedFilesParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("changes");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileEvent> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileEvent(*elem_0));
            }
            value_0.changes = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeWatchedFilesParams attribute: changes"
            );
        }

        return value_0;
    }

    auto LspTransformer::didChangeWatchedFilesParamsToAny(
        const DidChangeWatchedFilesParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.changes.size());
        for (const auto &elem_0 : param.changes) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileEventToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("changes", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::didChangeWatchedFilesParams_changesToAny(
        const DidChangeWatchedFilesParams_changes &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileEventToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDidChangeWatchedFilesParams_changes(
        const LSPAny &any
    ) const -> DidChangeWatchedFilesParams_changes
    {
        const auto &array_0 = any.array();
        std::vector<FileEvent> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToFileEvent(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::asTextDocument_DidCloseParams(
        const MessageParams &notificationParams
    ) const -> DidCloseTextDocumentParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/didClose\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidCloseTextDocumentParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidCloseTextDocumentParams attribute: textDocument"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_WillSaveParams(
        const MessageParams &notificationParams
    ) const -> WillSaveTextDocumentParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/willSave\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        WillSaveTextDocumentParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WillSaveTextDocumentParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("reason");
        if (iter_0 != object_0.end()) {
            params_0.reason = anyToTextDocumentSaveReason(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WillSaveTextDocumentParams attribute: reason"
            );
        }

        return params_0;
    }

    auto LspTransformer::asWorkspace_DidChangeWatchedFilesParams(
        const MessageParams &notificationParams
    ) const -> DidChangeWatchedFilesParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/didChangeWatchedFiles\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidChangeWatchedFilesParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("changes");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileEvent> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileEvent(*elem_0));
            }
            params_0.changes = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeWatchedFilesParams attribute: changes"
            );
        }

        return params_0;
    }

    auto LspTransformer::uriToAny(const URI &param) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = param;
        return any_0;
    }

    auto LspTransformer::anyToURI(const LSPAny &any) const -> URI
    {
        switch (any.type()) {
        case LSPAnyType::String: {
            return any.string();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type URI")
            );
        }
        }
    }

    auto LspTransformer::anyToNotebookDocumentIdentifier(
        const LSPAny &any
    ) const -> NotebookDocumentIdentifier
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentIdentifier"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentIdentifier value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentIdentifier"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToURI(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentIdentifier attribute: uri"
            );
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentIdentifierToAny(
        const NotebookDocumentIdentifier &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace("uri", std::make_unique<LSPAny>(uriToAny(param.uri)));

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDidSaveNotebookDocumentParams(
        const LSPAny &any
    ) const -> DidSaveNotebookDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidSaveNotebookDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidSaveNotebookDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidSaveNotebookDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("notebookDocument");
        if (iter_0 != object_0.end()) {
            value_0.notebookDocument =
                anyToNotebookDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidSaveNotebookDocumentParams attribute: notebookDocument"
            );
        }

        return value_0;
    }

    auto LspTransformer::didSaveNotebookDocumentParamsToAny(
        const DidSaveNotebookDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "notebookDocument",
            std::make_unique<LSPAny>(notebookDocumentIdentifierToAny(param.notebookDocument))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDidCloseNotebookDocumentParams(
        const LSPAny &any
    ) const -> DidCloseNotebookDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidCloseNotebookDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidCloseNotebookDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidCloseNotebookDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("notebookDocument");
        if (iter_0 != object_0.end()) {
            value_0.notebookDocument =
                anyToNotebookDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidCloseNotebookDocumentParams attribute: notebookDocument"
            );
        }

        iter_0 = object_0.find("cellTextDocuments");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextDocumentIdentifier> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToTextDocumentIdentifier(*elem_0));
            }
            value_0.cellTextDocuments = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidCloseNotebookDocumentParams attribute: cellTextDocuments"
            );
        }

        return value_0;
    }

    auto LspTransformer::didCloseNotebookDocumentParamsToAny(
        const DidCloseNotebookDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "notebookDocument",
            std::make_unique<LSPAny>(notebookDocumentIdentifierToAny(param.notebookDocument))
        );

        LSPArray array_0;
        array_0.reserve(param.cellTextDocuments.size());
        for (const auto &elem_0 : param.cellTextDocuments) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentIdentifierToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("cellTextDocuments", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCodeDescription(
        const LSPAny &any
    ) const -> CodeDescription
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeDescription"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeDescription value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeDescription"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("href");
        if (iter_0 != object_0.end()) {
            value_0.href = anyToURI(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeDescription attribute: href"
            );
        }

        return value_0;
    }

    auto LspTransformer::codeDescriptionToAny(
        const CodeDescription &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "href",
            std::make_unique<LSPAny>(uriToAny(param.href))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::asNotebookDocument_DidSaveParams(
        const MessageParams &notificationParams
    ) const -> DidSaveNotebookDocumentParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"notebookDocument/didSave\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidSaveNotebookDocumentParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("notebookDocument");
        if (iter_0 != object_0.end()) {
            params_0.notebookDocument =
                anyToNotebookDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidSaveNotebookDocumentParams attribute: notebookDocument"
            );
        }

        return params_0;
    }

    auto LspTransformer::asNotebookDocument_DidCloseParams(
        const MessageParams &notificationParams
    ) const -> DidCloseNotebookDocumentParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"notebookDocument/didClose\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidCloseNotebookDocumentParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("notebookDocument");
        if (iter_0 != object_0.end()) {
            params_0.notebookDocument =
                anyToNotebookDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidCloseNotebookDocumentParams attribute: notebookDocument"
            );
        }

        iter_0 = object_0.find("cellTextDocuments");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextDocumentIdentifier> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToTextDocumentIdentifier(*elem_0));
            }
            params_0.cellTextDocuments = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidCloseNotebookDocumentParams attribute: cellTextDocuments"
            );
        }

        return params_0;
    }

    auto LspTransformer::stringToAny(const string_t &param) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = param;
        return any_0;
    }

    auto LspTransformer::anyToString(const LSPAny &any) const -> string_t
    {
        switch (any.type()) {
        case LSPAnyType::String: {
            return any.string();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type string_t")
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceFolder(
        const LSPAny &any
    ) const -> WorkspaceFolder
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceFolder"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceFolder value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceFolder"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToURI(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceFolder attribute: uri"
            );
        }

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            value_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceFolder attribute: name"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceFolderToAny(
        const WorkspaceFolder &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace("uri", std::make_unique<LSPAny>(uriToAny(param.uri)));

        object_0.emplace(
            "name",
            std::make_unique<LSPAny>(stringToAny(param.name))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToMoniker(const LSPAny &any) const -> Moniker
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Moniker"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Moniker value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Moniker"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("scheme");
        if (iter_0 != object_0.end()) {
            value_0.scheme = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Moniker attribute: scheme"
            );
        }

        iter_0 = object_0.find("identifier");
        if (iter_0 != object_0.end()) {
            value_0.identifier = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Moniker attribute: identifier"
            );
        }

        iter_0 = object_0.find("unique");
        if (iter_0 != object_0.end()) {
            value_0.unique = anyToUniquenessLevel(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Moniker attribute: unique"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToMonikerKind(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::monikerToAny(const Moniker &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "scheme",
            std::make_unique<LSPAny>(stringToAny(param.scheme))
        );

        object_0.emplace(
            "identifier",
            std::make_unique<LSPAny>(stringToAny(param.identifier))
        );

        object_0.emplace(
            "unique",
            std::make_unique<LSPAny>(uniquenessLevelToAny(param.unique))
        );

        if (param.kind.has_value()) {
            const auto &kind_0 = param.kind.value();
            object_0.emplace(
                "kind",
                std::make_unique<LSPAny>(monikerKindToAny(kind_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInitializeResult_serverInfo(
        const LSPAny &any
    ) const -> InitializeResult_serverInfo
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InitializeResult_serverInfo"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InitializeResult_serverInfo value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InitializeResult_serverInfo"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            value_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InitializeResult_serverInfo attribute: name"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::initializeResult_serverInfoToAny(
        const InitializeResult_serverInfo &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "name",
            std::make_unique<LSPAny>(stringToAny(param.name))
        );

        if (param.version.has_value()) {
            const auto &version_0 = param.version.value();
            object_0.emplace(
                "version",
                std::make_unique<LSPAny>(stringToAny(version_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDidChangeConfigurationRegistrationOptions_section(
        const LSPAny &any
    ) const -> DidChangeConfigurationRegistrationOptions_section
    {
        DidChangeConfigurationRegistrationOptions_section value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 =
                    anyToDidChangeConfigurationRegistrationOptions_section_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to DidChangeConfigurationRegistrationOptions_section"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "DidChangeConfigurationRegistrationOptions_section"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::didChangeConfigurationRegistrationOptions_sectionToAny(
        const DidChangeConfigurationRegistrationOptions_section &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case DidChangeConfigurationRegistrationOptions_sectionType::String: {
            return stringToAny(value.string());
        }
        case DidChangeConfigurationRegistrationOptions_sectionType::StringArray: {
            LSPArray array_0;
            array_0.reserve(value.stringArray().size());
            for (const auto &elem_0 : value.stringArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported DidChangeConfigurationRegistrationOptions_sectionType: " +
                 DidChangeConfigurationRegistrationOptions_sectionTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToDidChangeConfigurationRegistrationOptions(
        const LSPAny &any
    ) const -> DidChangeConfigurationRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidChangeConfigurationRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidChangeConfigurationRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidChangeConfigurationRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("section");
        if (iter_0 != object_0.end()) {
            value_0.section =
                anyToDidChangeConfigurationRegistrationOptions_section(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::didChangeConfigurationRegistrationOptionsToAny(
        const DidChangeConfigurationRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.section.has_value()) {
            const auto &section_0 = param.section.value();
            object_0.emplace(
                "section",
                std::make_unique<LSPAny>(didChangeConfigurationRegistrationOptions_sectionToAny(section_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::didChangeConfigurationRegistrationOptions_section_1ToAny(
        const DidChangeConfigurationRegistrationOptions_section_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDidChangeConfigurationRegistrationOptions_section_1(
        const LSPAny &any
    ) const -> DidChangeConfigurationRegistrationOptions_section_1
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToShowMessageParams(
        const LSPAny &any
    ) const -> ShowMessageParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ShowMessageParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ShowMessageParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ShowMessageParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("type");
        if (iter_0 != object_0.end()) {
            value_0.type = anyToMessageType(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ShowMessageParams attribute: type"
            );
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ShowMessageParams attribute: message"
            );
        }

        return value_0;
    }

    auto LspTransformer::showMessageParamsToAny(
        const ShowMessageParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "type",
            std::make_unique<LSPAny>(messageTypeToAny(param.type))
        );

        object_0.emplace(
            "message",
            std::make_unique<LSPAny>(stringToAny(param.message))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToMessageActionItem(
        const LSPAny &any
    ) const -> MessageActionItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "MessageActionItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        MessageActionItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "MessageActionItem"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("title");
        if (iter_0 != object_0.end()) {
            value_0.title = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MessageActionItem attribute: title"
            );
        }

        return value_0;
    }

    auto LspTransformer::messageActionItemToAny(
        const MessageActionItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "title",
            std::make_unique<LSPAny>(stringToAny(param.title))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToShowMessageRequestParams(
        const LSPAny &any
    ) const -> ShowMessageRequestParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ShowMessageRequestParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ShowMessageRequestParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ShowMessageRequestParams"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("type");
        if (iter_0 != object_0.end()) {
            value_0.type = anyToMessageType(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ShowMessageRequestParams attribute: type"
            );
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ShowMessageRequestParams attribute: message"
            );
        }

        iter_0 = object_0.find("actions");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<MessageActionItem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToMessageActionItem(*elem_0));
            }
            value_0.actions = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::showMessageRequestParamsToAny(
        const ShowMessageRequestParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "type",
            std::make_unique<LSPAny>(messageTypeToAny(param.type))
        );

        object_0.emplace(
            "message",
            std::make_unique<LSPAny>(stringToAny(param.message))
        );

        if (param.actions.has_value()) {
            const auto &actions_0 = param.actions.value();
            LSPArray array_0;
            array_0.reserve(actions_0.size());
            for (const auto &elem_0 : actions_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = messageActionItemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("actions", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::showMessageRequestParams_actionsToAny(
        const ShowMessageRequestParams_actions &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = messageActionItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToShowMessageRequestParams_actions(
        const LSPAny &any
    ) const -> ShowMessageRequestParams_actions
    {
        const auto &array_0 = any.array();
        std::vector<MessageActionItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToMessageActionItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToLogMessageParams(
        const LSPAny &any
    ) const -> LogMessageParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "LogMessageParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        LogMessageParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "LogMessageParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("type");
        if (iter_0 != object_0.end()) {
            value_0.type = anyToMessageType(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LogMessageParams attribute: type"
            );
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LogMessageParams attribute: message"
            );
        }

        return value_0;
    }

    auto LspTransformer::logMessageParamsToAny(
        const LogMessageParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "type",
            std::make_unique<LSPAny>(messageTypeToAny(param.type))
        );

        object_0.emplace(
            "message",
            std::make_unique<LSPAny>(stringToAny(param.message))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDidSaveTextDocumentParams(
        const LSPAny &any
    ) const -> DidSaveTextDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidSaveTextDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidSaveTextDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidSaveTextDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidSaveTextDocumentParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("text");
        if (iter_0 != object_0.end()) {
            value_0.text = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::didSaveTextDocumentParamsToAny(
        const DidSaveTextDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        if (param.text.has_value()) {
            const auto &text_0 = param.text.value();
            object_0.emplace(
                "text",
                std::make_unique<LSPAny>(stringToAny(text_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::completionItem_commitCharactersToAny(
        const CompletionItem_commitCharacters &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionItem_commitCharacters(
        const LSPAny &any
    ) const -> CompletionItem_commitCharacters
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::completionList_itemDefaults_commitCharactersToAny(
        const CompletionList_itemDefaults_commitCharacters &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionList_itemDefaults_commitCharacters(
        const LSPAny &any
    ) const -> CompletionList_itemDefaults_commitCharacters
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCodeAction_disabled(
        const LSPAny &any
    ) const -> CodeAction_disabled
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeAction_disabled"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeAction_disabled value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeAction_disabled"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("reason");
        if (iter_0 != object_0.end()) {
            value_0.reason = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeAction_disabled attribute: reason"
            );
        }

        return value_0;
    }

    auto LspTransformer::codeAction_disabledToAny(
        const CodeAction_disabled &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "reason",
            std::make_unique<LSPAny>(stringToAny(param.reason))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkDoneProgressEnd(
        const LSPAny &any
    ) const -> WorkDoneProgressEnd
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkDoneProgressEnd"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkDoneProgressEnd value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkDoneProgressEnd"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "end") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "WorkDoneProgressEnd.kind"
                     " must be \"end\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkDoneProgressEnd attribute: kind"
            );
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workDoneProgressEndToAny(
        const WorkDoneProgressEnd &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        if (param.message.has_value()) {
            const auto &message_0 = param.message.value();
            object_0.emplace(
                "message",
                std::make_unique<LSPAny>(stringToAny(message_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToLogTraceParams(
        const LSPAny &any
    ) const -> LogTraceParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "LogTraceParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        LogTraceParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "LogTraceParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LogTraceParams attribute: message"
            );
        }

        iter_0 = object_0.find("verbose");
        if (iter_0 != object_0.end()) {
            value_0.verbose = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::logTraceParamsToAny(
        const LogTraceParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "message",
            std::make_unique<LSPAny>(stringToAny(param.message))
        );

        if (param.verbose.has_value()) {
            const auto &verbose_0 = param.verbose.value();
            object_0.emplace(
                "verbose",
                std::make_unique<LSPAny>(stringToAny(verbose_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToStaticRegistrationOptions(
        const LSPAny &any
    ) const -> StaticRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "StaticRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        StaticRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "StaticRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::staticRegistrationOptionsToAny(
        const StaticRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceFoldersChangeEvent(
        const LSPAny &any
    ) const -> WorkspaceFoldersChangeEvent
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceFoldersChangeEvent"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceFoldersChangeEvent value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceFoldersChangeEvent"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("added");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<WorkspaceFolder> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToWorkspaceFolder(*elem_0));
            }
            value_0.added = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceFoldersChangeEvent attribute: added"
            );
        }

        iter_0 = object_0.find("removed");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<WorkspaceFolder> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToWorkspaceFolder(*elem_1));
            }
            value_0.removed = std::move(values_1);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceFoldersChangeEvent attribute: removed"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceFoldersChangeEventToAny(
        const WorkspaceFoldersChangeEvent &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.added.size());
        for (const auto &elem_0 : param.added) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceFolderToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("added", std::move(any_1));

        LSPArray array_1;
        array_1.reserve(param.removed.size());
        for (const auto &elem_1 : param.removed) {
            auto any_2 = std::make_unique<LSPAny>();
            (*any_2) = workspaceFolderToAny(elem_1);
            array_1.push_back(std::move(any_2));
        }
        auto any_3 = std::make_unique<LSPAny>();
        (*any_3) = std::move(array_1);
        object_0.emplace("removed", std::move(any_3));

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::anyToDidChangeWorkspaceFoldersParams(
        const LSPAny &any
    ) const -> DidChangeWorkspaceFoldersParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidChangeWorkspaceFoldersParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidChangeWorkspaceFoldersParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidChangeWorkspaceFoldersParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("event");
        if (iter_0 != object_0.end()) {
            value_0.event = anyToWorkspaceFoldersChangeEvent(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeWorkspaceFoldersParams attribute: event"
            );
        }

        return value_0;
    }

    auto LspTransformer::didChangeWorkspaceFoldersParamsToAny(
        const DidChangeWorkspaceFoldersParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "event",
            std::make_unique<LSPAny>(workspaceFoldersChangeEventToAny(param.event))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::workspaceFoldersChangeEvent_addedToAny(
        const WorkspaceFoldersChangeEvent_added &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceFolderToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceFoldersChangeEvent_added(
        const LSPAny &any
    ) const -> WorkspaceFoldersChangeEvent_added
    {
        const auto &array_0 = any.array();
        std::vector<WorkspaceFolder> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToWorkspaceFolder(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::workspaceFoldersChangeEvent_removedToAny(
        const WorkspaceFoldersChangeEvent_removed &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceFolderToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceFoldersChangeEvent_removed(
        const LSPAny &any
    ) const -> WorkspaceFoldersChangeEvent_removed
    {
        const auto &array_0 = any.array();
        std::vector<WorkspaceFolder> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToWorkspaceFolder(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToConfigurationItem(
        const LSPAny &any
    ) const -> ConfigurationItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ConfigurationItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ConfigurationItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ConfigurationItem"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("scopeUri");
        if (iter_0 != object_0.end()) {
            value_0.scopeUri = anyToURI(*iter_0->second);
        }

        iter_0 = object_0.find("section");
        if (iter_0 != object_0.end()) {
            value_0.section = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::configurationItemToAny(
        const ConfigurationItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.scopeUri.has_value()) {
            const auto &scopeUri_0 = param.scopeUri.value();
            object_0.emplace(
                "scopeUri",
                std::make_unique<LSPAny>(uriToAny(scopeUri_0))
            );
        }

        if (param.section.has_value()) {
            const auto &section_0 = param.section.value();
            object_0.emplace(
                "section",
                std::make_unique<LSPAny>(stringToAny(section_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToConfigurationParams(
        const LSPAny &any
    ) const -> ConfigurationParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ConfigurationParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ConfigurationParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ConfigurationParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("items");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<ConfigurationItem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToConfigurationItem(*elem_0));
            }
            value_0.items = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ConfigurationParams attribute: items"
            );
        }

        return value_0;
    }

    auto LspTransformer::configurationParamsToAny(
        const ConfigurationParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.items.size());
        for (const auto &elem_0 : param.items) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = configurationItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("items", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::configurationParams_itemsToAny(
        const ConfigurationParams_items &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = configurationItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToConfigurationParams_items(
        const LSPAny &any
    ) const -> ConfigurationParams_items
    {
        const auto &array_0 = any.array();
        std::vector<ConfigurationItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToConfigurationItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToFileCreate(const LSPAny &any) const -> FileCreate
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileCreate"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileCreate value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileCreate"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileCreate attribute: uri"
            );
        }

        return value_0;
    }

    auto LspTransformer::fileCreateToAny(
        const FileCreate &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(stringToAny(param.uri))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCreateFilesParams(
        const LSPAny &any
    ) const -> CreateFilesParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CreateFilesParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CreateFilesParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CreateFilesParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("files");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileCreate> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileCreate(*elem_0));
            }
            value_0.files = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CreateFilesParams attribute: files"
            );
        }

        return value_0;
    }

    auto LspTransformer::createFilesParamsToAny(
        const CreateFilesParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.files.size());
        for (const auto &elem_0 : param.files) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileCreateToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("files", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::createFilesParams_filesToAny(
        const CreateFilesParams_files &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileCreateToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCreateFilesParams_files(
        const LSPAny &any
    ) const -> CreateFilesParams_files
    {
        const auto &array_0 = any.array();
        std::vector<FileCreate> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToFileCreate(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToFileRename(const LSPAny &any) const -> FileRename
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileRename"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileRename value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileRename"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("oldUri");
        if (iter_0 != object_0.end()) {
            value_0.oldUri = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileRename attribute: oldUri"
            );
        }

        iter_0 = object_0.find("newUri");
        if (iter_0 != object_0.end()) {
            value_0.newUri = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileRename attribute: newUri"
            );
        }

        return value_0;
    }

    auto LspTransformer::fileRenameToAny(
        const FileRename &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "oldUri",
            std::make_unique<LSPAny>(stringToAny(param.oldUri))
        );

        object_0.emplace(
            "newUri",
            std::make_unique<LSPAny>(stringToAny(param.newUri))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToRenameFilesParams(
        const LSPAny &any
    ) const -> RenameFilesParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RenameFilesParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RenameFilesParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RenameFilesParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("files");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileRename> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileRename(*elem_0));
            }
            value_0.files = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameFilesParams attribute: files"
            );
        }

        return value_0;
    }

    auto LspTransformer::renameFilesParamsToAny(
        const RenameFilesParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.files.size());
        for (const auto &elem_0 : param.files) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileRenameToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("files", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::renameFilesParams_filesToAny(
        const RenameFilesParams_files &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileRenameToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToRenameFilesParams_files(
        const LSPAny &any
    ) const -> RenameFilesParams_files
    {
        const auto &array_0 = any.array();
        std::vector<FileRename> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToFileRename(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToFileDelete(const LSPAny &any) const -> FileDelete
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileDelete"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileDelete value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileDelete"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileDelete attribute: uri"
            );
        }

        return value_0;
    }

    auto LspTransformer::fileDeleteToAny(
        const FileDelete &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(stringToAny(param.uri))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDeleteFilesParams(
        const LSPAny &any
    ) const -> DeleteFilesParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DeleteFilesParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DeleteFilesParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DeleteFilesParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("files");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileDelete> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileDelete(*elem_0));
            }
            value_0.files = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeleteFilesParams attribute: files"
            );
        }

        return value_0;
    }

    auto LspTransformer::deleteFilesParamsToAny(
        const DeleteFilesParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.files.size());
        for (const auto &elem_0 : param.files) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileDeleteToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("files", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::deleteFilesParams_filesToAny(
        const DeleteFilesParams_files &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileDeleteToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDeleteFilesParams_files(
        const LSPAny &any
    ) const -> DeleteFilesParams_files
    {
        const auto &array_0 = any.array();
        std::vector<FileDelete> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToFileDelete(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToMarkupContent(
        const LSPAny &any
    ) const -> MarkupContent
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "MarkupContent"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        MarkupContent value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "MarkupContent"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToMarkupKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MarkupContent attribute: kind"
            );
        }

        iter_0 = object_0.find("value");
        if (iter_0 != object_0.end()) {
            value_0.value = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MarkupContent attribute: value"
            );
        }

        return value_0;
    }

    auto LspTransformer::markupContentToAny(
        const MarkupContent &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(markupKindToAny(param.kind))
        );

        object_0.emplace(
            "value",
            std::make_unique<LSPAny>(stringToAny(param.value))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlayHint_tooltip(
        const LSPAny &any
    ) const -> InlayHint_tooltip
    {
        InlayHint_tooltip value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToMarkupContent(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to InlayHint_tooltip"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for an "
                 "InlayHint_tooltip"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::inlayHint_tooltipToAny(
        const InlayHint_tooltip &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case InlayHint_tooltipType::String: {
            return stringToAny(value.string());
        }
        case InlayHint_tooltipType::MarkupContent: {
            return markupContentToAny(value.markupContent());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported InlayHint_tooltipType: " +
                 InlayHint_tooltipTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToCompletionItem_documentation(
        const LSPAny &any
    ) const -> CompletionItem_documentation
    {
        CompletionItem_documentation value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToMarkupContent(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to CompletionItem_documentation"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "CompletionItem_documentation"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::completionItem_documentationToAny(
        const CompletionItem_documentation &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case CompletionItem_documentationType::String: {
            return stringToAny(value.string());
        }
        case CompletionItem_documentationType::MarkupContent: {
            return markupContentToAny(value.markupContent());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported CompletionItem_documentationType: " +
                 CompletionItem_documentationTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToInlayHintLabelPart_tooltip(
        const LSPAny &any
    ) const -> InlayHintLabelPart_tooltip
    {
        InlayHintLabelPart_tooltip value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToMarkupContent(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to InlayHintLabelPart_tooltip"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for an "
                 "InlayHintLabelPart_tooltip"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::inlayHintLabelPart_tooltipToAny(
        const InlayHintLabelPart_tooltip &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case InlayHintLabelPart_tooltipType::String: {
            return stringToAny(value.string());
        }
        case InlayHintLabelPart_tooltipType::MarkupContent: {
            return markupContentToAny(value.markupContent());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported InlayHintLabelPart_tooltipType: " +
                 InlayHintLabelPart_tooltipTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToUnchangedDocumentDiagnosticReport(
        const LSPAny &any
    ) const -> UnchangedDocumentDiagnosticReport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "UnchangedDocumentDiagnosticReport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        UnchangedDocumentDiagnosticReport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "UnchangedDocumentDiagnosticReport"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "unchanged") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "UnchangedDocumentDiagnosticReport.kind"
                     " must be \"unchanged\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required UnchangedDocumentDiagnosticReport attribute: kind"
            );
        }

        iter_0 = object_0.find("resultId");
        if (iter_0 != object_0.end()) {
            value_0.resultId = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required UnchangedDocumentDiagnosticReport attribute: resultId"
            );
        }

        return value_0;
    }

    auto LspTransformer::unchangedDocumentDiagnosticReportToAny(
        const UnchangedDocumentDiagnosticReport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        object_0.emplace(
            "resultId",
            std::make_unique<LSPAny>(stringToAny(param.resultId))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToPreviousResultId(
        const LSPAny &any
    ) const -> PreviousResultId
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "PreviousResultId"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        PreviousResultId value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "PreviousResultId"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PreviousResultId attribute: uri"
            );
        }

        iter_0 = object_0.find("value");
        if (iter_0 != object_0.end()) {
            value_0.value = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PreviousResultId attribute: value"
            );
        }

        return value_0;
    }

    auto LspTransformer::previousResultIdToAny(
        const PreviousResultId &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "value",
            std::make_unique<LSPAny>(stringToAny(param.value))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::workspaceDiagnosticParams_previousResultIdsToAny(
        const WorkspaceDiagnosticParams_previousResultIds &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = previousResultIdToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceDiagnosticParams_previousResultIds(
        const LSPAny &any
    ) const -> WorkspaceDiagnosticParams_previousResultIds
    {
        const auto &array_0 = any.array();
        std::vector<PreviousResultId> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToPreviousResultId(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToStringValue(
        const LSPAny &any
    ) const -> StringValue
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "StringValue"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        StringValue value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "StringValue"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "snippet") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "StringValue.kind"
                     " must be \"snippet\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required StringValue attribute: kind"
            );
        }

        iter_0 = object_0.find("value");
        if (iter_0 != object_0.end()) {
            value_0.value = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required StringValue attribute: value"
            );
        }

        return value_0;
    }

    auto LspTransformer::stringValueToAny(
        const StringValue &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        object_0.emplace(
            "value",
            std::make_unique<LSPAny>(stringToAny(param.value))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineCompletionItem_insertText(
        const LSPAny &any
    ) const -> InlineCompletionItem_insertText
    {
        InlineCompletionItem_insertText value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToStringValue(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to InlineCompletionItem_insertText"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for an "
                 "InlineCompletionItem_insertText"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::inlineCompletionItem_insertTextToAny(
        const InlineCompletionItem_insertText &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case InlineCompletionItem_insertTextType::String: {
            return stringToAny(value.string());
        }
        case InlineCompletionItem_insertTextType::StringValue: {
            return stringValueToAny(value.stringValue());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported InlineCompletionItem_insertTextType: " +
                 InlineCompletionItem_insertTextTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToUnregistration(
        const LSPAny &any
    ) const -> Unregistration
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "Unregistration"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Unregistration value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "Unregistration"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Unregistration attribute: id"
            );
        }

        iter_0 = object_0.find("method");
        if (iter_0 != object_0.end()) {
            value_0.method = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Unregistration attribute: method"
            );
        }

        return value_0;
    }

    auto LspTransformer::unregistrationToAny(
        const Unregistration &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "id",
            std::make_unique<LSPAny>(stringToAny(param.id))
        );

        object_0.emplace(
            "method",
            std::make_unique<LSPAny>(stringToAny(param.method))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToUnregistrationParams(
        const LSPAny &any
    ) const -> UnregistrationParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "UnregistrationParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        UnregistrationParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "UnregistrationParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("unregisterations");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Unregistration> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToUnregistration(*elem_0));
            }
            value_0.unregisterations = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required UnregistrationParams attribute: unregisterations"
            );
        }

        return value_0;
    }

    auto LspTransformer::unregistrationParamsToAny(
        const UnregistrationParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.unregisterations.size());
        for (const auto &elem_0 : param.unregisterations) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = unregistrationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("unregisterations", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::unregistrationParams_unregisterationsToAny(
        const UnregistrationParams_unregisterations &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = unregistrationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToUnregistrationParams_unregisterations(
        const LSPAny &any
    ) const -> UnregistrationParams_unregisterations
    {
        const auto &array_0 = any.array();
        std::vector<Unregistration> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToUnregistration(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyTo_InitializeParams_clientInfo(
        const LSPAny &any
    ) const -> _InitializeParams_clientInfo
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "_InitializeParams_clientInfo"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        _InitializeParams_clientInfo value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "_InitializeParams_clientInfo"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            value_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required _InitializeParams_clientInfo attribute: name"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::_InitializeParams_clientInfoToAny(
        const _InitializeParams_clientInfo &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "name",
            std::make_unique<LSPAny>(stringToAny(param.name))
        );

        if (param.version.has_value()) {
            const auto &version_0 = param.version.value();
            object_0.emplace(
                "version",
                std::make_unique<LSPAny>(stringToAny(version_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::workspaceFoldersInitializeParams_workspaceFolders_0ToAny(
        const WorkspaceFoldersInitializeParams_workspaceFolders_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceFolderToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceFoldersInitializeParams_workspaceFolders_0(
        const LSPAny &any
    ) const -> WorkspaceFoldersInitializeParams_workspaceFolders_0
    {
        const auto &array_0 = any.array();
        std::vector<WorkspaceFolder> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToWorkspaceFolder(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCompletionContext(
        const LSPAny &any
    ) const -> CompletionContext
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionContext"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionContext value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionContext"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("triggerKind");
        if (iter_0 != object_0.end()) {
            value_0.triggerKind = anyToCompletionTriggerKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionContext attribute: triggerKind"
            );
        }

        iter_0 = object_0.find("triggerCharacter");
        if (iter_0 != object_0.end()) {
            value_0.triggerCharacter = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionContextToAny(
        const CompletionContext &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "triggerKind",
            std::make_unique<LSPAny>(completionTriggerKindToAny(param.triggerKind))
        );

        if (param.triggerCharacter.has_value()) {
            const auto &triggerCharacter_0 = param.triggerCharacter.value();
            object_0.emplace(
                "triggerCharacter",
                std::make_unique<LSPAny>(stringToAny(triggerCharacter_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCompletionItemLabelDetails(
        const LSPAny &any
    ) const -> CompletionItemLabelDetails
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionItemLabelDetails"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionItemLabelDetails value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionItemLabelDetails"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("detail");
        if (iter_0 != object_0.end()) {
            value_0.detail = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("description");
        if (iter_0 != object_0.end()) {
            value_0.description = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionItemLabelDetailsToAny(
        const CompletionItemLabelDetails &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.detail.has_value()) {
            const auto &detail_0 = param.detail.value();
            object_0.emplace(
                "detail",
                std::make_unique<LSPAny>(stringToAny(detail_0))
            );
        }

        if (param.description.has_value()) {
            const auto &description_0 = param.description.value();
            object_0.emplace(
                "description",
                std::make_unique<LSPAny>(stringToAny(description_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::completionOptions_triggerCharactersToAny(
        const CompletionOptions_triggerCharacters &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionOptions_triggerCharacters(
        const LSPAny &any
    ) const -> CompletionOptions_triggerCharacters
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::completionOptions_allCommitCharactersToAny(
        const CompletionOptions_allCommitCharacters &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionOptions_allCommitCharacters(
        const LSPAny &any
    ) const -> CompletionOptions_allCommitCharacters
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToSignatureInformation_documentation(
        const LSPAny &any
    ) const -> SignatureInformation_documentation
    {
        SignatureInformation_documentation value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToMarkupContent(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to SignatureInformation_documentation"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "SignatureInformation_documentation"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::signatureInformation_documentationToAny(
        const SignatureInformation_documentation &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case SignatureInformation_documentationType::String: {
            return stringToAny(value.string());
        }
        case SignatureInformation_documentationType::MarkupContent: {
            return markupContentToAny(value.markupContent());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported SignatureInformation_documentationType: " +
                 SignatureInformation_documentationTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::signatureHelpOptions_triggerCharactersToAny(
        const SignatureHelpOptions_triggerCharacters &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSignatureHelpOptions_triggerCharacters(
        const LSPAny &any
    ) const -> SignatureHelpOptions_triggerCharacters
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::signatureHelpOptions_retriggerCharactersToAny(
        const SignatureHelpOptions_retriggerCharacters &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSignatureHelpOptions_retriggerCharacters(
        const LSPAny &any
    ) const -> SignatureHelpOptions_retriggerCharacters
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToBaseSymbolInformation(
        const LSPAny &any
    ) const -> BaseSymbolInformation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "BaseSymbolInformation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        BaseSymbolInformation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "BaseSymbolInformation"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            value_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required BaseSymbolInformation attribute: name"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToSymbolKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required BaseSymbolInformation attribute: kind"
            );
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolTag(*elem_0));
            }
            value_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("containerName");
        if (iter_0 != object_0.end()) {
            value_0.containerName = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::baseSymbolInformationToAny(
        const BaseSymbolInformation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "name",
            std::make_unique<LSPAny>(stringToAny(param.name))
        );

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(symbolKindToAny(param.kind))
        );

        if (param.tags.has_value()) {
            const auto &tags_0 = param.tags.value();
            LSPArray array_0;
            array_0.reserve(tags_0.size());
            for (const auto &elem_0 : tags_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolTagToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("tags", std::move(any_1));
        }

        if (param.containerName.has_value()) {
            const auto &containerName_0 = param.containerName.value();
            object_0.emplace(
                "containerName",
                std::make_unique<LSPAny>(stringToAny(containerName_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToDocumentOnTypeFormattingOptions(
        const LSPAny &any
    ) const -> DocumentOnTypeFormattingOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentOnTypeFormattingOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentOnTypeFormattingOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentOnTypeFormattingOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("firstTriggerCharacter");
        if (iter_0 != object_0.end()) {
            value_0.firstTriggerCharacter = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingOptions attribute: firstTriggerCharacter"
            );
        }

        iter_0 = object_0.find("moreTriggerCharacter");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.moreTriggerCharacter = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::documentOnTypeFormattingOptionsToAny(
        const DocumentOnTypeFormattingOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "firstTriggerCharacter",
            std::make_unique<LSPAny>(stringToAny(param.firstTriggerCharacter))
        );

        if (param.moreTriggerCharacter.has_value()) {
            const auto &moreTriggerCharacter_0 =
                param.moreTriggerCharacter.value();
            LSPArray array_0;
            array_0.reserve(moreTriggerCharacter_0.size());
            for (const auto &elem_0 : moreTriggerCharacter_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("moreTriggerCharacter", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::documentOnTypeFormattingOptions_moreTriggerCharacterToAny(
        const DocumentOnTypeFormattingOptions_moreTriggerCharacter &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDocumentOnTypeFormattingOptions_moreTriggerCharacter(
        const LSPAny &any
    ) const -> DocumentOnTypeFormattingOptions_moreTriggerCharacter
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::executeCommandOptions_commandsToAny(
        const ExecuteCommandOptions_commands &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToExecuteCommandOptions_commands(
        const LSPAny &any
    ) const -> ExecuteCommandOptions_commands
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToSemanticTokensLegend(
        const LSPAny &any
    ) const -> SemanticTokensLegend
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensLegend"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensLegend value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensLegend"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("tokenTypes");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.tokenTypes = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensLegend attribute: tokenTypes"
            );
        }

        iter_0 = object_0.find("tokenModifiers");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<string_t> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToString(*elem_1));
            }
            value_0.tokenModifiers = std::move(values_1);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensLegend attribute: tokenModifiers"
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensLegendToAny(
        const SemanticTokensLegend &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.tokenTypes.size());
        for (const auto &elem_0 : param.tokenTypes) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("tokenTypes", std::move(any_1));

        LSPArray array_1;
        array_1.reserve(param.tokenModifiers.size());
        for (const auto &elem_1 : param.tokenModifiers) {
            auto any_2 = std::make_unique<LSPAny>();
            (*any_2) = stringToAny(elem_1);
            array_1.push_back(std::move(any_2));
        }
        auto any_3 = std::make_unique<LSPAny>();
        (*any_3) = std::move(array_1);
        object_0.emplace("tokenModifiers", std::move(any_3));

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::semanticTokensLegend_tokenTypesToAny(
        const SemanticTokensLegend_tokenTypes &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokensLegend_tokenTypes(
        const LSPAny &any
    ) const -> SemanticTokensLegend_tokenTypes
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::semanticTokensLegend_tokenModifiersToAny(
        const SemanticTokensLegend_tokenModifiers &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokensLegend_tokenModifiers(
        const LSPAny &any
    ) const -> SemanticTokensLegend_tokenModifiers
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("language");
        if (iter_0 != object_0.end()) {
            value_0.language = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem attribute: language"
            );
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelector_elem_0_cells_elemToAny(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "language",
            std::make_unique<LSPAny>(stringToAny(param.language))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelector_elem_0_cellsToAny(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0_cells &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) =
                notebookDocumentSyncOptions_notebookSelector_elem_0_cells_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector_elem_0_cells(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector_elem_0_cells
    {
        const auto &array_0 = any.array();
        std::vector<NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(
                anyToNotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem(*elem_0)
            );
        }
        return values_0;
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("language");
        if (iter_0 != object_0.end()) {
            value_0.language = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem attribute: language"
            );
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelector_elem_1_cells_elemToAny(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "language",
            std::make_unique<LSPAny>(stringToAny(param.language))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelector_elem_1_cellsToAny(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1_cells &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) =
                notebookDocumentSyncOptions_notebookSelector_elem_1_cells_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector_elem_1_cells(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector_elem_1_cells
    {
        const auto &array_0 = any.array();
        std::vector<NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(
                anyToNotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem(*elem_0)
            );
        }
        return values_0;
    }

    auto LspTransformer::anyToParameterInformation_documentation(
        const LSPAny &any
    ) const -> ParameterInformation_documentation
    {
        ParameterInformation_documentation value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToMarkupContent(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ParameterInformation_documentation"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ParameterInformation_documentation"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::parameterInformation_documentationToAny(
        const ParameterInformation_documentation &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ParameterInformation_documentationType::String: {
            return stringToAny(value.string());
        }
        case ParameterInformation_documentationType::MarkupContent: {
            return markupContentToAny(value.markupContent());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ParameterInformation_documentationType: " +
                 ParameterInformation_documentationTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::generalClientCapabilities_staleRequestSupport_retryOnContentModifiedToAny(
        const GeneralClientCapabilities_staleRequestSupport_retryOnContentModified &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToGeneralClientCapabilities_staleRequestSupport_retryOnContentModified(
        const LSPAny &any
    ) const -> GeneralClientCapabilities_staleRequestSupport_retryOnContentModified
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToRelativePattern_baseUri(
        const LSPAny &any
    ) const -> RelativePattern_baseUri
    {
        RelativePattern_baseUri value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToWorkspaceFolder(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to RelativePattern_baseUri"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "RelativePattern_baseUri"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::relativePattern_baseUriToAny(
        const RelativePattern_baseUri &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case RelativePattern_baseUriType::WorkspaceFolder: {
            return workspaceFolderToAny(value.workspaceFolder());
        }
        case RelativePattern_baseUriType::String: {
            return uriToAny(value.uri());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported RelativePattern_baseUriType: " +
                 RelativePattern_baseUriTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceSymbolClientCapabilities_resolveSupport(
        const LSPAny &any
    ) const -> WorkspaceSymbolClientCapabilities_resolveSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceSymbolClientCapabilities_resolveSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceSymbolClientCapabilities_resolveSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceSymbolClientCapabilities_resolveSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("properties");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.properties = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbolClientCapabilities_resolveSupport attribute: properties"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbolClientCapabilities_resolveSupportToAny(
        const WorkspaceSymbolClientCapabilities_resolveSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.properties.size());
        for (const auto &elem_0 : param.properties) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("properties", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::workspaceSymbolClientCapabilities_resolveSupport_propertiesToAny(
        const WorkspaceSymbolClientCapabilities_resolveSupport_properties &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceSymbolClientCapabilities_resolveSupport_properties(
        const LSPAny &any
    ) const -> WorkspaceSymbolClientCapabilities_resolveSupport_properties
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItem_resolveSupport(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItem_resolveSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionClientCapabilities_completionItem_resolveSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionClientCapabilities_completionItem_resolveSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionClientCapabilities_completionItem_resolveSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("properties");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.properties = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionClientCapabilities_completionItem_resolveSupport attribute: properties"
            );
        }

        return value_0;
    }

    auto LspTransformer::completionClientCapabilities_completionItem_resolveSupportToAny(
        const CompletionClientCapabilities_completionItem_resolveSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.properties.size());
        for (const auto &elem_0 : param.properties) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("properties", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::completionClientCapabilities_completionItem_resolveSupport_propertiesToAny(
        const CompletionClientCapabilities_completionItem_resolveSupport_properties &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItem_resolveSupport_properties(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItem_resolveSupport_properties
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionList(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionList
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionClientCapabilities_completionList"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionClientCapabilities_completionList value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionClientCapabilities_completionList"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("itemDefaults");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.itemDefaults = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::completionClientCapabilities_completionListToAny(
        const CompletionClientCapabilities_completionList &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.itemDefaults.has_value()) {
            const auto &itemDefaults_0 = param.itemDefaults.value();
            LSPArray array_0;
            array_0.reserve(itemDefaults_0.size());
            for (const auto &elem_0 : itemDefaults_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("itemDefaults", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::completionClientCapabilities_completionList_itemDefaultsToAny(
        const CompletionClientCapabilities_completionList_itemDefaults &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionList_itemDefaults(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionList_itemDefaults
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCodeActionClientCapabilities_resolveSupport(
        const LSPAny &any
    ) const -> CodeActionClientCapabilities_resolveSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeActionClientCapabilities_resolveSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeActionClientCapabilities_resolveSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeActionClientCapabilities_resolveSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("properties");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.properties = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionClientCapabilities_resolveSupport attribute: properties"
            );
        }

        return value_0;
    }

    auto LspTransformer::codeActionClientCapabilities_resolveSupportToAny(
        const CodeActionClientCapabilities_resolveSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.properties.size());
        for (const auto &elem_0 : param.properties) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("properties", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::codeActionClientCapabilities_resolveSupport_propertiesToAny(
        const CodeActionClientCapabilities_resolveSupport_properties &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCodeActionClientCapabilities_resolveSupport_properties(
        const LSPAny &any
    ) const -> CodeActionClientCapabilities_resolveSupport_properties
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::semanticTokensClientCapabilities_tokenTypesToAny(
        const SemanticTokensClientCapabilities_tokenTypes &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokensClientCapabilities_tokenTypes(
        const LSPAny &any
    ) const -> SemanticTokensClientCapabilities_tokenTypes
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::semanticTokensClientCapabilities_tokenModifiersToAny(
        const SemanticTokensClientCapabilities_tokenModifiers &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokensClientCapabilities_tokenModifiers(
        const LSPAny &any
    ) const -> SemanticTokensClientCapabilities_tokenModifiers
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToInlayHintClientCapabilities_resolveSupport(
        const LSPAny &any
    ) const -> InlayHintClientCapabilities_resolveSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlayHintClientCapabilities_resolveSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlayHintClientCapabilities_resolveSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlayHintClientCapabilities_resolveSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("properties");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.properties = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHintClientCapabilities_resolveSupport attribute: properties"
            );
        }

        return value_0;
    }

    auto LspTransformer::inlayHintClientCapabilities_resolveSupportToAny(
        const InlayHintClientCapabilities_resolveSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.properties.size());
        for (const auto &elem_0 : param.properties) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("properties", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::inlayHintClientCapabilities_resolveSupport_propertiesToAny(
        const InlayHintClientCapabilities_resolveSupport_properties &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToInlayHintClientCapabilities_resolveSupport_properties(
        const LSPAny &any
    ) const -> InlayHintClientCapabilities_resolveSupport_properties
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToRegularExpressionsClientCapabilities(
        const LSPAny &any
    ) const -> RegularExpressionsClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RegularExpressionsClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RegularExpressionsClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RegularExpressionsClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("engine");
        if (iter_0 != object_0.end()) {
            value_0.engine = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RegularExpressionsClientCapabilities attribute: engine"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::regularExpressionsClientCapabilitiesToAny(
        const RegularExpressionsClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "engine",
            std::make_unique<LSPAny>(stringToAny(param.engine))
        );

        if (param.version.has_value()) {
            const auto &version_0 = param.version.value();
            object_0.emplace(
                "version",
                std::make_unique<LSPAny>(stringToAny(version_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToMarkdownClientCapabilities(
        const LSPAny &any
    ) const -> MarkdownClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "MarkdownClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        MarkdownClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "MarkdownClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("parser");
        if (iter_0 != object_0.end()) {
            value_0.parser = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MarkdownClientCapabilities attribute: parser"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("allowedTags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.allowedTags = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::markdownClientCapabilitiesToAny(
        const MarkdownClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "parser",
            std::make_unique<LSPAny>(stringToAny(param.parser))
        );

        if (param.version.has_value()) {
            const auto &version_0 = param.version.value();
            object_0.emplace(
                "version",
                std::make_unique<LSPAny>(stringToAny(version_0))
            );
        }

        if (param.allowedTags.has_value()) {
            const auto &allowedTags_0 = param.allowedTags.value();
            LSPArray array_0;
            array_0.reserve(allowedTags_0.size());
            for (const auto &elem_0 : allowedTags_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("allowedTags", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::markdownClientCapabilities_allowedTagsToAny(
        const MarkdownClientCapabilities_allowedTags &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToMarkdownClientCapabilities_allowedTags(
        const LSPAny &any
    ) const -> MarkdownClientCapabilities_allowedTags
    {
        const auto &array_0 = any.array();
        std::vector<string_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToMessage(const LSPAny &any) const -> Message
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Message"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Message value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Message"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("jsonrpc");
        if (iter_0 != object_0.end()) {
            value_0.jsonrpc = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Message attribute: jsonrpc"
            );
        }

        return value_0;
    }

    auto LspTransformer::messageToAny(const Message &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "jsonrpc",
            std::make_unique<LSPAny>(stringToAny(param.jsonrpc))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentParams(
        const LSPAny &any
    ) const -> DocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentParams attribute: uri"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentParamsToAny(
        const DocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(stringToAny(param.uri))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToChangeAnnotationIdentifier(
        const LSPAny &any
    ) const -> ChangeAnnotationIdentifier
    {
        switch (any.type()) {
        case LSPAnyType::String: {
            return any.string();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type ChangeAnnotationIdentifier")
            );
        }
        }
    }

    auto LspTransformer::changeAnnotationIdentifierToAny(
        const ChangeAnnotationIdentifier &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToResourceOperation(
        const LSPAny &any
    ) const -> ResourceOperation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ResourceOperation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ResourceOperation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ResourceOperation"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ResourceOperation attribute: kind"
            );
        }

        iter_0 = object_0.find("annotationId");
        if (iter_0 != object_0.end()) {
            value_0.annotationId =
                anyToChangeAnnotationIdentifier(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::resourceOperationToAny(
        const ResourceOperation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        if (param.annotationId.has_value()) {
            const auto &annotationId_0 = param.annotationId.value();
            object_0.emplace(
                "annotationId",
                std::make_unique<LSPAny>(changeAnnotationIdentifierToAny(annotationId_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentContentChangeEvent_1(
        const LSPAny &any
    ) const -> TextDocumentContentChangeEvent_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentContentChangeEvent_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentContentChangeEvent_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentContentChangeEvent_1"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("text");
        if (iter_0 != object_0.end()) {
            value_0.text = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentContentChangeEvent_1 attribute: text"
            );
        }

        return value_0;
    }

    auto LspTransformer::textDocumentContentChangeEvent_1ToAny(
        const TextDocumentContentChangeEvent_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "text",
            std::make_unique<LSPAny>(stringToAny(param.text))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToMarkedString_1(
        const LSPAny &any
    ) const -> MarkedString_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "MarkedString_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        MarkedString_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "MarkedString_1"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("language");
        if (iter_0 != object_0.end()) {
            value_0.language = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MarkedString_1 attribute: language"
            );
        }

        iter_0 = object_0.find("value");
        if (iter_0 != object_0.end()) {
            value_0.value = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MarkedString_1 attribute: value"
            );
        }

        return value_0;
    }

    auto LspTransformer::markedString_1ToAny(
        const MarkedString_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "language",
            std::make_unique<LSPAny>(stringToAny(param.language))
        );

        object_0.emplace(
            "value",
            std::make_unique<LSPAny>(stringToAny(param.value))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToMarkedString(
        const LSPAny &any
    ) const -> MarkedString
    {
        MarkedString value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToMarkedString_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to MarkedString"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "MarkedString"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::markedStringToAny(
        const MarkedString &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case MarkedStringType::String: {
            return stringToAny(value.string());
        }
        case MarkedStringType::MarkedString_1: {
            return markedString_1ToAny(value.markedString_1());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported MarkedStringType: " +
                 MarkedStringTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToHover_contents(
        const LSPAny &any
    ) const -> Hover_contents
    {
        Hover_contents value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToMarkupContent(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToMarkedString(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to Hover_contents"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToHover_contents_2(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Hover_contents"
                );
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Hover_contents"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::hover_contentsToAny(
        const Hover_contents &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Hover_contentsType::MarkupContent: {
            return markupContentToAny(value.markupContent());
        }
        case Hover_contentsType::MarkedString: {
            return markedStringToAny(value.markedString());
        }
        case Hover_contentsType::MarkedStringArray: {
            LSPArray array_0;
            array_0.reserve(value.markedStringArray().size());
            for (const auto &elem_0 : value.markedStringArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = markedStringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Hover_contentsType: " +
                 Hover_contentsTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::hover_contents_2ToAny(
        const Hover_contents_2 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = markedStringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToHover_contents_2(
        const LSPAny &any
    ) const -> Hover_contents_2
    {
        const auto &array_0 = any.array();
        std::vector<MarkedString> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToMarkedString(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::lspObjectToAny(const LSPObject &map) const -> LSPAny
    {
        LSPObject object_0;
        for (const auto &[key_0, value_0] : map) {
            object_0.emplace(
                key_0,
                std::make_unique<LSPAny>(lspAnyToAny(*value_0))
            );
        }
        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToLSPObject(const LSPAny &any) const -> LSPObject
    {
        std::map<string_t, std::unique_ptr<LSPAny>> map_0;
        for (const auto &[key_0, value_0] : any.object()) {
            map_0.emplace(
                key_0,
                std::make_unique<LSPAny>(anyToLSPAny(*value_0))
            );
        }
        return map_0;
    }

    auto LspTransformer::anyToTextDocumentFilter_0(
        const LSPAny &any
    ) const -> TextDocumentFilter_0
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentFilter_0"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentFilter_0 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentFilter_0"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("language");
        if (iter_0 != object_0.end()) {
            value_0.language = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentFilter_0 attribute: language"
            );
        }

        iter_0 = object_0.find("scheme");
        if (iter_0 != object_0.end()) {
            value_0.scheme = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("pattern");
        if (iter_0 != object_0.end()) {
            value_0.pattern = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::textDocumentFilter_0ToAny(
        const TextDocumentFilter_0 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "language",
            std::make_unique<LSPAny>(stringToAny(param.language))
        );

        if (param.scheme.has_value()) {
            const auto &scheme_0 = param.scheme.value();
            object_0.emplace(
                "scheme",
                std::make_unique<LSPAny>(stringToAny(scheme_0))
            );
        }

        if (param.pattern.has_value()) {
            const auto &pattern_0 = param.pattern.value();
            object_0.emplace(
                "pattern",
                std::make_unique<LSPAny>(stringToAny(pattern_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentFilter_1(
        const LSPAny &any
    ) const -> TextDocumentFilter_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentFilter_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentFilter_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentFilter_1"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("language");
        if (iter_0 != object_0.end()) {
            value_0.language = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("scheme");
        if (iter_0 != object_0.end()) {
            value_0.scheme = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentFilter_1 attribute: scheme"
            );
        }

        iter_0 = object_0.find("pattern");
        if (iter_0 != object_0.end()) {
            value_0.pattern = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::textDocumentFilter_1ToAny(
        const TextDocumentFilter_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.language.has_value()) {
            const auto &language_0 = param.language.value();
            object_0.emplace(
                "language",
                std::make_unique<LSPAny>(stringToAny(language_0))
            );
        }

        object_0.emplace(
            "scheme",
            std::make_unique<LSPAny>(stringToAny(param.scheme))
        );

        if (param.pattern.has_value()) {
            const auto &pattern_0 = param.pattern.value();
            object_0.emplace(
                "pattern",
                std::make_unique<LSPAny>(stringToAny(pattern_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentFilter_2(
        const LSPAny &any
    ) const -> TextDocumentFilter_2
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentFilter_2"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentFilter_2 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentFilter_2"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("language");
        if (iter_0 != object_0.end()) {
            value_0.language = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("scheme");
        if (iter_0 != object_0.end()) {
            value_0.scheme = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("pattern");
        if (iter_0 != object_0.end()) {
            value_0.pattern = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentFilter_2 attribute: pattern"
            );
        }

        return value_0;
    }

    auto LspTransformer::textDocumentFilter_2ToAny(
        const TextDocumentFilter_2 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.language.has_value()) {
            const auto &language_0 = param.language.value();
            object_0.emplace(
                "language",
                std::make_unique<LSPAny>(stringToAny(language_0))
            );
        }

        if (param.scheme.has_value()) {
            const auto &scheme_0 = param.scheme.value();
            object_0.emplace(
                "scheme",
                std::make_unique<LSPAny>(stringToAny(scheme_0))
            );
        }

        object_0.emplace(
            "pattern",
            std::make_unique<LSPAny>(stringToAny(param.pattern))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentFilter(
        const LSPAny &any
    ) const -> TextDocumentFilter
    {
        TextDocumentFilter value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToTextDocumentFilter_0(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTextDocumentFilter_1(any);
                } catch (LspException &/*e*/) {
                    try {
                        value_0 = anyToTextDocumentFilter_2(any);
                    } catch (LspException &/*e*/) {
                        throw LSP_EXCEPTION(
                            ErrorCodes::InvalidParams,
                            "Failed to transform LSPAny to TextDocumentFilter"
                        );
                    }
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocumentFilter"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocumentFilterToAny(
        const TextDocumentFilter &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocumentFilterType::TextDocumentFilter_0: {
            return textDocumentFilter_0ToAny(value.textDocumentFilter_0());
        }
        case TextDocumentFilterType::TextDocumentFilter_1: {
            return textDocumentFilter_1ToAny(value.textDocumentFilter_1());
        }
        case TextDocumentFilterType::TextDocumentFilter_2: {
            return textDocumentFilter_2ToAny(value.textDocumentFilter_2());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocumentFilterType: " +
                 TextDocumentFilterTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToNotebookDocumentFilter_0(
        const LSPAny &any
    ) const -> NotebookDocumentFilter_0
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentFilter_0"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentFilter_0 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentFilter_0"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("notebookType");
        if (iter_0 != object_0.end()) {
            value_0.notebookType = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentFilter_0 attribute: notebookType"
            );
        }

        iter_0 = object_0.find("scheme");
        if (iter_0 != object_0.end()) {
            value_0.scheme = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("pattern");
        if (iter_0 != object_0.end()) {
            value_0.pattern = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentFilter_0ToAny(
        const NotebookDocumentFilter_0 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "notebookType",
            std::make_unique<LSPAny>(stringToAny(param.notebookType))
        );

        if (param.scheme.has_value()) {
            const auto &scheme_0 = param.scheme.value();
            object_0.emplace(
                "scheme",
                std::make_unique<LSPAny>(stringToAny(scheme_0))
            );
        }

        if (param.pattern.has_value()) {
            const auto &pattern_0 = param.pattern.value();
            object_0.emplace(
                "pattern",
                std::make_unique<LSPAny>(stringToAny(pattern_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToNotebookDocumentFilter_1(
        const LSPAny &any
    ) const -> NotebookDocumentFilter_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentFilter_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentFilter_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentFilter_1"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("notebookType");
        if (iter_0 != object_0.end()) {
            value_0.notebookType = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("scheme");
        if (iter_0 != object_0.end()) {
            value_0.scheme = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentFilter_1 attribute: scheme"
            );
        }

        iter_0 = object_0.find("pattern");
        if (iter_0 != object_0.end()) {
            value_0.pattern = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentFilter_1ToAny(
        const NotebookDocumentFilter_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.notebookType.has_value()) {
            const auto &notebookType_0 = param.notebookType.value();
            object_0.emplace(
                "notebookType",
                std::make_unique<LSPAny>(stringToAny(notebookType_0))
            );
        }

        object_0.emplace(
            "scheme",
            std::make_unique<LSPAny>(stringToAny(param.scheme))
        );

        if (param.pattern.has_value()) {
            const auto &pattern_0 = param.pattern.value();
            object_0.emplace(
                "pattern",
                std::make_unique<LSPAny>(stringToAny(pattern_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToNotebookDocumentFilter_2(
        const LSPAny &any
    ) const -> NotebookDocumentFilter_2
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentFilter_2"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentFilter_2 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentFilter_2"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("notebookType");
        if (iter_0 != object_0.end()) {
            value_0.notebookType = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("scheme");
        if (iter_0 != object_0.end()) {
            value_0.scheme = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("pattern");
        if (iter_0 != object_0.end()) {
            value_0.pattern = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentFilter_2 attribute: pattern"
            );
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentFilter_2ToAny(
        const NotebookDocumentFilter_2 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.notebookType.has_value()) {
            const auto &notebookType_0 = param.notebookType.value();
            object_0.emplace(
                "notebookType",
                std::make_unique<LSPAny>(stringToAny(notebookType_0))
            );
        }

        if (param.scheme.has_value()) {
            const auto &scheme_0 = param.scheme.value();
            object_0.emplace(
                "scheme",
                std::make_unique<LSPAny>(stringToAny(scheme_0))
            );
        }

        object_0.emplace(
            "pattern",
            std::make_unique<LSPAny>(stringToAny(param.pattern))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToNotebookDocumentFilter(
        const LSPAny &any
    ) const -> NotebookDocumentFilter
    {
        NotebookDocumentFilter value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToNotebookDocumentFilter_0(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToNotebookDocumentFilter_1(any);
                } catch (LspException &/*e*/) {
                    try {
                        value_0 = anyToNotebookDocumentFilter_2(any);
                    } catch (LspException &/*e*/) {
                        throw LSP_EXCEPTION(
                            ErrorCodes::InvalidParams,
                            "Failed to transform LSPAny to NotebookDocumentFilter"
                        );
                    }
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "NotebookDocumentFilter"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentFilterToAny(
        const NotebookDocumentFilter &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case NotebookDocumentFilterType::NotebookDocumentFilter_0: {
            return notebookDocumentFilter_0ToAny(value.notebookDocumentFilter_0());
        }
        case NotebookDocumentFilterType::NotebookDocumentFilter_1: {
            return notebookDocumentFilter_1ToAny(value.notebookDocumentFilter_1());
        }
        case NotebookDocumentFilterType::NotebookDocumentFilter_2: {
            return notebookDocumentFilter_2ToAny(value.notebookDocumentFilter_2());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported NotebookDocumentFilterType: " +
                 NotebookDocumentFilterTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector_elem_0_notebook(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook
    {
        NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToNotebookDocumentFilter(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelector_elem_0_notebookToAny(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0_notebook &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::String: {
            return stringToAny(value.string());
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType::NotebookDocumentFilter: {
            return notebookDocumentFilterToAny(value.notebookDocumentFilter());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookType: " +
                 NotebookDocumentSyncOptions_notebookSelector_elem_0_notebookTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector_elem_0(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector_elem_0
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentSyncOptions_notebookSelector_elem_0 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_0"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("notebook");
        if (iter_0 != object_0.end()) {
            value_0.notebook =
                anyToNotebookDocumentSyncOptions_notebookSelector_elem_0_notebook(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentSyncOptions_notebookSelector_elem_0 attribute: notebook"
            );
        }

        iter_0 = object_0.find("cells");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<NotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(
                    anyToNotebookDocumentSyncOptions_notebookSelector_elem_0_cells_elem(*elem_0)
                );
            }
            value_0.cells = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelector_elem_0ToAny(
        const NotebookDocumentSyncOptions_notebookSelector_elem_0 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "notebook",
            std::make_unique<LSPAny>(notebookDocumentSyncOptions_notebookSelector_elem_0_notebookToAny(param.notebook))
        );

        if (param.cells.has_value()) {
            const auto &cells_0 = param.cells.value();
            LSPArray array_0;
            array_0.reserve(cells_0.size());
            for (const auto &elem_0 : cells_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) =
                    notebookDocumentSyncOptions_notebookSelector_elem_0_cells_elemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("cells", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector_elem_1_notebook(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook
    {
        NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToNotebookDocumentFilter(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelector_elem_1_notebookToAny(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1_notebook &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::String: {
            return stringToAny(value.string());
        }
        case NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType::NotebookDocumentFilter: {
            return notebookDocumentFilterToAny(value.notebookDocumentFilter());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookType: " +
                 NotebookDocumentSyncOptions_notebookSelector_elem_1_notebookTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector_elem_1(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector_elem_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentSyncOptions_notebookSelector_elem_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem_1"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("notebook");
        if (iter_0 != object_0.end()) {
            value_0.notebook =
                anyToNotebookDocumentSyncOptions_notebookSelector_elem_1_notebook(*iter_0->second);
        }

        iter_0 = object_0.find("cells");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<NotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(
                    anyToNotebookDocumentSyncOptions_notebookSelector_elem_1_cells_elem(*elem_0)
                );
            }
            value_0.cells = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentSyncOptions_notebookSelector_elem_1 attribute: cells"
            );
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelector_elem_1ToAny(
        const NotebookDocumentSyncOptions_notebookSelector_elem_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.notebook.has_value()) {
            const auto &notebook_0 = param.notebook.value();
            object_0.emplace(
                "notebook",
                std::make_unique<LSPAny>(notebookDocumentSyncOptions_notebookSelector_elem_1_notebookToAny(notebook_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.cells.size());
        for (const auto &elem_0 : param.cells) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) =
                notebookDocumentSyncOptions_notebookSelector_elem_1_cells_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("cells", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector_elem(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector_elem
    {
        NotebookDocumentSyncOptions_notebookSelector_elem value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 =
                    anyToNotebookDocumentSyncOptions_notebookSelector_elem_0(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 =
                        anyToNotebookDocumentSyncOptions_notebookSelector_elem_1(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to NotebookDocumentSyncOptions_notebookSelector_elem"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "NotebookDocumentSyncOptions_notebookSelector_elem"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelector_elemToAny(
        const NotebookDocumentSyncOptions_notebookSelector_elem &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_0: {
            return notebookDocumentSyncOptions_notebookSelector_elem_0ToAny(value.notebookDocumentSyncOptions_notebookSelector_elem_0());
        }
        case NotebookDocumentSyncOptions_notebookSelector_elemType::NotebookDocumentSyncOptions_notebookSelector_elem_1: {
            return notebookDocumentSyncOptions_notebookSelector_elem_1ToAny(value.notebookDocumentSyncOptions_notebookSelector_elem_1());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported NotebookDocumentSyncOptions_notebookSelector_elemType: " +
                 NotebookDocumentSyncOptions_notebookSelector_elemTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::notebookDocumentSyncOptions_notebookSelectorToAny(
        const NotebookDocumentSyncOptions_notebookSelector &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) =
                notebookDocumentSyncOptions_notebookSelector_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions_notebookSelector(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions_notebookSelector
    {
        const auto &array_0 = any.array();
        std::vector<NotebookDocumentSyncOptions_notebookSelector_elem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(
                anyToNotebookDocumentSyncOptions_notebookSelector_elem(*elem_0)
            );
        }
        return values_0;
    }

    auto LspTransformer::anyToNotebookCellTextDocumentFilter_notebook(
        const LSPAny &any
    ) const -> NotebookCellTextDocumentFilter_notebook
    {
        NotebookCellTextDocumentFilter_notebook value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToNotebookDocumentFilter(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to NotebookCellTextDocumentFilter_notebook"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "NotebookCellTextDocumentFilter_notebook"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::notebookCellTextDocumentFilter_notebookToAny(
        const NotebookCellTextDocumentFilter_notebook &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case NotebookCellTextDocumentFilter_notebookType::String: {
            return stringToAny(value.string());
        }
        case NotebookCellTextDocumentFilter_notebookType::NotebookDocumentFilter: {
            return notebookDocumentFilterToAny(value.notebookDocumentFilter());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported NotebookCellTextDocumentFilter_notebookType: " +
                 NotebookCellTextDocumentFilter_notebookTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToNotebookCellTextDocumentFilter(
        const LSPAny &any
    ) const -> NotebookCellTextDocumentFilter
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookCellTextDocumentFilter"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookCellTextDocumentFilter value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookCellTextDocumentFilter"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("notebook");
        if (iter_0 != object_0.end()) {
            value_0.notebook =
                anyToNotebookCellTextDocumentFilter_notebook(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookCellTextDocumentFilter attribute: notebook"
            );
        }

        iter_0 = object_0.find("language");
        if (iter_0 != object_0.end()) {
            value_0.language = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::notebookCellTextDocumentFilterToAny(
        const NotebookCellTextDocumentFilter &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "notebook",
            std::make_unique<LSPAny>(notebookCellTextDocumentFilter_notebookToAny(param.notebook))
        );

        if (param.language.has_value()) {
            const auto &language_0 = param.language.value();
            object_0.emplace(
                "language",
                std::make_unique<LSPAny>(stringToAny(language_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentFilter(
        const LSPAny &any
    ) const -> DocumentFilter
    {
        DocumentFilter value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToNotebookCellTextDocumentFilter(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTextDocumentFilter(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to DocumentFilter"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "DocumentFilter"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::documentFilterToAny(
        const DocumentFilter &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case DocumentFilterType::TextDocumentFilter: {
            return textDocumentFilterToAny(value.textDocumentFilter());
        }
        case DocumentFilterType::NotebookCellTextDocumentFilter: {
            return notebookCellTextDocumentFilterToAny(value.notebookCellTextDocumentFilter());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported DocumentFilterType: " +
                 DocumentFilterTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::documentSelectorToAny(
        const DocumentSelector &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = documentFilterToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDocumentSelector(
        const LSPAny &any
    ) const -> DocumentSelector
    {
        const auto &array_0 = any.array();
        std::vector<DocumentFilter> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDocumentFilter(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToPattern(const LSPAny &any) const -> Pattern
    {
        switch (any.type()) {
        case LSPAnyType::String: {
            return any.string();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Pattern")
            );
        }
        }
    }

    auto LspTransformer::patternToAny(const Pattern &alias) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToRelativePattern(
        const LSPAny &any
    ) const -> RelativePattern
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RelativePattern"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RelativePattern value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RelativePattern"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("baseUri");
        if (iter_0 != object_0.end()) {
            value_0.baseUri = anyToRelativePattern_baseUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RelativePattern attribute: baseUri"
            );
        }

        iter_0 = object_0.find("pattern");
        if (iter_0 != object_0.end()) {
            value_0.pattern = anyToPattern(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RelativePattern attribute: pattern"
            );
        }

        return value_0;
    }

    auto LspTransformer::relativePatternToAny(
        const RelativePattern &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "baseUri",
            std::make_unique<LSPAny>(relativePattern_baseUriToAny(param.baseUri))
        );

        object_0.emplace(
            "pattern",
            std::make_unique<LSPAny>(patternToAny(param.pattern))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToGlobPattern(
        const LSPAny &any
    ) const -> GlobPattern
    {
        GlobPattern value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToRelativePattern(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to GlobPattern"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "GlobPattern"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::globPatternToAny(
        const GlobPattern &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case GlobPatternType::Pattern: {
            return patternToAny(value.pattern());
        }
        case GlobPatternType::RelativePattern: {
            return relativePatternToAny(value.relativePattern());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported GlobPatternType: " +
                 GlobPatternTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToFileSystemWatcher(
        const LSPAny &any
    ) const -> FileSystemWatcher
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileSystemWatcher"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileSystemWatcher value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileSystemWatcher"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("globPattern");
        if (iter_0 != object_0.end()) {
            value_0.globPattern = anyToGlobPattern(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileSystemWatcher attribute: globPattern"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToWatchKind(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::fileSystemWatcherToAny(
        const FileSystemWatcher &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "globPattern",
            std::make_unique<LSPAny>(globPatternToAny(param.globPattern))
        );

        if (param.kind.has_value()) {
            const auto &kind_0 = param.kind.value();
            object_0.emplace(
                "kind",
                std::make_unique<LSPAny>(watchKindToAny(kind_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDidChangeWatchedFilesRegistrationOptions(
        const LSPAny &any
    ) const -> DidChangeWatchedFilesRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidChangeWatchedFilesRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidChangeWatchedFilesRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidChangeWatchedFilesRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("watchers");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileSystemWatcher> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileSystemWatcher(*elem_0));
            }
            value_0.watchers = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeWatchedFilesRegistrationOptions attribute: watchers"
            );
        }

        return value_0;
    }

    auto LspTransformer::didChangeWatchedFilesRegistrationOptionsToAny(
        const DidChangeWatchedFilesRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.watchers.size());
        for (const auto &elem_0 : param.watchers) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileSystemWatcherToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("watchers", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::didChangeWatchedFilesRegistrationOptions_watchersToAny(
        const DidChangeWatchedFilesRegistrationOptions_watchers &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileSystemWatcherToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDidChangeWatchedFilesRegistrationOptions_watchers(
        const LSPAny &any
    ) const -> DidChangeWatchedFilesRegistrationOptions_watchers
    {
        const auto &array_0 = any.array();
        std::vector<FileSystemWatcher> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToFileSystemWatcher(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::workspace_WorkspaceFoldersResult_0ToAny(
        const Workspace_WorkspaceFoldersResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceFolderToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspace_WorkspaceFoldersResult_0(
        const LSPAny &any
    ) const -> Workspace_WorkspaceFoldersResult_0
    {
        const auto &array_0 = any.array();
        std::vector<WorkspaceFolder> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToWorkspaceFolder(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::textDocument_MonikerResult_0ToAny(
        const TextDocument_MonikerResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = monikerToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_MonikerResult_0(
        const LSPAny &any
    ) const -> TextDocument_MonikerResult_0
    {
        const auto &array_0 = any.array();
        std::vector<Moniker> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToMoniker(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::asWorkspace_DidChangeWorkspaceFoldersParams(
        const MessageParams &notificationParams
    ) const -> DidChangeWorkspaceFoldersParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/didChangeWorkspaceFolders\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidChangeWorkspaceFoldersParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("event");
        if (iter_0 != object_0.end()) {
            params_0.event = anyToWorkspaceFoldersChangeEvent(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeWorkspaceFoldersParams attribute: event"
            );
        }

        return params_0;
    }

    auto LspTransformer::asWorkspace_DidCreateFilesParams(
        const MessageParams &notificationParams
    ) const -> CreateFilesParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/didCreateFiles\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        CreateFilesParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("files");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileCreate> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileCreate(*elem_0));
            }
            params_0.files = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CreateFilesParams attribute: files"
            );
        }

        return params_0;
    }

    auto LspTransformer::asWorkspace_DidRenameFilesParams(
        const MessageParams &notificationParams
    ) const -> RenameFilesParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/didRenameFiles\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        RenameFilesParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("files");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileRename> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileRename(*elem_0));
            }
            params_0.files = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameFilesParams attribute: files"
            );
        }

        return params_0;
    }

    auto LspTransformer::asWorkspace_DidDeleteFilesParams(
        const MessageParams &notificationParams
    ) const -> DeleteFilesParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/didDeleteFiles\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DeleteFilesParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("files");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileDelete> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileDelete(*elem_0));
            }
            params_0.files = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeleteFilesParams attribute: files"
            );
        }

        return params_0;
    }

    auto LspTransformer::asMessageParams(
        const ShowMessageParams &notificationParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = messageTypeToAny(notificationParams.type);
        object_0.emplace("type", std::move(any_0));

        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = stringToAny(notificationParams.message);
        object_0.emplace("message", std::move(any_1));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::asMessageParams(
        const LogMessageParams &notificationParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = messageTypeToAny(notificationParams.type);
        object_0.emplace("type", std::move(any_0));

        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = stringToAny(notificationParams.message);
        object_0.emplace("message", std::move(any_1));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::asTextDocument_DidSaveParams(
        const MessageParams &notificationParams
    ) const -> DidSaveTextDocumentParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/didSave\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidSaveTextDocumentParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidSaveTextDocumentParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("text");
        if (iter_0 != object_0.end()) {
            params_0.text = anyToString(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asMessageParams(
        const LogTraceParams &notificationParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = stringToAny(notificationParams.message);
        object_0.emplace("message", std::move(any_0));

        if (notificationParams.verbose.has_value()) {
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = stringToAny(notificationParams.verbose.value());
            object_0.emplace("verbose", std::move(any_1));
        }

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::booleanToAny(boolean_t param) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = param;
        return any_0;
    }

    auto LspTransformer::anyToBoolean(const LSPAny &any) const -> boolean_t
    {
        switch (any.type()) {
        case LSPAnyType::Boolean: {
            return any.boolean();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type boolean_t")
            );
        }
        }
    }

    auto LspTransformer::anyToWorkDoneProgressOptions(
        const LSPAny &any
    ) const -> WorkDoneProgressOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkDoneProgressOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkDoneProgressOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkDoneProgressOptions"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workDoneProgressOptionsToAny(
        const WorkDoneProgressOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToShowDocumentResult(
        const LSPAny &any
    ) const -> ShowDocumentResult
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ShowDocumentResult"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ShowDocumentResult value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ShowDocumentResult"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("success");
        if (iter_0 != object_0.end()) {
            value_0.success = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ShowDocumentResult attribute: success"
            );
        }

        return value_0;
    }

    auto LspTransformer::showDocumentResultToAny(
        const ShowDocumentResult &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "success",
            std::make_unique<LSPAny>(booleanToAny(param.success))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDiagnosticServerCancellationData(
        const LSPAny &any
    ) const -> DiagnosticServerCancellationData
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DiagnosticServerCancellationData"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DiagnosticServerCancellationData value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DiagnosticServerCancellationData"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("retriggerRequest");
        if (iter_0 != object_0.end()) {
            value_0.retriggerRequest = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DiagnosticServerCancellationData attribute: retriggerRequest"
            );
        }

        return value_0;
    }

    auto LspTransformer::diagnosticServerCancellationDataToAny(
        const DiagnosticServerCancellationData &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "retriggerRequest",
            std::make_unique<LSPAny>(booleanToAny(param.retriggerRequest))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInitializeError(
        const LSPAny &any
    ) const -> InitializeError
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InitializeError"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InitializeError value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InitializeError"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("retry");
        if (iter_0 != object_0.end()) {
            value_0.retry = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InitializeError attribute: retry"
            );
        }

        return value_0;
    }

    auto LspTransformer::initializeErrorToAny(
        const InitializeError &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "retry",
            std::make_unique<LSPAny>(booleanToAny(param.retry))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToImplementationOptions(
        const LSPAny &any
    ) const -> ImplementationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ImplementationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ImplementationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ImplementationOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::implementationOptionsToAny(
        const ImplementationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTypeDefinitionOptions(
        const LSPAny &any
    ) const -> TypeDefinitionOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeDefinitionOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeDefinitionOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeDefinitionOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::typeDefinitionOptionsToAny(
        const TypeDefinitionOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentColorOptions(
        const LSPAny &any
    ) const -> DocumentColorOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentColorOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentColorOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentColorOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentColorOptionsToAny(
        const DocumentColorOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFoldingRangeOptions(
        const LSPAny &any
    ) const -> FoldingRangeOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FoldingRangeOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FoldingRangeOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FoldingRangeOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::foldingRangeOptionsToAny(
        const FoldingRangeOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDeclarationOptions(
        const LSPAny &any
    ) const -> DeclarationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DeclarationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DeclarationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DeclarationOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::declarationOptionsToAny(
        const DeclarationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSelectionRangeOptions(
        const LSPAny &any
    ) const -> SelectionRangeOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SelectionRangeOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SelectionRangeOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SelectionRangeOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::selectionRangeOptionsToAny(
        const SelectionRangeOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCallHierarchyOptions(
        const LSPAny &any
    ) const -> CallHierarchyOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CallHierarchyOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CallHierarchyOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CallHierarchyOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::callHierarchyOptionsToAny(
        const CallHierarchyOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensOptions_full_1(
        const LSPAny &any
    ) const -> SemanticTokensOptions_full_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensOptions_full_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensOptions_full_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensOptions_full_1"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("delta");
        if (iter_0 != object_0.end()) {
            value_0.delta = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensOptions_full_1ToAny(
        const SemanticTokensOptions_full_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.delta.has_value()) {
            const auto &delta_0 = param.delta.value();
            object_0.emplace(
                "delta",
                std::make_unique<LSPAny>(booleanToAny(delta_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensOptions_full(
        const LSPAny &any
    ) const -> SemanticTokensOptions_full
    {
        SemanticTokensOptions_full value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToSemanticTokensOptions_full_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to SemanticTokensOptions_full"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "SemanticTokensOptions_full"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensOptions_fullToAny(
        const SemanticTokensOptions_full &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case SemanticTokensOptions_fullType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case SemanticTokensOptions_fullType::SemanticTokensOptions_full_1: {
            return semanticTokensOptions_full_1ToAny(value.semanticTokensOptions_full_1());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported SemanticTokensOptions_fullType: " +
                 SemanticTokensOptions_fullTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToLinkedEditingRangeOptions(
        const LSPAny &any
    ) const -> LinkedEditingRangeOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "LinkedEditingRangeOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        LinkedEditingRangeOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "LinkedEditingRangeOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::linkedEditingRangeOptionsToAny(
        const LinkedEditingRangeOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToChangeAnnotation(
        const LSPAny &any
    ) const -> ChangeAnnotation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ChangeAnnotation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ChangeAnnotation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ChangeAnnotation"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            value_0.label = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ChangeAnnotation attribute: label"
            );
        }

        iter_0 = object_0.find("needsConfirmation");
        if (iter_0 != object_0.end()) {
            value_0.needsConfirmation = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("description");
        if (iter_0 != object_0.end()) {
            value_0.description = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::changeAnnotationToAny(
        const ChangeAnnotation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "label",
            std::make_unique<LSPAny>(stringToAny(param.label))
        );

        if (param.needsConfirmation.has_value()) {
            const auto &needsConfirmation_0 = param.needsConfirmation.value();
            object_0.emplace(
                "needsConfirmation",
                std::make_unique<LSPAny>(booleanToAny(needsConfirmation_0))
            );
        }

        if (param.description.has_value()) {
            const auto &description_0 = param.description.value();
            object_0.emplace(
                "description",
                std::make_unique<LSPAny>(stringToAny(description_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::workspaceEdit_changeAnnotationsToAny(
        const WorkspaceEdit_changeAnnotations &map
    ) const -> LSPAny
    {
        LSPObject object_0;
        for (const auto &[key_0, value_0] : map) {
            object_0.emplace(
                key_0,
                std::make_unique<LSPAny>(changeAnnotationToAny(value_0))
            );
        }
        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceEdit_changeAnnotations(
        const LSPAny &any
    ) const -> WorkspaceEdit_changeAnnotations
    {
        std::map<string_t, ChangeAnnotation> map_0;
        for (const auto &[key_0, value_0] : any.object()) {
            map_0.emplace(key_0, anyToChangeAnnotation(*value_0));
        }
        return map_0;
    }

    auto LspTransformer::anyToMonikerOptions(
        const LSPAny &any
    ) const -> MonikerOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "MonikerOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        MonikerOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "MonikerOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::monikerOptionsToAny(
        const MonikerOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTypeHierarchyOptions(
        const LSPAny &any
    ) const -> TypeHierarchyOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeHierarchyOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeHierarchyOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeHierarchyOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::typeHierarchyOptionsToAny(
        const TypeHierarchyOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineValueOptions(
        const LSPAny &any
    ) const -> InlineValueOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineValueOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineValueOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineValueOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineValueOptionsToAny(
        const InlineValueOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlayHintOptions(
        const LSPAny &any
    ) const -> InlayHintOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlayHintOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlayHintOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlayHintOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlayHintOptionsToAny(
        const InlayHintOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDiagnosticOptions(
        const LSPAny &any
    ) const -> DiagnosticOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DiagnosticOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DiagnosticOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DiagnosticOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("identifier");
        if (iter_0 != object_0.end()) {
            value_0.identifier = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("interFileDependencies");
        if (iter_0 != object_0.end()) {
            value_0.interFileDependencies = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DiagnosticOptions attribute: interFileDependencies"
            );
        }

        iter_0 = object_0.find("workspaceDiagnostics");
        if (iter_0 != object_0.end()) {
            value_0.workspaceDiagnostics = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DiagnosticOptions attribute: workspaceDiagnostics"
            );
        }

        return value_0;
    }

    auto LspTransformer::diagnosticOptionsToAny(
        const DiagnosticOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.identifier.has_value()) {
            const auto &identifier_0 = param.identifier.value();
            object_0.emplace(
                "identifier",
                std::make_unique<LSPAny>(stringToAny(identifier_0))
            );
        }

        object_0.emplace(
            "interFileDependencies",
            std::make_unique<LSPAny>(booleanToAny(param.interFileDependencies))
        );

        object_0.emplace(
            "workspaceDiagnostics",
            std::make_unique<LSPAny>(booleanToAny(param.workspaceDiagnostics))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineCompletionOptions(
        const LSPAny &any
    ) const -> InlineCompletionOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineCompletionOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineCompletionOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineCompletionOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineCompletionOptionsToAny(
        const InlineCompletionOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_inlineCompletionProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_inlineCompletionProvider
    {
        ServerCapabilities_inlineCompletionProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToInlineCompletionOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_inlineCompletionProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_inlineCompletionProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_inlineCompletionProviderToAny(
        const ServerCapabilities_inlineCompletionProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_inlineCompletionProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_inlineCompletionProviderType::InlineCompletionOptions: {
            return inlineCompletionOptionsToAny(value.inlineCompletionOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_inlineCompletionProviderType: " +
                 ServerCapabilities_inlineCompletionProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToSaveOptions(
        const LSPAny &any
    ) const -> SaveOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SaveOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SaveOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SaveOptions"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("includeText");
        if (iter_0 != object_0.end()) {
            value_0.includeText = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::saveOptionsToAny(
        const SaveOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.includeText.has_value()) {
            const auto &includeText_0 = param.includeText.value();
            object_0.emplace(
                "includeText",
                std::make_unique<LSPAny>(booleanToAny(includeText_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCompletionOptions_completionItem(
        const LSPAny &any
    ) const -> CompletionOptions_completionItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionOptions_completionItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionOptions_completionItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionOptions_completionItem"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("labelDetailsSupport");
        if (iter_0 != object_0.end()) {
            value_0.labelDetailsSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionOptions_completionItemToAny(
        const CompletionOptions_completionItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.labelDetailsSupport.has_value()) {
            const auto &labelDetailsSupport_0 =
                param.labelDetailsSupport.value();
            object_0.emplace(
                "labelDetailsSupport",
                std::make_unique<LSPAny>(booleanToAny(labelDetailsSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCompletionOptions(
        const LSPAny &any
    ) const -> CompletionOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionOptions"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("triggerCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.triggerCharacters = std::move(values_0);
        }

        iter_0 = object_0.find("allCommitCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<string_t> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToString(*elem_1));
            }
            value_0.allCommitCharacters = std::move(values_1);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("completionItem");
        if (iter_0 != object_0.end()) {
            value_0.completionItem =
                anyToCompletionOptions_completionItem(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionOptionsToAny(
        const CompletionOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.triggerCharacters.has_value()) {
            const auto &triggerCharacters_0 = param.triggerCharacters.value();
            LSPArray array_0;
            array_0.reserve(triggerCharacters_0.size());
            for (const auto &elem_0 : triggerCharacters_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("triggerCharacters", std::move(any_1));
        }

        if (param.allCommitCharacters.has_value()) {
            const auto &allCommitCharacters_0 =
                param.allCommitCharacters.value();
            LSPArray array_1;
            array_1.reserve(allCommitCharacters_0.size());
            for (const auto &elem_1 : allCommitCharacters_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = stringToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("allCommitCharacters", std::move(any_3));
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        if (param.completionItem.has_value()) {
            const auto &completionItem_0 = param.completionItem.value();
            object_0.emplace(
                "completionItem",
                std::make_unique<LSPAny>(completionOptions_completionItemToAny(completionItem_0))
            );
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::anyToHoverOptions(
        const LSPAny &any
    ) const -> HoverOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "HoverOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        HoverOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "HoverOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::hoverOptionsToAny(
        const HoverOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_hoverProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_hoverProvider
    {
        ServerCapabilities_hoverProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToHoverOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_hoverProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_hoverProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_hoverProviderToAny(
        const ServerCapabilities_hoverProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_hoverProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_hoverProviderType::HoverOptions: {
            return hoverOptionsToAny(value.hoverOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_hoverProviderType: " +
                 ServerCapabilities_hoverProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToSignatureHelpOptions(
        const LSPAny &any
    ) const -> SignatureHelpOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SignatureHelpOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SignatureHelpOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SignatureHelpOptions"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("triggerCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.triggerCharacters = std::move(values_0);
        }

        iter_0 = object_0.find("retriggerCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<string_t> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToString(*elem_1));
            }
            value_0.retriggerCharacters = std::move(values_1);
        }

        return value_0;
    }

    auto LspTransformer::signatureHelpOptionsToAny(
        const SignatureHelpOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.triggerCharacters.has_value()) {
            const auto &triggerCharacters_0 = param.triggerCharacters.value();
            LSPArray array_0;
            array_0.reserve(triggerCharacters_0.size());
            for (const auto &elem_0 : triggerCharacters_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("triggerCharacters", std::move(any_1));
        }

        if (param.retriggerCharacters.has_value()) {
            const auto &retriggerCharacters_0 =
                param.retriggerCharacters.value();
            LSPArray array_1;
            array_1.reserve(retriggerCharacters_0.size());
            for (const auto &elem_1 : retriggerCharacters_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = stringToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("retriggerCharacters", std::move(any_3));
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::anyToDefinitionOptions(
        const LSPAny &any
    ) const -> DefinitionOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DefinitionOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DefinitionOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DefinitionOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::definitionOptionsToAny(
        const DefinitionOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_definitionProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_definitionProvider
    {
        ServerCapabilities_definitionProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDefinitionOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_definitionProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_definitionProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_definitionProviderToAny(
        const ServerCapabilities_definitionProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_definitionProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_definitionProviderType::DefinitionOptions: {
            return definitionOptionsToAny(value.definitionOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_definitionProviderType: " +
                 ServerCapabilities_definitionProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToReferenceContext(
        const LSPAny &any
    ) const -> ReferenceContext
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ReferenceContext"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ReferenceContext value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ReferenceContext"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("includeDeclaration");
        if (iter_0 != object_0.end()) {
            value_0.includeDeclaration = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ReferenceContext attribute: includeDeclaration"
            );
        }

        return value_0;
    }

    auto LspTransformer::referenceContextToAny(
        const ReferenceContext &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "includeDeclaration",
            std::make_unique<LSPAny>(booleanToAny(param.includeDeclaration))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToReferenceOptions(
        const LSPAny &any
    ) const -> ReferenceOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ReferenceOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ReferenceOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ReferenceOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::referenceOptionsToAny(
        const ReferenceOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_referencesProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_referencesProvider
    {
        ServerCapabilities_referencesProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToReferenceOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_referencesProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_referencesProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_referencesProviderToAny(
        const ServerCapabilities_referencesProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_referencesProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_referencesProviderType::ReferenceOptions: {
            return referenceOptionsToAny(value.referenceOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_referencesProviderType: " +
                 ServerCapabilities_referencesProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToDocumentHighlightOptions(
        const LSPAny &any
    ) const -> DocumentHighlightOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentHighlightOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentHighlightOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentHighlightOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentHighlightOptionsToAny(
        const DocumentHighlightOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_documentHighlightProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_documentHighlightProvider
    {
        ServerCapabilities_documentHighlightProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDocumentHighlightOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_documentHighlightProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_documentHighlightProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_documentHighlightProviderToAny(
        const ServerCapabilities_documentHighlightProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_documentHighlightProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_documentHighlightProviderType::DocumentHighlightOptions: {
            return documentHighlightOptionsToAny(value.documentHighlightOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_documentHighlightProviderType: " +
                 ServerCapabilities_documentHighlightProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToDocumentSymbolOptions(
        const LSPAny &any
    ) const -> DocumentSymbolOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentSymbolOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentSymbolOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentSymbolOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            value_0.label = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentSymbolOptionsToAny(
        const DocumentSymbolOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.label.has_value()) {
            const auto &label_0 = param.label.value();
            object_0.emplace(
                "label",
                std::make_unique<LSPAny>(stringToAny(label_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_documentSymbolProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_documentSymbolProvider
    {
        ServerCapabilities_documentSymbolProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDocumentSymbolOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_documentSymbolProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_documentSymbolProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_documentSymbolProviderToAny(
        const ServerCapabilities_documentSymbolProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_documentSymbolProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_documentSymbolProviderType::DocumentSymbolOptions: {
            return documentSymbolOptionsToAny(value.documentSymbolOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_documentSymbolProviderType: " +
                 ServerCapabilities_documentSymbolProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToCodeActionOptions(
        const LSPAny &any
    ) const -> CodeActionOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeActionOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeActionOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeActionOptions"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("codeActionKinds");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<CodeActionKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToCodeActionKind(*elem_0));
            }
            value_0.codeActionKinds = std::move(values_0);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeActionOptionsToAny(
        const CodeActionOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.codeActionKinds.has_value()) {
            const auto &codeActionKinds_0 = param.codeActionKinds.value();
            LSPArray array_0;
            array_0.reserve(codeActionKinds_0.size());
            for (const auto &elem_0 : codeActionKinds_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = codeActionKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("codeActionKinds", std::move(any_1));
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToServerCapabilities_codeActionProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_codeActionProvider
    {
        ServerCapabilities_codeActionProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToCodeActionOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_codeActionProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_codeActionProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_codeActionProviderToAny(
        const ServerCapabilities_codeActionProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_codeActionProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_codeActionProviderType::CodeActionOptions: {
            return codeActionOptionsToAny(value.codeActionOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_codeActionProviderType: " +
                 ServerCapabilities_codeActionProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceSymbolOptions(
        const LSPAny &any
    ) const -> WorkspaceSymbolOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceSymbolOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceSymbolOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceSymbolOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbolOptionsToAny(
        const WorkspaceSymbolOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceSymbolRegistrationOptions(
        const LSPAny &any
    ) const -> WorkspaceSymbolRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceSymbolRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceSymbolRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceSymbolRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbolRegistrationOptionsToAny(
        const WorkspaceSymbolRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_workspaceSymbolProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_workspaceSymbolProvider
    {
        ServerCapabilities_workspaceSymbolProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToWorkspaceSymbolOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_workspaceSymbolProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_workspaceSymbolProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_workspaceSymbolProviderToAny(
        const ServerCapabilities_workspaceSymbolProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_workspaceSymbolProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_workspaceSymbolProviderType::WorkspaceSymbolOptions: {
            return workspaceSymbolOptionsToAny(value.workspaceSymbolOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_workspaceSymbolProviderType: " +
                 ServerCapabilities_workspaceSymbolProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToCodeLensOptions(
        const LSPAny &any
    ) const -> CodeLensOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeLensOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeLensOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeLensOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeLensOptionsToAny(
        const CodeLensOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentLinkOptions(
        const LSPAny &any
    ) const -> DocumentLinkOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentLinkOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentLinkOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentLinkOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentLinkOptionsToAny(
        const DocumentLinkOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentFormattingOptions(
        const LSPAny &any
    ) const -> DocumentFormattingOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentFormattingOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentFormattingOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentFormattingOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentFormattingOptionsToAny(
        const DocumentFormattingOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_documentFormattingProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_documentFormattingProvider
    {
        ServerCapabilities_documentFormattingProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDocumentFormattingOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_documentFormattingProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_documentFormattingProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_documentFormattingProviderToAny(
        const ServerCapabilities_documentFormattingProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_documentFormattingProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_documentFormattingProviderType::DocumentFormattingOptions: {
            return documentFormattingOptionsToAny(value.documentFormattingOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_documentFormattingProviderType: " +
                 ServerCapabilities_documentFormattingProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToDocumentRangeFormattingOptions(
        const LSPAny &any
    ) const -> DocumentRangeFormattingOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentRangeFormattingOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentRangeFormattingOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentRangeFormattingOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("rangesSupport");
        if (iter_0 != object_0.end()) {
            value_0.rangesSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentRangeFormattingOptionsToAny(
        const DocumentRangeFormattingOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.rangesSupport.has_value()) {
            const auto &rangesSupport_0 = param.rangesSupport.value();
            object_0.emplace(
                "rangesSupport",
                std::make_unique<LSPAny>(booleanToAny(rangesSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_documentRangeFormattingProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_documentRangeFormattingProvider
    {
        ServerCapabilities_documentRangeFormattingProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDocumentRangeFormattingOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_documentRangeFormattingProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_documentRangeFormattingProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_documentRangeFormattingProviderToAny(
        const ServerCapabilities_documentRangeFormattingProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_documentRangeFormattingProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_documentRangeFormattingProviderType::DocumentRangeFormattingOptions: {
            return documentRangeFormattingOptionsToAny(value.documentRangeFormattingOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_documentRangeFormattingProviderType: " +
                 ServerCapabilities_documentRangeFormattingProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToRenameOptions(
        const LSPAny &any
    ) const -> RenameOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RenameOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RenameOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RenameOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("prepareProvider");
        if (iter_0 != object_0.end()) {
            value_0.prepareProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::renameOptionsToAny(
        const RenameOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.prepareProvider.has_value()) {
            const auto &prepareProvider_0 = param.prepareProvider.value();
            object_0.emplace(
                "prepareProvider",
                std::make_unique<LSPAny>(booleanToAny(prepareProvider_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_renameProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_renameProvider
    {
        ServerCapabilities_renameProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToRenameOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_renameProvider"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_renameProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_renameProviderToAny(
        const ServerCapabilities_renameProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_renameProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_renameProviderType::RenameOptions: {
            return renameOptionsToAny(value.renameOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_renameProviderType: " +
                 ServerCapabilities_renameProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToExecuteCommandOptions(
        const LSPAny &any
    ) const -> ExecuteCommandOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ExecuteCommandOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ExecuteCommandOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ExecuteCommandOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("commands");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.commands = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ExecuteCommandOptions attribute: commands"
            );
        }

        return value_0;
    }

    auto LspTransformer::executeCommandOptionsToAny(
        const ExecuteCommandOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.commands.size());
        for (const auto &elem_0 : param.commands) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("commands", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToExecuteCommandRegistrationOptions(
        const LSPAny &any
    ) const -> ExecuteCommandRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ExecuteCommandRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ExecuteCommandRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ExecuteCommandRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("commands");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.commands = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ExecuteCommandRegistrationOptions attribute: commands"
            );
        }

        return value_0;
    }

    auto LspTransformer::executeCommandRegistrationOptionsToAny(
        const ExecuteCommandRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.commands.size());
        for (const auto &elem_0 : param.commands) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("commands", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCreateFileOptions(
        const LSPAny &any
    ) const -> CreateFileOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CreateFileOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CreateFileOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CreateFileOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("overwrite");
        if (iter_0 != object_0.end()) {
            value_0.overwrite = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("ignoreIfExists");
        if (iter_0 != object_0.end()) {
            value_0.ignoreIfExists = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::createFileOptionsToAny(
        const CreateFileOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.overwrite.has_value()) {
            const auto &overwrite_0 = param.overwrite.value();
            object_0.emplace(
                "overwrite",
                std::make_unique<LSPAny>(booleanToAny(overwrite_0))
            );
        }

        if (param.ignoreIfExists.has_value()) {
            const auto &ignoreIfExists_0 = param.ignoreIfExists.value();
            object_0.emplace(
                "ignoreIfExists",
                std::make_unique<LSPAny>(booleanToAny(ignoreIfExists_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCreateFile(const LSPAny &any) const -> CreateFile
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CreateFile"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CreateFile value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CreateFile"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CreateFile attribute: kind"
            );
        }

        iter_0 = object_0.find("annotationId");
        if (iter_0 != object_0.end()) {
            value_0.annotationId =
                anyToChangeAnnotationIdentifier(*iter_0->second);
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "create") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "CreateFile.kind"
                     " must be \"create\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CreateFile attribute: kind"
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CreateFile attribute: uri"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            value_0.options = anyToCreateFileOptions(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::createFileToAny(
        const CreateFile &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        if (param.annotationId.has_value()) {
            const auto &annotationId_0 = param.annotationId.value();
            object_0.emplace(
                "annotationId",
                std::make_unique<LSPAny>(changeAnnotationIdentifierToAny(annotationId_0))
            );
        }

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        if (param.options.has_value()) {
            const auto &options_0 = param.options.value();
            object_0.emplace(
                "options",
                std::make_unique<LSPAny>(createFileOptionsToAny(options_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToRenameFileOptions(
        const LSPAny &any
    ) const -> RenameFileOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RenameFileOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RenameFileOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RenameFileOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("overwrite");
        if (iter_0 != object_0.end()) {
            value_0.overwrite = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("ignoreIfExists");
        if (iter_0 != object_0.end()) {
            value_0.ignoreIfExists = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::renameFileOptionsToAny(
        const RenameFileOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.overwrite.has_value()) {
            const auto &overwrite_0 = param.overwrite.value();
            object_0.emplace(
                "overwrite",
                std::make_unique<LSPAny>(booleanToAny(overwrite_0))
            );
        }

        if (param.ignoreIfExists.has_value()) {
            const auto &ignoreIfExists_0 = param.ignoreIfExists.value();
            object_0.emplace(
                "ignoreIfExists",
                std::make_unique<LSPAny>(booleanToAny(ignoreIfExists_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToRenameFile(const LSPAny &any) const -> RenameFile
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RenameFile"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RenameFile value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RenameFile"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameFile attribute: kind"
            );
        }

        iter_0 = object_0.find("annotationId");
        if (iter_0 != object_0.end()) {
            value_0.annotationId =
                anyToChangeAnnotationIdentifier(*iter_0->second);
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "rename") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "RenameFile.kind"
                     " must be \"rename\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameFile attribute: kind"
            );
        }

        iter_0 = object_0.find("oldUri");
        if (iter_0 != object_0.end()) {
            value_0.oldUri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameFile attribute: oldUri"
            );
        }

        iter_0 = object_0.find("newUri");
        if (iter_0 != object_0.end()) {
            value_0.newUri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameFile attribute: newUri"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            value_0.options = anyToRenameFileOptions(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::renameFileToAny(
        const RenameFile &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        if (param.annotationId.has_value()) {
            const auto &annotationId_0 = param.annotationId.value();
            object_0.emplace(
                "annotationId",
                std::make_unique<LSPAny>(changeAnnotationIdentifierToAny(annotationId_0))
            );
        }

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        object_0.emplace(
            "oldUri",
            std::make_unique<LSPAny>(documentUriToAny(param.oldUri))
        );

        object_0.emplace(
            "newUri",
            std::make_unique<LSPAny>(documentUriToAny(param.newUri))
        );

        if (param.options.has_value()) {
            const auto &options_0 = param.options.value();
            object_0.emplace(
                "options",
                std::make_unique<LSPAny>(renameFileOptionsToAny(options_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDeleteFileOptions(
        const LSPAny &any
    ) const -> DeleteFileOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DeleteFileOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DeleteFileOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DeleteFileOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("recursive");
        if (iter_0 != object_0.end()) {
            value_0.recursive = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("ignoreIfNotExists");
        if (iter_0 != object_0.end()) {
            value_0.ignoreIfNotExists = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::deleteFileOptionsToAny(
        const DeleteFileOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.recursive.has_value()) {
            const auto &recursive_0 = param.recursive.value();
            object_0.emplace(
                "recursive",
                std::make_unique<LSPAny>(booleanToAny(recursive_0))
            );
        }

        if (param.ignoreIfNotExists.has_value()) {
            const auto &ignoreIfNotExists_0 = param.ignoreIfNotExists.value();
            object_0.emplace(
                "ignoreIfNotExists",
                std::make_unique<LSPAny>(booleanToAny(ignoreIfNotExists_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDeleteFile(const LSPAny &any) const -> DeleteFile
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DeleteFile"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DeleteFile value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DeleteFile"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeleteFile attribute: kind"
            );
        }

        iter_0 = object_0.find("annotationId");
        if (iter_0 != object_0.end()) {
            value_0.annotationId =
                anyToChangeAnnotationIdentifier(*iter_0->second);
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "delete") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "DeleteFile.kind"
                     " must be \"delete\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeleteFile attribute: kind"
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeleteFile attribute: uri"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            value_0.options = anyToDeleteFileOptions(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::deleteFileToAny(
        const DeleteFile &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        if (param.annotationId.has_value()) {
            const auto &annotationId_0 = param.annotationId.value();
            object_0.emplace(
                "annotationId",
                std::make_unique<LSPAny>(changeAnnotationIdentifierToAny(annotationId_0))
            );
        }

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        if (param.options.has_value()) {
            const auto &options_0 = param.options.value();
            object_0.emplace(
                "options",
                std::make_unique<LSPAny>(deleteFileOptionsToAny(options_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentSyncOptions_save(
        const LSPAny &any
    ) const -> TextDocumentSyncOptions_save
    {
        TextDocumentSyncOptions_save value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToSaveOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocumentSyncOptions_save"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocumentSyncOptions_save"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocumentSyncOptions_saveToAny(
        const TextDocumentSyncOptions_save &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocumentSyncOptions_saveType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case TextDocumentSyncOptions_saveType::SaveOptions: {
            return saveOptionsToAny(value.saveOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocumentSyncOptions_saveType: " +
                 TextDocumentSyncOptions_saveTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocumentSyncOptions(
        const LSPAny &any
    ) const -> TextDocumentSyncOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentSyncOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentSyncOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentSyncOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("openClose");
        if (iter_0 != object_0.end()) {
            value_0.openClose = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("change");
        if (iter_0 != object_0.end()) {
            value_0.change = anyToTextDocumentSyncKind(*iter_0->second);
        }

        iter_0 = object_0.find("willSave");
        if (iter_0 != object_0.end()) {
            value_0.willSave = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("willSaveWaitUntil");
        if (iter_0 != object_0.end()) {
            value_0.willSaveWaitUntil = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("save");
        if (iter_0 != object_0.end()) {
            value_0.save = anyToTextDocumentSyncOptions_save(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::textDocumentSyncOptionsToAny(
        const TextDocumentSyncOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.openClose.has_value()) {
            const auto &openClose_0 = param.openClose.value();
            object_0.emplace(
                "openClose",
                std::make_unique<LSPAny>(booleanToAny(openClose_0))
            );
        }

        if (param.change.has_value()) {
            const auto &change_0 = param.change.value();
            object_0.emplace(
                "change",
                std::make_unique<LSPAny>(textDocumentSyncKindToAny(change_0))
            );
        }

        if (param.willSave.has_value()) {
            const auto &willSave_0 = param.willSave.value();
            object_0.emplace(
                "willSave",
                std::make_unique<LSPAny>(booleanToAny(willSave_0))
            );
        }

        if (param.willSaveWaitUntil.has_value()) {
            const auto &willSaveWaitUntil_0 = param.willSaveWaitUntil.value();
            object_0.emplace(
                "willSaveWaitUntil",
                std::make_unique<LSPAny>(booleanToAny(willSaveWaitUntil_0))
            );
        }

        if (param.save.has_value()) {
            const auto &save_0 = param.save.value();
            object_0.emplace(
                "save",
                std::make_unique<LSPAny>(textDocumentSyncOptions_saveToAny(save_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_textDocumentSync(
        const LSPAny &any
    ) const -> ServerCapabilities_textDocumentSync
    {
        ServerCapabilities_textDocumentSync value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToTextDocumentSyncOptions(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to ServerCapabilities_textDocumentSync"
                );
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_textDocumentSync"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_textDocumentSyncToAny(
        const ServerCapabilities_textDocumentSync &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_textDocumentSyncType::TextDocumentSyncOptions: {
            return textDocumentSyncOptionsToAny(value.textDocumentSyncOptions());
        }
        case ServerCapabilities_textDocumentSyncType::TextDocumentSyncKind: {
            return textDocumentSyncKindToAny(value.textDocumentSyncKind());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_textDocumentSyncType: " +
                 ServerCapabilities_textDocumentSyncTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToNotebookDocumentSyncOptions(
        const LSPAny &any
    ) const -> NotebookDocumentSyncOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentSyncOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentSyncOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentSyncOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("notebookSelector");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<NotebookDocumentSyncOptions_notebookSelector_elem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(
                    anyToNotebookDocumentSyncOptions_notebookSelector_elem(*elem_0)
                );
            }
            value_0.notebookSelector = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentSyncOptions attribute: notebookSelector"
            );
        }

        iter_0 = object_0.find("save");
        if (iter_0 != object_0.end()) {
            value_0.save = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncOptionsToAny(
        const NotebookDocumentSyncOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.notebookSelector.size());
        for (const auto &elem_0 : param.notebookSelector) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) =
                notebookDocumentSyncOptions_notebookSelector_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("notebookSelector", std::move(any_1));

        if (param.save.has_value()) {
            const auto &save_0 = param.save.value();
            object_0.emplace(
                "save",
                std::make_unique<LSPAny>(booleanToAny(save_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToNotebookDocumentSyncRegistrationOptions(
        const LSPAny &any
    ) const -> NotebookDocumentSyncRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentSyncRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentSyncRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentSyncRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("notebookSelector");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<NotebookDocumentSyncOptions_notebookSelector_elem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(
                    anyToNotebookDocumentSyncOptions_notebookSelector_elem(*elem_0)
                );
            }
            value_0.notebookSelector = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentSyncRegistrationOptions attribute: notebookSelector"
            );
        }

        iter_0 = object_0.find("save");
        if (iter_0 != object_0.end()) {
            value_0.save = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncRegistrationOptionsToAny(
        const NotebookDocumentSyncRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.notebookSelector.size());
        for (const auto &elem_0 : param.notebookSelector) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) =
                notebookDocumentSyncOptions_notebookSelector_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("notebookSelector", std::move(any_1));

        if (param.save.has_value()) {
            const auto &save_0 = param.save.value();
            object_0.emplace(
                "save",
                std::make_unique<LSPAny>(booleanToAny(save_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToServerCapabilities_notebookDocumentSync(
        const LSPAny &any
    ) const -> ServerCapabilities_notebookDocumentSync
    {
        ServerCapabilities_notebookDocumentSync value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToNotebookDocumentSyncOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 =
                        anyToNotebookDocumentSyncRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_notebookDocumentSync"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_notebookDocumentSync"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_notebookDocumentSyncToAny(
        const ServerCapabilities_notebookDocumentSync &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncOptions: {
            return notebookDocumentSyncOptionsToAny(value.notebookDocumentSyncOptions());
        }
        case ServerCapabilities_notebookDocumentSyncType::NotebookDocumentSyncRegistrationOptions: {
            return notebookDocumentSyncRegistrationOptionsToAny(value.notebookDocumentSyncRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_notebookDocumentSyncType: " +
                 ServerCapabilities_notebookDocumentSyncTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceFoldersServerCapabilities_changeNotifications(
        const LSPAny &any
    ) const -> WorkspaceFoldersServerCapabilities_changeNotifications
    {
        WorkspaceFoldersServerCapabilities_changeNotifications value_0;

        switch (any.type()) {
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "WorkspaceFoldersServerCapabilities_changeNotifications"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspaceFoldersServerCapabilities_changeNotificationsToAny(
        const WorkspaceFoldersServerCapabilities_changeNotifications &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::String: {
            return stringToAny(value.string());
        }
        case WorkspaceFoldersServerCapabilities_changeNotificationsType::Boolean: {
            return booleanToAny(value.boolean());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported WorkspaceFoldersServerCapabilities_changeNotificationsType: " +
                 WorkspaceFoldersServerCapabilities_changeNotificationsTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceFoldersServerCapabilities(
        const LSPAny &any
    ) const -> WorkspaceFoldersServerCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceFoldersServerCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceFoldersServerCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceFoldersServerCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("supported");
        if (iter_0 != object_0.end()) {
            value_0.supported = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("changeNotifications");
        if (iter_0 != object_0.end()) {
            value_0.changeNotifications =
                anyToWorkspaceFoldersServerCapabilities_changeNotifications(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workspaceFoldersServerCapabilitiesToAny(
        const WorkspaceFoldersServerCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.supported.has_value()) {
            const auto &supported_0 = param.supported.value();
            object_0.emplace(
                "supported",
                std::make_unique<LSPAny>(booleanToAny(supported_0))
            );
        }

        if (param.changeNotifications.has_value()) {
            const auto &changeNotifications_0 =
                param.changeNotifications.value();
            object_0.emplace(
                "changeNotifications",
                std::make_unique<LSPAny>(workspaceFoldersServerCapabilities_changeNotificationsToAny(changeNotifications_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFileOperationPatternOptions(
        const LSPAny &any
    ) const -> FileOperationPatternOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileOperationPatternOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileOperationPatternOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileOperationPatternOptions"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("ignoreCase");
        if (iter_0 != object_0.end()) {
            value_0.ignoreCase = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::fileOperationPatternOptionsToAny(
        const FileOperationPatternOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.ignoreCase.has_value()) {
            const auto &ignoreCase_0 = param.ignoreCase.value();
            object_0.emplace(
                "ignoreCase",
                std::make_unique<LSPAny>(booleanToAny(ignoreCase_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFileOperationPattern(
        const LSPAny &any
    ) const -> FileOperationPattern
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileOperationPattern"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileOperationPattern value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileOperationPattern"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("glob");
        if (iter_0 != object_0.end()) {
            value_0.glob = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileOperationPattern attribute: glob"
            );
        }

        iter_0 = object_0.find("matches");
        if (iter_0 != object_0.end()) {
            value_0.matches = anyToFileOperationPatternKind(*iter_0->second);
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            value_0.options =
                anyToFileOperationPatternOptions(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::fileOperationPatternToAny(
        const FileOperationPattern &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "glob",
            std::make_unique<LSPAny>(stringToAny(param.glob))
        );

        if (param.matches.has_value()) {
            const auto &matches_0 = param.matches.value();
            object_0.emplace(
                "matches",
                std::make_unique<LSPAny>(fileOperationPatternKindToAny(matches_0))
            );
        }

        if (param.options.has_value()) {
            const auto &options_0 = param.options.value();
            object_0.emplace(
                "options",
                std::make_unique<LSPAny>(fileOperationPatternOptionsToAny(options_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFileOperationFilter(
        const LSPAny &any
    ) const -> FileOperationFilter
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileOperationFilter"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileOperationFilter value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileOperationFilter"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("scheme");
        if (iter_0 != object_0.end()) {
            value_0.scheme = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("pattern");
        if (iter_0 != object_0.end()) {
            value_0.pattern = anyToFileOperationPattern(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileOperationFilter attribute: pattern"
            );
        }

        return value_0;
    }

    auto LspTransformer::fileOperationFilterToAny(
        const FileOperationFilter &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.scheme.has_value()) {
            const auto &scheme_0 = param.scheme.value();
            object_0.emplace(
                "scheme",
                std::make_unique<LSPAny>(stringToAny(scheme_0))
            );
        }

        object_0.emplace(
            "pattern",
            std::make_unique<LSPAny>(fileOperationPatternToAny(param.pattern))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFileOperationRegistrationOptions(
        const LSPAny &any
    ) const -> FileOperationRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileOperationRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileOperationRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileOperationRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("filters");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileOperationFilter> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileOperationFilter(*elem_0));
            }
            value_0.filters = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FileOperationRegistrationOptions attribute: filters"
            );
        }

        return value_0;
    }

    auto LspTransformer::fileOperationRegistrationOptionsToAny(
        const FileOperationRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.filters.size());
        for (const auto &elem_0 : param.filters) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileOperationFilterToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("filters", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::fileOperationRegistrationOptions_filtersToAny(
        const FileOperationRegistrationOptions_filters &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = fileOperationFilterToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToFileOperationRegistrationOptions_filters(
        const LSPAny &any
    ) const -> FileOperationRegistrationOptions_filters
    {
        const auto &array_0 = any.array();
        std::vector<FileOperationFilter> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToFileOperationFilter(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToFileOperationOptions(
        const LSPAny &any
    ) const -> FileOperationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileOperationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileOperationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileOperationOptions"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("didCreate");
        if (iter_0 != object_0.end()) {
            value_0.didCreate =
                anyToFileOperationRegistrationOptions(*iter_0->second);
        }

        iter_0 = object_0.find("willCreate");
        if (iter_0 != object_0.end()) {
            value_0.willCreate =
                anyToFileOperationRegistrationOptions(*iter_0->second);
        }

        iter_0 = object_0.find("didRename");
        if (iter_0 != object_0.end()) {
            value_0.didRename =
                anyToFileOperationRegistrationOptions(*iter_0->second);
        }

        iter_0 = object_0.find("willRename");
        if (iter_0 != object_0.end()) {
            value_0.willRename =
                anyToFileOperationRegistrationOptions(*iter_0->second);
        }

        iter_0 = object_0.find("didDelete");
        if (iter_0 != object_0.end()) {
            value_0.didDelete =
                anyToFileOperationRegistrationOptions(*iter_0->second);
        }

        iter_0 = object_0.find("willDelete");
        if (iter_0 != object_0.end()) {
            value_0.willDelete =
                anyToFileOperationRegistrationOptions(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::fileOperationOptionsToAny(
        const FileOperationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.didCreate.has_value()) {
            const auto &didCreate_0 = param.didCreate.value();
            object_0.emplace(
                "didCreate",
                std::make_unique<LSPAny>(fileOperationRegistrationOptionsToAny(didCreate_0))
            );
        }

        if (param.willCreate.has_value()) {
            const auto &willCreate_0 = param.willCreate.value();
            object_0.emplace(
                "willCreate",
                std::make_unique<LSPAny>(fileOperationRegistrationOptionsToAny(willCreate_0))
            );
        }

        if (param.didRename.has_value()) {
            const auto &didRename_0 = param.didRename.value();
            object_0.emplace(
                "didRename",
                std::make_unique<LSPAny>(fileOperationRegistrationOptionsToAny(didRename_0))
            );
        }

        if (param.willRename.has_value()) {
            const auto &willRename_0 = param.willRename.value();
            object_0.emplace(
                "willRename",
                std::make_unique<LSPAny>(fileOperationRegistrationOptionsToAny(willRename_0))
            );
        }

        if (param.didDelete.has_value()) {
            const auto &didDelete_0 = param.didDelete.value();
            object_0.emplace(
                "didDelete",
                std::make_unique<LSPAny>(fileOperationRegistrationOptionsToAny(didDelete_0))
            );
        }

        if (param.willDelete.has_value()) {
            const auto &willDelete_0 = param.willDelete.value();
            object_0.emplace(
                "willDelete",
                std::make_unique<LSPAny>(fileOperationRegistrationOptionsToAny(willDelete_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_workspace(
        const LSPAny &any
    ) const -> ServerCapabilities_workspace
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ServerCapabilities_workspace"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ServerCapabilities_workspace value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ServerCapabilities_workspace"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("workspaceFolders");
        if (iter_0 != object_0.end()) {
            value_0.workspaceFolders =
                anyToWorkspaceFoldersServerCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("fileOperations");
        if (iter_0 != object_0.end()) {
            value_0.fileOperations =
                anyToFileOperationOptions(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_workspaceToAny(
        const ServerCapabilities_workspace &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workspaceFolders.has_value()) {
            const auto &workspaceFolders_0 = param.workspaceFolders.value();
            object_0.emplace(
                "workspaceFolders",
                std::make_unique<LSPAny>(workspaceFoldersServerCapabilitiesToAny(workspaceFolders_0))
            );
        }

        if (param.fileOperations.has_value()) {
            const auto &fileOperations_0 = param.fileOperations.value();
            object_0.emplace(
                "fileOperations",
                std::make_unique<LSPAny>(fileOperationOptionsToAny(fileOperations_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToGeneralClientCapabilities_staleRequestSupport(
        const LSPAny &any
    ) const -> GeneralClientCapabilities_staleRequestSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "GeneralClientCapabilities_staleRequestSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        GeneralClientCapabilities_staleRequestSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "GeneralClientCapabilities_staleRequestSupport"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("cancel");
        if (iter_0 != object_0.end()) {
            value_0.cancel = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required GeneralClientCapabilities_staleRequestSupport attribute: cancel"
            );
        }

        iter_0 = object_0.find("retryOnContentModified");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.retryOnContentModified = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required GeneralClientCapabilities_staleRequestSupport attribute: retryOnContentModified"
            );
        }

        return value_0;
    }

    auto LspTransformer::generalClientCapabilities_staleRequestSupportToAny(
        const GeneralClientCapabilities_staleRequestSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "cancel",
            std::make_unique<LSPAny>(booleanToAny(param.cancel))
        );

        LSPArray array_0;
        array_0.reserve(param.retryOnContentModified.size());
        for (const auto &elem_0 : param.retryOnContentModified) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("retryOnContentModified", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToGeneralClientCapabilities(
        const LSPAny &any
    ) const -> GeneralClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "GeneralClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        GeneralClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "GeneralClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("staleRequestSupport");
        if (iter_0 != object_0.end()) {
            value_0.staleRequestSupport =
                anyToGeneralClientCapabilities_staleRequestSupport(*iter_0->second);
        }

        iter_0 = object_0.find("regularExpressions");
        if (iter_0 != object_0.end()) {
            value_0.regularExpressions =
                anyToRegularExpressionsClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("markdown");
        if (iter_0 != object_0.end()) {
            value_0.markdown =
                anyToMarkdownClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("positionEncodings");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<PositionEncodingKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToPositionEncodingKind(*elem_0));
            }
            value_0.positionEncodings = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::generalClientCapabilitiesToAny(
        const GeneralClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.staleRequestSupport.has_value()) {
            const auto &staleRequestSupport_0 =
                param.staleRequestSupport.value();
            object_0.emplace(
                "staleRequestSupport",
                std::make_unique<LSPAny>(generalClientCapabilities_staleRequestSupportToAny(staleRequestSupport_0))
            );
        }

        if (param.regularExpressions.has_value()) {
            const auto &regularExpressions_0 =
                param.regularExpressions.value();
            object_0.emplace(
                "regularExpressions",
                std::make_unique<LSPAny>(regularExpressionsClientCapabilitiesToAny(regularExpressions_0))
            );
        }

        if (param.markdown.has_value()) {
            const auto &markdown_0 = param.markdown.value();
            object_0.emplace(
                "markdown",
                std::make_unique<LSPAny>(markdownClientCapabilitiesToAny(markdown_0))
            );
        }

        if (param.positionEncodings.has_value()) {
            const auto &positionEncodings_0 = param.positionEncodings.value();
            LSPArray array_0;
            array_0.reserve(positionEncodings_0.size());
            for (const auto &elem_0 : positionEncodings_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = positionEncodingKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("positionEncodings", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToWorkspaceEditClientCapabilities_changeAnnotationSupport(
        const LSPAny &any
    ) const -> WorkspaceEditClientCapabilities_changeAnnotationSupport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceEditClientCapabilities_changeAnnotationSupport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceEditClientCapabilities_changeAnnotationSupport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceEditClientCapabilities_changeAnnotationSupport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("groupsOnLabel");
        if (iter_0 != object_0.end()) {
            value_0.groupsOnLabel = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workspaceEditClientCapabilities_changeAnnotationSupportToAny(
        const WorkspaceEditClientCapabilities_changeAnnotationSupport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.groupsOnLabel.has_value()) {
            const auto &groupsOnLabel_0 = param.groupsOnLabel.value();
            object_0.emplace(
                "groupsOnLabel",
                std::make_unique<LSPAny>(booleanToAny(groupsOnLabel_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceEditClientCapabilities(
        const LSPAny &any
    ) const -> WorkspaceEditClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceEditClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceEditClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceEditClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentChanges");
        if (iter_0 != object_0.end()) {
            value_0.documentChanges = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resourceOperations");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<ResourceOperationKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToResourceOperationKind(*elem_0));
            }
            value_0.resourceOperations = std::move(values_0);
        }

        iter_0 = object_0.find("failureHandling");
        if (iter_0 != object_0.end()) {
            value_0.failureHandling =
                anyToFailureHandlingKind(*iter_0->second);
        }

        iter_0 = object_0.find("normalizesLineEndings");
        if (iter_0 != object_0.end()) {
            value_0.normalizesLineEndings = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("changeAnnotationSupport");
        if (iter_0 != object_0.end()) {
            value_0.changeAnnotationSupport =
                anyToWorkspaceEditClientCapabilities_changeAnnotationSupport(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workspaceEditClientCapabilitiesToAny(
        const WorkspaceEditClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.documentChanges.has_value()) {
            const auto &documentChanges_0 = param.documentChanges.value();
            object_0.emplace(
                "documentChanges",
                std::make_unique<LSPAny>(booleanToAny(documentChanges_0))
            );
        }

        if (param.resourceOperations.has_value()) {
            const auto &resourceOperations_0 =
                param.resourceOperations.value();
            LSPArray array_0;
            array_0.reserve(resourceOperations_0.size());
            for (const auto &elem_0 : resourceOperations_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = resourceOperationKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("resourceOperations", std::move(any_1));
        }

        if (param.failureHandling.has_value()) {
            const auto &failureHandling_0 = param.failureHandling.value();
            object_0.emplace(
                "failureHandling",
                std::make_unique<LSPAny>(failureHandlingKindToAny(failureHandling_0))
            );
        }

        if (param.normalizesLineEndings.has_value()) {
            const auto &normalizesLineEndings_0 =
                param.normalizesLineEndings.value();
            object_0.emplace(
                "normalizesLineEndings",
                std::make_unique<LSPAny>(booleanToAny(normalizesLineEndings_0))
            );
        }

        if (param.changeAnnotationSupport.has_value()) {
            const auto &changeAnnotationSupport_0 =
                param.changeAnnotationSupport.value();
            object_0.emplace(
                "changeAnnotationSupport",
                std::make_unique<LSPAny>(workspaceEditClientCapabilities_changeAnnotationSupportToAny(changeAnnotationSupport_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToDidChangeConfigurationClientCapabilities(
        const LSPAny &any
    ) const -> DidChangeConfigurationClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidChangeConfigurationClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidChangeConfigurationClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidChangeConfigurationClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::didChangeConfigurationClientCapabilitiesToAny(
        const DidChangeConfigurationClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDidChangeWatchedFilesClientCapabilities(
        const LSPAny &any
    ) const -> DidChangeWatchedFilesClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidChangeWatchedFilesClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidChangeWatchedFilesClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidChangeWatchedFilesClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("relativePatternSupport");
        if (iter_0 != object_0.end()) {
            value_0.relativePatternSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::didChangeWatchedFilesClientCapabilitiesToAny(
        const DidChangeWatchedFilesClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.relativePatternSupport.has_value()) {
            const auto &relativePatternSupport_0 =
                param.relativePatternSupport.value();
            object_0.emplace(
                "relativePatternSupport",
                std::make_unique<LSPAny>(booleanToAny(relativePatternSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceSymbolClientCapabilities(
        const LSPAny &any
    ) const -> WorkspaceSymbolClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceSymbolClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceSymbolClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceSymbolClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("symbolKind");
        if (iter_0 != object_0.end()) {
            value_0.symbolKind =
                anyToWorkspaceSymbolClientCapabilities_symbolKind(*iter_0->second);
        }

        iter_0 = object_0.find("tagSupport");
        if (iter_0 != object_0.end()) {
            value_0.tagSupport =
                anyToWorkspaceSymbolClientCapabilities_tagSupport(*iter_0->second);
        }

        iter_0 = object_0.find("resolveSupport");
        if (iter_0 != object_0.end()) {
            value_0.resolveSupport =
                anyToWorkspaceSymbolClientCapabilities_resolveSupport(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbolClientCapabilitiesToAny(
        const WorkspaceSymbolClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.symbolKind.has_value()) {
            const auto &symbolKind_0 = param.symbolKind.value();
            object_0.emplace(
                "symbolKind",
                std::make_unique<LSPAny>(workspaceSymbolClientCapabilities_symbolKindToAny(symbolKind_0))
            );
        }

        if (param.tagSupport.has_value()) {
            const auto &tagSupport_0 = param.tagSupport.value();
            object_0.emplace(
                "tagSupport",
                std::make_unique<LSPAny>(workspaceSymbolClientCapabilities_tagSupportToAny(tagSupport_0))
            );
        }

        if (param.resolveSupport.has_value()) {
            const auto &resolveSupport_0 = param.resolveSupport.value();
            object_0.emplace(
                "resolveSupport",
                std::make_unique<LSPAny>(workspaceSymbolClientCapabilities_resolveSupportToAny(resolveSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToExecuteCommandClientCapabilities(
        const LSPAny &any
    ) const -> ExecuteCommandClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ExecuteCommandClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ExecuteCommandClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ExecuteCommandClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::executeCommandClientCapabilitiesToAny(
        const ExecuteCommandClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensWorkspaceClientCapabilities(
        const LSPAny &any
    ) const -> SemanticTokensWorkspaceClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensWorkspaceClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensWorkspaceClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensWorkspaceClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("refreshSupport");
        if (iter_0 != object_0.end()) {
            value_0.refreshSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensWorkspaceClientCapabilitiesToAny(
        const SemanticTokensWorkspaceClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.refreshSupport.has_value()) {
            const auto &refreshSupport_0 = param.refreshSupport.value();
            object_0.emplace(
                "refreshSupport",
                std::make_unique<LSPAny>(booleanToAny(refreshSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCodeLensWorkspaceClientCapabilities(
        const LSPAny &any
    ) const -> CodeLensWorkspaceClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeLensWorkspaceClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeLensWorkspaceClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeLensWorkspaceClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("refreshSupport");
        if (iter_0 != object_0.end()) {
            value_0.refreshSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeLensWorkspaceClientCapabilitiesToAny(
        const CodeLensWorkspaceClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.refreshSupport.has_value()) {
            const auto &refreshSupport_0 = param.refreshSupport.value();
            object_0.emplace(
                "refreshSupport",
                std::make_unique<LSPAny>(booleanToAny(refreshSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFileOperationClientCapabilities(
        const LSPAny &any
    ) const -> FileOperationClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FileOperationClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FileOperationClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 7) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FileOperationClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 7")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("didCreate");
        if (iter_0 != object_0.end()) {
            value_0.didCreate = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("willCreate");
        if (iter_0 != object_0.end()) {
            value_0.willCreate = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("didRename");
        if (iter_0 != object_0.end()) {
            value_0.didRename = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("willRename");
        if (iter_0 != object_0.end()) {
            value_0.willRename = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("didDelete");
        if (iter_0 != object_0.end()) {
            value_0.didDelete = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("willDelete");
        if (iter_0 != object_0.end()) {
            value_0.willDelete = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::fileOperationClientCapabilitiesToAny(
        const FileOperationClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.didCreate.has_value()) {
            const auto &didCreate_0 = param.didCreate.value();
            object_0.emplace(
                "didCreate",
                std::make_unique<LSPAny>(booleanToAny(didCreate_0))
            );
        }

        if (param.willCreate.has_value()) {
            const auto &willCreate_0 = param.willCreate.value();
            object_0.emplace(
                "willCreate",
                std::make_unique<LSPAny>(booleanToAny(willCreate_0))
            );
        }

        if (param.didRename.has_value()) {
            const auto &didRename_0 = param.didRename.value();
            object_0.emplace(
                "didRename",
                std::make_unique<LSPAny>(booleanToAny(didRename_0))
            );
        }

        if (param.willRename.has_value()) {
            const auto &willRename_0 = param.willRename.value();
            object_0.emplace(
                "willRename",
                std::make_unique<LSPAny>(booleanToAny(willRename_0))
            );
        }

        if (param.didDelete.has_value()) {
            const auto &didDelete_0 = param.didDelete.value();
            object_0.emplace(
                "didDelete",
                std::make_unique<LSPAny>(booleanToAny(didDelete_0))
            );
        }

        if (param.willDelete.has_value()) {
            const auto &willDelete_0 = param.willDelete.value();
            object_0.emplace(
                "willDelete",
                std::make_unique<LSPAny>(booleanToAny(willDelete_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineValueWorkspaceClientCapabilities(
        const LSPAny &any
    ) const -> InlineValueWorkspaceClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineValueWorkspaceClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineValueWorkspaceClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineValueWorkspaceClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("refreshSupport");
        if (iter_0 != object_0.end()) {
            value_0.refreshSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineValueWorkspaceClientCapabilitiesToAny(
        const InlineValueWorkspaceClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.refreshSupport.has_value()) {
            const auto &refreshSupport_0 = param.refreshSupport.value();
            object_0.emplace(
                "refreshSupport",
                std::make_unique<LSPAny>(booleanToAny(refreshSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlayHintWorkspaceClientCapabilities(
        const LSPAny &any
    ) const -> InlayHintWorkspaceClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlayHintWorkspaceClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlayHintWorkspaceClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlayHintWorkspaceClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("refreshSupport");
        if (iter_0 != object_0.end()) {
            value_0.refreshSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlayHintWorkspaceClientCapabilitiesToAny(
        const InlayHintWorkspaceClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.refreshSupport.has_value()) {
            const auto &refreshSupport_0 = param.refreshSupport.value();
            object_0.emplace(
                "refreshSupport",
                std::make_unique<LSPAny>(booleanToAny(refreshSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDiagnosticWorkspaceClientCapabilities(
        const LSPAny &any
    ) const -> DiagnosticWorkspaceClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DiagnosticWorkspaceClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DiagnosticWorkspaceClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DiagnosticWorkspaceClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("refreshSupport");
        if (iter_0 != object_0.end()) {
            value_0.refreshSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::diagnosticWorkspaceClientCapabilitiesToAny(
        const DiagnosticWorkspaceClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.refreshSupport.has_value()) {
            const auto &refreshSupport_0 = param.refreshSupport.value();
            object_0.emplace(
                "refreshSupport",
                std::make_unique<LSPAny>(booleanToAny(refreshSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFoldingRangeWorkspaceClientCapabilities(
        const LSPAny &any
    ) const -> FoldingRangeWorkspaceClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FoldingRangeWorkspaceClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FoldingRangeWorkspaceClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FoldingRangeWorkspaceClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("refreshSupport");
        if (iter_0 != object_0.end()) {
            value_0.refreshSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::foldingRangeWorkspaceClientCapabilitiesToAny(
        const FoldingRangeWorkspaceClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.refreshSupport.has_value()) {
            const auto &refreshSupport_0 = param.refreshSupport.value();
            object_0.emplace(
                "refreshSupport",
                std::make_unique<LSPAny>(booleanToAny(refreshSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceClientCapabilities(
        const LSPAny &any
    ) const -> WorkspaceClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 15) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 15")
            );
        }

        iter_0 = object_0.find("applyEdit");
        if (iter_0 != object_0.end()) {
            value_0.applyEdit = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workspaceEdit");
        if (iter_0 != object_0.end()) {
            value_0.workspaceEdit =
                anyToWorkspaceEditClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("didChangeConfiguration");
        if (iter_0 != object_0.end()) {
            value_0.didChangeConfiguration =
                anyToDidChangeConfigurationClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("didChangeWatchedFiles");
        if (iter_0 != object_0.end()) {
            value_0.didChangeWatchedFiles =
                anyToDidChangeWatchedFilesClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("symbol");
        if (iter_0 != object_0.end()) {
            value_0.symbol =
                anyToWorkspaceSymbolClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("executeCommand");
        if (iter_0 != object_0.end()) {
            value_0.executeCommand =
                anyToExecuteCommandClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("workspaceFolders");
        if (iter_0 != object_0.end()) {
            value_0.workspaceFolders = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("configuration");
        if (iter_0 != object_0.end()) {
            value_0.configuration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("semanticTokens");
        if (iter_0 != object_0.end()) {
            value_0.semanticTokens =
                anyToSemanticTokensWorkspaceClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("codeLens");
        if (iter_0 != object_0.end()) {
            value_0.codeLens =
                anyToCodeLensWorkspaceClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("fileOperations");
        if (iter_0 != object_0.end()) {
            value_0.fileOperations =
                anyToFileOperationClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("inlineValue");
        if (iter_0 != object_0.end()) {
            value_0.inlineValue =
                anyToInlineValueWorkspaceClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("inlayHint");
        if (iter_0 != object_0.end()) {
            value_0.inlayHint =
                anyToInlayHintWorkspaceClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("diagnostics");
        if (iter_0 != object_0.end()) {
            value_0.diagnostics =
                anyToDiagnosticWorkspaceClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("foldingRange");
        if (iter_0 != object_0.end()) {
            value_0.foldingRange =
                anyToFoldingRangeWorkspaceClientCapabilities(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workspaceClientCapabilitiesToAny(
        const WorkspaceClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.applyEdit.has_value()) {
            const auto &applyEdit_0 = param.applyEdit.value();
            object_0.emplace(
                "applyEdit",
                std::make_unique<LSPAny>(booleanToAny(applyEdit_0))
            );
        }

        if (param.workspaceEdit.has_value()) {
            const auto &workspaceEdit_0 = param.workspaceEdit.value();
            object_0.emplace(
                "workspaceEdit",
                std::make_unique<LSPAny>(workspaceEditClientCapabilitiesToAny(workspaceEdit_0))
            );
        }

        if (param.didChangeConfiguration.has_value()) {
            const auto &didChangeConfiguration_0 =
                param.didChangeConfiguration.value();
            object_0.emplace(
                "didChangeConfiguration",
                std::make_unique<LSPAny>(didChangeConfigurationClientCapabilitiesToAny(didChangeConfiguration_0))
            );
        }

        if (param.didChangeWatchedFiles.has_value()) {
            const auto &didChangeWatchedFiles_0 =
                param.didChangeWatchedFiles.value();
            object_0.emplace(
                "didChangeWatchedFiles",
                std::make_unique<LSPAny>(didChangeWatchedFilesClientCapabilitiesToAny(didChangeWatchedFiles_0))
            );
        }

        if (param.symbol.has_value()) {
            const auto &symbol_0 = param.symbol.value();
            object_0.emplace(
                "symbol",
                std::make_unique<LSPAny>(workspaceSymbolClientCapabilitiesToAny(symbol_0))
            );
        }

        if (param.executeCommand.has_value()) {
            const auto &executeCommand_0 = param.executeCommand.value();
            object_0.emplace(
                "executeCommand",
                std::make_unique<LSPAny>(executeCommandClientCapabilitiesToAny(executeCommand_0))
            );
        }

        if (param.workspaceFolders.has_value()) {
            const auto &workspaceFolders_0 = param.workspaceFolders.value();
            object_0.emplace(
                "workspaceFolders",
                std::make_unique<LSPAny>(booleanToAny(workspaceFolders_0))
            );
        }

        if (param.configuration.has_value()) {
            const auto &configuration_0 = param.configuration.value();
            object_0.emplace(
                "configuration",
                std::make_unique<LSPAny>(booleanToAny(configuration_0))
            );
        }

        if (param.semanticTokens.has_value()) {
            const auto &semanticTokens_0 = param.semanticTokens.value();
            object_0.emplace(
                "semanticTokens",
                std::make_unique<LSPAny>(semanticTokensWorkspaceClientCapabilitiesToAny(semanticTokens_0))
            );
        }

        if (param.codeLens.has_value()) {
            const auto &codeLens_0 = param.codeLens.value();
            object_0.emplace(
                "codeLens",
                std::make_unique<LSPAny>(codeLensWorkspaceClientCapabilitiesToAny(codeLens_0))
            );
        }

        if (param.fileOperations.has_value()) {
            const auto &fileOperations_0 = param.fileOperations.value();
            object_0.emplace(
                "fileOperations",
                std::make_unique<LSPAny>(fileOperationClientCapabilitiesToAny(fileOperations_0))
            );
        }

        if (param.inlineValue.has_value()) {
            const auto &inlineValue_0 = param.inlineValue.value();
            object_0.emplace(
                "inlineValue",
                std::make_unique<LSPAny>(inlineValueWorkspaceClientCapabilitiesToAny(inlineValue_0))
            );
        }

        if (param.inlayHint.has_value()) {
            const auto &inlayHint_0 = param.inlayHint.value();
            object_0.emplace(
                "inlayHint",
                std::make_unique<LSPAny>(inlayHintWorkspaceClientCapabilitiesToAny(inlayHint_0))
            );
        }

        if (param.diagnostics.has_value()) {
            const auto &diagnostics_0 = param.diagnostics.value();
            object_0.emplace(
                "diagnostics",
                std::make_unique<LSPAny>(diagnosticWorkspaceClientCapabilitiesToAny(diagnostics_0))
            );
        }

        if (param.foldingRange.has_value()) {
            const auto &foldingRange_0 = param.foldingRange.value();
            object_0.emplace(
                "foldingRange",
                std::make_unique<LSPAny>(foldingRangeWorkspaceClientCapabilitiesToAny(foldingRange_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentSyncClientCapabilities(
        const LSPAny &any
    ) const -> TextDocumentSyncClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentSyncClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentSyncClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentSyncClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("willSave");
        if (iter_0 != object_0.end()) {
            value_0.willSave = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("willSaveWaitUntil");
        if (iter_0 != object_0.end()) {
            value_0.willSaveWaitUntil = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("didSave");
        if (iter_0 != object_0.end()) {
            value_0.didSave = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::textDocumentSyncClientCapabilitiesToAny(
        const TextDocumentSyncClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.willSave.has_value()) {
            const auto &willSave_0 = param.willSave.value();
            object_0.emplace(
                "willSave",
                std::make_unique<LSPAny>(booleanToAny(willSave_0))
            );
        }

        if (param.willSaveWaitUntil.has_value()) {
            const auto &willSaveWaitUntil_0 = param.willSaveWaitUntil.value();
            object_0.emplace(
                "willSaveWaitUntil",
                std::make_unique<LSPAny>(booleanToAny(willSaveWaitUntil_0))
            );
        }

        if (param.didSave.has_value()) {
            const auto &didSave_0 = param.didSave.value();
            object_0.emplace(
                "didSave",
                std::make_unique<LSPAny>(booleanToAny(didSave_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCompletionClientCapabilities_completionItem(
        const LSPAny &any
    ) const -> CompletionClientCapabilities_completionItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionClientCapabilities_completionItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionClientCapabilities_completionItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 10) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionClientCapabilities_completionItem"
                 ": " + std::to_string(object_0.size()) + " > 10")
            );
        }

        iter_0 = object_0.find("snippetSupport");
        if (iter_0 != object_0.end()) {
            value_0.snippetSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("commitCharactersSupport");
        if (iter_0 != object_0.end()) {
            value_0.commitCharactersSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("documentationFormat");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<MarkupKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToMarkupKind(*elem_0));
            }
            value_0.documentationFormat = std::move(values_0);
        }

        iter_0 = object_0.find("deprecatedSupport");
        if (iter_0 != object_0.end()) {
            value_0.deprecatedSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("preselectSupport");
        if (iter_0 != object_0.end()) {
            value_0.preselectSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("tagSupport");
        if (iter_0 != object_0.end()) {
            value_0.tagSupport =
                anyToCompletionClientCapabilities_completionItem_tagSupport(*iter_0->second);
        }

        iter_0 = object_0.find("insertReplaceSupport");
        if (iter_0 != object_0.end()) {
            value_0.insertReplaceSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveSupport");
        if (iter_0 != object_0.end()) {
            value_0.resolveSupport =
                anyToCompletionClientCapabilities_completionItem_resolveSupport(*iter_0->second);
        }

        iter_0 = object_0.find("insertTextModeSupport");
        if (iter_0 != object_0.end()) {
            value_0.insertTextModeSupport =
                anyToCompletionClientCapabilities_completionItem_insertTextModeSupport(*iter_0->second);
        }

        iter_0 = object_0.find("labelDetailsSupport");
        if (iter_0 != object_0.end()) {
            value_0.labelDetailsSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionClientCapabilities_completionItemToAny(
        const CompletionClientCapabilities_completionItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.snippetSupport.has_value()) {
            const auto &snippetSupport_0 = param.snippetSupport.value();
            object_0.emplace(
                "snippetSupport",
                std::make_unique<LSPAny>(booleanToAny(snippetSupport_0))
            );
        }

        if (param.commitCharactersSupport.has_value()) {
            const auto &commitCharactersSupport_0 =
                param.commitCharactersSupport.value();
            object_0.emplace(
                "commitCharactersSupport",
                std::make_unique<LSPAny>(booleanToAny(commitCharactersSupport_0))
            );
        }

        if (param.documentationFormat.has_value()) {
            const auto &documentationFormat_0 =
                param.documentationFormat.value();
            LSPArray array_0;
            array_0.reserve(documentationFormat_0.size());
            for (const auto &elem_0 : documentationFormat_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = markupKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("documentationFormat", std::move(any_1));
        }

        if (param.deprecatedSupport.has_value()) {
            const auto &deprecatedSupport_0 = param.deprecatedSupport.value();
            object_0.emplace(
                "deprecatedSupport",
                std::make_unique<LSPAny>(booleanToAny(deprecatedSupport_0))
            );
        }

        if (param.preselectSupport.has_value()) {
            const auto &preselectSupport_0 = param.preselectSupport.value();
            object_0.emplace(
                "preselectSupport",
                std::make_unique<LSPAny>(booleanToAny(preselectSupport_0))
            );
        }

        if (param.tagSupport.has_value()) {
            const auto &tagSupport_0 = param.tagSupport.value();
            object_0.emplace(
                "tagSupport",
                std::make_unique<LSPAny>(completionClientCapabilities_completionItem_tagSupportToAny(tagSupport_0))
            );
        }

        if (param.insertReplaceSupport.has_value()) {
            const auto &insertReplaceSupport_0 =
                param.insertReplaceSupport.value();
            object_0.emplace(
                "insertReplaceSupport",
                std::make_unique<LSPAny>(booleanToAny(insertReplaceSupport_0))
            );
        }

        if (param.resolveSupport.has_value()) {
            const auto &resolveSupport_0 = param.resolveSupport.value();
            object_0.emplace(
                "resolveSupport",
                std::make_unique<LSPAny>(completionClientCapabilities_completionItem_resolveSupportToAny(resolveSupport_0))
            );
        }

        if (param.insertTextModeSupport.has_value()) {
            const auto &insertTextModeSupport_0 =
                param.insertTextModeSupport.value();
            object_0.emplace(
                "insertTextModeSupport",
                std::make_unique<LSPAny>(completionClientCapabilities_completionItem_insertTextModeSupportToAny(insertTextModeSupport_0))
            );
        }

        if (param.labelDetailsSupport.has_value()) {
            const auto &labelDetailsSupport_0 =
                param.labelDetailsSupport.value();
            object_0.emplace(
                "labelDetailsSupport",
                std::make_unique<LSPAny>(booleanToAny(labelDetailsSupport_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCompletionClientCapabilities(
        const LSPAny &any
    ) const -> CompletionClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("completionItem");
        if (iter_0 != object_0.end()) {
            value_0.completionItem =
                anyToCompletionClientCapabilities_completionItem(*iter_0->second);
        }

        iter_0 = object_0.find("completionItemKind");
        if (iter_0 != object_0.end()) {
            value_0.completionItemKind =
                anyToCompletionClientCapabilities_completionItemKind(*iter_0->second);
        }

        iter_0 = object_0.find("insertTextMode");
        if (iter_0 != object_0.end()) {
            value_0.insertTextMode = anyToInsertTextMode(*iter_0->second);
        }

        iter_0 = object_0.find("contextSupport");
        if (iter_0 != object_0.end()) {
            value_0.contextSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("completionList");
        if (iter_0 != object_0.end()) {
            value_0.completionList =
                anyToCompletionClientCapabilities_completionList(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionClientCapabilitiesToAny(
        const CompletionClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.completionItem.has_value()) {
            const auto &completionItem_0 = param.completionItem.value();
            object_0.emplace(
                "completionItem",
                std::make_unique<LSPAny>(completionClientCapabilities_completionItemToAny(completionItem_0))
            );
        }

        if (param.completionItemKind.has_value()) {
            const auto &completionItemKind_0 =
                param.completionItemKind.value();
            object_0.emplace(
                "completionItemKind",
                std::make_unique<LSPAny>(completionClientCapabilities_completionItemKindToAny(completionItemKind_0))
            );
        }

        if (param.insertTextMode.has_value()) {
            const auto &insertTextMode_0 = param.insertTextMode.value();
            object_0.emplace(
                "insertTextMode",
                std::make_unique<LSPAny>(insertTextModeToAny(insertTextMode_0))
            );
        }

        if (param.contextSupport.has_value()) {
            const auto &contextSupport_0 = param.contextSupport.value();
            object_0.emplace(
                "contextSupport",
                std::make_unique<LSPAny>(booleanToAny(contextSupport_0))
            );
        }

        if (param.completionList.has_value()) {
            const auto &completionList_0 = param.completionList.value();
            object_0.emplace(
                "completionList",
                std::make_unique<LSPAny>(completionClientCapabilities_completionListToAny(completionList_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToHoverClientCapabilities(
        const LSPAny &any
    ) const -> HoverClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "HoverClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        HoverClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "HoverClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("contentFormat");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<MarkupKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToMarkupKind(*elem_0));
            }
            value_0.contentFormat = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::hoverClientCapabilitiesToAny(
        const HoverClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.contentFormat.has_value()) {
            const auto &contentFormat_0 = param.contentFormat.value();
            LSPArray array_0;
            array_0.reserve(contentFormat_0.size());
            for (const auto &elem_0 : contentFormat_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = markupKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("contentFormat", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToSignatureHelpClientCapabilities_signatureInformation_parameterInformation(
        const LSPAny &any
    ) const -> SignatureHelpClientCapabilities_signatureInformation_parameterInformation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SignatureHelpClientCapabilities_signatureInformation_parameterInformation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SignatureHelpClientCapabilities_signatureInformation_parameterInformation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SignatureHelpClientCapabilities_signatureInformation_parameterInformation"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("labelOffsetSupport");
        if (iter_0 != object_0.end()) {
            value_0.labelOffsetSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::signatureHelpClientCapabilities_signatureInformation_parameterInformationToAny(
        const SignatureHelpClientCapabilities_signatureInformation_parameterInformation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.labelOffsetSupport.has_value()) {
            const auto &labelOffsetSupport_0 =
                param.labelOffsetSupport.value();
            object_0.emplace(
                "labelOffsetSupport",
                std::make_unique<LSPAny>(booleanToAny(labelOffsetSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSignatureHelpClientCapabilities_signatureInformation(
        const LSPAny &any
    ) const -> SignatureHelpClientCapabilities_signatureInformation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SignatureHelpClientCapabilities_signatureInformation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SignatureHelpClientCapabilities_signatureInformation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SignatureHelpClientCapabilities_signatureInformation"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("documentationFormat");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<MarkupKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToMarkupKind(*elem_0));
            }
            value_0.documentationFormat = std::move(values_0);
        }

        iter_0 = object_0.find("parameterInformation");
        if (iter_0 != object_0.end()) {
            value_0.parameterInformation =
                anyToSignatureHelpClientCapabilities_signatureInformation_parameterInformation(*iter_0->second);
        }

        iter_0 = object_0.find("activeParameterSupport");
        if (iter_0 != object_0.end()) {
            value_0.activeParameterSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::signatureHelpClientCapabilities_signatureInformationToAny(
        const SignatureHelpClientCapabilities_signatureInformation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.documentationFormat.has_value()) {
            const auto &documentationFormat_0 =
                param.documentationFormat.value();
            LSPArray array_0;
            array_0.reserve(documentationFormat_0.size());
            for (const auto &elem_0 : documentationFormat_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = markupKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("documentationFormat", std::move(any_1));
        }

        if (param.parameterInformation.has_value()) {
            const auto &parameterInformation_0 =
                param.parameterInformation.value();
            object_0.emplace(
                "parameterInformation",
                std::make_unique<LSPAny>(signatureHelpClientCapabilities_signatureInformation_parameterInformationToAny(parameterInformation_0))
            );
        }

        if (param.activeParameterSupport.has_value()) {
            const auto &activeParameterSupport_0 =
                param.activeParameterSupport.value();
            object_0.emplace(
                "activeParameterSupport",
                std::make_unique<LSPAny>(booleanToAny(activeParameterSupport_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToSignatureHelpClientCapabilities(
        const LSPAny &any
    ) const -> SignatureHelpClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SignatureHelpClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SignatureHelpClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SignatureHelpClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("signatureInformation");
        if (iter_0 != object_0.end()) {
            value_0.signatureInformation =
                anyToSignatureHelpClientCapabilities_signatureInformation(*iter_0->second);
        }

        iter_0 = object_0.find("contextSupport");
        if (iter_0 != object_0.end()) {
            value_0.contextSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::signatureHelpClientCapabilitiesToAny(
        const SignatureHelpClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.signatureInformation.has_value()) {
            const auto &signatureInformation_0 =
                param.signatureInformation.value();
            object_0.emplace(
                "signatureInformation",
                std::make_unique<LSPAny>(signatureHelpClientCapabilities_signatureInformationToAny(signatureInformation_0))
            );
        }

        if (param.contextSupport.has_value()) {
            const auto &contextSupport_0 = param.contextSupport.value();
            object_0.emplace(
                "contextSupport",
                std::make_unique<LSPAny>(booleanToAny(contextSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDeclarationClientCapabilities(
        const LSPAny &any
    ) const -> DeclarationClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DeclarationClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DeclarationClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DeclarationClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("linkSupport");
        if (iter_0 != object_0.end()) {
            value_0.linkSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::declarationClientCapabilitiesToAny(
        const DeclarationClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.linkSupport.has_value()) {
            const auto &linkSupport_0 = param.linkSupport.value();
            object_0.emplace(
                "linkSupport",
                std::make_unique<LSPAny>(booleanToAny(linkSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDefinitionClientCapabilities(
        const LSPAny &any
    ) const -> DefinitionClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DefinitionClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DefinitionClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DefinitionClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("linkSupport");
        if (iter_0 != object_0.end()) {
            value_0.linkSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::definitionClientCapabilitiesToAny(
        const DefinitionClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.linkSupport.has_value()) {
            const auto &linkSupport_0 = param.linkSupport.value();
            object_0.emplace(
                "linkSupport",
                std::make_unique<LSPAny>(booleanToAny(linkSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTypeDefinitionClientCapabilities(
        const LSPAny &any
    ) const -> TypeDefinitionClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeDefinitionClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeDefinitionClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeDefinitionClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("linkSupport");
        if (iter_0 != object_0.end()) {
            value_0.linkSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::typeDefinitionClientCapabilitiesToAny(
        const TypeDefinitionClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.linkSupport.has_value()) {
            const auto &linkSupport_0 = param.linkSupport.value();
            object_0.emplace(
                "linkSupport",
                std::make_unique<LSPAny>(booleanToAny(linkSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToImplementationClientCapabilities(
        const LSPAny &any
    ) const -> ImplementationClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ImplementationClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ImplementationClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ImplementationClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("linkSupport");
        if (iter_0 != object_0.end()) {
            value_0.linkSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::implementationClientCapabilitiesToAny(
        const ImplementationClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.linkSupport.has_value()) {
            const auto &linkSupport_0 = param.linkSupport.value();
            object_0.emplace(
                "linkSupport",
                std::make_unique<LSPAny>(booleanToAny(linkSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToReferenceClientCapabilities(
        const LSPAny &any
    ) const -> ReferenceClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ReferenceClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ReferenceClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ReferenceClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::referenceClientCapabilitiesToAny(
        const ReferenceClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentHighlightClientCapabilities(
        const LSPAny &any
    ) const -> DocumentHighlightClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentHighlightClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentHighlightClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentHighlightClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentHighlightClientCapabilitiesToAny(
        const DocumentHighlightClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentSymbolClientCapabilities(
        const LSPAny &any
    ) const -> DocumentSymbolClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentSymbolClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentSymbolClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentSymbolClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("symbolKind");
        if (iter_0 != object_0.end()) {
            value_0.symbolKind =
                anyToDocumentSymbolClientCapabilities_symbolKind(*iter_0->second);
        }

        iter_0 = object_0.find("hierarchicalDocumentSymbolSupport");
        if (iter_0 != object_0.end()) {
            value_0.hierarchicalDocumentSymbolSupport =
                anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("tagSupport");
        if (iter_0 != object_0.end()) {
            value_0.tagSupport =
                anyToDocumentSymbolClientCapabilities_tagSupport(*iter_0->second);
        }

        iter_0 = object_0.find("labelSupport");
        if (iter_0 != object_0.end()) {
            value_0.labelSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentSymbolClientCapabilitiesToAny(
        const DocumentSymbolClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.symbolKind.has_value()) {
            const auto &symbolKind_0 = param.symbolKind.value();
            object_0.emplace(
                "symbolKind",
                std::make_unique<LSPAny>(documentSymbolClientCapabilities_symbolKindToAny(symbolKind_0))
            );
        }

        if (param.hierarchicalDocumentSymbolSupport.has_value()) {
            const auto &hierarchicalDocumentSymbolSupport_0 =
                param.hierarchicalDocumentSymbolSupport.value();
            object_0.emplace(
                "hierarchicalDocumentSymbolSupport",
                std::make_unique<LSPAny>(booleanToAny(hierarchicalDocumentSymbolSupport_0))
            );
        }

        if (param.tagSupport.has_value()) {
            const auto &tagSupport_0 = param.tagSupport.value();
            object_0.emplace(
                "tagSupport",
                std::make_unique<LSPAny>(documentSymbolClientCapabilities_tagSupportToAny(tagSupport_0))
            );
        }

        if (param.labelSupport.has_value()) {
            const auto &labelSupport_0 = param.labelSupport.value();
            object_0.emplace(
                "labelSupport",
                std::make_unique<LSPAny>(booleanToAny(labelSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCodeActionClientCapabilities(
        const LSPAny &any
    ) const -> CodeActionClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeActionClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeActionClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 7) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeActionClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 7")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("codeActionLiteralSupport");
        if (iter_0 != object_0.end()) {
            value_0.codeActionLiteralSupport =
                anyToCodeActionClientCapabilities_codeActionLiteralSupport(*iter_0->second);
        }

        iter_0 = object_0.find("isPreferredSupport");
        if (iter_0 != object_0.end()) {
            value_0.isPreferredSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("disabledSupport");
        if (iter_0 != object_0.end()) {
            value_0.disabledSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("dataSupport");
        if (iter_0 != object_0.end()) {
            value_0.dataSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveSupport");
        if (iter_0 != object_0.end()) {
            value_0.resolveSupport =
                anyToCodeActionClientCapabilities_resolveSupport(*iter_0->second);
        }

        iter_0 = object_0.find("honorsChangeAnnotations");
        if (iter_0 != object_0.end()) {
            value_0.honorsChangeAnnotations = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeActionClientCapabilitiesToAny(
        const CodeActionClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.codeActionLiteralSupport.has_value()) {
            const auto &codeActionLiteralSupport_0 =
                param.codeActionLiteralSupport.value();
            object_0.emplace(
                "codeActionLiteralSupport",
                std::make_unique<LSPAny>(codeActionClientCapabilities_codeActionLiteralSupportToAny(codeActionLiteralSupport_0))
            );
        }

        if (param.isPreferredSupport.has_value()) {
            const auto &isPreferredSupport_0 =
                param.isPreferredSupport.value();
            object_0.emplace(
                "isPreferredSupport",
                std::make_unique<LSPAny>(booleanToAny(isPreferredSupport_0))
            );
        }

        if (param.disabledSupport.has_value()) {
            const auto &disabledSupport_0 = param.disabledSupport.value();
            object_0.emplace(
                "disabledSupport",
                std::make_unique<LSPAny>(booleanToAny(disabledSupport_0))
            );
        }

        if (param.dataSupport.has_value()) {
            const auto &dataSupport_0 = param.dataSupport.value();
            object_0.emplace(
                "dataSupport",
                std::make_unique<LSPAny>(booleanToAny(dataSupport_0))
            );
        }

        if (param.resolveSupport.has_value()) {
            const auto &resolveSupport_0 = param.resolveSupport.value();
            object_0.emplace(
                "resolveSupport",
                std::make_unique<LSPAny>(codeActionClientCapabilities_resolveSupportToAny(resolveSupport_0))
            );
        }

        if (param.honorsChangeAnnotations.has_value()) {
            const auto &honorsChangeAnnotations_0 =
                param.honorsChangeAnnotations.value();
            object_0.emplace(
                "honorsChangeAnnotations",
                std::make_unique<LSPAny>(booleanToAny(honorsChangeAnnotations_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCodeLensClientCapabilities(
        const LSPAny &any
    ) const -> CodeLensClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeLensClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeLensClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeLensClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeLensClientCapabilitiesToAny(
        const CodeLensClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentLinkClientCapabilities(
        const LSPAny &any
    ) const -> DocumentLinkClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentLinkClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentLinkClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentLinkClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("tooltipSupport");
        if (iter_0 != object_0.end()) {
            value_0.tooltipSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentLinkClientCapabilitiesToAny(
        const DocumentLinkClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.tooltipSupport.has_value()) {
            const auto &tooltipSupport_0 = param.tooltipSupport.value();
            object_0.emplace(
                "tooltipSupport",
                std::make_unique<LSPAny>(booleanToAny(tooltipSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentColorClientCapabilities(
        const LSPAny &any
    ) const -> DocumentColorClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentColorClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentColorClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentColorClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentColorClientCapabilitiesToAny(
        const DocumentColorClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentFormattingClientCapabilities(
        const LSPAny &any
    ) const -> DocumentFormattingClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentFormattingClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentFormattingClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentFormattingClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentFormattingClientCapabilitiesToAny(
        const DocumentFormattingClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentRangeFormattingClientCapabilities(
        const LSPAny &any
    ) const -> DocumentRangeFormattingClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentRangeFormattingClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentRangeFormattingClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentRangeFormattingClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("rangesSupport");
        if (iter_0 != object_0.end()) {
            value_0.rangesSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentRangeFormattingClientCapabilitiesToAny(
        const DocumentRangeFormattingClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.rangesSupport.has_value()) {
            const auto &rangesSupport_0 = param.rangesSupport.value();
            object_0.emplace(
                "rangesSupport",
                std::make_unique<LSPAny>(booleanToAny(rangesSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentOnTypeFormattingClientCapabilities(
        const LSPAny &any
    ) const -> DocumentOnTypeFormattingClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentOnTypeFormattingClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentOnTypeFormattingClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentOnTypeFormattingClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentOnTypeFormattingClientCapabilitiesToAny(
        const DocumentOnTypeFormattingClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToRenameClientCapabilities(
        const LSPAny &any
    ) const -> RenameClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RenameClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RenameClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RenameClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("prepareSupport");
        if (iter_0 != object_0.end()) {
            value_0.prepareSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("prepareSupportDefaultBehavior");
        if (iter_0 != object_0.end()) {
            value_0.prepareSupportDefaultBehavior =
                anyToPrepareSupportDefaultBehavior(*iter_0->second);
        }

        iter_0 = object_0.find("honorsChangeAnnotations");
        if (iter_0 != object_0.end()) {
            value_0.honorsChangeAnnotations = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::renameClientCapabilitiesToAny(
        const RenameClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.prepareSupport.has_value()) {
            const auto &prepareSupport_0 = param.prepareSupport.value();
            object_0.emplace(
                "prepareSupport",
                std::make_unique<LSPAny>(booleanToAny(prepareSupport_0))
            );
        }

        if (param.prepareSupportDefaultBehavior.has_value()) {
            const auto &prepareSupportDefaultBehavior_0 =
                param.prepareSupportDefaultBehavior.value();
            object_0.emplace(
                "prepareSupportDefaultBehavior",
                std::make_unique<LSPAny>(prepareSupportDefaultBehaviorToAny(prepareSupportDefaultBehavior_0))
            );
        }

        if (param.honorsChangeAnnotations.has_value()) {
            const auto &honorsChangeAnnotations_0 =
                param.honorsChangeAnnotations.value();
            object_0.emplace(
                "honorsChangeAnnotations",
                std::make_unique<LSPAny>(booleanToAny(honorsChangeAnnotations_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFoldingRangeClientCapabilities_foldingRange(
        const LSPAny &any
    ) const -> FoldingRangeClientCapabilities_foldingRange
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FoldingRangeClientCapabilities_foldingRange"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FoldingRangeClientCapabilities_foldingRange value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FoldingRangeClientCapabilities_foldingRange"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("collapsedText");
        if (iter_0 != object_0.end()) {
            value_0.collapsedText = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::foldingRangeClientCapabilities_foldingRangeToAny(
        const FoldingRangeClientCapabilities_foldingRange &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.collapsedText.has_value()) {
            const auto &collapsedText_0 = param.collapsedText.value();
            object_0.emplace(
                "collapsedText",
                std::make_unique<LSPAny>(booleanToAny(collapsedText_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSelectionRangeClientCapabilities(
        const LSPAny &any
    ) const -> SelectionRangeClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SelectionRangeClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SelectionRangeClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SelectionRangeClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::selectionRangeClientCapabilitiesToAny(
        const SelectionRangeClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToPublishDiagnosticsClientCapabilities(
        const LSPAny &any
    ) const -> PublishDiagnosticsClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "PublishDiagnosticsClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        PublishDiagnosticsClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "PublishDiagnosticsClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("relatedInformation");
        if (iter_0 != object_0.end()) {
            value_0.relatedInformation = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("tagSupport");
        if (iter_0 != object_0.end()) {
            value_0.tagSupport =
                anyToPublishDiagnosticsClientCapabilities_tagSupport(*iter_0->second);
        }

        iter_0 = object_0.find("versionSupport");
        if (iter_0 != object_0.end()) {
            value_0.versionSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("codeDescriptionSupport");
        if (iter_0 != object_0.end()) {
            value_0.codeDescriptionSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("dataSupport");
        if (iter_0 != object_0.end()) {
            value_0.dataSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::publishDiagnosticsClientCapabilitiesToAny(
        const PublishDiagnosticsClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.relatedInformation.has_value()) {
            const auto &relatedInformation_0 =
                param.relatedInformation.value();
            object_0.emplace(
                "relatedInformation",
                std::make_unique<LSPAny>(booleanToAny(relatedInformation_0))
            );
        }

        if (param.tagSupport.has_value()) {
            const auto &tagSupport_0 = param.tagSupport.value();
            object_0.emplace(
                "tagSupport",
                std::make_unique<LSPAny>(publishDiagnosticsClientCapabilities_tagSupportToAny(tagSupport_0))
            );
        }

        if (param.versionSupport.has_value()) {
            const auto &versionSupport_0 = param.versionSupport.value();
            object_0.emplace(
                "versionSupport",
                std::make_unique<LSPAny>(booleanToAny(versionSupport_0))
            );
        }

        if (param.codeDescriptionSupport.has_value()) {
            const auto &codeDescriptionSupport_0 =
                param.codeDescriptionSupport.value();
            object_0.emplace(
                "codeDescriptionSupport",
                std::make_unique<LSPAny>(booleanToAny(codeDescriptionSupport_0))
            );
        }

        if (param.dataSupport.has_value()) {
            const auto &dataSupport_0 = param.dataSupport.value();
            object_0.emplace(
                "dataSupport",
                std::make_unique<LSPAny>(booleanToAny(dataSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCallHierarchyClientCapabilities(
        const LSPAny &any
    ) const -> CallHierarchyClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CallHierarchyClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CallHierarchyClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CallHierarchyClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::callHierarchyClientCapabilitiesToAny(
        const CallHierarchyClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensClientCapabilities_requests_full_1(
        const LSPAny &any
    ) const -> SemanticTokensClientCapabilities_requests_full_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensClientCapabilities_requests_full_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensClientCapabilities_requests_full_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensClientCapabilities_requests_full_1"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("delta");
        if (iter_0 != object_0.end()) {
            value_0.delta = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensClientCapabilities_requests_full_1ToAny(
        const SemanticTokensClientCapabilities_requests_full_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.delta.has_value()) {
            const auto &delta_0 = param.delta.value();
            object_0.emplace(
                "delta",
                std::make_unique<LSPAny>(booleanToAny(delta_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensClientCapabilities_requests_full(
        const LSPAny &any
    ) const -> SemanticTokensClientCapabilities_requests_full
    {
        SemanticTokensClientCapabilities_requests_full value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 =
                    anyToSemanticTokensClientCapabilities_requests_full_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to SemanticTokensClientCapabilities_requests_full"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "SemanticTokensClientCapabilities_requests_full"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensClientCapabilities_requests_fullToAny(
        const SemanticTokensClientCapabilities_requests_full &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case SemanticTokensClientCapabilities_requests_fullType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case SemanticTokensClientCapabilities_requests_fullType::SemanticTokensClientCapabilities_requests_full_1: {
            return semanticTokensClientCapabilities_requests_full_1ToAny(value.semanticTokensClientCapabilities_requests_full_1());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported SemanticTokensClientCapabilities_requests_fullType: " +
                 SemanticTokensClientCapabilities_requests_fullTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToLinkedEditingRangeClientCapabilities(
        const LSPAny &any
    ) const -> LinkedEditingRangeClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "LinkedEditingRangeClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        LinkedEditingRangeClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "LinkedEditingRangeClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::linkedEditingRangeClientCapabilitiesToAny(
        const LinkedEditingRangeClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToMonikerClientCapabilities(
        const LSPAny &any
    ) const -> MonikerClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "MonikerClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        MonikerClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "MonikerClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::monikerClientCapabilitiesToAny(
        const MonikerClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTypeHierarchyClientCapabilities(
        const LSPAny &any
    ) const -> TypeHierarchyClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeHierarchyClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeHierarchyClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeHierarchyClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::typeHierarchyClientCapabilitiesToAny(
        const TypeHierarchyClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineValueClientCapabilities(
        const LSPAny &any
    ) const -> InlineValueClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineValueClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineValueClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineValueClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineValueClientCapabilitiesToAny(
        const InlineValueClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlayHintClientCapabilities(
        const LSPAny &any
    ) const -> InlayHintClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlayHintClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlayHintClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlayHintClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveSupport");
        if (iter_0 != object_0.end()) {
            value_0.resolveSupport =
                anyToInlayHintClientCapabilities_resolveSupport(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlayHintClientCapabilitiesToAny(
        const InlayHintClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.resolveSupport.has_value()) {
            const auto &resolveSupport_0 = param.resolveSupport.value();
            object_0.emplace(
                "resolveSupport",
                std::make_unique<LSPAny>(inlayHintClientCapabilities_resolveSupportToAny(resolveSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDiagnosticClientCapabilities(
        const LSPAny &any
    ) const -> DiagnosticClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DiagnosticClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DiagnosticClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DiagnosticClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("relatedDocumentSupport");
        if (iter_0 != object_0.end()) {
            value_0.relatedDocumentSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::diagnosticClientCapabilitiesToAny(
        const DiagnosticClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.relatedDocumentSupport.has_value()) {
            const auto &relatedDocumentSupport_0 =
                param.relatedDocumentSupport.value();
            object_0.emplace(
                "relatedDocumentSupport",
                std::make_unique<LSPAny>(booleanToAny(relatedDocumentSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineCompletionClientCapabilities(
        const LSPAny &any
    ) const -> InlineCompletionClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineCompletionClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineCompletionClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineCompletionClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineCompletionClientCapabilitiesToAny(
        const InlineCompletionClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToNotebookDocumentSyncClientCapabilities(
        const LSPAny &any
    ) const -> NotebookDocumentSyncClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentSyncClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentSyncClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentSyncClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("executionSummarySupport");
        if (iter_0 != object_0.end()) {
            value_0.executionSummarySupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentSyncClientCapabilitiesToAny(
        const NotebookDocumentSyncClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.executionSummarySupport.has_value()) {
            const auto &executionSummarySupport_0 =
                param.executionSummarySupport.value();
            object_0.emplace(
                "executionSummarySupport",
                std::make_unique<LSPAny>(booleanToAny(executionSummarySupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToNotebookDocumentClientCapabilities(
        const LSPAny &any
    ) const -> NotebookDocumentClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("synchronization");
        if (iter_0 != object_0.end()) {
            value_0.synchronization =
                anyToNotebookDocumentSyncClientCapabilities(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentClientCapabilities attribute: synchronization"
            );
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentClientCapabilitiesToAny(
        const NotebookDocumentClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "synchronization",
            std::make_unique<LSPAny>(notebookDocumentSyncClientCapabilitiesToAny(param.synchronization))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToShowMessageRequestClientCapabilities_messageActionItem(
        const LSPAny &any
    ) const -> ShowMessageRequestClientCapabilities_messageActionItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ShowMessageRequestClientCapabilities_messageActionItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ShowMessageRequestClientCapabilities_messageActionItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ShowMessageRequestClientCapabilities_messageActionItem"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("additionalPropertiesSupport");
        if (iter_0 != object_0.end()) {
            value_0.additionalPropertiesSupport =
                anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::showMessageRequestClientCapabilities_messageActionItemToAny(
        const ShowMessageRequestClientCapabilities_messageActionItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.additionalPropertiesSupport.has_value()) {
            const auto &additionalPropertiesSupport_0 =
                param.additionalPropertiesSupport.value();
            object_0.emplace(
                "additionalPropertiesSupport",
                std::make_unique<LSPAny>(booleanToAny(additionalPropertiesSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToShowMessageRequestClientCapabilities(
        const LSPAny &any
    ) const -> ShowMessageRequestClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ShowMessageRequestClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ShowMessageRequestClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ShowMessageRequestClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("messageActionItem");
        if (iter_0 != object_0.end()) {
            value_0.messageActionItem =
                anyToShowMessageRequestClientCapabilities_messageActionItem(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::showMessageRequestClientCapabilitiesToAny(
        const ShowMessageRequestClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.messageActionItem.has_value()) {
            const auto &messageActionItem_0 = param.messageActionItem.value();
            object_0.emplace(
                "messageActionItem",
                std::make_unique<LSPAny>(showMessageRequestClientCapabilities_messageActionItemToAny(messageActionItem_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToShowDocumentClientCapabilities(
        const LSPAny &any
    ) const -> ShowDocumentClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ShowDocumentClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ShowDocumentClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ShowDocumentClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("support");
        if (iter_0 != object_0.end()) {
            value_0.support = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ShowDocumentClientCapabilities attribute: support"
            );
        }

        return value_0;
    }

    auto LspTransformer::showDocumentClientCapabilitiesToAny(
        const ShowDocumentClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "support",
            std::make_unique<LSPAny>(booleanToAny(param.support))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWindowClientCapabilities(
        const LSPAny &any
    ) const -> WindowClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WindowClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WindowClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WindowClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("showMessage");
        if (iter_0 != object_0.end()) {
            value_0.showMessage =
                anyToShowMessageRequestClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("showDocument");
        if (iter_0 != object_0.end()) {
            value_0.showDocument =
                anyToShowDocumentClientCapabilities(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::windowClientCapabilitiesToAny(
        const WindowClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.showMessage.has_value()) {
            const auto &showMessage_0 = param.showMessage.value();
            object_0.emplace(
                "showMessage",
                std::make_unique<LSPAny>(showMessageRequestClientCapabilitiesToAny(showMessage_0))
            );
        }

        if (param.showDocument.has_value()) {
            const auto &showDocument_0 = param.showDocument.value();
            object_0.emplace(
                "showDocument",
                std::make_unique<LSPAny>(showDocumentClientCapabilitiesToAny(showDocument_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToPrepareRenameResult_2(
        const LSPAny &any
    ) const -> PrepareRenameResult_2
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "PrepareRenameResult_2"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        PrepareRenameResult_2 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "PrepareRenameResult_2"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("defaultBehavior");
        if (iter_0 != object_0.end()) {
            value_0.defaultBehavior = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PrepareRenameResult_2 attribute: defaultBehavior"
            );
        }

        return value_0;
    }

    auto LspTransformer::prepareRenameResult_2ToAny(
        const PrepareRenameResult_2 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "defaultBehavior",
            std::make_unique<LSPAny>(booleanToAny(param.defaultBehavior))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWindow_ShowDocumentResult(
        const LSPAny &any
    ) const -> Window_ShowDocumentResult
    {
        return anyToShowDocumentResult(any);
    }

    auto LspTransformer::window_ShowDocumentResultToAny(
        const Window_ShowDocumentResult &alias
    ) const -> LSPAny
    {
        return showDocumentResultToAny(alias);
    }

    auto LspTransformer::nullToAny(null_t param) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = param;
        return any_0;
    }

    auto LspTransformer::anyToNull(const LSPAny &any) const -> null_t
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type null_t")
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocumentRegistrationOptions_documentSelector(
        const LSPAny &any
    ) const -> TextDocumentRegistrationOptions_documentSelector
    {
        TextDocumentRegistrationOptions_documentSelector value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToDocumentSelector(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocumentRegistrationOptions_documentSelector"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocumentRegistrationOptions_documentSelector"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocumentRegistrationOptions_documentSelectorToAny(
        const TextDocumentRegistrationOptions_documentSelector &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocumentRegistrationOptions_documentSelectorType::DocumentSelector: {
            return documentSelectorToAny(value.documentSelector());
        }
        case TextDocumentRegistrationOptions_documentSelectorType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocumentRegistrationOptions_documentSelectorType: " +
                 TextDocumentRegistrationOptions_documentSelectorTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocumentRegistrationOptions(
        const LSPAny &any
    ) const -> TextDocumentRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentRegistrationOptions attribute: documentSelector"
            );
        }

        return value_0;
    }

    auto LspTransformer::textDocumentRegistrationOptionsToAny(
        const TextDocumentRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToImplementationRegistrationOptions(
        const LSPAny &any
    ) const -> ImplementationRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ImplementationRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ImplementationRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ImplementationRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ImplementationRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::implementationRegistrationOptionsToAny(
        const ImplementationRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTypeDefinitionRegistrationOptions(
        const LSPAny &any
    ) const -> TypeDefinitionRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeDefinitionRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeDefinitionRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeDefinitionRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeDefinitionRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::typeDefinitionRegistrationOptionsToAny(
        const TypeDefinitionRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentColorRegistrationOptions(
        const LSPAny &any
    ) const -> DocumentColorRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentColorRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentColorRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentColorRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentColorRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentColorRegistrationOptionsToAny(
        const DocumentColorRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFoldingRangeRegistrationOptions(
        const LSPAny &any
    ) const -> FoldingRangeRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FoldingRangeRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FoldingRangeRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FoldingRangeRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FoldingRangeRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::foldingRangeRegistrationOptionsToAny(
        const FoldingRangeRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDeclarationRegistrationOptions(
        const LSPAny &any
    ) const -> DeclarationRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DeclarationRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DeclarationRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DeclarationRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeclarationRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::declarationRegistrationOptionsToAny(
        const DeclarationRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSelectionRangeRegistrationOptions(
        const LSPAny &any
    ) const -> SelectionRangeRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SelectionRangeRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SelectionRangeRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SelectionRangeRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SelectionRangeRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::selectionRangeRegistrationOptionsToAny(
        const SelectionRangeRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCallHierarchyRegistrationOptions(
        const LSPAny &any
    ) const -> CallHierarchyRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CallHierarchyRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CallHierarchyRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CallHierarchyRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::callHierarchyRegistrationOptionsToAny(
        const CallHierarchyRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToLinkedEditingRangeRegistrationOptions(
        const LSPAny &any
    ) const -> LinkedEditingRangeRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "LinkedEditingRangeRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        LinkedEditingRangeRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "LinkedEditingRangeRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LinkedEditingRangeRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::linkedEditingRangeRegistrationOptionsToAny(
        const LinkedEditingRangeRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToMonikerRegistrationOptions(
        const LSPAny &any
    ) const -> MonikerRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "MonikerRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        MonikerRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "MonikerRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MonikerRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::monikerRegistrationOptionsToAny(
        const MonikerRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTypeHierarchyRegistrationOptions(
        const LSPAny &any
    ) const -> TypeHierarchyRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeHierarchyRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeHierarchyRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeHierarchyRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::typeHierarchyRegistrationOptionsToAny(
        const TypeHierarchyRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineValueRegistrationOptions(
        const LSPAny &any
    ) const -> InlineValueRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineValueRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineValueRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineValueRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineValueRegistrationOptionsToAny(
        const InlineValueRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlayHintRegistrationOptions(
        const LSPAny &any
    ) const -> InlayHintRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlayHintRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlayHintRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlayHintRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHintRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlayHintRegistrationOptionsToAny(
        const InlayHintRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDiagnosticRegistrationOptions(
        const LSPAny &any
    ) const -> DiagnosticRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DiagnosticRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DiagnosticRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 8) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DiagnosticRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 8")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DiagnosticRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("identifier");
        if (iter_0 != object_0.end()) {
            value_0.identifier = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("interFileDependencies");
        if (iter_0 != object_0.end()) {
            value_0.interFileDependencies = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DiagnosticRegistrationOptions attribute: interFileDependencies"
            );
        }

        iter_0 = object_0.find("workspaceDiagnostics");
        if (iter_0 != object_0.end()) {
            value_0.workspaceDiagnostics = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DiagnosticRegistrationOptions attribute: workspaceDiagnostics"
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::diagnosticRegistrationOptionsToAny(
        const DiagnosticRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.identifier.has_value()) {
            const auto &identifier_0 = param.identifier.value();
            object_0.emplace(
                "identifier",
                std::make_unique<LSPAny>(stringToAny(identifier_0))
            );
        }

        object_0.emplace(
            "interFileDependencies",
            std::make_unique<LSPAny>(booleanToAny(param.interFileDependencies))
        );

        object_0.emplace(
            "workspaceDiagnostics",
            std::make_unique<LSPAny>(booleanToAny(param.workspaceDiagnostics))
        );

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineCompletionRegistrationOptions(
        const LSPAny &any
    ) const -> InlineCompletionRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineCompletionRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineCompletionRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineCompletionRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineCompletionRegistrationOptionsToAny(
        const InlineCompletionRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentChangeRegistrationOptions(
        const LSPAny &any
    ) const -> TextDocumentChangeRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentChangeRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentChangeRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentChangeRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentChangeRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("syncKind");
        if (iter_0 != object_0.end()) {
            value_0.syncKind = anyToTextDocumentSyncKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentChangeRegistrationOptions attribute: syncKind"
            );
        }

        return value_0;
    }

    auto LspTransformer::textDocumentChangeRegistrationOptionsToAny(
        const TextDocumentChangeRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        object_0.emplace(
            "syncKind",
            std::make_unique<LSPAny>(textDocumentSyncKindToAny(param.syncKind))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentSaveRegistrationOptions(
        const LSPAny &any
    ) const -> TextDocumentSaveRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentSaveRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentSaveRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentSaveRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentSaveRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("includeText");
        if (iter_0 != object_0.end()) {
            value_0.includeText = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::textDocumentSaveRegistrationOptionsToAny(
        const TextDocumentSaveRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.includeText.has_value()) {
            const auto &includeText_0 = param.includeText.value();
            object_0.emplace(
                "includeText",
                std::make_unique<LSPAny>(booleanToAny(includeText_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCompletionRegistrationOptions(
        const LSPAny &any
    ) const -> CompletionRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 7) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 7")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("triggerCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.triggerCharacters = std::move(values_0);
        }

        iter_0 = object_0.find("allCommitCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<string_t> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToString(*elem_1));
            }
            value_0.allCommitCharacters = std::move(values_1);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("completionItem");
        if (iter_0 != object_0.end()) {
            value_0.completionItem =
                anyToCompletionOptions_completionItem(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionRegistrationOptionsToAny(
        const CompletionRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.triggerCharacters.has_value()) {
            const auto &triggerCharacters_0 = param.triggerCharacters.value();
            LSPArray array_0;
            array_0.reserve(triggerCharacters_0.size());
            for (const auto &elem_0 : triggerCharacters_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("triggerCharacters", std::move(any_1));
        }

        if (param.allCommitCharacters.has_value()) {
            const auto &allCommitCharacters_0 =
                param.allCommitCharacters.value();
            LSPArray array_1;
            array_1.reserve(allCommitCharacters_0.size());
            for (const auto &elem_1 : allCommitCharacters_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = stringToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("allCommitCharacters", std::move(any_3));
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        if (param.completionItem.has_value()) {
            const auto &completionItem_0 = param.completionItem.value();
            object_0.emplace(
                "completionItem",
                std::make_unique<LSPAny>(completionOptions_completionItemToAny(completionItem_0))
            );
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::anyToHoverRegistrationOptions(
        const LSPAny &any
    ) const -> HoverRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "HoverRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        HoverRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "HoverRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required HoverRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::hoverRegistrationOptionsToAny(
        const HoverRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSignatureHelpRegistrationOptions(
        const LSPAny &any
    ) const -> SignatureHelpRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SignatureHelpRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SignatureHelpRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SignatureHelpRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SignatureHelpRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("triggerCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.triggerCharacters = std::move(values_0);
        }

        iter_0 = object_0.find("retriggerCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<string_t> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToString(*elem_1));
            }
            value_0.retriggerCharacters = std::move(values_1);
        }

        return value_0;
    }

    auto LspTransformer::signatureHelpRegistrationOptionsToAny(
        const SignatureHelpRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.triggerCharacters.has_value()) {
            const auto &triggerCharacters_0 = param.triggerCharacters.value();
            LSPArray array_0;
            array_0.reserve(triggerCharacters_0.size());
            for (const auto &elem_0 : triggerCharacters_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("triggerCharacters", std::move(any_1));
        }

        if (param.retriggerCharacters.has_value()) {
            const auto &retriggerCharacters_0 =
                param.retriggerCharacters.value();
            LSPArray array_1;
            array_1.reserve(retriggerCharacters_0.size());
            for (const auto &elem_1 : retriggerCharacters_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = stringToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("retriggerCharacters", std::move(any_3));
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::anyToDefinitionRegistrationOptions(
        const LSPAny &any
    ) const -> DefinitionRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DefinitionRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DefinitionRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DefinitionRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DefinitionRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::definitionRegistrationOptionsToAny(
        const DefinitionRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToReferenceRegistrationOptions(
        const LSPAny &any
    ) const -> ReferenceRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ReferenceRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ReferenceRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ReferenceRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ReferenceRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::referenceRegistrationOptionsToAny(
        const ReferenceRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentHighlightRegistrationOptions(
        const LSPAny &any
    ) const -> DocumentHighlightRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentHighlightRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentHighlightRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentHighlightRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentHighlightRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentHighlightRegistrationOptionsToAny(
        const DocumentHighlightRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentSymbolRegistrationOptions(
        const LSPAny &any
    ) const -> DocumentSymbolRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentSymbolRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentSymbolRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentSymbolRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentSymbolRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            value_0.label = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentSymbolRegistrationOptionsToAny(
        const DocumentSymbolRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.label.has_value()) {
            const auto &label_0 = param.label.value();
            object_0.emplace(
                "label",
                std::make_unique<LSPAny>(stringToAny(label_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCodeActionRegistrationOptions(
        const LSPAny &any
    ) const -> CodeActionRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeActionRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeActionRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeActionRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("codeActionKinds");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<CodeActionKind> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToCodeActionKind(*elem_0));
            }
            value_0.codeActionKinds = std::move(values_0);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeActionRegistrationOptionsToAny(
        const CodeActionRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.codeActionKinds.has_value()) {
            const auto &codeActionKinds_0 = param.codeActionKinds.value();
            LSPArray array_0;
            array_0.reserve(codeActionKinds_0.size());
            for (const auto &elem_0 : codeActionKinds_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = codeActionKindToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("codeActionKinds", std::move(any_1));
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCodeLensRegistrationOptions(
        const LSPAny &any
    ) const -> CodeLensRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeLensRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeLensRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeLensRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeLensRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeLensRegistrationOptionsToAny(
        const CodeLensRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentLinkRegistrationOptions(
        const LSPAny &any
    ) const -> DocumentLinkRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentLinkRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentLinkRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentLinkRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentLinkRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("resolveProvider");
        if (iter_0 != object_0.end()) {
            value_0.resolveProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentLinkRegistrationOptionsToAny(
        const DocumentLinkRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.resolveProvider.has_value()) {
            const auto &resolveProvider_0 = param.resolveProvider.value();
            object_0.emplace(
                "resolveProvider",
                std::make_unique<LSPAny>(booleanToAny(resolveProvider_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentFormattingRegistrationOptions(
        const LSPAny &any
    ) const -> DocumentFormattingRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentFormattingRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentFormattingRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentFormattingRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentFormattingRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentFormattingRegistrationOptionsToAny(
        const DocumentFormattingRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentRangeFormattingRegistrationOptions(
        const LSPAny &any
    ) const -> DocumentRangeFormattingRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentRangeFormattingRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentRangeFormattingRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentRangeFormattingRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangeFormattingRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("rangesSupport");
        if (iter_0 != object_0.end()) {
            value_0.rangesSupport = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentRangeFormattingRegistrationOptionsToAny(
        const DocumentRangeFormattingRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.rangesSupport.has_value()) {
            const auto &rangesSupport_0 = param.rangesSupport.value();
            object_0.emplace(
                "rangesSupport",
                std::make_unique<LSPAny>(booleanToAny(rangesSupport_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentOnTypeFormattingRegistrationOptions(
        const LSPAny &any
    ) const -> DocumentOnTypeFormattingRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentOnTypeFormattingRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentOnTypeFormattingRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentOnTypeFormattingRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("firstTriggerCharacter");
        if (iter_0 != object_0.end()) {
            value_0.firstTriggerCharacter = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingRegistrationOptions attribute: firstTriggerCharacter"
            );
        }

        iter_0 = object_0.find("moreTriggerCharacter");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.moreTriggerCharacter = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::documentOnTypeFormattingRegistrationOptionsToAny(
        const DocumentOnTypeFormattingRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        object_0.emplace(
            "firstTriggerCharacter",
            std::make_unique<LSPAny>(stringToAny(param.firstTriggerCharacter))
        );

        if (param.moreTriggerCharacter.has_value()) {
            const auto &moreTriggerCharacter_0 =
                param.moreTriggerCharacter.value();
            LSPArray array_0;
            array_0.reserve(moreTriggerCharacter_0.size());
            for (const auto &elem_0 : moreTriggerCharacter_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("moreTriggerCharacter", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToRenameRegistrationOptions(
        const LSPAny &any
    ) const -> RenameRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RenameRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RenameRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RenameRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("prepareProvider");
        if (iter_0 != object_0.end()) {
            value_0.prepareProvider = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::renameRegistrationOptionsToAny(
        const RenameRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        if (param.prepareProvider.has_value()) {
            const auto &prepareProvider_0 = param.prepareProvider.value();
            object_0.emplace(
                "prepareProvider",
                std::make_unique<LSPAny>(booleanToAny(prepareProvider_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyTo_InitializeParams_rootPath(
        const LSPAny &any
    ) const -> _InitializeParams_rootPath
    {
        _InitializeParams_rootPath value_0;

        switch (any.type()) {
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "_InitializeParams_rootPath"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::_InitializeParams_rootPathToAny(
        const _InitializeParams_rootPath &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case _InitializeParams_rootPathType::String: {
            return stringToAny(value.string());
        }
        case _InitializeParams_rootPathType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported _InitializeParams_rootPathType: " +
                 _InitializeParams_rootPathTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyTo_InitializeParams_rootUri(
        const LSPAny &any
    ) const -> _InitializeParams_rootUri
    {
        _InitializeParams_rootUri value_0;

        switch (any.type()) {
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "_InitializeParams_rootUri"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::_InitializeParams_rootUriToAny(
        const _InitializeParams_rootUri &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case _InitializeParams_rootUriType::String: {
            return documentUriToAny(value.documentUri());
        }
        case _InitializeParams_rootUriType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported _InitializeParams_rootUriType: " +
                 _InitializeParams_rootUriTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceFoldersInitializeParams_workspaceFolders(
        const LSPAny &any
    ) const -> WorkspaceFoldersInitializeParams_workspaceFolders
    {
        WorkspaceFoldersInitializeParams_workspaceFolders value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 =
                    anyToWorkspaceFoldersInitializeParams_workspaceFolders_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to WorkspaceFoldersInitializeParams_workspaceFolders"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "WorkspaceFoldersInitializeParams_workspaceFolders"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspaceFoldersInitializeParams_workspaceFoldersToAny(
        const WorkspaceFoldersInitializeParams_workspaceFolders &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::WorkspaceFolderArray: {
            LSPArray array_0;
            array_0.reserve(value.workspaceFolderArray().size());
            for (const auto &elem_0 : value.workspaceFolderArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = workspaceFolderToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case WorkspaceFoldersInitializeParams_workspaceFoldersType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported WorkspaceFoldersInitializeParams_workspaceFoldersType: " +
                 WorkspaceFoldersInitializeParams_workspaceFoldersTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceFoldersInitializeParams(
        const LSPAny &any
    ) const -> WorkspaceFoldersInitializeParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceFoldersInitializeParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceFoldersInitializeParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceFoldersInitializeParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("workspaceFolders");
        if (iter_0 != object_0.end()) {
            value_0.workspaceFolders =
                anyToWorkspaceFoldersInitializeParams_workspaceFolders(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workspaceFoldersInitializeParamsToAny(
        const WorkspaceFoldersInitializeParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workspaceFolders.has_value()) {
            const auto &workspaceFolders_0 = param.workspaceFolders.value();
            object_0.emplace(
                "workspaceFolders",
                std::make_unique<LSPAny>(workspaceFoldersInitializeParams_workspaceFoldersToAny(workspaceFolders_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_declarationProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_declarationProvider
    {
        ServerCapabilities_declarationProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDeclarationOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToDeclarationRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_declarationProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_declarationProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_declarationProviderToAny(
        const ServerCapabilities_declarationProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_declarationProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_declarationProviderType::DeclarationOptions: {
            return declarationOptionsToAny(value.declarationOptions());
        }
        case ServerCapabilities_declarationProviderType::DeclarationRegistrationOptions: {
            return declarationRegistrationOptionsToAny(value.declarationRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_declarationProviderType: " +
                 ServerCapabilities_declarationProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_typeDefinitionProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_typeDefinitionProvider
    {
        ServerCapabilities_typeDefinitionProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToTypeDefinitionOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTypeDefinitionRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_typeDefinitionProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_typeDefinitionProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_typeDefinitionProviderToAny(
        const ServerCapabilities_typeDefinitionProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_typeDefinitionProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionOptions: {
            return typeDefinitionOptionsToAny(value.typeDefinitionOptions());
        }
        case ServerCapabilities_typeDefinitionProviderType::TypeDefinitionRegistrationOptions: {
            return typeDefinitionRegistrationOptionsToAny(value.typeDefinitionRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_typeDefinitionProviderType: " +
                 ServerCapabilities_typeDefinitionProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_implementationProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_implementationProvider
    {
        ServerCapabilities_implementationProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToImplementationOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToImplementationRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_implementationProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_implementationProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_implementationProviderToAny(
        const ServerCapabilities_implementationProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_implementationProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_implementationProviderType::ImplementationOptions: {
            return implementationOptionsToAny(value.implementationOptions());
        }
        case ServerCapabilities_implementationProviderType::ImplementationRegistrationOptions: {
            return implementationRegistrationOptionsToAny(value.implementationRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_implementationProviderType: " +
                 ServerCapabilities_implementationProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_colorProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_colorProvider
    {
        ServerCapabilities_colorProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDocumentColorOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToDocumentColorRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_colorProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_colorProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_colorProviderToAny(
        const ServerCapabilities_colorProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_colorProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_colorProviderType::DocumentColorOptions: {
            return documentColorOptionsToAny(value.documentColorOptions());
        }
        case ServerCapabilities_colorProviderType::DocumentColorRegistrationOptions: {
            return documentColorRegistrationOptionsToAny(value.documentColorRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_colorProviderType: " +
                 ServerCapabilities_colorProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_foldingRangeProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_foldingRangeProvider
    {
        ServerCapabilities_foldingRangeProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToFoldingRangeOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToFoldingRangeRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_foldingRangeProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_foldingRangeProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_foldingRangeProviderToAny(
        const ServerCapabilities_foldingRangeProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_foldingRangeProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_foldingRangeProviderType::FoldingRangeOptions: {
            return foldingRangeOptionsToAny(value.foldingRangeOptions());
        }
        case ServerCapabilities_foldingRangeProviderType::FoldingRangeRegistrationOptions: {
            return foldingRangeRegistrationOptionsToAny(value.foldingRangeRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_foldingRangeProviderType: " +
                 ServerCapabilities_foldingRangeProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_selectionRangeProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_selectionRangeProvider
    {
        ServerCapabilities_selectionRangeProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToSelectionRangeOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToSelectionRangeRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_selectionRangeProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_selectionRangeProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_selectionRangeProviderToAny(
        const ServerCapabilities_selectionRangeProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_selectionRangeProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_selectionRangeProviderType::SelectionRangeOptions: {
            return selectionRangeOptionsToAny(value.selectionRangeOptions());
        }
        case ServerCapabilities_selectionRangeProviderType::SelectionRangeRegistrationOptions: {
            return selectionRangeRegistrationOptionsToAny(value.selectionRangeRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_selectionRangeProviderType: " +
                 ServerCapabilities_selectionRangeProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_callHierarchyProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_callHierarchyProvider
    {
        ServerCapabilities_callHierarchyProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToCallHierarchyOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToCallHierarchyRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_callHierarchyProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_callHierarchyProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_callHierarchyProviderToAny(
        const ServerCapabilities_callHierarchyProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_callHierarchyProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_callHierarchyProviderType::CallHierarchyOptions: {
            return callHierarchyOptionsToAny(value.callHierarchyOptions());
        }
        case ServerCapabilities_callHierarchyProviderType::CallHierarchyRegistrationOptions: {
            return callHierarchyRegistrationOptionsToAny(value.callHierarchyRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_callHierarchyProviderType: " +
                 ServerCapabilities_callHierarchyProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_linkedEditingRangeProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_linkedEditingRangeProvider
    {
        ServerCapabilities_linkedEditingRangeProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToLinkedEditingRangeOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToLinkedEditingRangeRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_linkedEditingRangeProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_linkedEditingRangeProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_linkedEditingRangeProviderToAny(
        const ServerCapabilities_linkedEditingRangeProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_linkedEditingRangeProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeOptions: {
            return linkedEditingRangeOptionsToAny(value.linkedEditingRangeOptions());
        }
        case ServerCapabilities_linkedEditingRangeProviderType::LinkedEditingRangeRegistrationOptions: {
            return linkedEditingRangeRegistrationOptionsToAny(value.linkedEditingRangeRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_linkedEditingRangeProviderType: " +
                 ServerCapabilities_linkedEditingRangeProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_monikerProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_monikerProvider
    {
        ServerCapabilities_monikerProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToMonikerOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToMonikerRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_monikerProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_monikerProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_monikerProviderToAny(
        const ServerCapabilities_monikerProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_monikerProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_monikerProviderType::MonikerOptions: {
            return monikerOptionsToAny(value.monikerOptions());
        }
        case ServerCapabilities_monikerProviderType::MonikerRegistrationOptions: {
            return monikerRegistrationOptionsToAny(value.monikerRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_monikerProviderType: " +
                 ServerCapabilities_monikerProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_typeHierarchyProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_typeHierarchyProvider
    {
        ServerCapabilities_typeHierarchyProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToTypeHierarchyOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTypeHierarchyRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_typeHierarchyProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_typeHierarchyProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_typeHierarchyProviderToAny(
        const ServerCapabilities_typeHierarchyProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_typeHierarchyProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyOptions: {
            return typeHierarchyOptionsToAny(value.typeHierarchyOptions());
        }
        case ServerCapabilities_typeHierarchyProviderType::TypeHierarchyRegistrationOptions: {
            return typeHierarchyRegistrationOptionsToAny(value.typeHierarchyRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_typeHierarchyProviderType: " +
                 ServerCapabilities_typeHierarchyProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_inlineValueProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_inlineValueProvider
    {
        ServerCapabilities_inlineValueProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToInlineValueOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToInlineValueRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_inlineValueProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_inlineValueProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_inlineValueProviderToAny(
        const ServerCapabilities_inlineValueProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_inlineValueProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_inlineValueProviderType::InlineValueOptions: {
            return inlineValueOptionsToAny(value.inlineValueOptions());
        }
        case ServerCapabilities_inlineValueProviderType::InlineValueRegistrationOptions: {
            return inlineValueRegistrationOptionsToAny(value.inlineValueRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_inlineValueProviderType: " +
                 ServerCapabilities_inlineValueProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_inlayHintProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_inlayHintProvider
    {
        ServerCapabilities_inlayHintProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToInlayHintOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToInlayHintRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_inlayHintProvider"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_inlayHintProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_inlayHintProviderToAny(
        const ServerCapabilities_inlayHintProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_inlayHintProviderType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case ServerCapabilities_inlayHintProviderType::InlayHintOptions: {
            return inlayHintOptionsToAny(value.inlayHintOptions());
        }
        case ServerCapabilities_inlayHintProviderType::InlayHintRegistrationOptions: {
            return inlayHintRegistrationOptionsToAny(value.inlayHintRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_inlayHintProviderType: " +
                 ServerCapabilities_inlayHintProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToServerCapabilities_diagnosticProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_diagnosticProvider
    {
        ServerCapabilities_diagnosticProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDiagnosticOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToDiagnosticRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_diagnosticProvider"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_diagnosticProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_diagnosticProviderToAny(
        const ServerCapabilities_diagnosticProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_diagnosticProviderType::DiagnosticOptions: {
            return diagnosticOptionsToAny(value.diagnosticOptions());
        }
        case ServerCapabilities_diagnosticProviderType::DiagnosticRegistrationOptions: {
            return diagnosticRegistrationOptionsToAny(value.diagnosticRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_diagnosticProviderType: " +
                 ServerCapabilities_diagnosticProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspace_WorkspaceFoldersResult(
        const LSPAny &any
    ) const -> Workspace_WorkspaceFoldersResult
    {
        Workspace_WorkspaceFoldersResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToWorkspace_WorkspaceFoldersResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Workspace_WorkspaceFoldersResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Workspace_WorkspaceFoldersResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspace_WorkspaceFoldersResultToAny(
        const Workspace_WorkspaceFoldersResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Workspace_WorkspaceFoldersResultType::WorkspaceFolderArray: {
            LSPArray array_0;
            array_0.reserve(value.workspaceFolderArray().size());
            for (const auto &elem_0 : value.workspaceFolderArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = workspaceFolderToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case Workspace_WorkspaceFoldersResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Workspace_WorkspaceFoldersResultType: " +
                 Workspace_WorkspaceFoldersResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspace_FoldingRange_RefreshResult(
        const LSPAny &any
    ) const -> Workspace_FoldingRange_RefreshResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Workspace_FoldingRange_RefreshResult")
            );
        }
        }
    }

    auto LspTransformer::workspace_FoldingRange_RefreshResultToAny(
        const Workspace_FoldingRange_RefreshResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToWindow_WorkDoneProgress_CreateResult(
        const LSPAny &any
    ) const -> Window_WorkDoneProgress_CreateResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Window_WorkDoneProgress_CreateResult")
            );
        }
        }
    }

    auto LspTransformer::window_WorkDoneProgress_CreateResultToAny(
        const Window_WorkDoneProgress_CreateResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToWorkspace_SemanticTokens_RefreshResult(
        const LSPAny &any
    ) const -> Workspace_SemanticTokens_RefreshResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Workspace_SemanticTokens_RefreshResult")
            );
        }
        }
    }

    auto LspTransformer::workspace_SemanticTokens_RefreshResultToAny(
        const Workspace_SemanticTokens_RefreshResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToTextDocument_MonikerResult(
        const LSPAny &any
    ) const -> TextDocument_MonikerResult
    {
        TextDocument_MonikerResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_MonikerResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_MonikerResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_MonikerResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_MonikerResultToAny(
        const TextDocument_MonikerResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_MonikerResultType::MonikerArray: {
            LSPArray array_0;
            array_0.reserve(value.monikerArray().size());
            for (const auto &elem_0 : value.monikerArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = monikerToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_MonikerResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_MonikerResultType: " +
                 TextDocument_MonikerResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspace_InlineValue_RefreshResult(
        const LSPAny &any
    ) const -> Workspace_InlineValue_RefreshResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Workspace_InlineValue_RefreshResult")
            );
        }
        }
    }

    auto LspTransformer::workspace_InlineValue_RefreshResultToAny(
        const Workspace_InlineValue_RefreshResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToWorkspace_InlayHint_RefreshResult(
        const LSPAny &any
    ) const -> Workspace_InlayHint_RefreshResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Workspace_InlayHint_RefreshResult")
            );
        }
        }
    }

    auto LspTransformer::workspace_InlayHint_RefreshResultToAny(
        const Workspace_InlayHint_RefreshResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToWorkspace_Diagnostic_RefreshResult(
        const LSPAny &any
    ) const -> Workspace_Diagnostic_RefreshResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Workspace_Diagnostic_RefreshResult")
            );
        }
        }
    }

    auto LspTransformer::workspace_Diagnostic_RefreshResultToAny(
        const Workspace_Diagnostic_RefreshResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToClient_RegisterCapabilityResult(
        const LSPAny &any
    ) const -> Client_RegisterCapabilityResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Client_RegisterCapabilityResult")
            );
        }
        }
    }

    auto LspTransformer::client_RegisterCapabilityResultToAny(
        const Client_RegisterCapabilityResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToClient_UnregisterCapabilityResult(
        const LSPAny &any
    ) const -> Client_UnregisterCapabilityResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Client_UnregisterCapabilityResult")
            );
        }
        }
    }

    auto LspTransformer::client_UnregisterCapabilityResultToAny(
        const Client_UnregisterCapabilityResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::asMessageParams(
        const UnregistrationParams &requestParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(requestParams.unregisterations.size());
        for (const auto &elem_0 : requestParams.unregisterations) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = unregistrationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = array_0;
        object_0.emplace("unregisterations", std::move(any_1));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::anyToShutdownResult(
        const LSPAny &any
    ) const -> ShutdownResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type ShutdownResult")
            );
        }
        }
    }

    auto LspTransformer::shutdownResultToAny(
        const ShutdownResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::anyToWindow_ShowMessageRequestResult(
        const LSPAny &any
    ) const -> Window_ShowMessageRequestResult
    {
        Window_ShowMessageRequestResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToMessageActionItem(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Window_ShowMessageRequestResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Window_ShowMessageRequestResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::window_ShowMessageRequestResultToAny(
        const Window_ShowMessageRequestResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Window_ShowMessageRequestResultType::MessageActionItem: {
            return messageActionItemToAny(value.messageActionItem());
        }
        case Window_ShowMessageRequestResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Window_ShowMessageRequestResultType: " +
                 Window_ShowMessageRequestResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asMessageParams(
        const ShowMessageRequestParams &requestParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = messageTypeToAny(requestParams.type);
        object_0.emplace("type", std::move(any_0));

        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = stringToAny(requestParams.message);
        object_0.emplace("message", std::move(any_1));

        if (requestParams.actions.has_value()) {
            LSPArray array_0;
            array_0.reserve(requestParams.actions.value().size());
            for (const auto &elem_0 : requestParams.actions.value()) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = messageActionItemToAny(elem_0);
                array_0.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = array_0;
            object_0.emplace("actions", std::move(any_3));
        }

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::anyToWorkspace_CodeLens_RefreshResult(
        const LSPAny &any
    ) const -> Workspace_CodeLens_RefreshResult
    {
        switch (any.type()) {
        case LSPAnyType::Null: {
            return any.null();
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type Workspace_CodeLens_RefreshResult")
            );
        }
        }
    }

    auto LspTransformer::workspace_CodeLens_RefreshResultToAny(
        const Workspace_CodeLens_RefreshResult &alias
    ) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = alias;
        return any_0;
    }

    auto LspTransformer::uintegerToAny(uinteger_t param) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = param;
        return any_0;
    }

    auto LspTransformer::anyToUInteger(const LSPAny &any) const -> uinteger_t
    {
        switch (any.type()) {
        case LSPAnyType::UInteger: {
            return any.uinteger();
        }
        case LSPAnyType::Integer: {
            return static_cast<uinteger_t>(any.integer());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type uinteger_t")
            );
        }
        }
    }

    auto LspTransformer::anyToFoldingRange(
        const LSPAny &any
    ) const -> FoldingRange
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FoldingRange"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FoldingRange value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FoldingRange"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("startLine");
        if (iter_0 != object_0.end()) {
            value_0.startLine = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FoldingRange attribute: startLine"
            );
        }

        iter_0 = object_0.find("startCharacter");
        if (iter_0 != object_0.end()) {
            value_0.startCharacter = anyToUInteger(*iter_0->second);
        }

        iter_0 = object_0.find("endLine");
        if (iter_0 != object_0.end()) {
            value_0.endLine = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FoldingRange attribute: endLine"
            );
        }

        iter_0 = object_0.find("endCharacter");
        if (iter_0 != object_0.end()) {
            value_0.endCharacter = anyToUInteger(*iter_0->second);
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToFoldingRangeKind(*iter_0->second);
        }

        iter_0 = object_0.find("collapsedText");
        if (iter_0 != object_0.end()) {
            value_0.collapsedText = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::foldingRangeToAny(
        const FoldingRange &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "startLine",
            std::make_unique<LSPAny>(uintegerToAny(param.startLine))
        );

        if (param.startCharacter.has_value()) {
            const auto &startCharacter_0 = param.startCharacter.value();
            object_0.emplace(
                "startCharacter",
                std::make_unique<LSPAny>(uintegerToAny(startCharacter_0))
            );
        }

        object_0.emplace(
            "endLine",
            std::make_unique<LSPAny>(uintegerToAny(param.endLine))
        );

        if (param.endCharacter.has_value()) {
            const auto &endCharacter_0 = param.endCharacter.value();
            object_0.emplace(
                "endCharacter",
                std::make_unique<LSPAny>(uintegerToAny(endCharacter_0))
            );
        }

        if (param.kind.has_value()) {
            const auto &kind_0 = param.kind.value();
            object_0.emplace(
                "kind",
                std::make_unique<LSPAny>(foldingRangeKindToAny(kind_0))
            );
        }

        if (param.collapsedText.has_value()) {
            const auto &collapsedText_0 = param.collapsedText.value();
            object_0.emplace(
                "collapsedText",
                std::make_unique<LSPAny>(stringToAny(collapsedText_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokens(
        const LSPAny &any
    ) const -> SemanticTokens
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokens"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokens value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokens"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("resultId");
        if (iter_0 != object_0.end()) {
            value_0.resultId = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<uinteger_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToUInteger(*elem_0));
            }
            value_0.data = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokens attribute: data"
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensToAny(
        const SemanticTokens &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.resultId.has_value()) {
            const auto &resultId_0 = param.resultId.value();
            object_0.emplace(
                "resultId",
                std::make_unique<LSPAny>(stringToAny(resultId_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.data.size());
        for (const auto &elem_0 : param.data) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = uintegerToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("data", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::semanticTokens_dataToAny(
        const SemanticTokens_data &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = uintegerToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokens_data(
        const LSPAny &any
    ) const -> SemanticTokens_data
    {
        const auto &array_0 = any.array();
        std::vector<uinteger_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToUInteger(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToSemanticTokensPartialResult(
        const LSPAny &any
    ) const -> SemanticTokensPartialResult
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensPartialResult"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensPartialResult value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensPartialResult"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<uinteger_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToUInteger(*elem_0));
            }
            value_0.data = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensPartialResult attribute: data"
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensPartialResultToAny(
        const SemanticTokensPartialResult &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.data.size());
        for (const auto &elem_0 : param.data) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = uintegerToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("data", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::semanticTokensPartialResult_dataToAny(
        const SemanticTokensPartialResult_data &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = uintegerToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokensPartialResult_data(
        const LSPAny &any
    ) const -> SemanticTokensPartialResult_data
    {
        const auto &array_0 = any.array();
        std::vector<uinteger_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToUInteger(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToApplyWorkspaceEditResult(
        const LSPAny &any
    ) const -> ApplyWorkspaceEditResult
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ApplyWorkspaceEditResult"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ApplyWorkspaceEditResult value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ApplyWorkspaceEditResult"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("applied");
        if (iter_0 != object_0.end()) {
            value_0.applied = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ApplyWorkspaceEditResult attribute: applied"
            );
        }

        iter_0 = object_0.find("failureReason");
        if (iter_0 != object_0.end()) {
            value_0.failureReason = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("failedChange");
        if (iter_0 != object_0.end()) {
            value_0.failedChange = anyToUInteger(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::applyWorkspaceEditResultToAny(
        const ApplyWorkspaceEditResult &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "applied",
            std::make_unique<LSPAny>(booleanToAny(param.applied))
        );

        if (param.failureReason.has_value()) {
            const auto &failureReason_0 = param.failureReason.value();
            object_0.emplace(
                "failureReason",
                std::make_unique<LSPAny>(stringToAny(failureReason_0))
            );
        }

        if (param.failedChange.has_value()) {
            const auto &failedChange_0 = param.failedChange.value();
            object_0.emplace(
                "failedChange",
                std::make_unique<LSPAny>(uintegerToAny(failedChange_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkDoneProgressBegin(
        const LSPAny &any
    ) const -> WorkDoneProgressBegin
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkDoneProgressBegin"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkDoneProgressBegin value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkDoneProgressBegin"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "begin") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "WorkDoneProgressBegin.kind"
                     " must be \"begin\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkDoneProgressBegin attribute: kind"
            );
        }

        iter_0 = object_0.find("title");
        if (iter_0 != object_0.end()) {
            value_0.title = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkDoneProgressBegin attribute: title"
            );
        }

        iter_0 = object_0.find("cancellable");
        if (iter_0 != object_0.end()) {
            value_0.cancellable = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("percentage");
        if (iter_0 != object_0.end()) {
            value_0.percentage = anyToUInteger(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workDoneProgressBeginToAny(
        const WorkDoneProgressBegin &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        object_0.emplace(
            "title",
            std::make_unique<LSPAny>(stringToAny(param.title))
        );

        if (param.cancellable.has_value()) {
            const auto &cancellable_0 = param.cancellable.value();
            object_0.emplace(
                "cancellable",
                std::make_unique<LSPAny>(booleanToAny(cancellable_0))
            );
        }

        if (param.message.has_value()) {
            const auto &message_0 = param.message.value();
            object_0.emplace(
                "message",
                std::make_unique<LSPAny>(stringToAny(message_0))
            );
        }

        if (param.percentage.has_value()) {
            const auto &percentage_0 = param.percentage.value();
            object_0.emplace(
                "percentage",
                std::make_unique<LSPAny>(uintegerToAny(percentage_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkDoneProgressReport(
        const LSPAny &any
    ) const -> WorkDoneProgressReport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkDoneProgressReport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkDoneProgressReport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkDoneProgressReport"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "report") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "WorkDoneProgressReport.kind"
                     " must be \"report\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkDoneProgressReport attribute: kind"
            );
        }

        iter_0 = object_0.find("cancellable");
        if (iter_0 != object_0.end()) {
            value_0.cancellable = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("percentage");
        if (iter_0 != object_0.end()) {
            value_0.percentage = anyToUInteger(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workDoneProgressReportToAny(
        const WorkDoneProgressReport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        if (param.cancellable.has_value()) {
            const auto &cancellable_0 = param.cancellable.value();
            object_0.emplace(
                "cancellable",
                std::make_unique<LSPAny>(booleanToAny(cancellable_0))
            );
        }

        if (param.message.has_value()) {
            const auto &message_0 = param.message.value();
            object_0.emplace(
                "message",
                std::make_unique<LSPAny>(stringToAny(message_0))
            );
        }

        if (param.percentage.has_value()) {
            const auto &percentage_0 = param.percentage.value();
            object_0.emplace(
                "percentage",
                std::make_unique<LSPAny>(uintegerToAny(percentage_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToPosition(const LSPAny &any) const -> Position
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Position"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Position value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Position"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("line");
        if (iter_0 != object_0.end()) {
            value_0.line = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Position attribute: line"
            );
        }

        iter_0 = object_0.find("character");
        if (iter_0 != object_0.end()) {
            value_0.character = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Position attribute: character"
            );
        }

        return value_0;
    }

    auto LspTransformer::positionToAny(const Position &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "line",
            std::make_unique<LSPAny>(uintegerToAny(param.line))
        );

        object_0.emplace(
            "character",
            std::make_unique<LSPAny>(uintegerToAny(param.character))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::selectionRangeParams_positionsToAny(
        const SelectionRangeParams_positions &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = positionToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSelectionRangeParams_positions(
        const LSPAny &any
    ) const -> SelectionRangeParams_positions
    {
        const auto &array_0 = any.array();
        std::vector<Position> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToPosition(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocumentPositionParams(
        const LSPAny &any
    ) const -> TextDocumentPositionParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentPositionParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentPositionParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentPositionParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentPositionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentPositionParams attribute: position"
            );
        }

        return value_0;
    }

    auto LspTransformer::textDocumentPositionParamsToAny(
        const TextDocumentPositionParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToRange(const LSPAny &any) const -> Range
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Range"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Range value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Range"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("start");
        if (iter_0 != object_0.end()) {
            value_0.start = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Range attribute: start"
            );
        }

        iter_0 = object_0.find("end");
        if (iter_0 != object_0.end()) {
            value_0.end = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Range attribute: end"
            );
        }

        return value_0;
    }

    auto LspTransformer::rangeToAny(const Range &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "start",
            std::make_unique<LSPAny>(positionToAny(param.start))
        );

        object_0.emplace(
            "end",
            std::make_unique<LSPAny>(positionToAny(param.end))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToLocation(const LSPAny &any) const -> Location
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Location"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Location value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Location"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Location attribute: uri"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Location attribute: range"
            );
        }

        return value_0;
    }

    auto LspTransformer::locationToAny(const Location &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSelectionRange(
        const LSPAny &any
    ) const -> SelectionRange
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SelectionRange"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SelectionRange value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SelectionRange"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SelectionRange attribute: range"
            );
        }

        iter_0 = object_0.find("parent");
        if (iter_0 != object_0.end()) {
            value_0.parent =
                std::make_unique<SelectionRange>(anyToSelectionRange(*iter_0->second));
        }

        return value_0;
    }

    auto LspTransformer::selectionRangeToAny(
        const SelectionRange &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        if (param.parent.has_value()) {
            const auto &parent_0 = param.parent.value();
            object_0.emplace(
                "parent",
                std::make_unique<LSPAny>(selectionRangeToAny(*parent_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::callHierarchyIncomingCall_fromRangesToAny(
        const CallHierarchyIncomingCall_fromRanges &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = rangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCallHierarchyIncomingCall_fromRanges(
        const LSPAny &any
    ) const -> CallHierarchyIncomingCall_fromRanges
    {
        const auto &array_0 = any.array();
        std::vector<Range> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToRange(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::callHierarchyOutgoingCall_fromRangesToAny(
        const CallHierarchyOutgoingCall_fromRanges &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = rangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCallHierarchyOutgoingCall_fromRanges(
        const LSPAny &any
    ) const -> CallHierarchyOutgoingCall_fromRanges
    {
        const auto &array_0 = any.array();
        std::vector<Range> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToRange(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToShowDocumentParams(
        const LSPAny &any
    ) const -> ShowDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ShowDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ShowDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ShowDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToURI(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ShowDocumentParams attribute: uri"
            );
        }

        iter_0 = object_0.find("external");
        if (iter_0 != object_0.end()) {
            value_0.external = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("takeFocus");
        if (iter_0 != object_0.end()) {
            value_0.takeFocus = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("selection");
        if (iter_0 != object_0.end()) {
            value_0.selection = anyToRange(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::showDocumentParamsToAny(
        const ShowDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace("uri", std::make_unique<LSPAny>(uriToAny(param.uri)));

        if (param.external.has_value()) {
            const auto &external_0 = param.external.value();
            object_0.emplace(
                "external",
                std::make_unique<LSPAny>(booleanToAny(external_0))
            );
        }

        if (param.takeFocus.has_value()) {
            const auto &takeFocus_0 = param.takeFocus.value();
            object_0.emplace(
                "takeFocus",
                std::make_unique<LSPAny>(booleanToAny(takeFocus_0))
            );
        }

        if (param.selection.has_value()) {
            const auto &selection_0 = param.selection.value();
            object_0.emplace(
                "selection",
                std::make_unique<LSPAny>(rangeToAny(selection_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToLinkedEditingRanges(
        const LSPAny &any
    ) const -> LinkedEditingRanges
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "LinkedEditingRanges"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        LinkedEditingRanges value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "LinkedEditingRanges"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("ranges");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Range> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToRange(*elem_0));
            }
            value_0.ranges = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LinkedEditingRanges attribute: ranges"
            );
        }

        iter_0 = object_0.find("wordPattern");
        if (iter_0 != object_0.end()) {
            value_0.wordPattern = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::linkedEditingRangesToAny(
        const LinkedEditingRanges &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.ranges.size());
        for (const auto &elem_0 : param.ranges) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = rangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("ranges", std::move(any_1));

        if (param.wordPattern.has_value()) {
            const auto &wordPattern_0 = param.wordPattern.value();
            object_0.emplace(
                "wordPattern",
                std::make_unique<LSPAny>(stringToAny(wordPattern_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::linkedEditingRanges_rangesToAny(
        const LinkedEditingRanges_ranges &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = rangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToLinkedEditingRanges_ranges(
        const LSPAny &any
    ) const -> LinkedEditingRanges_ranges
    {
        const auto &array_0 = any.array();
        std::vector<Range> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToRange(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextEdit(const LSPAny &any) const -> TextEdit
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextEdit"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextEdit value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextEdit"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextEdit attribute: range"
            );
        }

        iter_0 = object_0.find("newText");
        if (iter_0 != object_0.end()) {
            value_0.newText = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextEdit attribute: newText"
            );
        }

        return value_0;
    }

    auto LspTransformer::textEditToAny(const TextEdit &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "newText",
            std::make_unique<LSPAny>(stringToAny(param.newText))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToColorPresentation(
        const LSPAny &any
    ) const -> ColorPresentation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ColorPresentation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ColorPresentation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ColorPresentation"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            value_0.label = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ColorPresentation attribute: label"
            );
        }

        iter_0 = object_0.find("textEdit");
        if (iter_0 != object_0.end()) {
            value_0.textEdit = anyToTextEdit(*iter_0->second);
        }

        iter_0 = object_0.find("additionalTextEdits");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextEdit> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToTextEdit(*elem_0));
            }
            value_0.additionalTextEdits = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::colorPresentationToAny(
        const ColorPresentation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "label",
            std::make_unique<LSPAny>(stringToAny(param.label))
        );

        if (param.textEdit.has_value()) {
            const auto &textEdit_0 = param.textEdit.value();
            object_0.emplace(
                "textEdit",
                std::make_unique<LSPAny>(textEditToAny(textEdit_0))
            );
        }

        if (param.additionalTextEdits.has_value()) {
            const auto &additionalTextEdits_0 =
                param.additionalTextEdits.value();
            LSPArray array_0;
            array_0.reserve(additionalTextEdits_0.size());
            for (const auto &elem_0 : additionalTextEdits_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = textEditToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("additionalTextEdits", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::colorPresentation_additionalTextEditsToAny(
        const ColorPresentation_additionalTextEdits &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToColorPresentation_additionalTextEdits(
        const LSPAny &any
    ) const -> ColorPresentation_additionalTextEdits
    {
        const auto &array_0 = any.array();
        std::vector<TextEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::workspaceEdit_changesToAny(
        const WorkspaceEdit_changes &map
    ) const -> LSPAny
    {
        LSPObject object_0;
        for (const auto &[key_0, value_0] : map) {
            object_0.emplace(
                key_0,
                std::make_unique<LSPAny>(workspaceEdit_changes_valueToAny(value_0))
            );
        }
        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceEdit_changes(
        const LSPAny &any
    ) const -> WorkspaceEdit_changes
    {
        std::map<DocumentUri, std::vector<TextEdit>> map_0;
        for (const auto &[key_0, value_0] : any.object()) {
            map_0.emplace(key_0, anyToWorkspaceEdit_changes_value(*value_0));
        }
        return map_0;
    }

    auto LspTransformer::workspaceEdit_changes_valueToAny(
        const WorkspaceEdit_changes_value &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceEdit_changes_value(
        const LSPAny &any
    ) const -> WorkspaceEdit_changes_value
    {
        const auto &array_0 = any.array();
        std::vector<TextEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::inlayHint_textEditsToAny(
        const InlayHint_textEdits &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToInlayHint_textEdits(
        const LSPAny &any
    ) const -> InlayHint_textEdits
    {
        const auto &array_0 = any.array();
        std::vector<TextEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::completionItem_additionalTextEditsToAny(
        const CompletionItem_additionalTextEdits &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionItem_additionalTextEdits(
        const LSPAny &any
    ) const -> CompletionItem_additionalTextEdits
    {
        const auto &array_0 = any.array();
        std::vector<TextEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCompletionList_itemDefaults_editRange_1(
        const LSPAny &any
    ) const -> CompletionList_itemDefaults_editRange_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionList_itemDefaults_editRange_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionList_itemDefaults_editRange_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionList_itemDefaults_editRange_1"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("insert");
        if (iter_0 != object_0.end()) {
            value_0.insert = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionList_itemDefaults_editRange_1 attribute: insert"
            );
        }

        iter_0 = object_0.find("replace");
        if (iter_0 != object_0.end()) {
            value_0.replace = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionList_itemDefaults_editRange_1 attribute: replace"
            );
        }

        return value_0;
    }

    auto LspTransformer::completionList_itemDefaults_editRange_1ToAny(
        const CompletionList_itemDefaults_editRange_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "insert",
            std::make_unique<LSPAny>(rangeToAny(param.insert))
        );

        object_0.emplace(
            "replace",
            std::make_unique<LSPAny>(rangeToAny(param.replace))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCompletionList_itemDefaults_editRange(
        const LSPAny &any
    ) const -> CompletionList_itemDefaults_editRange
    {
        CompletionList_itemDefaults_editRange value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToRange(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 =
                        anyToCompletionList_itemDefaults_editRange_1(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to CompletionList_itemDefaults_editRange"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "CompletionList_itemDefaults_editRange"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::completionList_itemDefaults_editRangeToAny(
        const CompletionList_itemDefaults_editRange &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case CompletionList_itemDefaults_editRangeType::Range: {
            return rangeToAny(value.range());
        }
        case CompletionList_itemDefaults_editRangeType::CompletionList_itemDefaults_editRange_1: {
            return completionList_itemDefaults_editRange_1ToAny(value.completionList_itemDefaults_editRange_1());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported CompletionList_itemDefaults_editRangeType: " +
                 CompletionList_itemDefaults_editRangeTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToHover(const LSPAny &any) const -> Hover
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Hover"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Hover value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Hover"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("contents");
        if (iter_0 != object_0.end()) {
            value_0.contents = anyToHover_contents(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Hover attribute: contents"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::hoverToAny(const Hover &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "contents",
            std::make_unique<LSPAny>(hover_contentsToAny(param.contents))
        );

        if (param.range.has_value()) {
            const auto &range_0 = param.range.value();
            object_0.emplace(
                "range",
                std::make_unique<LSPAny>(rangeToAny(range_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentHighlight(
        const LSPAny &any
    ) const -> DocumentHighlight
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentHighlight"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentHighlight value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentHighlight"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentHighlight attribute: range"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToDocumentHighlightKind(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentHighlightToAny(
        const DocumentHighlight &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        if (param.kind.has_value()) {
            const auto &kind_0 = param.kind.value();
            object_0.emplace(
                "kind",
                std::make_unique<LSPAny>(documentHighlightKindToAny(kind_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSymbolInformation(
        const LSPAny &any
    ) const -> SymbolInformation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SymbolInformation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SymbolInformation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SymbolInformation"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            value_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SymbolInformation attribute: name"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToSymbolKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SymbolInformation attribute: kind"
            );
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolTag(*elem_0));
            }
            value_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("containerName");
        if (iter_0 != object_0.end()) {
            value_0.containerName = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("deprecated");
        if (iter_0 != object_0.end()) {
            value_0.deprecated = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("location");
        if (iter_0 != object_0.end()) {
            value_0.location = anyToLocation(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SymbolInformation attribute: location"
            );
        }

        return value_0;
    }

    auto LspTransformer::symbolInformationToAny(
        const SymbolInformation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "name",
            std::make_unique<LSPAny>(stringToAny(param.name))
        );

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(symbolKindToAny(param.kind))
        );

        if (param.tags.has_value()) {
            const auto &tags_0 = param.tags.value();
            LSPArray array_0;
            array_0.reserve(tags_0.size());
            for (const auto &elem_0 : tags_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolTagToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("tags", std::move(any_1));
        }

        if (param.containerName.has_value()) {
            const auto &containerName_0 = param.containerName.value();
            object_0.emplace(
                "containerName",
                std::make_unique<LSPAny>(stringToAny(containerName_0))
            );
        }

        if (param.deprecated.has_value()) {
            const auto &deprecated_0 = param.deprecated.value();
            object_0.emplace(
                "deprecated",
                std::make_unique<LSPAny>(booleanToAny(deprecated_0))
            );
        }

        object_0.emplace(
            "location",
            std::make_unique<LSPAny>(locationToAny(param.location))
        );

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToDocumentSymbol(
        const LSPAny &any
    ) const -> DocumentSymbol
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentSymbol"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentSymbol value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 8) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentSymbol"
                 ": " + std::to_string(object_0.size()) + " > 8")
            );
        }

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            value_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentSymbol attribute: name"
            );
        }

        iter_0 = object_0.find("detail");
        if (iter_0 != object_0.end()) {
            value_0.detail = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToSymbolKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentSymbol attribute: kind"
            );
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolTag(*elem_0));
            }
            value_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("deprecated");
        if (iter_0 != object_0.end()) {
            value_0.deprecated = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentSymbol attribute: range"
            );
        }

        iter_0 = object_0.find("selectionRange");
        if (iter_0 != object_0.end()) {
            value_0.selectionRange = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentSymbol attribute: selectionRange"
            );
        }

        iter_0 = object_0.find("children");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<std::unique_ptr<DocumentSymbol>> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(
                    std::make_unique<DocumentSymbol>(anyToDocumentSymbol(*elem_1))
                );
            }
            value_0.children = std::move(values_1);
        }

        return value_0;
    }

    auto LspTransformer::documentSymbolToAny(
        const DocumentSymbol &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "name",
            std::make_unique<LSPAny>(stringToAny(param.name))
        );

        if (param.detail.has_value()) {
            const auto &detail_0 = param.detail.value();
            object_0.emplace(
                "detail",
                std::make_unique<LSPAny>(stringToAny(detail_0))
            );
        }

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(symbolKindToAny(param.kind))
        );

        if (param.tags.has_value()) {
            const auto &tags_0 = param.tags.value();
            LSPArray array_0;
            array_0.reserve(tags_0.size());
            for (const auto &elem_0 : tags_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolTagToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("tags", std::move(any_1));
        }

        if (param.deprecated.has_value()) {
            const auto &deprecated_0 = param.deprecated.value();
            object_0.emplace(
                "deprecated",
                std::make_unique<LSPAny>(booleanToAny(deprecated_0))
            );
        }

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "selectionRange",
            std::make_unique<LSPAny>(rangeToAny(param.selectionRange))
        );

        if (param.children.has_value()) {
            const auto &children_0 = param.children.value();
            LSPArray array_1;
            array_1.reserve(children_0.size());
            for (const auto &elem_1 : children_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = documentSymbolToAny(*elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("children", std::move(any_3));
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::documentSymbol_childrenToAny(
        const DocumentSymbol_children &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = documentSymbolToAny(*elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDocumentSymbol_children(
        const LSPAny &any
    ) const -> DocumentSymbol_children
    {
        const auto &array_0 = any.array();
        std::vector<std::unique_ptr<DocumentSymbol>> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(
                std::make_unique<DocumentSymbol>(anyToDocumentSymbol(*elem_0))
            );
        }
        return values_0;
    }

    auto LspTransformer::anyToWorkspaceSymbol_location(
        const LSPAny &any
    ) const -> WorkspaceSymbol_location
    {
        WorkspaceSymbol_location value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToLocation(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToWorkspaceSymbol_location_1(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to WorkspaceSymbol_location"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "WorkspaceSymbol_location"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbol_locationToAny(
        const WorkspaceSymbol_location &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case WorkspaceSymbol_locationType::Location: {
            return locationToAny(value.location());
        }
        case WorkspaceSymbol_locationType::WorkspaceSymbol_location_1: {
            return workspaceSymbol_location_1ToAny(value.workspaceSymbol_location_1());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported WorkspaceSymbol_locationType: " +
                 WorkspaceSymbol_locationTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::documentRangesFormattingParams_rangesToAny(
        const DocumentRangesFormattingParams_ranges &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = rangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDocumentRangesFormattingParams_ranges(
        const LSPAny &any
    ) const -> DocumentRangesFormattingParams_ranges
    {
        const auto &array_0 = any.array();
        std::vector<Range> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToRange(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToLocationLink(
        const LSPAny &any
    ) const -> LocationLink
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "LocationLink"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        LocationLink value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "LocationLink"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("originSelectionRange");
        if (iter_0 != object_0.end()) {
            value_0.originSelectionRange = anyToRange(*iter_0->second);
        }

        iter_0 = object_0.find("targetUri");
        if (iter_0 != object_0.end()) {
            value_0.targetUri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LocationLink attribute: targetUri"
            );
        }

        iter_0 = object_0.find("targetRange");
        if (iter_0 != object_0.end()) {
            value_0.targetRange = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LocationLink attribute: targetRange"
            );
        }

        iter_0 = object_0.find("targetSelectionRange");
        if (iter_0 != object_0.end()) {
            value_0.targetSelectionRange = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LocationLink attribute: targetSelectionRange"
            );
        }

        return value_0;
    }

    auto LspTransformer::locationLinkToAny(
        const LocationLink &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.originSelectionRange.has_value()) {
            const auto &originSelectionRange_0 =
                param.originSelectionRange.value();
            object_0.emplace(
                "originSelectionRange",
                std::make_unique<LSPAny>(rangeToAny(originSelectionRange_0))
            );
        }

        object_0.emplace(
            "targetUri",
            std::make_unique<LSPAny>(documentUriToAny(param.targetUri))
        );

        object_0.emplace(
            "targetRange",
            std::make_unique<LSPAny>(rangeToAny(param.targetRange))
        );

        object_0.emplace(
            "targetSelectionRange",
            std::make_unique<LSPAny>(rangeToAny(param.targetSelectionRange))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensEdit(
        const LSPAny &any
    ) const -> SemanticTokensEdit
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensEdit"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensEdit value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensEdit"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("start");
        if (iter_0 != object_0.end()) {
            value_0.start = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensEdit attribute: start"
            );
        }

        iter_0 = object_0.find("deleteCount");
        if (iter_0 != object_0.end()) {
            value_0.deleteCount = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensEdit attribute: deleteCount"
            );
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<uinteger_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToUInteger(*elem_0));
            }
            value_0.data = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensEditToAny(
        const SemanticTokensEdit &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "start",
            std::make_unique<LSPAny>(uintegerToAny(param.start))
        );

        object_0.emplace(
            "deleteCount",
            std::make_unique<LSPAny>(uintegerToAny(param.deleteCount))
        );

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            LSPArray array_0;
            array_0.reserve(data_0.size());
            for (const auto &elem_0 : data_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = uintegerToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("data", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToSemanticTokensDelta(
        const LSPAny &any
    ) const -> SemanticTokensDelta
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensDelta"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensDelta value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensDelta"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("resultId");
        if (iter_0 != object_0.end()) {
            value_0.resultId = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("edits");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SemanticTokensEdit> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSemanticTokensEdit(*elem_0));
            }
            value_0.edits = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensDelta attribute: edits"
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensDeltaToAny(
        const SemanticTokensDelta &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.resultId.has_value()) {
            const auto &resultId_0 = param.resultId.value();
            object_0.emplace(
                "resultId",
                std::make_unique<LSPAny>(stringToAny(resultId_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.edits.size());
        for (const auto &elem_0 : param.edits) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = semanticTokensEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("edits", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::semanticTokensDelta_editsToAny(
        const SemanticTokensDelta_edits &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = semanticTokensEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokensDelta_edits(
        const LSPAny &any
    ) const -> SemanticTokensDelta_edits
    {
        const auto &array_0 = any.array();
        std::vector<SemanticTokensEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSemanticTokensEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToSemanticTokensDeltaPartialResult(
        const LSPAny &any
    ) const -> SemanticTokensDeltaPartialResult
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensDeltaPartialResult"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensDeltaPartialResult value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensDeltaPartialResult"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("edits");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SemanticTokensEdit> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSemanticTokensEdit(*elem_0));
            }
            value_0.edits = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensDeltaPartialResult attribute: edits"
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensDeltaPartialResultToAny(
        const SemanticTokensDeltaPartialResult &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.edits.size());
        for (const auto &elem_0 : param.edits) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = semanticTokensEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("edits", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::semanticTokensDeltaPartialResult_editsToAny(
        const SemanticTokensDeltaPartialResult_edits &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = semanticTokensEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokensDeltaPartialResult_edits(
        const LSPAny &any
    ) const -> SemanticTokensDeltaPartialResult_edits
    {
        const auto &array_0 = any.array();
        std::vector<SemanticTokensEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSemanticTokensEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::semanticTokensEdit_dataToAny(
        const SemanticTokensEdit_data &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = uintegerToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSemanticTokensEdit_data(
        const LSPAny &any
    ) const -> SemanticTokensEdit_data
    {
        const auto &array_0 = any.array();
        std::vector<uinteger_t> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToUInteger(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToInlineValueText(
        const LSPAny &any
    ) const -> InlineValueText
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineValueText"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineValueText value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineValueText"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueText attribute: range"
            );
        }

        iter_0 = object_0.find("text");
        if (iter_0 != object_0.end()) {
            value_0.text = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueText attribute: text"
            );
        }

        return value_0;
    }

    auto LspTransformer::inlineValueTextToAny(
        const InlineValueText &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "text",
            std::make_unique<LSPAny>(stringToAny(param.text))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineValueVariableLookup(
        const LSPAny &any
    ) const -> InlineValueVariableLookup
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineValueVariableLookup"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineValueVariableLookup value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineValueVariableLookup"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueVariableLookup attribute: range"
            );
        }

        iter_0 = object_0.find("variableName");
        if (iter_0 != object_0.end()) {
            value_0.variableName = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("caseSensitiveLookup");
        if (iter_0 != object_0.end()) {
            value_0.caseSensitiveLookup = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueVariableLookup attribute: caseSensitiveLookup"
            );
        }

        return value_0;
    }

    auto LspTransformer::inlineValueVariableLookupToAny(
        const InlineValueVariableLookup &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        if (param.variableName.has_value()) {
            const auto &variableName_0 = param.variableName.value();
            object_0.emplace(
                "variableName",
                std::make_unique<LSPAny>(stringToAny(variableName_0))
            );
        }

        object_0.emplace(
            "caseSensitiveLookup",
            std::make_unique<LSPAny>(booleanToAny(param.caseSensitiveLookup))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineValueEvaluatableExpression(
        const LSPAny &any
    ) const -> InlineValueEvaluatableExpression
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineValueEvaluatableExpression"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineValueEvaluatableExpression value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineValueEvaluatableExpression"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueEvaluatableExpression attribute: range"
            );
        }

        iter_0 = object_0.find("expression");
        if (iter_0 != object_0.end()) {
            value_0.expression = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineValueEvaluatableExpressionToAny(
        const InlineValueEvaluatableExpression &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        if (param.expression.has_value()) {
            const auto &expression_0 = param.expression.value();
            object_0.emplace(
                "expression",
                std::make_unique<LSPAny>(stringToAny(expression_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInsertReplaceEdit(
        const LSPAny &any
    ) const -> InsertReplaceEdit
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InsertReplaceEdit"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InsertReplaceEdit value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InsertReplaceEdit"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("newText");
        if (iter_0 != object_0.end()) {
            value_0.newText = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InsertReplaceEdit attribute: newText"
            );
        }

        iter_0 = object_0.find("insert");
        if (iter_0 != object_0.end()) {
            value_0.insert = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InsertReplaceEdit attribute: insert"
            );
        }

        iter_0 = object_0.find("replace");
        if (iter_0 != object_0.end()) {
            value_0.replace = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InsertReplaceEdit attribute: replace"
            );
        }

        return value_0;
    }

    auto LspTransformer::insertReplaceEditToAny(
        const InsertReplaceEdit &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "newText",
            std::make_unique<LSPAny>(stringToAny(param.newText))
        );

        object_0.emplace(
            "insert",
            std::make_unique<LSPAny>(rangeToAny(param.insert))
        );

        object_0.emplace(
            "replace",
            std::make_unique<LSPAny>(rangeToAny(param.replace))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCompletionItem_textEdit(
        const LSPAny &any
    ) const -> CompletionItem_textEdit
    {
        CompletionItem_textEdit value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToTextEdit(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToInsertReplaceEdit(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to CompletionItem_textEdit"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "CompletionItem_textEdit"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::completionItem_textEditToAny(
        const CompletionItem_textEdit &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case CompletionItem_textEditType::TextEdit: {
            return textEditToAny(value.textEdit());
        }
        case CompletionItem_textEditType::InsertReplaceEdit: {
            return insertReplaceEditToAny(value.insertReplaceEdit());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported CompletionItem_textEditType: " +
                 CompletionItem_textEditTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToFormattingOptions(
        const LSPAny &any
    ) const -> FormattingOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FormattingOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FormattingOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FormattingOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("tabSize");
        if (iter_0 != object_0.end()) {
            value_0.tabSize = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FormattingOptions attribute: tabSize"
            );
        }

        iter_0 = object_0.find("insertSpaces");
        if (iter_0 != object_0.end()) {
            value_0.insertSpaces = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FormattingOptions attribute: insertSpaces"
            );
        }

        iter_0 = object_0.find("trimTrailingWhitespace");
        if (iter_0 != object_0.end()) {
            value_0.trimTrailingWhitespace = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("insertFinalNewline");
        if (iter_0 != object_0.end()) {
            value_0.insertFinalNewline = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("trimFinalNewlines");
        if (iter_0 != object_0.end()) {
            value_0.trimFinalNewlines = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::formattingOptionsToAny(
        const FormattingOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "tabSize",
            std::make_unique<LSPAny>(uintegerToAny(param.tabSize))
        );

        object_0.emplace(
            "insertSpaces",
            std::make_unique<LSPAny>(booleanToAny(param.insertSpaces))
        );

        if (param.trimTrailingWhitespace.has_value()) {
            const auto &trimTrailingWhitespace_0 =
                param.trimTrailingWhitespace.value();
            object_0.emplace(
                "trimTrailingWhitespace",
                std::make_unique<LSPAny>(booleanToAny(trimTrailingWhitespace_0))
            );
        }

        if (param.insertFinalNewline.has_value()) {
            const auto &insertFinalNewline_0 =
                param.insertFinalNewline.value();
            object_0.emplace(
                "insertFinalNewline",
                std::make_unique<LSPAny>(booleanToAny(insertFinalNewline_0))
            );
        }

        if (param.trimFinalNewlines.has_value()) {
            const auto &trimFinalNewlines_0 = param.trimFinalNewlines.value();
            object_0.emplace(
                "trimFinalNewlines",
                std::make_unique<LSPAny>(booleanToAny(trimFinalNewlines_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentOnTypeFormattingParams(
        const LSPAny &any
    ) const -> DocumentOnTypeFormattingParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentOnTypeFormattingParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentOnTypeFormattingParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentOnTypeFormattingParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingParams attribute: position"
            );
        }

        iter_0 = object_0.find("ch");
        if (iter_0 != object_0.end()) {
            value_0.ch = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingParams attribute: ch"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            value_0.options = anyToFormattingOptions(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingParams attribute: options"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentOnTypeFormattingParamsToAny(
        const DocumentOnTypeFormattingParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        object_0.emplace(
            "ch",
            std::make_unique<LSPAny>(stringToAny(param.ch))
        );

        object_0.emplace(
            "options",
            std::make_unique<LSPAny>(formattingOptionsToAny(param.options))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToAnnotatedTextEdit(
        const LSPAny &any
    ) const -> AnnotatedTextEdit
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "AnnotatedTextEdit"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        AnnotatedTextEdit value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "AnnotatedTextEdit"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required AnnotatedTextEdit attribute: range"
            );
        }

        iter_0 = object_0.find("newText");
        if (iter_0 != object_0.end()) {
            value_0.newText = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required AnnotatedTextEdit attribute: newText"
            );
        }

        iter_0 = object_0.find("annotationId");
        if (iter_0 != object_0.end()) {
            value_0.annotationId =
                anyToChangeAnnotationIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required AnnotatedTextEdit attribute: annotationId"
            );
        }

        return value_0;
    }

    auto LspTransformer::annotatedTextEditToAny(
        const AnnotatedTextEdit &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "newText",
            std::make_unique<LSPAny>(stringToAny(param.newText))
        );

        object_0.emplace(
            "annotationId",
            std::make_unique<LSPAny>(changeAnnotationIdentifierToAny(param.annotationId))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentEdit_edits_elem(
        const LSPAny &any
    ) const -> TextDocumentEdit_edits_elem
    {
        TextDocumentEdit_edits_elem value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToTextEdit(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToAnnotatedTextEdit(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocumentEdit_edits_elem"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocumentEdit_edits_elem"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocumentEdit_edits_elemToAny(
        const TextDocumentEdit_edits_elem &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocumentEdit_edits_elemType::TextEdit: {
            return textEditToAny(value.textEdit());
        }
        case TextDocumentEdit_edits_elemType::AnnotatedTextEdit: {
            return annotatedTextEditToAny(value.annotatedTextEdit());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocumentEdit_edits_elemType: " +
                 TextDocumentEdit_edits_elemTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocumentEdit_editsToAny(
        const TextDocumentEdit_edits &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentEdit_edits_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocumentEdit_edits(
        const LSPAny &any
    ) const -> TextDocumentEdit_edits
    {
        const auto &array_0 = any.array();
        std::vector<TextDocumentEdit_edits_elem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextDocumentEdit_edits_elem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToSelectedCompletionInfo(
        const LSPAny &any
    ) const -> SelectedCompletionInfo
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SelectedCompletionInfo"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SelectedCompletionInfo value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SelectedCompletionInfo"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SelectedCompletionInfo attribute: range"
            );
        }

        iter_0 = object_0.find("text");
        if (iter_0 != object_0.end()) {
            value_0.text = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SelectedCompletionInfo attribute: text"
            );
        }

        return value_0;
    }

    auto LspTransformer::selectedCompletionInfoToAny(
        const SelectedCompletionInfo &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "text",
            std::make_unique<LSPAny>(stringToAny(param.text))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineCompletionContext(
        const LSPAny &any
    ) const -> InlineCompletionContext
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineCompletionContext"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineCompletionContext value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineCompletionContext"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("triggerKind");
        if (iter_0 != object_0.end()) {
            value_0.triggerKind =
                anyToInlineCompletionTriggerKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionContext attribute: triggerKind"
            );
        }

        iter_0 = object_0.find("selectedCompletionInfo");
        if (iter_0 != object_0.end()) {
            value_0.selectedCompletionInfo =
                anyToSelectedCompletionInfo(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineCompletionContextToAny(
        const InlineCompletionContext &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "triggerKind",
            std::make_unique<LSPAny>(inlineCompletionTriggerKindToAny(param.triggerKind))
        );

        if (param.selectedCompletionInfo.has_value()) {
            const auto &selectedCompletionInfo_0 =
                param.selectedCompletionInfo.value();
            object_0.emplace(
                "selectedCompletionInfo",
                std::make_unique<LSPAny>(selectedCompletionInfoToAny(selectedCompletionInfo_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDiagnosticRelatedInformation(
        const LSPAny &any
    ) const -> DiagnosticRelatedInformation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DiagnosticRelatedInformation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DiagnosticRelatedInformation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DiagnosticRelatedInformation"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("location");
        if (iter_0 != object_0.end()) {
            value_0.location = anyToLocation(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DiagnosticRelatedInformation attribute: location"
            );
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DiagnosticRelatedInformation attribute: message"
            );
        }

        return value_0;
    }

    auto LspTransformer::diagnosticRelatedInformationToAny(
        const DiagnosticRelatedInformation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "location",
            std::make_unique<LSPAny>(locationToAny(param.location))
        );

        object_0.emplace(
            "message",
            std::make_unique<LSPAny>(stringToAny(param.message))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::diagnostic_relatedInformationToAny(
        const Diagnostic_relatedInformation &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticRelatedInformationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDiagnostic_relatedInformation(
        const LSPAny &any
    ) const -> Diagnostic_relatedInformation
    {
        const auto &array_0 = any.array();
        std::vector<DiagnosticRelatedInformation> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDiagnosticRelatedInformation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToParameterInformation_label(
        const LSPAny &any
    ) const -> ParameterInformation_label
    {
        ParameterInformation_label value_0;

        switch (any.type()) {
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ParameterInformation_label"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::parameterInformation_labelToAny(
        const ParameterInformation_label &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ParameterInformation_labelType::String: {
            return stringToAny(value.string());
        }
        case ParameterInformation_labelType::PairOfUIntegerAndUInteger: {
            LSPArray array_0;
            array_0.reserve(2);
            const std::pair<uinteger_t, uinteger_t> &tuple_0 =
                value.pairOfUIntegerAndUInteger();
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = uintegerToAny(std::get<0>(tuple_0));
            array_0.push_back(std::move(any_0));
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = uintegerToAny(std::get<1>(tuple_0));
            array_0.push_back(std::move(any_1));
            LSPAny any_2;
            any_2 = std::move(array_0);
            return any_2;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ParameterInformation_labelType: " +
                 ParameterInformation_labelTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToParameterInformation(
        const LSPAny &any
    ) const -> ParameterInformation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ParameterInformation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ParameterInformation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ParameterInformation"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            value_0.label = anyToParameterInformation_label(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ParameterInformation attribute: label"
            );
        }

        iter_0 = object_0.find("documentation");
        if (iter_0 != object_0.end()) {
            value_0.documentation =
                anyToParameterInformation_documentation(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::parameterInformationToAny(
        const ParameterInformation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "label",
            std::make_unique<LSPAny>(parameterInformation_labelToAny(param.label))
        );

        if (param.documentation.has_value()) {
            const auto &documentation_0 = param.documentation.value();
            object_0.emplace(
                "documentation",
                std::make_unique<LSPAny>(parameterInformation_documentationToAny(documentation_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSignatureInformation(
        const LSPAny &any
    ) const -> SignatureInformation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SignatureInformation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SignatureInformation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SignatureInformation"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            value_0.label = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SignatureInformation attribute: label"
            );
        }

        iter_0 = object_0.find("documentation");
        if (iter_0 != object_0.end()) {
            value_0.documentation =
                anyToSignatureInformation_documentation(*iter_0->second);
        }

        iter_0 = object_0.find("parameters");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<ParameterInformation> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToParameterInformation(*elem_0));
            }
            value_0.parameters = std::move(values_0);
        }

        iter_0 = object_0.find("activeParameter");
        if (iter_0 != object_0.end()) {
            value_0.activeParameter = anyToUInteger(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::signatureInformationToAny(
        const SignatureInformation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "label",
            std::make_unique<LSPAny>(stringToAny(param.label))
        );

        if (param.documentation.has_value()) {
            const auto &documentation_0 = param.documentation.value();
            object_0.emplace(
                "documentation",
                std::make_unique<LSPAny>(signatureInformation_documentationToAny(documentation_0))
            );
        }

        if (param.parameters.has_value()) {
            const auto &parameters_0 = param.parameters.value();
            LSPArray array_0;
            array_0.reserve(parameters_0.size());
            for (const auto &elem_0 : parameters_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = parameterInformationToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("parameters", std::move(any_1));
        }

        if (param.activeParameter.has_value()) {
            const auto &activeParameter_0 = param.activeParameter.value();
            object_0.emplace(
                "activeParameter",
                std::make_unique<LSPAny>(uintegerToAny(activeParameter_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToSignatureHelp(
        const LSPAny &any
    ) const -> SignatureHelp
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SignatureHelp"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SignatureHelp value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SignatureHelp"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("signatures");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SignatureInformation> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSignatureInformation(*elem_0));
            }
            value_0.signatures = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SignatureHelp attribute: signatures"
            );
        }

        iter_0 = object_0.find("activeSignature");
        if (iter_0 != object_0.end()) {
            value_0.activeSignature = anyToUInteger(*iter_0->second);
        }

        iter_0 = object_0.find("activeParameter");
        if (iter_0 != object_0.end()) {
            value_0.activeParameter = anyToUInteger(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::signatureHelpToAny(
        const SignatureHelp &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.signatures.size());
        for (const auto &elem_0 : param.signatures) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = signatureInformationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("signatures", std::move(any_1));

        if (param.activeSignature.has_value()) {
            const auto &activeSignature_0 = param.activeSignature.value();
            object_0.emplace(
                "activeSignature",
                std::make_unique<LSPAny>(uintegerToAny(activeSignature_0))
            );
        }

        if (param.activeParameter.has_value()) {
            const auto &activeParameter_0 = param.activeParameter.value();
            object_0.emplace(
                "activeParameter",
                std::make_unique<LSPAny>(uintegerToAny(activeParameter_0))
            );
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::signatureHelp_signaturesToAny(
        const SignatureHelp_signatures &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = signatureInformationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSignatureHelp_signatures(
        const LSPAny &any
    ) const -> SignatureHelp_signatures
    {
        const auto &array_0 = any.array();
        std::vector<SignatureInformation> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSignatureInformation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToSignatureHelpContext(
        const LSPAny &any
    ) const -> SignatureHelpContext
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SignatureHelpContext"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SignatureHelpContext value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SignatureHelpContext"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("triggerKind");
        if (iter_0 != object_0.end()) {
            value_0.triggerKind =
                anyToSignatureHelpTriggerKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SignatureHelpContext attribute: triggerKind"
            );
        }

        iter_0 = object_0.find("triggerCharacter");
        if (iter_0 != object_0.end()) {
            value_0.triggerCharacter = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("isRetrigger");
        if (iter_0 != object_0.end()) {
            value_0.isRetrigger = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SignatureHelpContext attribute: isRetrigger"
            );
        }

        iter_0 = object_0.find("activeSignatureHelp");
        if (iter_0 != object_0.end()) {
            value_0.activeSignatureHelp = anyToSignatureHelp(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::signatureHelpContextToAny(
        const SignatureHelpContext &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "triggerKind",
            std::make_unique<LSPAny>(signatureHelpTriggerKindToAny(param.triggerKind))
        );

        if (param.triggerCharacter.has_value()) {
            const auto &triggerCharacter_0 = param.triggerCharacter.value();
            object_0.emplace(
                "triggerCharacter",
                std::make_unique<LSPAny>(stringToAny(triggerCharacter_0))
            );
        }

        object_0.emplace(
            "isRetrigger",
            std::make_unique<LSPAny>(booleanToAny(param.isRetrigger))
        );

        if (param.activeSignatureHelp.has_value()) {
            const auto &activeSignatureHelp_0 =
                param.activeSignatureHelp.value();
            object_0.emplace(
                "activeSignatureHelp",
                std::make_unique<LSPAny>(signatureHelpToAny(activeSignatureHelp_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::signatureInformation_parametersToAny(
        const SignatureInformation_parameters &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = parameterInformationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToSignatureInformation_parameters(
        const LSPAny &any
    ) const -> SignatureInformation_parameters
    {
        const auto &array_0 = any.array();
        std::vector<ParameterInformation> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToParameterInformation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToExecutionSummary(
        const LSPAny &any
    ) const -> ExecutionSummary
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ExecutionSummary"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ExecutionSummary value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ExecutionSummary"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("executionOrder");
        if (iter_0 != object_0.end()) {
            value_0.executionOrder = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ExecutionSummary attribute: executionOrder"
            );
        }

        iter_0 = object_0.find("success");
        if (iter_0 != object_0.end()) {
            value_0.success = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::executionSummaryToAny(
        const ExecutionSummary &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "executionOrder",
            std::make_unique<LSPAny>(uintegerToAny(param.executionOrder))
        );

        if (param.success.has_value()) {
            const auto &success_0 = param.success.value();
            object_0.emplace(
                "success",
                std::make_unique<LSPAny>(booleanToAny(success_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFoldingRangeClientCapabilities(
        const LSPAny &any
    ) const -> FoldingRangeClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FoldingRangeClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FoldingRangeClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FoldingRangeClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("rangeLimit");
        if (iter_0 != object_0.end()) {
            value_0.rangeLimit = anyToUInteger(*iter_0->second);
        }

        iter_0 = object_0.find("lineFoldingOnly");
        if (iter_0 != object_0.end()) {
            value_0.lineFoldingOnly = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("foldingRangeKind");
        if (iter_0 != object_0.end()) {
            value_0.foldingRangeKind =
                anyToFoldingRangeClientCapabilities_foldingRangeKind(*iter_0->second);
        }

        iter_0 = object_0.find("foldingRange");
        if (iter_0 != object_0.end()) {
            value_0.foldingRange =
                anyToFoldingRangeClientCapabilities_foldingRange(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::foldingRangeClientCapabilitiesToAny(
        const FoldingRangeClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        if (param.rangeLimit.has_value()) {
            const auto &rangeLimit_0 = param.rangeLimit.value();
            object_0.emplace(
                "rangeLimit",
                std::make_unique<LSPAny>(uintegerToAny(rangeLimit_0))
            );
        }

        if (param.lineFoldingOnly.has_value()) {
            const auto &lineFoldingOnly_0 = param.lineFoldingOnly.value();
            object_0.emplace(
                "lineFoldingOnly",
                std::make_unique<LSPAny>(booleanToAny(lineFoldingOnly_0))
            );
        }

        if (param.foldingRangeKind.has_value()) {
            const auto &foldingRangeKind_0 = param.foldingRangeKind.value();
            object_0.emplace(
                "foldingRangeKind",
                std::make_unique<LSPAny>(foldingRangeClientCapabilities_foldingRangeKindToAny(foldingRangeKind_0))
            );
        }

        if (param.foldingRange.has_value()) {
            const auto &foldingRange_0 = param.foldingRange.value();
            object_0.emplace(
                "foldingRange",
                std::make_unique<LSPAny>(foldingRangeClientCapabilities_foldingRangeToAny(foldingRange_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDefinition(const LSPAny &any) const -> Definition
    {
        Definition value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToLocation(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Definition"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToDefinition_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Definition"
                );
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Definition"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::definitionToAny(
        const Definition &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case DefinitionType::Location: {
            return locationToAny(value.location());
        }
        case DefinitionType::LocationArray: {
            LSPArray array_0;
            array_0.reserve(value.locationArray().size());
            for (const auto &elem_0 : value.locationArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = locationToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported DefinitionType: " +
                 DefinitionTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::definition_1ToAny(
        const Definition_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = locationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDefinition_1(
        const LSPAny &any
    ) const -> Definition_1
    {
        const auto &array_0 = any.array();
        std::vector<Location> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLocation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToDefinitionLink(
        const LSPAny &any
    ) const -> DefinitionLink
    {
        return anyToLocationLink(any);
    }

    auto LspTransformer::definitionLinkToAny(
        const DefinitionLink &alias
    ) const -> LSPAny
    {
        return locationLinkToAny(alias);
    }

    auto LspTransformer::anyToDeclaration(
        const LSPAny &any
    ) const -> Declaration
    {
        Declaration value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToLocation(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Declaration"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToDeclaration_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Declaration"
                );
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Declaration"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::declarationToAny(
        const Declaration &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case DeclarationType::Location: {
            return locationToAny(value.location());
        }
        case DeclarationType::LocationArray: {
            LSPArray array_0;
            array_0.reserve(value.locationArray().size());
            for (const auto &elem_0 : value.locationArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = locationToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported DeclarationType: " +
                 DeclarationTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::declaration_1ToAny(
        const Declaration_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = locationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDeclaration_1(
        const LSPAny &any
    ) const -> Declaration_1
    {
        const auto &array_0 = any.array();
        std::vector<Location> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLocation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToDeclarationLink(
        const LSPAny &any
    ) const -> DeclarationLink
    {
        return anyToLocationLink(any);
    }

    auto LspTransformer::declarationLinkToAny(
        const DeclarationLink &alias
    ) const -> LSPAny
    {
        return locationLinkToAny(alias);
    }

    auto LspTransformer::anyToInlineValue(
        const LSPAny &any
    ) const -> InlineValue
    {
        InlineValue value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToInlineValueText(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToInlineValueVariableLookup(any);
                } catch (LspException &/*e*/) {
                    try {
                        value_0 = anyToInlineValueEvaluatableExpression(any);
                    } catch (LspException &/*e*/) {
                        throw LSP_EXCEPTION(
                            ErrorCodes::InvalidParams,
                            "Failed to transform LSPAny to InlineValue"
                        );
                    }
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for an "
                 "InlineValue"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::inlineValueToAny(
        const InlineValue &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case InlineValueType::InlineValueText: {
            return inlineValueTextToAny(value.inlineValueText());
        }
        case InlineValueType::InlineValueVariableLookup: {
            return inlineValueVariableLookupToAny(value.inlineValueVariableLookup());
        }
        case InlineValueType::InlineValueEvaluatableExpression: {
            return inlineValueEvaluatableExpressionToAny(value.inlineValueEvaluatableExpression());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported InlineValueType: " +
                 InlineValueTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToPrepareRenameResult_1(
        const LSPAny &any
    ) const -> PrepareRenameResult_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "PrepareRenameResult_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        PrepareRenameResult_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "PrepareRenameResult_1"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PrepareRenameResult_1 attribute: range"
            );
        }

        iter_0 = object_0.find("placeholder");
        if (iter_0 != object_0.end()) {
            value_0.placeholder = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PrepareRenameResult_1 attribute: placeholder"
            );
        }

        return value_0;
    }

    auto LspTransformer::prepareRenameResult_1ToAny(
        const PrepareRenameResult_1 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "placeholder",
            std::make_unique<LSPAny>(stringToAny(param.placeholder))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToPrepareRenameResult(
        const LSPAny &any
    ) const -> PrepareRenameResult
    {
        PrepareRenameResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToRange(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToPrepareRenameResult_1(any);
                } catch (LspException &/*e*/) {
                    try {
                        value_0 = anyToPrepareRenameResult_2(any);
                    } catch (LspException &/*e*/) {
                        throw LSP_EXCEPTION(
                            ErrorCodes::InvalidParams,
                            "Failed to transform LSPAny to PrepareRenameResult"
                        );
                    }
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "PrepareRenameResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::prepareRenameResultToAny(
        const PrepareRenameResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case PrepareRenameResultType::Range: {
            return rangeToAny(value.range());
        }
        case PrepareRenameResultType::PrepareRenameResult_1: {
            return prepareRenameResult_1ToAny(value.prepareRenameResult_1());
        }
        case PrepareRenameResultType::PrepareRenameResult_2: {
            return prepareRenameResult_2ToAny(value.prepareRenameResult_2());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported PrepareRenameResultType: " +
                 PrepareRenameResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocumentContentChangeEvent_0(
        const LSPAny &any
    ) const -> TextDocumentContentChangeEvent_0
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentContentChangeEvent_0"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentContentChangeEvent_0 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentContentChangeEvent_0"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentContentChangeEvent_0 attribute: range"
            );
        }

        iter_0 = object_0.find("rangeLength");
        if (iter_0 != object_0.end()) {
            value_0.rangeLength = anyToUInteger(*iter_0->second);
        }

        iter_0 = object_0.find("text");
        if (iter_0 != object_0.end()) {
            value_0.text = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentContentChangeEvent_0 attribute: text"
            );
        }

        return value_0;
    }

    auto LspTransformer::textDocumentContentChangeEvent_0ToAny(
        const TextDocumentContentChangeEvent_0 &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        if (param.rangeLength.has_value()) {
            const auto &rangeLength_0 = param.rangeLength.value();
            object_0.emplace(
                "rangeLength",
                std::make_unique<LSPAny>(uintegerToAny(rangeLength_0))
            );
        }

        object_0.emplace(
            "text",
            std::make_unique<LSPAny>(stringToAny(param.text))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentContentChangeEvent(
        const LSPAny &any
    ) const -> TextDocumentContentChangeEvent
    {
        TextDocumentContentChangeEvent value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToTextDocumentContentChangeEvent_0(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTextDocumentContentChangeEvent_1(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocumentContentChangeEvent"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocumentContentChangeEvent"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocumentContentChangeEventToAny(
        const TextDocumentContentChangeEvent &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_0: {
            return textDocumentContentChangeEvent_0ToAny(value.textDocumentContentChangeEvent_0());
        }
        case TextDocumentContentChangeEventType::TextDocumentContentChangeEvent_1: {
            return textDocumentContentChangeEvent_1ToAny(value.textDocumentContentChangeEvent_1());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocumentContentChangeEventType: " +
                 TextDocumentContentChangeEventTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::didChangeTextDocumentParams_contentChangesToAny(
        const DidChangeTextDocumentParams_contentChanges &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentContentChangeEventToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDidChangeTextDocumentParams_contentChanges(
        const LSPAny &any
    ) const -> DidChangeTextDocumentParams_contentChanges
    {
        const auto &array_0 = any.array();
        std::vector<TextDocumentContentChangeEvent> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextDocumentContentChangeEvent(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::notebookDocumentChangeEvent_cells_textContent_elem_changesToAny(
        const NotebookDocumentChangeEvent_cells_textContent_elem_changes &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentContentChangeEventToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocumentChangeEvent_cells_textContent_elem_changes(
        const LSPAny &any
    ) const -> NotebookDocumentChangeEvent_cells_textContent_elem_changes
    {
        const auto &array_0 = any.array();
        std::vector<TextDocumentContentChangeEvent> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextDocumentContentChangeEvent(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_ImplementationResult(
        const LSPAny &any
    ) const -> TextDocument_ImplementationResult
    {
        TextDocument_ImplementationResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDefinition(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_ImplementationResult"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_ImplementationResult_1(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTextDocument_ImplementationResult_3(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocument_ImplementationResult"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_ImplementationResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_ImplementationResultToAny(
        const TextDocument_ImplementationResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_ImplementationResultType::Definition: {
            return definitionToAny(value.definition());
        }
        case TextDocument_ImplementationResultType::DefinitionLinkArray: {
            LSPArray array_0;
            array_0.reserve(value.locationLinkArray().size());
            for (const auto &elem_0 : value.locationLinkArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = definitionLinkToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_ImplementationResultType::Null: {
            return nullToAny(value.null());
        }
        case TextDocument_ImplementationResultType::LocationArray: {
            LSPArray array_1;
            array_1.reserve(value.locationArray().size());
            for (const auto &elem_1 : value.locationArray()) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = locationToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            LSPAny any_3;
            any_3 = std::move(array_1);
            return any_3;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_ImplementationResultType: " +
                 TextDocument_ImplementationResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_ImplementationResult_1ToAny(
        const TextDocument_ImplementationResult_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = definitionLinkToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_ImplementationResult_1(
        const LSPAny &any
    ) const -> TextDocument_ImplementationResult_1
    {
        const auto &array_0 = any.array();
        std::vector<DefinitionLink> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDefinitionLink(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::textDocument_ImplementationResult_3ToAny(
        const TextDocument_ImplementationResult_3 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = locationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_ImplementationResult_3(
        const LSPAny &any
    ) const -> TextDocument_ImplementationResult_3
    {
        const auto &array_0 = any.array();
        std::vector<Location> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLocation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_TypeDefinitionResult(
        const LSPAny &any
    ) const -> TextDocument_TypeDefinitionResult
    {
        TextDocument_TypeDefinitionResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDefinition(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_TypeDefinitionResult"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_TypeDefinitionResult_1(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTextDocument_TypeDefinitionResult_3(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocument_TypeDefinitionResult"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_TypeDefinitionResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_TypeDefinitionResultToAny(
        const TextDocument_TypeDefinitionResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_TypeDefinitionResultType::Definition: {
            return definitionToAny(value.definition());
        }
        case TextDocument_TypeDefinitionResultType::DefinitionLinkArray: {
            LSPArray array_0;
            array_0.reserve(value.locationLinkArray().size());
            for (const auto &elem_0 : value.locationLinkArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = definitionLinkToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_TypeDefinitionResultType::Null: {
            return nullToAny(value.null());
        }
        case TextDocument_TypeDefinitionResultType::LocationArray: {
            LSPArray array_1;
            array_1.reserve(value.locationArray().size());
            for (const auto &elem_1 : value.locationArray()) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = locationToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            LSPAny any_3;
            any_3 = std::move(array_1);
            return any_3;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_TypeDefinitionResultType: " +
                 TextDocument_TypeDefinitionResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_TypeDefinitionResult_1ToAny(
        const TextDocument_TypeDefinitionResult_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = definitionLinkToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_TypeDefinitionResult_1(
        const LSPAny &any
    ) const -> TextDocument_TypeDefinitionResult_1
    {
        const auto &array_0 = any.array();
        std::vector<DefinitionLink> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDefinitionLink(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::textDocument_TypeDefinitionResult_3ToAny(
        const TextDocument_TypeDefinitionResult_3 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = locationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_TypeDefinitionResult_3(
        const LSPAny &any
    ) const -> TextDocument_TypeDefinitionResult_3
    {
        const auto &array_0 = any.array();
        std::vector<Location> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLocation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::textDocument_ColorPresentationResultToAny(
        const TextDocument_ColorPresentationResult &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = colorPresentationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_ColorPresentationResult(
        const LSPAny &any
    ) const -> TextDocument_ColorPresentationResult
    {
        const auto &array_0 = any.array();
        std::vector<ColorPresentation> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToColorPresentation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_FoldingRangeResult(
        const LSPAny &any
    ) const -> TextDocument_FoldingRangeResult
    {
        TextDocument_FoldingRangeResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_FoldingRangeResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_FoldingRangeResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_FoldingRangeResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_FoldingRangeResultToAny(
        const TextDocument_FoldingRangeResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_FoldingRangeResultType::FoldingRangeArray: {
            LSPArray array_0;
            array_0.reserve(value.foldingRangeArray().size());
            for (const auto &elem_0 : value.foldingRangeArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = foldingRangeToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_FoldingRangeResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_FoldingRangeResultType: " +
                 TextDocument_FoldingRangeResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_FoldingRangeResult_0ToAny(
        const TextDocument_FoldingRangeResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = foldingRangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_FoldingRangeResult_0(
        const LSPAny &any
    ) const -> TextDocument_FoldingRangeResult_0
    {
        const auto &array_0 = any.array();
        std::vector<FoldingRange> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToFoldingRange(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_DeclarationResult(
        const LSPAny &any
    ) const -> TextDocument_DeclarationResult
    {
        TextDocument_DeclarationResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDeclaration(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_DeclarationResult"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_DeclarationResult_1(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTextDocument_DeclarationResult_3(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocument_DeclarationResult"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_DeclarationResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_DeclarationResultToAny(
        const TextDocument_DeclarationResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_DeclarationResultType::Declaration: {
            return declarationToAny(value.declaration());
        }
        case TextDocument_DeclarationResultType::DeclarationLinkArray: {
            LSPArray array_0;
            array_0.reserve(value.locationLinkArray().size());
            for (const auto &elem_0 : value.locationLinkArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = declarationLinkToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_DeclarationResultType::Null: {
            return nullToAny(value.null());
        }
        case TextDocument_DeclarationResultType::LocationArray: {
            LSPArray array_1;
            array_1.reserve(value.locationArray().size());
            for (const auto &elem_1 : value.locationArray()) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = locationToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            LSPAny any_3;
            any_3 = std::move(array_1);
            return any_3;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_DeclarationResultType: " +
                 TextDocument_DeclarationResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_DeclarationResult_1ToAny(
        const TextDocument_DeclarationResult_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = declarationLinkToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_DeclarationResult_1(
        const LSPAny &any
    ) const -> TextDocument_DeclarationResult_1
    {
        const auto &array_0 = any.array();
        std::vector<DeclarationLink> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDeclarationLink(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::textDocument_DeclarationResult_3ToAny(
        const TextDocument_DeclarationResult_3 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = locationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_DeclarationResult_3(
        const LSPAny &any
    ) const -> TextDocument_DeclarationResult_3
    {
        const auto &array_0 = any.array();
        std::vector<Location> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLocation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_SelectionRangeResult(
        const LSPAny &any
    ) const -> TextDocument_SelectionRangeResult
    {
        TextDocument_SelectionRangeResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_SelectionRangeResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_SelectionRangeResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_SelectionRangeResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_SelectionRangeResultToAny(
        const TextDocument_SelectionRangeResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_SelectionRangeResultType::SelectionRangeArray: {
            LSPArray array_0;
            array_0.reserve(value.selectionRangeArray().size());
            for (const auto &elem_0 : value.selectionRangeArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = selectionRangeToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_SelectionRangeResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_SelectionRangeResultType: " +
                 TextDocument_SelectionRangeResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_SelectionRangeResult_0ToAny(
        const TextDocument_SelectionRangeResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = selectionRangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_SelectionRangeResult_0(
        const LSPAny &any
    ) const -> TextDocument_SelectionRangeResult_0
    {
        const auto &array_0 = any.array();
        std::vector<SelectionRange> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSelectionRange(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_SemanticTokens_FullResult(
        const LSPAny &any
    ) const -> TextDocument_SemanticTokens_FullResult
    {
        TextDocument_SemanticTokens_FullResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToSemanticTokens(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToSemanticTokensPartialResult(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocument_SemanticTokens_FullResult"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_SemanticTokens_FullResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_SemanticTokens_FullResultToAny(
        const TextDocument_SemanticTokens_FullResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_SemanticTokens_FullResultType::SemanticTokens: {
            return semanticTokensToAny(value.semanticTokens());
        }
        case TextDocument_SemanticTokens_FullResultType::Null: {
            return nullToAny(value.null());
        }
        case TextDocument_SemanticTokens_FullResultType::SemanticTokensPartialResult: {
            return semanticTokensPartialResultToAny(value.semanticTokensPartialResult());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_SemanticTokens_FullResultType: " +
                 TextDocument_SemanticTokens_FullResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocument_SemanticTokens_Full_DeltaResult(
        const LSPAny &any
    ) const -> TextDocument_SemanticTokens_Full_DeltaResult
    {
        TextDocument_SemanticTokens_Full_DeltaResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToSemanticTokens(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToSemanticTokensDelta(any);
                } catch (LspException &/*e*/) {
                    try {
                        value_0 = anyToSemanticTokensPartialResult(any);
                    } catch (LspException &/*e*/) {
                        try {
                            value_0 =
                                anyToSemanticTokensDeltaPartialResult(any);
                        } catch (LspException &/*e*/) {
                            throw LSP_EXCEPTION(
                                ErrorCodes::InvalidParams,
                                "Failed to transform LSPAny to TextDocument_SemanticTokens_Full_DeltaResult"
                            );
                        }
                    }
                }
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_SemanticTokens_Full_DeltaResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_SemanticTokens_Full_DeltaResultToAny(
        const TextDocument_SemanticTokens_Full_DeltaResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokens: {
            return semanticTokensToAny(value.semanticTokens());
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDelta: {
            return semanticTokensDeltaToAny(value.semanticTokensDelta());
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::Null: {
            return nullToAny(value.null());
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensPartialResult: {
            return semanticTokensPartialResultToAny(value.semanticTokensPartialResult());
        }
        case TextDocument_SemanticTokens_Full_DeltaResultType::SemanticTokensDeltaPartialResult: {
            return semanticTokensDeltaPartialResultToAny(value.semanticTokensDeltaPartialResult());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_SemanticTokens_Full_DeltaResultType: " +
                 TextDocument_SemanticTokens_Full_DeltaResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocument_SemanticTokens_RangeResult(
        const LSPAny &any
    ) const -> TextDocument_SemanticTokens_RangeResult
    {
        TextDocument_SemanticTokens_RangeResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToSemanticTokens(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToSemanticTokensPartialResult(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocument_SemanticTokens_RangeResult"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_SemanticTokens_RangeResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_SemanticTokens_RangeResultToAny(
        const TextDocument_SemanticTokens_RangeResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_SemanticTokens_RangeResultType::SemanticTokens: {
            return semanticTokensToAny(value.semanticTokens());
        }
        case TextDocument_SemanticTokens_RangeResultType::Null: {
            return nullToAny(value.null());
        }
        case TextDocument_SemanticTokens_RangeResultType::SemanticTokensPartialResult: {
            return semanticTokensPartialResultToAny(value.semanticTokensPartialResult());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_SemanticTokens_RangeResultType: " +
                 TextDocument_SemanticTokens_RangeResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asMessageParams(
        const ShowDocumentParams &requestParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = uriToAny(requestParams.uri);
        object_0.emplace("uri", std::move(any_0));

        if (requestParams.external.has_value()) {
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = booleanToAny(requestParams.external.value());
            object_0.emplace("external", std::move(any_1));
        }

        if (requestParams.takeFocus.has_value()) {
            auto any_2 = std::make_unique<LSPAny>();
            (*any_2) = booleanToAny(requestParams.takeFocus.value());
            object_0.emplace("takeFocus", std::move(any_2));
        }

        if (requestParams.selection.has_value()) {
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = rangeToAny(requestParams.selection.value());
            object_0.emplace("selection", std::move(any_3));
        }

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::anyToTextDocument_LinkedEditingRangeResult(
        const LSPAny &any
    ) const -> TextDocument_LinkedEditingRangeResult
    {
        TextDocument_LinkedEditingRangeResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToLinkedEditingRanges(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_LinkedEditingRangeResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_LinkedEditingRangeResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_LinkedEditingRangeResultToAny(
        const TextDocument_LinkedEditingRangeResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_LinkedEditingRangeResultType::LinkedEditingRanges: {
            return linkedEditingRangesToAny(value.linkedEditingRanges());
        }
        case TextDocument_LinkedEditingRangeResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_LinkedEditingRangeResultType: " +
                 TextDocument_LinkedEditingRangeResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocument_InlineValueResult(
        const LSPAny &any
    ) const -> TextDocument_InlineValueResult
    {
        TextDocument_InlineValueResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_InlineValueResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_InlineValueResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_InlineValueResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_InlineValueResultToAny(
        const TextDocument_InlineValueResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_InlineValueResultType::InlineValueArray: {
            LSPArray array_0;
            array_0.reserve(value.inlineValueArray().size());
            for (const auto &elem_0 : value.inlineValueArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = inlineValueToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_InlineValueResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_InlineValueResultType: " +
                 TextDocument_InlineValueResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_InlineValueResult_0ToAny(
        const TextDocument_InlineValueResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = inlineValueToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_InlineValueResult_0(
        const LSPAny &any
    ) const -> TextDocument_InlineValueResult_0
    {
        const auto &array_0 = any.array();
        std::vector<InlineValue> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToInlineValue(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_WillSaveWaitUntilResult(
        const LSPAny &any
    ) const -> TextDocument_WillSaveWaitUntilResult
    {
        TextDocument_WillSaveWaitUntilResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_WillSaveWaitUntilResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_WillSaveWaitUntilResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_WillSaveWaitUntilResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_WillSaveWaitUntilResultToAny(
        const TextDocument_WillSaveWaitUntilResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_WillSaveWaitUntilResultType::TextEditArray: {
            LSPArray array_0;
            array_0.reserve(value.textEditArray().size());
            for (const auto &elem_0 : value.textEditArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = textEditToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_WillSaveWaitUntilResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_WillSaveWaitUntilResultType: " +
                 TextDocument_WillSaveWaitUntilResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_WillSaveWaitUntilParams(
        const MessageParams &requestParams
    ) const -> WillSaveTextDocumentParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/willSaveWaitUntil\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        WillSaveTextDocumentParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WillSaveTextDocumentParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("reason");
        if (iter_0 != object_0.end()) {
            params_0.reason = anyToTextDocumentSaveReason(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WillSaveTextDocumentParams attribute: reason"
            );
        }

        return params_0;
    }

    auto LspTransformer::textDocument_WillSaveWaitUntilResult_0ToAny(
        const TextDocument_WillSaveWaitUntilResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_WillSaveWaitUntilResult_0(
        const LSPAny &any
    ) const -> TextDocument_WillSaveWaitUntilResult_0
    {
        const auto &array_0 = any.array();
        std::vector<TextEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_HoverResult(
        const LSPAny &any
    ) const -> TextDocument_HoverResult
    {
        TextDocument_HoverResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToHover(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_HoverResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_HoverResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_HoverResultToAny(
        const TextDocument_HoverResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_HoverResultType::Hover: {
            return hoverToAny(value.hover());
        }
        case TextDocument_HoverResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_HoverResultType: " +
                 TextDocument_HoverResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocument_SignatureHelpResult(
        const LSPAny &any
    ) const -> TextDocument_SignatureHelpResult
    {
        TextDocument_SignatureHelpResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToSignatureHelp(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_SignatureHelpResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_SignatureHelpResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_SignatureHelpResultToAny(
        const TextDocument_SignatureHelpResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_SignatureHelpResultType::SignatureHelp: {
            return signatureHelpToAny(value.signatureHelp());
        }
        case TextDocument_SignatureHelpResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_SignatureHelpResultType: " +
                 TextDocument_SignatureHelpResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocument_DefinitionResult(
        const LSPAny &any
    ) const -> TextDocument_DefinitionResult
    {
        TextDocument_DefinitionResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDefinition(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_DefinitionResult"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_DefinitionResult_1(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTextDocument_DefinitionResult_3(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocument_DefinitionResult"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_DefinitionResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_DefinitionResultToAny(
        const TextDocument_DefinitionResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_DefinitionResultType::Definition: {
            return definitionToAny(value.definition());
        }
        case TextDocument_DefinitionResultType::DefinitionLinkArray: {
            LSPArray array_0;
            array_0.reserve(value.locationLinkArray().size());
            for (const auto &elem_0 : value.locationLinkArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = definitionLinkToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_DefinitionResultType::Null: {
            return nullToAny(value.null());
        }
        case TextDocument_DefinitionResultType::LocationArray: {
            LSPArray array_1;
            array_1.reserve(value.locationArray().size());
            for (const auto &elem_1 : value.locationArray()) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = locationToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            LSPAny any_3;
            any_3 = std::move(array_1);
            return any_3;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_DefinitionResultType: " +
                 TextDocument_DefinitionResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_DefinitionResult_1ToAny(
        const TextDocument_DefinitionResult_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = definitionLinkToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_DefinitionResult_1(
        const LSPAny &any
    ) const -> TextDocument_DefinitionResult_1
    {
        const auto &array_0 = any.array();
        std::vector<DefinitionLink> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDefinitionLink(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::textDocument_DefinitionResult_3ToAny(
        const TextDocument_DefinitionResult_3 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = locationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_DefinitionResult_3(
        const LSPAny &any
    ) const -> TextDocument_DefinitionResult_3
    {
        const auto &array_0 = any.array();
        std::vector<Location> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLocation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_ReferencesResult(
        const LSPAny &any
    ) const -> TextDocument_ReferencesResult
    {
        TextDocument_ReferencesResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_ReferencesResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_ReferencesResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_ReferencesResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_ReferencesResultToAny(
        const TextDocument_ReferencesResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_ReferencesResultType::LocationArray: {
            LSPArray array_0;
            array_0.reserve(value.locationArray().size());
            for (const auto &elem_0 : value.locationArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = locationToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_ReferencesResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_ReferencesResultType: " +
                 TextDocument_ReferencesResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_ReferencesResult_0ToAny(
        const TextDocument_ReferencesResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = locationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_ReferencesResult_0(
        const LSPAny &any
    ) const -> TextDocument_ReferencesResult_0
    {
        const auto &array_0 = any.array();
        std::vector<Location> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLocation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_DocumentHighlightResult(
        const LSPAny &any
    ) const -> TextDocument_DocumentHighlightResult
    {
        TextDocument_DocumentHighlightResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_DocumentHighlightResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_DocumentHighlightResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_DocumentHighlightResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_DocumentHighlightResultToAny(
        const TextDocument_DocumentHighlightResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_DocumentHighlightResultType::DocumentHighlightArray: {
            LSPArray array_0;
            array_0.reserve(value.documentHighlightArray().size());
            for (const auto &elem_0 : value.documentHighlightArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = documentHighlightToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_DocumentHighlightResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_DocumentHighlightResultType: " +
                 TextDocument_DocumentHighlightResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_DocumentHighlightResult_0ToAny(
        const TextDocument_DocumentHighlightResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = documentHighlightToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_DocumentHighlightResult_0(
        const LSPAny &any
    ) const -> TextDocument_DocumentHighlightResult_0
    {
        const auto &array_0 = any.array();
        std::vector<DocumentHighlight> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDocumentHighlight(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_DocumentSymbolResult(
        const LSPAny &any
    ) const -> TextDocument_DocumentSymbolResult
    {
        TextDocument_DocumentSymbolResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_DocumentSymbolResult_0(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToTextDocument_DocumentSymbolResult_1(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocument_DocumentSymbolResult"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_DocumentSymbolResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_DocumentSymbolResultToAny(
        const TextDocument_DocumentSymbolResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_DocumentSymbolResultType::SymbolInformationArray: {
            LSPArray array_0;
            array_0.reserve(value.symbolInformationArray().size());
            for (const auto &elem_0 : value.symbolInformationArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolInformationToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_DocumentSymbolResultType::DocumentSymbolArray: {
            LSPArray array_1;
            array_1.reserve(value.documentSymbolArray().size());
            for (const auto &elem_1 : value.documentSymbolArray()) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = documentSymbolToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            LSPAny any_3;
            any_3 = std::move(array_1);
            return any_3;
        }
        case TextDocument_DocumentSymbolResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_DocumentSymbolResultType: " +
                 TextDocument_DocumentSymbolResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_DocumentSymbolResult_0ToAny(
        const TextDocument_DocumentSymbolResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolInformationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_DocumentSymbolResult_0(
        const LSPAny &any
    ) const -> TextDocument_DocumentSymbolResult_0
    {
        const auto &array_0 = any.array();
        std::vector<SymbolInformation> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolInformation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::textDocument_DocumentSymbolResult_1ToAny(
        const TextDocument_DocumentSymbolResult_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = documentSymbolToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_DocumentSymbolResult_1(
        const LSPAny &any
    ) const -> TextDocument_DocumentSymbolResult_1
    {
        const auto &array_0 = any.array();
        std::vector<DocumentSymbol> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDocumentSymbol(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::workspace_SymbolResult_0ToAny(
        const Workspace_SymbolResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = symbolInformationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspace_SymbolResult_0(
        const LSPAny &any
    ) const -> Workspace_SymbolResult_0
    {
        const auto &array_0 = any.array();
        std::vector<SymbolInformation> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToSymbolInformation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_FormattingResult(
        const LSPAny &any
    ) const -> TextDocument_FormattingResult
    {
        TextDocument_FormattingResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_FormattingResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_FormattingResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_FormattingResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_FormattingResultToAny(
        const TextDocument_FormattingResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_FormattingResultType::TextEditArray: {
            LSPArray array_0;
            array_0.reserve(value.textEditArray().size());
            for (const auto &elem_0 : value.textEditArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = textEditToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_FormattingResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_FormattingResultType: " +
                 TextDocument_FormattingResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_FormattingResult_0ToAny(
        const TextDocument_FormattingResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_FormattingResult_0(
        const LSPAny &any
    ) const -> TextDocument_FormattingResult_0
    {
        const auto &array_0 = any.array();
        std::vector<TextEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_RangeFormattingResult(
        const LSPAny &any
    ) const -> TextDocument_RangeFormattingResult
    {
        TextDocument_RangeFormattingResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_RangeFormattingResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_RangeFormattingResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_RangeFormattingResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_RangeFormattingResultToAny(
        const TextDocument_RangeFormattingResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_RangeFormattingResultType::TextEditArray: {
            LSPArray array_0;
            array_0.reserve(value.textEditArray().size());
            for (const auto &elem_0 : value.textEditArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = textEditToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_RangeFormattingResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_RangeFormattingResultType: " +
                 TextDocument_RangeFormattingResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_RangeFormattingResult_0ToAny(
        const TextDocument_RangeFormattingResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_RangeFormattingResult_0(
        const LSPAny &any
    ) const -> TextDocument_RangeFormattingResult_0
    {
        const auto &array_0 = any.array();
        std::vector<TextEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_RangesFormattingResult(
        const LSPAny &any
    ) const -> TextDocument_RangesFormattingResult
    {
        TextDocument_RangesFormattingResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_RangesFormattingResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_RangesFormattingResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_RangesFormattingResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_RangesFormattingResultToAny(
        const TextDocument_RangesFormattingResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_RangesFormattingResultType::TextEditArray: {
            LSPArray array_0;
            array_0.reserve(value.textEditArray().size());
            for (const auto &elem_0 : value.textEditArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = textEditToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_RangesFormattingResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_RangesFormattingResultType: " +
                 TextDocument_RangesFormattingResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::textDocument_RangesFormattingResult_0ToAny(
        const TextDocument_RangesFormattingResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_RangesFormattingResult_0(
        const LSPAny &any
    ) const -> TextDocument_RangesFormattingResult_0
    {
        const auto &array_0 = any.array();
        std::vector<TextEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_OnTypeFormattingResult(
        const LSPAny &any
    ) const -> TextDocument_OnTypeFormattingResult
    {
        TextDocument_OnTypeFormattingResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_OnTypeFormattingResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_OnTypeFormattingResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_OnTypeFormattingResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_OnTypeFormattingResultToAny(
        const TextDocument_OnTypeFormattingResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_OnTypeFormattingResultType::TextEditArray: {
            LSPArray array_0;
            array_0.reserve(value.textEditArray().size());
            for (const auto &elem_0 : value.textEditArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = textEditToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_OnTypeFormattingResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_OnTypeFormattingResultType: " +
                 TextDocument_OnTypeFormattingResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_OnTypeFormattingParams(
        const MessageParams &requestParams
    ) const -> DocumentOnTypeFormattingParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/onTypeFormatting\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentOnTypeFormattingParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingParams attribute: position"
            );
        }

        iter_0 = object_0.find("ch");
        if (iter_0 != object_0.end()) {
            params_0.ch = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingParams attribute: ch"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            params_0.options = anyToFormattingOptions(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentOnTypeFormattingParams attribute: options"
            );
        }

        return params_0;
    }

    auto LspTransformer::textDocument_OnTypeFormattingResult_0ToAny(
        const TextDocument_OnTypeFormattingResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textEditToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_OnTypeFormattingResult_0(
        const LSPAny &any
    ) const -> TextDocument_OnTypeFormattingResult_0
    {
        const auto &array_0 = any.array();
        std::vector<TextEdit> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextEdit(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_PrepareRenameResult(
        const LSPAny &any
    ) const -> TextDocument_PrepareRenameResult
    {
        TextDocument_PrepareRenameResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToPrepareRenameResult(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_PrepareRenameResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_PrepareRenameResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_PrepareRenameResultToAny(
        const TextDocument_PrepareRenameResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_PrepareRenameResultType::PrepareRenameResult: {
            return prepareRenameResultToAny(value.prepareRenameResult());
        }
        case TextDocument_PrepareRenameResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_PrepareRenameResultType: " +
                 TextDocument_PrepareRenameResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspace_ApplyEditResult(
        const LSPAny &any
    ) const -> Workspace_ApplyEditResult
    {
        return anyToApplyWorkspaceEditResult(any);
    }

    auto LspTransformer::workspace_ApplyEditResultToAny(
        const Workspace_ApplyEditResult &alias
    ) const -> LSPAny
    {
        return applyWorkspaceEditResultToAny(alias);
    }

    auto LspTransformer::anyToInitializedParams(
        const LSPAny &any
    ) const -> InitializedParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InitializedParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InitializedParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 0) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InitializedParams"
                 ": " + std::to_string(object_0.size()) + " > 0")
            );
        }

        return value_0;
    }

    auto LspTransformer::initializedParamsToAny(
        const InitializedParams &/*param*/
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::asInitializedParams(
        const MessageParams &notificationParams
    ) const -> InitializedParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"initialized\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        InitializedParams params_0;
        return params_0;
    }

    auto LspTransformer::integerToAny(integer_t param) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = param;
        return any_0;
    }

    auto LspTransformer::anyToInteger(const LSPAny &any) const -> integer_t
    {
        switch (any.type()) {
        case LSPAnyType::Integer: {
            return any.integer();
        }
        case LSPAnyType::UInteger: {
            return static_cast<integer_t>(any.uinteger());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type integer_t")
            );
        }
        }
    }

    auto LspTransformer::anyToCancelParams_id(
        const LSPAny &any
    ) const -> CancelParams_id
    {
        CancelParams_id value_0;

        switch (any.type()) {
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "CancelParams_id"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::cancelParams_idToAny(
        const CancelParams_id &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case CancelParams_idType::Integer: {
            return integerToAny(value.integer());
        }
        case CancelParams_idType::String: {
            return stringToAny(value.string());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported CancelParams_idType: " +
                 CancelParams_idTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToCancelParams(
        const LSPAny &any
    ) const -> CancelParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CancelParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CancelParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CancelParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToCancelParams_id(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CancelParams attribute: id"
            );
        }

        return value_0;
    }

    auto LspTransformer::cancelParamsToAny(
        const CancelParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "id",
            std::make_unique<LSPAny>(cancelParams_idToAny(param.id))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineValueContext(
        const LSPAny &any
    ) const -> InlineValueContext
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineValueContext"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineValueContext value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineValueContext"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("frameId");
        if (iter_0 != object_0.end()) {
            value_0.frameId = anyToInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueContext attribute: frameId"
            );
        }

        iter_0 = object_0.find("stoppedLocation");
        if (iter_0 != object_0.end()) {
            value_0.stoppedLocation = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueContext attribute: stoppedLocation"
            );
        }

        return value_0;
    }

    auto LspTransformer::inlineValueContextToAny(
        const InlineValueContext &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "frameId",
            std::make_unique<LSPAny>(integerToAny(param.frameId))
        );

        object_0.emplace(
            "stoppedLocation",
            std::make_unique<LSPAny>(rangeToAny(param.stoppedLocation))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentItem(
        const LSPAny &any
    ) const -> TextDocumentItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentItem"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentItem attribute: uri"
            );
        }

        iter_0 = object_0.find("languageId");
        if (iter_0 != object_0.end()) {
            value_0.languageId = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentItem attribute: languageId"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentItem attribute: version"
            );
        }

        iter_0 = object_0.find("text");
        if (iter_0 != object_0.end()) {
            value_0.text = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentItem attribute: text"
            );
        }

        return value_0;
    }

    auto LspTransformer::textDocumentItemToAny(
        const TextDocumentItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "languageId",
            std::make_unique<LSPAny>(stringToAny(param.languageId))
        );

        object_0.emplace(
            "version",
            std::make_unique<LSPAny>(integerToAny(param.version))
        );

        object_0.emplace(
            "text",
            std::make_unique<LSPAny>(stringToAny(param.text))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::didOpenNotebookDocumentParams_cellTextDocumentsToAny(
        const DidOpenNotebookDocumentParams_cellTextDocuments &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToDidOpenNotebookDocumentParams_cellTextDocuments(
        const LSPAny &any
    ) const -> DidOpenNotebookDocumentParams_cellTextDocuments
    {
        const auto &array_0 = any.array();
        std::vector<TextDocumentItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextDocumentItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToDidOpenTextDocumentParams(
        const LSPAny &any
    ) const -> DidOpenTextDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidOpenTextDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidOpenTextDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidOpenTextDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument = anyToTextDocumentItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidOpenTextDocumentParams attribute: textDocument"
            );
        }

        return value_0;
    }

    auto LspTransformer::didOpenTextDocumentParamsToAny(
        const DidOpenTextDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentItemToAny(param.textDocument))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToVersionedNotebookDocumentIdentifier(
        const LSPAny &any
    ) const -> VersionedNotebookDocumentIdentifier
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "VersionedNotebookDocumentIdentifier"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        VersionedNotebookDocumentIdentifier value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "VersionedNotebookDocumentIdentifier"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required VersionedNotebookDocumentIdentifier attribute: version"
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToURI(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required VersionedNotebookDocumentIdentifier attribute: uri"
            );
        }

        return value_0;
    }

    auto LspTransformer::versionedNotebookDocumentIdentifierToAny(
        const VersionedNotebookDocumentIdentifier &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "version",
            std::make_unique<LSPAny>(integerToAny(param.version))
        );

        object_0.emplace("uri", std::make_unique<LSPAny>(uriToAny(param.uri)));

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::notebookDocumentChangeEvent_cells_structure_didOpenToAny(
        const NotebookDocumentChangeEvent_cells_structure_didOpen &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocumentChangeEvent_cells_structure_didOpen(
        const LSPAny &any
    ) const -> NotebookDocumentChangeEvent_cells_structure_didOpen
    {
        const auto &array_0 = any.array();
        std::vector<TextDocumentItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTextDocumentItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyTo_InitializeParams_processId(
        const LSPAny &any
    ) const -> _InitializeParams_processId
    {
        _InitializeParams_processId value_0;

        switch (any.type()) {
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "_InitializeParams_processId"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::_InitializeParams_processIdToAny(
        const _InitializeParams_processId &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case _InitializeParams_processIdType::Integer: {
            return integerToAny(value.integer());
        }
        case _InitializeParams_processIdType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported _InitializeParams_processIdType: " +
                 _InitializeParams_processIdTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToVersionedTextDocumentIdentifier(
        const LSPAny &any
    ) const -> VersionedTextDocumentIdentifier
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "VersionedTextDocumentIdentifier"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        VersionedTextDocumentIdentifier value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "VersionedTextDocumentIdentifier"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required VersionedTextDocumentIdentifier attribute: uri"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required VersionedTextDocumentIdentifier attribute: version"
            );
        }

        return value_0;
    }

    auto LspTransformer::versionedTextDocumentIdentifierToAny(
        const VersionedTextDocumentIdentifier &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "version",
            std::make_unique<LSPAny>(integerToAny(param.version))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDidChangeTextDocumentParams(
        const LSPAny &any
    ) const -> DidChangeTextDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidChangeTextDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidChangeTextDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidChangeTextDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToVersionedTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeTextDocumentParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("contentChanges");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextDocumentContentChangeEvent> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(
                    anyToTextDocumentContentChangeEvent(*elem_0)
                );
            }
            value_0.contentChanges = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeTextDocumentParams attribute: contentChanges"
            );
        }

        return value_0;
    }

    auto LspTransformer::didChangeTextDocumentParamsToAny(
        const DidChangeTextDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(versionedTextDocumentIdentifierToAny(param.textDocument))
        );

        LSPArray array_0;
        array_0.reserve(param.contentChanges.size());
        for (const auto &elem_0 : param.contentChanges) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentContentChangeEventToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("contentChanges", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToNotebookDocumentChangeEvent_cells_textContent_elem(
        const LSPAny &any
    ) const -> NotebookDocumentChangeEvent_cells_textContent_elem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentChangeEvent_cells_textContent_elem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentChangeEvent_cells_textContent_elem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentChangeEvent_cells_textContent_elem"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("document");
        if (iter_0 != object_0.end()) {
            value_0.document =
                anyToVersionedTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentChangeEvent_cells_textContent_elem attribute: document"
            );
        }

        iter_0 = object_0.find("changes");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextDocumentContentChangeEvent> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(
                    anyToTextDocumentContentChangeEvent(*elem_0)
                );
            }
            value_0.changes = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentChangeEvent_cells_textContent_elem attribute: changes"
            );
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentChangeEvent_cells_textContent_elemToAny(
        const NotebookDocumentChangeEvent_cells_textContent_elem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "document",
            std::make_unique<LSPAny>(versionedTextDocumentIdentifierToAny(param.document))
        );

        LSPArray array_0;
        array_0.reserve(param.changes.size());
        for (const auto &elem_0 : param.changes) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentContentChangeEventToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("changes", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::notebookDocumentChangeEvent_cells_textContentToAny(
        const NotebookDocumentChangeEvent_cells_textContent &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) =
                notebookDocumentChangeEvent_cells_textContent_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocumentChangeEvent_cells_textContent(
        const LSPAny &any
    ) const -> NotebookDocumentChangeEvent_cells_textContent
    {
        const auto &array_0 = any.array();
        std::vector<NotebookDocumentChangeEvent_cells_textContent_elem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(
                anyToNotebookDocumentChangeEvent_cells_textContent_elem(*elem_0)
            );
        }
        return values_0;
    }

    auto LspTransformer::anyToDiagnostic_code(
        const LSPAny &any
    ) const -> Diagnostic_code
    {
        Diagnostic_code value_0;

        switch (any.type()) {
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Diagnostic_code"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::diagnostic_codeToAny(
        const Diagnostic_code &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Diagnostic_codeType::Integer: {
            return integerToAny(value.integer());
        }
        case Diagnostic_codeType::String: {
            return stringToAny(value.string());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Diagnostic_codeType: " +
                 Diagnostic_codeTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToOptionalVersionedTextDocumentIdentifier_version(
        const LSPAny &any
    ) const -> OptionalVersionedTextDocumentIdentifier_version
    {
        OptionalVersionedTextDocumentIdentifier_version value_0;

        switch (any.type()) {
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for an "
                 "OptionalVersionedTextDocumentIdentifier_version"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::optionalVersionedTextDocumentIdentifier_versionToAny(
        const OptionalVersionedTextDocumentIdentifier_version &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case OptionalVersionedTextDocumentIdentifier_versionType::Integer: {
            return integerToAny(value.integer());
        }
        case OptionalVersionedTextDocumentIdentifier_versionType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported OptionalVersionedTextDocumentIdentifier_versionType: " +
                 OptionalVersionedTextDocumentIdentifier_versionTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToOptionalVersionedTextDocumentIdentifier(
        const LSPAny &any
    ) const -> OptionalVersionedTextDocumentIdentifier
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "OptionalVersionedTextDocumentIdentifier"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        OptionalVersionedTextDocumentIdentifier value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "OptionalVersionedTextDocumentIdentifier"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required OptionalVersionedTextDocumentIdentifier attribute: uri"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version =
                anyToOptionalVersionedTextDocumentIdentifier_version(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required OptionalVersionedTextDocumentIdentifier attribute: version"
            );
        }

        return value_0;
    }

    auto LspTransformer::optionalVersionedTextDocumentIdentifierToAny(
        const OptionalVersionedTextDocumentIdentifier &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "version",
            std::make_unique<LSPAny>(optionalVersionedTextDocumentIdentifier_versionToAny(param.version))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTextDocumentEdit(
        const LSPAny &any
    ) const -> TextDocumentEdit
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentEdit"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentEdit value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentEdit"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToOptionalVersionedTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentEdit attribute: textDocument"
            );
        }

        iter_0 = object_0.find("edits");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextDocumentEdit_edits_elem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToTextDocumentEdit_edits_elem(*elem_0));
            }
            value_0.edits = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TextDocumentEdit attribute: edits"
            );
        }

        return value_0;
    }

    auto LspTransformer::textDocumentEditToAny(
        const TextDocumentEdit &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(optionalVersionedTextDocumentIdentifierToAny(param.textDocument))
        );

        LSPArray array_0;
        array_0.reserve(param.edits.size());
        for (const auto &elem_0 : param.edits) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentEdit_edits_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("edits", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToWorkspaceEdit_documentChanges_elem(
        const LSPAny &any
    ) const -> WorkspaceEdit_documentChanges_elem
    {
        WorkspaceEdit_documentChanges_elem value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToTextDocumentEdit(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToCreateFile(any);
                } catch (LspException &/*e*/) {
                    try {
                        value_0 = anyToRenameFile(any);
                    } catch (LspException &/*e*/) {
                        try {
                            value_0 = anyToDeleteFile(any);
                        } catch (LspException &/*e*/) {
                            throw LSP_EXCEPTION(
                                ErrorCodes::InvalidParams,
                                "Failed to transform LSPAny to WorkspaceEdit_documentChanges_elem"
                            );
                        }
                    }
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "WorkspaceEdit_documentChanges_elem"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspaceEdit_documentChanges_elemToAny(
        const WorkspaceEdit_documentChanges_elem &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case WorkspaceEdit_documentChanges_elemType::TextDocumentEdit: {
            return textDocumentEditToAny(value.textDocumentEdit());
        }
        case WorkspaceEdit_documentChanges_elemType::CreateFile: {
            return createFileToAny(value.createFile());
        }
        case WorkspaceEdit_documentChanges_elemType::RenameFile: {
            return renameFileToAny(value.renameFile());
        }
        case WorkspaceEdit_documentChanges_elemType::DeleteFile: {
            return deleteFileToAny(value.deleteFile());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported WorkspaceEdit_documentChanges_elemType: " +
                 WorkspaceEdit_documentChanges_elemTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceEdit(
        const LSPAny &any
    ) const -> WorkspaceEdit
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceEdit"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceEdit value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceEdit"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("changes");
        if (iter_0 != object_0.end()) {
            std::map<DocumentUri, std::vector<TextEdit>> map_0;
            for (const auto &[key_0, value_1] : iter_0->second->object()) {
                std::vector<TextEdit> array_0;
                for (const auto &elem_0 : value_1->array()) {
                    array_0.push_back(anyToTextEdit(*elem_0));
                }
                map_0.emplace(key_0, std::move(array_0));
            }
            value_0.changes = std::move(map_0);
        }

        iter_0 = object_0.find("documentChanges");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<WorkspaceEdit_documentChanges_elem> values_0;
            for (const auto &elem_1 : array_1) {
                values_0.push_back(
                    anyToWorkspaceEdit_documentChanges_elem(*elem_1)
                );
            }
            value_0.documentChanges = std::move(values_0);
        }

        iter_0 = object_0.find("changeAnnotations");
        if (iter_0 != object_0.end()) {
            std::map<string_t, ChangeAnnotation> map_1;
            for (const auto &[key_1, value_2] : iter_0->second->object()) {
                map_1.emplace(key_1, anyToChangeAnnotation(*value_2));
            }
            value_0.changeAnnotations = std::move(map_1);
        }

        return value_0;
    }

    auto LspTransformer::workspaceEditToAny(
        const WorkspaceEdit &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.changes.has_value()) {
            const auto &changes_0 = param.changes.value();
            LSPObject map_0;
            for (const auto &[key_0, value_0] : changes_0) {
                LSPArray array_0;
                for (const auto &elem_0 : value_0) {
                    auto any_0 = std::make_unique<LSPAny>();
                    (*any_0) = textEditToAny(elem_0);
                    array_0.push_back(std::move(any_0));
                }
                auto any_1 = std::make_unique<LSPAny>();
                (*any_1) = array_0;
                map_0.emplace(key_0, std::move(any_1));
            }
            auto any_2 = std::make_unique<LSPAny>();
            (*any_2) = std::move(map_0);
            object_0.emplace("changes", std::move(any_2));
        }

        if (param.documentChanges.has_value()) {
            const auto &documentChanges_0 = param.documentChanges.value();
            LSPArray array_1;
            array_1.reserve(documentChanges_0.size());
            for (const auto &elem_1 : documentChanges_0) {
                auto any_3 = std::make_unique<LSPAny>();
                (*any_3) = workspaceEdit_documentChanges_elemToAny(elem_1);
                array_1.push_back(std::move(any_3));
            }
            auto any_4 = std::make_unique<LSPAny>();
            (*any_4) = std::move(array_1);
            object_0.emplace("documentChanges", std::move(any_4));
        }

        if (param.changeAnnotations.has_value()) {
            const auto &changeAnnotations_0 = param.changeAnnotations.value();
            LSPObject map_1;
            for (const auto &[key_1, value_1] : changeAnnotations_0) {
                auto any_5 = std::make_unique<LSPAny>();
                (*any_5) = changeAnnotationToAny(value_1);
                map_1.emplace(key_1, std::move(any_5));
            }
            auto any_6 = std::make_unique<LSPAny>();
            (*any_6) = std::move(map_1);
            object_0.emplace("changeAnnotations", std::move(any_6));
        }

        LSPAny any_7;
        any_7 = std::move(object_0);
        return any_7;
    }

    auto LspTransformer::workspaceEdit_documentChangesToAny(
        const WorkspaceEdit_documentChanges &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceEdit_documentChanges_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceEdit_documentChanges(
        const LSPAny &any
    ) const -> WorkspaceEdit_documentChanges
    {
        const auto &array_0 = any.array();
        std::vector<WorkspaceEdit_documentChanges_elem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(
                anyToWorkspaceEdit_documentChanges_elem(*elem_0)
            );
        }
        return values_0;
    }

    auto LspTransformer::anyToApplyWorkspaceEditParams(
        const LSPAny &any
    ) const -> ApplyWorkspaceEditParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ApplyWorkspaceEditParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ApplyWorkspaceEditParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ApplyWorkspaceEditParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            value_0.label = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("edit");
        if (iter_0 != object_0.end()) {
            value_0.edit = anyToWorkspaceEdit(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ApplyWorkspaceEditParams attribute: edit"
            );
        }

        return value_0;
    }

    auto LspTransformer::applyWorkspaceEditParamsToAny(
        const ApplyWorkspaceEditParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.label.has_value()) {
            const auto &label_0 = param.label.value();
            object_0.emplace(
                "label",
                std::make_unique<LSPAny>(stringToAny(label_0))
            );
        }

        object_0.emplace(
            "edit",
            std::make_unique<LSPAny>(workspaceEditToAny(param.edit))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceFullDocumentDiagnosticReport_version(
        const LSPAny &any
    ) const -> WorkspaceFullDocumentDiagnosticReport_version
    {
        WorkspaceFullDocumentDiagnosticReport_version value_0;

        switch (any.type()) {
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "WorkspaceFullDocumentDiagnosticReport_version"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspaceFullDocumentDiagnosticReport_versionToAny(
        const WorkspaceFullDocumentDiagnosticReport_version &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case WorkspaceFullDocumentDiagnosticReport_versionType::Integer: {
            return integerToAny(value.integer());
        }
        case WorkspaceFullDocumentDiagnosticReport_versionType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported WorkspaceFullDocumentDiagnosticReport_versionType: " +
                 WorkspaceFullDocumentDiagnosticReport_versionTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceUnchangedDocumentDiagnosticReport_version(
        const LSPAny &any
    ) const -> WorkspaceUnchangedDocumentDiagnosticReport_version
    {
        WorkspaceUnchangedDocumentDiagnosticReport_version value_0;

        switch (any.type()) {
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "WorkspaceUnchangedDocumentDiagnosticReport_version"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspaceUnchangedDocumentDiagnosticReport_versionToAny(
        const WorkspaceUnchangedDocumentDiagnosticReport_version &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Integer: {
            return integerToAny(value.integer());
        }
        case WorkspaceUnchangedDocumentDiagnosticReport_versionType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported WorkspaceUnchangedDocumentDiagnosticReport_versionType: " +
                 WorkspaceUnchangedDocumentDiagnosticReport_versionTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceUnchangedDocumentDiagnosticReport(
        const LSPAny &any
    ) const -> WorkspaceUnchangedDocumentDiagnosticReport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceUnchangedDocumentDiagnosticReport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceUnchangedDocumentDiagnosticReport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceUnchangedDocumentDiagnosticReport"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "unchanged") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "WorkspaceUnchangedDocumentDiagnosticReport.kind"
                     " must be \"unchanged\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceUnchangedDocumentDiagnosticReport attribute: kind"
            );
        }

        iter_0 = object_0.find("resultId");
        if (iter_0 != object_0.end()) {
            value_0.resultId = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceUnchangedDocumentDiagnosticReport attribute: resultId"
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceUnchangedDocumentDiagnosticReport attribute: uri"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version =
                anyToWorkspaceUnchangedDocumentDiagnosticReport_version(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceUnchangedDocumentDiagnosticReport attribute: version"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceUnchangedDocumentDiagnosticReportToAny(
        const WorkspaceUnchangedDocumentDiagnosticReport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        object_0.emplace(
            "resultId",
            std::make_unique<LSPAny>(stringToAny(param.resultId))
        );

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "version",
            std::make_unique<LSPAny>(workspaceUnchangedDocumentDiagnosticReport_versionToAny(param.version))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentResult(
        const LSPAny &any
    ) const -> DocumentResult
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentResult"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentResult value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentResult"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentResult attribute: uri"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentResult attribute: version"
            );
        }

        iter_0 = object_0.find("text");
        if (iter_0 != object_0.end()) {
            value_0.text = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentResult attribute: text"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentResultToAny(
        const DocumentResult &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(stringToAny(param.uri))
        );

        object_0.emplace(
            "version",
            std::make_unique<LSPAny>(integerToAny(param.version))
        );

        object_0.emplace(
            "text",
            std::make_unique<LSPAny>(stringToAny(param.text))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToProgressToken(
        const LSPAny &any
    ) const -> ProgressToken
    {
        ProgressToken value_0;

        switch (any.type()) {
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ProgressToken"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::progressTokenToAny(
        const ProgressToken &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ProgressTokenType::Integer: {
            return integerToAny(value.integer());
        }
        case ProgressTokenType::String: {
            return stringToAny(value.string());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ProgressTokenType: " +
                 ProgressTokenTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkDoneProgressCreateParams(
        const LSPAny &any
    ) const -> WorkDoneProgressCreateParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkDoneProgressCreateParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkDoneProgressCreateParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkDoneProgressCreateParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("token");
        if (iter_0 != object_0.end()) {
            value_0.token = anyToProgressToken(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkDoneProgressCreateParams attribute: token"
            );
        }

        return value_0;
    }

    auto LspTransformer::workDoneProgressCreateParamsToAny(
        const WorkDoneProgressCreateParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "token",
            std::make_unique<LSPAny>(progressTokenToAny(param.token))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkDoneProgressCancelParams(
        const LSPAny &any
    ) const -> WorkDoneProgressCancelParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkDoneProgressCancelParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkDoneProgressCancelParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkDoneProgressCancelParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("token");
        if (iter_0 != object_0.end()) {
            value_0.token = anyToProgressToken(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkDoneProgressCancelParams attribute: token"
            );
        }

        return value_0;
    }

    auto LspTransformer::workDoneProgressCancelParamsToAny(
        const WorkDoneProgressCancelParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "token",
            std::make_unique<LSPAny>(progressTokenToAny(param.token))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkDoneProgressParams(
        const LSPAny &any
    ) const -> WorkDoneProgressParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkDoneProgressParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkDoneProgressParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkDoneProgressParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workDoneProgressParamsToAny(
        const WorkDoneProgressParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCallHierarchyPrepareParams(
        const LSPAny &any
    ) const -> CallHierarchyPrepareParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CallHierarchyPrepareParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CallHierarchyPrepareParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CallHierarchyPrepareParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyPrepareParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyPrepareParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::callHierarchyPrepareParamsToAny(
        const CallHierarchyPrepareParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToLinkedEditingRangeParams(
        const LSPAny &any
    ) const -> LinkedEditingRangeParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "LinkedEditingRangeParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        LinkedEditingRangeParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "LinkedEditingRangeParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LinkedEditingRangeParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LinkedEditingRangeParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::linkedEditingRangeParamsToAny(
        const LinkedEditingRangeParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTypeHierarchyPrepareParams(
        const LSPAny &any
    ) const -> TypeHierarchyPrepareParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeHierarchyPrepareParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeHierarchyPrepareParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeHierarchyPrepareParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyPrepareParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyPrepareParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::typeHierarchyPrepareParamsToAny(
        const TypeHierarchyPrepareParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineValueParams(
        const LSPAny &any
    ) const -> InlineValueParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineValueParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineValueParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineValueParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueParams attribute: range"
            );
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            value_0.context = anyToInlineValueContext(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueParams attribute: context"
            );
        }

        return value_0;
    }

    auto LspTransformer::inlineValueParamsToAny(
        const InlineValueParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "context",
            std::make_unique<LSPAny>(inlineValueContextToAny(param.context))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlayHintParams(
        const LSPAny &any
    ) const -> InlayHintParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlayHintParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlayHintParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlayHintParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHintParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHintParams attribute: range"
            );
        }

        return value_0;
    }

    auto LspTransformer::inlayHintParamsToAny(
        const InlayHintParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineCompletionParams(
        const LSPAny &any
    ) const -> InlineCompletionParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineCompletionParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineCompletionParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineCompletionParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            value_0.context = anyToInlineCompletionContext(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionParams attribute: context"
            );
        }

        return value_0;
    }

    auto LspTransformer::inlineCompletionParamsToAny(
        const InlineCompletionParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "context",
            std::make_unique<LSPAny>(inlineCompletionContextToAny(param.context))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToHoverParams(
        const LSPAny &any
    ) const -> HoverParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "HoverParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        HoverParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "HoverParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required HoverParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required HoverParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::hoverParamsToAny(
        const HoverParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSignatureHelpParams(
        const LSPAny &any
    ) const -> SignatureHelpParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SignatureHelpParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SignatureHelpParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SignatureHelpParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SignatureHelpParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SignatureHelpParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            value_0.context = anyToSignatureHelpContext(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::signatureHelpParamsToAny(
        const SignatureHelpParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        if (param.context.has_value()) {
            const auto &context_0 = param.context.value();
            object_0.emplace(
                "context",
                std::make_unique<LSPAny>(signatureHelpContextToAny(context_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentFormattingParams(
        const LSPAny &any
    ) const -> DocumentFormattingParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentFormattingParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentFormattingParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentFormattingParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentFormattingParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            value_0.options = anyToFormattingOptions(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentFormattingParams attribute: options"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentFormattingParamsToAny(
        const DocumentFormattingParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "options",
            std::make_unique<LSPAny>(formattingOptionsToAny(param.options))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentRangeFormattingParams(
        const LSPAny &any
    ) const -> DocumentRangeFormattingParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentRangeFormattingParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentRangeFormattingParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentRangeFormattingParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangeFormattingParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangeFormattingParams attribute: range"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            value_0.options = anyToFormattingOptions(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangeFormattingParams attribute: options"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentRangeFormattingParamsToAny(
        const DocumentRangeFormattingParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "options",
            std::make_unique<LSPAny>(formattingOptionsToAny(param.options))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentRangesFormattingParams(
        const LSPAny &any
    ) const -> DocumentRangesFormattingParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentRangesFormattingParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentRangesFormattingParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentRangesFormattingParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangesFormattingParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("ranges");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Range> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToRange(*elem_0));
            }
            value_0.ranges = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangesFormattingParams attribute: ranges"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            value_0.options = anyToFormattingOptions(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangesFormattingParams attribute: options"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentRangesFormattingParamsToAny(
        const DocumentRangesFormattingParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        LSPArray array_0;
        array_0.reserve(param.ranges.size());
        for (const auto &elem_0 : param.ranges) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = rangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("ranges", std::move(any_1));

        object_0.emplace(
            "options",
            std::make_unique<LSPAny>(formattingOptionsToAny(param.options))
        );

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToRenameParams(
        const LSPAny &any
    ) const -> RenameParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RenameParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RenameParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RenameParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameParams attribute: position"
            );
        }

        iter_0 = object_0.find("newName");
        if (iter_0 != object_0.end()) {
            value_0.newName = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameParams attribute: newName"
            );
        }

        return value_0;
    }

    auto LspTransformer::renameParamsToAny(
        const RenameParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        object_0.emplace(
            "newName",
            std::make_unique<LSPAny>(stringToAny(param.newName))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToPrepareRenameParams(
        const LSPAny &any
    ) const -> PrepareRenameParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "PrepareRenameParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        PrepareRenameParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "PrepareRenameParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PrepareRenameParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PrepareRenameParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::prepareRenameParamsToAny(
        const PrepareRenameParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToPartialResultParams(
        const LSPAny &any
    ) const -> PartialResultParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "PartialResultParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        PartialResultParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "PartialResultParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::partialResultParamsToAny(
        const PartialResultParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToImplementationParams(
        const LSPAny &any
    ) const -> ImplementationParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ImplementationParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ImplementationParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ImplementationParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ImplementationParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ImplementationParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::implementationParamsToAny(
        const ImplementationParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTypeDefinitionParams(
        const LSPAny &any
    ) const -> TypeDefinitionParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeDefinitionParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeDefinitionParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeDefinitionParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeDefinitionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeDefinitionParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::typeDefinitionParamsToAny(
        const TypeDefinitionParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentColorParams(
        const LSPAny &any
    ) const -> DocumentColorParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentColorParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentColorParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentColorParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentColorParams attribute: textDocument"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentColorParamsToAny(
        const DocumentColorParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToFoldingRangeParams(
        const LSPAny &any
    ) const -> FoldingRangeParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FoldingRangeParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FoldingRangeParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FoldingRangeParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FoldingRangeParams attribute: textDocument"
            );
        }

        return value_0;
    }

    auto LspTransformer::foldingRangeParamsToAny(
        const FoldingRangeParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDeclarationParams(
        const LSPAny &any
    ) const -> DeclarationParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DeclarationParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DeclarationParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DeclarationParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeclarationParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeclarationParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::declarationParamsToAny(
        const DeclarationParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSelectionRangeParams(
        const LSPAny &any
    ) const -> SelectionRangeParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SelectionRangeParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SelectionRangeParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SelectionRangeParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SelectionRangeParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("positions");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Position> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToPosition(*elem_0));
            }
            value_0.positions = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SelectionRangeParams attribute: positions"
            );
        }

        return value_0;
    }

    auto LspTransformer::selectionRangeParamsToAny(
        const SelectionRangeParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        LSPArray array_0;
        array_0.reserve(param.positions.size());
        for (const auto &elem_0 : param.positions) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = positionToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("positions", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToSemanticTokensParams(
        const LSPAny &any
    ) const -> SemanticTokensParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensParams attribute: textDocument"
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensParamsToAny(
        const SemanticTokensParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensDeltaParams(
        const LSPAny &any
    ) const -> SemanticTokensDeltaParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensDeltaParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensDeltaParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensDeltaParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensDeltaParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("previousResultId");
        if (iter_0 != object_0.end()) {
            value_0.previousResultId = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensDeltaParams attribute: previousResultId"
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensDeltaParamsToAny(
        const SemanticTokensDeltaParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "previousResultId",
            std::make_unique<LSPAny>(stringToAny(param.previousResultId))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensRangeParams(
        const LSPAny &any
    ) const -> SemanticTokensRangeParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensRangeParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensRangeParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensRangeParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensRangeParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensRangeParams attribute: range"
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensRangeParamsToAny(
        const SemanticTokensRangeParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToMonikerParams(
        const LSPAny &any
    ) const -> MonikerParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "MonikerParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        MonikerParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "MonikerParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MonikerParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MonikerParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::monikerParamsToAny(
        const MonikerParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentDiagnosticParams(
        const LSPAny &any
    ) const -> DocumentDiagnosticParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentDiagnosticParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentDiagnosticParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 7) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentDiagnosticParams"
                 ": " + std::to_string(object_0.size()) + " > 7")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentDiagnosticParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("identifier");
        if (iter_0 != object_0.end()) {
            value_0.identifier = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("previousResultId");
        if (iter_0 != object_0.end()) {
            value_0.previousResultId = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentDiagnosticParamsToAny(
        const DocumentDiagnosticParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        if (param.identifier.has_value()) {
            const auto &identifier_0 = param.identifier.value();
            object_0.emplace(
                "identifier",
                std::make_unique<LSPAny>(stringToAny(identifier_0))
            );
        }

        if (param.previousResultId.has_value()) {
            const auto &previousResultId_0 = param.previousResultId.value();
            object_0.emplace(
                "previousResultId",
                std::make_unique<LSPAny>(stringToAny(previousResultId_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceDiagnosticParams(
        const LSPAny &any
    ) const -> WorkspaceDiagnosticParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceDiagnosticParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceDiagnosticParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceDiagnosticParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("identifier");
        if (iter_0 != object_0.end()) {
            value_0.identifier = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("previousResultIds");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<PreviousResultId> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToPreviousResultId(*elem_0));
            }
            value_0.previousResultIds = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceDiagnosticParams attribute: previousResultIds"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceDiagnosticParamsToAny(
        const WorkspaceDiagnosticParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        if (param.identifier.has_value()) {
            const auto &identifier_0 = param.identifier.value();
            object_0.emplace(
                "identifier",
                std::make_unique<LSPAny>(stringToAny(identifier_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.previousResultIds.size());
        for (const auto &elem_0 : param.previousResultIds) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = previousResultIdToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("previousResultIds", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCompletionParams(
        const LSPAny &any
    ) const -> CompletionParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 7) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionParams"
                 ": " + std::to_string(object_0.size()) + " > 7")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            value_0.context = anyToCompletionContext(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionParamsToAny(
        const CompletionParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        if (param.context.has_value()) {
            const auto &context_0 = param.context.value();
            object_0.emplace(
                "context",
                std::make_unique<LSPAny>(completionContextToAny(context_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDefinitionParams(
        const LSPAny &any
    ) const -> DefinitionParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DefinitionParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DefinitionParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DefinitionParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DefinitionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DefinitionParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::definitionParamsToAny(
        const DefinitionParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToReferenceParams(
        const LSPAny &any
    ) const -> ReferenceParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ReferenceParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ReferenceParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 7) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ReferenceParams"
                 ": " + std::to_string(object_0.size()) + " > 7")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ReferenceParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ReferenceParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            value_0.context = anyToReferenceContext(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ReferenceParams attribute: context"
            );
        }

        return value_0;
    }

    auto LspTransformer::referenceParamsToAny(
        const ReferenceParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "context",
            std::make_unique<LSPAny>(referenceContextToAny(param.context))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentHighlightParams(
        const LSPAny &any
    ) const -> DocumentHighlightParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentHighlightParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentHighlightParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentHighlightParams"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentHighlightParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentHighlightParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentHighlightParamsToAny(
        const DocumentHighlightParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentSymbolParams(
        const LSPAny &any
    ) const -> DocumentSymbolParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentSymbolParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentSymbolParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentSymbolParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentSymbolParams attribute: textDocument"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentSymbolParamsToAny(
        const DocumentSymbolParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToWorkspaceSymbolParams(
        const LSPAny &any
    ) const -> WorkspaceSymbolParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceSymbolParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceSymbolParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceSymbolParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("query");
        if (iter_0 != object_0.end()) {
            value_0.query = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbolParams attribute: query"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbolParamsToAny(
        const WorkspaceSymbolParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "query",
            std::make_unique<LSPAny>(stringToAny(param.query))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCodeLensParams(
        const LSPAny &any
    ) const -> CodeLensParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeLensParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeLensParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeLensParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeLensParams attribute: textDocument"
            );
        }

        return value_0;
    }

    auto LspTransformer::codeLensParamsToAny(
        const CodeLensParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentLinkParams(
        const LSPAny &any
    ) const -> DocumentLinkParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentLinkParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentLinkParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentLinkParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentLinkParams attribute: textDocument"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentLinkParamsToAny(
        const DocumentLinkParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToRequestId(const LSPAny &any) const -> RequestId
    {
        RequestId value_0;

        switch (any.type()) {
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "RequestId"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::requestIdToAny(const RequestId &value) const -> LSPAny
    {
        switch (value.type()) {
        case RequestIdType::Integer: {
            return integerToAny(value.integer());
        }
        case RequestIdType::String: {
            return stringToAny(value.string());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported RequestIdType: " +
                 RequestIdTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToResponseId(const LSPAny &any) const -> ResponseId
    {
        ResponseId value_0;

        switch (any.type()) {
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ResponseId"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::responseIdToAny(
        const ResponseId &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ResponseIdType::Integer: {
            return integerToAny(value.integer());
        }
        case ResponseIdType::String: {
            return stringToAny(value.string());
        }
        case ResponseIdType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ResponseIdType: " +
                 ResponseIdTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_ImplementationParams(
        const MessageParams &requestParams
    ) const -> ImplementationParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/implementation\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        ImplementationParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ImplementationParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ImplementationParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_TypeDefinitionParams(
        const MessageParams &requestParams
    ) const -> TypeDefinitionParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/typeDefinition\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        TypeDefinitionParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeDefinitionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeDefinitionParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_FoldingRangeParams(
        const MessageParams &requestParams
    ) const -> FoldingRangeParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/foldingRange\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        FoldingRangeParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FoldingRangeParams attribute: textDocument"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_DeclarationParams(
        const MessageParams &requestParams
    ) const -> DeclarationParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/declaration\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DeclarationParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeclarationParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeclarationParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_SelectionRangeParams(
        const MessageParams &requestParams
    ) const -> SelectionRangeParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/selectionRange\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        SelectionRangeParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SelectionRangeParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("positions");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Position> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToPosition(*elem_0));
            }
            params_0.positions = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SelectionRangeParams attribute: positions"
            );
        }

        return params_0;
    }

    auto LspTransformer::asMessageParams(
        const WorkDoneProgressCreateParams &requestParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = progressTokenToAny(requestParams.token);
        object_0.emplace("token", std::move(any_0));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::asTextDocument_SemanticTokens_FullParams(
        const MessageParams &requestParams
    ) const -> SemanticTokensParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/semanticTokens/full\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        SemanticTokensParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensParams attribute: textDocument"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_SemanticTokens_Full_DeltaParams(
        const MessageParams &requestParams
    ) const -> SemanticTokensDeltaParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/semanticTokens/full/delta\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        SemanticTokensDeltaParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensDeltaParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("previousResultId");
        if (iter_0 != object_0.end()) {
            params_0.previousResultId = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensDeltaParams attribute: previousResultId"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_SemanticTokens_RangeParams(
        const MessageParams &requestParams
    ) const -> SemanticTokensRangeParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/semanticTokens/range\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        SemanticTokensRangeParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensRangeParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            params_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensRangeParams attribute: range"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_LinkedEditingRangeParams(
        const MessageParams &requestParams
    ) const -> LinkedEditingRangeParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/linkedEditingRange\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        LinkedEditingRangeParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LinkedEditingRangeParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required LinkedEditingRangeParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::anyToWorkspace_WillCreateFilesResult(
        const LSPAny &any
    ) const -> Workspace_WillCreateFilesResult
    {
        Workspace_WillCreateFilesResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToWorkspaceEdit(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Workspace_WillCreateFilesResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Workspace_WillCreateFilesResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspace_WillCreateFilesResultToAny(
        const Workspace_WillCreateFilesResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Workspace_WillCreateFilesResultType::WorkspaceEdit: {
            return workspaceEditToAny(value.workspaceEdit());
        }
        case Workspace_WillCreateFilesResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Workspace_WillCreateFilesResultType: " +
                 Workspace_WillCreateFilesResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asWorkspace_WillCreateFilesParams(
        const MessageParams &requestParams
    ) const -> CreateFilesParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/willCreateFiles\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CreateFilesParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("files");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileCreate> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileCreate(*elem_0));
            }
            params_0.files = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CreateFilesParams attribute: files"
            );
        }

        return params_0;
    }

    auto LspTransformer::anyToWorkspace_WillRenameFilesResult(
        const LSPAny &any
    ) const -> Workspace_WillRenameFilesResult
    {
        Workspace_WillRenameFilesResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToWorkspaceEdit(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Workspace_WillRenameFilesResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Workspace_WillRenameFilesResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspace_WillRenameFilesResultToAny(
        const Workspace_WillRenameFilesResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Workspace_WillRenameFilesResultType::WorkspaceEdit: {
            return workspaceEditToAny(value.workspaceEdit());
        }
        case Workspace_WillRenameFilesResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Workspace_WillRenameFilesResultType: " +
                 Workspace_WillRenameFilesResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asWorkspace_WillRenameFilesParams(
        const MessageParams &requestParams
    ) const -> RenameFilesParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/willRenameFiles\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        RenameFilesParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("files");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileRename> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileRename(*elem_0));
            }
            params_0.files = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameFilesParams attribute: files"
            );
        }

        return params_0;
    }

    auto LspTransformer::anyToWorkspace_WillDeleteFilesResult(
        const LSPAny &any
    ) const -> Workspace_WillDeleteFilesResult
    {
        Workspace_WillDeleteFilesResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToWorkspaceEdit(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Workspace_WillDeleteFilesResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Workspace_WillDeleteFilesResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspace_WillDeleteFilesResultToAny(
        const Workspace_WillDeleteFilesResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Workspace_WillDeleteFilesResultType::WorkspaceEdit: {
            return workspaceEditToAny(value.workspaceEdit());
        }
        case Workspace_WillDeleteFilesResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Workspace_WillDeleteFilesResultType: " +
                 Workspace_WillDeleteFilesResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asWorkspace_WillDeleteFilesParams(
        const MessageParams &requestParams
    ) const -> DeleteFilesParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/willDeleteFiles\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DeleteFilesParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("files");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<FileDelete> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToFileDelete(*elem_0));
            }
            params_0.files = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DeleteFilesParams attribute: files"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_MonikerParams(
        const MessageParams &requestParams
    ) const -> MonikerParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/moniker\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        MonikerParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MonikerParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required MonikerParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_InlineValueParams(
        const MessageParams &requestParams
    ) const -> InlineValueParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/inlineValue\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        InlineValueParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            params_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueParams attribute: range"
            );
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            params_0.context = anyToInlineValueContext(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineValueParams attribute: context"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_HoverParams(
        const MessageParams &requestParams
    ) const -> HoverParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/hover\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        HoverParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required HoverParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required HoverParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_SignatureHelpParams(
        const MessageParams &requestParams
    ) const -> SignatureHelpParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/signatureHelp\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        SignatureHelpParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SignatureHelpParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SignatureHelpParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            params_0.context = anyToSignatureHelpContext(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_DefinitionParams(
        const MessageParams &requestParams
    ) const -> DefinitionParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/definition\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DefinitionParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DefinitionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DefinitionParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_ReferencesParams(
        const MessageParams &requestParams
    ) const -> ReferenceParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/references\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        ReferenceParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ReferenceParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ReferenceParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            params_0.context = anyToReferenceContext(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ReferenceParams attribute: context"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_DocumentHighlightParams(
        const MessageParams &requestParams
    ) const -> DocumentHighlightParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/documentHighlight\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentHighlightParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentHighlightParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentHighlightParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_DocumentSymbolParams(
        const MessageParams &requestParams
    ) const -> DocumentSymbolParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/documentSymbol\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentSymbolParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentSymbolParams attribute: textDocument"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_FormattingParams(
        const MessageParams &requestParams
    ) const -> DocumentFormattingParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/formatting\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentFormattingParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentFormattingParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            params_0.options = anyToFormattingOptions(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentFormattingParams attribute: options"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_RangeFormattingParams(
        const MessageParams &requestParams
    ) const -> DocumentRangeFormattingParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/rangeFormatting\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentRangeFormattingParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangeFormattingParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            params_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangeFormattingParams attribute: range"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            params_0.options = anyToFormattingOptions(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangeFormattingParams attribute: options"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_RangesFormattingParams(
        const MessageParams &requestParams
    ) const -> DocumentRangesFormattingParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/rangesFormatting\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentRangesFormattingParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangesFormattingParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("ranges");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Range> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToRange(*elem_0));
            }
            params_0.ranges = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangesFormattingParams attribute: ranges"
            );
        }

        iter_0 = object_0.find("options");
        if (iter_0 != object_0.end()) {
            params_0.options = anyToFormattingOptions(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentRangesFormattingParams attribute: options"
            );
        }

        return params_0;
    }

    auto LspTransformer::anyToTextDocument_RenameResult(
        const LSPAny &any
    ) const -> TextDocument_RenameResult
    {
        TextDocument_RenameResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToWorkspaceEdit(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_RenameResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_RenameResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_RenameResultToAny(
        const TextDocument_RenameResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_RenameResultType::WorkspaceEdit: {
            return workspaceEditToAny(value.workspaceEdit());
        }
        case TextDocument_RenameResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_RenameResultType: " +
                 TextDocument_RenameResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_RenameParams(
        const MessageParams &requestParams
    ) const -> RenameParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/rename\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        RenameParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameParams attribute: position"
            );
        }

        iter_0 = object_0.find("newName");
        if (iter_0 != object_0.end()) {
            params_0.newName = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RenameParams attribute: newName"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_PrepareRenameParams(
        const MessageParams &requestParams
    ) const -> PrepareRenameParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/prepareRename\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        PrepareRenameParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PrepareRenameParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PrepareRenameParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::asMessageParams(
        const ApplyWorkspaceEditParams &requestParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        if (requestParams.label.has_value()) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(requestParams.label.value());
            object_0.emplace("label", std::move(any_0));
        }

        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = workspaceEditToAny(requestParams.edit);
        object_0.emplace("edit", std::move(any_1));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::asDocumentParams(
        const MessageParams &requestParams
    ) const -> DocumentParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"$/document\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            params_0.uri = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentParams attribute: uri"
            );
        }

        return params_0;
    }

    auto LspTransformer::asWindow_WorkDoneProgress_CancelParams(
        const MessageParams &notificationParams
    ) const -> WorkDoneProgressCancelParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"window/workDoneProgress/cancel\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        WorkDoneProgressCancelParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("token");
        if (iter_0 != object_0.end()) {
            params_0.token = anyToProgressToken(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkDoneProgressCancelParams attribute: token"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_DidOpenParams(
        const MessageParams &notificationParams
    ) const -> DidOpenTextDocumentParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/didOpen\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidOpenTextDocumentParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument = anyToTextDocumentItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidOpenTextDocumentParams attribute: textDocument"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_DidChangeParams(
        const MessageParams &notificationParams
    ) const -> DidChangeTextDocumentParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/didChange\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidChangeTextDocumentParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToVersionedTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeTextDocumentParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("contentChanges");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextDocumentContentChangeEvent> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(
                    anyToTextDocumentContentChangeEvent(*elem_0)
                );
            }
            params_0.contentChanges = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeTextDocumentParams attribute: contentChanges"
            );
        }

        return params_0;
    }

    auto LspTransformer::asCancelRequestParams(
        const MessageParams &notificationParams
    ) const -> CancelParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"$/cancelRequest\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        CancelParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            params_0.id = anyToCancelParams_id(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CancelParams attribute: id"
            );
        }

        return params_0;
    }

    auto LspTransformer::asMessageParams(
        const CancelParams &notificationParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = cancelParams_idToAny(notificationParams.id);
        object_0.emplace("id", std::move(any_0));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::decimalToAny(decimal_t param) const -> LSPAny
    {
        LSPAny any_0;
        any_0 = param;
        return any_0;
    }

    auto LspTransformer::anyToDecimal(const LSPAny &any) const -> decimal_t
    {
        switch (any.type()) {
        case LSPAnyType::Decimal: {
            return any.decimal();
        }
        case LSPAnyType::Integer: {
            return static_cast<decimal_t>(any.integer());
        }
        case LSPAnyType::UInteger: {
            return static_cast<decimal_t>(any.uinteger());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Cannot transform LSPAny of type LSPAnyType::" +
                 LSPAnyTypeNames.at(any.type()) +
                 " to type decimal_t")
            );
        }
        }
    }

    auto LspTransformer::anyToColor(const LSPAny &any) const -> Color
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Color"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Color value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Color"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("red");
        if (iter_0 != object_0.end()) {
            value_0.red = anyToDecimal(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Color attribute: red"
            );
        }

        iter_0 = object_0.find("green");
        if (iter_0 != object_0.end()) {
            value_0.green = anyToDecimal(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Color attribute: green"
            );
        }

        iter_0 = object_0.find("blue");
        if (iter_0 != object_0.end()) {
            value_0.blue = anyToDecimal(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Color attribute: blue"
            );
        }

        iter_0 = object_0.find("alpha");
        if (iter_0 != object_0.end()) {
            value_0.alpha = anyToDecimal(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Color attribute: alpha"
            );
        }

        return value_0;
    }

    auto LspTransformer::colorToAny(const Color &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "red",
            std::make_unique<LSPAny>(decimalToAny(param.red))
        );

        object_0.emplace(
            "green",
            std::make_unique<LSPAny>(decimalToAny(param.green))
        );

        object_0.emplace(
            "blue",
            std::make_unique<LSPAny>(decimalToAny(param.blue))
        );

        object_0.emplace(
            "alpha",
            std::make_unique<LSPAny>(decimalToAny(param.alpha))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToColorInformation(
        const LSPAny &any
    ) const -> ColorInformation
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ColorInformation"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ColorInformation value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ColorInformation"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ColorInformation attribute: range"
            );
        }

        iter_0 = object_0.find("color");
        if (iter_0 != object_0.end()) {
            value_0.color = anyToColor(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ColorInformation attribute: color"
            );
        }

        return value_0;
    }

    auto LspTransformer::colorInformationToAny(
        const ColorInformation &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "color",
            std::make_unique<LSPAny>(colorToAny(param.color))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToColorPresentationParams(
        const LSPAny &any
    ) const -> ColorPresentationParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ColorPresentationParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ColorPresentationParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 7) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ColorPresentationParams"
                 ": " + std::to_string(object_0.size()) + " > 7")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ColorPresentationParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("color");
        if (iter_0 != object_0.end()) {
            value_0.color = anyToColor(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ColorPresentationParams attribute: color"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ColorPresentationParams attribute: range"
            );
        }

        return value_0;
    }

    auto LspTransformer::colorPresentationParamsToAny(
        const ColorPresentationParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "color",
            std::make_unique<LSPAny>(colorToAny(param.color))
        );

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::textDocument_DocumentColorResultToAny(
        const TextDocument_DocumentColorResult &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = colorInformationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_DocumentColorResult(
        const LSPAny &any
    ) const -> TextDocument_DocumentColorResult
    {
        const auto &array_0 = any.array();
        std::vector<ColorInformation> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToColorInformation(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::asTextDocument_DocumentColorParams(
        const MessageParams &requestParams
    ) const -> DocumentColorParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/documentColor\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentColorParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentColorParams attribute: textDocument"
            );
        }

        return params_0;
    }

    auto LspTransformer::asTextDocument_ColorPresentationParams(
        const MessageParams &requestParams
    ) const -> ColorPresentationParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/colorPresentation\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        ColorPresentationParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ColorPresentationParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("color");
        if (iter_0 != object_0.end()) {
            params_0.color = anyToColor(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ColorPresentationParams attribute: color"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            params_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ColorPresentationParams attribute: range"
            );
        }

        return params_0;
    }

    auto LspTransformer::anyToSemanticTokensOptions_range_1(
        const LSPAny &any
    ) const -> SemanticTokensOptions_range_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensOptions_range_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensOptions_range_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 0) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensOptions_range_1"
                 ": " + std::to_string(object_0.size()) + " > 0")
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensOptions_range_1ToAny(
        const SemanticTokensOptions_range_1 &/*param*/
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensOptions_range(
        const LSPAny &any
    ) const -> SemanticTokensOptions_range
    {
        SemanticTokensOptions_range value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToSemanticTokensOptions_range_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to SemanticTokensOptions_range"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "SemanticTokensOptions_range"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensOptions_rangeToAny(
        const SemanticTokensOptions_range &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case SemanticTokensOptions_rangeType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case SemanticTokensOptions_rangeType::SemanticTokensOptions_range_1: {
            return semanticTokensOptions_range_1ToAny(value.semanticTokensOptions_range_1());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported SemanticTokensOptions_rangeType: " +
                 SemanticTokensOptions_rangeTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToSemanticTokensOptions(
        const LSPAny &any
    ) const -> SemanticTokensOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensOptions"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("legend");
        if (iter_0 != object_0.end()) {
            value_0.legend = anyToSemanticTokensLegend(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensOptions attribute: legend"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToSemanticTokensOptions_range(*iter_0->second);
        }

        iter_0 = object_0.find("full");
        if (iter_0 != object_0.end()) {
            value_0.full = anyToSemanticTokensOptions_full(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensOptionsToAny(
        const SemanticTokensOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        object_0.emplace(
            "legend",
            std::make_unique<LSPAny>(semanticTokensLegendToAny(param.legend))
        );

        if (param.range.has_value()) {
            const auto &range_0 = param.range.value();
            object_0.emplace(
                "range",
                std::make_unique<LSPAny>(semanticTokensOptions_rangeToAny(range_0))
            );
        }

        if (param.full.has_value()) {
            const auto &full_0 = param.full.value();
            object_0.emplace(
                "full",
                std::make_unique<LSPAny>(semanticTokensOptions_fullToAny(full_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensRegistrationOptions(
        const LSPAny &any
    ) const -> SemanticTokensRegistrationOptions
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensRegistrationOptions"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensRegistrationOptions value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 8) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensRegistrationOptions"
                 ": " + std::to_string(object_0.size()) + " > 8")
            );
        }

        iter_0 = object_0.find("documentSelector");
        if (iter_0 != object_0.end()) {
            value_0.documentSelector =
                anyToTextDocumentRegistrationOptions_documentSelector(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensRegistrationOptions attribute: documentSelector"
            );
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneProgress");
        if (iter_0 != object_0.end()) {
            value_0.workDoneProgress = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("legend");
        if (iter_0 != object_0.end()) {
            value_0.legend = anyToSemanticTokensLegend(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensRegistrationOptions attribute: legend"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToSemanticTokensOptions_range(*iter_0->second);
        }

        iter_0 = object_0.find("full");
        if (iter_0 != object_0.end()) {
            value_0.full = anyToSemanticTokensOptions_full(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensRegistrationOptionsToAny(
        const SemanticTokensRegistrationOptions &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "documentSelector",
            std::make_unique<LSPAny>(textDocumentRegistrationOptions_documentSelectorToAny(param.documentSelector))
        );

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_0 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_0))
            );
        }

        if (param.workDoneProgress.has_value()) {
            const auto &workDoneProgress_1 = param.workDoneProgress.value();
            object_0.emplace(
                "workDoneProgress",
                std::make_unique<LSPAny>(booleanToAny(workDoneProgress_1))
            );
        }

        object_0.emplace(
            "legend",
            std::make_unique<LSPAny>(semanticTokensLegendToAny(param.legend))
        );

        if (param.range.has_value()) {
            const auto &range_0 = param.range.value();
            object_0.emplace(
                "range",
                std::make_unique<LSPAny>(semanticTokensOptions_rangeToAny(range_0))
            );
        }

        if (param.full.has_value()) {
            const auto &full_0 = param.full.value();
            object_0.emplace(
                "full",
                std::make_unique<LSPAny>(semanticTokensOptions_fullToAny(full_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_0 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_0))
            );
        }

        if (param.id.has_value()) {
            const auto &id_1 = param.id.value();
            object_0.emplace(
                "id",
                std::make_unique<LSPAny>(stringToAny(id_1))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToServerCapabilities_semanticTokensProvider(
        const LSPAny &any
    ) const -> ServerCapabilities_semanticTokensProvider
    {
        ServerCapabilities_semanticTokensProvider value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToSemanticTokensOptions(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToSemanticTokensRegistrationOptions(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to ServerCapabilities_semanticTokensProvider"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "ServerCapabilities_semanticTokensProvider"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilities_semanticTokensProviderToAny(
        const ServerCapabilities_semanticTokensProvider &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case ServerCapabilities_semanticTokensProviderType::SemanticTokensOptions: {
            return semanticTokensOptionsToAny(value.semanticTokensOptions());
        }
        case ServerCapabilities_semanticTokensProviderType::SemanticTokensRegistrationOptions: {
            return semanticTokensRegistrationOptionsToAny(value.semanticTokensRegistrationOptions());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported ServerCapabilities_semanticTokensProviderType: " +
                 ServerCapabilities_semanticTokensProviderTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToSemanticTokensClientCapabilities_requests_range_1(
        const LSPAny &any
    ) const -> SemanticTokensClientCapabilities_requests_range_1
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensClientCapabilities_requests_range_1"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensClientCapabilities_requests_range_1 value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 0) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensClientCapabilities_requests_range_1"
                 ": " + std::to_string(object_0.size()) + " > 0")
            );
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensClientCapabilities_requests_range_1ToAny(
        const SemanticTokensClientCapabilities_requests_range_1 &/*param*/
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensClientCapabilities_requests_range(
        const LSPAny &any
    ) const -> SemanticTokensClientCapabilities_requests_range
    {
        SemanticTokensClientCapabilities_requests_range value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 =
                    anyToSemanticTokensClientCapabilities_requests_range_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to SemanticTokensClientCapabilities_requests_range"
                );
            }
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "SemanticTokensClientCapabilities_requests_range"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensClientCapabilities_requests_rangeToAny(
        const SemanticTokensClientCapabilities_requests_range &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case SemanticTokensClientCapabilities_requests_rangeType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case SemanticTokensClientCapabilities_requests_rangeType::SemanticTokensClientCapabilities_requests_range_1: {
            return semanticTokensClientCapabilities_requests_range_1ToAny(value.semanticTokensClientCapabilities_requests_range_1());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported SemanticTokensClientCapabilities_requests_rangeType: " +
                 SemanticTokensClientCapabilities_requests_rangeTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToSemanticTokensClientCapabilities_requests(
        const LSPAny &any
    ) const -> SemanticTokensClientCapabilities_requests
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensClientCapabilities_requests"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensClientCapabilities_requests value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensClientCapabilities_requests"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range =
                anyToSemanticTokensClientCapabilities_requests_range(*iter_0->second);
        }

        iter_0 = object_0.find("full");
        if (iter_0 != object_0.end()) {
            value_0.full =
                anyToSemanticTokensClientCapabilities_requests_full(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensClientCapabilities_requestsToAny(
        const SemanticTokensClientCapabilities_requests &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.range.has_value()) {
            const auto &range_0 = param.range.value();
            object_0.emplace(
                "range",
                std::make_unique<LSPAny>(semanticTokensClientCapabilities_requests_rangeToAny(range_0))
            );
        }

        if (param.full.has_value()) {
            const auto &full_0 = param.full.value();
            object_0.emplace(
                "full",
                std::make_unique<LSPAny>(semanticTokensClientCapabilities_requests_fullToAny(full_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToSemanticTokensClientCapabilities(
        const LSPAny &any
    ) const -> SemanticTokensClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "SemanticTokensClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        SemanticTokensClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 9) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "SemanticTokensClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 9")
            );
        }

        iter_0 = object_0.find("dynamicRegistration");
        if (iter_0 != object_0.end()) {
            value_0.dynamicRegistration = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("requests");
        if (iter_0 != object_0.end()) {
            value_0.requests =
                anyToSemanticTokensClientCapabilities_requests(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensClientCapabilities attribute: requests"
            );
        }

        iter_0 = object_0.find("tokenTypes");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.tokenTypes = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensClientCapabilities attribute: tokenTypes"
            );
        }

        iter_0 = object_0.find("tokenModifiers");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<string_t> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToString(*elem_1));
            }
            value_0.tokenModifiers = std::move(values_1);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensClientCapabilities attribute: tokenModifiers"
            );
        }

        iter_0 = object_0.find("formats");
        if (iter_0 != object_0.end()) {
            const auto &array_2 = iter_0->second->array();
            std::vector<TokenFormat> values_2;
            for (const auto &elem_2 : array_2) {
                values_2.push_back(anyToTokenFormat(*elem_2));
            }
            value_0.formats = std::move(values_2);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required SemanticTokensClientCapabilities attribute: formats"
            );
        }

        iter_0 = object_0.find("overlappingTokenSupport");
        if (iter_0 != object_0.end()) {
            value_0.overlappingTokenSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("multilineTokenSupport");
        if (iter_0 != object_0.end()) {
            value_0.multilineTokenSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("serverCancelSupport");
        if (iter_0 != object_0.end()) {
            value_0.serverCancelSupport = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("augmentsSyntaxTokens");
        if (iter_0 != object_0.end()) {
            value_0.augmentsSyntaxTokens = anyToBoolean(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::semanticTokensClientCapabilitiesToAny(
        const SemanticTokensClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.dynamicRegistration.has_value()) {
            const auto &dynamicRegistration_0 =
                param.dynamicRegistration.value();
            object_0.emplace(
                "dynamicRegistration",
                std::make_unique<LSPAny>(booleanToAny(dynamicRegistration_0))
            );
        }

        object_0.emplace(
            "requests",
            std::make_unique<LSPAny>(semanticTokensClientCapabilities_requestsToAny(param.requests))
        );

        LSPArray array_0;
        array_0.reserve(param.tokenTypes.size());
        for (const auto &elem_0 : param.tokenTypes) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = stringToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("tokenTypes", std::move(any_1));

        LSPArray array_1;
        array_1.reserve(param.tokenModifiers.size());
        for (const auto &elem_1 : param.tokenModifiers) {
            auto any_2 = std::make_unique<LSPAny>();
            (*any_2) = stringToAny(elem_1);
            array_1.push_back(std::move(any_2));
        }
        auto any_3 = std::make_unique<LSPAny>();
        (*any_3) = std::move(array_1);
        object_0.emplace("tokenModifiers", std::move(any_3));

        LSPArray array_2;
        array_2.reserve(param.formats.size());
        for (const auto &elem_2 : param.formats) {
            auto any_4 = std::make_unique<LSPAny>();
            (*any_4) = tokenFormatToAny(elem_2);
            array_2.push_back(std::move(any_4));
        }
        auto any_5 = std::make_unique<LSPAny>();
        (*any_5) = std::move(array_2);
        object_0.emplace("formats", std::move(any_5));

        if (param.overlappingTokenSupport.has_value()) {
            const auto &overlappingTokenSupport_0 =
                param.overlappingTokenSupport.value();
            object_0.emplace(
                "overlappingTokenSupport",
                std::make_unique<LSPAny>(booleanToAny(overlappingTokenSupport_0))
            );
        }

        if (param.multilineTokenSupport.has_value()) {
            const auto &multilineTokenSupport_0 =
                param.multilineTokenSupport.value();
            object_0.emplace(
                "multilineTokenSupport",
                std::make_unique<LSPAny>(booleanToAny(multilineTokenSupport_0))
            );
        }

        if (param.serverCancelSupport.has_value()) {
            const auto &serverCancelSupport_0 =
                param.serverCancelSupport.value();
            object_0.emplace(
                "serverCancelSupport",
                std::make_unique<LSPAny>(booleanToAny(serverCancelSupport_0))
            );
        }

        if (param.augmentsSyntaxTokens.has_value()) {
            const auto &augmentsSyntaxTokens_0 =
                param.augmentsSyntaxTokens.value();
            object_0.emplace(
                "augmentsSyntaxTokens",
                std::make_unique<LSPAny>(booleanToAny(augmentsSyntaxTokens_0))
            );
        }

        LSPAny any_6;
        any_6 = std::move(object_0);
        return any_6;
    }

    auto LspTransformer::anyToTextDocumentClientCapabilities(
        const LSPAny &any
    ) const -> TextDocumentClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TextDocumentClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TextDocumentClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 31) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TextDocumentClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 31")
            );
        }

        iter_0 = object_0.find("synchronization");
        if (iter_0 != object_0.end()) {
            value_0.synchronization =
                anyToTextDocumentSyncClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("completion");
        if (iter_0 != object_0.end()) {
            value_0.completion =
                anyToCompletionClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("hover");
        if (iter_0 != object_0.end()) {
            value_0.hover = anyToHoverClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("signatureHelp");
        if (iter_0 != object_0.end()) {
            value_0.signatureHelp =
                anyToSignatureHelpClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("declaration");
        if (iter_0 != object_0.end()) {
            value_0.declaration =
                anyToDeclarationClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("definition");
        if (iter_0 != object_0.end()) {
            value_0.definition =
                anyToDefinitionClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("typeDefinition");
        if (iter_0 != object_0.end()) {
            value_0.typeDefinition =
                anyToTypeDefinitionClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("implementation");
        if (iter_0 != object_0.end()) {
            value_0.implementation =
                anyToImplementationClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("references");
        if (iter_0 != object_0.end()) {
            value_0.references =
                anyToReferenceClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("documentHighlight");
        if (iter_0 != object_0.end()) {
            value_0.documentHighlight =
                anyToDocumentHighlightClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("documentSymbol");
        if (iter_0 != object_0.end()) {
            value_0.documentSymbol =
                anyToDocumentSymbolClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("codeAction");
        if (iter_0 != object_0.end()) {
            value_0.codeAction =
                anyToCodeActionClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("codeLens");
        if (iter_0 != object_0.end()) {
            value_0.codeLens =
                anyToCodeLensClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("documentLink");
        if (iter_0 != object_0.end()) {
            value_0.documentLink =
                anyToDocumentLinkClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("colorProvider");
        if (iter_0 != object_0.end()) {
            value_0.colorProvider =
                anyToDocumentColorClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("formatting");
        if (iter_0 != object_0.end()) {
            value_0.formatting =
                anyToDocumentFormattingClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("rangeFormatting");
        if (iter_0 != object_0.end()) {
            value_0.rangeFormatting =
                anyToDocumentRangeFormattingClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("onTypeFormatting");
        if (iter_0 != object_0.end()) {
            value_0.onTypeFormatting =
                anyToDocumentOnTypeFormattingClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("rename");
        if (iter_0 != object_0.end()) {
            value_0.rename = anyToRenameClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("foldingRange");
        if (iter_0 != object_0.end()) {
            value_0.foldingRange =
                anyToFoldingRangeClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("selectionRange");
        if (iter_0 != object_0.end()) {
            value_0.selectionRange =
                anyToSelectionRangeClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("publishDiagnostics");
        if (iter_0 != object_0.end()) {
            value_0.publishDiagnostics =
                anyToPublishDiagnosticsClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("callHierarchy");
        if (iter_0 != object_0.end()) {
            value_0.callHierarchy =
                anyToCallHierarchyClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("semanticTokens");
        if (iter_0 != object_0.end()) {
            value_0.semanticTokens =
                anyToSemanticTokensClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("linkedEditingRange");
        if (iter_0 != object_0.end()) {
            value_0.linkedEditingRange =
                anyToLinkedEditingRangeClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("moniker");
        if (iter_0 != object_0.end()) {
            value_0.moniker = anyToMonikerClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("typeHierarchy");
        if (iter_0 != object_0.end()) {
            value_0.typeHierarchy =
                anyToTypeHierarchyClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("inlineValue");
        if (iter_0 != object_0.end()) {
            value_0.inlineValue =
                anyToInlineValueClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("inlayHint");
        if (iter_0 != object_0.end()) {
            value_0.inlayHint =
                anyToInlayHintClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("diagnostic");
        if (iter_0 != object_0.end()) {
            value_0.diagnostic =
                anyToDiagnosticClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("inlineCompletion");
        if (iter_0 != object_0.end()) {
            value_0.inlineCompletion =
                anyToInlineCompletionClientCapabilities(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::textDocumentClientCapabilitiesToAny(
        const TextDocumentClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.synchronization.has_value()) {
            const auto &synchronization_0 = param.synchronization.value();
            object_0.emplace(
                "synchronization",
                std::make_unique<LSPAny>(textDocumentSyncClientCapabilitiesToAny(synchronization_0))
            );
        }

        if (param.completion.has_value()) {
            const auto &completion_0 = param.completion.value();
            object_0.emplace(
                "completion",
                std::make_unique<LSPAny>(completionClientCapabilitiesToAny(completion_0))
            );
        }

        if (param.hover.has_value()) {
            const auto &hover_0 = param.hover.value();
            object_0.emplace(
                "hover",
                std::make_unique<LSPAny>(hoverClientCapabilitiesToAny(hover_0))
            );
        }

        if (param.signatureHelp.has_value()) {
            const auto &signatureHelp_0 = param.signatureHelp.value();
            object_0.emplace(
                "signatureHelp",
                std::make_unique<LSPAny>(signatureHelpClientCapabilitiesToAny(signatureHelp_0))
            );
        }

        if (param.declaration.has_value()) {
            const auto &declaration_0 = param.declaration.value();
            object_0.emplace(
                "declaration",
                std::make_unique<LSPAny>(declarationClientCapabilitiesToAny(declaration_0))
            );
        }

        if (param.definition.has_value()) {
            const auto &definition_0 = param.definition.value();
            object_0.emplace(
                "definition",
                std::make_unique<LSPAny>(definitionClientCapabilitiesToAny(definition_0))
            );
        }

        if (param.typeDefinition.has_value()) {
            const auto &typeDefinition_0 = param.typeDefinition.value();
            object_0.emplace(
                "typeDefinition",
                std::make_unique<LSPAny>(typeDefinitionClientCapabilitiesToAny(typeDefinition_0))
            );
        }

        if (param.implementation.has_value()) {
            const auto &implementation_0 = param.implementation.value();
            object_0.emplace(
                "implementation",
                std::make_unique<LSPAny>(implementationClientCapabilitiesToAny(implementation_0))
            );
        }

        if (param.references.has_value()) {
            const auto &references_0 = param.references.value();
            object_0.emplace(
                "references",
                std::make_unique<LSPAny>(referenceClientCapabilitiesToAny(references_0))
            );
        }

        if (param.documentHighlight.has_value()) {
            const auto &documentHighlight_0 = param.documentHighlight.value();
            object_0.emplace(
                "documentHighlight",
                std::make_unique<LSPAny>(documentHighlightClientCapabilitiesToAny(documentHighlight_0))
            );
        }

        if (param.documentSymbol.has_value()) {
            const auto &documentSymbol_0 = param.documentSymbol.value();
            object_0.emplace(
                "documentSymbol",
                std::make_unique<LSPAny>(documentSymbolClientCapabilitiesToAny(documentSymbol_0))
            );
        }

        if (param.codeAction.has_value()) {
            const auto &codeAction_0 = param.codeAction.value();
            object_0.emplace(
                "codeAction",
                std::make_unique<LSPAny>(codeActionClientCapabilitiesToAny(codeAction_0))
            );
        }

        if (param.codeLens.has_value()) {
            const auto &codeLens_0 = param.codeLens.value();
            object_0.emplace(
                "codeLens",
                std::make_unique<LSPAny>(codeLensClientCapabilitiesToAny(codeLens_0))
            );
        }

        if (param.documentLink.has_value()) {
            const auto &documentLink_0 = param.documentLink.value();
            object_0.emplace(
                "documentLink",
                std::make_unique<LSPAny>(documentLinkClientCapabilitiesToAny(documentLink_0))
            );
        }

        if (param.colorProvider.has_value()) {
            const auto &colorProvider_0 = param.colorProvider.value();
            object_0.emplace(
                "colorProvider",
                std::make_unique<LSPAny>(documentColorClientCapabilitiesToAny(colorProvider_0))
            );
        }

        if (param.formatting.has_value()) {
            const auto &formatting_0 = param.formatting.value();
            object_0.emplace(
                "formatting",
                std::make_unique<LSPAny>(documentFormattingClientCapabilitiesToAny(formatting_0))
            );
        }

        if (param.rangeFormatting.has_value()) {
            const auto &rangeFormatting_0 = param.rangeFormatting.value();
            object_0.emplace(
                "rangeFormatting",
                std::make_unique<LSPAny>(documentRangeFormattingClientCapabilitiesToAny(rangeFormatting_0))
            );
        }

        if (param.onTypeFormatting.has_value()) {
            const auto &onTypeFormatting_0 = param.onTypeFormatting.value();
            object_0.emplace(
                "onTypeFormatting",
                std::make_unique<LSPAny>(documentOnTypeFormattingClientCapabilitiesToAny(onTypeFormatting_0))
            );
        }

        if (param.rename.has_value()) {
            const auto &rename_0 = param.rename.value();
            object_0.emplace(
                "rename",
                std::make_unique<LSPAny>(renameClientCapabilitiesToAny(rename_0))
            );
        }

        if (param.foldingRange.has_value()) {
            const auto &foldingRange_0 = param.foldingRange.value();
            object_0.emplace(
                "foldingRange",
                std::make_unique<LSPAny>(foldingRangeClientCapabilitiesToAny(foldingRange_0))
            );
        }

        if (param.selectionRange.has_value()) {
            const auto &selectionRange_0 = param.selectionRange.value();
            object_0.emplace(
                "selectionRange",
                std::make_unique<LSPAny>(selectionRangeClientCapabilitiesToAny(selectionRange_0))
            );
        }

        if (param.publishDiagnostics.has_value()) {
            const auto &publishDiagnostics_0 =
                param.publishDiagnostics.value();
            object_0.emplace(
                "publishDiagnostics",
                std::make_unique<LSPAny>(publishDiagnosticsClientCapabilitiesToAny(publishDiagnostics_0))
            );
        }

        if (param.callHierarchy.has_value()) {
            const auto &callHierarchy_0 = param.callHierarchy.value();
            object_0.emplace(
                "callHierarchy",
                std::make_unique<LSPAny>(callHierarchyClientCapabilitiesToAny(callHierarchy_0))
            );
        }

        if (param.semanticTokens.has_value()) {
            const auto &semanticTokens_0 = param.semanticTokens.value();
            object_0.emplace(
                "semanticTokens",
                std::make_unique<LSPAny>(semanticTokensClientCapabilitiesToAny(semanticTokens_0))
            );
        }

        if (param.linkedEditingRange.has_value()) {
            const auto &linkedEditingRange_0 =
                param.linkedEditingRange.value();
            object_0.emplace(
                "linkedEditingRange",
                std::make_unique<LSPAny>(linkedEditingRangeClientCapabilitiesToAny(linkedEditingRange_0))
            );
        }

        if (param.moniker.has_value()) {
            const auto &moniker_0 = param.moniker.value();
            object_0.emplace(
                "moniker",
                std::make_unique<LSPAny>(monikerClientCapabilitiesToAny(moniker_0))
            );
        }

        if (param.typeHierarchy.has_value()) {
            const auto &typeHierarchy_0 = param.typeHierarchy.value();
            object_0.emplace(
                "typeHierarchy",
                std::make_unique<LSPAny>(typeHierarchyClientCapabilitiesToAny(typeHierarchy_0))
            );
        }

        if (param.inlineValue.has_value()) {
            const auto &inlineValue_0 = param.inlineValue.value();
            object_0.emplace(
                "inlineValue",
                std::make_unique<LSPAny>(inlineValueClientCapabilitiesToAny(inlineValue_0))
            );
        }

        if (param.inlayHint.has_value()) {
            const auto &inlayHint_0 = param.inlayHint.value();
            object_0.emplace(
                "inlayHint",
                std::make_unique<LSPAny>(inlayHintClientCapabilitiesToAny(inlayHint_0))
            );
        }

        if (param.diagnostic.has_value()) {
            const auto &diagnostic_0 = param.diagnostic.value();
            object_0.emplace(
                "diagnostic",
                std::make_unique<LSPAny>(diagnosticClientCapabilitiesToAny(diagnostic_0))
            );
        }

        if (param.inlineCompletion.has_value()) {
            const auto &inlineCompletion_0 = param.inlineCompletion.value();
            object_0.emplace(
                "inlineCompletion",
                std::make_unique<LSPAny>(inlineCompletionClientCapabilitiesToAny(inlineCompletion_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::lspArrayToAny(const LSPArray &array) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = lspAnyToAny(*elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToLSPArray(const LSPAny &any) const -> LSPArray
    {
        const auto &array_0 = any.array();
        std::vector<std::unique_ptr<LSPAny>> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(std::make_unique<LSPAny>(anyToLSPAny(*elem_0)));
        }
        return values_0;
    }

    auto LspTransformer::anyToLSPAny(const LSPAny &any) const -> LSPAny
    {
        LSPAny value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToLSPObject(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to LSPAny"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToLSPArray(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to LSPAny"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        case LSPAnyType::Integer: {
            value_0 = anyToInteger(any);
            break;
        }
        case LSPAnyType::UInteger: {
            value_0 = anyToUInteger(any);
            break;
        }
        case LSPAnyType::Decimal: {
            value_0 = anyToDecimal(any);
            break;
        }
        case LSPAnyType::Boolean: {
            value_0 = anyToBoolean(any);
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "LSPAny"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::lspAnyToAny(const LSPAny &value) const -> LSPAny
    {
        switch (value.type()) {
        case LSPAnyType::Object: {
            LSPAny any_0;
            any_0 = copy(value.object());
            return any_0;
        }
        case LSPAnyType::Array: {
            LSPAny any_1;
            any_1 = copy(value.array());
            return any_1;
        }
        case LSPAnyType::String: {
            return stringToAny(value.string());
        }
        case LSPAnyType::Integer: {
            return integerToAny(value.integer());
        }
        case LSPAnyType::UInteger: {
            return uintegerToAny(value.uinteger());
        }
        case LSPAnyType::Decimal: {
            return decimalToAny(value.decimal());
        }
        case LSPAnyType::Boolean: {
            return booleanToAny(value.boolean());
        }
        case LSPAnyType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported LSPAnyType: " +
                 LSPAnyTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToCallHierarchyItem(
        const LSPAny &any
    ) const -> CallHierarchyItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CallHierarchyItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CallHierarchyItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 8) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CallHierarchyItem"
                 ": " + std::to_string(object_0.size()) + " > 8")
            );
        }

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            value_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyItem attribute: name"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToSymbolKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyItem attribute: kind"
            );
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolTag(*elem_0));
            }
            value_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("detail");
        if (iter_0 != object_0.end()) {
            value_0.detail = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyItem attribute: uri"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyItem attribute: range"
            );
        }

        iter_0 = object_0.find("selectionRange");
        if (iter_0 != object_0.end()) {
            value_0.selectionRange = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyItem attribute: selectionRange"
            );
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::callHierarchyItemToAny(
        const CallHierarchyItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "name",
            std::make_unique<LSPAny>(stringToAny(param.name))
        );

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(symbolKindToAny(param.kind))
        );

        if (param.tags.has_value()) {
            const auto &tags_0 = param.tags.value();
            LSPArray array_0;
            array_0.reserve(tags_0.size());
            for (const auto &elem_0 : tags_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolTagToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("tags", std::move(any_1));
        }

        if (param.detail.has_value()) {
            const auto &detail_0 = param.detail.value();
            object_0.emplace(
                "detail",
                std::make_unique<LSPAny>(stringToAny(detail_0))
            );
        }

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "selectionRange",
            std::make_unique<LSPAny>(rangeToAny(param.selectionRange))
        );

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCallHierarchyIncomingCallsParams(
        const LSPAny &any
    ) const -> CallHierarchyIncomingCallsParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CallHierarchyIncomingCallsParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CallHierarchyIncomingCallsParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CallHierarchyIncomingCallsParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("item");
        if (iter_0 != object_0.end()) {
            value_0.item = anyToCallHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyIncomingCallsParams attribute: item"
            );
        }

        return value_0;
    }

    auto LspTransformer::callHierarchyIncomingCallsParamsToAny(
        const CallHierarchyIncomingCallsParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "item",
            std::make_unique<LSPAny>(callHierarchyItemToAny(param.item))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCallHierarchyIncomingCall(
        const LSPAny &any
    ) const -> CallHierarchyIncomingCall
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CallHierarchyIncomingCall"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CallHierarchyIncomingCall value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CallHierarchyIncomingCall"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("from");
        if (iter_0 != object_0.end()) {
            value_0.from = anyToCallHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyIncomingCall attribute: from"
            );
        }

        iter_0 = object_0.find("fromRanges");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Range> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToRange(*elem_0));
            }
            value_0.fromRanges = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyIncomingCall attribute: fromRanges"
            );
        }

        return value_0;
    }

    auto LspTransformer::callHierarchyIncomingCallToAny(
        const CallHierarchyIncomingCall &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "from",
            std::make_unique<LSPAny>(callHierarchyItemToAny(param.from))
        );

        LSPArray array_0;
        array_0.reserve(param.fromRanges.size());
        for (const auto &elem_0 : param.fromRanges) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = rangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("fromRanges", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCallHierarchyOutgoingCallsParams(
        const LSPAny &any
    ) const -> CallHierarchyOutgoingCallsParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CallHierarchyOutgoingCallsParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CallHierarchyOutgoingCallsParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CallHierarchyOutgoingCallsParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("item");
        if (iter_0 != object_0.end()) {
            value_0.item = anyToCallHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyOutgoingCallsParams attribute: item"
            );
        }

        return value_0;
    }

    auto LspTransformer::callHierarchyOutgoingCallsParamsToAny(
        const CallHierarchyOutgoingCallsParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "item",
            std::make_unique<LSPAny>(callHierarchyItemToAny(param.item))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCallHierarchyOutgoingCall(
        const LSPAny &any
    ) const -> CallHierarchyOutgoingCall
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CallHierarchyOutgoingCall"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CallHierarchyOutgoingCall value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CallHierarchyOutgoingCall"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("to");
        if (iter_0 != object_0.end()) {
            value_0.to = anyToCallHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyOutgoingCall attribute: to"
            );
        }

        iter_0 = object_0.find("fromRanges");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Range> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToRange(*elem_0));
            }
            value_0.fromRanges = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyOutgoingCall attribute: fromRanges"
            );
        }

        return value_0;
    }

    auto LspTransformer::callHierarchyOutgoingCallToAny(
        const CallHierarchyOutgoingCall &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "to",
            std::make_unique<LSPAny>(callHierarchyItemToAny(param.to))
        );

        LSPArray array_0;
        array_0.reserve(param.fromRanges.size());
        for (const auto &elem_0 : param.fromRanges) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = rangeToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("fromRanges", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToTypeHierarchyItem(
        const LSPAny &any
    ) const -> TypeHierarchyItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeHierarchyItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeHierarchyItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 8) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeHierarchyItem"
                 ": " + std::to_string(object_0.size()) + " > 8")
            );
        }

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            value_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyItem attribute: name"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToSymbolKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyItem attribute: kind"
            );
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolTag(*elem_0));
            }
            value_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("detail");
        if (iter_0 != object_0.end()) {
            value_0.detail = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyItem attribute: uri"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyItem attribute: range"
            );
        }

        iter_0 = object_0.find("selectionRange");
        if (iter_0 != object_0.end()) {
            value_0.selectionRange = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyItem attribute: selectionRange"
            );
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::typeHierarchyItemToAny(
        const TypeHierarchyItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "name",
            std::make_unique<LSPAny>(stringToAny(param.name))
        );

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(symbolKindToAny(param.kind))
        );

        if (param.tags.has_value()) {
            const auto &tags_0 = param.tags.value();
            LSPArray array_0;
            array_0.reserve(tags_0.size());
            for (const auto &elem_0 : tags_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolTagToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("tags", std::move(any_1));
        }

        if (param.detail.has_value()) {
            const auto &detail_0 = param.detail.value();
            object_0.emplace(
                "detail",
                std::make_unique<LSPAny>(stringToAny(detail_0))
            );
        }

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "selectionRange",
            std::make_unique<LSPAny>(rangeToAny(param.selectionRange))
        );

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToTypeHierarchySupertypesParams(
        const LSPAny &any
    ) const -> TypeHierarchySupertypesParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeHierarchySupertypesParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeHierarchySupertypesParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeHierarchySupertypesParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("item");
        if (iter_0 != object_0.end()) {
            value_0.item = anyToTypeHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchySupertypesParams attribute: item"
            );
        }

        return value_0;
    }

    auto LspTransformer::typeHierarchySupertypesParamsToAny(
        const TypeHierarchySupertypesParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "item",
            std::make_unique<LSPAny>(typeHierarchyItemToAny(param.item))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToTypeHierarchySubtypesParams(
        const LSPAny &any
    ) const -> TypeHierarchySubtypesParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "TypeHierarchySubtypesParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        TypeHierarchySubtypesParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "TypeHierarchySubtypesParams"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("item");
        if (iter_0 != object_0.end()) {
            value_0.item = anyToTypeHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchySubtypesParams attribute: item"
            );
        }

        return value_0;
    }

    auto LspTransformer::typeHierarchySubtypesParamsToAny(
        const TypeHierarchySubtypesParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "item",
            std::make_unique<LSPAny>(typeHierarchyItemToAny(param.item))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDidChangeConfigurationParams(
        const LSPAny &any
    ) const -> DidChangeConfigurationParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidChangeConfigurationParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidChangeConfigurationParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidChangeConfigurationParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("settings");
        if (iter_0 != object_0.end()) {
            value_0.settings = copy(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeConfigurationParams attribute: settings"
            );
        }

        return value_0;
    }

    auto LspTransformer::didChangeConfigurationParamsToAny(
        const DidChangeConfigurationParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "settings",
            std::make_unique<LSPAny>(copy(param.settings))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToCompletionList_itemDefaults(
        const LSPAny &any
    ) const -> CompletionList_itemDefaults
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionList_itemDefaults"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionList_itemDefaults value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionList_itemDefaults"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("commitCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<string_t> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToString(*elem_0));
            }
            value_0.commitCharacters = std::move(values_0);
        }

        iter_0 = object_0.find("editRange");
        if (iter_0 != object_0.end()) {
            value_0.editRange =
                anyToCompletionList_itemDefaults_editRange(*iter_0->second);
        }

        iter_0 = object_0.find("insertTextFormat");
        if (iter_0 != object_0.end()) {
            value_0.insertTextFormat = anyToInsertTextFormat(*iter_0->second);
        }

        iter_0 = object_0.find("insertTextMode");
        if (iter_0 != object_0.end()) {
            value_0.insertTextMode = anyToInsertTextMode(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionList_itemDefaultsToAny(
        const CompletionList_itemDefaults &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.commitCharacters.has_value()) {
            const auto &commitCharacters_0 = param.commitCharacters.value();
            LSPArray array_0;
            array_0.reserve(commitCharacters_0.size());
            for (const auto &elem_0 : commitCharacters_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = stringToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("commitCharacters", std::move(any_1));
        }

        if (param.editRange.has_value()) {
            const auto &editRange_0 = param.editRange.value();
            object_0.emplace(
                "editRange",
                std::make_unique<LSPAny>(completionList_itemDefaults_editRangeToAny(editRange_0))
            );
        }

        if (param.insertTextFormat.has_value()) {
            const auto &insertTextFormat_0 = param.insertTextFormat.value();
            object_0.emplace(
                "insertTextFormat",
                std::make_unique<LSPAny>(insertTextFormatToAny(insertTextFormat_0))
            );
        }

        if (param.insertTextMode.has_value()) {
            const auto &insertTextMode_0 = param.insertTextMode.value();
            object_0.emplace(
                "insertTextMode",
                std::make_unique<LSPAny>(insertTextModeToAny(insertTextMode_0))
            );
        }

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCommand(const LSPAny &any) const -> Command
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Command"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Command value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Command"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("title");
        if (iter_0 != object_0.end()) {
            value_0.title = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Command attribute: title"
            );
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            value_0.command = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Command attribute: command"
            );
        }

        iter_0 = object_0.find("arguments");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<LSPAny> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(copy(*elem_0));
            }
            value_0.arguments = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::commandToAny(const Command &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "title",
            std::make_unique<LSPAny>(stringToAny(param.title))
        );

        object_0.emplace(
            "command",
            std::make_unique<LSPAny>(stringToAny(param.command))
        );

        if (param.arguments.has_value()) {
            const auto &arguments_0 = param.arguments.value();
            LSPArray array_0;
            array_0.reserve(arguments_0.size());
            for (const auto &elem_0 : arguments_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = lspAnyToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("arguments", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToInlineCompletionItem(
        const LSPAny &any
    ) const -> InlineCompletionItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineCompletionItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineCompletionItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineCompletionItem"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("insertText");
        if (iter_0 != object_0.end()) {
            value_0.insertText =
                anyToInlineCompletionItem_insertText(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionItem attribute: insertText"
            );
        }

        iter_0 = object_0.find("filterText");
        if (iter_0 != object_0.end()) {
            value_0.filterText = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            value_0.command = anyToCommand(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlineCompletionItemToAny(
        const InlineCompletionItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "insertText",
            std::make_unique<LSPAny>(inlineCompletionItem_insertTextToAny(param.insertText))
        );

        if (param.filterText.has_value()) {
            const auto &filterText_0 = param.filterText.value();
            object_0.emplace(
                "filterText",
                std::make_unique<LSPAny>(stringToAny(filterText_0))
            );
        }

        if (param.range.has_value()) {
            const auto &range_0 = param.range.value();
            object_0.emplace(
                "range",
                std::make_unique<LSPAny>(rangeToAny(range_0))
            );
        }

        if (param.command.has_value()) {
            const auto &command_0 = param.command.value();
            object_0.emplace(
                "command",
                std::make_unique<LSPAny>(commandToAny(command_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlineCompletionList(
        const LSPAny &any
    ) const -> InlineCompletionList
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlineCompletionList"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlineCompletionList value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlineCompletionList"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("items");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<InlineCompletionItem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToInlineCompletionItem(*elem_0));
            }
            value_0.items = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionList attribute: items"
            );
        }

        return value_0;
    }

    auto LspTransformer::inlineCompletionListToAny(
        const InlineCompletionList &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.items.size());
        for (const auto &elem_0 : param.items) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = inlineCompletionItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("items", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::inlineCompletionList_itemsToAny(
        const InlineCompletionList_items &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = inlineCompletionItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToInlineCompletionList_items(
        const LSPAny &any
    ) const -> InlineCompletionList_items
    {
        const auto &array_0 = any.array();
        std::vector<InlineCompletionItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToInlineCompletionItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCompletionItem(
        const LSPAny &any
    ) const -> CompletionItem
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionItem"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionItem value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 19) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionItem"
                 ": " + std::to_string(object_0.size()) + " > 19")
            );
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            value_0.label = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionItem attribute: label"
            );
        }

        iter_0 = object_0.find("labelDetails");
        if (iter_0 != object_0.end()) {
            value_0.labelDetails =
                anyToCompletionItemLabelDetails(*iter_0->second);
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToCompletionItemKind(*iter_0->second);
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<CompletionItemTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToCompletionItemTag(*elem_0));
            }
            value_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("detail");
        if (iter_0 != object_0.end()) {
            value_0.detail = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("documentation");
        if (iter_0 != object_0.end()) {
            value_0.documentation =
                anyToCompletionItem_documentation(*iter_0->second);
        }

        iter_0 = object_0.find("deprecated");
        if (iter_0 != object_0.end()) {
            value_0.deprecated = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("preselect");
        if (iter_0 != object_0.end()) {
            value_0.preselect = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("sortText");
        if (iter_0 != object_0.end()) {
            value_0.sortText = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("filterText");
        if (iter_0 != object_0.end()) {
            value_0.filterText = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("insertText");
        if (iter_0 != object_0.end()) {
            value_0.insertText = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("insertTextFormat");
        if (iter_0 != object_0.end()) {
            value_0.insertTextFormat = anyToInsertTextFormat(*iter_0->second);
        }

        iter_0 = object_0.find("insertTextMode");
        if (iter_0 != object_0.end()) {
            value_0.insertTextMode = anyToInsertTextMode(*iter_0->second);
        }

        iter_0 = object_0.find("textEdit");
        if (iter_0 != object_0.end()) {
            value_0.textEdit = anyToCompletionItem_textEdit(*iter_0->second);
        }

        iter_0 = object_0.find("textEditText");
        if (iter_0 != object_0.end()) {
            value_0.textEditText = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("additionalTextEdits");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<TextEdit> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToTextEdit(*elem_1));
            }
            value_0.additionalTextEdits = std::move(values_1);
        }

        iter_0 = object_0.find("commitCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_2 = iter_0->second->array();
            std::vector<string_t> values_2;
            for (const auto &elem_2 : array_2) {
                values_2.push_back(anyToString(*elem_2));
            }
            value_0.commitCharacters = std::move(values_2);
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            value_0.command = anyToCommand(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::completionItemToAny(
        const CompletionItem &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "label",
            std::make_unique<LSPAny>(stringToAny(param.label))
        );

        if (param.labelDetails.has_value()) {
            const auto &labelDetails_0 = param.labelDetails.value();
            object_0.emplace(
                "labelDetails",
                std::make_unique<LSPAny>(completionItemLabelDetailsToAny(labelDetails_0))
            );
        }

        if (param.kind.has_value()) {
            const auto &kind_0 = param.kind.value();
            object_0.emplace(
                "kind",
                std::make_unique<LSPAny>(completionItemKindToAny(kind_0))
            );
        }

        if (param.tags.has_value()) {
            const auto &tags_0 = param.tags.value();
            LSPArray array_0;
            array_0.reserve(tags_0.size());
            for (const auto &elem_0 : tags_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = completionItemTagToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("tags", std::move(any_1));
        }

        if (param.detail.has_value()) {
            const auto &detail_0 = param.detail.value();
            object_0.emplace(
                "detail",
                std::make_unique<LSPAny>(stringToAny(detail_0))
            );
        }

        if (param.documentation.has_value()) {
            const auto &documentation_0 = param.documentation.value();
            object_0.emplace(
                "documentation",
                std::make_unique<LSPAny>(completionItem_documentationToAny(documentation_0))
            );
        }

        if (param.deprecated.has_value()) {
            const auto &deprecated_0 = param.deprecated.value();
            object_0.emplace(
                "deprecated",
                std::make_unique<LSPAny>(booleanToAny(deprecated_0))
            );
        }

        if (param.preselect.has_value()) {
            const auto &preselect_0 = param.preselect.value();
            object_0.emplace(
                "preselect",
                std::make_unique<LSPAny>(booleanToAny(preselect_0))
            );
        }

        if (param.sortText.has_value()) {
            const auto &sortText_0 = param.sortText.value();
            object_0.emplace(
                "sortText",
                std::make_unique<LSPAny>(stringToAny(sortText_0))
            );
        }

        if (param.filterText.has_value()) {
            const auto &filterText_0 = param.filterText.value();
            object_0.emplace(
                "filterText",
                std::make_unique<LSPAny>(stringToAny(filterText_0))
            );
        }

        if (param.insertText.has_value()) {
            const auto &insertText_0 = param.insertText.value();
            object_0.emplace(
                "insertText",
                std::make_unique<LSPAny>(stringToAny(insertText_0))
            );
        }

        if (param.insertTextFormat.has_value()) {
            const auto &insertTextFormat_0 = param.insertTextFormat.value();
            object_0.emplace(
                "insertTextFormat",
                std::make_unique<LSPAny>(insertTextFormatToAny(insertTextFormat_0))
            );
        }

        if (param.insertTextMode.has_value()) {
            const auto &insertTextMode_0 = param.insertTextMode.value();
            object_0.emplace(
                "insertTextMode",
                std::make_unique<LSPAny>(insertTextModeToAny(insertTextMode_0))
            );
        }

        if (param.textEdit.has_value()) {
            const auto &textEdit_0 = param.textEdit.value();
            object_0.emplace(
                "textEdit",
                std::make_unique<LSPAny>(completionItem_textEditToAny(textEdit_0))
            );
        }

        if (param.textEditText.has_value()) {
            const auto &textEditText_0 = param.textEditText.value();
            object_0.emplace(
                "textEditText",
                std::make_unique<LSPAny>(stringToAny(textEditText_0))
            );
        }

        if (param.additionalTextEdits.has_value()) {
            const auto &additionalTextEdits_0 =
                param.additionalTextEdits.value();
            LSPArray array_1;
            array_1.reserve(additionalTextEdits_0.size());
            for (const auto &elem_1 : additionalTextEdits_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = textEditToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("additionalTextEdits", std::move(any_3));
        }

        if (param.commitCharacters.has_value()) {
            const auto &commitCharacters_0 = param.commitCharacters.value();
            LSPArray array_2;
            array_2.reserve(commitCharacters_0.size());
            for (const auto &elem_2 : commitCharacters_0) {
                auto any_4 = std::make_unique<LSPAny>();
                (*any_4) = stringToAny(elem_2);
                array_2.push_back(std::move(any_4));
            }
            auto any_5 = std::make_unique<LSPAny>();
            (*any_5) = std::move(array_2);
            object_0.emplace("commitCharacters", std::move(any_5));
        }

        if (param.command.has_value()) {
            const auto &command_0 = param.command.value();
            object_0.emplace(
                "command",
                std::make_unique<LSPAny>(commandToAny(command_0))
            );
        }

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_6;
        any_6 = std::move(object_0);
        return any_6;
    }

    auto LspTransformer::anyToCompletionList(
        const LSPAny &any
    ) const -> CompletionList
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CompletionList"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CompletionList value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CompletionList"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("isIncomplete");
        if (iter_0 != object_0.end()) {
            value_0.isIncomplete = anyToBoolean(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionList attribute: isIncomplete"
            );
        }

        iter_0 = object_0.find("itemDefaults");
        if (iter_0 != object_0.end()) {
            value_0.itemDefaults =
                anyToCompletionList_itemDefaults(*iter_0->second);
        }

        iter_0 = object_0.find("items");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<CompletionItem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToCompletionItem(*elem_0));
            }
            value_0.items = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionList attribute: items"
            );
        }

        return value_0;
    }

    auto LspTransformer::completionListToAny(
        const CompletionList &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "isIncomplete",
            std::make_unique<LSPAny>(booleanToAny(param.isIncomplete))
        );

        if (param.itemDefaults.has_value()) {
            const auto &itemDefaults_0 = param.itemDefaults.value();
            object_0.emplace(
                "itemDefaults",
                std::make_unique<LSPAny>(completionList_itemDefaultsToAny(itemDefaults_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.items.size());
        for (const auto &elem_0 : param.items) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = completionItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("items", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::completionList_itemsToAny(
        const CompletionList_items &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = completionItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCompletionList_items(
        const LSPAny &any
    ) const -> CompletionList_items
    {
        const auto &array_0 = any.array();
        std::vector<CompletionItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCompletionItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::command_argumentsToAny(
        const Command_arguments &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = lspAnyToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCommand_arguments(
        const LSPAny &any
    ) const -> Command_arguments
    {
        const auto &array_0 = any.array();
        std::vector<LSPAny> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLSPAny(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToWorkspaceSymbol(
        const LSPAny &any
    ) const -> WorkspaceSymbol
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceSymbol"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceSymbol value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceSymbol"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            value_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbol attribute: name"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToSymbolKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbol attribute: kind"
            );
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolTag(*elem_0));
            }
            value_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("containerName");
        if (iter_0 != object_0.end()) {
            value_0.containerName = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("location");
        if (iter_0 != object_0.end()) {
            value_0.location = anyToWorkspaceSymbol_location(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbol attribute: location"
            );
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::workspaceSymbolToAny(
        const WorkspaceSymbol &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "name",
            std::make_unique<LSPAny>(stringToAny(param.name))
        );

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(symbolKindToAny(param.kind))
        );

        if (param.tags.has_value()) {
            const auto &tags_0 = param.tags.value();
            LSPArray array_0;
            array_0.reserve(tags_0.size());
            for (const auto &elem_0 : tags_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolTagToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("tags", std::move(any_1));
        }

        if (param.containerName.has_value()) {
            const auto &containerName_0 = param.containerName.value();
            object_0.emplace(
                "containerName",
                std::make_unique<LSPAny>(stringToAny(containerName_0))
            );
        }

        object_0.emplace(
            "location",
            std::make_unique<LSPAny>(workspaceSymbol_locationToAny(param.location))
        );

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToCodeLens(const LSPAny &any) const -> CodeLens
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeLens"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeLens value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeLens"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeLens attribute: range"
            );
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            value_0.command = anyToCommand(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeLensToAny(const CodeLens &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        if (param.command.has_value()) {
            const auto &command_0 = param.command.value();
            object_0.emplace(
                "command",
                std::make_unique<LSPAny>(commandToAny(command_0))
            );
        }

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentLink(
        const LSPAny &any
    ) const -> DocumentLink
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentLink"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentLink value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentLink"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentLink attribute: range"
            );
        }

        iter_0 = object_0.find("target");
        if (iter_0 != object_0.end()) {
            value_0.target = anyToURI(*iter_0->second);
        }

        iter_0 = object_0.find("tooltip");
        if (iter_0 != object_0.end()) {
            value_0.tooltip = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::documentLinkToAny(
        const DocumentLink &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        if (param.target.has_value()) {
            const auto &target_0 = param.target.value();
            object_0.emplace(
                "target",
                std::make_unique<LSPAny>(uriToAny(target_0))
            );
        }

        if (param.tooltip.has_value()) {
            const auto &tooltip_0 = param.tooltip.value();
            object_0.emplace(
                "tooltip",
                std::make_unique<LSPAny>(stringToAny(tooltip_0))
            );
        }

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToExecuteCommandParams(
        const LSPAny &any
    ) const -> ExecuteCommandParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "ExecuteCommandParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ExecuteCommandParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "ExecuteCommandParams"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            value_0.command = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ExecuteCommandParams attribute: command"
            );
        }

        iter_0 = object_0.find("arguments");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<LSPAny> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(copy(*elem_0));
            }
            value_0.arguments = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::executeCommandParamsToAny(
        const ExecuteCommandParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "command",
            std::make_unique<LSPAny>(stringToAny(param.command))
        );

        if (param.arguments.has_value()) {
            const auto &arguments_0 = param.arguments.value();
            LSPArray array_0;
            array_0.reserve(arguments_0.size());
            for (const auto &elem_0 : arguments_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = lspAnyToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("arguments", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::executeCommandParams_argumentsToAny(
        const ExecuteCommandParams_arguments &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = lspAnyToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToExecuteCommandParams_arguments(
        const LSPAny &any
    ) const -> ExecuteCommandParams_arguments
    {
        const auto &array_0 = any.array();
        std::vector<LSPAny> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLSPAny(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToProgressParams(
        const LSPAny &any
    ) const -> ProgressParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ProgressParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ProgressParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ProgressParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("token");
        if (iter_0 != object_0.end()) {
            value_0.token = anyToProgressToken(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ProgressParams attribute: token"
            );
        }

        iter_0 = object_0.find("value");
        if (iter_0 != object_0.end()) {
            value_0.value = copy(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ProgressParams attribute: value"
            );
        }

        return value_0;
    }

    auto LspTransformer::progressParamsToAny(
        const ProgressParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "token",
            std::make_unique<LSPAny>(progressTokenToAny(param.token))
        );

        object_0.emplace("value", std::make_unique<LSPAny>(copy(param.value)));

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlayHintLabelPart(
        const LSPAny &any
    ) const -> InlayHintLabelPart
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlayHintLabelPart"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlayHintLabelPart value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlayHintLabelPart"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("value");
        if (iter_0 != object_0.end()) {
            value_0.value = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHintLabelPart attribute: value"
            );
        }

        iter_0 = object_0.find("tooltip");
        if (iter_0 != object_0.end()) {
            value_0.tooltip = anyToInlayHintLabelPart_tooltip(*iter_0->second);
        }

        iter_0 = object_0.find("location");
        if (iter_0 != object_0.end()) {
            value_0.location = anyToLocation(*iter_0->second);
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            value_0.command = anyToCommand(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlayHintLabelPartToAny(
        const InlayHintLabelPart &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "value",
            std::make_unique<LSPAny>(stringToAny(param.value))
        );

        if (param.tooltip.has_value()) {
            const auto &tooltip_0 = param.tooltip.value();
            object_0.emplace(
                "tooltip",
                std::make_unique<LSPAny>(inlayHintLabelPart_tooltipToAny(tooltip_0))
            );
        }

        if (param.location.has_value()) {
            const auto &location_0 = param.location.value();
            object_0.emplace(
                "location",
                std::make_unique<LSPAny>(locationToAny(location_0))
            );
        }

        if (param.command.has_value()) {
            const auto &command_0 = param.command.value();
            object_0.emplace(
                "command",
                std::make_unique<LSPAny>(commandToAny(command_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInlayHint_label(
        const LSPAny &any
    ) const -> InlayHint_label
    {
        InlayHint_label value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToInlayHint_label_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to InlayHint_label"
                );
            }
            break;
        }
        case LSPAnyType::String: {
            value_0 = anyToString(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for an "
                 "InlayHint_label"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::inlayHint_labelToAny(
        const InlayHint_label &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case InlayHint_labelType::String: {
            return stringToAny(value.string());
        }
        case InlayHint_labelType::InlayHintLabelPartArray: {
            LSPArray array_0;
            array_0.reserve(value.inlayHintLabelPartArray().size());
            for (const auto &elem_0 : value.inlayHintLabelPartArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = inlayHintLabelPartToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported InlayHint_labelType: " +
                 InlayHint_labelTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToInlayHint(const LSPAny &any) const -> InlayHint
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InlayHint"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InlayHint value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 8) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InlayHint"
                 ": " + std::to_string(object_0.size()) + " > 8")
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            value_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHint attribute: position"
            );
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            value_0.label = anyToInlayHint_label(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHint attribute: label"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToInlayHintKind(*iter_0->second);
        }

        iter_0 = object_0.find("textEdits");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextEdit> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToTextEdit(*elem_0));
            }
            value_0.textEdits = std::move(values_0);
        }

        iter_0 = object_0.find("tooltip");
        if (iter_0 != object_0.end()) {
            value_0.tooltip = anyToInlayHint_tooltip(*iter_0->second);
        }

        iter_0 = object_0.find("paddingLeft");
        if (iter_0 != object_0.end()) {
            value_0.paddingLeft = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("paddingRight");
        if (iter_0 != object_0.end()) {
            value_0.paddingRight = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::inlayHintToAny(const InlayHint &param) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "position",
            std::make_unique<LSPAny>(positionToAny(param.position))
        );

        object_0.emplace(
            "label",
            std::make_unique<LSPAny>(inlayHint_labelToAny(param.label))
        );

        if (param.kind.has_value()) {
            const auto &kind_0 = param.kind.value();
            object_0.emplace(
                "kind",
                std::make_unique<LSPAny>(inlayHintKindToAny(kind_0))
            );
        }

        if (param.textEdits.has_value()) {
            const auto &textEdits_0 = param.textEdits.value();
            LSPArray array_0;
            array_0.reserve(textEdits_0.size());
            for (const auto &elem_0 : textEdits_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = textEditToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("textEdits", std::move(any_1));
        }

        if (param.tooltip.has_value()) {
            const auto &tooltip_0 = param.tooltip.value();
            object_0.emplace(
                "tooltip",
                std::make_unique<LSPAny>(inlayHint_tooltipToAny(tooltip_0))
            );
        }

        if (param.paddingLeft.has_value()) {
            const auto &paddingLeft_0 = param.paddingLeft.value();
            object_0.emplace(
                "paddingLeft",
                std::make_unique<LSPAny>(booleanToAny(paddingLeft_0))
            );
        }

        if (param.paddingRight.has_value()) {
            const auto &paddingRight_0 = param.paddingRight.value();
            object_0.emplace(
                "paddingRight",
                std::make_unique<LSPAny>(booleanToAny(paddingRight_0))
            );
        }

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::inlayHint_label_1ToAny(
        const InlayHint_label_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = inlayHintLabelPartToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToInlayHint_label_1(
        const LSPAny &any
    ) const -> InlayHint_label_1
    {
        const auto &array_0 = any.array();
        std::vector<InlayHintLabelPart> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToInlayHintLabelPart(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToRegistration(
        const LSPAny &any
    ) const -> Registration
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Registration"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Registration value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Registration"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Registration attribute: id"
            );
        }

        iter_0 = object_0.find("method");
        if (iter_0 != object_0.end()) {
            value_0.method = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Registration attribute: method"
            );
        }

        iter_0 = object_0.find("registerOptions");
        if (iter_0 != object_0.end()) {
            value_0.registerOptions = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::registrationToAny(
        const Registration &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "id",
            std::make_unique<LSPAny>(stringToAny(param.id))
        );

        object_0.emplace(
            "method",
            std::make_unique<LSPAny>(stringToAny(param.method))
        );

        if (param.registerOptions.has_value()) {
            const auto &registerOptions_0 = param.registerOptions.value();
            object_0.emplace(
                "registerOptions",
                std::make_unique<LSPAny>(copy(registerOptions_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToRegistrationParams(
        const LSPAny &any
    ) const -> RegistrationParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RegistrationParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RegistrationParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RegistrationParams"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("registrations");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Registration> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToRegistration(*elem_0));
            }
            value_0.registrations = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RegistrationParams attribute: registrations"
            );
        }

        return value_0;
    }

    auto LspTransformer::registrationParamsToAny(
        const RegistrationParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.registrations.size());
        for (const auto &elem_0 : param.registrations) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = registrationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("registrations", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::registrationParams_registrationsToAny(
        const RegistrationParams_registrations &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = registrationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToRegistrationParams_registrations(
        const LSPAny &any
    ) const -> RegistrationParams_registrations
    {
        const auto &array_0 = any.array();
        std::vector<Registration> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToRegistration(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToServerCapabilities(
        const LSPAny &any
    ) const -> ServerCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ServerCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ServerCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 36) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ServerCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 36")
            );
        }

        iter_0 = object_0.find("positionEncoding");
        if (iter_0 != object_0.end()) {
            value_0.positionEncoding =
                anyToPositionEncodingKind(*iter_0->second);
        }

        iter_0 = object_0.find("textDocumentSync");
        if (iter_0 != object_0.end()) {
            value_0.textDocumentSync =
                anyToServerCapabilities_textDocumentSync(*iter_0->second);
        }

        iter_0 = object_0.find("notebookDocumentSync");
        if (iter_0 != object_0.end()) {
            value_0.notebookDocumentSync =
                anyToServerCapabilities_notebookDocumentSync(*iter_0->second);
        }

        iter_0 = object_0.find("completionProvider");
        if (iter_0 != object_0.end()) {
            value_0.completionProvider =
                anyToCompletionOptions(*iter_0->second);
        }

        iter_0 = object_0.find("hoverProvider");
        if (iter_0 != object_0.end()) {
            value_0.hoverProvider =
                anyToServerCapabilities_hoverProvider(*iter_0->second);
        }

        iter_0 = object_0.find("signatureHelpProvider");
        if (iter_0 != object_0.end()) {
            value_0.signatureHelpProvider =
                anyToSignatureHelpOptions(*iter_0->second);
        }

        iter_0 = object_0.find("declarationProvider");
        if (iter_0 != object_0.end()) {
            value_0.declarationProvider =
                anyToServerCapabilities_declarationProvider(*iter_0->second);
        }

        iter_0 = object_0.find("definitionProvider");
        if (iter_0 != object_0.end()) {
            value_0.definitionProvider =
                anyToServerCapabilities_definitionProvider(*iter_0->second);
        }

        iter_0 = object_0.find("typeDefinitionProvider");
        if (iter_0 != object_0.end()) {
            value_0.typeDefinitionProvider =
                anyToServerCapabilities_typeDefinitionProvider(*iter_0->second);
        }

        iter_0 = object_0.find("implementationProvider");
        if (iter_0 != object_0.end()) {
            value_0.implementationProvider =
                anyToServerCapabilities_implementationProvider(*iter_0->second);
        }

        iter_0 = object_0.find("referencesProvider");
        if (iter_0 != object_0.end()) {
            value_0.referencesProvider =
                anyToServerCapabilities_referencesProvider(*iter_0->second);
        }

        iter_0 = object_0.find("documentHighlightProvider");
        if (iter_0 != object_0.end()) {
            value_0.documentHighlightProvider =
                anyToServerCapabilities_documentHighlightProvider(*iter_0->second);
        }

        iter_0 = object_0.find("documentSymbolProvider");
        if (iter_0 != object_0.end()) {
            value_0.documentSymbolProvider =
                anyToServerCapabilities_documentSymbolProvider(*iter_0->second);
        }

        iter_0 = object_0.find("codeActionProvider");
        if (iter_0 != object_0.end()) {
            value_0.codeActionProvider =
                anyToServerCapabilities_codeActionProvider(*iter_0->second);
        }

        iter_0 = object_0.find("codeLensProvider");
        if (iter_0 != object_0.end()) {
            value_0.codeLensProvider = anyToCodeLensOptions(*iter_0->second);
        }

        iter_0 = object_0.find("documentLinkProvider");
        if (iter_0 != object_0.end()) {
            value_0.documentLinkProvider =
                anyToDocumentLinkOptions(*iter_0->second);
        }

        iter_0 = object_0.find("colorProvider");
        if (iter_0 != object_0.end()) {
            value_0.colorProvider =
                anyToServerCapabilities_colorProvider(*iter_0->second);
        }

        iter_0 = object_0.find("workspaceSymbolProvider");
        if (iter_0 != object_0.end()) {
            value_0.workspaceSymbolProvider =
                anyToServerCapabilities_workspaceSymbolProvider(*iter_0->second);
        }

        iter_0 = object_0.find("documentFormattingProvider");
        if (iter_0 != object_0.end()) {
            value_0.documentFormattingProvider =
                anyToServerCapabilities_documentFormattingProvider(*iter_0->second);
        }

        iter_0 = object_0.find("documentRangeFormattingProvider");
        if (iter_0 != object_0.end()) {
            value_0.documentRangeFormattingProvider =
                anyToServerCapabilities_documentRangeFormattingProvider(*iter_0->second);
        }

        iter_0 = object_0.find("documentOnTypeFormattingProvider");
        if (iter_0 != object_0.end()) {
            value_0.documentOnTypeFormattingProvider =
                anyToDocumentOnTypeFormattingOptions(*iter_0->second);
        }

        iter_0 = object_0.find("renameProvider");
        if (iter_0 != object_0.end()) {
            value_0.renameProvider =
                anyToServerCapabilities_renameProvider(*iter_0->second);
        }

        iter_0 = object_0.find("foldingRangeProvider");
        if (iter_0 != object_0.end()) {
            value_0.foldingRangeProvider =
                anyToServerCapabilities_foldingRangeProvider(*iter_0->second);
        }

        iter_0 = object_0.find("selectionRangeProvider");
        if (iter_0 != object_0.end()) {
            value_0.selectionRangeProvider =
                anyToServerCapabilities_selectionRangeProvider(*iter_0->second);
        }

        iter_0 = object_0.find("executeCommandProvider");
        if (iter_0 != object_0.end()) {
            value_0.executeCommandProvider =
                anyToExecuteCommandOptions(*iter_0->second);
        }

        iter_0 = object_0.find("callHierarchyProvider");
        if (iter_0 != object_0.end()) {
            value_0.callHierarchyProvider =
                anyToServerCapabilities_callHierarchyProvider(*iter_0->second);
        }

        iter_0 = object_0.find("linkedEditingRangeProvider");
        if (iter_0 != object_0.end()) {
            value_0.linkedEditingRangeProvider =
                anyToServerCapabilities_linkedEditingRangeProvider(*iter_0->second);
        }

        iter_0 = object_0.find("semanticTokensProvider");
        if (iter_0 != object_0.end()) {
            value_0.semanticTokensProvider =
                anyToServerCapabilities_semanticTokensProvider(*iter_0->second);
        }

        iter_0 = object_0.find("monikerProvider");
        if (iter_0 != object_0.end()) {
            value_0.monikerProvider =
                anyToServerCapabilities_monikerProvider(*iter_0->second);
        }

        iter_0 = object_0.find("typeHierarchyProvider");
        if (iter_0 != object_0.end()) {
            value_0.typeHierarchyProvider =
                anyToServerCapabilities_typeHierarchyProvider(*iter_0->second);
        }

        iter_0 = object_0.find("inlineValueProvider");
        if (iter_0 != object_0.end()) {
            value_0.inlineValueProvider =
                anyToServerCapabilities_inlineValueProvider(*iter_0->second);
        }

        iter_0 = object_0.find("inlayHintProvider");
        if (iter_0 != object_0.end()) {
            value_0.inlayHintProvider =
                anyToServerCapabilities_inlayHintProvider(*iter_0->second);
        }

        iter_0 = object_0.find("diagnosticProvider");
        if (iter_0 != object_0.end()) {
            value_0.diagnosticProvider =
                anyToServerCapabilities_diagnosticProvider(*iter_0->second);
        }

        iter_0 = object_0.find("inlineCompletionProvider");
        if (iter_0 != object_0.end()) {
            value_0.inlineCompletionProvider =
                anyToServerCapabilities_inlineCompletionProvider(*iter_0->second);
        }

        iter_0 = object_0.find("workspace");
        if (iter_0 != object_0.end()) {
            value_0.workspace =
                anyToServerCapabilities_workspace(*iter_0->second);
        }

        iter_0 = object_0.find("experimental");
        if (iter_0 != object_0.end()) {
            value_0.experimental = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::serverCapabilitiesToAny(
        const ServerCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.positionEncoding.has_value()) {
            const auto &positionEncoding_0 = param.positionEncoding.value();
            object_0.emplace(
                "positionEncoding",
                std::make_unique<LSPAny>(positionEncodingKindToAny(positionEncoding_0))
            );
        }

        if (param.textDocumentSync.has_value()) {
            const auto &textDocumentSync_0 = param.textDocumentSync.value();
            object_0.emplace(
                "textDocumentSync",
                std::make_unique<LSPAny>(serverCapabilities_textDocumentSyncToAny(textDocumentSync_0))
            );
        }

        if (param.notebookDocumentSync.has_value()) {
            const auto &notebookDocumentSync_0 =
                param.notebookDocumentSync.value();
            object_0.emplace(
                "notebookDocumentSync",
                std::make_unique<LSPAny>(serverCapabilities_notebookDocumentSyncToAny(notebookDocumentSync_0))
            );
        }

        if (param.completionProvider.has_value()) {
            const auto &completionProvider_0 =
                param.completionProvider.value();
            object_0.emplace(
                "completionProvider",
                std::make_unique<LSPAny>(completionOptionsToAny(completionProvider_0))
            );
        }

        if (param.hoverProvider.has_value()) {
            const auto &hoverProvider_0 = param.hoverProvider.value();
            object_0.emplace(
                "hoverProvider",
                std::make_unique<LSPAny>(serverCapabilities_hoverProviderToAny(hoverProvider_0))
            );
        }

        if (param.signatureHelpProvider.has_value()) {
            const auto &signatureHelpProvider_0 =
                param.signatureHelpProvider.value();
            object_0.emplace(
                "signatureHelpProvider",
                std::make_unique<LSPAny>(signatureHelpOptionsToAny(signatureHelpProvider_0))
            );
        }

        if (param.declarationProvider.has_value()) {
            const auto &declarationProvider_0 =
                param.declarationProvider.value();
            object_0.emplace(
                "declarationProvider",
                std::make_unique<LSPAny>(serverCapabilities_declarationProviderToAny(declarationProvider_0))
            );
        }

        if (param.definitionProvider.has_value()) {
            const auto &definitionProvider_0 =
                param.definitionProvider.value();
            object_0.emplace(
                "definitionProvider",
                std::make_unique<LSPAny>(serverCapabilities_definitionProviderToAny(definitionProvider_0))
            );
        }

        if (param.typeDefinitionProvider.has_value()) {
            const auto &typeDefinitionProvider_0 =
                param.typeDefinitionProvider.value();
            object_0.emplace(
                "typeDefinitionProvider",
                std::make_unique<LSPAny>(serverCapabilities_typeDefinitionProviderToAny(typeDefinitionProvider_0))
            );
        }

        if (param.implementationProvider.has_value()) {
            const auto &implementationProvider_0 =
                param.implementationProvider.value();
            object_0.emplace(
                "implementationProvider",
                std::make_unique<LSPAny>(serverCapabilities_implementationProviderToAny(implementationProvider_0))
            );
        }

        if (param.referencesProvider.has_value()) {
            const auto &referencesProvider_0 =
                param.referencesProvider.value();
            object_0.emplace(
                "referencesProvider",
                std::make_unique<LSPAny>(serverCapabilities_referencesProviderToAny(referencesProvider_0))
            );
        }

        if (param.documentHighlightProvider.has_value()) {
            const auto &documentHighlightProvider_0 =
                param.documentHighlightProvider.value();
            object_0.emplace(
                "documentHighlightProvider",
                std::make_unique<LSPAny>(serverCapabilities_documentHighlightProviderToAny(documentHighlightProvider_0))
            );
        }

        if (param.documentSymbolProvider.has_value()) {
            const auto &documentSymbolProvider_0 =
                param.documentSymbolProvider.value();
            object_0.emplace(
                "documentSymbolProvider",
                std::make_unique<LSPAny>(serverCapabilities_documentSymbolProviderToAny(documentSymbolProvider_0))
            );
        }

        if (param.codeActionProvider.has_value()) {
            const auto &codeActionProvider_0 =
                param.codeActionProvider.value();
            object_0.emplace(
                "codeActionProvider",
                std::make_unique<LSPAny>(serverCapabilities_codeActionProviderToAny(codeActionProvider_0))
            );
        }

        if (param.codeLensProvider.has_value()) {
            const auto &codeLensProvider_0 = param.codeLensProvider.value();
            object_0.emplace(
                "codeLensProvider",
                std::make_unique<LSPAny>(codeLensOptionsToAny(codeLensProvider_0))
            );
        }

        if (param.documentLinkProvider.has_value()) {
            const auto &documentLinkProvider_0 =
                param.documentLinkProvider.value();
            object_0.emplace(
                "documentLinkProvider",
                std::make_unique<LSPAny>(documentLinkOptionsToAny(documentLinkProvider_0))
            );
        }

        if (param.colorProvider.has_value()) {
            const auto &colorProvider_0 = param.colorProvider.value();
            object_0.emplace(
                "colorProvider",
                std::make_unique<LSPAny>(serverCapabilities_colorProviderToAny(colorProvider_0))
            );
        }

        if (param.workspaceSymbolProvider.has_value()) {
            const auto &workspaceSymbolProvider_0 =
                param.workspaceSymbolProvider.value();
            object_0.emplace(
                "workspaceSymbolProvider",
                std::make_unique<LSPAny>(serverCapabilities_workspaceSymbolProviderToAny(workspaceSymbolProvider_0))
            );
        }

        if (param.documentFormattingProvider.has_value()) {
            const auto &documentFormattingProvider_0 =
                param.documentFormattingProvider.value();
            object_0.emplace(
                "documentFormattingProvider",
                std::make_unique<LSPAny>(serverCapabilities_documentFormattingProviderToAny(documentFormattingProvider_0))
            );
        }

        if (param.documentRangeFormattingProvider.has_value()) {
            const auto &documentRangeFormattingProvider_0 =
                param.documentRangeFormattingProvider.value();
            object_0.emplace(
                "documentRangeFormattingProvider",
                std::make_unique<LSPAny>(serverCapabilities_documentRangeFormattingProviderToAny(documentRangeFormattingProvider_0))
            );
        }

        if (param.documentOnTypeFormattingProvider.has_value()) {
            const auto &documentOnTypeFormattingProvider_0 =
                param.documentOnTypeFormattingProvider.value();
            object_0.emplace(
                "documentOnTypeFormattingProvider",
                std::make_unique<LSPAny>(documentOnTypeFormattingOptionsToAny(documentOnTypeFormattingProvider_0))
            );
        }

        if (param.renameProvider.has_value()) {
            const auto &renameProvider_0 = param.renameProvider.value();
            object_0.emplace(
                "renameProvider",
                std::make_unique<LSPAny>(serverCapabilities_renameProviderToAny(renameProvider_0))
            );
        }

        if (param.foldingRangeProvider.has_value()) {
            const auto &foldingRangeProvider_0 =
                param.foldingRangeProvider.value();
            object_0.emplace(
                "foldingRangeProvider",
                std::make_unique<LSPAny>(serverCapabilities_foldingRangeProviderToAny(foldingRangeProvider_0))
            );
        }

        if (param.selectionRangeProvider.has_value()) {
            const auto &selectionRangeProvider_0 =
                param.selectionRangeProvider.value();
            object_0.emplace(
                "selectionRangeProvider",
                std::make_unique<LSPAny>(serverCapabilities_selectionRangeProviderToAny(selectionRangeProvider_0))
            );
        }

        if (param.executeCommandProvider.has_value()) {
            const auto &executeCommandProvider_0 =
                param.executeCommandProvider.value();
            object_0.emplace(
                "executeCommandProvider",
                std::make_unique<LSPAny>(executeCommandOptionsToAny(executeCommandProvider_0))
            );
        }

        if (param.callHierarchyProvider.has_value()) {
            const auto &callHierarchyProvider_0 =
                param.callHierarchyProvider.value();
            object_0.emplace(
                "callHierarchyProvider",
                std::make_unique<LSPAny>(serverCapabilities_callHierarchyProviderToAny(callHierarchyProvider_0))
            );
        }

        if (param.linkedEditingRangeProvider.has_value()) {
            const auto &linkedEditingRangeProvider_0 =
                param.linkedEditingRangeProvider.value();
            object_0.emplace(
                "linkedEditingRangeProvider",
                std::make_unique<LSPAny>(serverCapabilities_linkedEditingRangeProviderToAny(linkedEditingRangeProvider_0))
            );
        }

        if (param.semanticTokensProvider.has_value()) {
            const auto &semanticTokensProvider_0 =
                param.semanticTokensProvider.value();
            object_0.emplace(
                "semanticTokensProvider",
                std::make_unique<LSPAny>(serverCapabilities_semanticTokensProviderToAny(semanticTokensProvider_0))
            );
        }

        if (param.monikerProvider.has_value()) {
            const auto &monikerProvider_0 = param.monikerProvider.value();
            object_0.emplace(
                "monikerProvider",
                std::make_unique<LSPAny>(serverCapabilities_monikerProviderToAny(monikerProvider_0))
            );
        }

        if (param.typeHierarchyProvider.has_value()) {
            const auto &typeHierarchyProvider_0 =
                param.typeHierarchyProvider.value();
            object_0.emplace(
                "typeHierarchyProvider",
                std::make_unique<LSPAny>(serverCapabilities_typeHierarchyProviderToAny(typeHierarchyProvider_0))
            );
        }

        if (param.inlineValueProvider.has_value()) {
            const auto &inlineValueProvider_0 =
                param.inlineValueProvider.value();
            object_0.emplace(
                "inlineValueProvider",
                std::make_unique<LSPAny>(serverCapabilities_inlineValueProviderToAny(inlineValueProvider_0))
            );
        }

        if (param.inlayHintProvider.has_value()) {
            const auto &inlayHintProvider_0 = param.inlayHintProvider.value();
            object_0.emplace(
                "inlayHintProvider",
                std::make_unique<LSPAny>(serverCapabilities_inlayHintProviderToAny(inlayHintProvider_0))
            );
        }

        if (param.diagnosticProvider.has_value()) {
            const auto &diagnosticProvider_0 =
                param.diagnosticProvider.value();
            object_0.emplace(
                "diagnosticProvider",
                std::make_unique<LSPAny>(serverCapabilities_diagnosticProviderToAny(diagnosticProvider_0))
            );
        }

        if (param.inlineCompletionProvider.has_value()) {
            const auto &inlineCompletionProvider_0 =
                param.inlineCompletionProvider.value();
            object_0.emplace(
                "inlineCompletionProvider",
                std::make_unique<LSPAny>(serverCapabilities_inlineCompletionProviderToAny(inlineCompletionProvider_0))
            );
        }

        if (param.workspace.has_value()) {
            const auto &workspace_0 = param.workspace.value();
            object_0.emplace(
                "workspace",
                std::make_unique<LSPAny>(serverCapabilities_workspaceToAny(workspace_0))
            );
        }

        if (param.experimental.has_value()) {
            const auto &experimental_0 = param.experimental.value();
            object_0.emplace(
                "experimental",
                std::make_unique<LSPAny>(copy(experimental_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInitializeResult(
        const LSPAny &any
    ) const -> InitializeResult
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InitializeResult"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InitializeResult value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InitializeResult"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("capabilities");
        if (iter_0 != object_0.end()) {
            value_0.capabilities = anyToServerCapabilities(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InitializeResult attribute: capabilities"
            );
        }

        iter_0 = object_0.find("serverInfo");
        if (iter_0 != object_0.end()) {
            value_0.serverInfo =
                anyToInitializeResult_serverInfo(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::initializeResultToAny(
        const InitializeResult &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "capabilities",
            std::make_unique<LSPAny>(serverCapabilitiesToAny(param.capabilities))
        );

        if (param.serverInfo.has_value()) {
            const auto &serverInfo_0 = param.serverInfo.value();
            object_0.emplace(
                "serverInfo",
                std::make_unique<LSPAny>(initializeResult_serverInfoToAny(serverInfo_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDiagnostic(const LSPAny &any) const -> Diagnostic
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "Diagnostic"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        Diagnostic value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 9) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "Diagnostic"
                 ": " + std::to_string(object_0.size()) + " > 9")
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Diagnostic attribute: range"
            );
        }

        iter_0 = object_0.find("severity");
        if (iter_0 != object_0.end()) {
            value_0.severity = anyToDiagnosticSeverity(*iter_0->second);
        }

        iter_0 = object_0.find("code");
        if (iter_0 != object_0.end()) {
            value_0.code = anyToDiagnostic_code(*iter_0->second);
        }

        iter_0 = object_0.find("codeDescription");
        if (iter_0 != object_0.end()) {
            value_0.codeDescription = anyToCodeDescription(*iter_0->second);
        }

        iter_0 = object_0.find("source");
        if (iter_0 != object_0.end()) {
            value_0.source = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required Diagnostic attribute: message"
            );
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<DiagnosticTag> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToDiagnosticTag(*elem_0));
            }
            value_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("relatedInformation");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<DiagnosticRelatedInformation> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToDiagnosticRelatedInformation(*elem_1));
            }
            value_0.relatedInformation = std::move(values_1);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::diagnosticToAny(
        const Diagnostic &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        if (param.severity.has_value()) {
            const auto &severity_0 = param.severity.value();
            object_0.emplace(
                "severity",
                std::make_unique<LSPAny>(diagnosticSeverityToAny(severity_0))
            );
        }

        if (param.code.has_value()) {
            const auto &code_0 = param.code.value();
            object_0.emplace(
                "code",
                std::make_unique<LSPAny>(diagnostic_codeToAny(code_0))
            );
        }

        if (param.codeDescription.has_value()) {
            const auto &codeDescription_0 = param.codeDescription.value();
            object_0.emplace(
                "codeDescription",
                std::make_unique<LSPAny>(codeDescriptionToAny(codeDescription_0))
            );
        }

        if (param.source.has_value()) {
            const auto &source_0 = param.source.value();
            object_0.emplace(
                "source",
                std::make_unique<LSPAny>(stringToAny(source_0))
            );
        }

        object_0.emplace(
            "message",
            std::make_unique<LSPAny>(stringToAny(param.message))
        );

        if (param.tags.has_value()) {
            const auto &tags_0 = param.tags.value();
            LSPArray array_0;
            array_0.reserve(tags_0.size());
            for (const auto &elem_0 : tags_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = diagnosticTagToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("tags", std::move(any_1));
        }

        if (param.relatedInformation.has_value()) {
            const auto &relatedInformation_0 =
                param.relatedInformation.value();
            LSPArray array_1;
            array_1.reserve(relatedInformation_0.size());
            for (const auto &elem_1 : relatedInformation_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = diagnosticRelatedInformationToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("relatedInformation", std::move(any_3));
        }

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::anyToPublishDiagnosticsParams(
        const LSPAny &any
    ) const -> PublishDiagnosticsParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "PublishDiagnosticsParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        PublishDiagnosticsParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "PublishDiagnosticsParams"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PublishDiagnosticsParams attribute: uri"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToInteger(*iter_0->second);
        }

        iter_0 = object_0.find("diagnostics");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Diagnostic> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToDiagnostic(*elem_0));
            }
            value_0.diagnostics = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required PublishDiagnosticsParams attribute: diagnostics"
            );
        }

        return value_0;
    }

    auto LspTransformer::publishDiagnosticsParamsToAny(
        const PublishDiagnosticsParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        if (param.version.has_value()) {
            const auto &version_0 = param.version.value();
            object_0.emplace(
                "version",
                std::make_unique<LSPAny>(integerToAny(version_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.diagnostics.size());
        for (const auto &elem_0 : param.diagnostics) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("diagnostics", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::publishDiagnosticsParams_diagnosticsToAny(
        const PublishDiagnosticsParams_diagnostics &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToPublishDiagnosticsParams_diagnostics(
        const LSPAny &any
    ) const -> PublishDiagnosticsParams_diagnostics
    {
        const auto &array_0 = any.array();
        std::vector<Diagnostic> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDiagnostic(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCodeAction(const LSPAny &any) const -> CodeAction
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeAction"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeAction value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 8) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeAction"
                 ": " + std::to_string(object_0.size()) + " > 8")
            );
        }

        iter_0 = object_0.find("title");
        if (iter_0 != object_0.end()) {
            value_0.title = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeAction attribute: title"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToCodeActionKind(*iter_0->second);
        }

        iter_0 = object_0.find("diagnostics");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Diagnostic> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToDiagnostic(*elem_0));
            }
            value_0.diagnostics = std::move(values_0);
        }

        iter_0 = object_0.find("isPreferred");
        if (iter_0 != object_0.end()) {
            value_0.isPreferred = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("disabled");
        if (iter_0 != object_0.end()) {
            value_0.disabled = anyToCodeAction_disabled(*iter_0->second);
        }

        iter_0 = object_0.find("edit");
        if (iter_0 != object_0.end()) {
            value_0.edit = anyToWorkspaceEdit(*iter_0->second);
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            value_0.command = anyToCommand(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeActionToAny(
        const CodeAction &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "title",
            std::make_unique<LSPAny>(stringToAny(param.title))
        );

        if (param.kind.has_value()) {
            const auto &kind_0 = param.kind.value();
            object_0.emplace(
                "kind",
                std::make_unique<LSPAny>(codeActionKindToAny(kind_0))
            );
        }

        if (param.diagnostics.has_value()) {
            const auto &diagnostics_0 = param.diagnostics.value();
            LSPArray array_0;
            array_0.reserve(diagnostics_0.size());
            for (const auto &elem_0 : diagnostics_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = diagnosticToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("diagnostics", std::move(any_1));
        }

        if (param.isPreferred.has_value()) {
            const auto &isPreferred_0 = param.isPreferred.value();
            object_0.emplace(
                "isPreferred",
                std::make_unique<LSPAny>(booleanToAny(isPreferred_0))
            );
        }

        if (param.disabled.has_value()) {
            const auto &disabled_0 = param.disabled.value();
            object_0.emplace(
                "disabled",
                std::make_unique<LSPAny>(codeAction_disabledToAny(disabled_0))
            );
        }

        if (param.edit.has_value()) {
            const auto &edit_0 = param.edit.value();
            object_0.emplace(
                "edit",
                std::make_unique<LSPAny>(workspaceEditToAny(edit_0))
            );
        }

        if (param.command.has_value()) {
            const auto &command_0 = param.command.value();
            object_0.emplace(
                "command",
                std::make_unique<LSPAny>(commandToAny(command_0))
            );
        }

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::codeAction_diagnosticsToAny(
        const CodeAction_diagnostics &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCodeAction_diagnostics(
        const LSPAny &any
    ) const -> CodeAction_diagnostics
    {
        const auto &array_0 = any.array();
        std::vector<Diagnostic> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDiagnostic(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToFullDocumentDiagnosticReport(
        const LSPAny &any
    ) const -> FullDocumentDiagnosticReport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "FullDocumentDiagnosticReport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        FullDocumentDiagnosticReport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "FullDocumentDiagnosticReport"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "full") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "FullDocumentDiagnosticReport.kind"
                     " must be \"full\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FullDocumentDiagnosticReport attribute: kind"
            );
        }

        iter_0 = object_0.find("resultId");
        if (iter_0 != object_0.end()) {
            value_0.resultId = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("items");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Diagnostic> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToDiagnostic(*elem_0));
            }
            value_0.items = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required FullDocumentDiagnosticReport attribute: items"
            );
        }

        return value_0;
    }

    auto LspTransformer::fullDocumentDiagnosticReportToAny(
        const FullDocumentDiagnosticReport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        if (param.resultId.has_value()) {
            const auto &resultId_0 = param.resultId.value();
            object_0.emplace(
                "resultId",
                std::make_unique<LSPAny>(stringToAny(resultId_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.items.size());
        for (const auto &elem_0 : param.items) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("items", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToDocumentDiagnosticReportPartialResult_relatedDocuments_value(
        const LSPAny &any
    ) const -> DocumentDiagnosticReportPartialResult_relatedDocuments_value
    {
        DocumentDiagnosticReportPartialResult_relatedDocuments_value value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToFullDocumentDiagnosticReport(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToUnchangedDocumentDiagnosticReport(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to DocumentDiagnosticReportPartialResult_relatedDocuments_value"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "DocumentDiagnosticReportPartialResult_relatedDocuments_value"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::documentDiagnosticReportPartialResult_relatedDocuments_valueToAny(
        const DocumentDiagnosticReportPartialResult_relatedDocuments_value &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
            return fullDocumentDiagnosticReportToAny(value.fullDocumentDiagnosticReport());
        }
        case DocumentDiagnosticReportPartialResult_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
            return unchangedDocumentDiagnosticReportToAny(value.unchangedDocumentDiagnosticReport());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported DocumentDiagnosticReportPartialResult_relatedDocuments_valueType: " +
                 DocumentDiagnosticReportPartialResult_relatedDocuments_valueTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToDocumentDiagnosticReportPartialResult(
        const LSPAny &any
    ) const -> DocumentDiagnosticReportPartialResult
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DocumentDiagnosticReportPartialResult"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DocumentDiagnosticReportPartialResult value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DocumentDiagnosticReportPartialResult"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("relatedDocuments");
        if (iter_0 != object_0.end()) {
            std::map<DocumentUri, DocumentDiagnosticReportPartialResult_relatedDocuments_value> map_0;
            for (const auto &[key_0, value_1] : iter_0->second->object()) {
                map_0.emplace(
                    key_0,
                    anyToDocumentDiagnosticReportPartialResult_relatedDocuments_value(*value_1)
                );
            }
            value_0.relatedDocuments = std::move(map_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentDiagnosticReportPartialResult attribute: relatedDocuments"
            );
        }

        return value_0;
    }

    auto LspTransformer::documentDiagnosticReportPartialResultToAny(
        const DocumentDiagnosticReportPartialResult &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPObject map_0;
        for (const auto &[key_0, value_0] : param.relatedDocuments) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) =
                documentDiagnosticReportPartialResult_relatedDocuments_valueToAny(value_0);
            map_0.emplace(key_0, std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(map_0);
        object_0.emplace("relatedDocuments", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::documentDiagnosticReportPartialResult_relatedDocumentsToAny(
        const DocumentDiagnosticReportPartialResult_relatedDocuments &map
    ) const -> LSPAny
    {
        LSPObject object_0;
        for (const auto &[key_0, value_0] : map) {
            object_0.emplace(
                key_0,
                std::make_unique<LSPAny>(documentDiagnosticReportPartialResult_relatedDocuments_valueToAny(value_0))
            );
        }
        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToDocumentDiagnosticReportPartialResult_relatedDocuments(
        const LSPAny &any
    ) const -> DocumentDiagnosticReportPartialResult_relatedDocuments
    {
        std::map<DocumentUri, DocumentDiagnosticReportPartialResult_relatedDocuments_value> map_0;
        for (const auto &[key_0, value_0] : any.object()) {
            map_0.emplace(
                key_0,
                anyToDocumentDiagnosticReportPartialResult_relatedDocuments_value(*value_0)
            );
        }
        return map_0;
    }

    auto LspTransformer::anyToRelatedFullDocumentDiagnosticReport_relatedDocuments_value(
        const LSPAny &any
    ) const -> RelatedFullDocumentDiagnosticReport_relatedDocuments_value
    {
        RelatedFullDocumentDiagnosticReport_relatedDocuments_value value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToFullDocumentDiagnosticReport(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToUnchangedDocumentDiagnosticReport(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to RelatedFullDocumentDiagnosticReport_relatedDocuments_value"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "RelatedFullDocumentDiagnosticReport_relatedDocuments_value"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::relatedFullDocumentDiagnosticReport_relatedDocuments_valueToAny(
        const RelatedFullDocumentDiagnosticReport_relatedDocuments_value &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
            return fullDocumentDiagnosticReportToAny(value.fullDocumentDiagnosticReport());
        }
        case RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
            return unchangedDocumentDiagnosticReportToAny(value.unchangedDocumentDiagnosticReport());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported RelatedFullDocumentDiagnosticReport_relatedDocuments_valueType: " +
                 RelatedFullDocumentDiagnosticReport_relatedDocuments_valueTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToRelatedFullDocumentDiagnosticReport(
        const LSPAny &any
    ) const -> RelatedFullDocumentDiagnosticReport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RelatedFullDocumentDiagnosticReport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RelatedFullDocumentDiagnosticReport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RelatedFullDocumentDiagnosticReport"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "full") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "RelatedFullDocumentDiagnosticReport.kind"
                     " must be \"full\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RelatedFullDocumentDiagnosticReport attribute: kind"
            );
        }

        iter_0 = object_0.find("resultId");
        if (iter_0 != object_0.end()) {
            value_0.resultId = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("items");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Diagnostic> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToDiagnostic(*elem_0));
            }
            value_0.items = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RelatedFullDocumentDiagnosticReport attribute: items"
            );
        }

        iter_0 = object_0.find("relatedDocuments");
        if (iter_0 != object_0.end()) {
            std::map<DocumentUri, RelatedFullDocumentDiagnosticReport_relatedDocuments_value> map_0;
            for (const auto &[key_0, value_2] : iter_0->second->object()) {
                map_0.emplace(
                    key_0,
                    anyToRelatedFullDocumentDiagnosticReport_relatedDocuments_value(*value_2)
                );
            }
            value_0.relatedDocuments = std::move(map_0);
        }

        return value_0;
    }

    auto LspTransformer::relatedFullDocumentDiagnosticReportToAny(
        const RelatedFullDocumentDiagnosticReport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        if (param.resultId.has_value()) {
            const auto &resultId_0 = param.resultId.value();
            object_0.emplace(
                "resultId",
                std::make_unique<LSPAny>(stringToAny(resultId_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.items.size());
        for (const auto &elem_0 : param.items) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("items", std::move(any_1));

        if (param.relatedDocuments.has_value()) {
            const auto &relatedDocuments_0 = param.relatedDocuments.value();
            LSPObject map_0;
            for (const auto &[key_0, value_0] : relatedDocuments_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) =
                    relatedFullDocumentDiagnosticReport_relatedDocuments_valueToAny(value_0);
                map_0.emplace(key_0, std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(map_0);
            object_0.emplace("relatedDocuments", std::move(any_3));
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::relatedFullDocumentDiagnosticReport_relatedDocumentsToAny(
        const RelatedFullDocumentDiagnosticReport_relatedDocuments &map
    ) const -> LSPAny
    {
        LSPObject object_0;
        for (const auto &[key_0, value_0] : map) {
            object_0.emplace(
                key_0,
                std::make_unique<LSPAny>(relatedFullDocumentDiagnosticReport_relatedDocuments_valueToAny(value_0))
            );
        }
        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToRelatedFullDocumentDiagnosticReport_relatedDocuments(
        const LSPAny &any
    ) const -> RelatedFullDocumentDiagnosticReport_relatedDocuments
    {
        std::map<DocumentUri, RelatedFullDocumentDiagnosticReport_relatedDocuments_value> map_0;
        for (const auto &[key_0, value_0] : any.object()) {
            map_0.emplace(
                key_0,
                anyToRelatedFullDocumentDiagnosticReport_relatedDocuments_value(*value_0)
            );
        }
        return map_0;
    }

    auto LspTransformer::anyToRelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value(
        const LSPAny &any
    ) const -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value
    {
        RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToFullDocumentDiagnosticReport(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToUnchangedDocumentDiagnosticReport(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::relatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueToAny(
        const RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::FullDocumentDiagnosticReport: {
            return fullDocumentDiagnosticReportToAny(value.fullDocumentDiagnosticReport());
        }
        case RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType::UnchangedDocumentDiagnosticReport: {
            return unchangedDocumentDiagnosticReportToAny(value.unchangedDocumentDiagnosticReport());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueType: " +
                 RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToRelatedUnchangedDocumentDiagnosticReport(
        const LSPAny &any
    ) const -> RelatedUnchangedDocumentDiagnosticReport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RelatedUnchangedDocumentDiagnosticReport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RelatedUnchangedDocumentDiagnosticReport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RelatedUnchangedDocumentDiagnosticReport"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "unchanged") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "RelatedUnchangedDocumentDiagnosticReport.kind"
                     " must be \"unchanged\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RelatedUnchangedDocumentDiagnosticReport attribute: kind"
            );
        }

        iter_0 = object_0.find("resultId");
        if (iter_0 != object_0.end()) {
            value_0.resultId = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RelatedUnchangedDocumentDiagnosticReport attribute: resultId"
            );
        }

        iter_0 = object_0.find("relatedDocuments");
        if (iter_0 != object_0.end()) {
            std::map<DocumentUri, RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value> map_0;
            for (const auto &[key_0, value_2] : iter_0->second->object()) {
                map_0.emplace(
                    key_0,
                    anyToRelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value(*value_2)
                );
            }
            value_0.relatedDocuments = std::move(map_0);
        }

        return value_0;
    }

    auto LspTransformer::relatedUnchangedDocumentDiagnosticReportToAny(
        const RelatedUnchangedDocumentDiagnosticReport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        object_0.emplace(
            "resultId",
            std::make_unique<LSPAny>(stringToAny(param.resultId))
        );

        if (param.relatedDocuments.has_value()) {
            const auto &relatedDocuments_0 = param.relatedDocuments.value();
            LSPObject map_0;
            for (const auto &[key_0, value_0] : relatedDocuments_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) =
                    relatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueToAny(value_0);
                map_0.emplace(key_0, std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(map_0);
            object_0.emplace("relatedDocuments", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::relatedUnchangedDocumentDiagnosticReport_relatedDocumentsToAny(
        const RelatedUnchangedDocumentDiagnosticReport_relatedDocuments &map
    ) const -> LSPAny
    {
        LSPObject object_0;
        for (const auto &[key_0, value_0] : map) {
            object_0.emplace(
                key_0,
                std::make_unique<LSPAny>(relatedUnchangedDocumentDiagnosticReport_relatedDocuments_valueToAny(value_0))
            );
        }
        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToRelatedUnchangedDocumentDiagnosticReport_relatedDocuments(
        const LSPAny &any
    ) const -> RelatedUnchangedDocumentDiagnosticReport_relatedDocuments
    {
        std::map<DocumentUri, RelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value> map_0;
        for (const auto &[key_0, value_0] : any.object()) {
            map_0.emplace(
                key_0,
                anyToRelatedUnchangedDocumentDiagnosticReport_relatedDocuments_value(*value_0)
            );
        }
        return map_0;
    }

    auto LspTransformer::fullDocumentDiagnosticReport_itemsToAny(
        const FullDocumentDiagnosticReport_items &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToFullDocumentDiagnosticReport_items(
        const LSPAny &any
    ) const -> FullDocumentDiagnosticReport_items
    {
        const auto &array_0 = any.array();
        std::vector<Diagnostic> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDiagnostic(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCodeActionContext(
        const LSPAny &any
    ) const -> CodeActionContext
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeActionContext"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeActionContext value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeActionContext"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("diagnostics");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Diagnostic> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToDiagnostic(*elem_0));
            }
            value_0.diagnostics = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionContext attribute: diagnostics"
            );
        }

        iter_0 = object_0.find("only");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<CodeActionKind> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToCodeActionKind(*elem_1));
            }
            value_0.only = std::move(values_1);
        }

        iter_0 = object_0.find("triggerKind");
        if (iter_0 != object_0.end()) {
            value_0.triggerKind = anyToCodeActionTriggerKind(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::codeActionContextToAny(
        const CodeActionContext &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.diagnostics.size());
        for (const auto &elem_0 : param.diagnostics) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("diagnostics", std::move(any_1));

        if (param.only.has_value()) {
            const auto &only_0 = param.only.value();
            LSPArray array_1;
            array_1.reserve(only_0.size());
            for (const auto &elem_1 : only_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = codeActionKindToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("only", std::move(any_3));
        }

        if (param.triggerKind.has_value()) {
            const auto &triggerKind_0 = param.triggerKind.value();
            object_0.emplace(
                "triggerKind",
                std::make_unique<LSPAny>(codeActionTriggerKindToAny(triggerKind_0))
            );
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::anyToCodeActionParams(
        const LSPAny &any
    ) const -> CodeActionParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "CodeActionParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        CodeActionParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 7) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "CodeActionParams"
                 ": " + std::to_string(object_0.size()) + " > 7")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            value_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            value_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionParams attribute: range"
            );
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            value_0.context = anyToCodeActionContext(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionParams attribute: context"
            );
        }

        return value_0;
    }

    auto LspTransformer::codeActionParamsToAny(
        const CodeActionParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_0 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_0))
            );
        }

        if (param.partialResultToken.has_value()) {
            const auto &partialResultToken_1 =
                param.partialResultToken.value();
            object_0.emplace(
                "partialResultToken",
                std::make_unique<LSPAny>(progressTokenToAny(partialResultToken_1))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "textDocument",
            std::make_unique<LSPAny>(textDocumentIdentifierToAny(param.textDocument))
        );

        object_0.emplace(
            "range",
            std::make_unique<LSPAny>(rangeToAny(param.range))
        );

        object_0.emplace(
            "context",
            std::make_unique<LSPAny>(codeActionContextToAny(param.context))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::codeActionContext_diagnosticsToAny(
        const CodeActionContext_diagnostics &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCodeActionContext_diagnostics(
        const LSPAny &any
    ) const -> CodeActionContext_diagnostics
    {
        const auto &array_0 = any.array();
        std::vector<Diagnostic> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDiagnostic(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToWorkspaceFullDocumentDiagnosticReport(
        const LSPAny &any
    ) const -> WorkspaceFullDocumentDiagnosticReport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceFullDocumentDiagnosticReport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceFullDocumentDiagnosticReport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceFullDocumentDiagnosticReport"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            const auto &value_1 = anyToString(*iter_0->second);
            if (value_1 != "full") {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    ("String value for "
                     "WorkspaceFullDocumentDiagnosticReport.kind"
                     " must be \"full\""
                     " but was: \"value_1\"")
                );
            }
            value_0.kind = value_1;
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceFullDocumentDiagnosticReport attribute: kind"
            );
        }

        iter_0 = object_0.find("resultId");
        if (iter_0 != object_0.end()) {
            value_0.resultId = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("items");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Diagnostic> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToDiagnostic(*elem_0));
            }
            value_0.items = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceFullDocumentDiagnosticReport attribute: items"
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceFullDocumentDiagnosticReport attribute: uri"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version =
                anyToWorkspaceFullDocumentDiagnosticReport_version(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceFullDocumentDiagnosticReport attribute: version"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceFullDocumentDiagnosticReportToAny(
        const WorkspaceFullDocumentDiagnosticReport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(stringToAny(param.kind))
        );

        if (param.resultId.has_value()) {
            const auto &resultId_0 = param.resultId.value();
            object_0.emplace(
                "resultId",
                std::make_unique<LSPAny>(stringToAny(resultId_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.items.size());
        for (const auto &elem_0 : param.items) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("items", std::move(any_1));

        object_0.emplace(
            "uri",
            std::make_unique<LSPAny>(documentUriToAny(param.uri))
        );

        object_0.emplace(
            "version",
            std::make_unique<LSPAny>(workspaceFullDocumentDiagnosticReport_versionToAny(param.version))
        );

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToNotebookCell(
        const LSPAny &any
    ) const -> NotebookCell
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookCell"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookCell value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookCell"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            value_0.kind = anyToNotebookCellKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookCell attribute: kind"
            );
        }

        iter_0 = object_0.find("document");
        if (iter_0 != object_0.end()) {
            value_0.document = anyToDocumentUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookCell attribute: document"
            );
        }

        iter_0 = object_0.find("metadata");
        if (iter_0 != object_0.end()) {
            value_0.metadata = copy(iter_0->second->object());
        }

        iter_0 = object_0.find("executionSummary");
        if (iter_0 != object_0.end()) {
            value_0.executionSummary = anyToExecutionSummary(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::notebookCellToAny(
        const NotebookCell &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "kind",
            std::make_unique<LSPAny>(notebookCellKindToAny(param.kind))
        );

        object_0.emplace(
            "document",
            std::make_unique<LSPAny>(documentUriToAny(param.document))
        );

        if (param.metadata.has_value()) {
            const auto &metadata_0 = param.metadata.value();
            LSPAny any_0;
            any_0 = copy(metadata_0);
            object_0.emplace(
                "metadata",
                std::make_unique<LSPAny>(std::move(any_0))
            );
        }

        if (param.executionSummary.has_value()) {
            const auto &executionSummary_0 = param.executionSummary.value();
            object_0.emplace(
                "executionSummary",
                std::make_unique<LSPAny>(executionSummaryToAny(executionSummary_0))
            );
        }

        LSPAny any_1;
        any_1 = std::move(object_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocument(
        const LSPAny &any
    ) const -> NotebookDocument
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocument"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocument value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 5) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocument"
                 ": " + std::to_string(object_0.size()) + " > 5")
            );
        }

        iter_0 = object_0.find("uri");
        if (iter_0 != object_0.end()) {
            value_0.uri = anyToURI(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocument attribute: uri"
            );
        }

        iter_0 = object_0.find("notebookType");
        if (iter_0 != object_0.end()) {
            value_0.notebookType = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocument attribute: notebookType"
            );
        }

        iter_0 = object_0.find("version");
        if (iter_0 != object_0.end()) {
            value_0.version = anyToInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocument attribute: version"
            );
        }

        iter_0 = object_0.find("metadata");
        if (iter_0 != object_0.end()) {
            value_0.metadata = copy(iter_0->second->object());
        }

        iter_0 = object_0.find("cells");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<NotebookCell> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToNotebookCell(*elem_0));
            }
            value_0.cells = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocument attribute: cells"
            );
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentToAny(
        const NotebookDocument &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace("uri", std::make_unique<LSPAny>(uriToAny(param.uri)));

        object_0.emplace(
            "notebookType",
            std::make_unique<LSPAny>(stringToAny(param.notebookType))
        );

        object_0.emplace(
            "version",
            std::make_unique<LSPAny>(integerToAny(param.version))
        );

        if (param.metadata.has_value()) {
            const auto &metadata_0 = param.metadata.value();
            LSPAny any_0;
            any_0 = copy(metadata_0);
            object_0.emplace(
                "metadata",
                std::make_unique<LSPAny>(std::move(any_0))
            );
        }

        LSPArray array_0;
        array_0.reserve(param.cells.size());
        for (const auto &elem_0 : param.cells) {
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = notebookCellToAny(elem_0);
            array_0.push_back(std::move(any_1));
        }
        auto any_2 = std::make_unique<LSPAny>();
        (*any_2) = std::move(array_0);
        object_0.emplace("cells", std::move(any_2));

        LSPAny any_3;
        any_3 = std::move(object_0);
        return any_3;
    }

    auto LspTransformer::anyToDidOpenNotebookDocumentParams(
        const LSPAny &any
    ) const -> DidOpenNotebookDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidOpenNotebookDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidOpenNotebookDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidOpenNotebookDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("notebookDocument");
        if (iter_0 != object_0.end()) {
            value_0.notebookDocument = anyToNotebookDocument(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidOpenNotebookDocumentParams attribute: notebookDocument"
            );
        }

        iter_0 = object_0.find("cellTextDocuments");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextDocumentItem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToTextDocumentItem(*elem_0));
            }
            value_0.cellTextDocuments = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidOpenNotebookDocumentParams attribute: cellTextDocuments"
            );
        }

        return value_0;
    }

    auto LspTransformer::didOpenNotebookDocumentParamsToAny(
        const DidOpenNotebookDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "notebookDocument",
            std::make_unique<LSPAny>(notebookDocumentToAny(param.notebookDocument))
        );

        LSPArray array_0;
        array_0.reserve(param.cellTextDocuments.size());
        for (const auto &elem_0 : param.cellTextDocuments) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocumentItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("cellTextDocuments", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::notebookDocument_cellsToAny(
        const NotebookDocument_cells &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = notebookCellToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocument_cells(
        const LSPAny &any
    ) const -> NotebookDocument_cells
    {
        const auto &array_0 = any.array();
        std::vector<NotebookCell> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToNotebookCell(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::notebookDocumentChangeEvent_cells_dataToAny(
        const NotebookDocumentChangeEvent_cells_data &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = notebookCellToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookDocumentChangeEvent_cells_data(
        const LSPAny &any
    ) const -> NotebookDocumentChangeEvent_cells_data
    {
        const auto &array_0 = any.array();
        std::vector<NotebookCell> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToNotebookCell(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToNotebookCellArrayChange(
        const LSPAny &any
    ) const -> NotebookCellArrayChange
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookCellArrayChange"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookCellArrayChange value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookCellArrayChange"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("start");
        if (iter_0 != object_0.end()) {
            value_0.start = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookCellArrayChange attribute: start"
            );
        }

        iter_0 = object_0.find("deleteCount");
        if (iter_0 != object_0.end()) {
            value_0.deleteCount = anyToUInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookCellArrayChange attribute: deleteCount"
            );
        }

        iter_0 = object_0.find("cells");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<NotebookCell> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToNotebookCell(*elem_0));
            }
            value_0.cells = std::move(values_0);
        }

        return value_0;
    }

    auto LspTransformer::notebookCellArrayChangeToAny(
        const NotebookCellArrayChange &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "start",
            std::make_unique<LSPAny>(uintegerToAny(param.start))
        );

        object_0.emplace(
            "deleteCount",
            std::make_unique<LSPAny>(uintegerToAny(param.deleteCount))
        );

        if (param.cells.has_value()) {
            const auto &cells_0 = param.cells.value();
            LSPArray array_0;
            array_0.reserve(cells_0.size());
            for (const auto &elem_0 : cells_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = notebookCellToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("cells", std::move(any_1));
        }

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::anyToNotebookDocumentChangeEvent_cells_structure(
        const LSPAny &any
    ) const -> NotebookDocumentChangeEvent_cells_structure
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentChangeEvent_cells_structure"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentChangeEvent_cells_structure value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentChangeEvent_cells_structure"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("array");
        if (iter_0 != object_0.end()) {
            value_0.array = anyToNotebookCellArrayChange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotebookDocumentChangeEvent_cells_structure attribute: array"
            );
        }

        iter_0 = object_0.find("didOpen");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextDocumentItem> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToTextDocumentItem(*elem_0));
            }
            value_0.didOpen = std::move(values_0);
        }

        iter_0 = object_0.find("didClose");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<TextDocumentIdentifier> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToTextDocumentIdentifier(*elem_1));
            }
            value_0.didClose = std::move(values_1);
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentChangeEvent_cells_structureToAny(
        const NotebookDocumentChangeEvent_cells_structure &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "array",
            std::make_unique<LSPAny>(notebookCellArrayChangeToAny(param.array))
        );

        if (param.didOpen.has_value()) {
            const auto &didOpen_0 = param.didOpen.value();
            LSPArray array_0;
            array_0.reserve(didOpen_0.size());
            for (const auto &elem_0 : didOpen_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = textDocumentItemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("didOpen", std::move(any_1));
        }

        if (param.didClose.has_value()) {
            const auto &didClose_0 = param.didClose.value();
            LSPArray array_1;
            array_1.reserve(didClose_0.size());
            for (const auto &elem_1 : didClose_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = textDocumentIdentifierToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("didClose", std::move(any_3));
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::anyToNotebookDocumentChangeEvent_cells(
        const LSPAny &any
    ) const -> NotebookDocumentChangeEvent_cells
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentChangeEvent_cells"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentChangeEvent_cells value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentChangeEvent_cells"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("structure");
        if (iter_0 != object_0.end()) {
            value_0.structure =
                anyToNotebookDocumentChangeEvent_cells_structure(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<NotebookCell> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToNotebookCell(*elem_0));
            }
            value_0.data = std::move(values_0);
        }

        iter_0 = object_0.find("textContent");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<NotebookDocumentChangeEvent_cells_textContent_elem> values_1;
            for (const auto &elem_1 : array_1) {
                values_1.push_back(
                    anyToNotebookDocumentChangeEvent_cells_textContent_elem(*elem_1)
                );
            }
            value_0.textContent = std::move(values_1);
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentChangeEvent_cellsToAny(
        const NotebookDocumentChangeEvent_cells &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.structure.has_value()) {
            const auto &structure_0 = param.structure.value();
            object_0.emplace(
                "structure",
                std::make_unique<LSPAny>(notebookDocumentChangeEvent_cells_structureToAny(structure_0))
            );
        }

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            LSPArray array_0;
            array_0.reserve(data_0.size());
            for (const auto &elem_0 : data_0) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = notebookCellToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = std::move(array_0);
            object_0.emplace("data", std::move(any_1));
        }

        if (param.textContent.has_value()) {
            const auto &textContent_0 = param.textContent.value();
            LSPArray array_1;
            array_1.reserve(textContent_0.size());
            for (const auto &elem_1 : textContent_0) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) =
                    notebookDocumentChangeEvent_cells_textContent_elemToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            auto any_3 = std::make_unique<LSPAny>();
            (*any_3) = std::move(array_1);
            object_0.emplace("textContent", std::move(any_3));
        }

        LSPAny any_4;
        any_4 = std::move(object_0);
        return any_4;
    }

    auto LspTransformer::anyToNotebookDocumentChangeEvent(
        const LSPAny &any
    ) const -> NotebookDocumentChangeEvent
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotebookDocumentChangeEvent"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotebookDocumentChangeEvent value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotebookDocumentChangeEvent"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("metadata");
        if (iter_0 != object_0.end()) {
            value_0.metadata = copy(iter_0->second->object());
        }

        iter_0 = object_0.find("cells");
        if (iter_0 != object_0.end()) {
            value_0.cells =
                anyToNotebookDocumentChangeEvent_cells(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::notebookDocumentChangeEventToAny(
        const NotebookDocumentChangeEvent &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.metadata.has_value()) {
            const auto &metadata_0 = param.metadata.value();
            LSPAny any_0;
            any_0 = copy(metadata_0);
            object_0.emplace(
                "metadata",
                std::make_unique<LSPAny>(std::move(any_0))
            );
        }

        if (param.cells.has_value()) {
            const auto &cells_0 = param.cells.value();
            object_0.emplace(
                "cells",
                std::make_unique<LSPAny>(notebookDocumentChangeEvent_cellsToAny(cells_0))
            );
        }

        LSPAny any_1;
        any_1 = std::move(object_0);
        return any_1;
    }

    auto LspTransformer::anyToDidChangeNotebookDocumentParams(
        const LSPAny &any
    ) const -> DidChangeNotebookDocumentParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "DidChangeNotebookDocumentParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        DidChangeNotebookDocumentParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 2) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "DidChangeNotebookDocumentParams"
                 ": " + std::to_string(object_0.size()) + " > 2")
            );
        }

        iter_0 = object_0.find("notebookDocument");
        if (iter_0 != object_0.end()) {
            value_0.notebookDocument =
                anyToVersionedNotebookDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeNotebookDocumentParams attribute: notebookDocument"
            );
        }

        iter_0 = object_0.find("change");
        if (iter_0 != object_0.end()) {
            value_0.change = anyToNotebookDocumentChangeEvent(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeNotebookDocumentParams attribute: change"
            );
        }

        return value_0;
    }

    auto LspTransformer::didChangeNotebookDocumentParamsToAny(
        const DidChangeNotebookDocumentParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "notebookDocument",
            std::make_unique<LSPAny>(versionedNotebookDocumentIdentifierToAny(param.notebookDocument))
        );

        object_0.emplace(
            "change",
            std::make_unique<LSPAny>(notebookDocumentChangeEventToAny(param.change))
        );

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::notebookCellArrayChange_cellsToAny(
        const NotebookCellArrayChange_cells &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = notebookCellToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToNotebookCellArrayChange_cells(
        const LSPAny &any
    ) const -> NotebookCellArrayChange_cells
    {
        const auto &array_0 = any.array();
        std::vector<NotebookCell> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToNotebookCell(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToClientCapabilities(
        const LSPAny &any
    ) const -> ClientCapabilities
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ClientCapabilities"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ClientCapabilities value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 6) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ClientCapabilities"
                 ": " + std::to_string(object_0.size()) + " > 6")
            );
        }

        iter_0 = object_0.find("workspace");
        if (iter_0 != object_0.end()) {
            value_0.workspace =
                anyToWorkspaceClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            value_0.textDocument =
                anyToTextDocumentClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("notebookDocument");
        if (iter_0 != object_0.end()) {
            value_0.notebookDocument =
                anyToNotebookDocumentClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("window");
        if (iter_0 != object_0.end()) {
            value_0.window = anyToWindowClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("general");
        if (iter_0 != object_0.end()) {
            value_0.general = anyToGeneralClientCapabilities(*iter_0->second);
        }

        iter_0 = object_0.find("experimental");
        if (iter_0 != object_0.end()) {
            value_0.experimental = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::clientCapabilitiesToAny(
        const ClientCapabilities &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workspace.has_value()) {
            const auto &workspace_0 = param.workspace.value();
            object_0.emplace(
                "workspace",
                std::make_unique<LSPAny>(workspaceClientCapabilitiesToAny(workspace_0))
            );
        }

        if (param.textDocument.has_value()) {
            const auto &textDocument_0 = param.textDocument.value();
            object_0.emplace(
                "textDocument",
                std::make_unique<LSPAny>(textDocumentClientCapabilitiesToAny(textDocument_0))
            );
        }

        if (param.notebookDocument.has_value()) {
            const auto &notebookDocument_0 = param.notebookDocument.value();
            object_0.emplace(
                "notebookDocument",
                std::make_unique<LSPAny>(notebookDocumentClientCapabilitiesToAny(notebookDocument_0))
            );
        }

        if (param.window.has_value()) {
            const auto &window_0 = param.window.value();
            object_0.emplace(
                "window",
                std::make_unique<LSPAny>(windowClientCapabilitiesToAny(window_0))
            );
        }

        if (param.general.has_value()) {
            const auto &general_0 = param.general.value();
            object_0.emplace(
                "general",
                std::make_unique<LSPAny>(generalClientCapabilitiesToAny(general_0))
            );
        }

        if (param.experimental.has_value()) {
            const auto &experimental_0 = param.experimental.value();
            object_0.emplace(
                "experimental",
                std::make_unique<LSPAny>(copy(experimental_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyTo_InitializeParams(
        const LSPAny &any
    ) const -> _InitializeParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "_InitializeParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        _InitializeParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 10) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "_InitializeParams"
                 ": " + std::to_string(object_0.size()) + " > 10")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("processId");
        if (iter_0 != object_0.end()) {
            value_0.processId =
                anyTo_InitializeParams_processId(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required _InitializeParams attribute: processId"
            );
        }

        iter_0 = object_0.find("clientInfo");
        if (iter_0 != object_0.end()) {
            value_0.clientInfo =
                anyTo_InitializeParams_clientInfo(*iter_0->second);
        }

        iter_0 = object_0.find("locale");
        if (iter_0 != object_0.end()) {
            value_0.locale = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("rootPath");
        if (iter_0 != object_0.end()) {
            value_0.rootPath =
                anyTo_InitializeParams_rootPath(*iter_0->second);
        }

        iter_0 = object_0.find("rootUri");
        if (iter_0 != object_0.end()) {
            value_0.rootUri = anyTo_InitializeParams_rootUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required _InitializeParams attribute: rootUri"
            );
        }

        iter_0 = object_0.find("capabilities");
        if (iter_0 != object_0.end()) {
            value_0.capabilities = anyToClientCapabilities(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required _InitializeParams attribute: capabilities"
            );
        }

        iter_0 = object_0.find("initializationOptions");
        if (iter_0 != object_0.end()) {
            value_0.initializationOptions = copy(*iter_0->second);
        }

        iter_0 = object_0.find("trace");
        if (iter_0 != object_0.end()) {
            value_0.trace = anyToTraceValues(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::_InitializeParamsToAny(
        const _InitializeParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "processId",
            std::make_unique<LSPAny>(_InitializeParams_processIdToAny(param.processId))
        );

        if (param.clientInfo.has_value()) {
            const auto &clientInfo_0 = param.clientInfo.value();
            object_0.emplace(
                "clientInfo",
                std::make_unique<LSPAny>(_InitializeParams_clientInfoToAny(clientInfo_0))
            );
        }

        if (param.locale.has_value()) {
            const auto &locale_0 = param.locale.value();
            object_0.emplace(
                "locale",
                std::make_unique<LSPAny>(stringToAny(locale_0))
            );
        }

        if (param.rootPath.has_value()) {
            const auto &rootPath_0 = param.rootPath.value();
            object_0.emplace(
                "rootPath",
                std::make_unique<LSPAny>(_InitializeParams_rootPathToAny(rootPath_0))
            );
        }

        object_0.emplace(
            "rootUri",
            std::make_unique<LSPAny>(_InitializeParams_rootUriToAny(param.rootUri))
        );

        object_0.emplace(
            "capabilities",
            std::make_unique<LSPAny>(clientCapabilitiesToAny(param.capabilities))
        );

        if (param.initializationOptions.has_value()) {
            const auto &initializationOptions_0 =
                param.initializationOptions.value();
            object_0.emplace(
                "initializationOptions",
                std::make_unique<LSPAny>(copy(initializationOptions_0))
            );
        }

        if (param.trace.has_value()) {
            const auto &trace_0 = param.trace.value();
            object_0.emplace(
                "trace",
                std::make_unique<LSPAny>(traceValuesToAny(trace_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToInitializeParams(
        const LSPAny &any
    ) const -> InitializeParams
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for an "
                 "InitializeParams"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        InitializeParams value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 11) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to an "
                 "InitializeParams"
                 ": " + std::to_string(object_0.size()) + " > 11")
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            value_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("processId");
        if (iter_0 != object_0.end()) {
            value_0.processId =
                anyTo_InitializeParams_processId(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InitializeParams attribute: processId"
            );
        }

        iter_0 = object_0.find("clientInfo");
        if (iter_0 != object_0.end()) {
            value_0.clientInfo =
                anyTo_InitializeParams_clientInfo(*iter_0->second);
        }

        iter_0 = object_0.find("locale");
        if (iter_0 != object_0.end()) {
            value_0.locale = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("rootPath");
        if (iter_0 != object_0.end()) {
            value_0.rootPath =
                anyTo_InitializeParams_rootPath(*iter_0->second);
        }

        iter_0 = object_0.find("rootUri");
        if (iter_0 != object_0.end()) {
            value_0.rootUri = anyTo_InitializeParams_rootUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InitializeParams attribute: rootUri"
            );
        }

        iter_0 = object_0.find("capabilities");
        if (iter_0 != object_0.end()) {
            value_0.capabilities = anyToClientCapabilities(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InitializeParams attribute: capabilities"
            );
        }

        iter_0 = object_0.find("initializationOptions");
        if (iter_0 != object_0.end()) {
            value_0.initializationOptions = copy(*iter_0->second);
        }

        iter_0 = object_0.find("trace");
        if (iter_0 != object_0.end()) {
            value_0.trace = anyToTraceValues(*iter_0->second);
        }

        iter_0 = object_0.find("workspaceFolders");
        if (iter_0 != object_0.end()) {
            value_0.workspaceFolders =
                anyToWorkspaceFoldersInitializeParams_workspaceFolders(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::initializeParamsToAny(
        const InitializeParams &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_0 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_0))
            );
        }

        if (param.workDoneToken.has_value()) {
            const auto &workDoneToken_1 = param.workDoneToken.value();
            object_0.emplace(
                "workDoneToken",
                std::make_unique<LSPAny>(progressTokenToAny(workDoneToken_1))
            );
        }

        object_0.emplace(
            "processId",
            std::make_unique<LSPAny>(_InitializeParams_processIdToAny(param.processId))
        );

        if (param.clientInfo.has_value()) {
            const auto &clientInfo_0 = param.clientInfo.value();
            object_0.emplace(
                "clientInfo",
                std::make_unique<LSPAny>(_InitializeParams_clientInfoToAny(clientInfo_0))
            );
        }

        if (param.locale.has_value()) {
            const auto &locale_0 = param.locale.value();
            object_0.emplace(
                "locale",
                std::make_unique<LSPAny>(stringToAny(locale_0))
            );
        }

        if (param.rootPath.has_value()) {
            const auto &rootPath_0 = param.rootPath.value();
            object_0.emplace(
                "rootPath",
                std::make_unique<LSPAny>(_InitializeParams_rootPathToAny(rootPath_0))
            );
        }

        object_0.emplace(
            "rootUri",
            std::make_unique<LSPAny>(_InitializeParams_rootUriToAny(param.rootUri))
        );

        object_0.emplace(
            "capabilities",
            std::make_unique<LSPAny>(clientCapabilitiesToAny(param.capabilities))
        );

        if (param.initializationOptions.has_value()) {
            const auto &initializationOptions_0 =
                param.initializationOptions.value();
            object_0.emplace(
                "initializationOptions",
                std::make_unique<LSPAny>(copy(initializationOptions_0))
            );
        }

        if (param.trace.has_value()) {
            const auto &trace_0 = param.trace.value();
            object_0.emplace(
                "trace",
                std::make_unique<LSPAny>(traceValuesToAny(trace_0))
            );
        }

        if (param.workspaceFolders.has_value()) {
            const auto &workspaceFolders_0 = param.workspaceFolders.value();
            object_0.emplace(
                "workspaceFolders",
                std::make_unique<LSPAny>(workspaceFoldersInitializeParams_workspaceFoldersToAny(workspaceFolders_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToResponseError(
        const LSPAny &any
    ) const -> ResponseError
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ResponseError"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ResponseError value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ResponseError"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("code");
        if (iter_0 != object_0.end()) {
            value_0.code = anyToInteger(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ResponseError attribute: code"
            );
        }

        iter_0 = object_0.find("message");
        if (iter_0 != object_0.end()) {
            value_0.message = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ResponseError attribute: message"
            );
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            value_0.data = copy(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::responseErrorToAny(
        const ResponseError &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "code",
            std::make_unique<LSPAny>(integerToAny(param.code))
        );

        object_0.emplace(
            "message",
            std::make_unique<LSPAny>(stringToAny(param.message))
        );

        if (param.data.has_value()) {
            const auto &data_0 = param.data.value();
            object_0.emplace("data", std::make_unique<LSPAny>(copy(data_0)));
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToResponseMessage(
        const LSPAny &any
    ) const -> ResponseMessage
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "ResponseMessage"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        ResponseMessage value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "ResponseMessage"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("jsonrpc");
        if (iter_0 != object_0.end()) {
            value_0.jsonrpc = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ResponseMessage attribute: jsonrpc"
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToResponseId(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ResponseMessage attribute: id"
            );
        }

        iter_0 = object_0.find("result");
        if (iter_0 != object_0.end()) {
            value_0.result = copy(*iter_0->second);
        }

        iter_0 = object_0.find("error");
        if (iter_0 != object_0.end()) {
            value_0.error = anyToResponseError(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::responseMessageToAny(
        const ResponseMessage &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "jsonrpc",
            std::make_unique<LSPAny>(stringToAny(param.jsonrpc))
        );

        object_0.emplace(
            "id",
            std::make_unique<LSPAny>(responseIdToAny(param.id))
        );

        if (param.result.has_value()) {
            const auto &result_0 = param.result.value();
            object_0.emplace(
                "result",
                std::make_unique<LSPAny>(copy(result_0))
            );
        }

        if (param.error.has_value()) {
            const auto &error_0 = param.error.value();
            object_0.emplace(
                "error",
                std::make_unique<LSPAny>(responseErrorToAny(error_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::asNotebookDocument_DidOpenParams(
        const MessageParams &notificationParams
    ) const -> DidOpenNotebookDocumentParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"notebookDocument/didOpen\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidOpenNotebookDocumentParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("notebookDocument");
        if (iter_0 != object_0.end()) {
            params_0.notebookDocument = anyToNotebookDocument(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidOpenNotebookDocumentParams attribute: notebookDocument"
            );
        }

        iter_0 = object_0.find("cellTextDocuments");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextDocumentItem> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToTextDocumentItem(*elem_0));
            }
            params_0.cellTextDocuments = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidOpenNotebookDocumentParams attribute: cellTextDocuments"
            );
        }

        return params_0;
    }

    auto LspTransformer::asNotebookDocument_DidChangeParams(
        const MessageParams &notificationParams
    ) const -> DidChangeNotebookDocumentParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"notebookDocument/didChange\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidChangeNotebookDocumentParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("notebookDocument");
        if (iter_0 != object_0.end()) {
            params_0.notebookDocument =
                anyToVersionedNotebookDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeNotebookDocumentParams attribute: notebookDocument"
            );
        }

        iter_0 = object_0.find("change");
        if (iter_0 != object_0.end()) {
            params_0.change =
                anyToNotebookDocumentChangeEvent(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeNotebookDocumentParams attribute: change"
            );
        }

        return params_0;
    }

    auto LspTransformer::anyToDocumentDiagnosticReport(
        const LSPAny &any
    ) const -> DocumentDiagnosticReport
    {
        DocumentDiagnosticReport value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToRelatedFullDocumentDiagnosticReport(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 =
                        anyToRelatedUnchangedDocumentDiagnosticReport(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to DocumentDiagnosticReport"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "DocumentDiagnosticReport"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::documentDiagnosticReportToAny(
        const DocumentDiagnosticReport &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case DocumentDiagnosticReportType::RelatedFullDocumentDiagnosticReport: {
            return relatedFullDocumentDiagnosticReportToAny(value.relatedFullDocumentDiagnosticReport());
        }
        case DocumentDiagnosticReportType::RelatedUnchangedDocumentDiagnosticReport: {
            return relatedUnchangedDocumentDiagnosticReportToAny(value.relatedUnchangedDocumentDiagnosticReport());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported DocumentDiagnosticReportType: " +
                 DocumentDiagnosticReportTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceDocumentDiagnosticReport(
        const LSPAny &any
    ) const -> WorkspaceDocumentDiagnosticReport
    {
        WorkspaceDocumentDiagnosticReport value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToWorkspaceFullDocumentDiagnosticReport(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 =
                        anyToWorkspaceUnchangedDocumentDiagnosticReport(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to WorkspaceDocumentDiagnosticReport"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "WorkspaceDocumentDiagnosticReport"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspaceDocumentDiagnosticReportToAny(
        const WorkspaceDocumentDiagnosticReport &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case WorkspaceDocumentDiagnosticReportType::WorkspaceFullDocumentDiagnosticReport: {
            return workspaceFullDocumentDiagnosticReportToAny(value.workspaceFullDocumentDiagnosticReport());
        }
        case WorkspaceDocumentDiagnosticReportType::WorkspaceUnchangedDocumentDiagnosticReport: {
            return workspaceUnchangedDocumentDiagnosticReportToAny(value.workspaceUnchangedDocumentDiagnosticReport());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported WorkspaceDocumentDiagnosticReportType: " +
                 WorkspaceDocumentDiagnosticReportTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToWorkspaceDiagnosticReport(
        const LSPAny &any
    ) const -> WorkspaceDiagnosticReport
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceDiagnosticReport"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceDiagnosticReport value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceDiagnosticReport"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("items");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<WorkspaceDocumentDiagnosticReport> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(
                    anyToWorkspaceDocumentDiagnosticReport(*elem_0)
                );
            }
            value_0.items = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceDiagnosticReport attribute: items"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceDiagnosticReportToAny(
        const WorkspaceDiagnosticReport &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.items.size());
        for (const auto &elem_0 : param.items) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceDocumentDiagnosticReportToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("items", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::workspaceDiagnosticReport_itemsToAny(
        const WorkspaceDiagnosticReport_items &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceDocumentDiagnosticReportToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceDiagnosticReport_items(
        const LSPAny &any
    ) const -> WorkspaceDiagnosticReport_items
    {
        const auto &array_0 = any.array();
        std::vector<WorkspaceDocumentDiagnosticReport> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(
                anyToWorkspaceDocumentDiagnosticReport(*elem_0)
            );
        }
        return values_0;
    }

    auto LspTransformer::anyToWorkspaceDiagnosticReportPartialResult(
        const LSPAny &any
    ) const -> WorkspaceDiagnosticReportPartialResult
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "WorkspaceDiagnosticReportPartialResult"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        WorkspaceDiagnosticReportPartialResult value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 1) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "WorkspaceDiagnosticReportPartialResult"
                 ": " + std::to_string(object_0.size()) + " > 1")
            );
        }

        iter_0 = object_0.find("items");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<WorkspaceDocumentDiagnosticReport> values_0;
            for (const auto &elem_0 : array_0) {
                values_0.push_back(
                    anyToWorkspaceDocumentDiagnosticReport(*elem_0)
                );
            }
            value_0.items = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceDiagnosticReportPartialResult attribute: items"
            );
        }

        return value_0;
    }

    auto LspTransformer::workspaceDiagnosticReportPartialResultToAny(
        const WorkspaceDiagnosticReportPartialResult &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(param.items.size());
        for (const auto &elem_0 : param.items) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceDocumentDiagnosticReportToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = std::move(array_0);
        object_0.emplace("items", std::move(any_1));

        LSPAny any_2;
        any_2 = std::move(object_0);
        return any_2;
    }

    auto LspTransformer::workspaceDiagnosticReportPartialResult_itemsToAny(
        const WorkspaceDiagnosticReportPartialResult_items &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceDocumentDiagnosticReportToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspaceDiagnosticReportPartialResult_items(
        const LSPAny &any
    ) const -> WorkspaceDiagnosticReportPartialResult_items
    {
        const auto &array_0 = any.array();
        std::vector<WorkspaceDocumentDiagnosticReport> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(
                anyToWorkspaceDocumentDiagnosticReport(*elem_0)
            );
        }
        return values_0;
    }

    auto LspTransformer::anyToMessageParams(
        const LSPAny &any
    ) const -> MessageParams
    {
        MessageParams value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToLSPObject(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to MessageParams"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToLSPArray(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to MessageParams"
                );
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "MessageParams"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::messageParamsToAny(
        const MessageParams &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case MessageParamsType::Array: {
            LSPAny any_0;
            any_0 = copy(value.array());
            return any_0;
        }
        case MessageParamsType::Object: {
            LSPAny any_1;
            any_1 = copy(value.object());
            return any_1;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported MessageParamsType: " +
                 MessageParamsTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToRequestMessage(
        const LSPAny &any
    ) const -> RequestMessage
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "RequestMessage"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        RequestMessage value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 4) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "RequestMessage"
                 ": " + std::to_string(object_0.size()) + " > 4")
            );
        }

        iter_0 = object_0.find("jsonrpc");
        if (iter_0 != object_0.end()) {
            value_0.jsonrpc = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RequestMessage attribute: jsonrpc"
            );
        }

        iter_0 = object_0.find("id");
        if (iter_0 != object_0.end()) {
            value_0.id = anyToRequestId(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RequestMessage attribute: id"
            );
        }

        iter_0 = object_0.find("method");
        if (iter_0 != object_0.end()) {
            value_0.method = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required RequestMessage attribute: method"
            );
        }

        iter_0 = object_0.find("params");
        if (iter_0 != object_0.end()) {
            value_0.params = anyToMessageParams(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::requestMessageToAny(
        const RequestMessage &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "jsonrpc",
            std::make_unique<LSPAny>(stringToAny(param.jsonrpc))
        );

        object_0.emplace(
            "id",
            std::make_unique<LSPAny>(requestIdToAny(param.id))
        );

        object_0.emplace(
            "method",
            std::make_unique<LSPAny>(stringToAny(param.method))
        );

        if (param.params.has_value()) {
            const auto &params_0 = param.params.value();
            object_0.emplace(
                "params",
                std::make_unique<LSPAny>(messageParamsToAny(params_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::anyToNotificationMessage(
        const LSPAny &any
    ) const -> NotificationMessage
    {
        if (any.type() != LSPAnyType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("LSPAnyType for a "
                 "NotificationMessage"
                 " must be of type LSPAnyType::Object"
                 " but received LSPAnyType::" + LSPAnyTypeNames.at(any.type()))
            );
        }

        NotificationMessage value_0;

        const auto &object_0 = any.object();
        LSPObject::const_iterator iter_0;

        if (object_0.size() > 3) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Too many attributes to transform to a "
                 "NotificationMessage"
                 ": " + std::to_string(object_0.size()) + " > 3")
            );
        }

        iter_0 = object_0.find("jsonrpc");
        if (iter_0 != object_0.end()) {
            value_0.jsonrpc = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotificationMessage attribute: jsonrpc"
            );
        }

        iter_0 = object_0.find("method");
        if (iter_0 != object_0.end()) {
            value_0.method = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required NotificationMessage attribute: method"
            );
        }

        iter_0 = object_0.find("params");
        if (iter_0 != object_0.end()) {
            value_0.params = anyToMessageParams(*iter_0->second);
        }

        return value_0;
    }

    auto LspTransformer::notificationMessageToAny(
        const NotificationMessage &param
    ) const -> LSPAny
    {
        LSPObject object_0;

        object_0.emplace(
            "jsonrpc",
            std::make_unique<LSPAny>(stringToAny(param.jsonrpc))
        );

        object_0.emplace(
            "method",
            std::make_unique<LSPAny>(stringToAny(param.method))
        );

        if (param.params.has_value()) {
            const auto &params_0 = param.params.value();
            object_0.emplace(
                "params",
                std::make_unique<LSPAny>(messageParamsToAny(params_0))
            );
        }

        LSPAny any_0;
        any_0 = std::move(object_0);
        return any_0;
    }

    auto LspTransformer::workspace_ConfigurationResultToAny(
        const Workspace_ConfigurationResult &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = lspAnyToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspace_ConfigurationResult(
        const LSPAny &any
    ) const -> Workspace_ConfigurationResult
    {
        const auto &array_0 = any.array();
        std::vector<LSPAny> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToLSPAny(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::asMessageParams(
        const ConfigurationParams &requestParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(requestParams.items.size());
        for (const auto &elem_0 : requestParams.items) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = configurationItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = array_0;
        object_0.emplace("items", std::move(any_1));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::anyToTextDocument_PrepareCallHierarchyResult(
        const LSPAny &any
    ) const -> TextDocument_PrepareCallHierarchyResult
    {
        TextDocument_PrepareCallHierarchyResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_PrepareCallHierarchyResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_PrepareCallHierarchyResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_PrepareCallHierarchyResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_PrepareCallHierarchyResultToAny(
        const TextDocument_PrepareCallHierarchyResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_PrepareCallHierarchyResultType::CallHierarchyItemArray: {
            LSPArray array_0;
            array_0.reserve(value.callHierarchyItemArray().size());
            for (const auto &elem_0 : value.callHierarchyItemArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = callHierarchyItemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_PrepareCallHierarchyResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_PrepareCallHierarchyResultType: " +
                 TextDocument_PrepareCallHierarchyResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_PrepareCallHierarchyParams(
        const MessageParams &requestParams
    ) const -> CallHierarchyPrepareParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/prepareCallHierarchy\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CallHierarchyPrepareParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyPrepareParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyPrepareParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::textDocument_PrepareCallHierarchyResult_0ToAny(
        const TextDocument_PrepareCallHierarchyResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = callHierarchyItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_PrepareCallHierarchyResult_0(
        const LSPAny &any
    ) const -> TextDocument_PrepareCallHierarchyResult_0
    {
        const auto &array_0 = any.array();
        std::vector<CallHierarchyItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCallHierarchyItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCallHierarchy_IncomingCallsResult(
        const LSPAny &any
    ) const -> CallHierarchy_IncomingCallsResult
    {
        CallHierarchy_IncomingCallsResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToCallHierarchy_IncomingCallsResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to CallHierarchy_IncomingCallsResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "CallHierarchy_IncomingCallsResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::callHierarchy_IncomingCallsResultToAny(
        const CallHierarchy_IncomingCallsResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case CallHierarchy_IncomingCallsResultType::CallHierarchyIncomingCallArray: {
            LSPArray array_0;
            array_0.reserve(value.callHierarchyIncomingCallArray().size());
            for (const auto &elem_0 : value.callHierarchyIncomingCallArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = callHierarchyIncomingCallToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case CallHierarchy_IncomingCallsResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported CallHierarchy_IncomingCallsResultType: " +
                 CallHierarchy_IncomingCallsResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asCallHierarchy_IncomingCallsParams(
        const MessageParams &requestParams
    ) const -> CallHierarchyIncomingCallsParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"callHierarchy/incomingCalls\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CallHierarchyIncomingCallsParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("item");
        if (iter_0 != object_0.end()) {
            params_0.item = anyToCallHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyIncomingCallsParams attribute: item"
            );
        }

        return params_0;
    }

    auto LspTransformer::callHierarchy_IncomingCallsResult_0ToAny(
        const CallHierarchy_IncomingCallsResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = callHierarchyIncomingCallToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCallHierarchy_IncomingCallsResult_0(
        const LSPAny &any
    ) const -> CallHierarchy_IncomingCallsResult_0
    {
        const auto &array_0 = any.array();
        std::vector<CallHierarchyIncomingCall> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCallHierarchyIncomingCall(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCallHierarchy_OutgoingCallsResult(
        const LSPAny &any
    ) const -> CallHierarchy_OutgoingCallsResult
    {
        CallHierarchy_OutgoingCallsResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToCallHierarchy_OutgoingCallsResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to CallHierarchy_OutgoingCallsResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "CallHierarchy_OutgoingCallsResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::callHierarchy_OutgoingCallsResultToAny(
        const CallHierarchy_OutgoingCallsResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case CallHierarchy_OutgoingCallsResultType::CallHierarchyOutgoingCallArray: {
            LSPArray array_0;
            array_0.reserve(value.callHierarchyOutgoingCallArray().size());
            for (const auto &elem_0 : value.callHierarchyOutgoingCallArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = callHierarchyOutgoingCallToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case CallHierarchy_OutgoingCallsResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported CallHierarchy_OutgoingCallsResultType: " +
                 CallHierarchy_OutgoingCallsResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asCallHierarchy_OutgoingCallsParams(
        const MessageParams &requestParams
    ) const -> CallHierarchyOutgoingCallsParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"callHierarchy/outgoingCalls\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CallHierarchyOutgoingCallsParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("item");
        if (iter_0 != object_0.end()) {
            params_0.item = anyToCallHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CallHierarchyOutgoingCallsParams attribute: item"
            );
        }

        return params_0;
    }

    auto LspTransformer::callHierarchy_OutgoingCallsResult_0ToAny(
        const CallHierarchy_OutgoingCallsResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = callHierarchyOutgoingCallToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToCallHierarchy_OutgoingCallsResult_0(
        const LSPAny &any
    ) const -> CallHierarchy_OutgoingCallsResult_0
    {
        const auto &array_0 = any.array();
        std::vector<CallHierarchyOutgoingCall> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCallHierarchyOutgoingCall(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_PrepareTypeHierarchyResult(
        const LSPAny &any
    ) const -> TextDocument_PrepareTypeHierarchyResult
    {
        TextDocument_PrepareTypeHierarchyResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_PrepareTypeHierarchyResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_PrepareTypeHierarchyResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_PrepareTypeHierarchyResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_PrepareTypeHierarchyResultToAny(
        const TextDocument_PrepareTypeHierarchyResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_PrepareTypeHierarchyResultType::TypeHierarchyItemArray: {
            LSPArray array_0;
            array_0.reserve(value.typeHierarchyItemArray().size());
            for (const auto &elem_0 : value.typeHierarchyItemArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = typeHierarchyItemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_PrepareTypeHierarchyResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_PrepareTypeHierarchyResultType: " +
                 TextDocument_PrepareTypeHierarchyResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_PrepareTypeHierarchyParams(
        const MessageParams &requestParams
    ) const -> TypeHierarchyPrepareParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/prepareTypeHierarchy\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        TypeHierarchyPrepareParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyPrepareParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchyPrepareParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::textDocument_PrepareTypeHierarchyResult_0ToAny(
        const TextDocument_PrepareTypeHierarchyResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = typeHierarchyItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_PrepareTypeHierarchyResult_0(
        const LSPAny &any
    ) const -> TextDocument_PrepareTypeHierarchyResult_0
    {
        const auto &array_0 = any.array();
        std::vector<TypeHierarchyItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTypeHierarchyItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTypeHierarchy_SupertypesResult(
        const LSPAny &any
    ) const -> TypeHierarchy_SupertypesResult
    {
        TypeHierarchy_SupertypesResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTypeHierarchy_SupertypesResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TypeHierarchy_SupertypesResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TypeHierarchy_SupertypesResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::typeHierarchy_SupertypesResultToAny(
        const TypeHierarchy_SupertypesResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TypeHierarchy_SupertypesResultType::TypeHierarchyItemArray: {
            LSPArray array_0;
            array_0.reserve(value.typeHierarchyItemArray().size());
            for (const auto &elem_0 : value.typeHierarchyItemArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = typeHierarchyItemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TypeHierarchy_SupertypesResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TypeHierarchy_SupertypesResultType: " +
                 TypeHierarchy_SupertypesResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTypeHierarchy_SupertypesParams(
        const MessageParams &requestParams
    ) const -> TypeHierarchySupertypesParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"typeHierarchy/supertypes\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        TypeHierarchySupertypesParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("item");
        if (iter_0 != object_0.end()) {
            params_0.item = anyToTypeHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchySupertypesParams attribute: item"
            );
        }

        return params_0;
    }

    auto LspTransformer::typeHierarchy_SupertypesResult_0ToAny(
        const TypeHierarchy_SupertypesResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = typeHierarchyItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTypeHierarchy_SupertypesResult_0(
        const LSPAny &any
    ) const -> TypeHierarchy_SupertypesResult_0
    {
        const auto &array_0 = any.array();
        std::vector<TypeHierarchyItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTypeHierarchyItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTypeHierarchy_SubtypesResult(
        const LSPAny &any
    ) const -> TypeHierarchy_SubtypesResult
    {
        TypeHierarchy_SubtypesResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTypeHierarchy_SubtypesResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TypeHierarchy_SubtypesResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TypeHierarchy_SubtypesResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::typeHierarchy_SubtypesResultToAny(
        const TypeHierarchy_SubtypesResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TypeHierarchy_SubtypesResultType::TypeHierarchyItemArray: {
            LSPArray array_0;
            array_0.reserve(value.typeHierarchyItemArray().size());
            for (const auto &elem_0 : value.typeHierarchyItemArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = typeHierarchyItemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TypeHierarchy_SubtypesResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TypeHierarchy_SubtypesResultType: " +
                 TypeHierarchy_SubtypesResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTypeHierarchy_SubtypesParams(
        const MessageParams &requestParams
    ) const -> TypeHierarchySubtypesParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"typeHierarchy/subtypes\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        TypeHierarchySubtypesParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("item");
        if (iter_0 != object_0.end()) {
            params_0.item = anyToTypeHierarchyItem(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required TypeHierarchySubtypesParams attribute: item"
            );
        }

        return params_0;
    }

    auto LspTransformer::typeHierarchy_SubtypesResult_0ToAny(
        const TypeHierarchy_SubtypesResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = typeHierarchyItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTypeHierarchy_SubtypesResult_0(
        const LSPAny &any
    ) const -> TypeHierarchy_SubtypesResult_0
    {
        const auto &array_0 = any.array();
        std::vector<TypeHierarchyItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToTypeHierarchyItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToTextDocument_InlayHintResult(
        const LSPAny &any
    ) const -> TextDocument_InlayHintResult
    {
        TextDocument_InlayHintResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_InlayHintResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_InlayHintResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_InlayHintResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_InlayHintResultToAny(
        const TextDocument_InlayHintResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_InlayHintResultType::InlayHintArray: {
            LSPArray array_0;
            array_0.reserve(value.inlayHintArray().size());
            for (const auto &elem_0 : value.inlayHintArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = inlayHintToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_InlayHintResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_InlayHintResultType: " +
                 TextDocument_InlayHintResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_InlayHintParams(
        const MessageParams &requestParams
    ) const -> InlayHintParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/inlayHint\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        InlayHintParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHintParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            params_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHintParams attribute: range"
            );
        }

        return params_0;
    }

    auto LspTransformer::textDocument_InlayHintResult_0ToAny(
        const TextDocument_InlayHintResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = inlayHintToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_InlayHintResult_0(
        const LSPAny &any
    ) const -> TextDocument_InlayHintResult_0
    {
        const auto &array_0 = any.array();
        std::vector<InlayHint> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToInlayHint(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToInlayHint_ResolveResult(
        const LSPAny &any
    ) const -> InlayHint_ResolveResult
    {
        return anyToInlayHint(any);
    }

    auto LspTransformer::inlayHint_ResolveResultToAny(
        const InlayHint_ResolveResult &alias
    ) const -> LSPAny
    {
        return inlayHintToAny(alias);
    }

    auto LspTransformer::asInlayHint_ResolveParams(
        const MessageParams &requestParams
    ) const -> InlayHint
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"inlayHint/resolve\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        InlayHint params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHint attribute: position"
            );
        }

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            params_0.label = anyToInlayHint_label(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlayHint attribute: label"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            params_0.kind = anyToInlayHintKind(*iter_0->second);
        }

        iter_0 = object_0.find("textEdits");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<TextEdit> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToTextEdit(*elem_0));
            }
            params_0.textEdits = std::move(values_0);
        }

        iter_0 = object_0.find("tooltip");
        if (iter_0 != object_0.end()) {
            params_0.tooltip = anyToInlayHint_tooltip(*iter_0->second);
        }

        iter_0 = object_0.find("paddingLeft");
        if (iter_0 != object_0.end()) {
            params_0.paddingLeft = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("paddingRight");
        if (iter_0 != object_0.end()) {
            params_0.paddingRight = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            params_0.data = copy(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::anyToTextDocument_DiagnosticResult(
        const LSPAny &any
    ) const -> TextDocument_DiagnosticResult
    {
        TextDocument_DiagnosticResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToDocumentDiagnosticReportPartialResult(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToDocumentDiagnosticReport(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocument_DiagnosticResult"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_DiagnosticResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_DiagnosticResultToAny(
        const TextDocument_DiagnosticResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_DiagnosticResultType::DocumentDiagnosticReport: {
            return documentDiagnosticReportToAny(value.documentDiagnosticReport());
        }
        case TextDocument_DiagnosticResultType::DocumentDiagnosticReportPartialResult: {
            return documentDiagnosticReportPartialResultToAny(value.documentDiagnosticReportPartialResult());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_DiagnosticResultType: " +
                 TextDocument_DiagnosticResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_DiagnosticParams(
        const MessageParams &requestParams
    ) const -> DocumentDiagnosticParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/diagnostic\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentDiagnosticParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentDiagnosticParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("identifier");
        if (iter_0 != object_0.end()) {
            params_0.identifier = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("previousResultId");
        if (iter_0 != object_0.end()) {
            params_0.previousResultId = anyToString(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::anyToWorkspace_DiagnosticResult(
        const LSPAny &any
    ) const -> Workspace_DiagnosticResult
    {
        Workspace_DiagnosticResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToWorkspaceDiagnosticReport(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToWorkspaceDiagnosticReportPartialResult(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to Workspace_DiagnosticResult"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Workspace_DiagnosticResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspace_DiagnosticResultToAny(
        const Workspace_DiagnosticResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Workspace_DiagnosticResultType::WorkspaceDiagnosticReport: {
            return workspaceDiagnosticReportToAny(value.workspaceDiagnosticReport());
        }
        case Workspace_DiagnosticResultType::WorkspaceDiagnosticReportPartialResult: {
            return workspaceDiagnosticReportPartialResultToAny(value.workspaceDiagnosticReportPartialResult());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Workspace_DiagnosticResultType: " +
                 Workspace_DiagnosticResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asWorkspace_DiagnosticParams(
        const MessageParams &requestParams
    ) const -> WorkspaceDiagnosticParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/diagnostic\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        WorkspaceDiagnosticParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("identifier");
        if (iter_0 != object_0.end()) {
            params_0.identifier = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("previousResultIds");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<PreviousResultId> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToPreviousResultId(*elem_0));
            }
            params_0.previousResultIds = std::move(values_0);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceDiagnosticParams attribute: previousResultIds"
            );
        }

        return params_0;
    }

    auto LspTransformer::anyToTextDocument_InlineCompletionResult(
        const LSPAny &any
    ) const -> TextDocument_InlineCompletionResult
    {
        TextDocument_InlineCompletionResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToInlineCompletionList(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_InlineCompletionResult"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_InlineCompletionResult_1(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_InlineCompletionResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_InlineCompletionResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_InlineCompletionResultToAny(
        const TextDocument_InlineCompletionResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_InlineCompletionResultType::InlineCompletionList: {
            return inlineCompletionListToAny(value.inlineCompletionList());
        }
        case TextDocument_InlineCompletionResultType::InlineCompletionItemArray: {
            LSPArray array_0;
            array_0.reserve(value.inlineCompletionItemArray().size());
            for (const auto &elem_0 : value.inlineCompletionItemArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = inlineCompletionItemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_InlineCompletionResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_InlineCompletionResultType: " +
                 TextDocument_InlineCompletionResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_InlineCompletionParams(
        const MessageParams &requestParams
    ) const -> InlineCompletionParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/inlineCompletion\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        InlineCompletionParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            params_0.context = anyToInlineCompletionContext(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InlineCompletionParams attribute: context"
            );
        }

        return params_0;
    }

    auto LspTransformer::textDocument_InlineCompletionResult_1ToAny(
        const TextDocument_InlineCompletionResult_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = inlineCompletionItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_InlineCompletionResult_1(
        const LSPAny &any
    ) const -> TextDocument_InlineCompletionResult_1
    {
        const auto &array_0 = any.array();
        std::vector<InlineCompletionItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToInlineCompletionItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::asMessageParams(
        const RegistrationParams &requestParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        LSPArray array_0;
        array_0.reserve(requestParams.registrations.size());
        for (const auto &elem_0 : requestParams.registrations) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = registrationToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = array_0;
        object_0.emplace("registrations", std::move(any_1));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::asInitializeParams(
        const MessageParams &requestParams
    ) const -> InitializeParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"initialize\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        InitializeParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("processId");
        if (iter_0 != object_0.end()) {
            params_0.processId =
                anyTo_InitializeParams_processId(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InitializeParams attribute: processId"
            );
        }

        iter_0 = object_0.find("clientInfo");
        if (iter_0 != object_0.end()) {
            params_0.clientInfo =
                anyTo_InitializeParams_clientInfo(*iter_0->second);
        }

        iter_0 = object_0.find("locale");
        if (iter_0 != object_0.end()) {
            params_0.locale = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("rootPath");
        if (iter_0 != object_0.end()) {
            params_0.rootPath =
                anyTo_InitializeParams_rootPath(*iter_0->second);
        }

        iter_0 = object_0.find("rootUri");
        if (iter_0 != object_0.end()) {
            params_0.rootUri = anyTo_InitializeParams_rootUri(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InitializeParams attribute: rootUri"
            );
        }

        iter_0 = object_0.find("capabilities");
        if (iter_0 != object_0.end()) {
            params_0.capabilities = anyToClientCapabilities(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required InitializeParams attribute: capabilities"
            );
        }

        iter_0 = object_0.find("initializationOptions");
        if (iter_0 != object_0.end()) {
            params_0.initializationOptions = copy(*iter_0->second);
        }

        iter_0 = object_0.find("trace");
        if (iter_0 != object_0.end()) {
            params_0.trace = anyToTraceValues(*iter_0->second);
        }

        iter_0 = object_0.find("workspaceFolders");
        if (iter_0 != object_0.end()) {
            params_0.workspaceFolders =
                anyToWorkspaceFoldersInitializeParams_workspaceFolders(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::anyToTextDocument_CompletionResult(
        const LSPAny &any
    ) const -> TextDocument_CompletionResult
    {
        TextDocument_CompletionResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToCompletionList(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_CompletionResult"
                );
            }
            break;
        }
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_CompletionResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_CompletionResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_CompletionResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_CompletionResultToAny(
        const TextDocument_CompletionResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_CompletionResultType::CompletionItemArray: {
            LSPArray array_0;
            array_0.reserve(value.completionItemArray().size());
            for (const auto &elem_0 : value.completionItemArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = completionItemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_CompletionResultType::CompletionList: {
            return completionListToAny(value.completionList());
        }
        case TextDocument_CompletionResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_CompletionResultType: " +
                 TextDocument_CompletionResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_CompletionParams(
        const MessageParams &requestParams
    ) const -> CompletionParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/completion\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CompletionParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("position");
        if (iter_0 != object_0.end()) {
            params_0.position = anyToPosition(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionParams attribute: position"
            );
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            params_0.context = anyToCompletionContext(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::textDocument_CompletionResult_0ToAny(
        const TextDocument_CompletionResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = completionItemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_CompletionResult_0(
        const LSPAny &any
    ) const -> TextDocument_CompletionResult_0
    {
        const auto &array_0 = any.array();
        std::vector<CompletionItem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCompletionItem(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCompletionItem_ResolveResult(
        const LSPAny &any
    ) const -> CompletionItem_ResolveResult
    {
        return anyToCompletionItem(any);
    }

    auto LspTransformer::completionItem_ResolveResultToAny(
        const CompletionItem_ResolveResult &alias
    ) const -> LSPAny
    {
        return completionItemToAny(alias);
    }

    auto LspTransformer::asCompletionItem_ResolveParams(
        const MessageParams &requestParams
    ) const -> CompletionItem
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"completionItem/resolve\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CompletionItem params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("label");
        if (iter_0 != object_0.end()) {
            params_0.label = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CompletionItem attribute: label"
            );
        }

        iter_0 = object_0.find("labelDetails");
        if (iter_0 != object_0.end()) {
            params_0.labelDetails =
                anyToCompletionItemLabelDetails(*iter_0->second);
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            params_0.kind = anyToCompletionItemKind(*iter_0->second);
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<CompletionItemTag> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToCompletionItemTag(*elem_0));
            }
            params_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("detail");
        if (iter_0 != object_0.end()) {
            params_0.detail = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("documentation");
        if (iter_0 != object_0.end()) {
            params_0.documentation =
                anyToCompletionItem_documentation(*iter_0->second);
        }

        iter_0 = object_0.find("deprecated");
        if (iter_0 != object_0.end()) {
            params_0.deprecated = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("preselect");
        if (iter_0 != object_0.end()) {
            params_0.preselect = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("sortText");
        if (iter_0 != object_0.end()) {
            params_0.sortText = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("filterText");
        if (iter_0 != object_0.end()) {
            params_0.filterText = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("insertText");
        if (iter_0 != object_0.end()) {
            params_0.insertText = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("insertTextFormat");
        if (iter_0 != object_0.end()) {
            params_0.insertTextFormat = anyToInsertTextFormat(*iter_0->second);
        }

        iter_0 = object_0.find("insertTextMode");
        if (iter_0 != object_0.end()) {
            params_0.insertTextMode = anyToInsertTextMode(*iter_0->second);
        }

        iter_0 = object_0.find("textEdit");
        if (iter_0 != object_0.end()) {
            params_0.textEdit = anyToCompletionItem_textEdit(*iter_0->second);
        }

        iter_0 = object_0.find("textEditText");
        if (iter_0 != object_0.end()) {
            params_0.textEditText = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("additionalTextEdits");
        if (iter_0 != object_0.end()) {
            const auto &array_1 = iter_0->second->array();
            std::vector<TextEdit> values_1;
            values_1.reserve(array_1.size());
            for (const auto &elem_1 : array_1) {
                values_1.push_back(anyToTextEdit(*elem_1));
            }
            params_0.additionalTextEdits = std::move(values_1);
        }

        iter_0 = object_0.find("commitCharacters");
        if (iter_0 != object_0.end()) {
            const auto &array_2 = iter_0->second->array();
            std::vector<string_t> values_2;
            values_2.reserve(array_2.size());
            for (const auto &elem_2 : array_2) {
                values_2.push_back(anyToString(*elem_2));
            }
            params_0.commitCharacters = std::move(values_2);
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            params_0.command = anyToCommand(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            params_0.data = copy(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::anyToTextDocument_CodeActionResult_0_elem(
        const LSPAny &any
    ) const -> TextDocument_CodeActionResult_0_elem
    {
        TextDocument_CodeActionResult_0_elem value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToCommand(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToCodeAction(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to TextDocument_CodeActionResult_0_elem"
                    );
                }
            }
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_CodeActionResult_0_elem"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_CodeActionResult_0_elemToAny(
        const TextDocument_CodeActionResult_0_elem &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_CodeActionResult_0_elemType::Command: {
            return commandToAny(value.command());
        }
        case TextDocument_CodeActionResult_0_elemType::CodeAction: {
            return codeActionToAny(value.codeAction());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_CodeActionResult_0_elemType: " +
                 TextDocument_CodeActionResult_0_elemTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::anyToTextDocument_CodeActionResult(
        const LSPAny &any
    ) const -> TextDocument_CodeActionResult
    {
        TextDocument_CodeActionResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_CodeActionResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_CodeActionResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_CodeActionResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_CodeActionResultToAny(
        const TextDocument_CodeActionResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_CodeActionResultType::CommandOrCodeActionArray: {
            LSPArray array_0;
            array_0.reserve(value.textDocument_CodeActionResult_0().size());
            for (const auto &elem_0
                    : value.textDocument_CodeActionResult_0()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = textDocument_CodeActionResult_0_elemToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_CodeActionResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_CodeActionResultType: " +
                 TextDocument_CodeActionResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_CodeActionParams(
        const MessageParams &requestParams
    ) const -> CodeActionParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/codeAction\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CodeActionParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionParams attribute: textDocument"
            );
        }

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            params_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionParams attribute: range"
            );
        }

        iter_0 = object_0.find("context");
        if (iter_0 != object_0.end()) {
            params_0.context = anyToCodeActionContext(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeActionParams attribute: context"
            );
        }

        return params_0;
    }

    auto LspTransformer::textDocument_CodeActionResult_0ToAny(
        const TextDocument_CodeActionResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = textDocument_CodeActionResult_0_elemToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_CodeActionResult_0(
        const LSPAny &any
    ) const -> TextDocument_CodeActionResult_0
    {
        const auto &array_0 = any.array();
        std::vector<TextDocument_CodeActionResult_0_elem> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(
                anyToTextDocument_CodeActionResult_0_elem(*elem_0)
            );
        }
        return values_0;
    }

    auto LspTransformer::anyToCodeAction_ResolveResult(
        const LSPAny &any
    ) const -> CodeAction_ResolveResult
    {
        return anyToCodeAction(any);
    }

    auto LspTransformer::codeAction_ResolveResultToAny(
        const CodeAction_ResolveResult &alias
    ) const -> LSPAny
    {
        return codeActionToAny(alias);
    }

    auto LspTransformer::asCodeAction_ResolveParams(
        const MessageParams &requestParams
    ) const -> CodeAction
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"codeAction/resolve\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CodeAction params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("title");
        if (iter_0 != object_0.end()) {
            params_0.title = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeAction attribute: title"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            params_0.kind = anyToCodeActionKind(*iter_0->second);
        }

        iter_0 = object_0.find("diagnostics");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<Diagnostic> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToDiagnostic(*elem_0));
            }
            params_0.diagnostics = std::move(values_0);
        }

        iter_0 = object_0.find("isPreferred");
        if (iter_0 != object_0.end()) {
            params_0.isPreferred = anyToBoolean(*iter_0->second);
        }

        iter_0 = object_0.find("disabled");
        if (iter_0 != object_0.end()) {
            params_0.disabled = anyToCodeAction_disabled(*iter_0->second);
        }

        iter_0 = object_0.find("edit");
        if (iter_0 != object_0.end()) {
            params_0.edit = anyToWorkspaceEdit(*iter_0->second);
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            params_0.command = anyToCommand(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            params_0.data = copy(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::anyToWorkspace_SymbolResult(
        const LSPAny &any
    ) const -> Workspace_SymbolResult
    {
        Workspace_SymbolResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToWorkspace_SymbolResult_0(any);
            } catch (LspException &/*e*/) {
                try {
                    value_0 = anyToWorkspace_SymbolResult_1(any);
                } catch (LspException &/*e*/) {
                    throw LSP_EXCEPTION(
                        ErrorCodes::InvalidParams,
                        "Failed to transform LSPAny to Workspace_SymbolResult"
                    );
                }
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Workspace_SymbolResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspace_SymbolResultToAny(
        const Workspace_SymbolResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Workspace_SymbolResultType::SymbolInformationArray: {
            LSPArray array_0;
            array_0.reserve(value.symbolInformationArray().size());
            for (const auto &elem_0 : value.symbolInformationArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = symbolInformationToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case Workspace_SymbolResultType::WorkspaceSymbolArray: {
            LSPArray array_1;
            array_1.reserve(value.workspaceSymbolArray().size());
            for (const auto &elem_1 : value.workspaceSymbolArray()) {
                auto any_2 = std::make_unique<LSPAny>();
                (*any_2) = workspaceSymbolToAny(elem_1);
                array_1.push_back(std::move(any_2));
            }
            LSPAny any_3;
            any_3 = std::move(array_1);
            return any_3;
        }
        case Workspace_SymbolResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Workspace_SymbolResultType: " +
                 Workspace_SymbolResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asWorkspace_SymbolParams(
        const MessageParams &requestParams
    ) const -> WorkspaceSymbolParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/symbol\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        WorkspaceSymbolParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("query");
        if (iter_0 != object_0.end()) {
            params_0.query = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbolParams attribute: query"
            );
        }

        return params_0;
    }

    auto LspTransformer::workspace_SymbolResult_1ToAny(
        const Workspace_SymbolResult_1 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = workspaceSymbolToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToWorkspace_SymbolResult_1(
        const LSPAny &any
    ) const -> Workspace_SymbolResult_1
    {
        const auto &array_0 = any.array();
        std::vector<WorkspaceSymbol> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToWorkspaceSymbol(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToWorkspaceSymbol_ResolveResult(
        const LSPAny &any
    ) const -> WorkspaceSymbol_ResolveResult
    {
        return anyToWorkspaceSymbol(any);
    }

    auto LspTransformer::workspaceSymbol_ResolveResultToAny(
        const WorkspaceSymbol_ResolveResult &alias
    ) const -> LSPAny
    {
        return workspaceSymbolToAny(alias);
    }

    auto LspTransformer::asWorkspaceSymbol_ResolveParams(
        const MessageParams &requestParams
    ) const -> WorkspaceSymbol
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspaceSymbol/resolve\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        WorkspaceSymbol params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("name");
        if (iter_0 != object_0.end()) {
            params_0.name = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbol attribute: name"
            );
        }

        iter_0 = object_0.find("kind");
        if (iter_0 != object_0.end()) {
            params_0.kind = anyToSymbolKind(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbol attribute: kind"
            );
        }

        iter_0 = object_0.find("tags");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<SymbolTag> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(anyToSymbolTag(*elem_0));
            }
            params_0.tags = std::move(values_0);
        }

        iter_0 = object_0.find("containerName");
        if (iter_0 != object_0.end()) {
            params_0.containerName = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("location");
        if (iter_0 != object_0.end()) {
            params_0.location = anyToWorkspaceSymbol_location(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required WorkspaceSymbol attribute: location"
            );
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            params_0.data = copy(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::anyToTextDocument_CodeLensResult(
        const LSPAny &any
    ) const -> TextDocument_CodeLensResult
    {
        TextDocument_CodeLensResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_CodeLensResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_CodeLensResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_CodeLensResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_CodeLensResultToAny(
        const TextDocument_CodeLensResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_CodeLensResultType::CodeLensArray: {
            LSPArray array_0;
            array_0.reserve(value.codeLensArray().size());
            for (const auto &elem_0 : value.codeLensArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = codeLensToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_CodeLensResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_CodeLensResultType: " +
                 TextDocument_CodeLensResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_CodeLensParams(
        const MessageParams &requestParams
    ) const -> CodeLensParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/codeLens\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CodeLensParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeLensParams attribute: textDocument"
            );
        }

        return params_0;
    }

    auto LspTransformer::textDocument_CodeLensResult_0ToAny(
        const TextDocument_CodeLensResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = codeLensToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_CodeLensResult_0(
        const LSPAny &any
    ) const -> TextDocument_CodeLensResult_0
    {
        const auto &array_0 = any.array();
        std::vector<CodeLens> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToCodeLens(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToCodeLens_ResolveResult(
        const LSPAny &any
    ) const -> CodeLens_ResolveResult
    {
        return anyToCodeLens(any);
    }

    auto LspTransformer::codeLens_ResolveResultToAny(
        const CodeLens_ResolveResult &alias
    ) const -> LSPAny
    {
        return codeLensToAny(alias);
    }

    auto LspTransformer::asCodeLens_ResolveParams(
        const MessageParams &requestParams
    ) const -> CodeLens
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"codeLens/resolve\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        CodeLens params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            params_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required CodeLens attribute: range"
            );
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            params_0.command = anyToCommand(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            params_0.data = copy(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::anyToTextDocument_DocumentLinkResult(
        const LSPAny &any
    ) const -> TextDocument_DocumentLinkResult
    {
        TextDocument_DocumentLinkResult value_0;

        switch (any.type()) {
        case LSPAnyType::Array: {
            try {
                value_0 = anyToTextDocument_DocumentLinkResult_0(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to TextDocument_DocumentLinkResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "TextDocument_DocumentLinkResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::textDocument_DocumentLinkResultToAny(
        const TextDocument_DocumentLinkResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case TextDocument_DocumentLinkResultType::DocumentLinkArray: {
            LSPArray array_0;
            array_0.reserve(value.documentLinkArray().size());
            for (const auto &elem_0 : value.documentLinkArray()) {
                auto any_0 = std::make_unique<LSPAny>();
                (*any_0) = documentLinkToAny(elem_0);
                array_0.push_back(std::move(any_0));
            }
            LSPAny any_1;
            any_1 = std::move(array_0);
            return any_1;
        }
        case TextDocument_DocumentLinkResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported TextDocument_DocumentLinkResultType: " +
                 TextDocument_DocumentLinkResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asTextDocument_DocumentLinkParams(
        const MessageParams &requestParams
    ) const -> DocumentLinkParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"textDocument/documentLink\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentLinkParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("partialResultToken");
        if (iter_0 != object_0.end()) {
            params_0.partialResultToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("textDocument");
        if (iter_0 != object_0.end()) {
            params_0.textDocument =
                anyToTextDocumentIdentifier(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentLinkParams attribute: textDocument"
            );
        }

        return params_0;
    }

    auto LspTransformer::textDocument_DocumentLinkResult_0ToAny(
        const TextDocument_DocumentLinkResult_0 &array
    ) const -> LSPAny
    {
        LSPArray array_0;
        array_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            auto any_0 = std::make_unique<LSPAny>();
            (*any_0) = documentLinkToAny(elem_0);
            array_0.push_back(std::move(any_0));
        }
        LSPAny any_1;
        any_1 = std::move(array_0);
        return any_1;
    }

    auto LspTransformer::anyToTextDocument_DocumentLinkResult_0(
        const LSPAny &any
    ) const -> TextDocument_DocumentLinkResult_0
    {
        const auto &array_0 = any.array();
        std::vector<DocumentLink> values_0;
        values_0.reserve(array_0.size());
        for (const auto &elem_0 : array_0) {
            values_0.push_back(anyToDocumentLink(*elem_0));
        }
        return values_0;
    }

    auto LspTransformer::anyToDocumentLink_ResolveResult(
        const LSPAny &any
    ) const -> DocumentLink_ResolveResult
    {
        return anyToDocumentLink(any);
    }

    auto LspTransformer::documentLink_ResolveResultToAny(
        const DocumentLink_ResolveResult &alias
    ) const -> LSPAny
    {
        return documentLinkToAny(alias);
    }

    auto LspTransformer::asDocumentLink_ResolveParams(
        const MessageParams &requestParams
    ) const -> DocumentLink
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"documentLink/resolve\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        DocumentLink params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("range");
        if (iter_0 != object_0.end()) {
            params_0.range = anyToRange(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DocumentLink attribute: range"
            );
        }

        iter_0 = object_0.find("target");
        if (iter_0 != object_0.end()) {
            params_0.target = anyToURI(*iter_0->second);
        }

        iter_0 = object_0.find("tooltip");
        if (iter_0 != object_0.end()) {
            params_0.tooltip = anyToString(*iter_0->second);
        }

        iter_0 = object_0.find("data");
        if (iter_0 != object_0.end()) {
            params_0.data = copy(*iter_0->second);
        }

        return params_0;
    }

    auto LspTransformer::anyToWorkspace_ExecuteCommandResult(
        const LSPAny &any
    ) const -> Workspace_ExecuteCommandResult
    {
        Workspace_ExecuteCommandResult value_0;

        switch (any.type()) {
        case LSPAnyType::Object: {
            try {
                value_0 = anyToLSPAny(any);
            } catch (LspException &/*e*/) {
                throw LSP_EXCEPTION(
                    ErrorCodes::InvalidParams,
                    "Failed to transform LSPAny to Workspace_ExecuteCommandResult"
                );
            }
            break;
        }
        case LSPAnyType::Null: {
            value_0 = anyToNull(any);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAnyType for a "
                 "Workspace_ExecuteCommandResult"
                 ": " + LSPAnyTypeNames.at(any.type()))
            );
        }
        }

        return value_0;
    }

    auto LspTransformer::workspace_ExecuteCommandResultToAny(
        const Workspace_ExecuteCommandResult &value
    ) const -> LSPAny
    {
        switch (value.type()) {
        case Workspace_ExecuteCommandResultType::Any: {
            return copy(value.any());
        }
        case Workspace_ExecuteCommandResultType::Null: {
            return nullToAny(value.null());
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Unsupported Workspace_ExecuteCommandResultType: " +
                 Workspace_ExecuteCommandResultTypeNames.at(value.type()))
            );
        }
        }
    }

    auto LspTransformer::asWorkspace_ExecuteCommandParams(
        const MessageParams &requestParams
    ) const -> ExecuteCommandParams
    {
        if (requestParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/executeCommand\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(requestParams.type()))
            );
        }

        ExecuteCommandParams params_0;
        const auto &object_0 = requestParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("workDoneToken");
        if (iter_0 != object_0.end()) {
            params_0.workDoneToken = anyToProgressToken(*iter_0->second);
        }

        iter_0 = object_0.find("command");
        if (iter_0 != object_0.end()) {
            params_0.command = anyToString(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ExecuteCommandParams attribute: command"
            );
        }

        iter_0 = object_0.find("arguments");
        if (iter_0 != object_0.end()) {
            const auto &array_0 = iter_0->second->array();
            std::vector<LSPAny> values_0;
            values_0.reserve(array_0.size());
            for (const auto &elem_0 : array_0) {
                values_0.push_back(copy(*elem_0));
            }
            params_0.arguments = std::move(values_0);
        }

        return params_0;
    }

    auto LspTransformer::anyToTelemetryResult(
        const LSPAny &any
    ) const -> TelemetryResult
    {
        return anyToLSPAny(any);
    }

    auto LspTransformer::telemetryResultToAny(
        const TelemetryResult &alias
    ) const -> LSPAny
    {
        return lspAnyToAny(alias);
    }

    auto LspTransformer::asWorkspace_DidChangeConfigurationParams(
        const MessageParams &notificationParams
    ) const -> DidChangeConfigurationParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"workspace/didChangeConfiguration\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        DidChangeConfigurationParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("settings");
        if (iter_0 != object_0.end()) {
            params_0.settings = copy(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required DidChangeConfigurationParams attribute: settings"
            );
        }

        return params_0;
    }

    auto LspTransformer::asMessageParams(
        const LSPAny &notificationParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        switch (notificationParams.type()) {
        case LSPAnyType::Object: {
            const auto &object_0 = notificationParams.object();
            messageParams_0 = copy(object_0);
            break;
        }
        case LSPAnyType::Array: {
            const auto &array_0 = notificationParams.array();
            messageParams_0 = copy(array_0);
            break;
        }
        default: {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Invalid LSPAny type for notificationParams: LSPAnyType::" +
                 LSPAnyTypeNames.at(notificationParams.type()))
            );
        }
        }

        return messageParams_0;
    }

    auto LspTransformer::asMessageParams(
        const PublishDiagnosticsParams &notificationParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = documentUriToAny(notificationParams.uri);
        object_0.emplace("uri", std::move(any_0));

        if (notificationParams.version.has_value()) {
            auto any_1 = std::make_unique<LSPAny>();
            (*any_1) = integerToAny(notificationParams.version.value());
            object_0.emplace("version", std::move(any_1));
        }

        LSPArray array_0;
        array_0.reserve(notificationParams.diagnostics.size());
        for (const auto &elem_0 : notificationParams.diagnostics) {
            auto any_2 = std::make_unique<LSPAny>();
            (*any_2) = diagnosticToAny(elem_0);
            array_0.push_back(std::move(any_2));
        }
        auto any_3 = std::make_unique<LSPAny>();
        (*any_3) = array_0;
        object_0.emplace("diagnostics", std::move(any_3));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::asProgressParams(
        const MessageParams &notificationParams
    ) const -> ProgressParams
    {
        if (notificationParams.type() != MessageParamsType::Object) {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                ("Message parameter type must be MessageParamsType::Object "
                 "for method=\"$/progress\" but received "
                 "MessageParamsType::" + MessageParamsTypeNames.at(notificationParams.type()))
            );
        }

        ProgressParams params_0;
        const auto &object_0 = notificationParams.object();
        LSPObject::const_iterator iter_0;

        iter_0 = object_0.find("token");
        if (iter_0 != object_0.end()) {
            params_0.token = anyToProgressToken(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ProgressParams attribute: token"
            );
        }

        iter_0 = object_0.find("value");
        if (iter_0 != object_0.end()) {
            params_0.value = copy(*iter_0->second);
        } else {
            throw LSP_EXCEPTION(
                ErrorCodes::InvalidParams,
                "Missing required ProgressParams attribute: value"
            );
        }

        return params_0;
    }

    auto LspTransformer::asMessageParams(
        const ProgressParams &notificationParams
    ) const -> MessageParams
    {
        MessageParams messageParams_0;
        LSPObject object_0;

        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = progressTokenToAny(notificationParams.token);
        object_0.emplace("token", std::move(any_0));

        auto any_1 = std::make_unique<LSPAny>();
        (*any_1) = lspAnyToAny(notificationParams.value);
        object_0.emplace("value", std::move(any_1));

        messageParams_0 = std::move(object_0);
        return messageParams_0;
    }

    auto LspTransformer::copy(const LSPAny &any) const -> LSPAny
    {
        LSPAny any_0;
        switch (any.type()) {
        case LSPAnyType::Object: {
            any_0 = copy(any.object());
            break;
        }
        case LSPAnyType::Array: {
            any_0 = copy(any.array());
            break;
        }
        case LSPAnyType::String: {
            any_0 = any.string();
            break;
        }
        case LSPAnyType::Integer: {
            any_0 = any.integer();
            break;
        }
        case LSPAnyType::UInteger: {
            any_0 = any.uinteger();
            break;
        }
        case LSPAnyType::Decimal: {
            any_0 = any.decimal();
            break;
        }
        case LSPAnyType::Boolean: {
            any_0 = any.boolean();
            break;
        }
        case LSPAnyType::Null: {
            any_0 = any.null();
            break;
        }
        case LSPAnyType::Uninitialized: {
            throw std::invalid_argument("LSPAny has not been initialized.");
        }
        }
        return any_0;
    }

    auto LspTransformer::copy(
        const std::unique_ptr<LSPAny> &any
    ) const -> std::unique_ptr<LSPAny>
    {
        auto any_0 = std::make_unique<LSPAny>();
        (*any_0) = copy(*any);
        return any_0;
    }

    auto LspTransformer::copy(const LSPObject &object) const -> LSPObject
    {
        LSPObject copy_0;
        for (const auto &[key_0, value_0] : object) {
            copy_0.emplace(key_0, copy(value_0));
        }
        return copy_0;
    }

    auto LspTransformer::copy(const LSPArray &array) const -> LSPArray
    {
        LSPArray copy_0;
        copy_0.reserve(array.size());
        for (const auto &elem_0 : array) {
            copy_0.push_back(copy(elem_0));
        }
        return copy_0;
    }

} // namespace LCompilers::LanguageServerProtocol
